#include "interface_-client.h"

int flick_marshal_stub_long10(flick_marshal_stream_t _stream, const long10 *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(44, _flick_abort0);
  flick_fluke_encode_new_chunk(4 + 4 * _data->_length);
  flick_fluke_encode_unsigned32(0, _data->_length, oskit_u32_t );
  if (_data->_length > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort0);
  flick_fluke_encode_bcopy(4, _data->_buffer, 4 * _data->_length);
  flick_fluke_encode_end_chunk(4 + 4 * _data->_length);
  flick_fluke_encode_end_glob(44);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_long10(flick_marshal_stream_t _stream, long10 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(44);
  flick_fluke_check_span(4, _flick_abort3);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->_length, oskit_u32_t );
  if (_data->_length > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort3);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_check_span(4 * _data->_length, _flick_abort3);
  flick_fluke_decode_new_chunk(4 * _data->_length);
  {
    oskit_s32_t *_t_alloc_ptr;

    _t_alloc_ptr = (oskit_s32_t *)(mom_flick_alloc(_data->_length * sizeof(oskit_s32_t )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort3);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = _data->_length;
    _data->_release = 1;
  }
  flick_fluke_decode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_fluke_decode_end_chunk(4 * _data->_length);
  flick_fluke_decode_end_glob(44);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

oskit_s16_t math_addshort(mom_ref_t _obj, oskit_s16_t a, oskit_s16_t b, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s16_t _return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(8, _flick_abort8);
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_unsigned32(0, req_math_addshort, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_signed16(4, a, oskit_s16_t );
      flick_fluke_encode_signed16(6, b, oskit_s16_t );
      flick_fluke_encode_end_chunk(8);
      flick_fluke_encode_end_glob(8);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort8);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(6);
      flick_fluke_check_span(4, _flick_abort8);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            flick_fluke_check_span(2, _flick_abort14);
            flick_fluke_decode_new_chunk(2);
            flick_fluke_decode_signed16(0, _return, oskit_s16_t );
            flick_fluke_decode_end_chunk(2);
            flick_fluke_decode_end_glob(6);
            break;
            {
            _flick_abort14:
              goto _flick_abort8;
            }
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(6);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort15);
            break;
            {
            _flick_abort15:
              goto _flick_abort8;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort16);
            flick_fluke_decode_end_glob(6);
            break;
            {
            _flick_abort16:
              goto _flick_abort8;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort8);
  return _return;
  {
  _flick_abort8:
    flick_mom_client_error(fluke, fluke, _flick_abort7);
  _flick_abort7:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

oskit_s16_t math_subshort(mom_ref_t _obj, oskit_s16_t a, oskit_s16_t b, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s16_t _return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(8, _flick_abort18);
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_unsigned32(0, req_math_subshort, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_signed16(4, a, oskit_s16_t );
      flick_fluke_encode_signed16(6, b, oskit_s16_t );
      flick_fluke_encode_end_chunk(8);
      flick_fluke_encode_end_glob(8);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort18);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(6);
      flick_fluke_check_span(4, _flick_abort18);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            flick_fluke_check_span(2, _flick_abort24);
            flick_fluke_decode_new_chunk(2);
            flick_fluke_decode_signed16(0, _return, oskit_s16_t );
            flick_fluke_decode_end_chunk(2);
            flick_fluke_decode_end_glob(6);
            break;
            {
            _flick_abort24:
              goto _flick_abort18;
            }
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(6);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort25);
            break;
            {
            _flick_abort25:
              goto _flick_abort18;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort26);
            flick_fluke_decode_end_glob(6);
            break;
            {
            _flick_abort26:
              goto _flick_abort18;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort18);
  return _return;
  {
  _flick_abort18:
    flick_mom_client_error(fluke, fluke, _flick_abort17);
  _flick_abort17:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

oskit_s16_t math_multshort(mom_ref_t _obj, oskit_s16_t a, oskit_s16_t b, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s16_t _return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(8, _flick_abort28);
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_unsigned32(0, req_math_multshort, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_signed16(4, a, oskit_s16_t );
      flick_fluke_encode_signed16(6, b, oskit_s16_t );
      flick_fluke_encode_end_chunk(8);
      flick_fluke_encode_end_glob(8);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort28);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(6);
      flick_fluke_check_span(4, _flick_abort28);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            flick_fluke_check_span(2, _flick_abort34);
            flick_fluke_decode_new_chunk(2);
            flick_fluke_decode_signed16(0, _return, oskit_s16_t );
            flick_fluke_decode_end_chunk(2);
            flick_fluke_decode_end_glob(6);
            break;
            {
            _flick_abort34:
              goto _flick_abort28;
            }
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(6);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort35);
            break;
            {
            _flick_abort35:
              goto _flick_abort28;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort36);
            flick_fluke_decode_end_glob(6);
            break;
            {
            _flick_abort36:
              goto _flick_abort28;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort28);
  return _return;
  {
  _flick_abort28:
    flick_mom_client_error(fluke, fluke, _flick_abort27);
  _flick_abort27:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

oskit_s32_t math_addlong(mom_ref_t _obj, oskit_s32_t a, oskit_s32_t b, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s32_t _return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(12, _flick_abort38);
      flick_fluke_encode_new_chunk(12);
      flick_fluke_encode_unsigned32(0, req_math_addlong, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_signed32(4, a, oskit_s32_t );
      flick_fluke_encode_signed32(8, b, oskit_s32_t );
      flick_fluke_encode_end_chunk(12);
      flick_fluke_encode_end_glob(12);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort38);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort38);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            flick_fluke_check_span(4, _flick_abort44);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed32(0, _return, oskit_s32_t );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort44:
              goto _flick_abort38;
            }
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(8);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort45);
            break;
            {
            _flick_abort45:
              goto _flick_abort38;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort46);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort46:
              goto _flick_abort38;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort38);
  return _return;
  {
  _flick_abort38:
    flick_mom_client_error(fluke, fluke, _flick_abort37);
  _flick_abort37:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

oskit_s32_t math_sublong(mom_ref_t _obj, oskit_s32_t a, oskit_s32_t b, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s32_t _return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(12, _flick_abort48);
      flick_fluke_encode_new_chunk(12);
      flick_fluke_encode_unsigned32(0, req_math_sublong, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_signed32(4, a, oskit_s32_t );
      flick_fluke_encode_signed32(8, b, oskit_s32_t );
      flick_fluke_encode_end_chunk(12);
      flick_fluke_encode_end_glob(12);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort48);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort48);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            flick_fluke_check_span(4, _flick_abort54);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed32(0, _return, oskit_s32_t );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort54:
              goto _flick_abort48;
            }
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(8);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort55);
            break;
            {
            _flick_abort55:
              goto _flick_abort48;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort56);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort56:
              goto _flick_abort48;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort48);
  return _return;
  {
  _flick_abort48:
    flick_mom_client_error(fluke, fluke, _flick_abort47);
  _flick_abort47:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

oskit_s32_t math_multlong(mom_ref_t _obj, oskit_s32_t a, oskit_s32_t b, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s32_t _return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(12, _flick_abort58);
      flick_fluke_encode_new_chunk(12);
      flick_fluke_encode_unsigned32(0, req_math_multlong, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_signed32(4, a, oskit_s32_t );
      flick_fluke_encode_signed32(8, b, oskit_s32_t );
      flick_fluke_encode_end_chunk(12);
      flick_fluke_encode_end_glob(12);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort58);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort58);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            flick_fluke_check_span(4, _flick_abort64);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed32(0, _return, oskit_s32_t );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort64:
              goto _flick_abort58;
            }
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(8);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort65);
            break;
            {
            _flick_abort65:
              goto _flick_abort58;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort66);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort66:
              goto _flick_abort58;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort58);
  return _return;
  {
  _flick_abort58:
    flick_mom_client_error(fluke, fluke, _flick_abort57);
  _flick_abort57:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

oskit_s32_t math_addlonglist(mom_ref_t _obj, const long10 *a, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s32_t _return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(48, _flick_abort68);
      flick_fluke_encode_new_chunk(8 + 4 * a->_length);
      flick_fluke_encode_unsigned32(0, req_math_addlonglist, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_unsigned32(4, a->_length, oskit_u32_t );
      if (a->_length > 10)
        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort68);
      flick_fluke_encode_bcopy(8, a->_buffer, 4 * a->_length);
      flick_fluke_encode_end_chunk(8 + 4 * a->_length);
      flick_fluke_encode_end_glob(48);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort68);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort68);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            flick_fluke_check_span(4, _flick_abort78);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed32(0, _return, oskit_s32_t );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort78:
              goto _flick_abort68;
            }
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(8);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort79);
            break;
            {
            _flick_abort79:
              goto _flick_abort68;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort80);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort80:
              goto _flick_abort68;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort68);
  return _return;
  {
  _flick_abort68:
    flick_mom_client_error(fluke, fluke, _flick_abort67);
  _flick_abort67:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

oskit_s32_t math_multlonglist(mom_ref_t _obj, const long10 *a, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s32_t _return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(48, _flick_abort82);
      flick_fluke_encode_new_chunk(8 + 4 * a->_length);
      flick_fluke_encode_unsigned32(0, req_math_multlonglist, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_unsigned32(4, a->_length, oskit_u32_t );
      if (a->_length > 10)
        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort82);
      flick_fluke_encode_bcopy(8, a->_buffer, 4 * a->_length);
      flick_fluke_encode_end_chunk(8 + 4 * a->_length);
      flick_fluke_encode_end_glob(48);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort82);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort82);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            flick_fluke_check_span(4, _flick_abort92);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed32(0, _return, oskit_s32_t );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort92:
              goto _flick_abort82;
            }
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(8);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort93);
            break;
            {
            _flick_abort93:
              goto _flick_abort82;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort94);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort94:
              goto _flick_abort82;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort82);
  return _return;
  {
  _flick_abort82:
    flick_mom_client_error(fluke, fluke, _flick_abort81);
  _flick_abort81:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

