#include "interface_-server.h"

int flick_marshal_stub_long10(flick_marshal_stream_t _stream, long10 *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(44, _flick_abort0);
  flick_fluke_encode_new_chunk(4 + 4 * _data->_length);
  flick_fluke_encode_unsigned32(0, _data->_length, oskit_u32_t );
  if (_data->_length > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort0);
  flick_fluke_encode_bcopy(4, _data->_buffer, 4 * _data->_length);
  if (_data->_release)
    mom_flick_free(_data->_buffer);
  _data->_maximum = 0;
  _data->_release = 0;
  flick_fluke_encode_end_chunk(4 + 4 * _data->_length);
  flick_fluke_encode_end_glob(44);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_long10(flick_marshal_stream_t _stream, long10 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(44);
  flick_fluke_check_span(4, _flick_abort3);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->_length, oskit_u32_t );
  if (_data->_length > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort3);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_check_span(4 * _data->_length, _flick_abort3);
  flick_fluke_decode_new_chunk(4 * _data->_length);
  {
    oskit_s32_t *_t_alloc_ptr;

    _t_alloc_ptr = (oskit_s32_t *)(mom_flick_alloc(_data->_length * sizeof(oskit_s32_t )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort3);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = _data->_length;
    _data->_release = 1;
  }
  flick_fluke_decode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_fluke_decode_end_chunk(4 * _data->_length);
  flick_fluke_decode_end_glob(44);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_math(flick_marshal_stream_t _stream, math *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  return 0;
}

int flick_unmarshal_stub_math(flick_marshal_stream_t _stream, math *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  return 0;
}

mom_dispatch_action_t math_server(void *_dispatch_obj, mom_dispatch_data_t *_dispatch_data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  flick_fluke_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    signed int _t11_switch_tag;

    flick_fluke_decode_new_glob(48);
    flick_fluke_check_span(8, _flick_abort11);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _t11_switch_tag, signed int );
    flick_fluke_decode_end_chunk(4);
    switch ((signed int )_t11_switch_tag)
      {
      case req_math_addshort:
        {
          {
            math *_obj;
            oskit_s16_t _return;
            oskit_s16_t _local_a;
            oskit_s16_t _local_b;
            mom_exc_t *_ev;
            mom_exc_t _t12_storage;

            _obj = (math *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _return = 0;
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed16(0, _local_a, oskit_s16_t );
            flick_fluke_decode_signed16(2, _local_b, oskit_s16_t );
            _ev = (mom_exc_t *)(&_t12_storage);
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(48);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = math_server_addshort(_obj, _local_a, _local_b, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_fluke_server_start_encode();
            {
              flick_fluke_encode_new_glob(6, _flick_abort90);
              flick_fluke_encode_new_chunk(4);
              flick_fluke_encode_signed32(0, _ev->_type, signed int );
              flick_fluke_encode_end_chunk(4);
              switch (_ev->_type)
                {
                case exc_mom_no_exception:
                  {
                    /* Begin encode phase on parameters */
                    flick_fluke_encode_new_chunk(2);
                    flick_fluke_encode_signed16(0, _return, oskit_s16_t );
                    flick_fluke_encode_end_chunk(2);
                    flick_fluke_encode_end_glob(6);
                    break;
                  }
                case exc_mom_system_exception:
                  {
                    flick_fluke_encode_end_glob(6);
                    flick_mom_encode_system_exception(_ev, fluke, fluke, _flick_abort96);
                    break;
                    {
                    _flick_abort96:
                      goto _flick_abort90;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort97);
                    flick_fluke_encode_end_glob(6);
                    break;
                    {
                    _flick_abort97:
                      goto _flick_abort90;
                    }
                  }
                }
            }
            flick_fluke_server_end_encode();
            _stub_state.state = FLICK_STATE_EPILOGUE;
            return DISPATCH_ACK_SEND;
            break;
            {
            _flick_abort90:
              goto _flick_abort89;
            }
          }
          break;
          {
          _flick_abort89:
            goto _flick_abort11;
          }
        }
      case req_math_subshort:
        {
          {
            math *_obj;
            oskit_s16_t _return;
            oskit_s16_t _local_a;
            oskit_s16_t _local_b;
            mom_exc_t *_ev;
            mom_exc_t _t13_storage;

            _obj = (math *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _return = 0;
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed16(0, _local_a, oskit_s16_t );
            flick_fluke_decode_signed16(2, _local_b, oskit_s16_t );
            _ev = (mom_exc_t *)(&_t13_storage);
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(48);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = math_server_subshort(_obj, _local_a, _local_b, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_fluke_server_start_encode();
            {
              flick_fluke_encode_new_glob(6, _flick_abort99);
              flick_fluke_encode_new_chunk(4);
              flick_fluke_encode_signed32(0, _ev->_type, signed int );
              flick_fluke_encode_end_chunk(4);
              switch (_ev->_type)
                {
                case exc_mom_no_exception:
                  {
                    /* Begin encode phase on parameters */
                    flick_fluke_encode_new_chunk(2);
                    flick_fluke_encode_signed16(0, _return, oskit_s16_t );
                    flick_fluke_encode_end_chunk(2);
                    flick_fluke_encode_end_glob(6);
                    break;
                  }
                case exc_mom_system_exception:
                  {
                    flick_fluke_encode_end_glob(6);
                    flick_mom_encode_system_exception(_ev, fluke, fluke, _flick_abort105);
                    break;
                    {
                    _flick_abort105:
                      goto _flick_abort99;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort106);
                    flick_fluke_encode_end_glob(6);
                    break;
                    {
                    _flick_abort106:
                      goto _flick_abort99;
                    }
                  }
                }
            }
            flick_fluke_server_end_encode();
            _stub_state.state = FLICK_STATE_EPILOGUE;
            return DISPATCH_ACK_SEND;
            break;
            {
            _flick_abort99:
              goto _flick_abort98;
            }
          }
          break;
          {
          _flick_abort98:
            goto _flick_abort11;
          }
        }
      case req_math_multshort:
        {
          {
            math *_obj;
            oskit_s16_t _return;
            oskit_s16_t _local_a;
            oskit_s16_t _local_b;
            mom_exc_t *_ev;
            mom_exc_t _t14_storage;

            _obj = (math *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _return = 0;
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed16(0, _local_a, oskit_s16_t );
            flick_fluke_decode_signed16(2, _local_b, oskit_s16_t );
            _ev = (mom_exc_t *)(&_t14_storage);
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(48);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = math_server_multshort(_obj, _local_a, _local_b, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_fluke_server_start_encode();
            {
              flick_fluke_encode_new_glob(6, _flick_abort108);
              flick_fluke_encode_new_chunk(4);
              flick_fluke_encode_signed32(0, _ev->_type, signed int );
              flick_fluke_encode_end_chunk(4);
              switch (_ev->_type)
                {
                case exc_mom_no_exception:
                  {
                    /* Begin encode phase on parameters */
                    flick_fluke_encode_new_chunk(2);
                    flick_fluke_encode_signed16(0, _return, oskit_s16_t );
                    flick_fluke_encode_end_chunk(2);
                    flick_fluke_encode_end_glob(6);
                    break;
                  }
                case exc_mom_system_exception:
                  {
                    flick_fluke_encode_end_glob(6);
                    flick_mom_encode_system_exception(_ev, fluke, fluke, _flick_abort114);
                    break;
                    {
                    _flick_abort114:
                      goto _flick_abort108;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort115);
                    flick_fluke_encode_end_glob(6);
                    break;
                    {
                    _flick_abort115:
                      goto _flick_abort108;
                    }
                  }
                }
            }
            flick_fluke_server_end_encode();
            _stub_state.state = FLICK_STATE_EPILOGUE;
            return DISPATCH_ACK_SEND;
            break;
            {
            _flick_abort108:
              goto _flick_abort107;
            }
          }
          break;
          {
          _flick_abort107:
            goto _flick_abort11;
          }
        }
      case req_math_addlong:
        {
          {
            math *_obj;
            oskit_s32_t _return;
            oskit_s32_t _local_a;
            oskit_s32_t _local_b;
            mom_exc_t *_ev;
            mom_exc_t _t15_storage;

            _obj = (math *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _return = 0;
            flick_fluke_check_span(8, _flick_abort117);
            flick_fluke_decode_new_chunk(8);
            flick_fluke_decode_signed32(0, _local_a, oskit_s32_t );
            flick_fluke_decode_signed32(4, _local_b, oskit_s32_t );
            _ev = (mom_exc_t *)(&_t15_storage);
            flick_fluke_decode_end_chunk(8);
            flick_fluke_decode_end_glob(48);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = math_server_addlong(_obj, _local_a, _local_b, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_fluke_server_start_encode();
            {
              flick_fluke_encode_new_glob(8, _flick_abort117);
              flick_fluke_encode_new_chunk(4);
              flick_fluke_encode_signed32(0, _ev->_type, signed int );
              flick_fluke_encode_end_chunk(4);
              switch (_ev->_type)
                {
                case exc_mom_no_exception:
                  {
                    /* Begin encode phase on parameters */
                    flick_fluke_encode_new_chunk(4);
                    flick_fluke_encode_signed32(0, _return, oskit_s32_t );
                    flick_fluke_encode_end_chunk(4);
                    flick_fluke_encode_end_glob(8);
                    break;
                  }
                case exc_mom_system_exception:
                  {
                    flick_fluke_encode_end_glob(8);
                    flick_mom_encode_system_exception(_ev, fluke, fluke, _flick_abort123);
                    break;
                    {
                    _flick_abort123:
                      goto _flick_abort117;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort124);
                    flick_fluke_encode_end_glob(8);
                    break;
                    {
                    _flick_abort124:
                      goto _flick_abort117;
                    }
                  }
                }
            }
            flick_fluke_server_end_encode();
            _stub_state.state = FLICK_STATE_EPILOGUE;
            return DISPATCH_ACK_SEND;
            break;
            {
            _flick_abort117:
              goto _flick_abort116;
            }
          }
          break;
          {
          _flick_abort116:
            goto _flick_abort11;
          }
        }
      case req_math_sublong:
        {
          {
            math *_obj;
            oskit_s32_t _return;
            oskit_s32_t _local_a;
            oskit_s32_t _local_b;
            mom_exc_t *_ev;
            mom_exc_t _t16_storage;

            _obj = (math *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _return = 0;
            flick_fluke_check_span(8, _flick_abort126);
            flick_fluke_decode_new_chunk(8);
            flick_fluke_decode_signed32(0, _local_a, oskit_s32_t );
            flick_fluke_decode_signed32(4, _local_b, oskit_s32_t );
            _ev = (mom_exc_t *)(&_t16_storage);
            flick_fluke_decode_end_chunk(8);
            flick_fluke_decode_end_glob(48);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = math_server_sublong(_obj, _local_a, _local_b, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_fluke_server_start_encode();
            {
              flick_fluke_encode_new_glob(8, _flick_abort126);
              flick_fluke_encode_new_chunk(4);
              flick_fluke_encode_signed32(0, _ev->_type, signed int );
              flick_fluke_encode_end_chunk(4);
              switch (_ev->_type)
                {
                case exc_mom_no_exception:
                  {
                    /* Begin encode phase on parameters */
                    flick_fluke_encode_new_chunk(4);
                    flick_fluke_encode_signed32(0, _return, oskit_s32_t );
                    flick_fluke_encode_end_chunk(4);
                    flick_fluke_encode_end_glob(8);
                    break;
                  }
                case exc_mom_system_exception:
                  {
                    flick_fluke_encode_end_glob(8);
                    flick_mom_encode_system_exception(_ev, fluke, fluke, _flick_abort132);
                    break;
                    {
                    _flick_abort132:
                      goto _flick_abort126;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort133);
                    flick_fluke_encode_end_glob(8);
                    break;
                    {
                    _flick_abort133:
                      goto _flick_abort126;
                    }
                  }
                }
            }
            flick_fluke_server_end_encode();
            _stub_state.state = FLICK_STATE_EPILOGUE;
            return DISPATCH_ACK_SEND;
            break;
            {
            _flick_abort126:
              goto _flick_abort125;
            }
          }
          break;
          {
          _flick_abort125:
            goto _flick_abort11;
          }
        }
      case req_math_multlong:
        {
          {
            math *_obj;
            oskit_s32_t _return;
            oskit_s32_t _local_a;
            oskit_s32_t _local_b;
            mom_exc_t *_ev;
            mom_exc_t _t17_storage;

            _obj = (math *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _return = 0;
            flick_fluke_check_span(8, _flick_abort135);
            flick_fluke_decode_new_chunk(8);
            flick_fluke_decode_signed32(0, _local_a, oskit_s32_t );
            flick_fluke_decode_signed32(4, _local_b, oskit_s32_t );
            _ev = (mom_exc_t *)(&_t17_storage);
            flick_fluke_decode_end_chunk(8);
            flick_fluke_decode_end_glob(48);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = math_server_multlong(_obj, _local_a, _local_b, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_fluke_server_start_encode();
            {
              flick_fluke_encode_new_glob(8, _flick_abort135);
              flick_fluke_encode_new_chunk(4);
              flick_fluke_encode_signed32(0, _ev->_type, signed int );
              flick_fluke_encode_end_chunk(4);
              switch (_ev->_type)
                {
                case exc_mom_no_exception:
                  {
                    /* Begin encode phase on parameters */
                    flick_fluke_encode_new_chunk(4);
                    flick_fluke_encode_signed32(0, _return, oskit_s32_t );
                    flick_fluke_encode_end_chunk(4);
                    flick_fluke_encode_end_glob(8);
                    break;
                  }
                case exc_mom_system_exception:
                  {
                    flick_fluke_encode_end_glob(8);
                    flick_mom_encode_system_exception(_ev, fluke, fluke, _flick_abort141);
                    break;
                    {
                    _flick_abort141:
                      goto _flick_abort135;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort142);
                    flick_fluke_encode_end_glob(8);
                    break;
                    {
                    _flick_abort142:
                      goto _flick_abort135;
                    }
                  }
                }
            }
            flick_fluke_server_end_encode();
            _stub_state.state = FLICK_STATE_EPILOGUE;
            return DISPATCH_ACK_SEND;
            break;
            {
            _flick_abort135:
              goto _flick_abort134;
            }
          }
          break;
          {
          _flick_abort134:
            goto _flick_abort11;
          }
        }
      case req_math_addlonglist:
        {
          {
            math *_obj;
            oskit_s32_t _return;
            long10 *_local_a;
            long10 _t18_storage;
            mom_exc_t *_ev;
            mom_exc_t _t19_storage;

            _obj = (math *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _return = 0;
            _local_a = (long10 *)(&_t18_storage);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, _local_a->_length, oskit_u32_t );
            if (_local_a->_length > 10)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort144);
            flick_fluke_decode_end_chunk(4);
            flick_fluke_check_span(4 * _local_a->_length, _flick_abort144);
            flick_fluke_decode_new_chunk(4 * _local_a->_length);
            flick_fluke_decode_msgptr(0, _local_a->_buffer, oskit_s32_t *);
            _local_a->_maximum = _local_a->_length;
            _local_a->_release = 0;
            flick_fluke_decode_end_chunk(4 * _local_a->_length);
            _ev = (mom_exc_t *)(&_t19_storage);
            flick_fluke_decode_end_glob(48);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = math_server_addlonglist(_obj, _local_a, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_fluke_server_start_encode();
            {
              flick_fluke_encode_new_glob(8, _flick_abort144);
              flick_fluke_encode_new_chunk(4);
              flick_fluke_encode_signed32(0, _ev->_type, signed int );
              flick_fluke_encode_end_chunk(4);
              switch (_ev->_type)
                {
                case exc_mom_no_exception:
                  {
                    /* Begin encode phase on parameters */
                    flick_fluke_encode_new_chunk(4);
                    flick_fluke_encode_signed32(0, _return, oskit_s32_t );
                    flick_fluke_encode_end_chunk(4);
                    flick_fluke_encode_end_glob(8);
                    break;
                  }
                case exc_mom_system_exception:
                  {
                    flick_fluke_encode_end_glob(8);
                    flick_mom_encode_system_exception(_ev, fluke, fluke, _flick_abort152);
                    break;
                    {
                    _flick_abort152:
                      goto _flick_abort144;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort153);
                    flick_fluke_encode_end_glob(8);
                    break;
                    {
                    _flick_abort153:
                      goto _flick_abort144;
                    }
                  }
                }
            }
            flick_fluke_server_end_encode();
            _stub_state.state = FLICK_STATE_EPILOGUE;
            return DISPATCH_ACK_SEND;
            break;
            {
            _flick_abort144:
              goto _flick_abort143;
            }
          }
          break;
          {
          _flick_abort143:
            goto _flick_abort11;
          }
        }
      case req_math_multlonglist:
        {
          {
            math *_obj;
            oskit_s32_t _return;
            long10 *_local_a;
            long10 _t20_storage;
            mom_exc_t *_ev;
            mom_exc_t _t21_storage;

            _obj = (math *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _return = 0;
            _local_a = (long10 *)(&_t20_storage);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, _local_a->_length, oskit_u32_t );
            if (_local_a->_length > 10)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort155);
            flick_fluke_decode_end_chunk(4);
            flick_fluke_check_span(4 * _local_a->_length, _flick_abort155);
            flick_fluke_decode_new_chunk(4 * _local_a->_length);
            flick_fluke_decode_msgptr(0, _local_a->_buffer, oskit_s32_t *);
            _local_a->_maximum = _local_a->_length;
            _local_a->_release = 0;
            flick_fluke_decode_end_chunk(4 * _local_a->_length);
            _ev = (mom_exc_t *)(&_t21_storage);
            flick_fluke_decode_end_glob(48);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = math_server_multlonglist(_obj, _local_a, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_fluke_server_start_encode();
            {
              flick_fluke_encode_new_glob(8, _flick_abort155);
              flick_fluke_encode_new_chunk(4);
              flick_fluke_encode_signed32(0, _ev->_type, signed int );
              flick_fluke_encode_end_chunk(4);
              switch (_ev->_type)
                {
                case exc_mom_no_exception:
                  {
                    /* Begin encode phase on parameters */
                    flick_fluke_encode_new_chunk(4);
                    flick_fluke_encode_signed32(0, _return, oskit_s32_t );
                    flick_fluke_encode_end_chunk(4);
                    flick_fluke_encode_end_glob(8);
                    break;
                  }
                case exc_mom_system_exception:
                  {
                    flick_fluke_encode_end_glob(8);
                    flick_mom_encode_system_exception(_ev, fluke, fluke, _flick_abort163);
                    break;
                    {
                    _flick_abort163:
                      goto _flick_abort155;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort164);
                    flick_fluke_encode_end_glob(8);
                    break;
                    {
                    _flick_abort164:
                      goto _flick_abort155;
                    }
                  }
                }
            }
            flick_fluke_server_end_encode();
            _stub_state.state = FLICK_STATE_EPILOGUE;
            return DISPATCH_ACK_SEND;
            break;
            {
            _flick_abort155:
              goto _flick_abort154;
            }
          }
          break;
          {
          _flick_abort154:
            goto _flick_abort11;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort11);
          flick_fluke_decode_end_glob(48);
          break;
        }
      }
  }
  return DISPATCH_NO_REPLY;
  {
  _flick_abort11:
    flick_mom_server_error(fluke, fluke, _flick_reaper, _flick_abort10);
  _flick_abort10:
    return DISPATCH_ACK_SEND;
  }
_flick_reaper:
  return DISPATCH_NO_REPLY;
}

