#include "mig-tests-client.h"

kern_return_t inline_integers(mach_port_t target, Iint inInt, Iint *inoutInt, Iint *outInt)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(12, _flick_abort1);
      flick_fluke_encode_new_chunk(12);
      flick_fluke_encode_signed32(0, 5550001, flick_signed32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_signed32(4, inInt, Iint );
      flick_fluke_encode_signed32(8, *inoutInt, Iint );
      flick_fluke_encode_end_chunk(12);
      flick_fluke_encode_end_glob(12);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(target, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(12);
      flick_fluke_check_span(4, _flick_abort1);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_unsigned32(0, _return, kern_return_t );
      flick_fluke_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_fluke_check_span(8, _flick_abort6);
            flick_fluke_decode_new_chunk(8);
            flick_fluke_decode_signed32(0, *inoutInt, Iint );
            flick_fluke_decode_signed32(4, *outInt, Iint );
            flick_fluke_decode_end_chunk(8);
            flick_fluke_decode_end_glob(12);
            break;
            {
            _flick_abort6:
              goto _flick_abort1;
            }
          }
        default:
          {
            flick_fluke_decode_end_glob(12);
            flick_mig_decode_system_exception(_return, fluke, fluke, _flick_abort7);
            break;
            {
            _flick_abort7:
              goto _flick_abort1;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1);
  return _return;
  {
  _flick_abort1:
    flick_mig_client_error(fluke, fluke, _flick_abort0);
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t inline_fixed_structs(mach_port_t target, IFstruct inStruct, IFstruct *inoutStruct, IFstruct *outStruct)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  if( !flick_fluke_client_start_encode() ) {
    {
      unsigned *_t2_internal;
      unsigned *_t3_internal;

      flick_fluke_encode_new_glob(804, _flick_abort9);
      flick_fluke_encode_new_chunk(804);
      flick_fluke_encode_signed32(0, 5550002, flick_signed32_t );
      /* Begin encode phase on parameters */
      _t2_internal = (unsigned *)(&(inStruct));
      flick_fluke_encode_bcopy(4, _t2_internal, 400);
      _t3_internal = (unsigned *)(&(*inoutStruct));
      flick_fluke_encode_bcopy(404, _t3_internal, 400);
      flick_fluke_encode_end_chunk(804);
      flick_fluke_encode_end_glob(804);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(target, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort9);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(804);
      flick_fluke_check_span(4, _flick_abort9);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_unsigned32(0, _return, kern_return_t );
      flick_fluke_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            unsigned *_t6_internal;
            unsigned *_t7_internal;

            /* Begin decode phase on parameters */
            _t6_internal = (unsigned *)(&(*inoutStruct));
            flick_fluke_check_span(800, _flick_abort26);
            flick_fluke_decode_new_chunk(800);
            flick_fluke_decode_bcopy(0, _t6_internal, 400);
            _t7_internal = (unsigned *)(&(*outStruct));
            flick_fluke_decode_bcopy(400, _t7_internal, 400);
            flick_fluke_decode_end_chunk(800);
            flick_fluke_decode_end_glob(804);
            break;
            {
            _flick_abort26:
              goto _flick_abort9;
            }
          }
        default:
          {
            flick_fluke_decode_end_glob(804);
            flick_mig_decode_system_exception(_return, fluke, fluke, _flick_abort31);
            break;
            {
            _flick_abort31:
              goto _flick_abort9;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort9);
  return _return;
  {
  _flick_abort9:
    flick_mig_client_error(fluke, fluke, _flick_abort8);
  _flick_abort8:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t inline_fixed_arrays(mach_port_t target, IFarray inArray, IFarray inoutArray, IFarray outArray)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  if( !flick_fluke_client_start_encode() ) {
    {
      unsigned *_t10_internal;
      unsigned *_t11_internal;

      flick_fluke_encode_new_glob(2404, _flick_abort33);
      flick_fluke_encode_new_chunk(2404);
      flick_fluke_encode_signed32(0, 5550003, flick_signed32_t );
      /* Begin encode phase on parameters */
      _t10_internal = (unsigned *)inArray;
      flick_fluke_encode_bcopy(4, _t10_internal, 1200);
      _t11_internal = (unsigned *)inoutArray;
      flick_fluke_encode_bcopy(1204, _t11_internal, 1200);
      flick_fluke_encode_end_chunk(2404);
      flick_fluke_encode_end_glob(2404);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(target, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort33);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(2404);
      flick_fluke_check_span(4, _flick_abort33);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_unsigned32(0, _return, kern_return_t );
      flick_fluke_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            unsigned *_t14_internal;
            unsigned *_t15_internal;

            /* Begin decode phase on parameters */
            _t14_internal = (unsigned *)inoutArray;
            flick_fluke_check_span(2400, _flick_abort50);
            flick_fluke_decode_new_chunk(2400);
            flick_fluke_decode_bcopy(0, _t14_internal, 1200);
            _t15_internal = (unsigned *)outArray;
            flick_fluke_decode_bcopy(1200, _t15_internal, 1200);
            flick_fluke_decode_end_chunk(2400);
            flick_fluke_decode_end_glob(2404);
            break;
            {
            _flick_abort50:
              goto _flick_abort33;
            }
          }
        default:
          {
            flick_fluke_decode_end_glob(2404);
            flick_mig_decode_system_exception(_return, fluke, fluke, _flick_abort55);
            break;
            {
            _flick_abort55:
              goto _flick_abort33;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort33);
  return _return;
  {
  _flick_abort33:
    flick_mig_client_error(fluke, fluke, _flick_abort32);
  _flick_abort32:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t inline_bounded_arrays(mach_port_t target, IBarray inArray, mach_msg_type_number_t inArrayCnt, IBarray outArray, mach_msg_type_number_t *outArrayCnt)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(2008, _flick_abort57);
      flick_fluke_encode_new_chunk(8 + 4 * inArrayCnt);
      flick_fluke_encode_signed32(0, 5550004, flick_signed32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_unsigned32(4, inArrayCnt, mach_msg_type_number_t );
      if (inArrayCnt > 500)
        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort57);
      flick_fluke_encode_bcopy(8, inArray, 4 * inArrayCnt);
      flick_fluke_encode_end_chunk(8 + 4 * inArrayCnt);
      flick_fluke_encode_end_glob(2008);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(target, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort57);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(2008);
      flick_fluke_check_span(4, _flick_abort57);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_unsigned32(0, _return, kern_return_t );
      flick_fluke_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_fluke_check_span(4, _flick_abort68);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, *outArrayCnt, mach_msg_type_number_t );
            if (*outArrayCnt > 500)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort68);
            flick_fluke_decode_end_chunk(4);
            flick_fluke_check_span(4 * *outArrayCnt, _flick_abort68);
            flick_fluke_decode_new_chunk(4 * *outArrayCnt);
            flick_fluke_decode_bcopy(0, outArray, 4 * *outArrayCnt);
            flick_fluke_decode_end_chunk(4 * *outArrayCnt);
            flick_fluke_decode_end_glob(2008);
            break;
            {
            _flick_abort68:
              goto _flick_abort57;
            }
          }
        default:
          {
            flick_fluke_decode_end_glob(2008);
            flick_mig_decode_system_exception(_return, fluke, fluke, _flick_abort71);
            break;
            {
            _flick_abort71:
              goto _flick_abort57;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort57);
  return _return;
  {
  _flick_abort57:
    flick_mig_client_error(fluke, fluke, _flick_abort56);
  _flick_abort56:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t inline_unbounded_arrays(mach_port_t target, Iarray inArray, mach_msg_type_number_t inArrayCnt, Iarray *outArray, mach_msg_type_number_t *outArrayCnt)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(8, _flick_abort73);
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_signed32(0, 5550005, flick_signed32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_unsigned32(4, inArrayCnt, mach_msg_type_number_t );
      flick_fluke_encode_end_chunk(8);
      flick_fluke_encode_end_glob(8);
      flick_fluke_encode_new_glob(4 * inArrayCnt, _flick_abort73);
      flick_fluke_encode_new_chunk(4 * inArrayCnt);
      flick_fluke_encode_bcopy(0, inArray, 4 * inArrayCnt);
      flick_fluke_encode_end_chunk(4 * inArrayCnt);
      flick_fluke_encode_end_glob(4 * inArrayCnt);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(target, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort73);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort73);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_unsigned32(0, _return, kern_return_t );
      flick_fluke_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_fluke_check_span(4, _flick_abort84);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, *outArrayCnt, mach_msg_type_number_t );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            flick_fluke_decode_new_glob(4 * *outArrayCnt);
            flick_fluke_check_span(4 * *outArrayCnt, _flick_abort84);
            flick_fluke_decode_new_chunk(4 * *outArrayCnt);
            {
              unsigned *_t_alloc_ptr;

              _t_alloc_ptr = (unsigned *)(mach_vm_flick_alloc(*outArrayCnt * sizeof(unsigned )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort84);
              *outArray = _t_alloc_ptr;
            }
            flick_fluke_decode_bcopy(0, *outArray, 4 * *outArrayCnt);
            flick_fluke_decode_end_chunk(4 * *outArrayCnt);
            flick_fluke_decode_end_glob(4 * *outArrayCnt);
            break;
            {
            _flick_abort84:
              goto _flick_abort73;
            }
          }
        default:
          {
            flick_fluke_decode_end_glob(8);
            flick_mig_decode_system_exception(_return, fluke, fluke, _flick_abort87);
            break;
            {
            _flick_abort87:
              goto _flick_abort73;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort73);
  return _return;
  {
  _flick_abort73:
    flick_mig_client_error(fluke, fluke, _flick_abort72);
  _flick_abort72:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t inline_fixed_strings(mach_port_t target, IFstring inString, IFstring inoutString, IFstring outString)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  if( !flick_fluke_client_start_encode() ) {
    {
      char *_t18_internal;
      char *_t19_internal;

      flick_fluke_encode_new_glob(1604, _flick_abort89);
      flick_fluke_encode_new_chunk(1604);
      flick_fluke_encode_signed32(0, 5550006, flick_signed32_t );
      /* Begin encode phase on parameters */
      _t18_internal = (char *)inString;
      flick_fluke_encode_bcopy(4, _t18_internal, 799);
      _t19_internal = (char *)inoutString;
      flick_fluke_encode_bcopy(804, _t19_internal, 799);
      flick_fluke_encode_end_chunk(1604);
      flick_fluke_encode_end_glob(1604);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(target, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort89);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(1604);
      flick_fluke_check_span(4, _flick_abort89);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_unsigned32(0, _return, kern_return_t );
      flick_fluke_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            char *_t22_internal;
            char *_t23_internal;

            /* Begin decode phase on parameters */
            _t22_internal = (char *)inoutString;
            flick_fluke_check_span(1600, _flick_abort106);
            flick_fluke_decode_new_chunk(1600);
            flick_fluke_decode_bcopy(0, _t22_internal, 799);
            _t23_internal = (char *)outString;
            flick_fluke_decode_bcopy(800, _t23_internal, 799);
            flick_fluke_decode_end_chunk(1600);
            flick_fluke_decode_end_glob(1604);
            break;
            {
            _flick_abort106:
              goto _flick_abort89;
            }
          }
        default:
          {
            flick_fluke_decode_end_glob(1604);
            flick_mig_decode_system_exception(_return, fluke, fluke, _flick_abort111);
            break;
            {
            _flick_abort111:
              goto _flick_abort89;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort89);
  return _return;
  {
  _flick_abort89:
    flick_mig_client_error(fluke, fluke, _flick_abort88);
  _flick_abort88:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t inline_bounded_strings(mach_port_t target, IVstring inString, IVstring outString)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_unsigned32_t _t25_temp_string_len;

      flick_fluke_stringlen(IVstring , inString, flick_unsigned32_t , _t25_temp_string_len);

      flick_fluke_encode_new_glob(5006, _flick_abort113);
      flick_fluke_encode_new_chunk(8 + 1 * _t25_temp_string_len);
      flick_fluke_encode_signed32(0, 5550007, flick_signed32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_unsigned32(4, _t25_temp_string_len, flick_unsigned32_t );
      if (_t25_temp_string_len > 4997)
        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort113);
      flick_fluke_encode_bcopy(8, inString, 1 * _t25_temp_string_len);
      flick_fluke_encode_end_chunk(8 + 1 * _t25_temp_string_len);
      flick_fluke_encode_end_glob(5006);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(target, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort113);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(5006);
      flick_fluke_check_span(4, _flick_abort113);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_unsigned32(0, _return, kern_return_t );
      flick_fluke_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            flick_unsigned32_t _t27_temp_string_len;

            /* Begin decode phase on parameters */
            flick_fluke_check_span(4, _flick_abort124);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, _t27_temp_string_len, flick_unsigned32_t );
            if (_t27_temp_string_len > 4997)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort124);
            flick_fluke_decode_end_chunk(4);
            flick_fluke_check_span(1 * _t27_temp_string_len, _flick_abort124);
            flick_fluke_decode_new_chunk(1 * _t27_temp_string_len);
            flick_fluke_decode_bcopy(0, outString, 1 * _t27_temp_string_len);
            flick_fluke_decode_end_chunk(1 * _t27_temp_string_len);
            flick_fluke_decode_end_glob(5006);
            break;
            {
            _flick_abort124:
              goto _flick_abort113;
            }
          }
        default:
          {
            flick_fluke_decode_end_glob(5006);
            flick_mig_decode_system_exception(_return, fluke, fluke, _flick_abort127);
            break;
            {
            _flick_abort127:
              goto _flick_abort113;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort113);
  return _return;
  {
  _flick_abort113:
    flick_mig_client_error(fluke, fluke, _flick_abort112);
  _flick_abort112:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t inline_port_rights(mach_port_t target, mach_port_t inRight, mach_port_t *inoutRight, mach_port_t *outRight)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(12, _flick_abort129);
      flick_fluke_encode_new_chunk(12);
      flick_fluke_encode_signed32(0, 5550008, flick_signed32_t );
      /* Begin encode phase on parameters */
      flick_fluke_client_encode_port32(4, inRight, 1);
      flick_fluke_client_encode_port32(8, *inoutRight, 0);
      flick_fluke_encode_end_chunk(12);
      flick_fluke_encode_end_glob(12);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(target, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort129);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(12);
      flick_fluke_check_span(4, _flick_abort129);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_unsigned32(0, _return, kern_return_t );
      flick_fluke_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_fluke_check_span(8, _flick_abort134);
            flick_fluke_decode_new_chunk(8);
            flick_fluke_client_decode_port32(0, *inoutRight, 1);
            flick_fluke_client_decode_port32(4, *outRight, 1);
            flick_fluke_decode_end_chunk(8);
            flick_fluke_decode_end_glob(12);
            break;
            {
            _flick_abort134:
              goto _flick_abort129;
            }
          }
        default:
          {
            flick_fluke_decode_end_glob(12);
            flick_mig_decode_system_exception(_return, fluke, fluke, _flick_abort135);
            break;
            {
            _flick_abort135:
              goto _flick_abort129;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort129);
  return _return;
  {
  _flick_abort129:
    flick_mig_client_error(fluke, fluke, _flick_abort128);
  _flick_abort128:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t inline_port_arrays(mach_port_t target, Imach_port_array_t inRight, mach_msg_type_number_t inRightCnt, Imach_port_array_t *outRight, mach_msg_type_number_t *outRightCnt)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  if( !flick_fluke_client_start_encode() ) {
    {
      mach_msg_type_number_t _t29_array_iter;

      flick_fluke_encode_new_glob(8, _flick_abort137);
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_signed32(0, 5550009, flick_signed32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_unsigned32(4, inRightCnt, mach_msg_type_number_t );
      flick_fluke_encode_end_chunk(8);
      flick_fluke_encode_end_glob(8);
      flick_fluke_encode_new_glob(4 * inRightCnt, _flick_abort137);
      for (_t29_array_iter = 0; _t29_array_iter < inRightCnt; _t29_array_iter++)
        {
          flick_fluke_encode_new_chunk(4);
          flick_fluke_client_encode_port32(0, inRight[_t29_array_iter], 1);
          flick_fluke_encode_end_chunk(4);
          continue;
        }
      flick_fluke_encode_end_glob(4 * inRightCnt);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(target, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort137);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort137);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_unsigned32(0, _return, kern_return_t );
      flick_fluke_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            mach_msg_type_number_t _t31_array_iter;

            /* Begin decode phase on parameters */
            flick_fluke_check_span(4, _flick_abort157);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, *outRightCnt, mach_msg_type_number_t );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            flick_fluke_decode_new_glob(4 * *outRightCnt);
            {
              mach_port_t *_t_alloc_ptr;

              _t_alloc_ptr = (mach_port_t *)(mach_vm_flick_alloc(*outRightCnt * sizeof(mach_port_t )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort157);
              *outRight = _t_alloc_ptr;
            }
            flick_fluke_check_span(*outRightCnt * 4, _flick_abort157);
            for (_t31_array_iter = 0; _t31_array_iter < *outRightCnt; _t31_array_iter++)
              {
                flick_fluke_decode_new_chunk(4);
                flick_fluke_client_decode_port32(0, (*outRight)[_t31_array_iter], 1);
                flick_fluke_decode_end_chunk(4);
                continue;
              }
            flick_fluke_decode_end_glob(4 * *outRightCnt);
            break;
            {
            _flick_abort157:
              goto _flick_abort137;
            }
          }
        default:
          {
            flick_fluke_decode_end_glob(8);
            flick_mig_decode_system_exception(_return, fluke, fluke, _flick_abort163);
            break;
            {
            _flick_abort163:
              goto _flick_abort137;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort137);
  return _return;
  {
  _flick_abort137:
    flick_mig_client_error(fluke, fluke, _flick_abort136);
  _flick_abort136:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t inline_poly_arrays(mach_port_t target, Imach_poly_array_t inRight, mach_msg_type_number_t inRightCnt, Imach_poly_array_t *outRight, mach_msg_type_number_t *outRightCnt)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  if( !flick_fluke_client_start_encode() ) {
    {
      mach_msg_type_number_t _t33_array_iter;

      flick_fluke_encode_new_glob(8, _flick_abort165);
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_signed32(0, 5550010, flick_signed32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_unsigned32(4, inRightCnt, mach_msg_type_number_t );
      flick_fluke_encode_end_chunk(8);
      flick_fluke_encode_end_glob(8);
      flick_fluke_encode_new_glob(4 * inRightCnt, _flick_abort165);
      for (_t33_array_iter = 0; _t33_array_iter < inRightCnt; _t33_array_iter++)
        {
          flick_fluke_encode_new_chunk(4);
          flick_fluke_client_encode_port32(0, inRight[_t33_array_iter], 0);
          flick_fluke_encode_end_chunk(4);
          continue;
        }
      flick_fluke_encode_end_glob(4 * inRightCnt);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(target, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort165);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort165);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_unsigned32(0, _return, kern_return_t );
      flick_fluke_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            mach_msg_type_number_t _t35_array_iter;

            /* Begin decode phase on parameters */
            flick_fluke_check_span(4, _flick_abort185);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, *outRightCnt, mach_msg_type_number_t );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            flick_fluke_decode_new_glob(4 * *outRightCnt);
            {
              mach_port_t *_t_alloc_ptr;

              _t_alloc_ptr = (mach_port_t *)(mach_vm_flick_alloc(*outRightCnt * sizeof(mach_port_t )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort185);
              *outRight = _t_alloc_ptr;
            }
            flick_fluke_check_span(*outRightCnt * 4, _flick_abort185);
            for (_t35_array_iter = 0; _t35_array_iter < *outRightCnt; _t35_array_iter++)
              {
                flick_fluke_decode_new_chunk(4);
                flick_fluke_client_decode_port32(0, (*outRight)[_t35_array_iter], 1);
                flick_fluke_decode_end_chunk(4);
                continue;
              }
            flick_fluke_decode_end_glob(4 * *outRightCnt);
            break;
            {
            _flick_abort185:
              goto _flick_abort165;
            }
          }
        default:
          {
            flick_fluke_decode_end_glob(8);
            flick_mig_decode_system_exception(_return, fluke, fluke, _flick_abort191);
            break;
            {
            _flick_abort191:
              goto _flick_abort165;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort165);
  return _return;
  {
  _flick_abort165:
    flick_mig_client_error(fluke, fluke, _flick_abort164);
  _flick_abort164:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t outline_integers(mach_port_t target, Oint inInt, Oint *inoutInt, Oint *outInt)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(12, _flick_abort193);
      flick_fluke_encode_new_chunk(12);
      flick_fluke_encode_signed32(0, 5550012, flick_signed32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_signed32(4, *inInt, unsigned );
      flick_fluke_encode_signed32(8, **inoutInt, unsigned );
      flick_fluke_encode_end_chunk(12);
      flick_fluke_encode_end_glob(12);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(target, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort193);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(12);
      flick_fluke_check_span(4, _flick_abort193);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_unsigned32(0, _return, kern_return_t );
      flick_fluke_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_fluke_check_span(8, _flick_abort198);
            flick_fluke_decode_new_chunk(8);
            flick_fluke_decode_signed32(0, **inoutInt, unsigned );
            flick_fluke_decode_signed32(4, **outInt, unsigned );
            flick_fluke_decode_end_chunk(8);
            flick_fluke_decode_end_glob(12);
            break;
            {
            _flick_abort198:
              goto _flick_abort193;
            }
          }
        default:
          {
            flick_fluke_decode_end_glob(12);
            flick_mig_decode_system_exception(_return, fluke, fluke, _flick_abort199);
            break;
            {
            _flick_abort199:
              goto _flick_abort193;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort193);
  return _return;
  {
  _flick_abort193:
    flick_mig_client_error(fluke, fluke, _flick_abort192);
  _flick_abort192:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t outline_fixed_structs(mach_port_t target, OFstruct inStruct, OFstruct *inoutStruct, OFstruct *outStruct)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(1604, _flick_abort201);
      flick_fluke_encode_new_chunk(1604);
      flick_fluke_encode_signed32(0, 5550013, flick_signed32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_bcopy(4, *inStruct, 800);
      flick_fluke_encode_bcopy(804, **inoutStruct, 800);
      flick_fluke_encode_end_chunk(1604);
      flick_fluke_encode_end_glob(1604);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(target, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort201);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(1604);
      flick_fluke_check_span(4, _flick_abort201);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_unsigned32(0, _return, kern_return_t );
      flick_fluke_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_fluke_check_span(1600, _flick_abort218);
            flick_fluke_decode_new_chunk(1600);
            flick_fluke_decode_bcopy(0, **inoutStruct, 800);
            flick_fluke_decode_bcopy(800, **outStruct, 800);
            flick_fluke_decode_end_chunk(1600);
            flick_fluke_decode_end_glob(1604);
            break;
            {
            _flick_abort218:
              goto _flick_abort201;
            }
          }
        default:
          {
            flick_fluke_decode_end_glob(1604);
            flick_mig_decode_system_exception(_return, fluke, fluke, _flick_abort223);
            break;
            {
            _flick_abort223:
              goto _flick_abort201;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort201);
  return _return;
  {
  _flick_abort201:
    flick_mig_client_error(fluke, fluke, _flick_abort200);
  _flick_abort200:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t outline_fixed_arrays(mach_port_t target, OFarray inArray, OFarray *inoutArray, OFarray *outArray)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(3204, _flick_abort225);
      flick_fluke_encode_new_chunk(3204);
      flick_fluke_encode_signed32(0, 5550014, flick_signed32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_bcopy(4, *inArray, 1600);
      flick_fluke_encode_bcopy(1604, **inoutArray, 1600);
      flick_fluke_encode_end_chunk(3204);
      flick_fluke_encode_end_glob(3204);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(target, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort225);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(3204);
      flick_fluke_check_span(4, _flick_abort225);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_unsigned32(0, _return, kern_return_t );
      flick_fluke_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_fluke_check_span(3200, _flick_abort242);
            flick_fluke_decode_new_chunk(3200);
            flick_fluke_decode_bcopy(0, **inoutArray, 1600);
            flick_fluke_decode_bcopy(1600, **outArray, 1600);
            flick_fluke_decode_end_chunk(3200);
            flick_fluke_decode_end_glob(3204);
            break;
            {
            _flick_abort242:
              goto _flick_abort225;
            }
          }
        default:
          {
            flick_fluke_decode_end_glob(3204);
            flick_mig_decode_system_exception(_return, fluke, fluke, _flick_abort247);
            break;
            {
            _flick_abort247:
              goto _flick_abort225;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort225);
  return _return;
  {
  _flick_abort225:
    flick_mig_client_error(fluke, fluke, _flick_abort224);
  _flick_abort224:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t outline_unbounded_arrays(mach_port_t target, Oarray inArray, mach_msg_type_number_t inArrayCnt, Oarray *inoutArray, mach_msg_type_number_t *inoutArrayCnt, Oarray *outArray, mach_msg_type_number_t *outArrayCnt)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(8, _flick_abort249);
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_signed32(0, 5550015, flick_signed32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_unsigned32(4, inArrayCnt, mach_msg_type_number_t );
      flick_fluke_encode_end_chunk(8);
      flick_fluke_encode_end_glob(8);
      flick_fluke_encode_new_glob(4 * inArrayCnt, _flick_abort249);
      if (inArrayCnt > 512)
        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort249);
      flick_fluke_encode_new_chunk(4 * inArrayCnt);
      flick_fluke_encode_bcopy(0, inArray, 4 * inArrayCnt);
      flick_fluke_encode_end_chunk(4 * inArrayCnt);
      flick_fluke_encode_end_glob(4 * inArrayCnt);
      flick_fluke_encode_new_glob(4, _flick_abort249);
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_unsigned32(0, *inoutArrayCnt, mach_msg_type_number_t );
      flick_fluke_encode_end_chunk(4);
      flick_fluke_encode_end_glob(4);
      flick_fluke_encode_new_glob(4 * *inoutArrayCnt, _flick_abort249);
      if (*inoutArrayCnt > 512)
        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort249);
      flick_fluke_encode_new_chunk(4 * *inoutArrayCnt);
      flick_fluke_encode_bcopy(0, *inoutArray, 4 * *inoutArrayCnt);
      flick_fluke_encode_end_chunk(4 * *inoutArrayCnt);
      flick_fluke_encode_end_glob(4 * *inoutArrayCnt);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(target, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort249);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort249);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_unsigned32(0, _return, kern_return_t );
      flick_fluke_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_fluke_check_span(4, _flick_abort266);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, *inoutArrayCnt, mach_msg_type_number_t );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            flick_fluke_decode_new_glob(4 * *inoutArrayCnt);
            if (*inoutArrayCnt > 512)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort266);
            flick_fluke_check_span(4 * *inoutArrayCnt + 4, _flick_abort266);
            flick_fluke_decode_new_chunk(4 * *inoutArrayCnt);
            flick_fluke_decode_bcopy(0, *inoutArray, 4 * *inoutArrayCnt);
            flick_fluke_decode_end_chunk(4 * *inoutArrayCnt);
            flick_fluke_decode_end_glob(4 * *inoutArrayCnt);
            flick_fluke_decode_new_glob(4);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, *outArrayCnt, mach_msg_type_number_t );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(4);
            flick_fluke_decode_new_glob(4 * *outArrayCnt);
            if (*outArrayCnt > 512)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort266);
            flick_fluke_check_span(4 * *outArrayCnt, _flick_abort266);
            flick_fluke_decode_new_chunk(4 * *outArrayCnt);
            flick_fluke_decode_bcopy(0, *outArray, 4 * *outArrayCnt);
            flick_fluke_decode_end_chunk(4 * *outArrayCnt);
            flick_fluke_decode_end_glob(4 * *outArrayCnt);
            break;
            {
            _flick_abort266:
              goto _flick_abort249;
            }
          }
        default:
          {
            flick_fluke_decode_end_glob(8);
            flick_mig_decode_system_exception(_return, fluke, fluke, _flick_abort271);
            break;
            {
            _flick_abort271:
              goto _flick_abort249;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort249);
  return _return;
  {
  _flick_abort249:
    flick_mig_client_error(fluke, fluke, _flick_abort248);
  _flick_abort248:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t outline_fixed_strings(mach_port_t target, OFstring inString, OFstring *inoutString, OFstring *outString)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(1606, _flick_abort273);
      flick_fluke_encode_new_chunk(1606);
      flick_fluke_encode_signed32(0, 5550016, flick_signed32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_bcopy(4, *inString, 800);
      flick_fluke_encode_bcopy(805, **inoutString, 800);
      flick_fluke_encode_end_chunk(1606);
      flick_fluke_encode_end_glob(1606);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(target, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort273);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(1606);
      flick_fluke_check_span(4, _flick_abort273);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_unsigned32(0, _return, kern_return_t );
      flick_fluke_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_fluke_check_span(1602, _flick_abort290);
            flick_fluke_decode_new_chunk(1602);
            flick_fluke_decode_bcopy(0, **inoutString, 800);
            flick_fluke_decode_bcopy(801, **outString, 800);
            flick_fluke_decode_end_chunk(1602);
            flick_fluke_decode_end_glob(1606);
            break;
            {
            _flick_abort290:
              goto _flick_abort273;
            }
          }
        default:
          {
            flick_fluke_decode_end_glob(1606);
            flick_mig_decode_system_exception(_return, fluke, fluke, _flick_abort295);
            break;
            {
            _flick_abort295:
              goto _flick_abort273;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort273);
  return _return;
  {
  _flick_abort273:
    flick_mig_client_error(fluke, fluke, _flick_abort272);
  _flick_abort272:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t outline_port_arrays(mach_port_t target, mach_port_array_t inRight, mach_msg_type_number_t inRightCnt, mach_port_array_t *inoutRight, mach_msg_type_number_t *inoutRightCnt, mach_port_array_t *outRight, mach_msg_type_number_t *outRightCnt)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  if( !flick_fluke_client_start_encode() ) {
    {
      mach_msg_type_number_t _t38_array_iter;
      mach_msg_type_number_t _t39_array_iter;

      flick_fluke_encode_new_glob(8, _flick_abort297);
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_signed32(0, 5550017, flick_signed32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_unsigned32(4, inRightCnt, mach_msg_type_number_t );
      flick_fluke_encode_end_chunk(8);
      flick_fluke_encode_end_glob(8);
      flick_fluke_encode_new_glob(4 * inRightCnt, _flick_abort297);
      if (inRightCnt > 512)
        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort297);
      for (_t38_array_iter = 0; _t38_array_iter < inRightCnt; _t38_array_iter++)
        {
          flick_fluke_encode_new_chunk(4);
          flick_fluke_client_encode_port32(0, inRight[_t38_array_iter], 0);
          flick_fluke_encode_end_chunk(4);
          continue;
        }
      flick_fluke_encode_end_glob(4 * inRightCnt);
      flick_fluke_encode_new_glob(4, _flick_abort297);
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_unsigned32(0, *inoutRightCnt, mach_msg_type_number_t );
      flick_fluke_encode_end_chunk(4);
      flick_fluke_encode_end_glob(4);
      flick_fluke_encode_new_glob(4 * *inoutRightCnt, _flick_abort297);
      if (*inoutRightCnt > 512)
        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort297);
      for (_t39_array_iter = 0; _t39_array_iter < *inoutRightCnt; _t39_array_iter++)
        {
          flick_fluke_encode_new_chunk(4);
          flick_fluke_client_encode_port32(0, (*inoutRight)[_t39_array_iter], 0);
          flick_fluke_encode_end_chunk(4);
          continue;
        }
      flick_fluke_encode_end_glob(4 * *inoutRightCnt);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(target, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort297);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort297);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_unsigned32(0, _return, kern_return_t );
      flick_fluke_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            mach_msg_type_number_t _t42_array_iter;
            mach_msg_type_number_t _t43_array_iter;

            /* Begin decode phase on parameters */
            flick_fluke_check_span(4, _flick_abort332);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, *inoutRightCnt, mach_msg_type_number_t );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            flick_fluke_decode_new_glob(4 * *inoutRightCnt);
            if (*inoutRightCnt > 512)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort332);
            flick_fluke_check_span(*inoutRightCnt * 4 + 4, _flick_abort332);
            for (_t42_array_iter = 0; _t42_array_iter < *inoutRightCnt; _t42_array_iter++)
              {
                flick_fluke_decode_new_chunk(4);
                flick_fluke_client_decode_port32(0, (*inoutRight)[_t42_array_iter], 1);
                flick_fluke_decode_end_chunk(4);
                continue;
              }
            flick_fluke_decode_end_glob(4 * *inoutRightCnt);
            flick_fluke_decode_new_glob(4);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, *outRightCnt, mach_msg_type_number_t );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(4);
            flick_fluke_decode_new_glob(4 * *outRightCnt);
            if (*outRightCnt > 512)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort332);
            flick_fluke_check_span(*outRightCnt * 4, _flick_abort332);
            for (_t43_array_iter = 0; _t43_array_iter < *outRightCnt; _t43_array_iter++)
              {
                flick_fluke_decode_new_chunk(4);
                flick_fluke_client_decode_port32(0, (*outRight)[_t43_array_iter], 1);
                flick_fluke_decode_end_chunk(4);
                continue;
              }
            flick_fluke_decode_end_glob(4 * *outRightCnt);
            break;
            {
            _flick_abort332:
              goto _flick_abort297;
            }
          }
        default:
          {
            flick_fluke_decode_end_glob(8);
            flick_mig_decode_system_exception(_return, fluke, fluke, _flick_abort343);
            break;
            {
            _flick_abort343:
              goto _flick_abort297;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort297);
  return _return;
  {
  _flick_abort297:
    flick_mig_client_error(fluke, fluke, _flick_abort296);
  _flick_abort296:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t outline_poly_arrays(mach_port_t target, Omach_poly_array_t inRight, mach_msg_type_number_t inRightCnt, Omach_poly_array_t *inoutRight, mach_msg_type_number_t *inoutRightCnt, Omach_poly_array_t *outRight, mach_msg_type_number_t *outRightCnt)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  if( !flick_fluke_client_start_encode() ) {
    {
      mach_msg_type_number_t _t46_array_iter;
      mach_msg_type_number_t _t47_array_iter;

      flick_fluke_encode_new_glob(8, _flick_abort345);
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_signed32(0, 5550018, flick_signed32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_unsigned32(4, inRightCnt, mach_msg_type_number_t );
      flick_fluke_encode_end_chunk(8);
      flick_fluke_encode_end_glob(8);
      flick_fluke_encode_new_glob(4 * inRightCnt, _flick_abort345);
      if (inRightCnt > 512)
        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort345);
      for (_t46_array_iter = 0; _t46_array_iter < inRightCnt; _t46_array_iter++)
        {
          flick_fluke_encode_new_chunk(4);
          flick_fluke_client_encode_port32(0, inRight[_t46_array_iter], 0);
          flick_fluke_encode_end_chunk(4);
          continue;
        }
      flick_fluke_encode_end_glob(4 * inRightCnt);
      flick_fluke_encode_new_glob(4, _flick_abort345);
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_unsigned32(0, *inoutRightCnt, mach_msg_type_number_t );
      flick_fluke_encode_end_chunk(4);
      flick_fluke_encode_end_glob(4);
      flick_fluke_encode_new_glob(4 * *inoutRightCnt, _flick_abort345);
      if (*inoutRightCnt > 512)
        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort345);
      for (_t47_array_iter = 0; _t47_array_iter < *inoutRightCnt; _t47_array_iter++)
        {
          flick_fluke_encode_new_chunk(4);
          flick_fluke_client_encode_port32(0, (*inoutRight)[_t47_array_iter], 0);
          flick_fluke_encode_end_chunk(4);
          continue;
        }
      flick_fluke_encode_end_glob(4 * *inoutRightCnt);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(target, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort345);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort345);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_unsigned32(0, _return, kern_return_t );
      flick_fluke_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            mach_msg_type_number_t _t50_array_iter;
            mach_msg_type_number_t _t51_array_iter;

            /* Begin decode phase on parameters */
            flick_fluke_check_span(4, _flick_abort380);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, *inoutRightCnt, mach_msg_type_number_t );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            flick_fluke_decode_new_glob(4 * *inoutRightCnt);
            if (*inoutRightCnt > 512)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort380);
            flick_fluke_check_span(*inoutRightCnt * 4 + 4, _flick_abort380);
            for (_t50_array_iter = 0; _t50_array_iter < *inoutRightCnt; _t50_array_iter++)
              {
                flick_fluke_decode_new_chunk(4);
                flick_fluke_client_decode_port32(0, (*inoutRight)[_t50_array_iter], 1);
                flick_fluke_decode_end_chunk(4);
                continue;
              }
            flick_fluke_decode_end_glob(4 * *inoutRightCnt);
            flick_fluke_decode_new_glob(4);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, *outRightCnt, mach_msg_type_number_t );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(4);
            flick_fluke_decode_new_glob(4 * *outRightCnt);
            if (*outRightCnt > 512)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort380);
            flick_fluke_check_span(*outRightCnt * 4, _flick_abort380);
            for (_t51_array_iter = 0; _t51_array_iter < *outRightCnt; _t51_array_iter++)
              {
                flick_fluke_decode_new_chunk(4);
                flick_fluke_client_decode_port32(0, (*outRight)[_t51_array_iter], 1);
                flick_fluke_decode_end_chunk(4);
                continue;
              }
            flick_fluke_decode_end_glob(4 * *outRightCnt);
            break;
            {
            _flick_abort380:
              goto _flick_abort345;
            }
          }
        default:
          {
            flick_fluke_decode_end_glob(8);
            flick_mig_decode_system_exception(_return, fluke, fluke, _flick_abort391);
            break;
            {
            _flick_abort391:
              goto _flick_abort345;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort345);
  return _return;
  {
  _flick_abort345:
    flick_mig_client_error(fluke, fluke, _flick_abort344);
  _flick_abort344:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t test_reply_ports(mach_port_t reply, mach_port_t target, unsigned int *data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(8, _flick_abort393);
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_signed32(0, 5550020, flick_signed32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_signed32(4, *data, unsigned int );
      flick_fluke_encode_end_chunk(8);
      flick_fluke_encode_end_glob(8);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(target, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort393);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort393);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_unsigned32(0, _return, kern_return_t );
      flick_fluke_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_fluke_check_span(4, _flick_abort398);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed32(0, *data, unsigned int );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort398:
              goto _flick_abort393;
            }
          }
        default:
          {
            flick_fluke_decode_end_glob(8);
            flick_mig_decode_system_exception(_return, fluke, fluke, _flick_abort399);
            break;
            {
            _flick_abort399:
              goto _flick_abort393;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort393);
  return _return;
  {
  _flick_abort393:
    flick_mig_client_error(fluke, fluke, _flick_abort392);
  _flick_abort392:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t test_sreply_ports(mach_port_t target, unsigned int *data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(8, _flick_abort401);
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_signed32(0, 5550021, flick_signed32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_signed32(4, *data, unsigned int );
      flick_fluke_encode_end_chunk(8);
      flick_fluke_encode_end_glob(8);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(target, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort401);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort401);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_unsigned32(0, _return, kern_return_t );
      flick_fluke_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_fluke_check_span(4, _flick_abort406);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed32(0, *data, unsigned int );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort406:
              goto _flick_abort401;
            }
          }
        default:
          {
            flick_fluke_decode_end_glob(8);
            flick_mig_decode_system_exception(_return, fluke, fluke, _flick_abort407);
            break;
            {
            _flick_abort407:
              goto _flick_abort401;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort401);
  return _return;
  {
  _flick_abort401:
    flick_mig_client_error(fluke, fluke, _flick_abort400);
  _flick_abort400:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t test_ureply_ports(mach_port_t target, mach_port_t reply, unsigned int *data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(8, _flick_abort409);
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_signed32(0, 5550022, flick_signed32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_signed32(4, *data, unsigned int );
      flick_fluke_encode_end_chunk(8);
      flick_fluke_encode_end_glob(8);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(target, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort409);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort409);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_unsigned32(0, _return, kern_return_t );
      flick_fluke_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_fluke_check_span(4, _flick_abort414);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed32(0, *data, unsigned int );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort414:
              goto _flick_abort409;
            }
          }
        default:
          {
            flick_fluke_decode_end_glob(8);
            flick_mig_decode_system_exception(_return, fluke, fluke, _flick_abort415);
            break;
            {
            _flick_abort415:
              goto _flick_abort409;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort409);
  return _return;
  {
  _flick_abort409:
    flick_mig_client_error(fluke, fluke, _flick_abort408);
  _flick_abort408:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t test_param_flags(unsigned int time, unsigned int opt, mach_port_t target, unsigned int *data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(8, _flick_abort417);
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_signed32(0, 5550023, flick_signed32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_signed32(4, *data, unsigned int );
      flick_fluke_encode_end_chunk(8);
      flick_fluke_encode_end_glob(8);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(target, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort417);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort417);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_unsigned32(0, _return, kern_return_t );
      flick_fluke_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_fluke_check_span(4, _flick_abort422);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed32(0, *data, unsigned int );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort422:
              goto _flick_abort417;
            }
          }
        default:
          {
            flick_fluke_decode_end_glob(8);
            flick_mig_decode_system_exception(_return, fluke, fluke, _flick_abort423);
            break;
            {
            _flick_abort423:
              goto _flick_abort417;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort417);
  return _return;
  {
  _flick_abort417:
    flick_mig_client_error(fluke, fluke, _flick_abort416);
  _flick_abort416:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t test_countinout(mach_port_t target, Iarray *outArray, mach_msg_type_number_t *outArrayCnt)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(4, _flick_abort425);
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_signed32(0, 5550024, flick_signed32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_end_chunk(4);
      flick_fluke_encode_end_glob(4);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(target, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort425);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort425);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_unsigned32(0, _return, kern_return_t );
      flick_fluke_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_fluke_check_span(4, _flick_abort432);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, *outArrayCnt, mach_msg_type_number_t );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            flick_fluke_decode_new_glob(4 * *outArrayCnt);
            flick_fluke_check_span(4 * *outArrayCnt, _flick_abort432);
            flick_fluke_decode_new_chunk(4 * *outArrayCnt);
            {
              unsigned *_t_alloc_ptr;

              _t_alloc_ptr = (unsigned *)(mach_vm_flick_alloc(*outArrayCnt * sizeof(unsigned )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort432);
              *outArray = _t_alloc_ptr;
            }
            flick_fluke_decode_bcopy(0, *outArray, 4 * *outArrayCnt);
            flick_fluke_decode_end_chunk(4 * *outArrayCnt);
            flick_fluke_decode_end_glob(4 * *outArrayCnt);
            break;
            {
            _flick_abort432:
              goto _flick_abort425;
            }
          }
        default:
          {
            flick_fluke_decode_end_glob(8);
            flick_mig_decode_system_exception(_return, fluke, fluke, _flick_abort435);
            break;
            {
            _flick_abort435:
              goto _flick_abort425;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort425);
  return _return;
  {
  _flick_abort425:
    flick_mig_client_error(fluke, fluke, _flick_abort424);
  _flick_abort424:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t test_dealloc_pointer(mach_port_t target, Oarray inArray, mach_msg_type_number_t inArrayCnt, Oarray *inoutArray, mach_msg_type_number_t *inoutArrayCnt, Oarray *outArray, mach_msg_type_number_t *outArrayCnt)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(8, _flick_abort437);
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_signed32(0, 5550025, flick_signed32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_unsigned32(4, inArrayCnt, mach_msg_type_number_t );
      flick_fluke_encode_end_chunk(8);
      flick_fluke_encode_end_glob(8);
      flick_fluke_encode_new_glob(4 * inArrayCnt, _flick_abort437);
      if (inArrayCnt > 512)
        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort437);
      flick_fluke_encode_new_chunk(4 * inArrayCnt);
      flick_fluke_encode_bcopy(0, inArray, 4 * inArrayCnt);
      mach_vm_flick_free(inArray);
      flick_fluke_encode_end_chunk(4 * inArrayCnt);
      flick_fluke_encode_end_glob(4 * inArrayCnt);
      flick_fluke_encode_new_glob(4, _flick_abort437);
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_unsigned32(0, *inoutArrayCnt, mach_msg_type_number_t );
      flick_fluke_encode_end_chunk(4);
      flick_fluke_encode_end_glob(4);
      flick_fluke_encode_new_glob(4 * *inoutArrayCnt, _flick_abort437);
      if (*inoutArrayCnt > 512)
        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort437);
      flick_fluke_encode_new_chunk(4 * *inoutArrayCnt);
      flick_fluke_encode_bcopy(0, *inoutArray, 4 * *inoutArrayCnt);
      mach_vm_flick_free(*inoutArray);
      *inoutArray = 0;
      flick_fluke_encode_end_chunk(4 * *inoutArrayCnt);
      flick_fluke_encode_end_glob(4 * *inoutArrayCnt);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(target, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort437);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort437);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_unsigned32(0, _return, kern_return_t );
      flick_fluke_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_fluke_check_span(4, _flick_abort454);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, *inoutArrayCnt, mach_msg_type_number_t );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            flick_fluke_decode_new_glob(4 * *inoutArrayCnt);
            if (*inoutArrayCnt > 512)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort454);
            flick_fluke_check_span(4 * *inoutArrayCnt + 4, _flick_abort454);
            flick_fluke_decode_new_chunk(4 * *inoutArrayCnt);
            flick_fluke_decode_bcopy(0, *inoutArray, 4 * *inoutArrayCnt);
            flick_fluke_decode_end_chunk(4 * *inoutArrayCnt);
            flick_fluke_decode_end_glob(4 * *inoutArrayCnt);
            flick_fluke_decode_new_glob(4);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, *outArrayCnt, mach_msg_type_number_t );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(4);
            flick_fluke_decode_new_glob(4 * *outArrayCnt);
            if (*outArrayCnt > 512)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort454);
            flick_fluke_check_span(4 * *outArrayCnt, _flick_abort454);
            flick_fluke_decode_new_chunk(4 * *outArrayCnt);
            flick_fluke_decode_bcopy(0, *outArray, 4 * *outArrayCnt);
            flick_fluke_decode_end_chunk(4 * *outArrayCnt);
            flick_fluke_decode_end_glob(4 * *outArrayCnt);
            break;
            {
            _flick_abort454:
              goto _flick_abort437;
            }
          }
        default:
          {
            flick_fluke_decode_end_glob(8);
            flick_mig_decode_system_exception(_return, fluke, fluke, _flick_abort459);
            break;
            {
            _flick_abort459:
              goto _flick_abort437;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort437);
  return _return;
  {
  _flick_abort437:
    flick_mig_client_error(fluke, fluke, _flick_abort436);
  _flick_abort436:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t test_dynamic_dealloc_pointer(mach_port_t target, Oarray inArray, mach_msg_type_number_t inArrayCnt, boolean_t inArrayDealloc, Oarray *inoutArray, mach_msg_type_number_t *inoutArrayCnt, boolean_t inoutArrayDealloc, Oarray *outArray, mach_msg_type_number_t *outArrayCnt)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(8, _flick_abort461);
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_signed32(0, 5550026, flick_signed32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_unsigned32(4, inArrayCnt, mach_msg_type_number_t );
      flick_fluke_encode_end_chunk(8);
      flick_fluke_encode_end_glob(8);
      flick_fluke_encode_new_glob(4 * inArrayCnt, _flick_abort461);
      if (inArrayCnt > 512)
        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort461);
      flick_fluke_encode_new_chunk(4 * inArrayCnt);
      flick_fluke_encode_bcopy(0, inArray, 4 * inArrayCnt);
      if (inArrayDealloc)
        mach_vm_flick_free(inArray);
      inArrayDealloc = 0;
      flick_fluke_encode_end_chunk(4 * inArrayCnt);
      flick_fluke_encode_end_glob(4 * inArrayCnt);
      flick_fluke_encode_new_glob(4, _flick_abort461);
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_unsigned32(0, *inoutArrayCnt, mach_msg_type_number_t );
      flick_fluke_encode_end_chunk(4);
      flick_fluke_encode_end_glob(4);
      flick_fluke_encode_new_glob(4 * *inoutArrayCnt, _flick_abort461);
      if (*inoutArrayCnt > 512)
        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort461);
      flick_fluke_encode_new_chunk(4 * *inoutArrayCnt);
      flick_fluke_encode_bcopy(0, *inoutArray, 4 * *inoutArrayCnt);
      if (inoutArrayDealloc)
        mach_vm_flick_free(*inoutArray);
      inoutArrayDealloc = 0;
      *inoutArray = 0;
      flick_fluke_encode_end_chunk(4 * *inoutArrayCnt);
      flick_fluke_encode_end_glob(4 * *inoutArrayCnt);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(target, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort461);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort461);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_unsigned32(0, _return, kern_return_t );
      flick_fluke_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_fluke_check_span(4, _flick_abort478);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, *inoutArrayCnt, mach_msg_type_number_t );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            flick_fluke_decode_new_glob(4 * *inoutArrayCnt);
            if (*inoutArrayCnt > 512)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort478);
            flick_fluke_check_span(4 * *inoutArrayCnt + 4, _flick_abort478);
            flick_fluke_decode_new_chunk(4 * *inoutArrayCnt);
            flick_fluke_decode_bcopy(0, *inoutArray, 4 * *inoutArrayCnt);
            flick_fluke_decode_end_chunk(4 * *inoutArrayCnt);
            flick_fluke_decode_end_glob(4 * *inoutArrayCnt);
            flick_fluke_decode_new_glob(4);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, *outArrayCnt, mach_msg_type_number_t );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(4);
            flick_fluke_decode_new_glob(4 * *outArrayCnt);
            if (*outArrayCnt > 512)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort478);
            flick_fluke_check_span(4 * *outArrayCnt, _flick_abort478);
            flick_fluke_decode_new_chunk(4 * *outArrayCnt);
            flick_fluke_decode_bcopy(0, *outArray, 4 * *outArrayCnt);
            flick_fluke_decode_end_chunk(4 * *outArrayCnt);
            flick_fluke_decode_end_glob(4 * *outArrayCnt);
            break;
            {
            _flick_abort478:
              goto _flick_abort461;
            }
          }
        default:
          {
            flick_fluke_decode_end_glob(8);
            flick_mig_decode_system_exception(_return, fluke, fluke, _flick_abort483);
            break;
            {
            _flick_abort483:
              goto _flick_abort461;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort461);
  return _return;
  {
  _flick_abort461:
    flick_mig_client_error(fluke, fluke, _flick_abort460);
  _flick_abort460:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t test_servercopy(mach_port_t target, Iarray inArray, mach_msg_type_number_t inArrayCnt, boolean_t *scopy)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(8, _flick_abort485);
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_signed32(0, 5550027, flick_signed32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_unsigned32(4, inArrayCnt, mach_msg_type_number_t );
      flick_fluke_encode_end_chunk(8);
      flick_fluke_encode_end_glob(8);
      flick_fluke_encode_new_glob(4 * inArrayCnt, _flick_abort485);
      flick_fluke_encode_new_chunk(4 * inArrayCnt);
      flick_fluke_encode_bcopy(0, inArray, 4 * inArrayCnt);
      flick_fluke_encode_end_chunk(4 * inArrayCnt);
      flick_fluke_encode_end_glob(4 * inArrayCnt);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(target, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort485);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(5);
      flick_fluke_check_span(4, _flick_abort485);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_unsigned32(0, _return, kern_return_t );
      flick_fluke_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_fluke_check_span(1, _flick_abort494);
            flick_fluke_decode_new_chunk(1);
            flick_fluke_decode_unsigned8(0, *scopy, boolean_t );
            flick_fluke_decode_end_chunk(1);
            flick_fluke_decode_end_glob(5);
            break;
            {
            _flick_abort494:
              goto _flick_abort485;
            }
          }
        default:
          {
            flick_fluke_decode_end_glob(5);
            flick_mig_decode_system_exception(_return, fluke, fluke, _flick_abort495);
            break;
            {
            _flick_abort495:
              goto _flick_abort485;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort485);
  return _return;
  {
  _flick_abort485:
    flick_mig_client_error(fluke, fluke, _flick_abort484);
  _flick_abort484:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t terminate(mach_port_t target)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(4, _flick_abort497);
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_signed32(0, 5550028, flick_signed32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_end_chunk(4);
      flick_fluke_encode_end_glob(4);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(target, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort497);
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort497);
  return;
  {
  _flick_abort497:
    flick_mig_client_error(fluke, fluke, _flick_abort496);
  _flick_abort496:
    goto _flick_reaper;
  }
}

