#include "parms-client.h"

int flick_marshal_stub_long_seq(flick_marshal_stream_t _stream, const long_seq *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(44, _flick_abort0);
  flick_fluke_encode_new_chunk(4 + 4 * _data->long_seq_len);
  flick_fluke_encode_unsigned32(0, _data->long_seq_len, unsigned int );
  if (_data->long_seq_len > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort0);
  flick_fluke_encode_bcopy(4, _data->long_seq_val, 4 * _data->long_seq_len);
  flick_fluke_encode_end_chunk(4 + 4 * _data->long_seq_len);
  flick_fluke_encode_end_glob(44);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_long_seq(flick_marshal_stream_t _stream, long_seq *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(44);
  flick_fluke_check_span(4, _flick_abort3);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->long_seq_len, unsigned int );
  if (_data->long_seq_len > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort3);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_check_span(4 * _data->long_seq_len, _flick_abort3);
  flick_fluke_decode_new_chunk(4 * _data->long_seq_len);
  {
    int *_t_alloc_ptr;

    _t_alloc_ptr = (int *)(sun_flick_alloc(_data->long_seq_len * sizeof(int )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort3);
    _data->long_seq_val = _t_alloc_ptr;
  }
  flick_fluke_decode_bcopy(0, _data->long_seq_val, 4 * _data->long_seq_len);
  flick_fluke_decode_end_chunk(4 * _data->long_seq_len);
  flick_fluke_decode_end_glob(44);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

void *void_test_2345(void *arg, CLIENT *_obj/* , flick_env_t flick_errno */)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  void *_return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(4, _flick_abort8);
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_unsigned32(0, 0, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_end_chunk(4);
      flick_fluke_encode_end_glob(4);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort8);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(4);
      flick_fluke_check_span(4, _flick_abort8);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, flick_errno, flick_env_t );
      flick_fluke_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static char _t1_storage;

            /* Begin decode phase on parameters */
            _return = (char *)(&_t1_storage);
            flick_fluke_decode_end_glob(4);
            break;
          }
        case -1:
          {
            flick_fluke_decode_end_glob(4);
            flick_sun_decode_system_exception(flick_errno, fluke, fluke, _flick_abort15);
            break;
            {
            _flick_abort15:
              goto _flick_abort8;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort16);
            flick_fluke_decode_end_glob(4);
            break;
            {
            _flick_abort16:
              goto _flick_abort8;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort8);
  return _return;
  {
  _flick_abort8:
    flick_sun_client_error(fluke, fluke, _flick_abort7);
  _flick_abort7:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

char *char_test_2345(char *arg, CLIENT *_obj/* , flick_env_t flick_errno */)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  char *_return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(5, _flick_abort18);
      flick_fluke_encode_new_chunk(5);
      flick_fluke_encode_unsigned32(0, 1, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_char8(4, *arg, char );
      flick_fluke_encode_end_chunk(5);
      flick_fluke_encode_end_glob(5);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort18);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(5);
      flick_fluke_check_span(4, _flick_abort18);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, flick_errno, flick_env_t );
      flick_fluke_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static char _t3_storage;

            /* Begin decode phase on parameters */
            _return = (char *)(&_t3_storage);
            flick_fluke_check_span(1, _flick_abort24);
            flick_fluke_decode_new_chunk(1);
            flick_fluke_decode_char8(0, *_return, char );
            flick_fluke_decode_end_chunk(1);
            flick_fluke_decode_end_glob(5);
            break;
            {
            _flick_abort24:
              goto _flick_abort18;
            }
          }
        case -1:
          {
            flick_fluke_decode_end_glob(5);
            flick_sun_decode_system_exception(flick_errno, fluke, fluke, _flick_abort25);
            break;
            {
            _flick_abort25:
              goto _flick_abort18;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort26);
            flick_fluke_decode_end_glob(5);
            break;
            {
            _flick_abort26:
              goto _flick_abort18;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort18);
  return _return;
  {
  _flick_abort18:
    flick_sun_client_error(fluke, fluke, _flick_abort17);
  _flick_abort17:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

int *bool_test_2345(int *arg, CLIENT *_obj/* , flick_env_t flick_errno */)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  int *_return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(5, _flick_abort28);
      flick_fluke_encode_new_chunk(5);
      flick_fluke_encode_unsigned32(0, 2, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_unsigned8(4, *arg, int );
      flick_fluke_encode_end_chunk(5);
      flick_fluke_encode_end_glob(5);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort28);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(5);
      flick_fluke_check_span(4, _flick_abort28);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, flick_errno, flick_env_t );
      flick_fluke_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t5_storage;

            /* Begin decode phase on parameters */
            _return = (int *)(&_t5_storage);
            flick_fluke_check_span(1, _flick_abort34);
            flick_fluke_decode_new_chunk(1);
            flick_fluke_decode_unsigned8(0, *_return, int );
            flick_fluke_decode_end_chunk(1);
            flick_fluke_decode_end_glob(5);
            break;
            {
            _flick_abort34:
              goto _flick_abort28;
            }
          }
        case -1:
          {
            flick_fluke_decode_end_glob(5);
            flick_sun_decode_system_exception(flick_errno, fluke, fluke, _flick_abort35);
            break;
            {
            _flick_abort35:
              goto _flick_abort28;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort36);
            flick_fluke_decode_end_glob(5);
            break;
            {
            _flick_abort36:
              goto _flick_abort28;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort28);
  return _return;
  {
  _flick_abort28:
    flick_sun_client_error(fluke, fluke, _flick_abort27);
  _flick_abort27:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

short int *short_test_2345(short int *arg, CLIENT *_obj/* , flick_env_t flick_errno */)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  short int *_return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(6, _flick_abort38);
      flick_fluke_encode_new_chunk(6);
      flick_fluke_encode_unsigned32(0, 3, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_signed16(4, *arg, short int );
      flick_fluke_encode_end_chunk(6);
      flick_fluke_encode_end_glob(6);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort38);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(6);
      flick_fluke_check_span(4, _flick_abort38);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, flick_errno, flick_env_t );
      flick_fluke_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static short int _t7_storage;

            /* Begin decode phase on parameters */
            _return = (short int *)(&_t7_storage);
            flick_fluke_check_span(2, _flick_abort44);
            flick_fluke_decode_new_chunk(2);
            flick_fluke_decode_signed16(0, *_return, short int );
            flick_fluke_decode_end_chunk(2);
            flick_fluke_decode_end_glob(6);
            break;
            {
            _flick_abort44:
              goto _flick_abort38;
            }
          }
        case -1:
          {
            flick_fluke_decode_end_glob(6);
            flick_sun_decode_system_exception(flick_errno, fluke, fluke, _flick_abort45);
            break;
            {
            _flick_abort45:
              goto _flick_abort38;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort46);
            flick_fluke_decode_end_glob(6);
            break;
            {
            _flick_abort46:
              goto _flick_abort38;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort38);
  return _return;
  {
  _flick_abort38:
    flick_sun_client_error(fluke, fluke, _flick_abort37);
  _flick_abort37:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

unsigned short int *ushort_test_2345(unsigned short int *arg, CLIENT *_obj/* , flick_env_t flick_errno */)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  unsigned short int *_return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(6, _flick_abort48);
      flick_fluke_encode_new_chunk(6);
      flick_fluke_encode_unsigned32(0, 4, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_unsigned16(4, *arg, unsigned short int );
      flick_fluke_encode_end_chunk(6);
      flick_fluke_encode_end_glob(6);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort48);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(6);
      flick_fluke_check_span(4, _flick_abort48);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, flick_errno, flick_env_t );
      flick_fluke_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static unsigned short int _t9_storage;

            /* Begin decode phase on parameters */
            _return = (unsigned short int *)(&_t9_storage);
            flick_fluke_check_span(2, _flick_abort54);
            flick_fluke_decode_new_chunk(2);
            flick_fluke_decode_unsigned16(0, *_return, unsigned short int );
            flick_fluke_decode_end_chunk(2);
            flick_fluke_decode_end_glob(6);
            break;
            {
            _flick_abort54:
              goto _flick_abort48;
            }
          }
        case -1:
          {
            flick_fluke_decode_end_glob(6);
            flick_sun_decode_system_exception(flick_errno, fluke, fluke, _flick_abort55);
            break;
            {
            _flick_abort55:
              goto _flick_abort48;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort56);
            flick_fluke_decode_end_glob(6);
            break;
            {
            _flick_abort56:
              goto _flick_abort48;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort48);
  return _return;
  {
  _flick_abort48:
    flick_sun_client_error(fluke, fluke, _flick_abort47);
  _flick_abort47:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

int *long_test_2345(int *arg, CLIENT *_obj/* , flick_env_t flick_errno */)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  int *_return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(8, _flick_abort58);
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_unsigned32(0, 5, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_signed32(4, *arg, int );
      flick_fluke_encode_end_chunk(8);
      flick_fluke_encode_end_glob(8);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort58);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort58);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, flick_errno, flick_env_t );
      flick_fluke_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static int _t11_storage;

            /* Begin decode phase on parameters */
            _return = (int *)(&_t11_storage);
            flick_fluke_check_span(4, _flick_abort64);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_signed32(0, *_return, int );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort64:
              goto _flick_abort58;
            }
          }
        case -1:
          {
            flick_fluke_decode_end_glob(8);
            flick_sun_decode_system_exception(flick_errno, fluke, fluke, _flick_abort65);
            break;
            {
            _flick_abort65:
              goto _flick_abort58;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort66);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort66:
              goto _flick_abort58;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort58);
  return _return;
  {
  _flick_abort58:
    flick_sun_client_error(fluke, fluke, _flick_abort57);
  _flick_abort57:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

unsigned int *ulong_test_2345(unsigned int *arg, CLIENT *_obj/* , flick_env_t flick_errno */)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  unsigned int *_return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(8, _flick_abort68);
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_unsigned32(0, 6, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_unsigned32(4, *arg, unsigned int );
      flick_fluke_encode_end_chunk(8);
      flick_fluke_encode_end_glob(8);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort68);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort68);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, flick_errno, flick_env_t );
      flick_fluke_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static unsigned int _t13_storage;

            /* Begin decode phase on parameters */
            _return = (unsigned int *)(&_t13_storage);
            flick_fluke_check_span(4, _flick_abort74);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, *_return, unsigned int );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort74:
              goto _flick_abort68;
            }
          }
        case -1:
          {
            flick_fluke_decode_end_glob(8);
            flick_sun_decode_system_exception(flick_errno, fluke, fluke, _flick_abort75);
            break;
            {
            _flick_abort75:
              goto _flick_abort68;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort76);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort76:
              goto _flick_abort68;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort68);
  return _return;
  {
  _flick_abort68:
    flick_sun_client_error(fluke, fluke, _flick_abort67);
  _flick_abort67:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

float *float_test_2345(float *arg, CLIENT *_obj/* , flick_env_t flick_errno */)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  float *_return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(8, _flick_abort78);
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_unsigned32(0, 7, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_float32(4, *arg, float );
      flick_fluke_encode_end_chunk(8);
      flick_fluke_encode_end_glob(8);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort78);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort78);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, flick_errno, flick_env_t );
      flick_fluke_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static float _t15_storage;

            /* Begin decode phase on parameters */
            _return = (float *)(&_t15_storage);
            flick_fluke_check_span(4, _flick_abort84);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_float32(0, *_return, float );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort84:
              goto _flick_abort78;
            }
          }
        case -1:
          {
            flick_fluke_decode_end_glob(8);
            flick_sun_decode_system_exception(flick_errno, fluke, fluke, _flick_abort85);
            break;
            {
            _flick_abort85:
              goto _flick_abort78;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort86);
            flick_fluke_decode_end_glob(8);
            break;
            {
            _flick_abort86:
              goto _flick_abort78;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort78);
  return _return;
  {
  _flick_abort78:
    flick_sun_client_error(fluke, fluke, _flick_abort77);
  _flick_abort77:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

double *double_test_2345(double *arg, CLIENT *_obj/* , flick_env_t flick_errno */)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  double *_return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(16, _flick_abort88);
      flick_fluke_encode_new_chunk(16);
      flick_fluke_encode_unsigned32(0, 8, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_float64(8, *arg, double );
      flick_fluke_encode_end_chunk(16);
      flick_fluke_encode_end_glob(16);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort88);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(16);
      flick_fluke_check_span(4, _flick_abort88);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, flick_errno, flick_env_t );
      flick_fluke_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static double _t17_storage;

            /* Begin decode phase on parameters */
            _return = (double *)(&_t17_storage);
            flick_fluke_check_span(12, _flick_abort94);
            flick_fluke_decode_new_chunk(12);
            flick_fluke_decode_float64(4, *_return, double );
            flick_fluke_decode_end_chunk(12);
            flick_fluke_decode_end_glob(16);
            break;
            {
            _flick_abort94:
              goto _flick_abort88;
            }
          }
        case -1:
          {
            flick_fluke_decode_end_glob(16);
            flick_sun_decode_system_exception(flick_errno, fluke, fluke, _flick_abort95);
            break;
            {
            _flick_abort95:
              goto _flick_abort88;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort96);
            flick_fluke_decode_end_glob(16);
            break;
            {
            _flick_abort96:
              goto _flick_abort88;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort88);
  return _return;
  {
  _flick_abort88:
    flick_sun_client_error(fluke, fluke, _flick_abort87);
  _flick_abort87:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

long_seq *long_seq_test_2345(long_seq *arg, CLIENT *_obj/* , flick_env_t flick_errno */)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  long_seq *_return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(48, _flick_abort98);
      flick_fluke_encode_new_chunk(8 + 4 * arg->long_seq_len);
      flick_fluke_encode_unsigned32(0, 9, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_unsigned32(4, arg->long_seq_len, unsigned int );
      if (arg->long_seq_len > 10)
        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort98);
      flick_fluke_encode_bcopy(8, arg->long_seq_val, 4 * arg->long_seq_len);
      flick_fluke_encode_end_chunk(8 + 4 * arg->long_seq_len);
      flick_fluke_encode_end_glob(48);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort98);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(48);
      flick_fluke_check_span(4, _flick_abort98);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, flick_errno, flick_env_t );
      flick_fluke_decode_end_chunk(4);
      switch (flick_errno)
        {
        case 0:
          {
            static long_seq _t19_storage;

            /* Begin decode phase on parameters */
            _return = (long_seq *)(&_t19_storage);
            flick_fluke_check_span(4, _flick_abort111);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, _return->long_seq_len, unsigned int );
            if (_return->long_seq_len > 10)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort111);
            flick_fluke_decode_end_chunk(4);
            flick_fluke_check_span(4 * _return->long_seq_len, _flick_abort111);
            flick_fluke_decode_new_chunk(4 * _return->long_seq_len);
            {
              int *_t_alloc_ptr;

              _t_alloc_ptr = (int *)(sun_flick_alloc(_return->long_seq_len * sizeof(int )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort111);
              _return->long_seq_val = _t_alloc_ptr;
            }
            flick_fluke_decode_bcopy(0, _return->long_seq_val, 4 * _return->long_seq_len);
            flick_fluke_decode_end_chunk(4 * _return->long_seq_len);
            flick_fluke_decode_end_glob(48);
            break;
            {
            _flick_abort111:
              goto _flick_abort98;
            }
          }
        case -1:
          {
            flick_fluke_decode_end_glob(48);
            flick_sun_decode_system_exception(flick_errno, fluke, fluke, _flick_abort115);
            break;
            {
            _flick_abort115:
              goto _flick_abort98;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort116);
            flick_fluke_decode_end_glob(48);
            break;
            {
            _flick_abort116:
              goto _flick_abort98;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort98);
  return _return;
  {
  _flick_abort98:
    flick_sun_client_error(fluke, fluke, _flick_abort97);
  _flick_abort97:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

