#include "sequence-client.h"

int flick_marshal_stub_vec10(flick_marshal_stream_t _stream, const vec10 *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(44, _flick_abort0);
  flick_fluke_encode_new_chunk(4 + 4 * _data->_length);
  flick_fluke_encode_unsigned32(0, _data->_length, oskit_u32_t );
  if (_data->_length > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort0);
  flick_fluke_encode_bcopy(4, _data->_buffer, 4 * _data->_length);
  flick_fluke_encode_end_chunk(4 + 4 * _data->_length);
  flick_fluke_encode_end_glob(44);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_vec10(flick_marshal_stream_t _stream, vec10 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(44);
  flick_fluke_check_span(4, _flick_abort3);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->_length, oskit_u32_t );
  if (_data->_length > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort3);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_check_span(4 * _data->_length, _flick_abort3);
  flick_fluke_decode_new_chunk(4 * _data->_length);
  {
    oskit_s32_t *_t_alloc_ptr;

    _t_alloc_ptr = (oskit_s32_t *)(mom_flick_alloc(_data->_length * sizeof(oskit_s32_t )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort3);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = _data->_length;
    _data->_release = 1;
  }
  flick_fluke_decode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_fluke_decode_end_chunk(4 * _data->_length);
  flick_fluke_decode_end_glob(44);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_puke(flick_marshal_stream_t _stream, const puke *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(4, _flick_abort7);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_signed32(0, _data->reason, oskit_s32_t );
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
  return 0;
  {
  _flick_abort7:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_puke(flick_marshal_stream_t _stream, puke *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(4);
  flick_fluke_check_span(4, _flick_abort8);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_signed32(0, _data->reason, oskit_s32_t );
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
  return 0;
  {
  _flick_abort8:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

vec10 *TestSeq_op(mom_ref_t _obj, const vec10 *iv, vec10 **ov, vec10 *iov, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  vec10 *_return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(92, _flick_abort10);
      flick_fluke_encode_new_chunk(8 + 4 * iv->_length);
      flick_fluke_encode_unsigned32(0, req_TestSeq_op, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_unsigned32(4, iv->_length, oskit_u32_t );
      if (iv->_length > 10)
        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort10);
      flick_fluke_encode_bcopy(8, iv->_buffer, 4 * iv->_length);
      flick_fluke_encode_end_chunk(8 + 4 * iv->_length);
      flick_fluke_encode_new_chunk(4 + 4 * iov->_length);
      flick_fluke_encode_unsigned32(0, iov->_length, oskit_u32_t );
      if (iov->_length > 10)
        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort10);
      flick_fluke_encode_bcopy(4, iov->_buffer, 4 * iov->_length);
      if (iov->_release)
        mom_flick_free(iov->_buffer);
      iov->_maximum = 0;
      iov->_release = 0;
      iov->_buffer = 0;
      flick_fluke_encode_end_chunk(4 + 4 * iov->_length);
      flick_fluke_encode_end_glob(92);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort10);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(136);
      flick_fluke_check_span(4, _flick_abort10);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            {
              vec10 *_t_alloc_ptr;

              _t_alloc_ptr = (vec10 *)(mom_flick_alloc(sizeof(vec10 )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort40);
              _return = _t_alloc_ptr;
            }
            flick_fluke_check_span(4, _flick_abort41);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, _return->_length, oskit_u32_t );
            if (_return->_length > 10)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort41);
            flick_fluke_decode_end_chunk(4);
            flick_fluke_check_span(4 * _return->_length + 4, _flick_abort41);
            flick_fluke_decode_new_chunk(4 * _return->_length);
            {
              oskit_s32_t *_t_alloc_ptr;

              _t_alloc_ptr = (oskit_s32_t *)(mom_flick_alloc(_return->_length * sizeof(oskit_s32_t )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort41);
              _return->_buffer = _t_alloc_ptr;
              _return->_maximum = _return->_length;
              _return->_release = 1;
            }
            flick_fluke_decode_bcopy(0, _return->_buffer, 4 * _return->_length);
            flick_fluke_decode_end_chunk(4 * _return->_length);
            {
              vec10 *_t_alloc_ptr;

              _t_alloc_ptr = (vec10 *)(mom_flick_alloc(sizeof(vec10 )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort44);
              *ov = _t_alloc_ptr;
            }
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, (*ov)->_length, oskit_u32_t );
            if ((*ov)->_length > 10)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort45);
            flick_fluke_decode_end_chunk(4);
            flick_fluke_check_span(4 * (*ov)->_length + 4, _flick_abort45);
            flick_fluke_decode_new_chunk(4 * (*ov)->_length);
            {
              oskit_s32_t *_t_alloc_ptr;

              _t_alloc_ptr = (oskit_s32_t *)(mom_flick_alloc((*ov)->_length * sizeof(oskit_s32_t )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort45);
              (*ov)->_buffer = _t_alloc_ptr;
              (*ov)->_maximum = (*ov)->_length;
              (*ov)->_release = 1;
            }
            flick_fluke_decode_bcopy(0, (*ov)->_buffer, 4 * (*ov)->_length);
            flick_fluke_decode_end_chunk(4 * (*ov)->_length);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, iov->_length, oskit_u32_t );
            if (iov->_length > 10)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort48);
            flick_fluke_decode_end_chunk(4);
            flick_fluke_check_span(4 * iov->_length, _flick_abort48);
            flick_fluke_decode_new_chunk(4 * iov->_length);
            {
              oskit_s32_t *_t_alloc_ptr;

              _t_alloc_ptr = (oskit_s32_t *)(mom_flick_alloc(iov->_length * sizeof(oskit_s32_t )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort48);
              iov->_buffer = _t_alloc_ptr;
              iov->_maximum = iov->_length;
              iov->_release = 1;
            }
            flick_fluke_decode_bcopy(0, iov->_buffer, 4 * iov->_length);
            flick_fluke_decode_end_chunk(4 * iov->_length);
            flick_fluke_decode_end_glob(136);
            break;
            {
            _flick_abort48:
              mom_flick_free((*ov)->_buffer);
            _flick_abort45:
              mom_flick_free(*ov);
            _flick_abort44:
              mom_flick_free(_return->_buffer);
            _flick_abort41:
              mom_flick_free(_return);
            _flick_abort40:
              goto _flick_abort10;
            }
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(136);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort52);
            break;
            {
            _flick_abort52:
              goto _flick_abort10;
            }
          }
        default:
          {
            switch ((signed int )(_ev->_type))
              {
              case exc_puke:
                {
                  {
                    puke *_t_alloc_ptr;

                    _t_alloc_ptr = (puke *)(mom_flick_alloc(sizeof(puke )));
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort57);
                    _ev->_except = _t_alloc_ptr;
                  }
                  flick_fluke_check_span(4, _flick_abort58);
                  flick_fluke_decode_new_chunk(4);
                  flick_fluke_decode_signed32(0, ((puke *)(_ev->_except))->reason, oskit_s32_t );
                  flick_fluke_decode_end_chunk(4);
                  break;
                  {
                  _flick_abort58:
                    mom_flick_free(_ev->_except);
                  _flick_abort57:
                    goto _flick_abort53;
                  }
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort53);
                  break;
                }
              }
            flick_fluke_decode_end_glob(136);
            break;
            {
            _flick_abort53:
              goto _flick_abort10;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort10);
  return _return;
  {
  _flick_abort10:
    flick_mom_client_error(fluke, fluke, _flick_abort9);
  _flick_abort9:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

