#include "simple-server.h"

int flick_marshal_stub_vec10(flick_marshal_stream_t _stream, vec10 *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(44, _flick_abort0);
  flick_fluke_encode_new_chunk(4 + 4 * _data->_length);
  flick_fluke_encode_unsigned32(0, _data->_length, oskit_u32_t );
  if (_data->_length > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort0);
  flick_fluke_encode_bcopy(4, _data->_buffer, 4 * _data->_length);
  if (_data->_release)
    mom_flick_free(_data->_buffer);
  _data->_maximum = 0;
  _data->_release = 0;
  flick_fluke_encode_end_chunk(4 + 4 * _data->_length);
  flick_fluke_encode_end_glob(44);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_vec10(flick_marshal_stream_t _stream, vec10 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(44);
  flick_fluke_check_span(4, _flick_abort3);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->_length, oskit_u32_t );
  if (_data->_length > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort3);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_check_span(4 * _data->_length, _flick_abort3);
  flick_fluke_decode_new_chunk(4 * _data->_length);
  {
    oskit_s32_t *_t_alloc_ptr;

    _t_alloc_ptr = (oskit_s32_t *)(mom_flick_alloc(_data->_length * sizeof(oskit_s32_t )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort3);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = _data->_length;
    _data->_release = 1;
  }
  flick_fluke_decode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_fluke_decode_end_chunk(4 * _data->_length);
  flick_fluke_decode_end_glob(44);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_simple(flick_marshal_stream_t _stream, simple *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  return 0;
}

int flick_unmarshal_stub_simple(flick_marshal_stream_t _stream, simple *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  return 0;
}

mom_dispatch_action_t simple_server(void *_dispatch_obj, mom_dispatch_data_t *_dispatch_data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  flick_fluke_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    signed int _t4_switch_tag;

    flick_fluke_decode_new_glob(12);
    flick_fluke_check_span(12, _flick_abort11);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _t4_switch_tag, signed int );
    flick_fluke_decode_end_chunk(4);
    switch ((signed int )_t4_switch_tag)
      {
      case req_simple_op:
        {
          {
            simple *_obj;
            oskit_s32_t _return;
            oskit_s32_t _local_a;
            mom_ref_t *_local_b;
            mom_ref_t _t5_storage;
            oskit_s32_t *_local_c;
            oskit_s32_t _t6_storage;
            mom_exc_t *_ev;
            mom_exc_t _t7_storage;

            _obj = (simple *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _return = 0;
            flick_fluke_decode_new_chunk(8);
            flick_fluke_decode_signed32(0, _local_a, oskit_s32_t );
            _local_b = (mom_ref_t *)(&_t5_storage);
            _local_c = (oskit_s32_t *)(&_t6_storage);
            flick_fluke_decode_signed32(4, *_local_c, oskit_s32_t );
            _ev = (mom_exc_t *)(&_t7_storage);
            flick_fluke_decode_end_chunk(8);
            flick_fluke_decode_end_glob(12);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = simple_server_op(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_fluke_server_start_encode();
            {
              flick_fluke_encode_new_glob(16, _flick_abort23);
              flick_fluke_encode_new_chunk(4);
              flick_fluke_encode_signed32(0, _ev->_type, signed int );
              flick_fluke_encode_end_chunk(4);
              switch (_ev->_type)
                {
                case exc_mom_no_exception:
                  {
                    /* Begin encode phase on parameters */
                    flick_fluke_encode_new_chunk(12);
                    flick_fluke_encode_signed32(0, _return, oskit_s32_t );
                    flick_fluke_server_encode_port32(4, *_local_b, 0);
                    flick_fluke_encode_signed32(8, *_local_c, oskit_s32_t );
                    flick_fluke_encode_end_chunk(12);
                    flick_fluke_encode_end_glob(16);
                    break;
                  }
                case exc_mom_system_exception:
                  {
                    flick_fluke_encode_end_glob(16);
                    flick_mom_encode_system_exception(_ev, fluke, fluke, _flick_abort29);
                    break;
                    {
                    _flick_abort29:
                      goto _flick_abort23;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort30);
                    flick_fluke_encode_end_glob(16);
                    break;
                    {
                    _flick_abort30:
                      goto _flick_abort23;
                    }
                  }
                }
            }
            flick_fluke_server_end_encode();
            _stub_state.state = FLICK_STATE_EPILOGUE;
            return DISPATCH_ACK_SEND;
            break;
            {
            _flick_abort23:
              goto _flick_abort22;
            }
          }
          break;
          {
          _flick_abort22:
            goto _flick_abort11;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort11);
          flick_fluke_decode_end_glob(12);
          break;
        }
      }
  }
  return DISPATCH_NO_REPLY;
  {
  _flick_abort11:
    flick_mom_server_error(fluke, fluke, _flick_reaper, _flick_abort10);
  _flick_abort10:
    return DISPATCH_ACK_SEND;
  }
_flick_reaper:
  return DISPATCH_NO_REPLY;
}

int flick_marshal_stub_simple2(flick_marshal_stream_t _stream, simple2 *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  return 0;
}

int flick_unmarshal_stub_simple2(flick_marshal_stream_t _stream, simple2 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  return 0;
}

mom_dispatch_action_t simple2_server(void *_dispatch_obj, mom_dispatch_data_t *_dispatch_data)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  flick_fluke_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    signed int _t14_switch_tag;

    flick_fluke_decode_new_glob(12);
    flick_fluke_check_span(12, _flick_abort35);
    flick_fluke_decode_new_chunk(4);
    flick_fluke_decode_signed32(0, _t14_switch_tag, signed int );
    flick_fluke_decode_end_chunk(4);
    switch ((signed int )_t14_switch_tag)
      {
      case req_simple2_op2:
        {
          {
            simple2 *_obj;
            oskit_s32_t _return;
            oskit_s32_t _local_a;
            mom_ref_t _local_b;
            mom_ref_t *_local_c;
            mom_ref_t _t15_storage;
            mom_exc_t *_ev;
            mom_exc_t _t16_storage;

            _obj = (simple2 *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _return = 0;
            flick_fluke_decode_new_chunk(8);
            flick_fluke_decode_signed32(0, _local_a, oskit_s32_t );
            flick_fluke_server_decode_port32(4, _local_b, 1);
            _local_c = (mom_ref_t *)(&_t15_storage);
            _ev = (mom_exc_t *)(&_t16_storage);
            flick_fluke_decode_end_chunk(8);
            flick_fluke_decode_end_glob(12);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = simple2_server_op2(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_fluke_server_start_encode();
            {
              flick_fluke_encode_new_glob(12, _flick_abort56);
              flick_fluke_encode_new_chunk(4);
              flick_fluke_encode_signed32(0, _ev->_type, signed int );
              flick_fluke_encode_end_chunk(4);
              switch (_ev->_type)
                {
                case exc_mom_no_exception:
                  {
                    /* Begin encode phase on parameters */
                    flick_fluke_encode_new_chunk(8);
                    flick_fluke_encode_signed32(0, _return, oskit_s32_t );
                    flick_fluke_server_encode_port32(4, *_local_c, 0);
                    flick_fluke_encode_end_chunk(8);
                    flick_fluke_encode_end_glob(12);
                    break;
                  }
                case exc_mom_system_exception:
                  {
                    flick_fluke_encode_end_glob(12);
                    flick_mom_encode_system_exception(_ev, fluke, fluke, _flick_abort62);
                    break;
                    {
                    _flick_abort62:
                      goto _flick_abort56;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort63);
                    flick_fluke_encode_end_glob(12);
                    break;
                    {
                    _flick_abort63:
                      goto _flick_abort56;
                    }
                  }
                }
            }
            flick_fluke_server_end_encode();
            _stub_state.state = FLICK_STATE_EPILOGUE;
            return DISPATCH_ACK_SEND;
            break;
            {
            _flick_abort56:
              goto _flick_abort55;
            }
          }
          break;
          {
          _flick_abort55:
            goto _flick_abort35;
          }
        }
      case req_simple_op:
        {
          {
            simple2 *_obj;
            oskit_s32_t _return;
            oskit_s32_t _local_a;
            mom_ref_t *_local_b;
            mom_ref_t _t17_storage;
            oskit_s32_t *_local_c;
            oskit_s32_t _t18_storage;
            mom_exc_t *_ev;
            mom_exc_t _t19_storage;

            _obj = (simple2 *)_dispatch_obj;
            /* Begin decode phase on parameters */
            _return = 0;
            flick_fluke_decode_new_chunk(8);
            flick_fluke_decode_signed32(0, _local_a, oskit_s32_t );
            _local_b = (mom_ref_t *)(&_t17_storage);
            _local_c = (oskit_s32_t *)(&_t18_storage);
            flick_fluke_decode_signed32(4, *_local_c, oskit_s32_t );
            _ev = (mom_exc_t *)(&_t19_storage);
            flick_fluke_decode_end_chunk(8);
            flick_fluke_decode_end_glob(12);
            flick_fluke_server_end_decode();
            flick_mom_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = simple2_server_op(_obj, _local_a, _local_b, _local_c, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_fluke_server_start_encode();
            {
              flick_fluke_encode_new_glob(16, _flick_abort65);
              flick_fluke_encode_new_chunk(4);
              flick_fluke_encode_signed32(0, _ev->_type, signed int );
              flick_fluke_encode_end_chunk(4);
              switch (_ev->_type)
                {
                case exc_mom_no_exception:
                  {
                    /* Begin encode phase on parameters */
                    flick_fluke_encode_new_chunk(12);
                    flick_fluke_encode_signed32(0, _return, oskit_s32_t );
                    flick_fluke_server_encode_port32(4, *_local_b, 0);
                    flick_fluke_encode_signed32(8, *_local_c, oskit_s32_t );
                    flick_fluke_encode_end_chunk(12);
                    flick_fluke_encode_end_glob(16);
                    break;
                  }
                case exc_mom_system_exception:
                  {
                    flick_fluke_encode_end_glob(16);
                    flick_mom_encode_system_exception(_ev, fluke, fluke, _flick_abort71);
                    break;
                    {
                    _flick_abort71:
                      goto _flick_abort65;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort72);
                    flick_fluke_encode_end_glob(16);
                    break;
                    {
                    _flick_abort72:
                      goto _flick_abort65;
                    }
                  }
                }
            }
            flick_fluke_server_end_encode();
            _stub_state.state = FLICK_STATE_EPILOGUE;
            return DISPATCH_ACK_SEND;
            break;
            {
            _flick_abort65:
              goto _flick_abort64;
            }
          }
          break;
          {
          _flick_abort64:
            goto _flick_abort35;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort35);
          flick_fluke_decode_end_glob(12);
          break;
        }
      }
  }
  return DISPATCH_NO_REPLY;
  {
  _flick_abort35:
    flick_mom_server_error(fluke, fluke, _flick_reaper, _flick_abort34);
  _flick_abort34:
    return DISPATCH_ACK_SEND;
  }
_flick_reaper:
  return DISPATCH_NO_REPLY;
}

