#include "simple2-client.h"

int flick_marshal_stub_vec10(flick_marshal_stream_t _stream, const vec10 *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(44, _flick_abort0);
  flick_fluke_encode_new_chunk(4 + 4 * _data->_length);
  flick_fluke_encode_unsigned32(0, _data->_length, oskit_u32_t );
  if (_data->_length > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort0);
  flick_fluke_encode_bcopy(4, _data->_buffer, 4 * _data->_length);
  flick_fluke_encode_end_chunk(4 + 4 * _data->_length);
  flick_fluke_encode_end_glob(44);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_vec10(flick_marshal_stream_t _stream, vec10 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(44);
  flick_fluke_check_span(4, _flick_abort3);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->_length, oskit_u32_t );
  if (_data->_length > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort3);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_check_span(4 * _data->_length, _flick_abort3);
  flick_fluke_decode_new_chunk(4 * _data->_length);
  {
    oskit_s32_t *_t_alloc_ptr;

    _t_alloc_ptr = (oskit_s32_t *)(mom_flick_alloc(_data->_length * sizeof(oskit_s32_t )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort3);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = _data->_length;
    _data->_release = 1;
  }
  flick_fluke_decode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_fluke_decode_end_chunk(4 * _data->_length);
  flick_fluke_decode_end_glob(44);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

oskit_s32_t simple_op(mom_ref_t _obj, oskit_s32_t a, mom_ref_t *b, oskit_s32_t *c, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s32_t _return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(12, _flick_abort8);
      flick_fluke_encode_new_chunk(12);
      flick_fluke_encode_unsigned32(0, req_simple_op, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_signed32(4, a, oskit_s32_t );
      flick_fluke_encode_signed32(8, *c, oskit_s32_t );
      flick_fluke_encode_end_chunk(12);
      flick_fluke_encode_end_glob(12);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort8);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(16);
      flick_fluke_check_span(4, _flick_abort8);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            flick_fluke_check_span(12, _flick_abort14);
            flick_fluke_decode_new_chunk(12);
            flick_fluke_decode_signed32(0, _return, oskit_s32_t );
            flick_fluke_client_decode_port32(4, *b, 1);
            flick_fluke_decode_signed32(8, *c, oskit_s32_t );
            flick_fluke_decode_end_chunk(12);
            flick_fluke_decode_end_glob(16);
            break;
            {
            _flick_abort14:
              goto _flick_abort8;
            }
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(16);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort15);
            break;
            {
            _flick_abort15:
              goto _flick_abort8;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort16);
            flick_fluke_decode_end_glob(16);
            break;
            {
            _flick_abort16:
              goto _flick_abort8;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort8);
  return _return;
  {
  _flick_abort8:
    flick_mom_client_error(fluke, fluke, _flick_abort7);
  _flick_abort7:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

oskit_s32_t simple2_op2(mom_ref_t _obj, oskit_s32_t a, const mom_ref_t b, mom_ref_t *c, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s32_t _return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(12, _flick_abort18);
      flick_fluke_encode_new_chunk(12);
      flick_fluke_encode_unsigned32(0, req_simple2_op2, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_signed32(4, a, oskit_s32_t );
      flick_fluke_client_encode_port32(8, b, 0);
      flick_fluke_encode_end_chunk(12);
      flick_fluke_encode_end_glob(12);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort18);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(12);
      flick_fluke_check_span(4, _flick_abort18);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            flick_fluke_check_span(8, _flick_abort24);
            flick_fluke_decode_new_chunk(8);
            flick_fluke_decode_signed32(0, _return, oskit_s32_t );
            flick_fluke_client_decode_port32(4, *c, 1);
            flick_fluke_decode_end_chunk(8);
            flick_fluke_decode_end_glob(12);
            break;
            {
            _flick_abort24:
              goto _flick_abort18;
            }
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(12);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort25);
            break;
            {
            _flick_abort25:
              goto _flick_abort18;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort26);
            flick_fluke_decode_end_glob(12);
            break;
            {
            _flick_abort26:
              goto _flick_abort18;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort18);
  return _return;
  {
  _flick_abort18:
    flick_mom_client_error(fluke, fluke, _flick_abort17);
  _flick_abort17:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

oskit_s32_t simple2_op(mom_ref_t _obj, oskit_s32_t a, mom_ref_t *b, oskit_s32_t *c, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s32_t _return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(12, _flick_abort28);
      flick_fluke_encode_new_chunk(12);
      flick_fluke_encode_unsigned32(0, req_simple_op, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_signed32(4, a, oskit_s32_t );
      flick_fluke_encode_signed32(8, *c, oskit_s32_t );
      flick_fluke_encode_end_chunk(12);
      flick_fluke_encode_end_glob(12);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort28);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(16);
      flick_fluke_check_span(4, _flick_abort28);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            flick_fluke_check_span(12, _flick_abort34);
            flick_fluke_decode_new_chunk(12);
            flick_fluke_decode_signed32(0, _return, oskit_s32_t );
            flick_fluke_client_decode_port32(4, *b, 1);
            flick_fluke_decode_signed32(8, *c, oskit_s32_t );
            flick_fluke_decode_end_chunk(12);
            flick_fluke_decode_end_glob(16);
            break;
            {
            _flick_abort34:
              goto _flick_abort28;
            }
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(16);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort35);
            break;
            {
            _flick_abort35:
              goto _flick_abort28;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort36);
            flick_fluke_decode_end_glob(16);
            break;
            {
            _flick_abort36:
              goto _flick_abort28;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort28);
  return _return;
  {
  _flick_abort28:
    flick_mom_client_error(fluke, fluke, _flick_abort27);
  _flick_abort27:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

int flick_marshal_stub_simple3_OVERFLOW(flick_marshal_stream_t _stream, const simple3_OVERFLOW *_data)
{
  flick_unsigned32_t _t0_temp_string_len;

  flick_fluke_stringlen(char *, _data->msg, flick_unsigned32_t , _t0_temp_string_len);

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(8, _flick_abort37);
  flick_fluke_encode_new_chunk(8);
  flick_fluke_encode_signed32(0, _data->a, oskit_s32_t );
  flick_fluke_encode_unsigned32(4, _t0_temp_string_len, flick_unsigned32_t );
  flick_fluke_encode_end_chunk(8);
  flick_fluke_encode_end_glob(8);
  flick_fluke_encode_new_glob(1 * _t0_temp_string_len, _flick_abort37);
  flick_fluke_encode_new_chunk(1 * _t0_temp_string_len);
  flick_fluke_encode_bcopy(0, _data->msg, 1 * _t0_temp_string_len);
  flick_fluke_encode_end_chunk(1 * _t0_temp_string_len);
  flick_fluke_encode_end_glob(1 * _t0_temp_string_len);
  return 0;
  {
  _flick_abort37:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_simple3_OVERFLOW(flick_marshal_stream_t _stream, simple3_OVERFLOW *_data)
{
  flick_unsigned32_t _t1_temp_string_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(8);
  flick_fluke_check_span(8, _flick_abort40);
  flick_fluke_decode_new_chunk(8);
  flick_fluke_decode_signed32(0, _data->a, oskit_s32_t );
  flick_fluke_decode_unsigned32(4, _t1_temp_string_len, flick_unsigned32_t );
  flick_fluke_decode_end_chunk(8);
  flick_fluke_decode_end_glob(8);
  flick_fluke_decode_new_glob(1 * _t1_temp_string_len);
  flick_fluke_check_span(1 * _t1_temp_string_len, _flick_abort40);
  flick_fluke_decode_new_chunk(1 * _t1_temp_string_len);
  {
    char *_t_alloc_ptr;

    _t_alloc_ptr = (char *)(mom_flick_alloc(_t1_temp_string_len * sizeof(char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort40);
    _data->msg = _t_alloc_ptr;
  }
  flick_fluke_decode_bcopy(0, _data->msg, 1 * _t1_temp_string_len);
  flick_fluke_decode_end_chunk(1 * _t1_temp_string_len);
  flick_fluke_decode_end_glob(1 * _t1_temp_string_len);
  return 0;
  {
  _flick_abort40:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_simple3_UNDERFLOW(flick_marshal_stream_t _stream, const simple3_UNDERFLOW *_data)
{
  flick_unsigned32_t _t2_temp_string_len;

  flick_fluke_stringlen(char *, _data->msg, flick_unsigned32_t , _t2_temp_string_len);

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(8, _flick_abort44);
  flick_fluke_encode_new_chunk(8);
  flick_fluke_encode_signed32(0, _data->b, oskit_s32_t );
  flick_fluke_encode_unsigned32(4, _t2_temp_string_len, flick_unsigned32_t );
  flick_fluke_encode_end_chunk(8);
  flick_fluke_encode_end_glob(8);
  flick_fluke_encode_new_glob(1 * _t2_temp_string_len, _flick_abort44);
  flick_fluke_encode_new_chunk(1 * _t2_temp_string_len);
  flick_fluke_encode_bcopy(0, _data->msg, 1 * _t2_temp_string_len);
  flick_fluke_encode_end_chunk(1 * _t2_temp_string_len);
  flick_fluke_encode_end_glob(1 * _t2_temp_string_len);
  return 0;
  {
  _flick_abort44:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_simple3_UNDERFLOW(flick_marshal_stream_t _stream, simple3_UNDERFLOW *_data)
{
  flick_unsigned32_t _t3_temp_string_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(8);
  flick_fluke_check_span(8, _flick_abort47);
  flick_fluke_decode_new_chunk(8);
  flick_fluke_decode_signed32(0, _data->b, oskit_s32_t );
  flick_fluke_decode_unsigned32(4, _t3_temp_string_len, flick_unsigned32_t );
  flick_fluke_decode_end_chunk(8);
  flick_fluke_decode_end_glob(8);
  flick_fluke_decode_new_glob(1 * _t3_temp_string_len);
  flick_fluke_check_span(1 * _t3_temp_string_len, _flick_abort47);
  flick_fluke_decode_new_chunk(1 * _t3_temp_string_len);
  {
    char *_t_alloc_ptr;

    _t_alloc_ptr = (char *)(mom_flick_alloc(_t3_temp_string_len * sizeof(char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort47);
    _data->msg = _t_alloc_ptr;
  }
  flick_fluke_decode_bcopy(0, _data->msg, 1 * _t3_temp_string_len);
  flick_fluke_decode_end_chunk(1 * _t3_temp_string_len);
  flick_fluke_decode_end_glob(1 * _t3_temp_string_len);
  return 0;
  {
  _flick_abort47:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_simple3_BADNUM(flick_marshal_stream_t _stream, const simple3_BADNUM *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(44, _flick_abort51);
  flick_fluke_encode_new_chunk(4 + 4 * _data->c._length);
  flick_fluke_encode_unsigned32(0, _data->c._length, oskit_u32_t );
  if (_data->c._length > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort51);
  flick_fluke_encode_bcopy(4, _data->c._buffer, 4 * _data->c._length);
  flick_fluke_encode_end_chunk(4 + 4 * _data->c._length);
  flick_fluke_encode_end_glob(44);
  return 0;
  {
  _flick_abort51:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_simple3_BADNUM(flick_marshal_stream_t _stream, simple3_BADNUM *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(44);
  flick_fluke_check_span(4, _flick_abort54);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _data->c._length, oskit_u32_t );
  if (_data->c._length > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort54);
  flick_fluke_decode_end_chunk(4);
  flick_fluke_check_span(4 * _data->c._length, _flick_abort54);
  flick_fluke_decode_new_chunk(4 * _data->c._length);
  {
    oskit_s32_t *_t_alloc_ptr;

    _t_alloc_ptr = (oskit_s32_t *)(mom_flick_alloc(_data->c._length * sizeof(oskit_s32_t )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort54);
    _data->c._buffer = _t_alloc_ptr;
    _data->c._maximum = _data->c._length;
    _data->c._release = 1;
  }
  flick_fluke_decode_bcopy(0, _data->c._buffer, 4 * _data->c._length);
  flick_fluke_decode_end_chunk(4 * _data->c._length);
  flick_fluke_decode_end_glob(44);
  return 0;
  {
  _flick_abort54:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_simple3_USERERROR(flick_marshal_stream_t _stream, const simple3_USERERROR *_data)
{
  flick_unsigned32_t _t4_temp_string_len;

  flick_fluke_stringlen(char *, _data->reason, flick_unsigned32_t , _t4_temp_string_len);

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(4, _flick_abort58);
  flick_fluke_encode_new_chunk(4);
  flick_fluke_encode_unsigned32(0, _t4_temp_string_len, flick_unsigned32_t );
  flick_fluke_encode_end_chunk(4);
  flick_fluke_encode_end_glob(4);
  flick_fluke_encode_new_glob(1 * _t4_temp_string_len, _flick_abort58);
  flick_fluke_encode_new_chunk(1 * _t4_temp_string_len);
  flick_fluke_encode_bcopy(0, _data->reason, 1 * _t4_temp_string_len);
  flick_fluke_encode_end_chunk(1 * _t4_temp_string_len);
  flick_fluke_encode_end_glob(1 * _t4_temp_string_len);
  return 0;
  {
  _flick_abort58:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_simple3_USERERROR(flick_marshal_stream_t _stream, simple3_USERERROR *_data)
{
  flick_unsigned32_t _t5_temp_string_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(4);
  flick_fluke_check_span(4, _flick_abort61);
  flick_fluke_decode_new_chunk(4);
  flick_fluke_decode_unsigned32(0, _t5_temp_string_len, flick_unsigned32_t );
  flick_fluke_decode_end_chunk(4);
  flick_fluke_decode_end_glob(4);
  flick_fluke_decode_new_glob(1 * _t5_temp_string_len);
  flick_fluke_check_span(1 * _t5_temp_string_len, _flick_abort61);
  flick_fluke_decode_new_chunk(1 * _t5_temp_string_len);
  {
    char *_t_alloc_ptr;

    _t_alloc_ptr = (char *)(mom_flick_alloc(_t5_temp_string_len * sizeof(char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort61);
    _data->reason = _t_alloc_ptr;
  }
  flick_fluke_decode_bcopy(0, _data->reason, 1 * _t5_temp_string_len);
  flick_fluke_decode_end_chunk(1 * _t5_temp_string_len);
  flick_fluke_decode_end_glob(1 * _t5_temp_string_len);
  return 0;
  {
  _flick_abort61:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

oskit_s32_t simple3_op3(mom_ref_t _obj, oskit_s32_t a, mom_ref_t *b, mom_ref_t *c, mom_ref_t *d, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s32_t _return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(8, _flick_abort66);
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_unsigned32(0, req_simple3_op3, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_signed32(4, a, oskit_s32_t );
      flick_fluke_encode_end_chunk(8);
      flick_fluke_encode_end_glob(8);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort66);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(48);
      flick_fluke_check_span(4, _flick_abort66);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            flick_fluke_check_span(16, _flick_abort103);
            flick_fluke_decode_new_chunk(16);
            flick_fluke_decode_signed32(0, _return, oskit_s32_t );
            flick_fluke_client_decode_port32(4, *b, 1);
            flick_fluke_client_decode_port32(8, *c, 1);
            flick_fluke_client_decode_port32(12, *d, 1);
            flick_fluke_decode_end_chunk(16);
            flick_fluke_decode_end_glob(48);
            break;
            {
            _flick_abort103:
              goto _flick_abort66;
            }
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(48);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort104);
            break;
            {
            _flick_abort104:
              goto _flick_abort66;
            }
          }
        default:
          {
            switch ((signed int )(_ev->_type))
              {
              case exc_simple3_OVERFLOW:
                {
                  flick_unsigned32_t _t12_temp_string_len;

                  {
                    simple3_OVERFLOW *_t_alloc_ptr;

                    _t_alloc_ptr = (simple3_OVERFLOW *)(mom_flick_alloc(sizeof(simple3_OVERFLOW )));
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort122);
                    _ev->_except = _t_alloc_ptr;
                  }
                  flick_fluke_check_span(8, _flick_abort123);
                  flick_fluke_decode_new_chunk(8);
                  flick_fluke_decode_signed32(0, ((simple3_OVERFLOW *)(_ev->_except))->a, oskit_s32_t );
                  flick_fluke_decode_unsigned32(4, _t12_temp_string_len, flick_unsigned32_t );
                  flick_fluke_decode_end_chunk(8);
                  flick_fluke_decode_end_glob(48);
                  flick_fluke_decode_new_glob(1 * _t12_temp_string_len);
                  flick_fluke_check_span(1 * _t12_temp_string_len, _flick_abort123);
                  flick_fluke_decode_new_chunk(1 * _t12_temp_string_len);
                  {
                    char *_t_alloc_ptr;

                    _t_alloc_ptr = (char *)(mom_flick_alloc(_t12_temp_string_len * sizeof(char )));
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort123);
                    ((simple3_OVERFLOW *)(_ev->_except))->msg = _t_alloc_ptr;
                  }
                  flick_fluke_decode_bcopy(0, ((simple3_OVERFLOW *)(_ev->_except))->msg, 1 * _t12_temp_string_len);
                  flick_fluke_decode_end_chunk(1 * _t12_temp_string_len);
                  flick_fluke_decode_end_glob(1 * _t12_temp_string_len);
                  break;
                  {
                  _flick_abort123:
                    mom_flick_free(_ev->_except);
                  _flick_abort122:
                    goto _flick_abort105;
                  }
                }
              case exc_simple3_UNDERFLOW:
                {
                  flick_unsigned32_t _t13_temp_string_len;

                  {
                    simple3_UNDERFLOW *_t_alloc_ptr;

                    _t_alloc_ptr = (simple3_UNDERFLOW *)(mom_flick_alloc(sizeof(simple3_UNDERFLOW )));
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort127);
                    _ev->_except = _t_alloc_ptr;
                  }
                  flick_fluke_check_span(8, _flick_abort128);
                  flick_fluke_decode_new_chunk(8);
                  flick_fluke_decode_signed32(0, ((simple3_UNDERFLOW *)(_ev->_except))->b, oskit_s32_t );
                  flick_fluke_decode_unsigned32(4, _t13_temp_string_len, flick_unsigned32_t );
                  flick_fluke_decode_end_chunk(8);
                  flick_fluke_decode_end_glob(48);
                  flick_fluke_decode_new_glob(1 * _t13_temp_string_len);
                  flick_fluke_check_span(1 * _t13_temp_string_len, _flick_abort128);
                  flick_fluke_decode_new_chunk(1 * _t13_temp_string_len);
                  {
                    char *_t_alloc_ptr;

                    _t_alloc_ptr = (char *)(mom_flick_alloc(_t13_temp_string_len * sizeof(char )));
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort128);
                    ((simple3_UNDERFLOW *)(_ev->_except))->msg = _t_alloc_ptr;
                  }
                  flick_fluke_decode_bcopy(0, ((simple3_UNDERFLOW *)(_ev->_except))->msg, 1 * _t13_temp_string_len);
                  flick_fluke_decode_end_chunk(1 * _t13_temp_string_len);
                  flick_fluke_decode_end_glob(1 * _t13_temp_string_len);
                  break;
                  {
                  _flick_abort128:
                    mom_flick_free(_ev->_except);
                  _flick_abort127:
                    goto _flick_abort105;
                  }
                }
              case exc_simple3_BADNUM:
                {
                  {
                    simple3_BADNUM *_t_alloc_ptr;

                    _t_alloc_ptr = (simple3_BADNUM *)(mom_flick_alloc(sizeof(simple3_BADNUM )));
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort132);
                    _ev->_except = _t_alloc_ptr;
                  }
                  flick_fluke_check_span(4, _flick_abort133);
                  flick_fluke_decode_new_chunk(4);
                  flick_fluke_decode_unsigned32(0, ((simple3_BADNUM *)(_ev->_except))->c._length, oskit_u32_t );
                  if (((simple3_BADNUM *)(_ev->_except))->c._length > 10)
                    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort133);
                  flick_fluke_decode_end_chunk(4);
                  flick_fluke_check_span(4 * ((simple3_BADNUM *)(_ev->_except))->c._length, _flick_abort133);
                  flick_fluke_decode_new_chunk(4 * ((simple3_BADNUM *)(_ev->_except))->c._length);
                  {
                    oskit_s32_t *_t_alloc_ptr;

                    _t_alloc_ptr = (oskit_s32_t *)(mom_flick_alloc(((simple3_BADNUM *)(_ev->_except))->c._length * sizeof(oskit_s32_t )));
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort133);
                    ((simple3_BADNUM *)(_ev->_except))->c._buffer = _t_alloc_ptr;
                    ((simple3_BADNUM *)(_ev->_except))->c._maximum = ((simple3_BADNUM *)(_ev->_except))->c._length;
                    ((simple3_BADNUM *)(_ev->_except))->c._release = 1;
                  }
                  flick_fluke_decode_bcopy(0, ((simple3_BADNUM *)(_ev->_except))->c._buffer, 4 * ((simple3_BADNUM *)(_ev->_except))->c._length);
                  flick_fluke_decode_end_chunk(4 * ((simple3_BADNUM *)(_ev->_except))->c._length);
                  flick_fluke_decode_end_glob(48);
                  break;
                  {
                  _flick_abort133:
                    mom_flick_free(_ev->_except);
                  _flick_abort132:
                    goto _flick_abort105;
                  }
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort105);
                  flick_fluke_decode_end_glob(48);
                  break;
                }
              }
            break;
            {
            _flick_abort105:
              goto _flick_abort66;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort66);
  return _return;
  {
  _flick_abort66:
    flick_mom_client_error(fluke, fluke, _flick_abort65);
  _flick_abort65:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

char *simple3_op4(mom_ref_t _obj, const char *x, char **y, char **z, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  char *_return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_unsigned32_t _t16_temp_string_len;
      flick_unsigned32_t _t17_temp_string_len;

      flick_fluke_stringlen(const char *, x, flick_unsigned32_t , _t16_temp_string_len);
      flick_fluke_stringlen(char *, *y, flick_unsigned32_t , _t17_temp_string_len);

      flick_fluke_encode_new_glob(8, _flick_abort138);
      flick_fluke_encode_new_chunk(8);
      flick_fluke_encode_unsigned32(0, req_simple3_op4, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_unsigned32(4, _t16_temp_string_len, flick_unsigned32_t );
      flick_fluke_encode_end_chunk(8);
      flick_fluke_encode_end_glob(8);
      flick_fluke_encode_new_glob(1 * _t16_temp_string_len, _flick_abort138);
      flick_fluke_encode_new_chunk(1 * _t16_temp_string_len);
      flick_fluke_encode_bcopy(0, x, 1 * _t16_temp_string_len);
      flick_fluke_encode_end_chunk(1 * _t16_temp_string_len);
      flick_fluke_encode_end_glob(1 * _t16_temp_string_len);
      flick_fluke_encode_new_glob(7, _flick_abort138);
      flick_fluke_encode_new_chunk_align(4, 2, 0, 0);
      flick_fluke_encode_unsigned32(0, _t17_temp_string_len, flick_unsigned32_t );
      flick_fluke_encode_end_chunk(4);
      flick_fluke_encode_end_glob(7);
      flick_fluke_encode_new_glob(1 * _t17_temp_string_len, _flick_abort138);
      flick_fluke_encode_new_chunk(1 * _t17_temp_string_len);
      flick_fluke_encode_bcopy(0, *y, 1 * _t17_temp_string_len);
      mom_flick_free(*y);
      *y = 0;
      flick_fluke_encode_end_chunk(1 * _t17_temp_string_len);
      flick_fluke_encode_end_glob(1 * _t17_temp_string_len);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort138);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(12);
      flick_fluke_check_span(4, _flick_abort138);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            flick_unsigned32_t _t23_temp_string_len;
            flick_unsigned32_t _t24_temp_string_len;
            flick_unsigned32_t _t25_temp_string_len;

            /* Begin decode phase on parameters */
            flick_fluke_check_span(4, _flick_abort172);
            flick_fluke_decode_new_chunk(4);
            flick_fluke_decode_unsigned32(0, _t23_temp_string_len, flick_unsigned32_t );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(12);
            flick_fluke_decode_new_glob(1 * _t23_temp_string_len);
            flick_fluke_check_span(1 * _t23_temp_string_len, _flick_abort172);
            flick_fluke_decode_new_chunk(1 * _t23_temp_string_len);
            {
              char *_t_alloc_ptr;

              _t_alloc_ptr = (char *)(mom_flick_alloc(_t23_temp_string_len * sizeof(char )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort172);
              _return = _t_alloc_ptr;
            }
            flick_fluke_decode_bcopy(0, _return, 1 * _t23_temp_string_len);
            flick_fluke_decode_end_chunk(1 * _t23_temp_string_len);
            flick_fluke_decode_end_glob(1 * _t23_temp_string_len);
            flick_fluke_decode_new_glob(7);
            flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
            flick_fluke_check_span(4, _flick_abort175);
            flick_fluke_decode_unsigned32(0, _t24_temp_string_len, flick_unsigned32_t );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(7);
            flick_fluke_decode_new_glob(1 * _t24_temp_string_len);
            flick_fluke_check_span(1 * _t24_temp_string_len, _flick_abort175);
            flick_fluke_decode_new_chunk(1 * _t24_temp_string_len);
            {
              char *_t_alloc_ptr;

              _t_alloc_ptr = (char *)(mom_flick_alloc(_t24_temp_string_len * sizeof(char )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort175);
              *y = _t_alloc_ptr;
            }
            flick_fluke_decode_bcopy(0, *y, 1 * _t24_temp_string_len);
            flick_fluke_decode_end_chunk(1 * _t24_temp_string_len);
            flick_fluke_decode_end_glob(1 * _t24_temp_string_len);
            flick_fluke_decode_new_glob(7);
            flick_fluke_decode_new_chunk_align(4, 2, 0, 0);
            flick_fluke_check_span(4, _flick_abort178);
            flick_fluke_decode_unsigned32(0, _t25_temp_string_len, flick_unsigned32_t );
            flick_fluke_decode_end_chunk(4);
            flick_fluke_decode_end_glob(7);
            flick_fluke_decode_new_glob(1 * _t25_temp_string_len);
            flick_fluke_check_span(1 * _t25_temp_string_len, _flick_abort178);
            flick_fluke_decode_new_chunk(1 * _t25_temp_string_len);
            {
              char *_t_alloc_ptr;

              _t_alloc_ptr = (char *)(mom_flick_alloc(_t25_temp_string_len * sizeof(char )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort178);
              *z = _t_alloc_ptr;
            }
            flick_fluke_decode_bcopy(0, *z, 1 * _t25_temp_string_len);
            flick_fluke_decode_end_chunk(1 * _t25_temp_string_len);
            flick_fluke_decode_end_glob(1 * _t25_temp_string_len);
            break;
            {
            _flick_abort178:
              mom_flick_free(*y);
            _flick_abort175:
              mom_flick_free(_return);
            _flick_abort172:
              goto _flick_abort138;
            }
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(12);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort182);
            break;
            {
            _flick_abort182:
              goto _flick_abort138;
            }
          }
        default:
          {
            switch ((signed int )(_ev->_type))
              {
              case exc_simple3_UNDERFLOW:
                {
                  flick_unsigned32_t _t27_temp_string_len;

                  {
                    simple3_UNDERFLOW *_t_alloc_ptr;

                    _t_alloc_ptr = (simple3_UNDERFLOW *)(mom_flick_alloc(sizeof(simple3_UNDERFLOW )));
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort190);
                    _ev->_except = _t_alloc_ptr;
                  }
                  flick_fluke_check_span(8, _flick_abort191);
                  flick_fluke_decode_new_chunk(8);
                  flick_fluke_decode_signed32(0, ((simple3_UNDERFLOW *)(_ev->_except))->b, oskit_s32_t );
                  flick_fluke_decode_unsigned32(4, _t27_temp_string_len, flick_unsigned32_t );
                  flick_fluke_decode_end_chunk(8);
                  flick_fluke_decode_end_glob(12);
                  flick_fluke_decode_new_glob(1 * _t27_temp_string_len);
                  flick_fluke_check_span(1 * _t27_temp_string_len, _flick_abort191);
                  flick_fluke_decode_new_chunk(1 * _t27_temp_string_len);
                  {
                    char *_t_alloc_ptr;

                    _t_alloc_ptr = (char *)(mom_flick_alloc(_t27_temp_string_len * sizeof(char )));
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort191);
                    ((simple3_UNDERFLOW *)(_ev->_except))->msg = _t_alloc_ptr;
                  }
                  flick_fluke_decode_bcopy(0, ((simple3_UNDERFLOW *)(_ev->_except))->msg, 1 * _t27_temp_string_len);
                  flick_fluke_decode_end_chunk(1 * _t27_temp_string_len);
                  flick_fluke_decode_end_glob(1 * _t27_temp_string_len);
                  break;
                  {
                  _flick_abort191:
                    mom_flick_free(_ev->_except);
                  _flick_abort190:
                    goto _flick_abort183;
                  }
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort183);
                  flick_fluke_decode_end_glob(12);
                  break;
                }
              }
            break;
            {
            _flick_abort183:
              goto _flick_abort138;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort138);
  return _return;
  {
  _flick_abort138:
    flick_mom_client_error(fluke, fluke, _flick_abort137);
  _flick_abort137:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

void simple3_op5(mom_ref_t _obj, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;

  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(4, _flick_abort196);
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_unsigned32(0, req_simple3_op5, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_end_chunk(4);
      flick_fluke_encode_end_glob(4);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort196);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(8);
      flick_fluke_check_span(4, _flick_abort196);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            flick_fluke_decode_end_glob(8);
            break;
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(8);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort214);
            break;
            {
            _flick_abort214:
              goto _flick_abort196;
            }
          }
        default:
          {
            switch ((signed int )(_ev->_type))
              {
              case exc_simple3_USERERROR:
                {
                  flick_unsigned32_t _t31_temp_string_len;

                  {
                    simple3_USERERROR *_t_alloc_ptr;

                    _t_alloc_ptr = (simple3_USERERROR *)(mom_flick_alloc(sizeof(simple3_USERERROR )));
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort222);
                    _ev->_except = _t_alloc_ptr;
                  }
                  flick_fluke_check_span(4, _flick_abort223);
                  flick_fluke_decode_new_chunk(4);
                  flick_fluke_decode_unsigned32(0, _t31_temp_string_len, flick_unsigned32_t );
                  flick_fluke_decode_end_chunk(4);
                  flick_fluke_decode_end_glob(8);
                  flick_fluke_decode_new_glob(1 * _t31_temp_string_len);
                  flick_fluke_check_span(1 * _t31_temp_string_len, _flick_abort223);
                  flick_fluke_decode_new_chunk(1 * _t31_temp_string_len);
                  {
                    char *_t_alloc_ptr;

                    _t_alloc_ptr = (char *)(mom_flick_alloc(_t31_temp_string_len * sizeof(char )));
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort223);
                    ((simple3_USERERROR *)(_ev->_except))->reason = _t_alloc_ptr;
                  }
                  flick_fluke_decode_bcopy(0, ((simple3_USERERROR *)(_ev->_except))->reason, 1 * _t31_temp_string_len);
                  flick_fluke_decode_end_chunk(1 * _t31_temp_string_len);
                  flick_fluke_decode_end_glob(1 * _t31_temp_string_len);
                  break;
                  {
                  _flick_abort223:
                    mom_flick_free(_ev->_except);
                  _flick_abort222:
                    goto _flick_abort215;
                  }
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort215);
                  flick_fluke_decode_end_glob(8);
                  break;
                }
              }
            break;
            {
            _flick_abort215:
              goto _flick_abort196;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort196);
  return;
  {
  _flick_abort196:
    flick_mom_client_error(fluke, fluke, _flick_abort195);
  _flick_abort195:
    goto _flick_reaper;
  }
_flick_reaper:
  return;
}

oskit_s32_t simple3_op2(mom_ref_t _obj, oskit_s32_t a, const mom_ref_t b, mom_ref_t *c, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s32_t _return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(12, _flick_abort228);
      flick_fluke_encode_new_chunk(12);
      flick_fluke_encode_unsigned32(0, req_simple2_op2, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_signed32(4, a, oskit_s32_t );
      flick_fluke_client_encode_port32(8, b, 0);
      flick_fluke_encode_end_chunk(12);
      flick_fluke_encode_end_glob(12);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort228);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(12);
      flick_fluke_check_span(4, _flick_abort228);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            flick_fluke_check_span(8, _flick_abort234);
            flick_fluke_decode_new_chunk(8);
            flick_fluke_decode_signed32(0, _return, oskit_s32_t );
            flick_fluke_client_decode_port32(4, *c, 1);
            flick_fluke_decode_end_chunk(8);
            flick_fluke_decode_end_glob(12);
            break;
            {
            _flick_abort234:
              goto _flick_abort228;
            }
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(12);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort235);
            break;
            {
            _flick_abort235:
              goto _flick_abort228;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort236);
            flick_fluke_decode_end_glob(12);
            break;
            {
            _flick_abort236:
              goto _flick_abort228;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort228);
  return _return;
  {
  _flick_abort228:
    flick_mom_client_error(fluke, fluke, _flick_abort227);
  _flick_abort227:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

oskit_s32_t simple3_op(mom_ref_t _obj, oskit_s32_t a, mom_ref_t *b, oskit_s32_t *c, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  oskit_s32_t _return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(12, _flick_abort238);
      flick_fluke_encode_new_chunk(12);
      flick_fluke_encode_unsigned32(0, req_simple_op, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_signed32(4, a, oskit_s32_t );
      flick_fluke_encode_signed32(8, *c, oskit_s32_t );
      flick_fluke_encode_end_chunk(12);
      flick_fluke_encode_end_glob(12);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort238);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(16);
      flick_fluke_check_span(4, _flick_abort238);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            flick_fluke_check_span(12, _flick_abort244);
            flick_fluke_decode_new_chunk(12);
            flick_fluke_decode_signed32(0, _return, oskit_s32_t );
            flick_fluke_client_decode_port32(4, *b, 1);
            flick_fluke_decode_signed32(8, *c, oskit_s32_t );
            flick_fluke_decode_end_chunk(12);
            flick_fluke_decode_end_glob(16);
            break;
            {
            _flick_abort244:
              goto _flick_abort238;
            }
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(16);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort245);
            break;
            {
            _flick_abort245:
              goto _flick_abort238;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort246);
            flick_fluke_decode_end_glob(16);
            break;
            {
            _flick_abort246:
              goto _flick_abort238;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort238);
  return _return;
  {
  _flick_abort238:
    flick_mom_client_error(fluke, fluke, _flick_abort237);
  _flick_abort237:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

