#include "tpztest-client.h"

int flick_marshal_stub_tpztest_payload(flick_marshal_stream_t _stream, const tpztest_payload *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_fluke_encode_new_glob(8192, _flick_abort0);
  flick_fluke_encode_new_chunk(8192);
  flick_fluke_encode_bcopy(0, *_data, 8192);
  flick_fluke_encode_end_chunk(8192);
  flick_fluke_encode_end_glob(8192);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_tpztest_payload(flick_marshal_stream_t _stream, tpztest_payload *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_fluke_decode_new_glob(8192);
  flick_fluke_check_span(8192, _flick_abort3);
  flick_fluke_decode_new_chunk(8192);
  flick_fluke_decode_bcopy(0, *_data, 8192);
  flick_fluke_decode_end_chunk(8192);
  flick_fluke_decode_end_glob(8192);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

tpztest_payload_slice *tpztest_rqst_rspn(mom_ref_t _obj, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;
  tpztest_payload_slice *_return;

  _return = 0;
  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(4, _flick_abort7);
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_unsigned32(0, req_tpztest_rqst_rspn, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_end_chunk(4);
      flick_fluke_encode_end_glob(4);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort7);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(4);
      flick_fluke_check_span(4, _flick_abort7);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            flick_fluke_decode_end_glob(4);
            flick_fluke_decode_new_glob(8192);
            flick_fluke_check_span(8192, _flick_abort16);
            flick_fluke_decode_new_chunk(8192);
            {
              oskit_u8_t *_t_alloc_ptr;

              _t_alloc_ptr = (oskit_u8_t *)(mom_flick_alloc(8192 * sizeof(oskit_u8_t )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort16);
              _return = _t_alloc_ptr;
            }
            flick_fluke_decode_bcopy(0, _return, 8192);
            flick_fluke_decode_end_chunk(8192);
            flick_fluke_decode_end_glob(8192);
            break;
            {
            _flick_abort16:
              goto _flick_abort7;
            }
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(4);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort20);
            break;
            {
            _flick_abort20:
              goto _flick_abort7;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort21);
            flick_fluke_decode_end_glob(4);
            break;
            {
            _flick_abort21:
              goto _flick_abort7;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort7);
  return _return;
  {
  _flick_abort7:
    flick_mom_client_error(fluke, fluke, _flick_abort6);
  _flick_abort6:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

void tpztest_bandwidth(mom_ref_t _obj, tpztest_payload pld, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;

  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(4, _flick_abort23);
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_unsigned32(0, req_tpztest_bandwidth, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_end_chunk(4);
      flick_fluke_encode_end_glob(4);
      flick_fluke_encode_new_glob(8192, _flick_abort23);
      flick_fluke_encode_new_chunk(8192);
      flick_fluke_encode_bcopy(0, pld, 8192);
      flick_fluke_encode_end_chunk(8192);
      flick_fluke_encode_end_glob(8192);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort23);
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort23);
  return;
  {
  _flick_abort23:
    flick_mom_client_error(fluke, fluke, _flick_abort22);
  _flick_abort22:
    goto _flick_reaper;
  }
}

void tpztest_bandwidth_pingback(mom_ref_t _obj, tpztest_payload pld, mom_exc_t *_ev)
{
  flick_marshal_stream_struct _stream_struct;
  const flick_marshal_stream_t _stream = &_stream_struct;

  fluke_error_t _rc;

  if( !flick_fluke_client_start_encode() ) {
    {
      flick_fluke_encode_new_glob(4, _flick_abort38);
      flick_fluke_encode_new_chunk(4);
      flick_fluke_encode_unsigned32(0, req_tpztest_bandwidth_pingback, flick_unsigned32_t );
      /* Begin encode phase on parameters */
      flick_fluke_encode_end_chunk(4);
      flick_fluke_encode_end_glob(4);
      flick_fluke_encode_new_glob(8192, _flick_abort38);
      flick_fluke_encode_new_chunk(8192);
      flick_fluke_encode_bcopy(0, pld, 8192);
      flick_fluke_encode_end_chunk(8192);
      flick_fluke_encode_end_glob(8192);
    }
    flick_fluke_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND_RECEIVE;
    _rc = flick_client_send_request_get_reply(_obj, _stream);
    if ((_rc != FLUKE_SUCCESS) && (_rc != FLUKE_IPC_RECV_DISCONNECTED))
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort38);
    flick_fluke_client_start_decode();
    {
      flick_fluke_decode_new_glob(4);
      flick_fluke_check_span(4, _flick_abort38);
      flick_fluke_decode_new_chunk(4);
      flick_fluke_decode_signed32(0, _ev->_type, signed int );
      flick_fluke_decode_end_chunk(4);
      switch (_ev->_type)
        {
        case exc_mom_no_exception:
          {
            /* Begin decode phase on parameters */
            flick_fluke_decode_end_glob(4);
            break;
          }
        case exc_mom_system_exception:
          {
            flick_fluke_decode_end_glob(4);
            flick_mom_decode_system_exception(_ev, fluke, fluke, _flick_abort49);
            break;
            {
            _flick_abort49:
              goto _flick_abort38;
            }
          }
        default:
          {
            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort50);
            flick_fluke_decode_end_glob(4);
            break;
            {
            _flick_abort50:
              goto _flick_abort38;
            }
          }
        }
    }
    flick_fluke_client_end_decode();
  }
  else
    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort38);
  return;
  {
  _flick_abort38:
    flick_mom_client_error(fluke, fluke, _flick_abort37);
  _flick_abort37:
    goto _flick_reaper;
  }
_flick_reaper:
  return;
}

