#include "arrayez-server.h"

/* This is the runtime type information */
char *flick_interface_parents_arrayez[] = {
	"IDL:arrayez:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
int flick_marshal_stub_arrayez(flick_marshal_stream_t _stream, arrayez *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdr_encode_IOR(iiop, *_data, 0, _flick_abort0);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_arrayez(flick_marshal_stream_t _stream, arrayez *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_decode_IOR(iiop, *_data, 1);
  return 0;
}

int flick_unmarshal_stub_arrayez_swap(flick_marshal_stream_t _stream, arrayez *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
  return 0;
}

int flick_marshal_stub_arrayez_arr8k(flick_marshal_stream_t _stream, arrayez_arr8k *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(8192, _flick_abort3);
  flick_iiop_encode_new_chunk(8192);
  flick_cdr_encode_bcopy(0, *_data, 8192);
  flick_iiop_encode_end_chunk(8192);
  flick_iiop_encode_end_glob(8192);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_arrayez_arr8k(flick_marshal_stream_t _stream, arrayez_arr8k *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(8192);
  flick_iiop_check_span(8192, _flick_abort6);
  flick_iiop_decode_new_chunk(8192);
  flick_cdr_decode_bcopy(0, *_data, 8192);
  flick_iiop_decode_end_chunk(8192);
  flick_iiop_decode_end_glob(8192);
  return 0;
  {
  _flick_abort6:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_arrayez_arr8k_swap(flick_marshal_stream_t _stream, arrayez_arr8k *_data)
{
  flick_unsigned32_t _t0_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(8192);
  flick_iiop_check_span(2048 * 4, _flick_abort9);
  for (_t0_array_iter = 0; _t0_array_iter < 2048; _t0_array_iter++)
    {
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, (*_data)[_t0_array_iter], CORBA_long );
      flick_iiop_decode_end_chunk(4);
      continue;
    }
  flick_iiop_decode_end_glob(8192);
  return 0;
  {
  _flick_abort9:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

flick_operation_success_t arrayez_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned int _request_id, FLICK_TARGET _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t71_switch_tag;

    flick_iiop_decode_new_glob(20);
    flick_iiop_check_span(16, _flick_abort17);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t71_switch_tag, unsigned int );
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t71_switch_tag)
      {
      case (unsigned int) 10:
        {
          unsigned int _t72_switch_tag;

          flick_iiop_check_span(16, _flick_abort17);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t72_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t72_switch_tag)
            {
            case /* test */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
              {
                unsigned int _t73_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t73_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t73_switch_tag)
                  {
                  case /* _in8 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600745016):
                    {
                      unsigned short int _t74_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t74_switch_tag, unsigned short int );
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t74_switch_tag)
                        {
                        case /* k */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 27392):
                          {
                            {
                              arrayez _obj;
                              unsigned int _t75_principal_len;
                              CORBA_long _return;
                              CORBA_long *_local_a;
                              CORBA_long _t76_storage[2048];
                              flick_unsigned32_t _t77_array_iter;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t78_storage;

                              flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort183);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t75_principal_len, unsigned int );
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_check_span(_t75_principal_len, _flick_abort183);
                              flick_iiop_decode_new_glob(_t75_principal_len);
                              flick_iiop_decode_new_chunk(_t75_principal_len);
                              flick_iiop_decode_end_chunk(_t75_principal_len);
                              flick_iiop_decode_end_glob(_t75_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiop_decode_new_glob(14336);
                              _local_a = (CORBA_long *)_t76_storage;
                              for (_t77_array_iter = 0; _t77_array_iter < 2048; _t77_array_iter++)
                                {
                                  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                  flick_iiop_check_span(4, _flick_abort187);
                                  flick_cdr_swap_decode_signed32(0, _local_a[_t77_array_iter], CORBA_long );
                                  flick_iiop_decode_end_chunk(4);
                                  continue;
                                  {
                                  _flick_abort187:
                                    goto _flick_abort183;
                                  }
                                }
                              _ev = (CORBA_Environment *)(&_t78_storage);
                              flick_iiop_decode_end_glob(14336);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = arrayez_test_in8k(_obj, _local_a, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort183);
                                flick_iiop_encode_new_glob(8, _flick_abort183);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_iiop_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _return, CORBA_long );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_end_glob(8);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_iiop_encode_end_glob(8);
                                      flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort194);
                                      break;
                                      {
                                      _flick_abort194:
                                        goto _flick_abort183;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort195);
                                      flick_iiop_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort195:
                                        goto _flick_abort183;
                                      }
                                    }
                                  }
                              }
                              flick_iiop_server_end_encode();
                              break;
                              {
                              _flick_abort183:
                                goto _flick_abort182;
                              }
                            }
                            break;
                            {
                            _flick_abort182:
                              goto _flick_abort17;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _io8 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600745272):
                    {
                      unsigned short int _t79_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t79_switch_tag, unsigned short int );
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t79_switch_tag)
                        {
                        case /* k */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 27392):
                          {
                            {
                              arrayez _obj;
                              unsigned int _t80_principal_len;
                              CORBA_long _return;
                              CORBA_long *_local_a;
                              CORBA_long _t81_storage[2048];
                              flick_unsigned32_t _t82_array_iter;
                              CORBA_long *_local_b;
                              CORBA_long _t83_storage[2048];
                              CORBA_Environment *_ev;
                              CORBA_Environment _t84_storage;

                              flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort197);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t80_principal_len, unsigned int );
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_check_span(_t80_principal_len, _flick_abort197);
                              flick_iiop_decode_new_glob(_t80_principal_len);
                              flick_iiop_decode_new_chunk(_t80_principal_len);
                              flick_iiop_decode_end_chunk(_t80_principal_len);
                              flick_iiop_decode_end_glob(_t80_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiop_decode_new_glob(14336);
                              _local_a = (CORBA_long *)_t81_storage;
                              for (_t82_array_iter = 0; _t82_array_iter < 2048; _t82_array_iter++)
                                {
                                  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                                  flick_iiop_check_span(4, _flick_abort201);
                                  flick_cdr_swap_decode_signed32(0, _local_a[_t82_array_iter], CORBA_long );
                                  flick_iiop_decode_end_chunk(4);
                                  continue;
                                  {
                                  _flick_abort201:
                                    goto _flick_abort197;
                                  }
                                }
                              _local_b = (CORBA_long *)_t83_storage;
                              _ev = (CORBA_Environment *)(&_t84_storage);
                              flick_iiop_decode_end_glob(14336);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = arrayez_test_io8k(_obj, _local_a, _local_b, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort197);
                                flick_iiop_encode_new_glob(8, _flick_abort197);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_iiop_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _return, CORBA_long );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_end_glob(8);
                                      flick_iiop_encode_new_glob(8192, _flick_abort210);
                                      flick_iiop_encode_new_chunk(8192);
                                      flick_cdr_encode_bcopy(0, _local_b, 8192);
                                      flick_iiop_encode_end_chunk(8192);
                                      flick_iiop_encode_end_glob(8192);
                                      break;
                                      {
                                      _flick_abort210:
                                        goto _flick_abort197;
                                      }
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_iiop_encode_end_glob(8);
                                      flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort213);
                                      break;
                                      {
                                      _flick_abort213:
                                        goto _flick_abort197;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort214);
                                      flick_iiop_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort214:
                                        goto _flick_abort197;
                                      }
                                    }
                                  }
                              }
                              flick_iiop_server_end_encode();
                              break;
                              {
                              _flick_abort197:
                                goto _flick_abort196;
                              }
                            }
                            break;
                            {
                            _flick_abort196:
                              goto _flick_abort17;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          unsigned int _t85_switch_tag;

          flick_iiop_check_span(16, _flick_abort17);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t85_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t85_switch_tag)
            {
            case /* test */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
              {
                unsigned int _t86_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t86_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t86_switch_tag)
                  {
                  case /* _out */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601140084):
                    {
                      unsigned short int _t87_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t87_switch_tag, unsigned short int );
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t87_switch_tag)
                        {
                        case /* 8k */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 14443):
                          {
                            char _t88_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t88_switch_tag, char );
                            flick_iiop_decode_end_chunk(1);
                            switch ((char )_t88_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    arrayez _obj;
                                    unsigned int _t89_principal_len;
                                    CORBA_long _return;
                                    CORBA_long *_local_a;
                                    CORBA_long _t90_storage[2048];
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t91_storage;

                                    flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort216);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_iiop_decode_new_chunk(5);
                                    flick_cdr_swap_decode_unsigned32(1, _t89_principal_len, unsigned int );
                                    flick_iiop_decode_end_chunk(5);
                                    flick_iiop_decode_end_glob(20);
                                    flick_iiop_check_span(_t89_principal_len, _flick_abort216);
                                    flick_iiop_decode_new_glob(_t89_principal_len);
                                    flick_iiop_decode_new_chunk(_t89_principal_len);
                                    flick_iiop_decode_end_chunk(_t89_principal_len);
                                    flick_iiop_decode_end_glob(_t89_principal_len);
                                    /* Begin decode phase on parameters */
                                    _return = 0;
                                    _local_a = (CORBA_long *)_t90_storage;
                                    _ev = (CORBA_Environment *)(&_t91_storage);
                                    flick_iiop_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = arrayez_test_out8k(_obj, _local_a, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort216);
                                      flick_iiop_encode_new_glob(8, _flick_abort216);
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_iiop_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            /* Begin encode phase on parameters */
                                            flick_iiop_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _return, CORBA_long );
                                            flick_iiop_encode_end_chunk(4);
                                            flick_iiop_encode_end_glob(8);
                                            flick_iiop_encode_new_glob(8192, _flick_abort224);
                                            flick_iiop_encode_new_chunk(8192);
                                            flick_cdr_encode_bcopy(0, _local_a, 8192);
                                            flick_iiop_encode_end_chunk(8192);
                                            flick_iiop_encode_end_glob(8192);
                                            break;
                                            {
                                            _flick_abort224:
                                              goto _flick_abort216;
                                            }
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_iiop_encode_end_glob(8);
                                            flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort227);
                                            break;
                                            {
                                            _flick_abort227:
                                              goto _flick_abort216;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort228);
                                            flick_iiop_encode_end_glob(8);
                                            break;
                                            {
                                            _flick_abort228:
                                              goto _flick_abort216;
                                            }
                                          }
                                        }
                                    }
                                    flick_iiop_server_end_encode();
                                    break;
                                    {
                                    _flick_abort216:
                                      goto _flick_abort215;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort215:
                                    goto _flick_abort17;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                                  flick_iiop_decode_end_glob(20);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t92_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t92_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t92_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t93_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t93_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t93_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t94_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t95_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t96_storage;
                        char **_par;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort230);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t94_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_check_span(_t94_principal_len, _flick_abort230);
                        flick_iiop_decode_new_glob(_t94_principal_len);
                        flick_iiop_decode_new_chunk(_t94_principal_len);
                        flick_iiop_decode_end_chunk(_t94_principal_len);
                        flick_iiop_decode_end_glob(_t94_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort230);
                        flick_cdr_swap_decode_unsigned32(0, _t95_temp_string_len, flick_unsigned32_t );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(1 * _t95_temp_string_len);
                        flick_iiop_check_span(1 * _t95_temp_string_len, _flick_abort230);
                        flick_iiop_decode_new_chunk(1 * _t95_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_iiop_decode_end_chunk(1 * _t95_temp_string_len);
                        flick_iiop_decode_end_glob(1 * _t95_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t96_storage);
                        _par = flick_interface_parents_arrayez;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort230);
                          flick_iiop_encode_new_glob(5, _flick_abort230);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_iiop_encode_end_chunk(1);
                                flick_iiop_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort238);
                                break;
                                {
                                _flick_abort238:
                                  goto _flick_abort230;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort239);
                                flick_iiop_encode_end_glob(5);
                                break;
                                {
                                _flick_abort239:
                                  goto _flick_abort230;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort230:
                          goto _flick_abort229;
                        }
                      }
                      break;
                      {
                      _flick_abort229:
                        goto _flick_abort17;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
          flick_iiop_decode_end_glob(20);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t23_switch_tag;

    flick_iiop_decode_new_glob(20);
    flick_iiop_check_span(16, _flick_abort17);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t23_switch_tag, unsigned int );
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t23_switch_tag)
      {
      case (unsigned int) 10:
        {
          unsigned int _t24_switch_tag;

          flick_iiop_check_span(16, _flick_abort17);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t24_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t24_switch_tag)
            {
            case /* test */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
              {
                unsigned int _t25_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t25_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t25_switch_tag)
                  {
                  case /* _in8 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600745016):
                    {
                      unsigned short int _t26_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t26_switch_tag, unsigned short int );
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t26_switch_tag)
                        {
                        case /* k */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 27392):
                          {
                            {
                              arrayez _obj;
                              unsigned int _t27_principal_len;
                              CORBA_long _return;
                              CORBA_long *_local_a;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t28_storage;

                              flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort72);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t27_principal_len, unsigned int );
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_check_span(_t27_principal_len, _flick_abort72);
                              flick_iiop_decode_new_glob(_t27_principal_len);
                              flick_iiop_decode_new_chunk(_t27_principal_len);
                              flick_iiop_decode_end_chunk(_t27_principal_len);
                              flick_iiop_decode_end_glob(_t27_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiop_decode_new_glob(8195);
                              flick_iiop_decode_new_chunk_align(8192, 2, 0, 0);
                              flick_iiop_check_span(8192, _flick_abort72);
                              flick_cdr_decode_msgptr(0, _local_a, CORBA_long *);
                              _ev = (CORBA_Environment *)(&_t28_storage);
                              flick_iiop_decode_end_chunk(8192);
                              flick_iiop_decode_end_glob(8195);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = arrayez_test_in8k(_obj, _local_a, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort72);
                                flick_iiop_encode_new_glob(8, _flick_abort72);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_iiop_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _return, CORBA_long );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_end_glob(8);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_iiop_encode_end_glob(8);
                                      flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort80);
                                      break;
                                      {
                                      _flick_abort80:
                                        goto _flick_abort72;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort81);
                                      flick_iiop_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort81:
                                        goto _flick_abort72;
                                      }
                                    }
                                  }
                              }
                              flick_iiop_server_end_encode();
                              break;
                              {
                              _flick_abort72:
                                goto _flick_abort71;
                              }
                            }
                            break;
                            {
                            _flick_abort71:
                              goto _flick_abort17;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _io8 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600745272):
                    {
                      unsigned short int _t29_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t29_switch_tag, unsigned short int );
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t29_switch_tag)
                        {
                        case /* k */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 27392):
                          {
                            {
                              arrayez _obj;
                              unsigned int _t30_principal_len;
                              CORBA_long _return;
                              CORBA_long *_local_a;
                              CORBA_long *_local_b;
                              CORBA_long _t31_storage[2048];
                              CORBA_Environment *_ev;
                              CORBA_Environment _t32_storage;

                              flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort83);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t30_principal_len, unsigned int );
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_check_span(_t30_principal_len, _flick_abort83);
                              flick_iiop_decode_new_glob(_t30_principal_len);
                              flick_iiop_decode_new_chunk(_t30_principal_len);
                              flick_iiop_decode_end_chunk(_t30_principal_len);
                              flick_iiop_decode_end_glob(_t30_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiop_decode_new_glob(8195);
                              flick_iiop_decode_new_chunk_align(8192, 2, 0, 0);
                              flick_iiop_check_span(8192, _flick_abort83);
                              flick_cdr_decode_msgptr(0, _local_a, CORBA_long *);
                              _local_b = (CORBA_long *)_t31_storage;
                              _ev = (CORBA_Environment *)(&_t32_storage);
                              flick_iiop_decode_end_chunk(8192);
                              flick_iiop_decode_end_glob(8195);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = arrayez_test_io8k(_obj, _local_a, _local_b, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort83);
                                flick_iiop_encode_new_glob(8, _flick_abort83);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_iiop_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _return, CORBA_long );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_end_glob(8);
                                      flick_iiop_encode_new_glob(8192, _flick_abort93);
                                      flick_iiop_encode_new_chunk(8192);
                                      flick_cdr_encode_bcopy(0, _local_b, 8192);
                                      flick_iiop_encode_end_chunk(8192);
                                      flick_iiop_encode_end_glob(8192);
                                      break;
                                      {
                                      _flick_abort93:
                                        goto _flick_abort83;
                                      }
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_iiop_encode_end_glob(8);
                                      flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort96);
                                      break;
                                      {
                                      _flick_abort96:
                                        goto _flick_abort83;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort97);
                                      flick_iiop_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort97:
                                        goto _flick_abort83;
                                      }
                                    }
                                  }
                              }
                              flick_iiop_server_end_encode();
                              break;
                              {
                              _flick_abort83:
                                goto _flick_abort82;
                              }
                            }
                            break;
                            {
                            _flick_abort82:
                              goto _flick_abort17;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          unsigned int _t33_switch_tag;

          flick_iiop_check_span(16, _flick_abort17);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t33_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t33_switch_tag)
            {
            case /* test */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
              {
                unsigned int _t34_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t34_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t34_switch_tag)
                  {
                  case /* _out */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601140084):
                    {
                      unsigned short int _t35_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t35_switch_tag, unsigned short int );
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t35_switch_tag)
                        {
                        case /* 8k */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 14443):
                          {
                            char _t36_switch_tag;

                            flick_iiop_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t36_switch_tag, char );
                            flick_iiop_decode_end_chunk(1);
                            switch ((char )_t36_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    arrayez _obj;
                                    unsigned int _t37_principal_len;
                                    CORBA_long _return;
                                    CORBA_long *_local_a;
                                    CORBA_long _t38_storage[2048];
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t39_storage;

                                    flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort99);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_iiop_decode_new_chunk(5);
                                    flick_cdr_decode_unsigned32(1, _t37_principal_len, unsigned int );
                                    flick_iiop_decode_end_chunk(5);
                                    flick_iiop_decode_end_glob(20);
                                    flick_iiop_check_span(_t37_principal_len, _flick_abort99);
                                    flick_iiop_decode_new_glob(_t37_principal_len);
                                    flick_iiop_decode_new_chunk(_t37_principal_len);
                                    flick_iiop_decode_end_chunk(_t37_principal_len);
                                    flick_iiop_decode_end_glob(_t37_principal_len);
                                    /* Begin decode phase on parameters */
                                    _return = 0;
                                    _local_a = (CORBA_long *)_t38_storage;
                                    _ev = (CORBA_Environment *)(&_t39_storage);
                                    flick_iiop_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = arrayez_test_out8k(_obj, _local_a, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_iiop_server_start_encode();
                                    {
                                      flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort99);
                                      flick_iiop_encode_new_glob(8, _flick_abort99);
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_iiop_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            /* Begin encode phase on parameters */
                                            flick_iiop_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _return, CORBA_long );
                                            flick_iiop_encode_end_chunk(4);
                                            flick_iiop_encode_end_glob(8);
                                            flick_iiop_encode_new_glob(8192, _flick_abort107);
                                            flick_iiop_encode_new_chunk(8192);
                                            flick_cdr_encode_bcopy(0, _local_a, 8192);
                                            flick_iiop_encode_end_chunk(8192);
                                            flick_iiop_encode_end_glob(8192);
                                            break;
                                            {
                                            _flick_abort107:
                                              goto _flick_abort99;
                                            }
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_iiop_encode_end_glob(8);
                                            flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort110);
                                            break;
                                            {
                                            _flick_abort110:
                                              goto _flick_abort99;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort111);
                                            flick_iiop_encode_end_glob(8);
                                            break;
                                            {
                                            _flick_abort111:
                                              goto _flick_abort99;
                                            }
                                          }
                                        }
                                    }
                                    flick_iiop_server_end_encode();
                                    break;
                                    {
                                    _flick_abort99:
                                      goto _flick_abort98;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort98:
                                    goto _flick_abort17;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                                  flick_iiop_decode_end_glob(20);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t40_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t40_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t40_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t41_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t41_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t41_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t42_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t43_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t44_storage;
                        char **_par;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort113);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t42_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_check_span(_t42_principal_len, _flick_abort113);
                        flick_iiop_decode_new_glob(_t42_principal_len);
                        flick_iiop_decode_new_chunk(_t42_principal_len);
                        flick_iiop_decode_end_chunk(_t42_principal_len);
                        flick_iiop_decode_end_glob(_t42_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort113);
                        flick_cdr_decode_unsigned32(0, _t43_temp_string_len, flick_unsigned32_t );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(1 * _t43_temp_string_len);
                        flick_iiop_check_span(1 * _t43_temp_string_len, _flick_abort113);
                        flick_iiop_decode_new_chunk(1 * _t43_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_iiop_decode_end_chunk(1 * _t43_temp_string_len);
                        flick_iiop_decode_end_glob(1 * _t43_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t44_storage);
                        _par = flick_interface_parents_arrayez;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort113);
                          flick_iiop_encode_new_glob(5, _flick_abort113);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_iiop_encode_end_chunk(1);
                                flick_iiop_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort121);
                                break;
                                {
                                _flick_abort121:
                                  goto _flick_abort113;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort122);
                                flick_iiop_encode_end_glob(5);
                                break;
                                {
                                _flick_abort122:
                                  goto _flick_abort113;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort113:
                          goto _flick_abort112;
                        }
                      }
                      break;
                      {
                      _flick_abort112:
                        goto _flick_abort17;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
          flick_iiop_decode_end_glob(20);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort17:
    flick_corba_server_error(cdr, iiop, _flick_reaper, _flick_abort16);
  _flick_abort16:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

