#include "constant-server.h"

/* This is the runtime type information */
char *flick_interface_parents_M_A[] = {
	"IDL:M/A:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
int flick_marshal_stub_N(flick_marshal_stream_t _stream, N *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(4, _flick_abort0);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, *_data, CORBA_enum );
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_N(flick_marshal_stream_t _stream, N *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(4);
  flick_iiop_check_span(4, _flick_abort1);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, *_data, CORBA_enum );
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_N_swap(flick_marshal_stream_t _stream, N *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(4);
  flick_iiop_check_span(4, _flick_abort2);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, *_data, CORBA_enum );
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_E(flick_marshal_stream_t _stream, E *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(2, _flick_abort3);
  flick_iiop_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, _data->cause, CORBA_short );
  flick_iiop_encode_end_chunk(2);
  flick_iiop_encode_end_glob(2);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_E(flick_marshal_stream_t _stream, E *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(2);
  flick_iiop_check_span(2, _flick_abort4);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, _data->cause, CORBA_short );
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(2);
  return 0;
  {
  _flick_abort4:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_E_swap(flick_marshal_stream_t _stream, E *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(2);
  flick_iiop_check_span(2, _flick_abort5);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->cause, CORBA_short );
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(2);
  return 0;
  {
  _flick_abort5:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_F(flick_marshal_stream_t _stream, F *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(4, _flick_abort6);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->type, CORBA_long );
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  return 0;
  {
  _flick_abort6:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_F(flick_marshal_stream_t _stream, F *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(4);
  flick_iiop_check_span(4, _flick_abort7);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, _data->type, CORBA_long );
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  return 0;
  {
  _flick_abort7:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_F_swap(flick_marshal_stream_t _stream, F *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(4);
  flick_iiop_check_span(4, _flick_abort8);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, _data->type, CORBA_long );
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  return 0;
  {
  _flick_abort8:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_M_N(flick_marshal_stream_t _stream, M_N *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(4, _flick_abort9);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, *_data, CORBA_enum );
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  return 0;
  {
  _flick_abort9:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_M_N(flick_marshal_stream_t _stream, M_N *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(4);
  flick_iiop_check_span(4, _flick_abort10);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, *_data, CORBA_enum );
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  return 0;
  {
  _flick_abort10:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_M_N_swap(flick_marshal_stream_t _stream, M_N *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(4);
  flick_iiop_check_span(4, _flick_abort11);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, *_data, CORBA_enum );
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  return 0;
  {
  _flick_abort11:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_M_E(flick_marshal_stream_t _stream, M_E *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(2, _flick_abort12);
  flick_iiop_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, _data->cause, CORBA_short );
  flick_iiop_encode_end_chunk(2);
  flick_iiop_encode_end_glob(2);
  return 0;
  {
  _flick_abort12:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_M_E(flick_marshal_stream_t _stream, M_E *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(2);
  flick_iiop_check_span(2, _flick_abort13);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, _data->cause, CORBA_short );
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(2);
  return 0;
  {
  _flick_abort13:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_M_E_swap(flick_marshal_stream_t _stream, M_E *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(2);
  flick_iiop_check_span(2, _flick_abort14);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->cause, CORBA_short );
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(2);
  return 0;
  {
  _flick_abort14:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_M_A(flick_marshal_stream_t _stream, M_A *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdr_encode_IOR(iiop, *_data, 0, _flick_abort15);
  return 0;
  {
  _flick_abort15:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_M_A(flick_marshal_stream_t _stream, M_A *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_decode_IOR(iiop, *_data, 1);
  return 0;
}

int flick_unmarshal_stub_M_A_swap(flick_marshal_stream_t _stream, M_A *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
  return 0;
}

int flick_marshal_stub_M_A_N(flick_marshal_stream_t _stream, M_A_N *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(4, _flick_abort18);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, *_data, CORBA_enum );
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  return 0;
  {
  _flick_abort18:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_M_A_N(flick_marshal_stream_t _stream, M_A_N *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(4);
  flick_iiop_check_span(4, _flick_abort19);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, *_data, CORBA_enum );
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  return 0;
  {
  _flick_abort19:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_M_A_N_swap(flick_marshal_stream_t _stream, M_A_N *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(4);
  flick_iiop_check_span(4, _flick_abort20);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, *_data, CORBA_enum );
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  return 0;
  {
  _flick_abort20:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_M_A_E(flick_marshal_stream_t _stream, M_A_E *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(2, _flick_abort21);
  flick_iiop_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, _data->cause, CORBA_short );
  flick_iiop_encode_end_chunk(2);
  flick_iiop_encode_end_glob(2);
  return 0;
  {
  _flick_abort21:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_M_A_E(flick_marshal_stream_t _stream, M_A_E *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(2);
  flick_iiop_check_span(2, _flick_abort22);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, _data->cause, CORBA_short );
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(2);
  return 0;
  {
  _flick_abort22:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_M_A_E_swap(flick_marshal_stream_t _stream, M_A_E *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(2);
  flick_iiop_check_span(2, _flick_abort23);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->cause, CORBA_short );
  flick_iiop_decode_end_chunk(2);
  flick_iiop_decode_end_glob(2);
  return 0;
  {
  _flick_abort23:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

flick_operation_success_t M_A_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned int _request_id, FLICK_TARGET _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t33_switch_tag;

    flick_iiop_decode_new_glob(16);
    flick_iiop_check_span(12, _flick_abort26);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t33_switch_tag, unsigned int );
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t33_switch_tag)
      {
      case (unsigned int) 4:
        {
          unsigned int _t34_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t34_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t34_switch_tag)
            {
            case /* foo */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1718578944):
              {
                {
                  M_A _obj;
                  unsigned int _t35_principal_len;
                  M_A_N _return;
                  M_A_N _local_x;
                  M_A_N *_local_y;
                  M_A_N _t36_storage;
                  M_A_N *_local_z;
                  M_A_N _t37_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t38_storage;

                  flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort120);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t35_principal_len, unsigned int );
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(16);
                  flick_iiop_check_span(_t35_principal_len, _flick_abort120);
                  flick_iiop_decode_new_glob(_t35_principal_len);
                  flick_iiop_decode_new_chunk(_t35_principal_len);
                  flick_iiop_decode_end_chunk(_t35_principal_len);
                  flick_iiop_decode_end_glob(_t35_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiop_decode_new_glob(11);
                  flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                  flick_iiop_check_span(8, _flick_abort120);
                  flick_cdr_swap_decode_unsigned32(0, _local_x, CORBA_enum );
                  _local_y = (M_A_N *)(&_t36_storage);
                  _local_z = (M_A_N *)(&_t37_storage);
                  flick_cdr_swap_decode_unsigned32(4, *_local_z, CORBA_enum );
                  _ev = (CORBA_Environment *)(&_t38_storage);
                  flick_iiop_decode_end_chunk(8);
                  flick_iiop_decode_end_glob(11);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = M_A_foo(_obj, _local_x, _local_y, _local_z, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort120);
                    flick_iiop_encode_new_glob(24, _flick_abort120);
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_iiop_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiop_encode_new_chunk(12);
                          flick_cdr_encode_unsigned32(0, _return, CORBA_enum );
                          flick_cdr_encode_unsigned32(4, *_local_y, CORBA_enum );
                          flick_cdr_encode_unsigned32(8, *_local_z, CORBA_enum );
                          flick_iiop_encode_end_chunk(12);
                          flick_iiop_encode_end_glob(24);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_iiop_encode_end_glob(24);
                          flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort131);
                          break;
                          {
                          _flick_abort131:
                            goto _flick_abort120;
                          }
                        }
                      default:
                        {
                          switch ((unsigned int )(1+strlen(_ev->_id)))
                            {
                            case (unsigned int) 14:
                              {
                                switch (*(unsigned int *)(_ev->_id + 0))
                                  {
                                  case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                                    {
                                      switch (*(unsigned int *)(_ev->_id + 4))
                                        {
                                        case /* M/A/ */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1294942511):
                                          {
                                            switch (*(unsigned int *)(_ev->_id + 8))
                                              {
                                              case /* E:1. */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1161441582):
                                                {
                                                  switch (*(unsigned short int *)(_ev->_id + 12))
                                                    {
                                                    case /* 0 */ flick_mem_convert_big_endian_to_local_unsigned16((unsigned short int) 12288):
                                                      {
                                                        flick_iiop_encode_new_chunk(20);
                                                        flick_cdr_encode_unsigned32(0, 14, flick_unsigned32_t );
                                                        flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                        flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                        flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                        flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                        flick_cdr_encode_char8(8, 'M', flick_char8_t );
                                                        flick_cdr_encode_char8(9, '/', flick_char8_t );
                                                        flick_cdr_encode_char8(10, 'A', flick_char8_t );
                                                        flick_cdr_encode_char8(11, '/', flick_char8_t );
                                                        flick_cdr_encode_char8(12, 'E', flick_char8_t );
                                                        flick_cdr_encode_char8(13, ':', flick_char8_t );
                                                        flick_cdr_encode_char8(14, '1', flick_char8_t );
                                                        flick_cdr_encode_char8(15, '.', flick_char8_t );
                                                        flick_cdr_encode_char8(16, '0', flick_char8_t );
                                                        flick_cdr_encode_char8(17, 0, flick_char8_t );
                                                        flick_cdr_encode_signed16(18, ((M_A_E *)(_ev->_value._user_except))->cause, CORBA_short );
                                                        CORBA_flick_free((M_A_E *)(_ev->_value._user_except));
                                                        flick_iiop_encode_end_chunk(20);
                                                        break;
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort132);
                                                        break;
                                                      }
                                                    }
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort132);
                                                  break;
                                                }
                                              }
                                            break;
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort132);
                                            break;
                                          }
                                        }
                                      break;
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort132);
                                      break;
                                    }
                                  }
                                break;
                              }
                            case (unsigned int) 10:
                              {
                                switch (*(unsigned int *)(_ev->_id + 0))
                                  {
                                  case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                                    {
                                      switch (*(unsigned int *)(_ev->_id + 4))
                                        {
                                        case /* F:1. */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1178218798):
                                          {
                                            switch (*(unsigned short int *)(_ev->_id + 8))
                                              {
                                              case /* 0 */ flick_mem_convert_big_endian_to_local_unsigned16((unsigned short int) 12288):
                                                {
                                                  flick_iiop_encode_new_chunk(20);
                                                  flick_cdr_encode_unsigned32(0, 10, flick_unsigned32_t );
                                                  flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                  flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                  flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                  flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                  flick_cdr_encode_char8(8, 'F', flick_char8_t );
                                                  flick_cdr_encode_char8(9, ':', flick_char8_t );
                                                  flick_cdr_encode_char8(10, '1', flick_char8_t );
                                                  flick_cdr_encode_char8(11, '.', flick_char8_t );
                                                  flick_cdr_encode_char8(12, '0', flick_char8_t );
                                                  flick_cdr_encode_char8(13, 0, flick_char8_t );
                                                  flick_cdr_encode_signed32(16, ((F *)(_ev->_value._user_except))->type, CORBA_long );
                                                  CORBA_flick_free((F *)(_ev->_value._user_except));
                                                  flick_iiop_encode_end_chunk(20);
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort132);
                                                  break;
                                                }
                                              }
                                            break;
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort132);
                                            break;
                                          }
                                        }
                                      break;
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort132);
                                      break;
                                    }
                                  }
                                break;
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort132);
                                break;
                              }
                            }
                          flick_iiop_encode_end_glob(24);
                          break;
                          {
                          _flick_abort132:
                            goto _flick_abort120;
                          }
                        }
                      }
                  }
                  flick_iiop_server_end_encode();
                  break;
                  {
                  _flick_abort120:
                    goto _flick_abort119;
                  }
                }
                break;
                {
                _flick_abort119:
                  goto _flick_abort26;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort26);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t39_switch_tag;

          flick_iiop_check_span(12, _flick_abort26);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t39_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t39_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t40_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t40_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t40_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t41_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t42_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t43_storage;
                        char **_par;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort139);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t41_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t41_principal_len, _flick_abort139);
                        flick_iiop_decode_new_glob(_t41_principal_len);
                        flick_iiop_decode_new_chunk(_t41_principal_len);
                        flick_iiop_decode_end_chunk(_t41_principal_len);
                        flick_iiop_decode_end_glob(_t41_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort139);
                        flick_cdr_swap_decode_unsigned32(0, _t42_temp_string_len, flick_unsigned32_t );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(1 * _t42_temp_string_len);
                        flick_iiop_check_span(1 * _t42_temp_string_len, _flick_abort139);
                        flick_iiop_decode_new_chunk(1 * _t42_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_iiop_decode_end_chunk(1 * _t42_temp_string_len);
                        flick_iiop_decode_end_glob(1 * _t42_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t43_storage);
                        _par = flick_interface_parents_M_A;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort139);
                          flick_iiop_encode_new_glob(5, _flick_abort139);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_iiop_encode_end_chunk(1);
                                flick_iiop_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort147);
                                break;
                                {
                                _flick_abort147:
                                  goto _flick_abort139;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort148);
                                flick_iiop_encode_end_glob(5);
                                break;
                                {
                                _flick_abort148:
                                  goto _flick_abort139;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort139:
                          goto _flick_abort138;
                        }
                      }
                      break;
                      {
                      _flick_abort138:
                        goto _flick_abort26;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort26);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort26);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort26);
          flick_iiop_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t11_switch_tag;

    flick_iiop_decode_new_glob(16);
    flick_iiop_check_span(12, _flick_abort26);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t11_switch_tag, unsigned int );
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t11_switch_tag)
      {
      case (unsigned int) 4:
        {
          unsigned int _t12_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t12_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t12_switch_tag)
            {
            case /* foo */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1718578944):
              {
                {
                  M_A _obj;
                  unsigned int _t13_principal_len;
                  M_A_N _return;
                  M_A_N _local_x;
                  M_A_N *_local_y;
                  M_A_N _t14_storage;
                  M_A_N *_local_z;
                  M_A_N _t15_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t16_storage;

                  flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort59);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t13_principal_len, unsigned int );
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(16);
                  flick_iiop_check_span(_t13_principal_len, _flick_abort59);
                  flick_iiop_decode_new_glob(_t13_principal_len);
                  flick_iiop_decode_new_chunk(_t13_principal_len);
                  flick_iiop_decode_end_chunk(_t13_principal_len);
                  flick_iiop_decode_end_glob(_t13_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiop_decode_new_glob(11);
                  flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                  flick_iiop_check_span(8, _flick_abort59);
                  flick_cdr_decode_unsigned32(0, _local_x, CORBA_enum );
                  _local_y = (M_A_N *)(&_t14_storage);
                  _local_z = (M_A_N *)(&_t15_storage);
                  flick_cdr_decode_unsigned32(4, *_local_z, CORBA_enum );
                  _ev = (CORBA_Environment *)(&_t16_storage);
                  flick_iiop_decode_end_chunk(8);
                  flick_iiop_decode_end_glob(11);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = M_A_foo(_obj, _local_x, _local_y, _local_z, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort59);
                    flick_iiop_encode_new_glob(24, _flick_abort59);
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_iiop_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiop_encode_new_chunk(12);
                          flick_cdr_encode_unsigned32(0, _return, CORBA_enum );
                          flick_cdr_encode_unsigned32(4, *_local_y, CORBA_enum );
                          flick_cdr_encode_unsigned32(8, *_local_z, CORBA_enum );
                          flick_iiop_encode_end_chunk(12);
                          flick_iiop_encode_end_glob(24);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_iiop_encode_end_glob(24);
                          flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort70);
                          break;
                          {
                          _flick_abort70:
                            goto _flick_abort59;
                          }
                        }
                      default:
                        {
                          switch ((unsigned int )(1+strlen(_ev->_id)))
                            {
                            case (unsigned int) 14:
                              {
                                switch (*(unsigned int *)(_ev->_id + 0))
                                  {
                                  case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                                    {
                                      switch (*(unsigned int *)(_ev->_id + 4))
                                        {
                                        case /* M/A/ */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1294942511):
                                          {
                                            switch (*(unsigned int *)(_ev->_id + 8))
                                              {
                                              case /* E:1. */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1161441582):
                                                {
                                                  switch (*(unsigned short int *)(_ev->_id + 12))
                                                    {
                                                    case /* 0 */ flick_mem_convert_big_endian_to_local_unsigned16((unsigned short int) 12288):
                                                      {
                                                        flick_iiop_encode_new_chunk(20);
                                                        flick_cdr_encode_unsigned32(0, 14, flick_unsigned32_t );
                                                        flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                        flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                        flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                        flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                        flick_cdr_encode_char8(8, 'M', flick_char8_t );
                                                        flick_cdr_encode_char8(9, '/', flick_char8_t );
                                                        flick_cdr_encode_char8(10, 'A', flick_char8_t );
                                                        flick_cdr_encode_char8(11, '/', flick_char8_t );
                                                        flick_cdr_encode_char8(12, 'E', flick_char8_t );
                                                        flick_cdr_encode_char8(13, ':', flick_char8_t );
                                                        flick_cdr_encode_char8(14, '1', flick_char8_t );
                                                        flick_cdr_encode_char8(15, '.', flick_char8_t );
                                                        flick_cdr_encode_char8(16, '0', flick_char8_t );
                                                        flick_cdr_encode_char8(17, 0, flick_char8_t );
                                                        flick_cdr_encode_signed16(18, ((M_A_E *)(_ev->_value._user_except))->cause, CORBA_short );
                                                        CORBA_flick_free((M_A_E *)(_ev->_value._user_except));
                                                        flick_iiop_encode_end_chunk(20);
                                                        break;
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort71);
                                                        break;
                                                      }
                                                    }
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort71);
                                                  break;
                                                }
                                              }
                                            break;
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort71);
                                            break;
                                          }
                                        }
                                      break;
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort71);
                                      break;
                                    }
                                  }
                                break;
                              }
                            case (unsigned int) 10:
                              {
                                switch (*(unsigned int *)(_ev->_id + 0))
                                  {
                                  case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                                    {
                                      switch (*(unsigned int *)(_ev->_id + 4))
                                        {
                                        case /* F:1. */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1178218798):
                                          {
                                            switch (*(unsigned short int *)(_ev->_id + 8))
                                              {
                                              case /* 0 */ flick_mem_convert_big_endian_to_local_unsigned16((unsigned short int) 12288):
                                                {
                                                  flick_iiop_encode_new_chunk(20);
                                                  flick_cdr_encode_unsigned32(0, 10, flick_unsigned32_t );
                                                  flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                  flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                  flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                  flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                  flick_cdr_encode_char8(8, 'F', flick_char8_t );
                                                  flick_cdr_encode_char8(9, ':', flick_char8_t );
                                                  flick_cdr_encode_char8(10, '1', flick_char8_t );
                                                  flick_cdr_encode_char8(11, '.', flick_char8_t );
                                                  flick_cdr_encode_char8(12, '0', flick_char8_t );
                                                  flick_cdr_encode_char8(13, 0, flick_char8_t );
                                                  flick_cdr_encode_signed32(16, ((F *)(_ev->_value._user_except))->type, CORBA_long );
                                                  CORBA_flick_free((F *)(_ev->_value._user_except));
                                                  flick_iiop_encode_end_chunk(20);
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort71);
                                                  break;
                                                }
                                              }
                                            break;
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort71);
                                            break;
                                          }
                                        }
                                      break;
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort71);
                                      break;
                                    }
                                  }
                                break;
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort71);
                                break;
                              }
                            }
                          flick_iiop_encode_end_glob(24);
                          break;
                          {
                          _flick_abort71:
                            goto _flick_abort59;
                          }
                        }
                      }
                  }
                  flick_iiop_server_end_encode();
                  break;
                  {
                  _flick_abort59:
                    goto _flick_abort58;
                  }
                }
                break;
                {
                _flick_abort58:
                  goto _flick_abort26;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort26);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t17_switch_tag;

          flick_iiop_check_span(12, _flick_abort26);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t17_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t17_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t18_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t18_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t18_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t19_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t20_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t21_storage;
                        char **_par;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort78);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t19_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t19_principal_len, _flick_abort78);
                        flick_iiop_decode_new_glob(_t19_principal_len);
                        flick_iiop_decode_new_chunk(_t19_principal_len);
                        flick_iiop_decode_end_chunk(_t19_principal_len);
                        flick_iiop_decode_end_glob(_t19_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort78);
                        flick_cdr_decode_unsigned32(0, _t20_temp_string_len, flick_unsigned32_t );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(1 * _t20_temp_string_len);
                        flick_iiop_check_span(1 * _t20_temp_string_len, _flick_abort78);
                        flick_iiop_decode_new_chunk(1 * _t20_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_iiop_decode_end_chunk(1 * _t20_temp_string_len);
                        flick_iiop_decode_end_glob(1 * _t20_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t21_storage);
                        _par = flick_interface_parents_M_A;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort78);
                          flick_iiop_encode_new_glob(5, _flick_abort78);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_iiop_encode_end_chunk(1);
                                flick_iiop_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort86);
                                break;
                                {
                                _flick_abort86:
                                  goto _flick_abort78;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort87);
                                flick_iiop_encode_end_glob(5);
                                break;
                                {
                                _flick_abort87:
                                  goto _flick_abort78;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort78:
                          goto _flick_abort77;
                        }
                      }
                      break;
                      {
                      _flick_abort77:
                        goto _flick_abort26;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort26);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort26);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort26);
          flick_iiop_decode_end_glob(16);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort26:
    flick_corba_server_error(cdr, iiop, _flick_reaper, _flick_abort25);
  _flick_abort25:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

