#include "ex-server.h"

/* This is the runtime type information */
char *flick_interface_parents_A[] = {
	"IDL:A:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
int flick_marshal_stub_A(flick_marshal_stream_t _stream, A *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdr_encode_IOR(iiop, *_data, 0, _flick_abort0);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_A(flick_marshal_stream_t _stream, A *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_decode_IOR(iiop, *_data, 1);
  return 0;
}

int flick_unmarshal_stub_A_swap(flick_marshal_stream_t _stream, A *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
  return 0;
}

int flick_marshal_stub_A_B(flick_marshal_stream_t _stream, A_B *_data)
{
  flick_unsigned32_t _t0_temp_string_len;

  flick_cdr_stringlen(CORBA_char *, _data->d, flick_unsigned32_t , _t0_temp_string_len);

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(29, _flick_abort3);
  flick_iiop_encode_new_chunk(8 + 1 * _t0_temp_string_len);
  flick_cdr_encode_signed16(0, _data->a, CORBA_short );
  flick_cdr_encode_unsigned32(4, _t0_temp_string_len, flick_unsigned32_t );
  if (_t0_temp_string_len > 21)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort3);
  flick_cdr_encode_bcopy(8, _data->d, 1 * _t0_temp_string_len);
  CORBA_flick_free(_data->d);
  flick_iiop_encode_end_chunk(8 + 1 * _t0_temp_string_len);
  flick_iiop_encode_end_glob(29);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_A_B(flick_marshal_stream_t _stream, A_B *_data)
{
  flick_unsigned32_t _t1_temp_string_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(29);
  flick_iiop_check_span(8, _flick_abort6);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_decode_signed16(0, _data->a, CORBA_short );
  flick_cdr_decode_unsigned32(4, _t1_temp_string_len, flick_unsigned32_t );
  if (_t1_temp_string_len > 21)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort6);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_check_span(1 * _t1_temp_string_len, _flick_abort6);
  flick_iiop_decode_new_chunk(1 * _t1_temp_string_len);
  {
    CORBA_char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(21 * sizeof(CORBA_char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort6);
    _data->d = _t_alloc_ptr;
  }
  flick_cdr_decode_bcopy(0, _data->d, 1 * _t1_temp_string_len);
  flick_iiop_decode_end_chunk(1 * _t1_temp_string_len);
  flick_iiop_decode_end_glob(29);
  return 0;
  {
  _flick_abort6:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_A_B_swap(flick_marshal_stream_t _stream, A_B *_data)
{
  flick_unsigned32_t _t2_temp_string_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(29);
  flick_iiop_check_span(8, _flick_abort10);
  flick_iiop_decode_new_chunk(8);
  flick_cdr_swap_decode_signed16(0, _data->a, CORBA_short );
  flick_cdr_swap_decode_unsigned32(4, _t2_temp_string_len, flick_unsigned32_t );
  if (_t2_temp_string_len > 21)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort10);
  flick_iiop_decode_end_chunk(8);
  flick_iiop_check_span(1 * _t2_temp_string_len, _flick_abort10);
  flick_iiop_decode_new_chunk(1 * _t2_temp_string_len);
  {
    CORBA_char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(21 * sizeof(CORBA_char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort10);
    _data->d = _t_alloc_ptr;
  }
  flick_cdr_swap_decode_bcopy(0, _data->d, 1 * _t2_temp_string_len);
  flick_iiop_decode_end_chunk(1 * _t2_temp_string_len);
  flick_iiop_decode_end_glob(29);
  return 0;
  {
  _flick_abort10:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

flick_operation_success_t A_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned int _request_id, FLICK_TARGET _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t45_switch_tag;

    flick_iiop_decode_new_glob(16);
    flick_iiop_check_span(12, _flick_abort16);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t45_switch_tag, unsigned int );
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t45_switch_tag)
      {
      case (unsigned int) 3:
        {
          unsigned short int _t46_switch_tag;

          flick_iiop_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t46_switch_tag, unsigned short int );
          flick_iiop_decode_end_chunk(2);
          switch ((unsigned short int )_t46_switch_tag)
            {
            case /* op */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28528):
              {
                char _t47_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t47_switch_tag, char );
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t47_switch_tag)
                  {
                  case 0:
                    {
                      {
                        A _obj;
                        unsigned int _t48_principal_len;
                        CORBA_short _return;
                        CORBA_short _local_b;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t49_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort122);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(5);
                        flick_cdr_swap_decode_unsigned32(1, _t48_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(5);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t48_principal_len, _flick_abort122);
                        flick_iiop_decode_new_glob(_t48_principal_len);
                        flick_iiop_decode_new_chunk(_t48_principal_len);
                        flick_iiop_decode_end_chunk(_t48_principal_len);
                        flick_iiop_decode_end_glob(_t48_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(3);
                        flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
                        flick_iiop_check_span(2, _flick_abort122);
                        flick_cdr_swap_decode_signed16(0, _local_b, CORBA_short );
                        _ev = (CORBA_Environment *)(&_t49_storage);
                        flick_iiop_decode_end_chunk(2);
                        flick_iiop_decode_end_glob(3);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = A_op(_obj, _local_b, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort122);
                          flick_iiop_encode_new_glob(49, _flick_abort122);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(2);
                                flick_cdr_encode_signed16(0, _return, CORBA_short );
                                flick_iiop_encode_end_chunk(2);
                                flick_iiop_encode_end_glob(49);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(49);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort135);
                                break;
                                {
                                _flick_abort135:
                                  goto _flick_abort122;
                                }
                              }
                            default:
                              {
                                switch ((unsigned int )(1+strlen(_ev->_id)))
                                  {
                                  case (unsigned int) 12:
                                    {
                                      switch (*(unsigned int *)(_ev->_id + 0))
                                        {
                                        case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                                          {
                                            switch (*(unsigned int *)(_ev->_id + 4))
                                              {
                                              case /* A/B: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1093616186):
                                                {
                                                  switch (*(unsigned int *)(_ev->_id + 8))
                                                    {
                                                    case /* 1.0 */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 825110528):
                                                      {
                                                        flick_unsigned32_t _t53_temp_string_len;

                                                        flick_cdr_stringlen(CORBA_char *, ((A_B *)(_ev->_value._user_except))->d, flick_unsigned32_t , _t53_temp_string_len);

                                                        flick_iiop_encode_new_chunk(24 + 1 * _t53_temp_string_len);
                                                        flick_cdr_encode_unsigned32(0, 12, flick_unsigned32_t );
                                                        flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                        flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                        flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                        flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                        flick_cdr_encode_char8(8, 'A', flick_char8_t );
                                                        flick_cdr_encode_char8(9, '/', flick_char8_t );
                                                        flick_cdr_encode_char8(10, 'B', flick_char8_t );
                                                        flick_cdr_encode_char8(11, ':', flick_char8_t );
                                                        flick_cdr_encode_char8(12, '1', flick_char8_t );
                                                        flick_cdr_encode_char8(13, '.', flick_char8_t );
                                                        flick_cdr_encode_char8(14, '0', flick_char8_t );
                                                        flick_cdr_encode_char8(15, 0, flick_char8_t );
                                                        flick_cdr_encode_signed16(16, ((A_B *)(_ev->_value._user_except))->a, CORBA_short );
                                                        flick_cdr_encode_unsigned32(20, _t53_temp_string_len, flick_unsigned32_t );
                                                        if (_t53_temp_string_len > 21)
                                                          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort141);
                                                        flick_cdr_encode_bcopy(24, ((A_B *)(_ev->_value._user_except))->d, 1 * _t53_temp_string_len);
                                                        CORBA_flick_free(((A_B *)(_ev->_value._user_except))->d);
                                                        flick_iiop_encode_end_chunk(24 + 1 * _t53_temp_string_len);
                                                        CORBA_flick_free((A_B *)(_ev->_value._user_except));
                                                        break;
                                                        {
                                                        _flick_abort141:
                                                          goto _flick_abort136;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort136);
                                                        break;
                                                      }
                                                    }
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort136);
                                                  break;
                                                }
                                              }
                                            break;
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort136);
                                            break;
                                          }
                                        }
                                      break;
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort136);
                                      break;
                                    }
                                  }
                                flick_iiop_encode_end_glob(49);
                                break;
                                {
                                _flick_abort136:
                                  goto _flick_abort122;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort122:
                          goto _flick_abort121;
                        }
                      }
                      break;
                      {
                      _flick_abort121:
                        goto _flick_abort16;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort16);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort16);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t54_switch_tag;

          flick_iiop_check_span(12, _flick_abort16);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t54_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t54_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t55_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t55_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t55_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t56_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t57_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t58_storage;
                        char **_par;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort145);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t56_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t56_principal_len, _flick_abort145);
                        flick_iiop_decode_new_glob(_t56_principal_len);
                        flick_iiop_decode_new_chunk(_t56_principal_len);
                        flick_iiop_decode_end_chunk(_t56_principal_len);
                        flick_iiop_decode_end_glob(_t56_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort145);
                        flick_cdr_swap_decode_unsigned32(0, _t57_temp_string_len, flick_unsigned32_t );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(1 * _t57_temp_string_len);
                        flick_iiop_check_span(1 * _t57_temp_string_len, _flick_abort145);
                        flick_iiop_decode_new_chunk(1 * _t57_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_iiop_decode_end_chunk(1 * _t57_temp_string_len);
                        flick_iiop_decode_end_glob(1 * _t57_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t58_storage);
                        _par = flick_interface_parents_A;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort145);
                          flick_iiop_encode_new_glob(5, _flick_abort145);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_iiop_encode_end_chunk(1);
                                flick_iiop_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort153);
                                break;
                                {
                                _flick_abort153:
                                  goto _flick_abort145;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort154);
                                flick_iiop_encode_end_glob(5);
                                break;
                                {
                                _flick_abort154:
                                  goto _flick_abort145;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort145:
                          goto _flick_abort144;
                        }
                      }
                      break;
                      {
                      _flick_abort144:
                        goto _flick_abort16;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort16);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort16);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort16);
          flick_iiop_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t17_switch_tag;

    flick_iiop_decode_new_glob(16);
    flick_iiop_check_span(12, _flick_abort16);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t17_switch_tag, unsigned int );
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t17_switch_tag)
      {
      case (unsigned int) 3:
        {
          unsigned short int _t18_switch_tag;

          flick_iiop_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t18_switch_tag, unsigned short int );
          flick_iiop_decode_end_chunk(2);
          switch ((unsigned short int )_t18_switch_tag)
            {
            case /* op */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28528):
              {
                char _t19_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t19_switch_tag, char );
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t19_switch_tag)
                  {
                  case 0:
                    {
                      {
                        A _obj;
                        unsigned int _t20_principal_len;
                        CORBA_short _return;
                        CORBA_short _local_b;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t21_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort53);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(5);
                        flick_cdr_decode_unsigned32(1, _t20_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(5);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t20_principal_len, _flick_abort53);
                        flick_iiop_decode_new_glob(_t20_principal_len);
                        flick_iiop_decode_new_chunk(_t20_principal_len);
                        flick_iiop_decode_end_chunk(_t20_principal_len);
                        flick_iiop_decode_end_glob(_t20_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(3);
                        flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
                        flick_iiop_check_span(2, _flick_abort53);
                        flick_cdr_decode_signed16(0, _local_b, CORBA_short );
                        _ev = (CORBA_Environment *)(&_t21_storage);
                        flick_iiop_decode_end_chunk(2);
                        flick_iiop_decode_end_glob(3);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = A_op(_obj, _local_b, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort53);
                          flick_iiop_encode_new_glob(49, _flick_abort53);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(2);
                                flick_cdr_encode_signed16(0, _return, CORBA_short );
                                flick_iiop_encode_end_chunk(2);
                                flick_iiop_encode_end_glob(49);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(49);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort66);
                                break;
                                {
                                _flick_abort66:
                                  goto _flick_abort53;
                                }
                              }
                            default:
                              {
                                switch ((unsigned int )(1+strlen(_ev->_id)))
                                  {
                                  case (unsigned int) 12:
                                    {
                                      switch (*(unsigned int *)(_ev->_id + 0))
                                        {
                                        case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                                          {
                                            switch (*(unsigned int *)(_ev->_id + 4))
                                              {
                                              case /* A/B: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1093616186):
                                                {
                                                  switch (*(unsigned int *)(_ev->_id + 8))
                                                    {
                                                    case /* 1.0 */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 825110528):
                                                      {
                                                        flick_unsigned32_t _t25_temp_string_len;

                                                        flick_cdr_stringlen(CORBA_char *, ((A_B *)(_ev->_value._user_except))->d, flick_unsigned32_t , _t25_temp_string_len);

                                                        flick_iiop_encode_new_chunk(24 + 1 * _t25_temp_string_len);
                                                        flick_cdr_encode_unsigned32(0, 12, flick_unsigned32_t );
                                                        flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                        flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                        flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                        flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                        flick_cdr_encode_char8(8, 'A', flick_char8_t );
                                                        flick_cdr_encode_char8(9, '/', flick_char8_t );
                                                        flick_cdr_encode_char8(10, 'B', flick_char8_t );
                                                        flick_cdr_encode_char8(11, ':', flick_char8_t );
                                                        flick_cdr_encode_char8(12, '1', flick_char8_t );
                                                        flick_cdr_encode_char8(13, '.', flick_char8_t );
                                                        flick_cdr_encode_char8(14, '0', flick_char8_t );
                                                        flick_cdr_encode_char8(15, 0, flick_char8_t );
                                                        flick_cdr_encode_signed16(16, ((A_B *)(_ev->_value._user_except))->a, CORBA_short );
                                                        flick_cdr_encode_unsigned32(20, _t25_temp_string_len, flick_unsigned32_t );
                                                        if (_t25_temp_string_len > 21)
                                                          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort72);
                                                        flick_cdr_encode_bcopy(24, ((A_B *)(_ev->_value._user_except))->d, 1 * _t25_temp_string_len);
                                                        CORBA_flick_free(((A_B *)(_ev->_value._user_except))->d);
                                                        flick_iiop_encode_end_chunk(24 + 1 * _t25_temp_string_len);
                                                        CORBA_flick_free((A_B *)(_ev->_value._user_except));
                                                        break;
                                                        {
                                                        _flick_abort72:
                                                          goto _flick_abort67;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort67);
                                                        break;
                                                      }
                                                    }
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort67);
                                                  break;
                                                }
                                              }
                                            break;
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort67);
                                            break;
                                          }
                                        }
                                      break;
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort67);
                                      break;
                                    }
                                  }
                                flick_iiop_encode_end_glob(49);
                                break;
                                {
                                _flick_abort67:
                                  goto _flick_abort53;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort53:
                          goto _flick_abort52;
                        }
                      }
                      break;
                      {
                      _flick_abort52:
                        goto _flick_abort16;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort16);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort16);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t26_switch_tag;

          flick_iiop_check_span(12, _flick_abort16);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t26_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t26_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t27_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t27_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t27_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t28_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t29_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t30_storage;
                        char **_par;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort76);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t28_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t28_principal_len, _flick_abort76);
                        flick_iiop_decode_new_glob(_t28_principal_len);
                        flick_iiop_decode_new_chunk(_t28_principal_len);
                        flick_iiop_decode_end_chunk(_t28_principal_len);
                        flick_iiop_decode_end_glob(_t28_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort76);
                        flick_cdr_decode_unsigned32(0, _t29_temp_string_len, flick_unsigned32_t );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(1 * _t29_temp_string_len);
                        flick_iiop_check_span(1 * _t29_temp_string_len, _flick_abort76);
                        flick_iiop_decode_new_chunk(1 * _t29_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_iiop_decode_end_chunk(1 * _t29_temp_string_len);
                        flick_iiop_decode_end_glob(1 * _t29_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t30_storage);
                        _par = flick_interface_parents_A;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort76);
                          flick_iiop_encode_new_glob(5, _flick_abort76);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_iiop_encode_end_chunk(1);
                                flick_iiop_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort84);
                                break;
                                {
                                _flick_abort84:
                                  goto _flick_abort76;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort85);
                                flick_iiop_encode_end_glob(5);
                                break;
                                {
                                _flick_abort85:
                                  goto _flick_abort76;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort76:
                          goto _flick_abort75;
                        }
                      }
                      break;
                      {
                      _flick_abort75:
                        goto _flick_abort16;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort16);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort16);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort16);
          flick_iiop_decode_end_glob(16);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort16:
    flick_corba_server_error(cdr, iiop, _flick_reaper, _flick_abort15);
  _flick_abort15:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

