#include "ez_-server.h"

/* This is the runtime type information */
char *flick_interface_parents_a[] = {
	"IDL:a:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
int flick_marshal_stub_a(flick_marshal_stream_t _stream, a *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdr_encode_IOR(iiop, *_data, 0, _flick_abort0);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_a(flick_marshal_stream_t _stream, a *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_decode_IOR(iiop, *_data, 1);
  return 0;
}

int flick_unmarshal_stub_a_swap(flick_marshal_stream_t _stream, a *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
  return 0;
}

flick_operation_success_t a_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned int _request_id, FLICK_TARGET _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t30_switch_tag;

    flick_iiop_decode_new_glob(16);
    flick_iiop_check_span(12, _flick_abort5);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t30_switch_tag, unsigned int );
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t30_switch_tag)
      {
      case (unsigned int) 3:
        {
          unsigned short int _t31_switch_tag;

          flick_iiop_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t31_switch_tag, unsigned short int );
          flick_iiop_decode_end_chunk(2);
          switch ((unsigned short int )_t31_switch_tag)
            {
            case /* op */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28528):
              {
                char _t32_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t32_switch_tag, char );
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t32_switch_tag)
                  {
                  case 0:
                    {
                      {
                        a _obj;
                        unsigned int _t33_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_a;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t34_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort69);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(5);
                        flick_cdr_swap_decode_unsigned32(1, _t33_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(5);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t33_principal_len, _flick_abort69);
                        flick_iiop_decode_new_glob(_t33_principal_len);
                        flick_iiop_decode_new_chunk(_t33_principal_len);
                        flick_iiop_decode_end_chunk(_t33_principal_len);
                        flick_iiop_decode_end_glob(_t33_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort69);
                        flick_cdr_swap_decode_signed32(0, _local_a, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t34_storage);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = a_op(_obj, _local_a, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort69);
                          flick_iiop_encode_new_glob(8, _flick_abort69);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort75);
                                break;
                                {
                                _flick_abort75:
                                  goto _flick_abort69;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort76);
                                flick_iiop_encode_end_glob(8);
                                break;
                                {
                                _flick_abort76:
                                  goto _flick_abort69;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort69:
                          goto _flick_abort68;
                        }
                      }
                      break;
                      {
                      _flick_abort68:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t35_switch_tag;

          flick_iiop_check_span(12, _flick_abort5);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t35_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t35_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t36_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t36_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t36_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t37_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t38_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t39_storage;
                        char **_par;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort78);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t37_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t37_principal_len, _flick_abort78);
                        flick_iiop_decode_new_glob(_t37_principal_len);
                        flick_iiop_decode_new_chunk(_t37_principal_len);
                        flick_iiop_decode_end_chunk(_t37_principal_len);
                        flick_iiop_decode_end_glob(_t37_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort78);
                        flick_cdr_swap_decode_unsigned32(0, _t38_temp_string_len, flick_unsigned32_t );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(1 * _t38_temp_string_len);
                        flick_iiop_check_span(1 * _t38_temp_string_len, _flick_abort78);
                        flick_iiop_decode_new_chunk(1 * _t38_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_iiop_decode_end_chunk(1 * _t38_temp_string_len);
                        flick_iiop_decode_end_glob(1 * _t38_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t39_storage);
                        _par = flick_interface_parents_a;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort78);
                          flick_iiop_encode_new_glob(5, _flick_abort78);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_iiop_encode_end_chunk(1);
                                flick_iiop_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort86);
                                break;
                                {
                                _flick_abort86:
                                  goto _flick_abort78;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort87);
                                flick_iiop_encode_end_glob(5);
                                break;
                                {
                                _flick_abort87:
                                  goto _flick_abort78;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort78:
                          goto _flick_abort77;
                        }
                      }
                      break;
                      {
                      _flick_abort77:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
          flick_iiop_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t10_switch_tag;

    flick_iiop_decode_new_glob(16);
    flick_iiop_check_span(12, _flick_abort5);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t10_switch_tag, unsigned int );
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t10_switch_tag)
      {
      case (unsigned int) 3:
        {
          unsigned short int _t11_switch_tag;

          flick_iiop_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t11_switch_tag, unsigned short int );
          flick_iiop_decode_end_chunk(2);
          switch ((unsigned short int )_t11_switch_tag)
            {
            case /* op */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28528):
              {
                char _t12_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t12_switch_tag, char );
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t12_switch_tag)
                  {
                  case 0:
                    {
                      {
                        a _obj;
                        unsigned int _t13_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_a;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t14_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort28);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(5);
                        flick_cdr_decode_unsigned32(1, _t13_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(5);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t13_principal_len, _flick_abort28);
                        flick_iiop_decode_new_glob(_t13_principal_len);
                        flick_iiop_decode_new_chunk(_t13_principal_len);
                        flick_iiop_decode_end_chunk(_t13_principal_len);
                        flick_iiop_decode_end_glob(_t13_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort28);
                        flick_cdr_decode_signed32(0, _local_a, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t14_storage);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = a_op(_obj, _local_a, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort28);
                          flick_iiop_encode_new_glob(8, _flick_abort28);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort34);
                                break;
                                {
                                _flick_abort34:
                                  goto _flick_abort28;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort35);
                                flick_iiop_encode_end_glob(8);
                                break;
                                {
                                _flick_abort35:
                                  goto _flick_abort28;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort28:
                          goto _flick_abort27;
                        }
                      }
                      break;
                      {
                      _flick_abort27:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t15_switch_tag;

          flick_iiop_check_span(12, _flick_abort5);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t15_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t15_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t16_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t16_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t16_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t17_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t18_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t19_storage;
                        char **_par;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort37);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t17_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t17_principal_len, _flick_abort37);
                        flick_iiop_decode_new_glob(_t17_principal_len);
                        flick_iiop_decode_new_chunk(_t17_principal_len);
                        flick_iiop_decode_end_chunk(_t17_principal_len);
                        flick_iiop_decode_end_glob(_t17_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort37);
                        flick_cdr_decode_unsigned32(0, _t18_temp_string_len, flick_unsigned32_t );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(1 * _t18_temp_string_len);
                        flick_iiop_check_span(1 * _t18_temp_string_len, _flick_abort37);
                        flick_iiop_decode_new_chunk(1 * _t18_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_iiop_decode_end_chunk(1 * _t18_temp_string_len);
                        flick_iiop_decode_end_glob(1 * _t18_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t19_storage);
                        _par = flick_interface_parents_a;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort37);
                          flick_iiop_encode_new_glob(5, _flick_abort37);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_iiop_encode_end_chunk(1);
                                flick_iiop_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort45);
                                break;
                                {
                                _flick_abort45:
                                  goto _flick_abort37;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort46);
                                flick_iiop_encode_end_glob(5);
                                break;
                                {
                                _flick_abort46:
                                  goto _flick_abort37;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort37:
                          goto _flick_abort36;
                        }
                      }
                      break;
                      {
                      _flick_abort36:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
          flick_iiop_decode_end_glob(16);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort5:
    flick_corba_server_error(cdr, iiop, _flick_reaper, _flick_abort4);
  _flick_abort4:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

