#include "mig-tests-client.h"

/* This is the runtime type information */
/* */

kern_return_t inline_integers(mach_port_t target, Iint inInt, Iint *inoutInt, Iint *outInt)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_iiop_client_encode_target(target, 0, cdr, _flick_abort1);
  }
  {
    flick_iiop_encode_new_glob(16, _flick_abort1);
    flick_iiop_encode_new_chunk(16);
    flick_cdr_encode_signed32(0, 5550001, flick_signed32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(8, inInt, Iint );
    flick_cdr_encode_signed32(12, *inoutInt, Iint );
    flick_iiop_encode_end_chunk(16);
    flick_iiop_encode_end_glob(16);
  }
  flick_iiop_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(target, target->boa->in) || !flick_client_get_reply(target, target->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_iiop_decode_new_glob(12);
      flick_iiop_check_span(4, _flick_abort1);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return, kern_return_t );
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_check_span(8, _flick_abort11);
            flick_iiop_decode_new_chunk(8);
            flick_cdr_swap_decode_signed32(0, *inoutInt, Iint );
            flick_cdr_swap_decode_signed32(4, *outInt, Iint );
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(12);
            break;
            {
            _flick_abort11:
              goto _flick_abort1;
            }
          }
        default:
          {
            flick_iiop_decode_end_glob(12);
            flick_mig_decode_system_exception(_return, cdr_swap, iiop, _flick_abort12);
            break;
            {
            _flick_abort12:
              goto _flick_abort1;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_iiop_decode_new_glob(12);
      flick_iiop_check_span(4, _flick_abort1);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_check_span(8, _flick_abort6);
            flick_iiop_decode_new_chunk(8);
            flick_cdr_decode_signed32(0, *inoutInt, Iint );
            flick_cdr_decode_signed32(4, *outInt, Iint );
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(12);
            break;
            {
            _flick_abort6:
              goto _flick_abort1;
            }
          }
        default:
          {
            flick_iiop_decode_end_glob(12);
            flick_mig_decode_system_exception(_return, cdr, iiop, _flick_abort7);
            break;
            {
            _flick_abort7:
              goto _flick_abort1;
            }
          }
        }
    }
  flick_iiop_client_end_decode();
  return _return;
  {
  _flick_abort1:
    flick_mig_client_error(cdr, iiop, _flick_abort0);
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t inline_fixed_structs(mach_port_t target, IFstruct inStruct, IFstruct *inoutStruct, IFstruct *outStruct)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_iiop_client_encode_target(target, 0, cdr, _flick_abort14);
  }
  {
    unsigned *_t2_internal;
    unsigned *_t3_internal;

    flick_iiop_encode_new_glob(808, _flick_abort14);
    flick_iiop_encode_new_chunk(808);
    flick_cdr_encode_signed32(0, 5550002, flick_signed32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    _t2_internal = (unsigned *)(&(inStruct));
    flick_cdr_encode_bcopy(8, _t2_internal, 400);
    _t3_internal = (unsigned *)(&(*inoutStruct));
    flick_cdr_encode_bcopy(408, _t3_internal, 400);
    flick_iiop_encode_end_chunk(808);
    flick_iiop_encode_end_glob(808);
  }
  flick_iiop_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(target, target->boa->in) || !flick_client_get_reply(target, target->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort14);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_iiop_decode_new_glob(804);
      flick_iiop_check_span(4, _flick_abort14);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return, kern_return_t );
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            unsigned *_t12_internal;
            flick_unsigned32_t _t13_array_iter;
            unsigned *_t14_internal;
            flick_unsigned32_t _t15_array_iter;

            /* Begin decode phase on parameters */
            _t12_internal = (unsigned *)(&(*inoutStruct));
            flick_iiop_check_span(100 * 4 + 100 * 4, _flick_abort50);
            for (_t13_array_iter = 0; _t13_array_iter < 100; _t13_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, _t12_internal[_t13_array_iter], unsigned );
                flick_iiop_decode_end_chunk(4);
                continue;
              }
            _t14_internal = (unsigned *)(&(*outStruct));
            for (_t15_array_iter = 0; _t15_array_iter < 100; _t15_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, _t14_internal[_t15_array_iter], unsigned );
                flick_iiop_decode_end_chunk(4);
                continue;
              }
            flick_iiop_decode_end_glob(804);
            break;
            {
            _flick_abort50:
              goto _flick_abort14;
            }
          }
        default:
          {
            flick_iiop_decode_end_glob(804);
            flick_mig_decode_system_exception(_return, cdr_swap, iiop, _flick_abort61);
            break;
            {
            _flick_abort61:
              goto _flick_abort14;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_iiop_decode_new_glob(804);
      flick_iiop_check_span(4, _flick_abort14);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            unsigned *_t6_internal;
            unsigned *_t7_internal;

            /* Begin decode phase on parameters */
            _t6_internal = (unsigned *)(&(*inoutStruct));
            flick_iiop_check_span(800, _flick_abort31);
            flick_iiop_decode_new_chunk(800);
            flick_cdr_decode_bcopy(0, _t6_internal, 400);
            _t7_internal = (unsigned *)(&(*outStruct));
            flick_cdr_decode_bcopy(400, _t7_internal, 400);
            flick_iiop_decode_end_chunk(800);
            flick_iiop_decode_end_glob(804);
            break;
            {
            _flick_abort31:
              goto _flick_abort14;
            }
          }
        default:
          {
            flick_iiop_decode_end_glob(804);
            flick_mig_decode_system_exception(_return, cdr, iiop, _flick_abort36);
            break;
            {
            _flick_abort36:
              goto _flick_abort14;
            }
          }
        }
    }
  flick_iiop_client_end_decode();
  return _return;
  {
  _flick_abort14:
    flick_mig_client_error(cdr, iiop, _flick_abort13);
  _flick_abort13:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t inline_fixed_arrays(mach_port_t target, IFarray inArray, IFarray inoutArray, IFarray outArray)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_iiop_client_encode_target(target, 0, cdr, _flick_abort63);
  }
  {
    unsigned *_t18_internal;
    unsigned *_t19_internal;

    flick_iiop_encode_new_glob(2408, _flick_abort63);
    flick_iiop_encode_new_chunk(2408);
    flick_cdr_encode_signed32(0, 5550003, flick_signed32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    _t18_internal = (unsigned *)inArray;
    flick_cdr_encode_bcopy(8, _t18_internal, 1200);
    _t19_internal = (unsigned *)inoutArray;
    flick_cdr_encode_bcopy(1208, _t19_internal, 1200);
    flick_iiop_encode_end_chunk(2408);
    flick_iiop_encode_end_glob(2408);
  }
  flick_iiop_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(target, target->boa->in) || !flick_client_get_reply(target, target->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort63);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_iiop_decode_new_glob(2404);
      flick_iiop_check_span(4, _flick_abort63);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return, kern_return_t );
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            unsigned *_t28_internal;
            flick_unsigned32_t _t29_array_iter;
            unsigned *_t30_internal;
            flick_unsigned32_t _t31_array_iter;

            /* Begin decode phase on parameters */
            _t28_internal = (unsigned *)inoutArray;
            flick_iiop_check_span(300 * 4 + 300 * 4, _flick_abort99);
            for (_t29_array_iter = 0; _t29_array_iter < 300; _t29_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, _t28_internal[_t29_array_iter], unsigned );
                flick_iiop_decode_end_chunk(4);
                continue;
              }
            _t30_internal = (unsigned *)outArray;
            for (_t31_array_iter = 0; _t31_array_iter < 300; _t31_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, _t30_internal[_t31_array_iter], unsigned );
                flick_iiop_decode_end_chunk(4);
                continue;
              }
            flick_iiop_decode_end_glob(2404);
            break;
            {
            _flick_abort99:
              goto _flick_abort63;
            }
          }
        default:
          {
            flick_iiop_decode_end_glob(2404);
            flick_mig_decode_system_exception(_return, cdr_swap, iiop, _flick_abort110);
            break;
            {
            _flick_abort110:
              goto _flick_abort63;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_iiop_decode_new_glob(2404);
      flick_iiop_check_span(4, _flick_abort63);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            unsigned *_t22_internal;
            unsigned *_t23_internal;

            /* Begin decode phase on parameters */
            _t22_internal = (unsigned *)inoutArray;
            flick_iiop_check_span(2400, _flick_abort80);
            flick_iiop_decode_new_chunk(2400);
            flick_cdr_decode_bcopy(0, _t22_internal, 1200);
            _t23_internal = (unsigned *)outArray;
            flick_cdr_decode_bcopy(1200, _t23_internal, 1200);
            flick_iiop_decode_end_chunk(2400);
            flick_iiop_decode_end_glob(2404);
            break;
            {
            _flick_abort80:
              goto _flick_abort63;
            }
          }
        default:
          {
            flick_iiop_decode_end_glob(2404);
            flick_mig_decode_system_exception(_return, cdr, iiop, _flick_abort85);
            break;
            {
            _flick_abort85:
              goto _flick_abort63;
            }
          }
        }
    }
  flick_iiop_client_end_decode();
  return _return;
  {
  _flick_abort63:
    flick_mig_client_error(cdr, iiop, _flick_abort62);
  _flick_abort62:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t inline_bounded_arrays(mach_port_t target, IBarray inArray, mach_msg_type_number_t inArrayCnt, IBarray outArray, mach_msg_type_number_t *outArrayCnt)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_iiop_client_encode_target(target, 0, cdr, _flick_abort112);
  }
  {
    flick_iiop_encode_new_glob(2012, _flick_abort112);
    flick_iiop_encode_new_chunk(12 + 4 * inArrayCnt);
    flick_cdr_encode_signed32(0, 5550004, flick_signed32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, inArrayCnt, mach_msg_type_number_t );
    if (inArrayCnt > 500)
      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort112);
    flick_cdr_encode_bcopy(12, inArray, 4 * inArrayCnt);
    flick_iiop_encode_end_chunk(12 + 4 * inArrayCnt);
    flick_iiop_encode_end_glob(2012);
  }
  flick_iiop_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(target, target->boa->in) || !flick_client_get_reply(target, target->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort112);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_iiop_decode_new_glob(2008);
      flick_iiop_check_span(4, _flick_abort112);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return, kern_return_t );
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            mach_msg_type_number_t _t33_array_iter;

            /* Begin decode phase on parameters */
            flick_iiop_check_span(4, _flick_abort135);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, *outArrayCnt, mach_msg_type_number_t );
            flick_iiop_decode_end_chunk(4);
            if (*outArrayCnt > 500)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort135);
            flick_iiop_check_span(*outArrayCnt * 4, _flick_abort135);
            for (_t33_array_iter = 0; _t33_array_iter < *outArrayCnt; _t33_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, outArray[_t33_array_iter], unsigned );
                flick_iiop_decode_end_chunk(4);
                continue;
              }
            flick_iiop_decode_end_glob(2008);
            break;
            {
            _flick_abort135:
              goto _flick_abort112;
            }
          }
        default:
          {
            flick_iiop_decode_end_glob(2008);
            flick_mig_decode_system_exception(_return, cdr_swap, iiop, _flick_abort141);
            break;
            {
            _flick_abort141:
              goto _flick_abort112;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_iiop_decode_new_glob(2008);
      flick_iiop_check_span(4, _flick_abort112);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_check_span(4, _flick_abort123);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, *outArrayCnt, mach_msg_type_number_t );
            if (*outArrayCnt > 500)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort123);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_check_span(4 * *outArrayCnt, _flick_abort123);
            flick_iiop_decode_new_chunk(4 * *outArrayCnt);
            flick_cdr_decode_bcopy(0, outArray, 4 * *outArrayCnt);
            flick_iiop_decode_end_chunk(4 * *outArrayCnt);
            flick_iiop_decode_end_glob(2008);
            break;
            {
            _flick_abort123:
              goto _flick_abort112;
            }
          }
        default:
          {
            flick_iiop_decode_end_glob(2008);
            flick_mig_decode_system_exception(_return, cdr, iiop, _flick_abort126);
            break;
            {
            _flick_abort126:
              goto _flick_abort112;
            }
          }
        }
    }
  flick_iiop_client_end_decode();
  return _return;
  {
  _flick_abort112:
    flick_mig_client_error(cdr, iiop, _flick_abort111);
  _flick_abort111:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t inline_unbounded_arrays(mach_port_t target, Iarray inArray, mach_msg_type_number_t inArrayCnt, Iarray *outArray, mach_msg_type_number_t *outArrayCnt)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_iiop_client_encode_target(target, 0, cdr, _flick_abort143);
  }
  {
    flick_iiop_encode_new_glob(12, _flick_abort143);
    flick_iiop_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 5550005, flick_signed32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, inArrayCnt, mach_msg_type_number_t );
    flick_iiop_encode_end_chunk(12);
    flick_iiop_encode_end_glob(12);
    flick_iiop_encode_new_glob(4 * inArrayCnt, _flick_abort143);
    flick_iiop_encode_new_chunk(4 * inArrayCnt);
    flick_cdr_encode_bcopy(0, inArray, 4 * inArrayCnt);
    flick_iiop_encode_end_chunk(4 * inArrayCnt);
    flick_iiop_encode_end_glob(4 * inArrayCnt);
  }
  flick_iiop_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(target, target->boa->in) || !flick_client_get_reply(target, target->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort143);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_iiop_decode_new_glob(8);
      flick_iiop_check_span(4, _flick_abort143);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return, kern_return_t );
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            mach_msg_type_number_t _t35_array_iter;

            /* Begin decode phase on parameters */
            flick_iiop_check_span(4, _flick_abort166);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, *outArrayCnt, mach_msg_type_number_t );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(4 * *outArrayCnt);
            {
              unsigned *_t_alloc_ptr;

              _t_alloc_ptr = (unsigned *)(mach_vm_flick_alloc(*outArrayCnt * sizeof(unsigned )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort166);
              *outArray = _t_alloc_ptr;
            }
            flick_iiop_check_span(*outArrayCnt * 4, _flick_abort166);
            for (_t35_array_iter = 0; _t35_array_iter < *outArrayCnt; _t35_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, (*outArray)[_t35_array_iter], unsigned );
                flick_iiop_decode_end_chunk(4);
                continue;
              }
            flick_iiop_decode_end_glob(4 * *outArrayCnt);
            break;
            {
            _flick_abort166:
              goto _flick_abort143;
            }
          }
        default:
          {
            flick_iiop_decode_end_glob(8);
            flick_mig_decode_system_exception(_return, cdr_swap, iiop, _flick_abort172);
            break;
            {
            _flick_abort172:
              goto _flick_abort143;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_iiop_decode_new_glob(8);
      flick_iiop_check_span(4, _flick_abort143);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_check_span(4, _flick_abort154);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, *outArrayCnt, mach_msg_type_number_t );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(4 * *outArrayCnt);
            flick_iiop_check_span(4 * *outArrayCnt, _flick_abort154);
            flick_iiop_decode_new_chunk(4 * *outArrayCnt);
            {
              unsigned *_t_alloc_ptr;

              _t_alloc_ptr = (unsigned *)(mach_vm_flick_alloc(*outArrayCnt * sizeof(unsigned )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort154);
              *outArray = _t_alloc_ptr;
            }
            flick_cdr_decode_bcopy(0, *outArray, 4 * *outArrayCnt);
            flick_iiop_decode_end_chunk(4 * *outArrayCnt);
            flick_iiop_decode_end_glob(4 * *outArrayCnt);
            break;
            {
            _flick_abort154:
              goto _flick_abort143;
            }
          }
        default:
          {
            flick_iiop_decode_end_glob(8);
            flick_mig_decode_system_exception(_return, cdr, iiop, _flick_abort157);
            break;
            {
            _flick_abort157:
              goto _flick_abort143;
            }
          }
        }
    }
  flick_iiop_client_end_decode();
  return _return;
  {
  _flick_abort143:
    flick_mig_client_error(cdr, iiop, _flick_abort142);
  _flick_abort142:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t inline_fixed_strings(mach_port_t target, IFstring inString, IFstring inoutString, IFstring outString)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_iiop_client_encode_target(target, 0, cdr, _flick_abort174);
  }
  {
    char *_t38_internal;
    char *_t39_internal;

    flick_iiop_encode_new_glob(1608, _flick_abort174);
    flick_iiop_encode_new_chunk(1608);
    flick_cdr_encode_signed32(0, 5550006, flick_signed32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    _t38_internal = (char *)inString;
    flick_cdr_encode_bcopy(8, _t38_internal, 799);
    _t39_internal = (char *)inoutString;
    flick_cdr_encode_bcopy(808, _t39_internal, 799);
    flick_iiop_encode_end_chunk(1608);
    flick_iiop_encode_end_glob(1608);
  }
  flick_iiop_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(target, target->boa->in) || !flick_client_get_reply(target, target->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort174);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_iiop_decode_new_glob(1604);
      flick_iiop_check_span(4, _flick_abort174);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return, kern_return_t );
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            char *_t46_internal;
            char *_t47_internal;

            /* Begin decode phase on parameters */
            _t46_internal = (char *)inoutString;
            flick_iiop_check_span(1600, _flick_abort204);
            flick_iiop_decode_new_chunk(1600);
            flick_cdr_swap_decode_bcopy(0, _t46_internal, 799);
            _t47_internal = (char *)outString;
            flick_cdr_swap_decode_bcopy(800, _t47_internal, 799);
            flick_iiop_decode_end_chunk(1600);
            flick_iiop_decode_end_glob(1604);
            break;
            {
            _flick_abort204:
              goto _flick_abort174;
            }
          }
        default:
          {
            flick_iiop_decode_end_glob(1604);
            flick_mig_decode_system_exception(_return, cdr_swap, iiop, _flick_abort209);
            break;
            {
            _flick_abort209:
              goto _flick_abort174;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_iiop_decode_new_glob(1604);
      flick_iiop_check_span(4, _flick_abort174);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            char *_t42_internal;
            char *_t43_internal;

            /* Begin decode phase on parameters */
            _t42_internal = (char *)inoutString;
            flick_iiop_check_span(1600, _flick_abort191);
            flick_iiop_decode_new_chunk(1600);
            flick_cdr_decode_bcopy(0, _t42_internal, 799);
            _t43_internal = (char *)outString;
            flick_cdr_decode_bcopy(800, _t43_internal, 799);
            flick_iiop_decode_end_chunk(1600);
            flick_iiop_decode_end_glob(1604);
            break;
            {
            _flick_abort191:
              goto _flick_abort174;
            }
          }
        default:
          {
            flick_iiop_decode_end_glob(1604);
            flick_mig_decode_system_exception(_return, cdr, iiop, _flick_abort196);
            break;
            {
            _flick_abort196:
              goto _flick_abort174;
            }
          }
        }
    }
  flick_iiop_client_end_decode();
  return _return;
  {
  _flick_abort174:
    flick_mig_client_error(cdr, iiop, _flick_abort173);
  _flick_abort173:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t inline_bounded_strings(mach_port_t target, IVstring inString, IVstring outString)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_iiop_client_encode_target(target, 0, cdr, _flick_abort211);
  }
  {
    flick_unsigned32_t _t49_temp_string_len;

    flick_cdr_stringlen(IVstring , inString, flick_unsigned32_t , _t49_temp_string_len);

    flick_iiop_encode_new_glob(5010, _flick_abort211);
    flick_iiop_encode_new_chunk(12 + 1 * _t49_temp_string_len);
    flick_cdr_encode_signed32(0, 5550007, flick_signed32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, _t49_temp_string_len, flick_unsigned32_t );
    if (_t49_temp_string_len > 4997)
      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort211);
    flick_cdr_encode_bcopy(12, inString, 1 * _t49_temp_string_len);
    flick_iiop_encode_end_chunk(12 + 1 * _t49_temp_string_len);
    flick_iiop_encode_end_glob(5010);
  }
  flick_iiop_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(target, target->boa->in) || !flick_client_get_reply(target, target->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort211);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_iiop_decode_new_glob(5006);
      flick_iiop_check_span(4, _flick_abort211);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return, kern_return_t );
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            flick_unsigned32_t _t53_temp_string_len;

            /* Begin decode phase on parameters */
            flick_iiop_check_span(4, _flick_abort231);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t53_temp_string_len, flick_unsigned32_t );
            if (_t53_temp_string_len > 4997)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort231);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_check_span(1 * _t53_temp_string_len, _flick_abort231);
            flick_iiop_decode_new_chunk(1 * _t53_temp_string_len);
            flick_cdr_swap_decode_bcopy(0, outString, 1 * _t53_temp_string_len);
            flick_iiop_decode_end_chunk(1 * _t53_temp_string_len);
            flick_iiop_decode_end_glob(5006);
            break;
            {
            _flick_abort231:
              goto _flick_abort211;
            }
          }
        default:
          {
            flick_iiop_decode_end_glob(5006);
            flick_mig_decode_system_exception(_return, cdr_swap, iiop, _flick_abort234);
            break;
            {
            _flick_abort234:
              goto _flick_abort211;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_iiop_decode_new_glob(5006);
      flick_iiop_check_span(4, _flick_abort211);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            flick_unsigned32_t _t51_temp_string_len;

            /* Begin decode phase on parameters */
            flick_iiop_check_span(4, _flick_abort222);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t51_temp_string_len, flick_unsigned32_t );
            if (_t51_temp_string_len > 4997)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort222);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_check_span(1 * _t51_temp_string_len, _flick_abort222);
            flick_iiop_decode_new_chunk(1 * _t51_temp_string_len);
            flick_cdr_decode_bcopy(0, outString, 1 * _t51_temp_string_len);
            flick_iiop_decode_end_chunk(1 * _t51_temp_string_len);
            flick_iiop_decode_end_glob(5006);
            break;
            {
            _flick_abort222:
              goto _flick_abort211;
            }
          }
        default:
          {
            flick_iiop_decode_end_glob(5006);
            flick_mig_decode_system_exception(_return, cdr, iiop, _flick_abort225);
            break;
            {
            _flick_abort225:
              goto _flick_abort211;
            }
          }
        }
    }
  flick_iiop_client_end_decode();
  return _return;
  {
  _flick_abort211:
    flick_mig_client_error(cdr, iiop, _flick_abort210);
  _flick_abort210:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t inline_port_rights(mach_port_t target, mach_port_t inRight, mach_port_t *inoutRight, mach_port_t *outRight)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_iiop_client_encode_target(target, 0, cdr, _flick_abort236);
  }
  {
    flick_iiop_encode_new_glob(8, _flick_abort236);
    flick_iiop_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 5550008, flick_signed32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_iiop_encode_end_chunk(8);
    flick_iiop_encode_end_glob(8);
    flick_cdr_encode_IOR(iiop, inRight, 1, _flick_abort236);
    flick_iiop_mark_port_for_cleanup(inRight, 1);
    flick_cdr_encode_IOR(iiop, *inoutRight, 0, _flick_abort236);
  }
  flick_iiop_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(target, target->boa->in) || !flick_client_get_reply(target, target->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort236);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_iiop_decode_new_glob(4);
      flick_iiop_check_span(4, _flick_abort236);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return, kern_return_t );
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_end_glob(4);
            flick_cdr_swap_decode_IOR(iiop, *inoutRight, 1);
            flick_cdr_swap_decode_IOR(iiop, *outRight, 1);
            break;
          }
        default:
          {
            flick_iiop_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, cdr_swap, iiop, _flick_abort247);
            break;
            {
            _flick_abort247:
              goto _flick_abort236;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_iiop_decode_new_glob(4);
      flick_iiop_check_span(4, _flick_abort236);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_decode_end_glob(4);
            flick_cdr_decode_IOR(iiop, *inoutRight, 1);
            flick_cdr_decode_IOR(iiop, *outRight, 1);
            break;
          }
        default:
          {
            flick_iiop_decode_end_glob(4);
            flick_mig_decode_system_exception(_return, cdr, iiop, _flick_abort242);
            break;
            {
            _flick_abort242:
              goto _flick_abort236;
            }
          }
        }
    }
  flick_iiop_client_end_decode();
  return _return;
  {
  _flick_abort236:
    flick_mig_client_error(cdr, iiop, _flick_abort235);
  _flick_abort235:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t inline_port_arrays(mach_port_t target, Imach_port_array_t inRight, mach_msg_type_number_t inRightCnt, Imach_port_array_t *outRight, mach_msg_type_number_t *outRightCnt)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_iiop_client_encode_target(target, 0, cdr, _flick_abort249);
  }
  {
    mach_msg_type_number_t _t55_array_iter;

    flick_iiop_encode_new_glob(12, _flick_abort249);
    flick_iiop_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 5550009, flick_signed32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, inRightCnt, mach_msg_type_number_t );
    flick_iiop_encode_end_chunk(12);
    flick_iiop_encode_end_glob(12);
    for (_t55_array_iter = 0; _t55_array_iter < inRightCnt; _t55_array_iter++)
      {
        flick_cdr_encode_IOR(iiop, inRight[_t55_array_iter], 1, _flick_abort259);
        flick_iiop_mark_port_for_cleanup(inRight[_t55_array_iter], 1);
        continue;
        {
        _flick_abort259:
          goto _flick_abort249;
        }
      }
  }
  flick_iiop_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(target, target->boa->in) || !flick_client_get_reply(target, target->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort249);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_iiop_decode_new_glob(8);
      flick_iiop_check_span(4, _flick_abort249);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return, kern_return_t );
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            mach_msg_type_number_t _t59_array_iter;

            /* Begin decode phase on parameters */
            flick_iiop_check_span(4, _flick_abort284);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, *outRightCnt, mach_msg_type_number_t );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            {
              mach_port_t *_t_alloc_ptr;

              _t_alloc_ptr = (mach_port_t *)(mach_vm_flick_alloc(*outRightCnt * sizeof(mach_port_t )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort284);
              *outRight = _t_alloc_ptr;
            }
            for (_t59_array_iter = 0; _t59_array_iter < *outRightCnt; _t59_array_iter++)
              {
                flick_cdr_swap_decode_IOR(iiop, (*outRight)[_t59_array_iter], 1);
                continue;
              }
            break;
            {
            _flick_abort284:
              goto _flick_abort249;
            }
          }
        default:
          {
            flick_iiop_decode_end_glob(8);
            flick_mig_decode_system_exception(_return, cdr_swap, iiop, _flick_abort290);
            break;
            {
            _flick_abort290:
              goto _flick_abort249;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_iiop_decode_new_glob(8);
      flick_iiop_check_span(4, _flick_abort249);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            mach_msg_type_number_t _t57_array_iter;

            /* Begin decode phase on parameters */
            flick_iiop_check_span(4, _flick_abort269);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, *outRightCnt, mach_msg_type_number_t );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            {
              mach_port_t *_t_alloc_ptr;

              _t_alloc_ptr = (mach_port_t *)(mach_vm_flick_alloc(*outRightCnt * sizeof(mach_port_t )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort269);
              *outRight = _t_alloc_ptr;
            }
            for (_t57_array_iter = 0; _t57_array_iter < *outRightCnt; _t57_array_iter++)
              {
                flick_cdr_decode_IOR(iiop, (*outRight)[_t57_array_iter], 1);
                continue;
              }
            break;
            {
            _flick_abort269:
              goto _flick_abort249;
            }
          }
        default:
          {
            flick_iiop_decode_end_glob(8);
            flick_mig_decode_system_exception(_return, cdr, iiop, _flick_abort275);
            break;
            {
            _flick_abort275:
              goto _flick_abort249;
            }
          }
        }
    }
  flick_iiop_client_end_decode();
  return _return;
  {
  _flick_abort249:
    flick_mig_client_error(cdr, iiop, _flick_abort248);
  _flick_abort248:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t inline_poly_arrays(mach_port_t target, Imach_poly_array_t inRight, mach_msg_type_number_t inRightCnt, Imach_poly_array_t *outRight, mach_msg_type_number_t *outRightCnt)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_iiop_client_encode_target(target, 0, cdr, _flick_abort292);
  }
  {
    mach_msg_type_number_t _t61_array_iter;

    flick_iiop_encode_new_glob(12, _flick_abort292);
    flick_iiop_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 5550010, flick_signed32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, inRightCnt, mach_msg_type_number_t );
    flick_iiop_encode_end_chunk(12);
    flick_iiop_encode_end_glob(12);
    for (_t61_array_iter = 0; _t61_array_iter < inRightCnt; _t61_array_iter++)
      {
        flick_cdr_encode_IOR(iiop, inRight[_t61_array_iter], 0, _flick_abort302);
        continue;
        {
        _flick_abort302:
          goto _flick_abort292;
        }
      }
  }
  flick_iiop_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(target, target->boa->in) || !flick_client_get_reply(target, target->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort292);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_iiop_decode_new_glob(8);
      flick_iiop_check_span(4, _flick_abort292);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return, kern_return_t );
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            mach_msg_type_number_t _t65_array_iter;

            /* Begin decode phase on parameters */
            flick_iiop_check_span(4, _flick_abort327);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, *outRightCnt, mach_msg_type_number_t );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            {
              mach_port_t *_t_alloc_ptr;

              _t_alloc_ptr = (mach_port_t *)(mach_vm_flick_alloc(*outRightCnt * sizeof(mach_port_t )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort327);
              *outRight = _t_alloc_ptr;
            }
            for (_t65_array_iter = 0; _t65_array_iter < *outRightCnt; _t65_array_iter++)
              {
                flick_cdr_swap_decode_IOR(iiop, (*outRight)[_t65_array_iter], 1);
                continue;
              }
            break;
            {
            _flick_abort327:
              goto _flick_abort292;
            }
          }
        default:
          {
            flick_iiop_decode_end_glob(8);
            flick_mig_decode_system_exception(_return, cdr_swap, iiop, _flick_abort333);
            break;
            {
            _flick_abort333:
              goto _flick_abort292;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_iiop_decode_new_glob(8);
      flick_iiop_check_span(4, _flick_abort292);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            mach_msg_type_number_t _t63_array_iter;

            /* Begin decode phase on parameters */
            flick_iiop_check_span(4, _flick_abort312);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, *outRightCnt, mach_msg_type_number_t );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            {
              mach_port_t *_t_alloc_ptr;

              _t_alloc_ptr = (mach_port_t *)(mach_vm_flick_alloc(*outRightCnt * sizeof(mach_port_t )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort312);
              *outRight = _t_alloc_ptr;
            }
            for (_t63_array_iter = 0; _t63_array_iter < *outRightCnt; _t63_array_iter++)
              {
                flick_cdr_decode_IOR(iiop, (*outRight)[_t63_array_iter], 1);
                continue;
              }
            break;
            {
            _flick_abort312:
              goto _flick_abort292;
            }
          }
        default:
          {
            flick_iiop_decode_end_glob(8);
            flick_mig_decode_system_exception(_return, cdr, iiop, _flick_abort318);
            break;
            {
            _flick_abort318:
              goto _flick_abort292;
            }
          }
        }
    }
  flick_iiop_client_end_decode();
  return _return;
  {
  _flick_abort292:
    flick_mig_client_error(cdr, iiop, _flick_abort291);
  _flick_abort291:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t outline_integers(mach_port_t target, Oint inInt, Oint *inoutInt, Oint *outInt)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_iiop_client_encode_target(target, 0, cdr, _flick_abort335);
  }
  {
    flick_iiop_encode_new_glob(16, _flick_abort335);
    flick_iiop_encode_new_chunk(16);
    flick_cdr_encode_signed32(0, 5550012, flick_signed32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(8, *inInt, unsigned );
    flick_cdr_encode_signed32(12, **inoutInt, unsigned );
    flick_iiop_encode_end_chunk(16);
    flick_iiop_encode_end_glob(16);
  }
  flick_iiop_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(target, target->boa->in) || !flick_client_get_reply(target, target->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort335);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_iiop_decode_new_glob(12);
      flick_iiop_check_span(4, _flick_abort335);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return, kern_return_t );
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_check_span(8, _flick_abort345);
            flick_iiop_decode_new_chunk(8);
            flick_cdr_swap_decode_signed32(0, **inoutInt, unsigned );
            flick_cdr_swap_decode_signed32(4, **outInt, unsigned );
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(12);
            break;
            {
            _flick_abort345:
              goto _flick_abort335;
            }
          }
        default:
          {
            flick_iiop_decode_end_glob(12);
            flick_mig_decode_system_exception(_return, cdr_swap, iiop, _flick_abort346);
            break;
            {
            _flick_abort346:
              goto _flick_abort335;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_iiop_decode_new_glob(12);
      flick_iiop_check_span(4, _flick_abort335);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_check_span(8, _flick_abort340);
            flick_iiop_decode_new_chunk(8);
            flick_cdr_decode_signed32(0, **inoutInt, unsigned );
            flick_cdr_decode_signed32(4, **outInt, unsigned );
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(12);
            break;
            {
            _flick_abort340:
              goto _flick_abort335;
            }
          }
        default:
          {
            flick_iiop_decode_end_glob(12);
            flick_mig_decode_system_exception(_return, cdr, iiop, _flick_abort341);
            break;
            {
            _flick_abort341:
              goto _flick_abort335;
            }
          }
        }
    }
  flick_iiop_client_end_decode();
  return _return;
  {
  _flick_abort335:
    flick_mig_client_error(cdr, iiop, _flick_abort334);
  _flick_abort334:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t outline_fixed_structs(mach_port_t target, OFstruct inStruct, OFstruct *inoutStruct, OFstruct *outStruct)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_iiop_client_encode_target(target, 0, cdr, _flick_abort348);
  }
  {
    flick_iiop_encode_new_glob(1608, _flick_abort348);
    flick_iiop_encode_new_chunk(1608);
    flick_cdr_encode_signed32(0, 5550013, flick_signed32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_bcopy(8, *inStruct, 800);
    flick_cdr_encode_bcopy(808, **inoutStruct, 800);
    flick_iiop_encode_end_chunk(1608);
    flick_iiop_encode_end_glob(1608);
  }
  flick_iiop_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(target, target->boa->in) || !flick_client_get_reply(target, target->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort348);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_iiop_decode_new_glob(1604);
      flick_iiop_check_span(4, _flick_abort348);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return, kern_return_t );
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            flick_unsigned32_t _t68_array_iter;
            flick_unsigned32_t _t69_array_iter;

            /* Begin decode phase on parameters */
            flick_iiop_check_span(200 * 4 + 200 * 4, _flick_abort384);
            for (_t68_array_iter = 0; _t68_array_iter < 200; _t68_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, (**inoutStruct)[_t68_array_iter], unsigned );
                flick_iiop_decode_end_chunk(4);
                continue;
              }
            for (_t69_array_iter = 0; _t69_array_iter < 200; _t69_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, (**outStruct)[_t69_array_iter], unsigned );
                flick_iiop_decode_end_chunk(4);
                continue;
              }
            flick_iiop_decode_end_glob(1604);
            break;
            {
            _flick_abort384:
              goto _flick_abort348;
            }
          }
        default:
          {
            flick_iiop_decode_end_glob(1604);
            flick_mig_decode_system_exception(_return, cdr_swap, iiop, _flick_abort395);
            break;
            {
            _flick_abort395:
              goto _flick_abort348;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_iiop_decode_new_glob(1604);
      flick_iiop_check_span(4, _flick_abort348);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_check_span(1600, _flick_abort365);
            flick_iiop_decode_new_chunk(1600);
            flick_cdr_decode_bcopy(0, **inoutStruct, 800);
            flick_cdr_decode_bcopy(800, **outStruct, 800);
            flick_iiop_decode_end_chunk(1600);
            flick_iiop_decode_end_glob(1604);
            break;
            {
            _flick_abort365:
              goto _flick_abort348;
            }
          }
        default:
          {
            flick_iiop_decode_end_glob(1604);
            flick_mig_decode_system_exception(_return, cdr, iiop, _flick_abort370);
            break;
            {
            _flick_abort370:
              goto _flick_abort348;
            }
          }
        }
    }
  flick_iiop_client_end_decode();
  return _return;
  {
  _flick_abort348:
    flick_mig_client_error(cdr, iiop, _flick_abort347);
  _flick_abort347:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t outline_fixed_arrays(mach_port_t target, OFarray inArray, OFarray *inoutArray, OFarray *outArray)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_iiop_client_encode_target(target, 0, cdr, _flick_abort397);
  }
  {
    flick_iiop_encode_new_glob(3208, _flick_abort397);
    flick_iiop_encode_new_chunk(3208);
    flick_cdr_encode_signed32(0, 5550014, flick_signed32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_bcopy(8, *inArray, 1600);
    flick_cdr_encode_bcopy(1608, **inoutArray, 1600);
    flick_iiop_encode_end_chunk(3208);
    flick_iiop_encode_end_glob(3208);
  }
  flick_iiop_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(target, target->boa->in) || !flick_client_get_reply(target, target->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort397);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_iiop_decode_new_glob(3204);
      flick_iiop_check_span(4, _flick_abort397);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return, kern_return_t );
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            flick_unsigned32_t _t72_array_iter;
            flick_unsigned32_t _t73_array_iter;

            /* Begin decode phase on parameters */
            flick_iiop_check_span(400 * 4 + 400 * 4, _flick_abort433);
            for (_t72_array_iter = 0; _t72_array_iter < 400; _t72_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, (**inoutArray)[_t72_array_iter], unsigned );
                flick_iiop_decode_end_chunk(4);
                continue;
              }
            for (_t73_array_iter = 0; _t73_array_iter < 400; _t73_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, (**outArray)[_t73_array_iter], unsigned );
                flick_iiop_decode_end_chunk(4);
                continue;
              }
            flick_iiop_decode_end_glob(3204);
            break;
            {
            _flick_abort433:
              goto _flick_abort397;
            }
          }
        default:
          {
            flick_iiop_decode_end_glob(3204);
            flick_mig_decode_system_exception(_return, cdr_swap, iiop, _flick_abort444);
            break;
            {
            _flick_abort444:
              goto _flick_abort397;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_iiop_decode_new_glob(3204);
      flick_iiop_check_span(4, _flick_abort397);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_check_span(3200, _flick_abort414);
            flick_iiop_decode_new_chunk(3200);
            flick_cdr_decode_bcopy(0, **inoutArray, 1600);
            flick_cdr_decode_bcopy(1600, **outArray, 1600);
            flick_iiop_decode_end_chunk(3200);
            flick_iiop_decode_end_glob(3204);
            break;
            {
            _flick_abort414:
              goto _flick_abort397;
            }
          }
        default:
          {
            flick_iiop_decode_end_glob(3204);
            flick_mig_decode_system_exception(_return, cdr, iiop, _flick_abort419);
            break;
            {
            _flick_abort419:
              goto _flick_abort397;
            }
          }
        }
    }
  flick_iiop_client_end_decode();
  return _return;
  {
  _flick_abort397:
    flick_mig_client_error(cdr, iiop, _flick_abort396);
  _flick_abort396:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t outline_unbounded_arrays(mach_port_t target, Oarray inArray, mach_msg_type_number_t inArrayCnt, Oarray *inoutArray, mach_msg_type_number_t *inoutArrayCnt, Oarray *outArray, mach_msg_type_number_t *outArrayCnt)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_iiop_client_encode_target(target, 0, cdr, _flick_abort446);
  }
  {
    flick_iiop_encode_new_glob(12, _flick_abort446);
    flick_iiop_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 5550015, flick_signed32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, inArrayCnt, mach_msg_type_number_t );
    flick_iiop_encode_end_chunk(12);
    flick_iiop_encode_end_glob(12);
    flick_iiop_encode_new_glob(4 * inArrayCnt, _flick_abort446);
    if (inArrayCnt > 512)
      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort446);
    flick_iiop_encode_new_chunk(4 * inArrayCnt);
    flick_cdr_encode_bcopy(0, inArray, 4 * inArrayCnt);
    flick_iiop_encode_end_chunk(4 * inArrayCnt);
    flick_iiop_encode_end_glob(4 * inArrayCnt);
    flick_iiop_encode_new_glob(4, _flick_abort446);
    flick_iiop_encode_new_chunk(4);
    flick_cdr_encode_unsigned32(0, *inoutArrayCnt, mach_msg_type_number_t );
    flick_iiop_encode_end_chunk(4);
    flick_iiop_encode_end_glob(4);
    flick_iiop_encode_new_glob(4 * *inoutArrayCnt, _flick_abort446);
    if (*inoutArrayCnt > 512)
      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort446);
    flick_iiop_encode_new_chunk(4 * *inoutArrayCnt);
    flick_cdr_encode_bcopy(0, *inoutArray, 4 * *inoutArrayCnt);
    flick_iiop_encode_end_chunk(4 * *inoutArrayCnt);
    flick_iiop_encode_end_glob(4 * *inoutArrayCnt);
  }
  flick_iiop_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(target, target->boa->in) || !flick_client_get_reply(target, target->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort446);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_iiop_decode_new_glob(8);
      flick_iiop_check_span(4, _flick_abort446);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return, kern_return_t );
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            mach_msg_type_number_t _t76_array_iter;
            mach_msg_type_number_t _t77_array_iter;

            /* Begin decode phase on parameters */
            flick_iiop_check_span(4, _flick_abort482);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, *inoutArrayCnt, mach_msg_type_number_t );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(4 * *inoutArrayCnt);
            if (*inoutArrayCnt > 512)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort482);
            flick_iiop_check_span(*inoutArrayCnt * 4 + 4, _flick_abort482);
            for (_t76_array_iter = 0; _t76_array_iter < *inoutArrayCnt; _t76_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, (*inoutArray)[_t76_array_iter], unsigned );
                flick_iiop_decode_end_chunk(4);
                continue;
              }
            flick_iiop_decode_end_glob(4 * *inoutArrayCnt);
            flick_iiop_decode_new_glob(4);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, *outArrayCnt, mach_msg_type_number_t );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(4);
            flick_iiop_decode_new_glob(4 * *outArrayCnt);
            if (*outArrayCnt > 512)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort482);
            flick_iiop_check_span(*outArrayCnt * 4, _flick_abort482);
            for (_t77_array_iter = 0; _t77_array_iter < *outArrayCnt; _t77_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, (*outArray)[_t77_array_iter], unsigned );
                flick_iiop_decode_end_chunk(4);
                continue;
              }
            flick_iiop_decode_end_glob(4 * *outArrayCnt);
            break;
            {
            _flick_abort482:
              goto _flick_abort446;
            }
          }
        default:
          {
            flick_iiop_decode_end_glob(8);
            flick_mig_decode_system_exception(_return, cdr_swap, iiop, _flick_abort493);
            break;
            {
            _flick_abort493:
              goto _flick_abort446;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_iiop_decode_new_glob(8);
      flick_iiop_check_span(4, _flick_abort446);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_check_span(4, _flick_abort463);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, *inoutArrayCnt, mach_msg_type_number_t );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(4 * *inoutArrayCnt);
            if (*inoutArrayCnt > 512)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort463);
            flick_iiop_check_span(4 * *inoutArrayCnt + 4, _flick_abort463);
            flick_iiop_decode_new_chunk(4 * *inoutArrayCnt);
            flick_cdr_decode_bcopy(0, *inoutArray, 4 * *inoutArrayCnt);
            flick_iiop_decode_end_chunk(4 * *inoutArrayCnt);
            flick_iiop_decode_end_glob(4 * *inoutArrayCnt);
            flick_iiop_decode_new_glob(4);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, *outArrayCnt, mach_msg_type_number_t );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(4);
            flick_iiop_decode_new_glob(4 * *outArrayCnt);
            if (*outArrayCnt > 512)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort463);
            flick_iiop_check_span(4 * *outArrayCnt, _flick_abort463);
            flick_iiop_decode_new_chunk(4 * *outArrayCnt);
            flick_cdr_decode_bcopy(0, *outArray, 4 * *outArrayCnt);
            flick_iiop_decode_end_chunk(4 * *outArrayCnt);
            flick_iiop_decode_end_glob(4 * *outArrayCnt);
            break;
            {
            _flick_abort463:
              goto _flick_abort446;
            }
          }
        default:
          {
            flick_iiop_decode_end_glob(8);
            flick_mig_decode_system_exception(_return, cdr, iiop, _flick_abort468);
            break;
            {
            _flick_abort468:
              goto _flick_abort446;
            }
          }
        }
    }
  flick_iiop_client_end_decode();
  return _return;
  {
  _flick_abort446:
    flick_mig_client_error(cdr, iiop, _flick_abort445);
  _flick_abort445:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t outline_fixed_strings(mach_port_t target, OFstring inString, OFstring *inoutString, OFstring *outString)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_iiop_client_encode_target(target, 0, cdr, _flick_abort495);
  }
  {
    flick_iiop_encode_new_glob(1610, _flick_abort495);
    flick_iiop_encode_new_chunk(1610);
    flick_cdr_encode_signed32(0, 5550016, flick_signed32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_bcopy(8, *inString, 800);
    flick_cdr_encode_bcopy(809, **inoutString, 800);
    flick_iiop_encode_end_chunk(1610);
    flick_iiop_encode_end_glob(1610);
  }
  flick_iiop_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(target, target->boa->in) || !flick_client_get_reply(target, target->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort495);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_iiop_decode_new_glob(1606);
      flick_iiop_check_span(4, _flick_abort495);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return, kern_return_t );
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_check_span(1602, _flick_abort525);
            flick_iiop_decode_new_chunk(1602);
            flick_cdr_swap_decode_bcopy(0, **inoutString, 800);
            flick_cdr_swap_decode_bcopy(801, **outString, 800);
            flick_iiop_decode_end_chunk(1602);
            flick_iiop_decode_end_glob(1606);
            break;
            {
            _flick_abort525:
              goto _flick_abort495;
            }
          }
        default:
          {
            flick_iiop_decode_end_glob(1606);
            flick_mig_decode_system_exception(_return, cdr_swap, iiop, _flick_abort530);
            break;
            {
            _flick_abort530:
              goto _flick_abort495;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_iiop_decode_new_glob(1606);
      flick_iiop_check_span(4, _flick_abort495);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_check_span(1602, _flick_abort512);
            flick_iiop_decode_new_chunk(1602);
            flick_cdr_decode_bcopy(0, **inoutString, 800);
            flick_cdr_decode_bcopy(801, **outString, 800);
            flick_iiop_decode_end_chunk(1602);
            flick_iiop_decode_end_glob(1606);
            break;
            {
            _flick_abort512:
              goto _flick_abort495;
            }
          }
        default:
          {
            flick_iiop_decode_end_glob(1606);
            flick_mig_decode_system_exception(_return, cdr, iiop, _flick_abort517);
            break;
            {
            _flick_abort517:
              goto _flick_abort495;
            }
          }
        }
    }
  flick_iiop_client_end_decode();
  return _return;
  {
  _flick_abort495:
    flick_mig_client_error(cdr, iiop, _flick_abort494);
  _flick_abort494:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t outline_port_arrays(mach_port_t target, mach_port_array_t inRight, mach_msg_type_number_t inRightCnt, mach_port_array_t *inoutRight, mach_msg_type_number_t *inoutRightCnt, mach_port_array_t *outRight, mach_msg_type_number_t *outRightCnt)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_iiop_client_encode_target(target, 0, cdr, _flick_abort532);
  }
  {
    mach_msg_type_number_t _t80_array_iter;
    mach_msg_type_number_t _t81_array_iter;

    flick_iiop_encode_new_glob(12, _flick_abort532);
    flick_iiop_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 5550017, flick_signed32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, inRightCnt, mach_msg_type_number_t );
    flick_iiop_encode_end_chunk(12);
    flick_iiop_encode_end_glob(12);
    if (inRightCnt > 512)
      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort532);
    for (_t80_array_iter = 0; _t80_array_iter < inRightCnt; _t80_array_iter++)
      {
        flick_cdr_encode_IOR(iiop, inRight[_t80_array_iter], 0, _flick_abort547);
        continue;
        {
        _flick_abort547:
          goto _flick_abort532;
        }
      }
    flick_iiop_encode_new_glob(7, _flick_abort532);
    flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
    flick_cdr_encode_unsigned32(0, *inoutRightCnt, mach_msg_type_number_t );
    flick_iiop_encode_end_chunk(4);
    flick_iiop_encode_end_glob(7);
    if (*inoutRightCnt > 512)
      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort532);
    for (_t81_array_iter = 0; _t81_array_iter < *inoutRightCnt; _t81_array_iter++)
      {
        flick_cdr_encode_IOR(iiop, (*inoutRight)[_t81_array_iter], 0, _flick_abort552);
        continue;
        {
        _flick_abort552:
          goto _flick_abort532;
        }
      }
  }
  flick_iiop_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(target, target->boa->in) || !flick_client_get_reply(target, target->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort532);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_iiop_decode_new_glob(8);
      flick_iiop_check_span(4, _flick_abort532);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return, kern_return_t );
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            mach_msg_type_number_t _t88_array_iter;
            mach_msg_type_number_t _t89_array_iter;

            /* Begin decode phase on parameters */
            flick_iiop_check_span(4, _flick_abort592);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, *inoutRightCnt, mach_msg_type_number_t );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            if (*inoutRightCnt > 512)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort592);
            for (_t88_array_iter = 0; _t88_array_iter < *inoutRightCnt; _t88_array_iter++)
              {
                flick_cdr_swap_decode_IOR(iiop, (*inoutRight)[_t88_array_iter], 1);
                continue;
              }
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort592);
            flick_cdr_swap_decode_unsigned32(0, *outRightCnt, mach_msg_type_number_t );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            if (*outRightCnt > 512)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort592);
            for (_t89_array_iter = 0; _t89_array_iter < *outRightCnt; _t89_array_iter++)
              {
                flick_cdr_swap_decode_IOR(iiop, (*outRight)[_t89_array_iter], 1);
                continue;
              }
            break;
            {
            _flick_abort592:
              goto _flick_abort532;
            }
          }
        default:
          {
            flick_iiop_decode_end_glob(8);
            flick_mig_decode_system_exception(_return, cdr_swap, iiop, _flick_abort603);
            break;
            {
            _flick_abort603:
              goto _flick_abort532;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_iiop_decode_new_glob(8);
      flick_iiop_check_span(4, _flick_abort532);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            mach_msg_type_number_t _t84_array_iter;
            mach_msg_type_number_t _t85_array_iter;

            /* Begin decode phase on parameters */
            flick_iiop_check_span(4, _flick_abort567);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, *inoutRightCnt, mach_msg_type_number_t );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            if (*inoutRightCnt > 512)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort567);
            for (_t84_array_iter = 0; _t84_array_iter < *inoutRightCnt; _t84_array_iter++)
              {
                flick_cdr_decode_IOR(iiop, (*inoutRight)[_t84_array_iter], 1);
                continue;
              }
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort567);
            flick_cdr_decode_unsigned32(0, *outRightCnt, mach_msg_type_number_t );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            if (*outRightCnt > 512)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort567);
            for (_t85_array_iter = 0; _t85_array_iter < *outRightCnt; _t85_array_iter++)
              {
                flick_cdr_decode_IOR(iiop, (*outRight)[_t85_array_iter], 1);
                continue;
              }
            break;
            {
            _flick_abort567:
              goto _flick_abort532;
            }
          }
        default:
          {
            flick_iiop_decode_end_glob(8);
            flick_mig_decode_system_exception(_return, cdr, iiop, _flick_abort578);
            break;
            {
            _flick_abort578:
              goto _flick_abort532;
            }
          }
        }
    }
  flick_iiop_client_end_decode();
  return _return;
  {
  _flick_abort532:
    flick_mig_client_error(cdr, iiop, _flick_abort531);
  _flick_abort531:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t outline_poly_arrays(mach_port_t target, Omach_poly_array_t inRight, mach_msg_type_number_t inRightCnt, Omach_poly_array_t *inoutRight, mach_msg_type_number_t *inoutRightCnt, Omach_poly_array_t *outRight, mach_msg_type_number_t *outRightCnt)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_iiop_client_encode_target(target, 0, cdr, _flick_abort605);
  }
  {
    mach_msg_type_number_t _t92_array_iter;
    mach_msg_type_number_t _t93_array_iter;

    flick_iiop_encode_new_glob(12, _flick_abort605);
    flick_iiop_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 5550018, flick_signed32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, inRightCnt, mach_msg_type_number_t );
    flick_iiop_encode_end_chunk(12);
    flick_iiop_encode_end_glob(12);
    if (inRightCnt > 512)
      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort605);
    for (_t92_array_iter = 0; _t92_array_iter < inRightCnt; _t92_array_iter++)
      {
        flick_cdr_encode_IOR(iiop, inRight[_t92_array_iter], 0, _flick_abort620);
        continue;
        {
        _flick_abort620:
          goto _flick_abort605;
        }
      }
    flick_iiop_encode_new_glob(7, _flick_abort605);
    flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
    flick_cdr_encode_unsigned32(0, *inoutRightCnt, mach_msg_type_number_t );
    flick_iiop_encode_end_chunk(4);
    flick_iiop_encode_end_glob(7);
    if (*inoutRightCnt > 512)
      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort605);
    for (_t93_array_iter = 0; _t93_array_iter < *inoutRightCnt; _t93_array_iter++)
      {
        flick_cdr_encode_IOR(iiop, (*inoutRight)[_t93_array_iter], 0, _flick_abort625);
        continue;
        {
        _flick_abort625:
          goto _flick_abort605;
        }
      }
  }
  flick_iiop_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(target, target->boa->in) || !flick_client_get_reply(target, target->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort605);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_iiop_decode_new_glob(8);
      flick_iiop_check_span(4, _flick_abort605);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return, kern_return_t );
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            mach_msg_type_number_t _t100_array_iter;
            mach_msg_type_number_t _t101_array_iter;

            /* Begin decode phase on parameters */
            flick_iiop_check_span(4, _flick_abort665);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, *inoutRightCnt, mach_msg_type_number_t );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            if (*inoutRightCnt > 512)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort665);
            for (_t100_array_iter = 0; _t100_array_iter < *inoutRightCnt; _t100_array_iter++)
              {
                flick_cdr_swap_decode_IOR(iiop, (*inoutRight)[_t100_array_iter], 1);
                continue;
              }
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort665);
            flick_cdr_swap_decode_unsigned32(0, *outRightCnt, mach_msg_type_number_t );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            if (*outRightCnt > 512)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort665);
            for (_t101_array_iter = 0; _t101_array_iter < *outRightCnt; _t101_array_iter++)
              {
                flick_cdr_swap_decode_IOR(iiop, (*outRight)[_t101_array_iter], 1);
                continue;
              }
            break;
            {
            _flick_abort665:
              goto _flick_abort605;
            }
          }
        default:
          {
            flick_iiop_decode_end_glob(8);
            flick_mig_decode_system_exception(_return, cdr_swap, iiop, _flick_abort676);
            break;
            {
            _flick_abort676:
              goto _flick_abort605;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_iiop_decode_new_glob(8);
      flick_iiop_check_span(4, _flick_abort605);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            mach_msg_type_number_t _t96_array_iter;
            mach_msg_type_number_t _t97_array_iter;

            /* Begin decode phase on parameters */
            flick_iiop_check_span(4, _flick_abort640);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, *inoutRightCnt, mach_msg_type_number_t );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            if (*inoutRightCnt > 512)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort640);
            for (_t96_array_iter = 0; _t96_array_iter < *inoutRightCnt; _t96_array_iter++)
              {
                flick_cdr_decode_IOR(iiop, (*inoutRight)[_t96_array_iter], 1);
                continue;
              }
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort640);
            flick_cdr_decode_unsigned32(0, *outRightCnt, mach_msg_type_number_t );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            if (*outRightCnt > 512)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort640);
            for (_t97_array_iter = 0; _t97_array_iter < *outRightCnt; _t97_array_iter++)
              {
                flick_cdr_decode_IOR(iiop, (*outRight)[_t97_array_iter], 1);
                continue;
              }
            break;
            {
            _flick_abort640:
              goto _flick_abort605;
            }
          }
        default:
          {
            flick_iiop_decode_end_glob(8);
            flick_mig_decode_system_exception(_return, cdr, iiop, _flick_abort651);
            break;
            {
            _flick_abort651:
              goto _flick_abort605;
            }
          }
        }
    }
  flick_iiop_client_end_decode();
  return _return;
  {
  _flick_abort605:
    flick_mig_client_error(cdr, iiop, _flick_abort604);
  _flick_abort604:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t test_reply_ports(mach_port_t reply, mach_port_t target, unsigned int *data)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_iiop_client_encode_target(target, 0, cdr, _flick_abort678);
  }
  {
    flick_iiop_encode_new_glob(12, _flick_abort678);
    flick_iiop_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 5550020, flick_signed32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(8, *data, unsigned int );
    flick_iiop_encode_end_chunk(12);
    flick_iiop_encode_end_glob(12);
  }
  flick_iiop_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(target, target->boa->in) || !flick_client_get_reply(target, target->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort678);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_iiop_decode_new_glob(8);
      flick_iiop_check_span(4, _flick_abort678);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return, kern_return_t );
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_check_span(4, _flick_abort688);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_signed32(0, *data, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            break;
            {
            _flick_abort688:
              goto _flick_abort678;
            }
          }
        default:
          {
            flick_iiop_decode_end_glob(8);
            flick_mig_decode_system_exception(_return, cdr_swap, iiop, _flick_abort689);
            break;
            {
            _flick_abort689:
              goto _flick_abort678;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_iiop_decode_new_glob(8);
      flick_iiop_check_span(4, _flick_abort678);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_check_span(4, _flick_abort683);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, *data, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            break;
            {
            _flick_abort683:
              goto _flick_abort678;
            }
          }
        default:
          {
            flick_iiop_decode_end_glob(8);
            flick_mig_decode_system_exception(_return, cdr, iiop, _flick_abort684);
            break;
            {
            _flick_abort684:
              goto _flick_abort678;
            }
          }
        }
    }
  flick_iiop_client_end_decode();
  return _return;
  {
  _flick_abort678:
    flick_mig_client_error(cdr, iiop, _flick_abort677);
  _flick_abort677:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t test_sreply_ports(mach_port_t target, unsigned int *data)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_iiop_client_encode_target(target, 0, cdr, _flick_abort691);
  }
  {
    flick_iiop_encode_new_glob(12, _flick_abort691);
    flick_iiop_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 5550021, flick_signed32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(8, *data, unsigned int );
    flick_iiop_encode_end_chunk(12);
    flick_iiop_encode_end_glob(12);
  }
  flick_iiop_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(target, target->boa->in) || !flick_client_get_reply(target, target->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort691);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_iiop_decode_new_glob(8);
      flick_iiop_check_span(4, _flick_abort691);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return, kern_return_t );
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_check_span(4, _flick_abort701);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_signed32(0, *data, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            break;
            {
            _flick_abort701:
              goto _flick_abort691;
            }
          }
        default:
          {
            flick_iiop_decode_end_glob(8);
            flick_mig_decode_system_exception(_return, cdr_swap, iiop, _flick_abort702);
            break;
            {
            _flick_abort702:
              goto _flick_abort691;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_iiop_decode_new_glob(8);
      flick_iiop_check_span(4, _flick_abort691);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_check_span(4, _flick_abort696);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, *data, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            break;
            {
            _flick_abort696:
              goto _flick_abort691;
            }
          }
        default:
          {
            flick_iiop_decode_end_glob(8);
            flick_mig_decode_system_exception(_return, cdr, iiop, _flick_abort697);
            break;
            {
            _flick_abort697:
              goto _flick_abort691;
            }
          }
        }
    }
  flick_iiop_client_end_decode();
  return _return;
  {
  _flick_abort691:
    flick_mig_client_error(cdr, iiop, _flick_abort690);
  _flick_abort690:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t test_ureply_ports(mach_port_t target, mach_port_t reply, unsigned int *data)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_iiop_client_encode_target(target, 0, cdr, _flick_abort704);
  }
  {
    flick_iiop_encode_new_glob(12, _flick_abort704);
    flick_iiop_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 5550022, flick_signed32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(8, *data, unsigned int );
    flick_iiop_encode_end_chunk(12);
    flick_iiop_encode_end_glob(12);
  }
  flick_iiop_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(target, target->boa->in) || !flick_client_get_reply(target, target->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort704);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_iiop_decode_new_glob(8);
      flick_iiop_check_span(4, _flick_abort704);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return, kern_return_t );
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_check_span(4, _flick_abort714);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_signed32(0, *data, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            break;
            {
            _flick_abort714:
              goto _flick_abort704;
            }
          }
        default:
          {
            flick_iiop_decode_end_glob(8);
            flick_mig_decode_system_exception(_return, cdr_swap, iiop, _flick_abort715);
            break;
            {
            _flick_abort715:
              goto _flick_abort704;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_iiop_decode_new_glob(8);
      flick_iiop_check_span(4, _flick_abort704);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_check_span(4, _flick_abort709);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, *data, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            break;
            {
            _flick_abort709:
              goto _flick_abort704;
            }
          }
        default:
          {
            flick_iiop_decode_end_glob(8);
            flick_mig_decode_system_exception(_return, cdr, iiop, _flick_abort710);
            break;
            {
            _flick_abort710:
              goto _flick_abort704;
            }
          }
        }
    }
  flick_iiop_client_end_decode();
  return _return;
  {
  _flick_abort704:
    flick_mig_client_error(cdr, iiop, _flick_abort703);
  _flick_abort703:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t test_param_flags(unsigned int time, unsigned int opt, mach_port_t target, unsigned int *data)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_iiop_client_encode_target(target, 0, cdr, _flick_abort717);
  }
  {
    flick_iiop_encode_new_glob(12, _flick_abort717);
    flick_iiop_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 5550023, flick_signed32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_signed32(8, *data, unsigned int );
    flick_iiop_encode_end_chunk(12);
    flick_iiop_encode_end_glob(12);
  }
  flick_iiop_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(target, target->boa->in) || !flick_client_get_reply(target, target->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort717);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_iiop_decode_new_glob(8);
      flick_iiop_check_span(4, _flick_abort717);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return, kern_return_t );
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_check_span(4, _flick_abort727);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_signed32(0, *data, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            break;
            {
            _flick_abort727:
              goto _flick_abort717;
            }
          }
        default:
          {
            flick_iiop_decode_end_glob(8);
            flick_mig_decode_system_exception(_return, cdr_swap, iiop, _flick_abort728);
            break;
            {
            _flick_abort728:
              goto _flick_abort717;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_iiop_decode_new_glob(8);
      flick_iiop_check_span(4, _flick_abort717);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_check_span(4, _flick_abort722);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, *data, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            break;
            {
            _flick_abort722:
              goto _flick_abort717;
            }
          }
        default:
          {
            flick_iiop_decode_end_glob(8);
            flick_mig_decode_system_exception(_return, cdr, iiop, _flick_abort723);
            break;
            {
            _flick_abort723:
              goto _flick_abort717;
            }
          }
        }
    }
  flick_iiop_client_end_decode();
  return _return;
  {
  _flick_abort717:
    flick_mig_client_error(cdr, iiop, _flick_abort716);
  _flick_abort716:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t test_countinout(mach_port_t target, Iarray *outArray, mach_msg_type_number_t *outArrayCnt)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_iiop_client_encode_target(target, 0, cdr, _flick_abort730);
  }
  {
    flick_iiop_encode_new_glob(8, _flick_abort730);
    flick_iiop_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 5550024, flick_signed32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_iiop_encode_end_chunk(8);
    flick_iiop_encode_end_glob(8);
  }
  flick_iiop_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(target, target->boa->in) || !flick_client_get_reply(target, target->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort730);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_iiop_decode_new_glob(8);
      flick_iiop_check_span(4, _flick_abort730);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return, kern_return_t );
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            mach_msg_type_number_t _t103_array_iter;

            /* Begin decode phase on parameters */
            flick_iiop_check_span(4, _flick_abort749);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, *outArrayCnt, mach_msg_type_number_t );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(4 * *outArrayCnt);
            {
              unsigned *_t_alloc_ptr;

              _t_alloc_ptr = (unsigned *)(mach_vm_flick_alloc(*outArrayCnt * sizeof(unsigned )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort749);
              *outArray = _t_alloc_ptr;
            }
            flick_iiop_check_span(*outArrayCnt * 4, _flick_abort749);
            for (_t103_array_iter = 0; _t103_array_iter < *outArrayCnt; _t103_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, (*outArray)[_t103_array_iter], unsigned );
                flick_iiop_decode_end_chunk(4);
                continue;
              }
            flick_iiop_decode_end_glob(4 * *outArrayCnt);
            break;
            {
            _flick_abort749:
              goto _flick_abort730;
            }
          }
        default:
          {
            flick_iiop_decode_end_glob(8);
            flick_mig_decode_system_exception(_return, cdr_swap, iiop, _flick_abort755);
            break;
            {
            _flick_abort755:
              goto _flick_abort730;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_iiop_decode_new_glob(8);
      flick_iiop_check_span(4, _flick_abort730);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_check_span(4, _flick_abort737);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, *outArrayCnt, mach_msg_type_number_t );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(4 * *outArrayCnt);
            flick_iiop_check_span(4 * *outArrayCnt, _flick_abort737);
            flick_iiop_decode_new_chunk(4 * *outArrayCnt);
            {
              unsigned *_t_alloc_ptr;

              _t_alloc_ptr = (unsigned *)(mach_vm_flick_alloc(*outArrayCnt * sizeof(unsigned )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort737);
              *outArray = _t_alloc_ptr;
            }
            flick_cdr_decode_bcopy(0, *outArray, 4 * *outArrayCnt);
            flick_iiop_decode_end_chunk(4 * *outArrayCnt);
            flick_iiop_decode_end_glob(4 * *outArrayCnt);
            break;
            {
            _flick_abort737:
              goto _flick_abort730;
            }
          }
        default:
          {
            flick_iiop_decode_end_glob(8);
            flick_mig_decode_system_exception(_return, cdr, iiop, _flick_abort740);
            break;
            {
            _flick_abort740:
              goto _flick_abort730;
            }
          }
        }
    }
  flick_iiop_client_end_decode();
  return _return;
  {
  _flick_abort730:
    flick_mig_client_error(cdr, iiop, _flick_abort729);
  _flick_abort729:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t test_dealloc_pointer(mach_port_t target, Oarray inArray, mach_msg_type_number_t inArrayCnt, Oarray *inoutArray, mach_msg_type_number_t *inoutArrayCnt, Oarray *outArray, mach_msg_type_number_t *outArrayCnt)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_iiop_client_encode_target(target, 0, cdr, _flick_abort757);
  }
  {
    flick_iiop_encode_new_glob(12, _flick_abort757);
    flick_iiop_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 5550025, flick_signed32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, inArrayCnt, mach_msg_type_number_t );
    flick_iiop_encode_end_chunk(12);
    flick_iiop_encode_end_glob(12);
    flick_iiop_encode_new_glob(4 * inArrayCnt, _flick_abort757);
    if (inArrayCnt > 512)
      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort757);
    flick_iiop_encode_new_chunk(4 * inArrayCnt);
    flick_cdr_encode_bcopy(0, inArray, 4 * inArrayCnt);
    mach_vm_flick_free(inArray);
    flick_iiop_encode_end_chunk(4 * inArrayCnt);
    flick_iiop_encode_end_glob(4 * inArrayCnt);
    flick_iiop_encode_new_glob(4, _flick_abort757);
    flick_iiop_encode_new_chunk(4);
    flick_cdr_encode_unsigned32(0, *inoutArrayCnt, mach_msg_type_number_t );
    flick_iiop_encode_end_chunk(4);
    flick_iiop_encode_end_glob(4);
    flick_iiop_encode_new_glob(4 * *inoutArrayCnt, _flick_abort757);
    if (*inoutArrayCnt > 512)
      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort757);
    flick_iiop_encode_new_chunk(4 * *inoutArrayCnt);
    flick_cdr_encode_bcopy(0, *inoutArray, 4 * *inoutArrayCnt);
    mach_vm_flick_free(*inoutArray);
    *inoutArray = 0;
    flick_iiop_encode_end_chunk(4 * *inoutArrayCnt);
    flick_iiop_encode_end_glob(4 * *inoutArrayCnt);
  }
  flick_iiop_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(target, target->boa->in) || !flick_client_get_reply(target, target->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort757);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_iiop_decode_new_glob(8);
      flick_iiop_check_span(4, _flick_abort757);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return, kern_return_t );
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            mach_msg_type_number_t _t106_array_iter;
            mach_msg_type_number_t _t107_array_iter;

            /* Begin decode phase on parameters */
            flick_iiop_check_span(4, _flick_abort793);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, *inoutArrayCnt, mach_msg_type_number_t );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(4 * *inoutArrayCnt);
            if (*inoutArrayCnt > 512)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort793);
            flick_iiop_check_span(*inoutArrayCnt * 4 + 4, _flick_abort793);
            for (_t106_array_iter = 0; _t106_array_iter < *inoutArrayCnt; _t106_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, (*inoutArray)[_t106_array_iter], unsigned );
                flick_iiop_decode_end_chunk(4);
                continue;
              }
            flick_iiop_decode_end_glob(4 * *inoutArrayCnt);
            flick_iiop_decode_new_glob(4);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, *outArrayCnt, mach_msg_type_number_t );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(4);
            flick_iiop_decode_new_glob(4 * *outArrayCnt);
            if (*outArrayCnt > 512)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort793);
            flick_iiop_check_span(*outArrayCnt * 4, _flick_abort793);
            for (_t107_array_iter = 0; _t107_array_iter < *outArrayCnt; _t107_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, (*outArray)[_t107_array_iter], unsigned );
                flick_iiop_decode_end_chunk(4);
                continue;
              }
            flick_iiop_decode_end_glob(4 * *outArrayCnt);
            break;
            {
            _flick_abort793:
              goto _flick_abort757;
            }
          }
        default:
          {
            flick_iiop_decode_end_glob(8);
            flick_mig_decode_system_exception(_return, cdr_swap, iiop, _flick_abort804);
            break;
            {
            _flick_abort804:
              goto _flick_abort757;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_iiop_decode_new_glob(8);
      flick_iiop_check_span(4, _flick_abort757);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_check_span(4, _flick_abort774);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, *inoutArrayCnt, mach_msg_type_number_t );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(4 * *inoutArrayCnt);
            if (*inoutArrayCnt > 512)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort774);
            flick_iiop_check_span(4 * *inoutArrayCnt + 4, _flick_abort774);
            flick_iiop_decode_new_chunk(4 * *inoutArrayCnt);
            flick_cdr_decode_bcopy(0, *inoutArray, 4 * *inoutArrayCnt);
            flick_iiop_decode_end_chunk(4 * *inoutArrayCnt);
            flick_iiop_decode_end_glob(4 * *inoutArrayCnt);
            flick_iiop_decode_new_glob(4);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, *outArrayCnt, mach_msg_type_number_t );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(4);
            flick_iiop_decode_new_glob(4 * *outArrayCnt);
            if (*outArrayCnt > 512)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort774);
            flick_iiop_check_span(4 * *outArrayCnt, _flick_abort774);
            flick_iiop_decode_new_chunk(4 * *outArrayCnt);
            flick_cdr_decode_bcopy(0, *outArray, 4 * *outArrayCnt);
            flick_iiop_decode_end_chunk(4 * *outArrayCnt);
            flick_iiop_decode_end_glob(4 * *outArrayCnt);
            break;
            {
            _flick_abort774:
              goto _flick_abort757;
            }
          }
        default:
          {
            flick_iiop_decode_end_glob(8);
            flick_mig_decode_system_exception(_return, cdr, iiop, _flick_abort779);
            break;
            {
            _flick_abort779:
              goto _flick_abort757;
            }
          }
        }
    }
  flick_iiop_client_end_decode();
  return _return;
  {
  _flick_abort757:
    flick_mig_client_error(cdr, iiop, _flick_abort756);
  _flick_abort756:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t test_dynamic_dealloc_pointer(mach_port_t target, Oarray inArray, mach_msg_type_number_t inArrayCnt, boolean_t inArrayDealloc, Oarray *inoutArray, mach_msg_type_number_t *inoutArrayCnt, boolean_t inoutArrayDealloc, Oarray *outArray, mach_msg_type_number_t *outArrayCnt)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_iiop_client_encode_target(target, 0, cdr, _flick_abort806);
  }
  {
    flick_iiop_encode_new_glob(12, _flick_abort806);
    flick_iiop_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 5550026, flick_signed32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, inArrayCnt, mach_msg_type_number_t );
    flick_iiop_encode_end_chunk(12);
    flick_iiop_encode_end_glob(12);
    flick_iiop_encode_new_glob(4 * inArrayCnt, _flick_abort806);
    if (inArrayCnt > 512)
      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort806);
    flick_iiop_encode_new_chunk(4 * inArrayCnt);
    flick_cdr_encode_bcopy(0, inArray, 4 * inArrayCnt);
    if (inArrayDealloc)
      mach_vm_flick_free(inArray);
    inArrayDealloc = 0;
    flick_iiop_encode_end_chunk(4 * inArrayCnt);
    flick_iiop_encode_end_glob(4 * inArrayCnt);
    flick_iiop_encode_new_glob(4, _flick_abort806);
    flick_iiop_encode_new_chunk(4);
    flick_cdr_encode_unsigned32(0, *inoutArrayCnt, mach_msg_type_number_t );
    flick_iiop_encode_end_chunk(4);
    flick_iiop_encode_end_glob(4);
    flick_iiop_encode_new_glob(4 * *inoutArrayCnt, _flick_abort806);
    if (*inoutArrayCnt > 512)
      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort806);
    flick_iiop_encode_new_chunk(4 * *inoutArrayCnt);
    flick_cdr_encode_bcopy(0, *inoutArray, 4 * *inoutArrayCnt);
    if (inoutArrayDealloc)
      mach_vm_flick_free(*inoutArray);
    inoutArrayDealloc = 0;
    *inoutArray = 0;
    flick_iiop_encode_end_chunk(4 * *inoutArrayCnt);
    flick_iiop_encode_end_glob(4 * *inoutArrayCnt);
  }
  flick_iiop_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(target, target->boa->in) || !flick_client_get_reply(target, target->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort806);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_iiop_decode_new_glob(8);
      flick_iiop_check_span(4, _flick_abort806);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return, kern_return_t );
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            mach_msg_type_number_t _t110_array_iter;
            mach_msg_type_number_t _t111_array_iter;

            /* Begin decode phase on parameters */
            flick_iiop_check_span(4, _flick_abort842);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, *inoutArrayCnt, mach_msg_type_number_t );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(4 * *inoutArrayCnt);
            if (*inoutArrayCnt > 512)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort842);
            flick_iiop_check_span(*inoutArrayCnt * 4 + 4, _flick_abort842);
            for (_t110_array_iter = 0; _t110_array_iter < *inoutArrayCnt; _t110_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, (*inoutArray)[_t110_array_iter], unsigned );
                flick_iiop_decode_end_chunk(4);
                continue;
              }
            flick_iiop_decode_end_glob(4 * *inoutArrayCnt);
            flick_iiop_decode_new_glob(4);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, *outArrayCnt, mach_msg_type_number_t );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(4);
            flick_iiop_decode_new_glob(4 * *outArrayCnt);
            if (*outArrayCnt > 512)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort842);
            flick_iiop_check_span(*outArrayCnt * 4, _flick_abort842);
            for (_t111_array_iter = 0; _t111_array_iter < *outArrayCnt; _t111_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, (*outArray)[_t111_array_iter], unsigned );
                flick_iiop_decode_end_chunk(4);
                continue;
              }
            flick_iiop_decode_end_glob(4 * *outArrayCnt);
            break;
            {
            _flick_abort842:
              goto _flick_abort806;
            }
          }
        default:
          {
            flick_iiop_decode_end_glob(8);
            flick_mig_decode_system_exception(_return, cdr_swap, iiop, _flick_abort853);
            break;
            {
            _flick_abort853:
              goto _flick_abort806;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_iiop_decode_new_glob(8);
      flick_iiop_check_span(4, _flick_abort806);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_check_span(4, _flick_abort823);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, *inoutArrayCnt, mach_msg_type_number_t );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_decode_new_glob(4 * *inoutArrayCnt);
            if (*inoutArrayCnt > 512)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort823);
            flick_iiop_check_span(4 * *inoutArrayCnt + 4, _flick_abort823);
            flick_iiop_decode_new_chunk(4 * *inoutArrayCnt);
            flick_cdr_decode_bcopy(0, *inoutArray, 4 * *inoutArrayCnt);
            flick_iiop_decode_end_chunk(4 * *inoutArrayCnt);
            flick_iiop_decode_end_glob(4 * *inoutArrayCnt);
            flick_iiop_decode_new_glob(4);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, *outArrayCnt, mach_msg_type_number_t );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(4);
            flick_iiop_decode_new_glob(4 * *outArrayCnt);
            if (*outArrayCnt > 512)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort823);
            flick_iiop_check_span(4 * *outArrayCnt, _flick_abort823);
            flick_iiop_decode_new_chunk(4 * *outArrayCnt);
            flick_cdr_decode_bcopy(0, *outArray, 4 * *outArrayCnt);
            flick_iiop_decode_end_chunk(4 * *outArrayCnt);
            flick_iiop_decode_end_glob(4 * *outArrayCnt);
            break;
            {
            _flick_abort823:
              goto _flick_abort806;
            }
          }
        default:
          {
            flick_iiop_decode_end_glob(8);
            flick_mig_decode_system_exception(_return, cdr, iiop, _flick_abort828);
            break;
            {
            _flick_abort828:
              goto _flick_abort806;
            }
          }
        }
    }
  flick_iiop_client_end_decode();
  return _return;
  {
  _flick_abort806:
    flick_mig_client_error(cdr, iiop, _flick_abort805);
  _flick_abort805:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t test_servercopy(mach_port_t target, Iarray inArray, mach_msg_type_number_t inArrayCnt, boolean_t *scopy)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_iiop_client_encode_target(target, 0, cdr, _flick_abort855);
  }
  {
    flick_iiop_encode_new_glob(12, _flick_abort855);
    flick_iiop_encode_new_chunk(12);
    flick_cdr_encode_signed32(0, 5550027, flick_signed32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_cdr_encode_unsigned32(8, inArrayCnt, mach_msg_type_number_t );
    flick_iiop_encode_end_chunk(12);
    flick_iiop_encode_end_glob(12);
    flick_iiop_encode_new_glob(4 * inArrayCnt, _flick_abort855);
    flick_iiop_encode_new_chunk(4 * inArrayCnt);
    flick_cdr_encode_bcopy(0, inArray, 4 * inArrayCnt);
    flick_iiop_encode_end_chunk(4 * inArrayCnt);
    flick_iiop_encode_end_glob(4 * inArrayCnt);
  }
  flick_iiop_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_iiop_client_set_response_expected(1);
  if (!flick_client_send_request(target, target->boa->in) || !flick_client_get_reply(target, target->boa->out))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort855);
  flick_iiop_client_start_decode();
  if (flick_cdr_swap())
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_iiop_decode_new_glob(5);
      flick_iiop_check_span(4, _flick_abort855);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _return, kern_return_t );
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_check_span(1, _flick_abort869);
            flick_iiop_decode_new_chunk(1);
            flick_cdr_swap_decode_unsigned8(0, *scopy, boolean_t );
            flick_iiop_decode_end_chunk(1);
            flick_iiop_decode_end_glob(5);
            break;
            {
            _flick_abort869:
              goto _flick_abort855;
            }
          }
        default:
          {
            flick_iiop_decode_end_glob(5);
            flick_mig_decode_system_exception(_return, cdr_swap, iiop, _flick_abort870);
            break;
            {
            _flick_abort870:
              goto _flick_abort855;
            }
          }
        }
    }
  else
    {
      _stub_state.state = FLICK_STATE_UNMARSHAL;
      flick_iiop_decode_new_glob(5);
      flick_iiop_check_span(4, _flick_abort855);
      flick_iiop_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _return, kern_return_t );
      flick_iiop_decode_end_chunk(4);
      switch (_return)
        {
        case KERN_SUCCESS:
          {
            /* Begin decode phase on parameters */
            flick_iiop_check_span(1, _flick_abort864);
            flick_iiop_decode_new_chunk(1);
            flick_cdr_decode_unsigned8(0, *scopy, boolean_t );
            flick_iiop_decode_end_chunk(1);
            flick_iiop_decode_end_glob(5);
            break;
            {
            _flick_abort864:
              goto _flick_abort855;
            }
          }
        default:
          {
            flick_iiop_decode_end_glob(5);
            flick_mig_decode_system_exception(_return, cdr, iiop, _flick_abort865);
            break;
            {
            _flick_abort865:
              goto _flick_abort855;
            }
          }
        }
    }
  flick_iiop_client_end_decode();
  return _return;
  {
  _flick_abort855:
    flick_mig_client_error(cdr, iiop, _flick_abort854);
  _flick_abort854:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

kern_return_t terminate(mach_port_t target)
{
  FLICK_BUFFER *_stream;
  kern_return_t _return;

  memset(&_return, 0, sizeof(kern_return_t ));
  flick_iiop_client_start_encode();
  {
    _stub_state.state = FLICK_STATE_PROLOGUE;
    _stub_state.state = FLICK_STATE_MARSHAL;
    flick_iiop_client_encode_target(target, 0, cdr, _flick_abort872);
  }
  {
    flick_iiop_encode_new_glob(8, _flick_abort872);
    flick_iiop_encode_new_chunk(8);
    flick_cdr_encode_signed32(0, 5550028, flick_signed32_t );
    /* Encode the requesting `Principal' pseudo object (client ID). */
    flick_cdr_encode_unsigned32(4, (unsigned int) 0, unsigned int );
    /* Begin encode phase on parameters */
    flick_iiop_encode_end_chunk(8);
    flick_iiop_encode_end_glob(8);
  }
  flick_iiop_client_end_encode();
  _stub_state.state = FLICK_STATE_SEND;
  flick_iiop_client_set_response_expected(0);
  if (!flick_client_send_request(target, target->boa->in))
    flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort872);
  return _return;
  {
  _flick_abort872:
    flick_mig_client_error(cdr, iiop, _flick_abort871);
  _flick_abort871:
    goto _flick_reaper;
  }
_flick_reaper:
  return _return;
}

