#include "structplain_-server.h"

/* This is the runtime type information */
char *flick_interface_parents_geom[] = {
	"IDL:geom:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
int flick_marshal_stub_coord(flick_marshal_stream_t _stream, struct coord *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(4, _flick_abort0);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_signed16(0, _data->row, CORBA_short );
  flick_cdr_encode_signed16(2, _data->col, CORBA_short );
  flick_iiop_encode_end_chunk(4);
  flick_iiop_encode_end_glob(4);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_coord(flick_marshal_stream_t _stream, struct coord *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(4);
  flick_iiop_check_span(4, _flick_abort1);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_signed16(0, _data->row, CORBA_short );
  flick_cdr_decode_signed16(2, _data->col, CORBA_short );
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_coord_swap(flick_marshal_stream_t _stream, struct coord *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(4);
  flick_iiop_check_span(4, _flick_abort2);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_signed16(0, _data->row, CORBA_short );
  flick_cdr_swap_decode_signed16(2, _data->col, CORBA_short );
  flick_iiop_decode_end_chunk(4);
  flick_iiop_decode_end_glob(4);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_geom(flick_marshal_stream_t _stream, geom *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdr_encode_IOR(iiop, *_data, 0, _flick_abort3);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_geom(flick_marshal_stream_t _stream, geom *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_decode_IOR(iiop, *_data, 1);
  return 0;
}

int flick_unmarshal_stub_geom_swap(flick_marshal_stream_t _stream, geom *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
  return 0;
}

flick_operation_success_t geom_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned int _request_id, FLICK_TARGET _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t36_switch_tag;

    flick_iiop_decode_new_glob(16);
    flick_iiop_check_span(16, _flick_abort8);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t36_switch_tag, unsigned int );
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t36_switch_tag)
      {
      case (unsigned int) 5:
        {
          unsigned int _t37_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t37_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t37_switch_tag)
            {
            case /* dist */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1684632436):
              {
                char _t38_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t38_switch_tag, char );
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t38_switch_tag)
                  {
                  case 0:
                    {
                      {
                        geom _obj;
                        unsigned int _t39_principal_len;
                        CORBA_short _return;
                        struct coord *_local_a;
                        struct coord _t40_storage;
                        struct coord *_local_b;
                        struct coord _t41_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t42_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort72);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(7);
                        flick_cdr_swap_decode_unsigned32(3, _t39_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(7);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t39_principal_len, _flick_abort72);
                        flick_iiop_decode_new_glob(_t39_principal_len);
                        flick_iiop_decode_new_chunk(_t39_principal_len);
                        flick_iiop_decode_end_chunk(_t39_principal_len);
                        flick_iiop_decode_end_glob(_t39_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        _local_a = (struct coord *)(&_t40_storage);
                        flick_iiop_decode_new_glob(9);
                        flick_iiop_decode_new_chunk_align(8, 1, 0, 0);
                        flick_iiop_check_span(8, _flick_abort72);
                        flick_cdr_swap_decode_signed16(0, _local_a->row, CORBA_short );
                        flick_cdr_swap_decode_signed16(2, _local_a->col, CORBA_short );
                        _local_b = (struct coord *)(&_t41_storage);
                        flick_cdr_swap_decode_signed16(4, _local_b->row, CORBA_short );
                        flick_cdr_swap_decode_signed16(6, _local_b->col, CORBA_short );
                        _ev = (CORBA_Environment *)(&_t42_storage);
                        flick_iiop_decode_end_chunk(8);
                        flick_iiop_decode_end_glob(9);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = geom_dist(_obj, _local_a, _local_b, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort72);
                          flick_iiop_encode_new_glob(6, _flick_abort72);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(2);
                                flick_cdr_encode_signed16(0, _return, CORBA_short );
                                flick_iiop_encode_end_chunk(2);
                                flick_iiop_encode_end_glob(6);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(6);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort78);
                                break;
                                {
                                _flick_abort78:
                                  goto _flick_abort72;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort79);
                                flick_iiop_encode_end_glob(6);
                                break;
                                {
                                _flick_abort79:
                                  goto _flick_abort72;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort72:
                          goto _flick_abort71;
                        }
                      }
                      break;
                      {
                      _flick_abort71:
                        goto _flick_abort8;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort8);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort8);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t43_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t43_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t43_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t44_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t44_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t44_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t45_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t46_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t47_storage;
                        char **_par;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort81);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t45_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t45_principal_len, _flick_abort81);
                        flick_iiop_decode_new_glob(_t45_principal_len);
                        flick_iiop_decode_new_chunk(_t45_principal_len);
                        flick_iiop_decode_end_chunk(_t45_principal_len);
                        flick_iiop_decode_end_glob(_t45_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort81);
                        flick_cdr_swap_decode_unsigned32(0, _t46_temp_string_len, flick_unsigned32_t );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(1 * _t46_temp_string_len);
                        flick_iiop_check_span(1 * _t46_temp_string_len, _flick_abort81);
                        flick_iiop_decode_new_chunk(1 * _t46_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_iiop_decode_end_chunk(1 * _t46_temp_string_len);
                        flick_iiop_decode_end_glob(1 * _t46_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t47_storage);
                        _par = flick_interface_parents_geom;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort81);
                          flick_iiop_encode_new_glob(5, _flick_abort81);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_iiop_encode_end_chunk(1);
                                flick_iiop_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort89);
                                break;
                                {
                                _flick_abort89:
                                  goto _flick_abort81;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort90);
                                flick_iiop_encode_end_glob(5);
                                break;
                                {
                                _flick_abort90:
                                  goto _flick_abort81;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort81:
                          goto _flick_abort80;
                        }
                      }
                      break;
                      {
                      _flick_abort80:
                        goto _flick_abort8;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort8);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort8);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort8);
          flick_iiop_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t12_switch_tag;

    flick_iiop_decode_new_glob(16);
    flick_iiop_check_span(16, _flick_abort8);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t12_switch_tag, unsigned int );
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t12_switch_tag)
      {
      case (unsigned int) 5:
        {
          unsigned int _t13_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t13_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t13_switch_tag)
            {
            case /* dist */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1684632436):
              {
                char _t14_switch_tag;

                flick_iiop_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t14_switch_tag, char );
                flick_iiop_decode_end_chunk(1);
                switch ((char )_t14_switch_tag)
                  {
                  case 0:
                    {
                      {
                        geom _obj;
                        unsigned int _t15_principal_len;
                        CORBA_short _return;
                        struct coord *_local_a;
                        struct coord _t16_storage;
                        struct coord *_local_b;
                        struct coord _t17_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t18_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort31);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(7);
                        flick_cdr_decode_unsigned32(3, _t15_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(7);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t15_principal_len, _flick_abort31);
                        flick_iiop_decode_new_glob(_t15_principal_len);
                        flick_iiop_decode_new_chunk(_t15_principal_len);
                        flick_iiop_decode_end_chunk(_t15_principal_len);
                        flick_iiop_decode_end_glob(_t15_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        _local_a = (struct coord *)(&_t16_storage);
                        flick_iiop_decode_new_glob(9);
                        flick_iiop_decode_new_chunk_align(8, 1, 0, 0);
                        flick_iiop_check_span(8, _flick_abort31);
                        flick_cdr_decode_signed16(0, _local_a->row, CORBA_short );
                        flick_cdr_decode_signed16(2, _local_a->col, CORBA_short );
                        _local_b = (struct coord *)(&_t17_storage);
                        flick_cdr_decode_signed16(4, _local_b->row, CORBA_short );
                        flick_cdr_decode_signed16(6, _local_b->col, CORBA_short );
                        _ev = (CORBA_Environment *)(&_t18_storage);
                        flick_iiop_decode_end_chunk(8);
                        flick_iiop_decode_end_glob(9);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = geom_dist(_obj, _local_a, _local_b, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort31);
                          flick_iiop_encode_new_glob(6, _flick_abort31);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(2);
                                flick_cdr_encode_signed16(0, _return, CORBA_short );
                                flick_iiop_encode_end_chunk(2);
                                flick_iiop_encode_end_glob(6);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(6);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort37);
                                break;
                                {
                                _flick_abort37:
                                  goto _flick_abort31;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort38);
                                flick_iiop_encode_end_glob(6);
                                break;
                                {
                                _flick_abort38:
                                  goto _flick_abort31;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort31:
                          goto _flick_abort30;
                        }
                      }
                      break;
                      {
                      _flick_abort30:
                        goto _flick_abort8;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort8);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort8);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t19_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t19_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t19_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t20_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t20_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t20_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t21_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t22_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t23_storage;
                        char **_par;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort40);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t21_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t21_principal_len, _flick_abort40);
                        flick_iiop_decode_new_glob(_t21_principal_len);
                        flick_iiop_decode_new_chunk(_t21_principal_len);
                        flick_iiop_decode_end_chunk(_t21_principal_len);
                        flick_iiop_decode_end_glob(_t21_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort40);
                        flick_cdr_decode_unsigned32(0, _t22_temp_string_len, flick_unsigned32_t );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(1 * _t22_temp_string_len);
                        flick_iiop_check_span(1 * _t22_temp_string_len, _flick_abort40);
                        flick_iiop_decode_new_chunk(1 * _t22_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_iiop_decode_end_chunk(1 * _t22_temp_string_len);
                        flick_iiop_decode_end_glob(1 * _t22_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t23_storage);
                        _par = flick_interface_parents_geom;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort40);
                          flick_iiop_encode_new_glob(5, _flick_abort40);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_iiop_encode_end_chunk(1);
                                flick_iiop_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort48);
                                break;
                                {
                                _flick_abort48:
                                  goto _flick_abort40;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort49);
                                flick_iiop_encode_end_glob(5);
                                break;
                                {
                                _flick_abort49:
                                  goto _flick_abort40;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort40:
                          goto _flick_abort39;
                        }
                      }
                      break;
                      {
                      _flick_abort39:
                        goto _flick_abort8;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort8);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort8);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort8);
          flick_iiop_decode_end_glob(16);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort8:
    flick_corba_server_error(cdr, iiop, _flick_reaper, _flick_abort7);
  _flick_abort7:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

