#include "tpztest-server.h"

/* This is the runtime type information */
char *flick_interface_parents_tpztest[] = {
	"IDL:tpztest:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
int flick_marshal_stub_tpztest(flick_marshal_stream_t _stream, tpztest *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdr_encode_IOR(iiop, *_data, 0, _flick_abort0);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_tpztest(flick_marshal_stream_t _stream, tpztest *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_decode_IOR(iiop, *_data, 1);
  return 0;
}

int flick_unmarshal_stub_tpztest_swap(flick_marshal_stream_t _stream, tpztest *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
  return 0;
}

int flick_marshal_stub_tpztest_payload(flick_marshal_stream_t _stream, tpztest_payload *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(8192, _flick_abort3);
  flick_iiop_encode_new_chunk(8192);
  flick_cdr_encode_bcopy(0, *_data, 8192);
  flick_iiop_encode_end_chunk(8192);
  flick_iiop_encode_end_glob(8192);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_tpztest_payload(flick_marshal_stream_t _stream, tpztest_payload *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(8192);
  flick_iiop_check_span(8192, _flick_abort6);
  flick_iiop_decode_new_chunk(8192);
  flick_cdr_decode_bcopy(0, *_data, 8192);
  flick_iiop_decode_end_chunk(8192);
  flick_iiop_decode_end_glob(8192);
  return 0;
  {
  _flick_abort6:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_tpztest_payload_swap(flick_marshal_stream_t _stream, tpztest_payload *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(8192);
  flick_iiop_check_span(8192, _flick_abort9);
  flick_iiop_decode_new_chunk(8192);
  flick_cdr_swap_decode_bcopy(0, *_data, 8192);
  flick_iiop_decode_end_chunk(8192);
  flick_iiop_decode_end_glob(8192);
  return 0;
  {
  _flick_abort9:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

flick_operation_success_t tpztest_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned int _request_id, FLICK_TARGET _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t69_switch_tag;

    flick_iiop_decode_new_glob(28);
    flick_iiop_check_span(16, _flick_abort14);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t69_switch_tag, unsigned int );
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t69_switch_tag)
      {
      case (unsigned int) 10:
        {
          unsigned int _t70_switch_tag;

          flick_iiop_check_span(16, _flick_abort14);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t70_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t70_switch_tag)
            {
            case /* rqst */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1920037748):
              {
                unsigned int _t71_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t71_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t71_switch_tag)
                  {
                  case /* _rsp */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601336176):
                    {
                      unsigned short int _t72_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t72_switch_tag, unsigned short int );
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t72_switch_tag)
                        {
                        case /* n */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28160):
                          {
                            {
                              tpztest _obj;
                              unsigned int _t73_principal_len;
                              tpztest_payload_slice *_return;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t74_storage;

                              flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort135);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t73_principal_len, unsigned int );
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(28);
                              flick_iiop_check_span(_t73_principal_len, _flick_abort135);
                              flick_iiop_decode_new_glob(_t73_principal_len);
                              flick_iiop_decode_new_chunk(_t73_principal_len);
                              flick_iiop_decode_end_chunk(_t73_principal_len);
                              flick_iiop_decode_end_glob(_t73_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              _ev = (CORBA_Environment *)(&_t74_storage);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = tpztest_rqst_rspn(_obj, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort135);
                                flick_iiop_encode_new_glob(4, _flick_abort135);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_iiop_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiop_encode_end_glob(4);
                                      flick_iiop_encode_new_glob(8192, _flick_abort142);
                                      flick_iiop_encode_new_chunk(8192);
                                      flick_cdr_encode_bcopy(0, _return, 8192);
                                      CORBA_flick_free(_return);
                                      _return = 0;
                                      flick_iiop_encode_end_chunk(8192);
                                      flick_iiop_encode_end_glob(8192);
                                      break;
                                      {
                                      _flick_abort142:
                                        goto _flick_abort135;
                                      }
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_iiop_encode_end_glob(4);
                                      flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort145);
                                      break;
                                      {
                                      _flick_abort145:
                                        goto _flick_abort135;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort146);
                                      flick_iiop_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort146:
                                        goto _flick_abort135;
                                      }
                                    }
                                  }
                              }
                              flick_iiop_server_end_encode();
                              break;
                              {
                              _flick_abort135:
                                goto _flick_abort134;
                              }
                            }
                            break;
                            {
                            _flick_abort134:
                              goto _flick_abort14;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort14);
                            flick_iiop_decode_end_glob(28);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort14);
                      flick_iiop_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            case /* band */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1650552420):
              {
                unsigned int _t75_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t75_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t75_switch_tag)
                  {
                  case /* widt */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 2003395700):
                    {
                      unsigned short int _t76_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t76_switch_tag, unsigned short int );
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t76_switch_tag)
                        {
                        case /* h */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 26624):
                          {
                            {
                              tpztest _obj;
                              unsigned int _t77_principal_len;
                              CORBA_octet *_local_pld;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t78_storage;

                              flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort148);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t77_principal_len, unsigned int );
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(28);
                              flick_iiop_check_span(_t77_principal_len + 8192, _flick_abort148);
                              flick_iiop_decode_new_glob(_t77_principal_len);
                              flick_iiop_decode_new_chunk(_t77_principal_len);
                              flick_iiop_decode_end_chunk(_t77_principal_len);
                              flick_iiop_decode_end_glob(_t77_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiop_decode_new_glob(8192);
                              flick_iiop_decode_new_chunk(8192);
                              flick_cdr_swap_decode_msgptr(0, _local_pld, CORBA_octet *);
                              _ev = (CORBA_Environment *)(&_t78_storage);
                              flick_iiop_decode_end_chunk(8192);
                              flick_iiop_decode_end_glob(8192);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              tpztest_bandwidth(_obj, _local_pld, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              return FLICK_OPERATION_SUCCESS_NOREPLY;
                              break;
                              {
                              _flick_abort148:
                                goto _flick_abort147;
                              }
                            }
                            break;
                            {
                            _flick_abort147:
                              goto _flick_abort14;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort14);
                            flick_iiop_decode_end_glob(28);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort14);
                      flick_iiop_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort14);
                flick_iiop_decode_end_glob(28);
                break;
              }
            }
          break;
        }
      case (unsigned int) 19:
        {
          unsigned int _t79_switch_tag;

          flick_iiop_check_span(24, _flick_abort14);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t79_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t79_switch_tag)
            {
            case /* band */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1650552420):
              {
                unsigned int _t80_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t80_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t80_switch_tag)
                  {
                  case /* widt */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 2003395700):
                    {
                      unsigned int _t81_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t81_switch_tag, unsigned int );
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t81_switch_tag)
                        {
                        case /* h_pi */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1751085161):
                          {
                            unsigned int _t82_switch_tag;

                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t82_switch_tag, unsigned int );
                            flick_iiop_decode_end_chunk(4);
                            switch ((unsigned int )_t82_switch_tag)
                              {
                              case /* ngba */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1852269153):
                                {
                                  unsigned short int _t83_switch_tag;

                                  flick_iiop_decode_new_chunk(2);
                                  flick_cdr_decode_unsigned16(0, _t83_switch_tag, unsigned short int );
                                  flick_iiop_decode_end_chunk(2);
                                  switch ((unsigned short int )_t83_switch_tag)
                                    {
                                    case /* ck */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25451):
                                      {
                                        char _t84_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t84_switch_tag, char );
                                        flick_iiop_decode_end_chunk(1);
                                        switch ((char )_t84_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                tpztest _obj;
                                                unsigned int _t85_principal_len;
                                                CORBA_octet *_local_pld;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t86_storage;

                                                flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort152);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_iiop_decode_new_chunk(5);
                                                flick_cdr_swap_decode_unsigned32(1, _t85_principal_len, unsigned int );
                                                flick_iiop_decode_end_chunk(5);
                                                flick_iiop_decode_end_glob(28);
                                                flick_iiop_check_span(_t85_principal_len + 8192, _flick_abort152);
                                                flick_iiop_decode_new_glob(_t85_principal_len);
                                                flick_iiop_decode_new_chunk(_t85_principal_len);
                                                flick_iiop_decode_end_chunk(_t85_principal_len);
                                                flick_iiop_decode_end_glob(_t85_principal_len);
                                                /* Begin decode phase on parameters */
                                                flick_iiop_decode_new_glob(8192);
                                                flick_iiop_decode_new_chunk(8192);
                                                flick_cdr_swap_decode_msgptr(0, _local_pld, CORBA_octet *);
                                                _ev = (CORBA_Environment *)(&_t86_storage);
                                                flick_iiop_decode_end_chunk(8192);
                                                flick_iiop_decode_end_glob(8192);
                                                flick_iiop_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                tpztest_bandwidth_pingback(_obj, _local_pld, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_iiop_server_start_encode();
                                                {
                                                  flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort152);
                                                  flick_iiop_encode_new_glob(4, _flick_abort152);
                                                  flick_iiop_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_iiop_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_iiop_encode_end_glob(4);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_iiop_encode_end_glob(4);
                                                        flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort160);
                                                        break;
                                                        {
                                                        _flick_abort160:
                                                          goto _flick_abort152;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort161);
                                                        flick_iiop_encode_end_glob(4);
                                                        break;
                                                        {
                                                        _flick_abort161:
                                                          goto _flick_abort152;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_iiop_server_end_encode();
                                                break;
                                                {
                                                _flick_abort152:
                                                  goto _flick_abort151;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort151:
                                                goto _flick_abort14;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort14);
                                              flick_iiop_decode_end_glob(28);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort14);
                                        flick_iiop_decode_end_glob(28);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort14);
                                  flick_iiop_decode_end_glob(28);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort14);
                            flick_iiop_decode_end_glob(28);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort14);
                      flick_iiop_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort14);
                flick_iiop_decode_end_glob(28);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t87_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t87_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t87_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t88_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t88_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t88_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t89_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t90_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t91_storage;
                        char **_par;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort163);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t89_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(28);
                        flick_iiop_check_span(_t89_principal_len, _flick_abort163);
                        flick_iiop_decode_new_glob(_t89_principal_len);
                        flick_iiop_decode_new_chunk(_t89_principal_len);
                        flick_iiop_decode_end_chunk(_t89_principal_len);
                        flick_iiop_decode_end_glob(_t89_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort163);
                        flick_cdr_swap_decode_unsigned32(0, _t90_temp_string_len, flick_unsigned32_t );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(1 * _t90_temp_string_len);
                        flick_iiop_check_span(1 * _t90_temp_string_len, _flick_abort163);
                        flick_iiop_decode_new_chunk(1 * _t90_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_iiop_decode_end_chunk(1 * _t90_temp_string_len);
                        flick_iiop_decode_end_glob(1 * _t90_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t91_storage);
                        _par = flick_interface_parents_tpztest;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort163);
                          flick_iiop_encode_new_glob(5, _flick_abort163);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_iiop_encode_end_chunk(1);
                                flick_iiop_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort171);
                                break;
                                {
                                _flick_abort171:
                                  goto _flick_abort163;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort172);
                                flick_iiop_encode_end_glob(5);
                                break;
                                {
                                _flick_abort172:
                                  goto _flick_abort163;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort163:
                          goto _flick_abort162;
                        }
                      }
                      break;
                      {
                      _flick_abort162:
                        goto _flick_abort14;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort14);
                      flick_iiop_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort14);
                flick_iiop_decode_end_glob(28);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort14);
          flick_iiop_decode_end_glob(28);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t23_switch_tag;

    flick_iiop_decode_new_glob(28);
    flick_iiop_check_span(16, _flick_abort14);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t23_switch_tag, unsigned int );
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t23_switch_tag)
      {
      case (unsigned int) 10:
        {
          unsigned int _t24_switch_tag;

          flick_iiop_check_span(16, _flick_abort14);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t24_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t24_switch_tag)
            {
            case /* rqst */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1920037748):
              {
                unsigned int _t25_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t25_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t25_switch_tag)
                  {
                  case /* _rsp */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601336176):
                    {
                      unsigned short int _t26_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t26_switch_tag, unsigned short int );
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t26_switch_tag)
                        {
                        case /* n */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28160):
                          {
                            {
                              tpztest _obj;
                              unsigned int _t27_principal_len;
                              tpztest_payload_slice *_return;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t28_storage;

                              flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort56);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t27_principal_len, unsigned int );
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(28);
                              flick_iiop_check_span(_t27_principal_len, _flick_abort56);
                              flick_iiop_decode_new_glob(_t27_principal_len);
                              flick_iiop_decode_new_chunk(_t27_principal_len);
                              flick_iiop_decode_end_chunk(_t27_principal_len);
                              flick_iiop_decode_end_glob(_t27_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              _ev = (CORBA_Environment *)(&_t28_storage);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = tpztest_rqst_rspn(_obj, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort56);
                                flick_iiop_encode_new_glob(4, _flick_abort56);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_iiop_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiop_encode_end_glob(4);
                                      flick_iiop_encode_new_glob(8192, _flick_abort63);
                                      flick_iiop_encode_new_chunk(8192);
                                      flick_cdr_encode_bcopy(0, _return, 8192);
                                      CORBA_flick_free(_return);
                                      _return = 0;
                                      flick_iiop_encode_end_chunk(8192);
                                      flick_iiop_encode_end_glob(8192);
                                      break;
                                      {
                                      _flick_abort63:
                                        goto _flick_abort56;
                                      }
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_iiop_encode_end_glob(4);
                                      flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort66);
                                      break;
                                      {
                                      _flick_abort66:
                                        goto _flick_abort56;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort67);
                                      flick_iiop_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort67:
                                        goto _flick_abort56;
                                      }
                                    }
                                  }
                              }
                              flick_iiop_server_end_encode();
                              break;
                              {
                              _flick_abort56:
                                goto _flick_abort55;
                              }
                            }
                            break;
                            {
                            _flick_abort55:
                              goto _flick_abort14;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort14);
                            flick_iiop_decode_end_glob(28);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort14);
                      flick_iiop_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            case /* band */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1650552420):
              {
                unsigned int _t29_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t29_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t29_switch_tag)
                  {
                  case /* widt */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 2003395700):
                    {
                      unsigned short int _t30_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t30_switch_tag, unsigned short int );
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t30_switch_tag)
                        {
                        case /* h */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 26624):
                          {
                            {
                              tpztest _obj;
                              unsigned int _t31_principal_len;
                              CORBA_octet *_local_pld;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t32_storage;

                              flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort69);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t31_principal_len, unsigned int );
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(28);
                              flick_iiop_check_span(_t31_principal_len + 8192, _flick_abort69);
                              flick_iiop_decode_new_glob(_t31_principal_len);
                              flick_iiop_decode_new_chunk(_t31_principal_len);
                              flick_iiop_decode_end_chunk(_t31_principal_len);
                              flick_iiop_decode_end_glob(_t31_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiop_decode_new_glob(8192);
                              flick_iiop_decode_new_chunk(8192);
                              flick_cdr_decode_msgptr(0, _local_pld, CORBA_octet *);
                              _ev = (CORBA_Environment *)(&_t32_storage);
                              flick_iiop_decode_end_chunk(8192);
                              flick_iiop_decode_end_glob(8192);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              tpztest_bandwidth(_obj, _local_pld, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              return FLICK_OPERATION_SUCCESS_NOREPLY;
                              break;
                              {
                              _flick_abort69:
                                goto _flick_abort68;
                              }
                            }
                            break;
                            {
                            _flick_abort68:
                              goto _flick_abort14;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort14);
                            flick_iiop_decode_end_glob(28);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort14);
                      flick_iiop_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort14);
                flick_iiop_decode_end_glob(28);
                break;
              }
            }
          break;
        }
      case (unsigned int) 19:
        {
          unsigned int _t33_switch_tag;

          flick_iiop_check_span(24, _flick_abort14);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t33_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t33_switch_tag)
            {
            case /* band */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1650552420):
              {
                unsigned int _t34_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t34_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t34_switch_tag)
                  {
                  case /* widt */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 2003395700):
                    {
                      unsigned int _t35_switch_tag;

                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t35_switch_tag, unsigned int );
                      flick_iiop_decode_end_chunk(4);
                      switch ((unsigned int )_t35_switch_tag)
                        {
                        case /* h_pi */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1751085161):
                          {
                            unsigned int _t36_switch_tag;

                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t36_switch_tag, unsigned int );
                            flick_iiop_decode_end_chunk(4);
                            switch ((unsigned int )_t36_switch_tag)
                              {
                              case /* ngba */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1852269153):
                                {
                                  unsigned short int _t37_switch_tag;

                                  flick_iiop_decode_new_chunk(2);
                                  flick_cdr_decode_unsigned16(0, _t37_switch_tag, unsigned short int );
                                  flick_iiop_decode_end_chunk(2);
                                  switch ((unsigned short int )_t37_switch_tag)
                                    {
                                    case /* ck */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25451):
                                      {
                                        char _t38_switch_tag;

                                        flick_iiop_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t38_switch_tag, char );
                                        flick_iiop_decode_end_chunk(1);
                                        switch ((char )_t38_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                tpztest _obj;
                                                unsigned int _t39_principal_len;
                                                CORBA_octet *_local_pld;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t40_storage;

                                                flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort73);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_iiop_decode_new_chunk(5);
                                                flick_cdr_decode_unsigned32(1, _t39_principal_len, unsigned int );
                                                flick_iiop_decode_end_chunk(5);
                                                flick_iiop_decode_end_glob(28);
                                                flick_iiop_check_span(_t39_principal_len + 8192, _flick_abort73);
                                                flick_iiop_decode_new_glob(_t39_principal_len);
                                                flick_iiop_decode_new_chunk(_t39_principal_len);
                                                flick_iiop_decode_end_chunk(_t39_principal_len);
                                                flick_iiop_decode_end_glob(_t39_principal_len);
                                                /* Begin decode phase on parameters */
                                                flick_iiop_decode_new_glob(8192);
                                                flick_iiop_decode_new_chunk(8192);
                                                flick_cdr_decode_msgptr(0, _local_pld, CORBA_octet *);
                                                _ev = (CORBA_Environment *)(&_t40_storage);
                                                flick_iiop_decode_end_chunk(8192);
                                                flick_iiop_decode_end_glob(8192);
                                                flick_iiop_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                tpztest_bandwidth_pingback(_obj, _local_pld, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_iiop_server_start_encode();
                                                {
                                                  flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort73);
                                                  flick_iiop_encode_new_glob(4, _flick_abort73);
                                                  flick_iiop_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_iiop_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_iiop_encode_end_glob(4);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_iiop_encode_end_glob(4);
                                                        flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort81);
                                                        break;
                                                        {
                                                        _flick_abort81:
                                                          goto _flick_abort73;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort82);
                                                        flick_iiop_encode_end_glob(4);
                                                        break;
                                                        {
                                                        _flick_abort82:
                                                          goto _flick_abort73;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_iiop_server_end_encode();
                                                break;
                                                {
                                                _flick_abort73:
                                                  goto _flick_abort72;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort72:
                                                goto _flick_abort14;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort14);
                                              flick_iiop_decode_end_glob(28);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort14);
                                        flick_iiop_decode_end_glob(28);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort14);
                                  flick_iiop_decode_end_glob(28);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort14);
                            flick_iiop_decode_end_glob(28);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort14);
                      flick_iiop_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort14);
                flick_iiop_decode_end_glob(28);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t41_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t41_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t41_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t42_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t42_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t42_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t43_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t44_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t45_storage;
                        char **_par;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort84);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t43_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(28);
                        flick_iiop_check_span(_t43_principal_len, _flick_abort84);
                        flick_iiop_decode_new_glob(_t43_principal_len);
                        flick_iiop_decode_new_chunk(_t43_principal_len);
                        flick_iiop_decode_end_chunk(_t43_principal_len);
                        flick_iiop_decode_end_glob(_t43_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort84);
                        flick_cdr_decode_unsigned32(0, _t44_temp_string_len, flick_unsigned32_t );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(1 * _t44_temp_string_len);
                        flick_iiop_check_span(1 * _t44_temp_string_len, _flick_abort84);
                        flick_iiop_decode_new_chunk(1 * _t44_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_iiop_decode_end_chunk(1 * _t44_temp_string_len);
                        flick_iiop_decode_end_glob(1 * _t44_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t45_storage);
                        _par = flick_interface_parents_tpztest;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort84);
                          flick_iiop_encode_new_glob(5, _flick_abort84);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_iiop_encode_end_chunk(1);
                                flick_iiop_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort92);
                                break;
                                {
                                _flick_abort92:
                                  goto _flick_abort84;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort93);
                                flick_iiop_encode_end_glob(5);
                                break;
                                {
                                _flick_abort93:
                                  goto _flick_abort84;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort84:
                          goto _flick_abort83;
                        }
                      }
                      break;
                      {
                      _flick_abort83:
                        goto _flick_abort14;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort14);
                      flick_iiop_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort14);
                flick_iiop_decode_end_glob(28);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort14);
          flick_iiop_decode_end_glob(28);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort14:
    flick_corba_server_error(cdr, iiop, _flick_reaper, _flick_abort13);
  _flick_abort13:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

