#include "turtle-server-server.h"

/* This is the runtime type information */
char *flick_interface_parents_Server[] = {
	"IDL:Server:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
int flick_marshal_stub_Server(flick_marshal_stream_t _stream, Server *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdr_encode_IOR(iiop, *_data, 0, _flick_abort0);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_Server(flick_marshal_stream_t _stream, Server *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_decode_IOR(iiop, *_data, 1);
  return 0;
}

int flick_unmarshal_stub_Server_swap(flick_marshal_stream_t _stream, Server *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
  return 0;
}

flick_operation_success_t Server_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned int _request_id, FLICK_TARGET _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t102_switch_tag;

    flick_iiop_decode_new_glob(20);
    flick_iiop_check_span(16, _flick_abort5);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t102_switch_tag, unsigned int );
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t102_switch_tag)
      {
      case (unsigned int) 8:
        {
          unsigned int _t103_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t103_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t103_switch_tag)
            {
            case /* SetS */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1399157843):
              {
                unsigned int _t104_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t104_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t104_switch_tag)
                  {
                  case /* ize */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769628928):
                    {
                      {
                        Server _obj;
                        unsigned int _t105_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_width;
                        CORBA_long _local_height;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t106_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort231);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t105_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_check_span(_t105_principal_len, _flick_abort231);
                        flick_iiop_decode_new_glob(_t105_principal_len);
                        flick_iiop_decode_new_chunk(_t105_principal_len);
                        flick_iiop_decode_end_chunk(_t105_principal_len);
                        flick_iiop_decode_end_glob(_t105_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(11);
                        flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                        flick_iiop_check_span(8, _flick_abort231);
                        flick_cdr_swap_decode_signed32(0, _local_width, CORBA_long );
                        flick_cdr_swap_decode_signed32(4, _local_height, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t106_storage);
                        flick_iiop_decode_end_chunk(8);
                        flick_iiop_decode_end_glob(11);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = Server_SetSize(_obj, _local_width, _local_height, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort231);
                          flick_iiop_encode_new_glob(8, _flick_abort231);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort237);
                                break;
                                {
                                _flick_abort237:
                                  goto _flick_abort231;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort238);
                                flick_iiop_encode_end_glob(8);
                                break;
                                {
                                _flick_abort238:
                                  goto _flick_abort231;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort231:
                          goto _flick_abort230;
                        }
                      }
                      break;
                      {
                      _flick_abort230:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* AddW */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1097098327):
              {
                unsigned int _t107_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t107_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t107_switch_tag)
                  {
                  case /* all */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1634495488):
                    {
                      {
                        Server _obj;
                        unsigned int _t108_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_startx;
                        CORBA_long _local_starty;
                        CORBA_long _local_endx;
                        CORBA_long _local_endy;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t109_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort240);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t108_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_check_span(_t108_principal_len, _flick_abort240);
                        flick_iiop_decode_new_glob(_t108_principal_len);
                        flick_iiop_decode_new_chunk(_t108_principal_len);
                        flick_iiop_decode_end_chunk(_t108_principal_len);
                        flick_iiop_decode_end_glob(_t108_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(19);
                        flick_iiop_decode_new_chunk_align(16, 2, 0, 0);
                        flick_iiop_check_span(16, _flick_abort240);
                        flick_cdr_swap_decode_signed32(0, _local_startx, CORBA_long );
                        flick_cdr_swap_decode_signed32(4, _local_starty, CORBA_long );
                        flick_cdr_swap_decode_signed32(8, _local_endx, CORBA_long );
                        flick_cdr_swap_decode_signed32(12, _local_endy, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t109_storage);
                        flick_iiop_decode_end_chunk(16);
                        flick_iiop_decode_end_glob(19);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = Server_AddWall(_obj, _local_startx, _local_starty, _local_endx, _local_endy, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort240);
                          flick_iiop_encode_new_glob(8, _flick_abort240);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort246);
                                break;
                                {
                                _flick_abort246:
                                  goto _flick_abort240;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort247);
                                flick_iiop_encode_end_glob(8);
                                break;
                                {
                                _flick_abort247:
                                  goto _flick_abort240;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort240:
                          goto _flick_abort239;
                        }
                      }
                      break;
                      {
                      _flick_abort239:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* DelW */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1147497559):
              {
                unsigned int _t110_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t110_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t110_switch_tag)
                  {
                  case /* all */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1634495488):
                    {
                      {
                        Server _obj;
                        unsigned int _t111_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_startx;
                        CORBA_long _local_starty;
                        CORBA_long _local_endx;
                        CORBA_long _local_endy;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t112_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort249);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t111_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_check_span(_t111_principal_len, _flick_abort249);
                        flick_iiop_decode_new_glob(_t111_principal_len);
                        flick_iiop_decode_new_chunk(_t111_principal_len);
                        flick_iiop_decode_end_chunk(_t111_principal_len);
                        flick_iiop_decode_end_glob(_t111_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(19);
                        flick_iiop_decode_new_chunk_align(16, 2, 0, 0);
                        flick_iiop_check_span(16, _flick_abort249);
                        flick_cdr_swap_decode_signed32(0, _local_startx, CORBA_long );
                        flick_cdr_swap_decode_signed32(4, _local_starty, CORBA_long );
                        flick_cdr_swap_decode_signed32(8, _local_endx, CORBA_long );
                        flick_cdr_swap_decode_signed32(12, _local_endy, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t112_storage);
                        flick_iiop_decode_end_chunk(16);
                        flick_iiop_decode_end_glob(19);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = Server_DelWall(_obj, _local_startx, _local_starty, _local_endx, _local_endy, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort249);
                          flick_iiop_encode_new_glob(8, _flick_abort249);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort255);
                                break;
                                {
                                _flick_abort255:
                                  goto _flick_abort249;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort256);
                                flick_iiop_encode_end_glob(8);
                                break;
                                {
                                _flick_abort256:
                                  goto _flick_abort249;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort249:
                          goto _flick_abort248;
                        }
                      }
                      break;
                      {
                      _flick_abort248:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* AddR */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1097098322):
              {
                unsigned int _t113_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t113_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t113_switch_tag)
                  {
                  case /* ect */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701016576):
                    {
                      {
                        Server _obj;
                        unsigned int _t114_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_left;
                        CORBA_long _local_top;
                        CORBA_long _local_right;
                        CORBA_long _local_bottom;
                        CORBA_long _local_color;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t115_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort258);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t114_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_check_span(_t114_principal_len, _flick_abort258);
                        flick_iiop_decode_new_glob(_t114_principal_len);
                        flick_iiop_decode_new_chunk(_t114_principal_len);
                        flick_iiop_decode_end_chunk(_t114_principal_len);
                        flick_iiop_decode_end_glob(_t114_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(23);
                        flick_iiop_decode_new_chunk_align(20, 2, 0, 0);
                        flick_iiop_check_span(20, _flick_abort258);
                        flick_cdr_swap_decode_signed32(0, _local_left, CORBA_long );
                        flick_cdr_swap_decode_signed32(4, _local_top, CORBA_long );
                        flick_cdr_swap_decode_signed32(8, _local_right, CORBA_long );
                        flick_cdr_swap_decode_signed32(12, _local_bottom, CORBA_long );
                        flick_cdr_swap_decode_signed32(16, _local_color, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t115_storage);
                        flick_iiop_decode_end_chunk(20);
                        flick_iiop_decode_end_glob(23);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = Server_AddRect(_obj, _local_left, _local_top, _local_right, _local_bottom, _local_color, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort258);
                          flick_iiop_encode_new_glob(8, _flick_abort258);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort264);
                                break;
                                {
                                _flick_abort264:
                                  goto _flick_abort258;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort265);
                                flick_iiop_encode_end_glob(8);
                                break;
                                {
                                _flick_abort265:
                                  goto _flick_abort258;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort258:
                          goto _flick_abort257;
                        }
                      }
                      break;
                      {
                      _flick_abort257:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* DelR */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1147497554):
              {
                unsigned int _t116_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t116_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t116_switch_tag)
                  {
                  case /* ect */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701016576):
                    {
                      {
                        Server _obj;
                        unsigned int _t117_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_left;
                        CORBA_long _local_top;
                        CORBA_long _local_right;
                        CORBA_long _local_bottom;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t118_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort267);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t117_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_check_span(_t117_principal_len, _flick_abort267);
                        flick_iiop_decode_new_glob(_t117_principal_len);
                        flick_iiop_decode_new_chunk(_t117_principal_len);
                        flick_iiop_decode_end_chunk(_t117_principal_len);
                        flick_iiop_decode_end_glob(_t117_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(19);
                        flick_iiop_decode_new_chunk_align(16, 2, 0, 0);
                        flick_iiop_check_span(16, _flick_abort267);
                        flick_cdr_swap_decode_signed32(0, _local_left, CORBA_long );
                        flick_cdr_swap_decode_signed32(4, _local_top, CORBA_long );
                        flick_cdr_swap_decode_signed32(8, _local_right, CORBA_long );
                        flick_cdr_swap_decode_signed32(12, _local_bottom, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t118_storage);
                        flick_iiop_decode_end_chunk(16);
                        flick_iiop_decode_end_glob(19);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = Server_DelRect(_obj, _local_left, _local_top, _local_right, _local_bottom, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort267);
                          flick_iiop_encode_new_glob(8, _flick_abort267);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort273);
                                break;
                                {
                                _flick_abort273:
                                  goto _flick_abort267;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort274);
                                flick_iiop_encode_end_glob(8);
                                break;
                                {
                                _flick_abort274:
                                  goto _flick_abort267;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort267:
                          goto _flick_abort266;
                        }
                      }
                      break;
                      {
                      _flick_abort266:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          unsigned int _t119_switch_tag;

          flick_iiop_check_span(16, _flick_abort5);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t119_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t119_switch_tag)
            {
            case /* SetT */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1399157844):
              {
                unsigned int _t120_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t120_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t120_switch_tag)
                  {
                  case /* urtl */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1970435180):
                    {
                      unsigned short int _t121_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t121_switch_tag, unsigned short int );
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t121_switch_tag)
                        {
                        case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                          {
                            {
                              Server _obj;
                              unsigned int _t122_principal_len;
                              CORBA_long _return;
                              CORBA_long _local_x;
                              CORBA_long _local_y;
                              CORBA_long _local_angle;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t123_storage;

                              flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort276);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t122_principal_len, unsigned int );
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_check_span(_t122_principal_len, _flick_abort276);
                              flick_iiop_decode_new_glob(_t122_principal_len);
                              flick_iiop_decode_new_chunk(_t122_principal_len);
                              flick_iiop_decode_end_chunk(_t122_principal_len);
                              flick_iiop_decode_end_glob(_t122_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiop_decode_new_glob(15);
                              flick_iiop_decode_new_chunk_align(12, 2, 0, 0);
                              flick_iiop_check_span(12, _flick_abort276);
                              flick_cdr_swap_decode_signed32(0, _local_x, CORBA_long );
                              flick_cdr_swap_decode_signed32(4, _local_y, CORBA_long );
                              flick_cdr_swap_decode_signed32(8, _local_angle, CORBA_long );
                              _ev = (CORBA_Environment *)(&_t123_storage);
                              flick_iiop_decode_end_chunk(12);
                              flick_iiop_decode_end_glob(15);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = Server_SetTurtle(_obj, _local_x, _local_y, _local_angle, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort276);
                                flick_iiop_encode_new_glob(8, _flick_abort276);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_iiop_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _return, CORBA_long );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_end_glob(8);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_iiop_encode_end_glob(8);
                                      flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort282);
                                      break;
                                      {
                                      _flick_abort282:
                                        goto _flick_abort276;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort283);
                                      flick_iiop_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort283:
                                        goto _flick_abort276;
                                      }
                                    }
                                  }
                              }
                              flick_iiop_server_end_encode();
                              break;
                              {
                              _flick_abort276:
                                goto _flick_abort275;
                              }
                            }
                            break;
                            {
                            _flick_abort275:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* GetT */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1197831252):
              {
                unsigned int _t124_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t124_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t124_switch_tag)
                  {
                  case /* urtl */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1970435180):
                    {
                      unsigned short int _t125_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t125_switch_tag, unsigned short int );
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t125_switch_tag)
                        {
                        case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                          {
                            {
                              Server _obj;
                              unsigned int _t126_principal_len;
                              CORBA_long _return;
                              CORBA_long *_local_x;
                              CORBA_long _t127_storage;
                              CORBA_long *_local_y;
                              CORBA_long _t128_storage;
                              CORBA_long *_local_angle;
                              CORBA_long _t129_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t130_storage;

                              flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort285);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t126_principal_len, unsigned int );
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_check_span(_t126_principal_len, _flick_abort285);
                              flick_iiop_decode_new_glob(_t126_principal_len);
                              flick_iiop_decode_new_chunk(_t126_principal_len);
                              flick_iiop_decode_end_chunk(_t126_principal_len);
                              flick_iiop_decode_end_glob(_t126_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              _local_x = (CORBA_long *)(&_t127_storage);
                              _local_y = (CORBA_long *)(&_t128_storage);
                              _local_angle = (CORBA_long *)(&_t129_storage);
                              _ev = (CORBA_Environment *)(&_t130_storage);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = Server_GetTurtle(_obj, _local_x, _local_y, _local_angle, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort285);
                                flick_iiop_encode_new_glob(20, _flick_abort285);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_iiop_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiop_encode_new_chunk(16);
                                      flick_cdr_encode_signed32(0, _return, CORBA_long );
                                      flick_cdr_encode_signed32(4, *_local_x, CORBA_long );
                                      flick_cdr_encode_signed32(8, *_local_y, CORBA_long );
                                      flick_cdr_encode_signed32(12, *_local_angle, CORBA_long );
                                      flick_iiop_encode_end_chunk(16);
                                      flick_iiop_encode_end_glob(20);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_iiop_encode_end_glob(20);
                                      flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort291);
                                      break;
                                      {
                                      _flick_abort291:
                                        goto _flick_abort285;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort292);
                                      flick_iiop_encode_end_glob(20);
                                      break;
                                      {
                                      _flick_abort292:
                                        goto _flick_abort285;
                                      }
                                    }
                                  }
                              }
                              flick_iiop_server_end_encode();
                              break;
                              {
                              _flick_abort285:
                                goto _flick_abort284;
                              }
                            }
                            break;
                            {
                            _flick_abort284:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t131_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t131_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t131_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t132_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t132_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t132_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t133_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t134_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t135_storage;
                        char **_par;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort294);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t133_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_check_span(_t133_principal_len, _flick_abort294);
                        flick_iiop_decode_new_glob(_t133_principal_len);
                        flick_iiop_decode_new_chunk(_t133_principal_len);
                        flick_iiop_decode_end_chunk(_t133_principal_len);
                        flick_iiop_decode_end_glob(_t133_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort294);
                        flick_cdr_swap_decode_unsigned32(0, _t134_temp_string_len, flick_unsigned32_t );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(1 * _t134_temp_string_len);
                        flick_iiop_check_span(1 * _t134_temp_string_len, _flick_abort294);
                        flick_iiop_decode_new_chunk(1 * _t134_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_iiop_decode_end_chunk(1 * _t134_temp_string_len);
                        flick_iiop_decode_end_glob(1 * _t134_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t135_storage);
                        _par = flick_interface_parents_Server;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort294);
                          flick_iiop_encode_new_glob(5, _flick_abort294);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_iiop_encode_end_chunk(1);
                                flick_iiop_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort302);
                                break;
                                {
                                _flick_abort302:
                                  goto _flick_abort294;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort303);
                                flick_iiop_encode_end_glob(5);
                                break;
                                {
                                _flick_abort303:
                                  goto _flick_abort294;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort294:
                          goto _flick_abort293;
                        }
                      }
                      break;
                      {
                      _flick_abort293:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
          flick_iiop_decode_end_glob(20);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t34_switch_tag;

    flick_iiop_decode_new_glob(20);
    flick_iiop_check_span(16, _flick_abort5);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t34_switch_tag, unsigned int );
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t34_switch_tag)
      {
      case (unsigned int) 8:
        {
          unsigned int _t35_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t35_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t35_switch_tag)
            {
            case /* SetS */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1399157843):
              {
                unsigned int _t36_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t36_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t36_switch_tag)
                  {
                  case /* ize */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769628928):
                    {
                      {
                        Server _obj;
                        unsigned int _t37_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_width;
                        CORBA_long _local_height;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t38_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort82);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t37_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_check_span(_t37_principal_len, _flick_abort82);
                        flick_iiop_decode_new_glob(_t37_principal_len);
                        flick_iiop_decode_new_chunk(_t37_principal_len);
                        flick_iiop_decode_end_chunk(_t37_principal_len);
                        flick_iiop_decode_end_glob(_t37_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(11);
                        flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
                        flick_iiop_check_span(8, _flick_abort82);
                        flick_cdr_decode_signed32(0, _local_width, CORBA_long );
                        flick_cdr_decode_signed32(4, _local_height, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t38_storage);
                        flick_iiop_decode_end_chunk(8);
                        flick_iiop_decode_end_glob(11);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = Server_SetSize(_obj, _local_width, _local_height, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort82);
                          flick_iiop_encode_new_glob(8, _flick_abort82);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort88);
                                break;
                                {
                                _flick_abort88:
                                  goto _flick_abort82;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort89);
                                flick_iiop_encode_end_glob(8);
                                break;
                                {
                                _flick_abort89:
                                  goto _flick_abort82;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort82:
                          goto _flick_abort81;
                        }
                      }
                      break;
                      {
                      _flick_abort81:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* AddW */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1097098327):
              {
                unsigned int _t39_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t39_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t39_switch_tag)
                  {
                  case /* all */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1634495488):
                    {
                      {
                        Server _obj;
                        unsigned int _t40_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_startx;
                        CORBA_long _local_starty;
                        CORBA_long _local_endx;
                        CORBA_long _local_endy;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t41_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort91);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t40_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_check_span(_t40_principal_len, _flick_abort91);
                        flick_iiop_decode_new_glob(_t40_principal_len);
                        flick_iiop_decode_new_chunk(_t40_principal_len);
                        flick_iiop_decode_end_chunk(_t40_principal_len);
                        flick_iiop_decode_end_glob(_t40_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(19);
                        flick_iiop_decode_new_chunk_align(16, 2, 0, 0);
                        flick_iiop_check_span(16, _flick_abort91);
                        flick_cdr_decode_signed32(0, _local_startx, CORBA_long );
                        flick_cdr_decode_signed32(4, _local_starty, CORBA_long );
                        flick_cdr_decode_signed32(8, _local_endx, CORBA_long );
                        flick_cdr_decode_signed32(12, _local_endy, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t41_storage);
                        flick_iiop_decode_end_chunk(16);
                        flick_iiop_decode_end_glob(19);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = Server_AddWall(_obj, _local_startx, _local_starty, _local_endx, _local_endy, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort91);
                          flick_iiop_encode_new_glob(8, _flick_abort91);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort97);
                                break;
                                {
                                _flick_abort97:
                                  goto _flick_abort91;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort98);
                                flick_iiop_encode_end_glob(8);
                                break;
                                {
                                _flick_abort98:
                                  goto _flick_abort91;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort91:
                          goto _flick_abort90;
                        }
                      }
                      break;
                      {
                      _flick_abort90:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* DelW */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1147497559):
              {
                unsigned int _t42_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t42_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t42_switch_tag)
                  {
                  case /* all */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1634495488):
                    {
                      {
                        Server _obj;
                        unsigned int _t43_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_startx;
                        CORBA_long _local_starty;
                        CORBA_long _local_endx;
                        CORBA_long _local_endy;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t44_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort100);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t43_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_check_span(_t43_principal_len, _flick_abort100);
                        flick_iiop_decode_new_glob(_t43_principal_len);
                        flick_iiop_decode_new_chunk(_t43_principal_len);
                        flick_iiop_decode_end_chunk(_t43_principal_len);
                        flick_iiop_decode_end_glob(_t43_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(19);
                        flick_iiop_decode_new_chunk_align(16, 2, 0, 0);
                        flick_iiop_check_span(16, _flick_abort100);
                        flick_cdr_decode_signed32(0, _local_startx, CORBA_long );
                        flick_cdr_decode_signed32(4, _local_starty, CORBA_long );
                        flick_cdr_decode_signed32(8, _local_endx, CORBA_long );
                        flick_cdr_decode_signed32(12, _local_endy, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t44_storage);
                        flick_iiop_decode_end_chunk(16);
                        flick_iiop_decode_end_glob(19);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = Server_DelWall(_obj, _local_startx, _local_starty, _local_endx, _local_endy, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort100);
                          flick_iiop_encode_new_glob(8, _flick_abort100);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort106);
                                break;
                                {
                                _flick_abort106:
                                  goto _flick_abort100;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort107);
                                flick_iiop_encode_end_glob(8);
                                break;
                                {
                                _flick_abort107:
                                  goto _flick_abort100;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort100:
                          goto _flick_abort99;
                        }
                      }
                      break;
                      {
                      _flick_abort99:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* AddR */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1097098322):
              {
                unsigned int _t45_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t45_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t45_switch_tag)
                  {
                  case /* ect */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701016576):
                    {
                      {
                        Server _obj;
                        unsigned int _t46_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_left;
                        CORBA_long _local_top;
                        CORBA_long _local_right;
                        CORBA_long _local_bottom;
                        CORBA_long _local_color;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t47_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort109);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t46_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_check_span(_t46_principal_len, _flick_abort109);
                        flick_iiop_decode_new_glob(_t46_principal_len);
                        flick_iiop_decode_new_chunk(_t46_principal_len);
                        flick_iiop_decode_end_chunk(_t46_principal_len);
                        flick_iiop_decode_end_glob(_t46_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(23);
                        flick_iiop_decode_new_chunk_align(20, 2, 0, 0);
                        flick_iiop_check_span(20, _flick_abort109);
                        flick_cdr_decode_signed32(0, _local_left, CORBA_long );
                        flick_cdr_decode_signed32(4, _local_top, CORBA_long );
                        flick_cdr_decode_signed32(8, _local_right, CORBA_long );
                        flick_cdr_decode_signed32(12, _local_bottom, CORBA_long );
                        flick_cdr_decode_signed32(16, _local_color, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t47_storage);
                        flick_iiop_decode_end_chunk(20);
                        flick_iiop_decode_end_glob(23);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = Server_AddRect(_obj, _local_left, _local_top, _local_right, _local_bottom, _local_color, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort109);
                          flick_iiop_encode_new_glob(8, _flick_abort109);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort115);
                                break;
                                {
                                _flick_abort115:
                                  goto _flick_abort109;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort116);
                                flick_iiop_encode_end_glob(8);
                                break;
                                {
                                _flick_abort116:
                                  goto _flick_abort109;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort109:
                          goto _flick_abort108;
                        }
                      }
                      break;
                      {
                      _flick_abort108:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* DelR */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1147497554):
              {
                unsigned int _t48_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t48_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t48_switch_tag)
                  {
                  case /* ect */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701016576):
                    {
                      {
                        Server _obj;
                        unsigned int _t49_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_left;
                        CORBA_long _local_top;
                        CORBA_long _local_right;
                        CORBA_long _local_bottom;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t50_storage;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort118);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t49_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_check_span(_t49_principal_len, _flick_abort118);
                        flick_iiop_decode_new_glob(_t49_principal_len);
                        flick_iiop_decode_new_chunk(_t49_principal_len);
                        flick_iiop_decode_end_chunk(_t49_principal_len);
                        flick_iiop_decode_end_glob(_t49_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(19);
                        flick_iiop_decode_new_chunk_align(16, 2, 0, 0);
                        flick_iiop_check_span(16, _flick_abort118);
                        flick_cdr_decode_signed32(0, _local_left, CORBA_long );
                        flick_cdr_decode_signed32(4, _local_top, CORBA_long );
                        flick_cdr_decode_signed32(8, _local_right, CORBA_long );
                        flick_cdr_decode_signed32(12, _local_bottom, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t50_storage);
                        flick_iiop_decode_end_chunk(16);
                        flick_iiop_decode_end_glob(19);
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = Server_DelRect(_obj, _local_left, _local_top, _local_right, _local_bottom, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort118);
                          flick_iiop_encode_new_glob(8, _flick_abort118);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                flick_iiop_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort124);
                                break;
                                {
                                _flick_abort124:
                                  goto _flick_abort118;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort125);
                                flick_iiop_encode_end_glob(8);
                                break;
                                {
                                _flick_abort125:
                                  goto _flick_abort118;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort118:
                          goto _flick_abort117;
                        }
                      }
                      break;
                      {
                      _flick_abort117:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          unsigned int _t51_switch_tag;

          flick_iiop_check_span(16, _flick_abort5);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t51_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t51_switch_tag)
            {
            case /* SetT */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1399157844):
              {
                unsigned int _t52_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t52_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t52_switch_tag)
                  {
                  case /* urtl */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1970435180):
                    {
                      unsigned short int _t53_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t53_switch_tag, unsigned short int );
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t53_switch_tag)
                        {
                        case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                          {
                            {
                              Server _obj;
                              unsigned int _t54_principal_len;
                              CORBA_long _return;
                              CORBA_long _local_x;
                              CORBA_long _local_y;
                              CORBA_long _local_angle;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t55_storage;

                              flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort127);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t54_principal_len, unsigned int );
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_check_span(_t54_principal_len, _flick_abort127);
                              flick_iiop_decode_new_glob(_t54_principal_len);
                              flick_iiop_decode_new_chunk(_t54_principal_len);
                              flick_iiop_decode_end_chunk(_t54_principal_len);
                              flick_iiop_decode_end_glob(_t54_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiop_decode_new_glob(15);
                              flick_iiop_decode_new_chunk_align(12, 2, 0, 0);
                              flick_iiop_check_span(12, _flick_abort127);
                              flick_cdr_decode_signed32(0, _local_x, CORBA_long );
                              flick_cdr_decode_signed32(4, _local_y, CORBA_long );
                              flick_cdr_decode_signed32(8, _local_angle, CORBA_long );
                              _ev = (CORBA_Environment *)(&_t55_storage);
                              flick_iiop_decode_end_chunk(12);
                              flick_iiop_decode_end_glob(15);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = Server_SetTurtle(_obj, _local_x, _local_y, _local_angle, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort127);
                                flick_iiop_encode_new_glob(8, _flick_abort127);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_iiop_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _return, CORBA_long );
                                      flick_iiop_encode_end_chunk(4);
                                      flick_iiop_encode_end_glob(8);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_iiop_encode_end_glob(8);
                                      flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort133);
                                      break;
                                      {
                                      _flick_abort133:
                                        goto _flick_abort127;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort134);
                                      flick_iiop_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort134:
                                        goto _flick_abort127;
                                      }
                                    }
                                  }
                              }
                              flick_iiop_server_end_encode();
                              break;
                              {
                              _flick_abort127:
                                goto _flick_abort126;
                              }
                            }
                            break;
                            {
                            _flick_abort126:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* GetT */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1197831252):
              {
                unsigned int _t56_switch_tag;

                flick_iiop_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t56_switch_tag, unsigned int );
                flick_iiop_decode_end_chunk(4);
                switch ((unsigned int )_t56_switch_tag)
                  {
                  case /* urtl */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1970435180):
                    {
                      unsigned short int _t57_switch_tag;

                      flick_iiop_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t57_switch_tag, unsigned short int );
                      flick_iiop_decode_end_chunk(2);
                      switch ((unsigned short int )_t57_switch_tag)
                        {
                        case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                          {
                            {
                              Server _obj;
                              unsigned int _t58_principal_len;
                              CORBA_long _return;
                              CORBA_long *_local_x;
                              CORBA_long _t59_storage;
                              CORBA_long *_local_y;
                              CORBA_long _t60_storage;
                              CORBA_long *_local_angle;
                              CORBA_long _t61_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t62_storage;

                              flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort136);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiop_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t58_principal_len, unsigned int );
                              flick_iiop_decode_end_chunk(6);
                              flick_iiop_decode_end_glob(20);
                              flick_iiop_check_span(_t58_principal_len, _flick_abort136);
                              flick_iiop_decode_new_glob(_t58_principal_len);
                              flick_iiop_decode_new_chunk(_t58_principal_len);
                              flick_iiop_decode_end_chunk(_t58_principal_len);
                              flick_iiop_decode_end_glob(_t58_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              _local_x = (CORBA_long *)(&_t59_storage);
                              _local_y = (CORBA_long *)(&_t60_storage);
                              _local_angle = (CORBA_long *)(&_t61_storage);
                              _ev = (CORBA_Environment *)(&_t62_storage);
                              flick_iiop_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = Server_GetTurtle(_obj, _local_x, _local_y, _local_angle, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiop_server_start_encode();
                              {
                                flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort136);
                                flick_iiop_encode_new_glob(20, _flick_abort136);
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_iiop_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiop_encode_new_chunk(16);
                                      flick_cdr_encode_signed32(0, _return, CORBA_long );
                                      flick_cdr_encode_signed32(4, *_local_x, CORBA_long );
                                      flick_cdr_encode_signed32(8, *_local_y, CORBA_long );
                                      flick_cdr_encode_signed32(12, *_local_angle, CORBA_long );
                                      flick_iiop_encode_end_chunk(16);
                                      flick_iiop_encode_end_glob(20);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_iiop_encode_end_glob(20);
                                      flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort142);
                                      break;
                                      {
                                      _flick_abort142:
                                        goto _flick_abort136;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort143);
                                      flick_iiop_encode_end_glob(20);
                                      break;
                                      {
                                      _flick_abort143:
                                        goto _flick_abort136;
                                      }
                                    }
                                  }
                              }
                              flick_iiop_server_end_encode();
                              break;
                              {
                              _flick_abort136:
                                goto _flick_abort135;
                              }
                            }
                            break;
                            {
                            _flick_abort135:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiop_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t63_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t63_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t63_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t64_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t64_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t64_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t65_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t66_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t67_storage;
                        char **_par;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort145);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t65_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(20);
                        flick_iiop_check_span(_t65_principal_len, _flick_abort145);
                        flick_iiop_decode_new_glob(_t65_principal_len);
                        flick_iiop_decode_new_chunk(_t65_principal_len);
                        flick_iiop_decode_end_chunk(_t65_principal_len);
                        flick_iiop_decode_end_glob(_t65_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort145);
                        flick_cdr_decode_unsigned32(0, _t66_temp_string_len, flick_unsigned32_t );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(1 * _t66_temp_string_len);
                        flick_iiop_check_span(1 * _t66_temp_string_len, _flick_abort145);
                        flick_iiop_decode_new_chunk(1 * _t66_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_iiop_decode_end_chunk(1 * _t66_temp_string_len);
                        flick_iiop_decode_end_glob(1 * _t66_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t67_storage);
                        _par = flick_interface_parents_Server;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort145);
                          flick_iiop_encode_new_glob(5, _flick_abort145);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_iiop_encode_end_chunk(1);
                                flick_iiop_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort153);
                                break;
                                {
                                _flick_abort153:
                                  goto _flick_abort145;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort154);
                                flick_iiop_encode_end_glob(5);
                                break;
                                {
                                _flick_abort154:
                                  goto _flick_abort145;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort145:
                          goto _flick_abort144;
                        }
                      }
                      break;
                      {
                      _flick_abort144:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiop_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiop_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
          flick_iiop_decode_end_glob(20);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort5:
    flick_corba_server_error(cdr, iiop, _flick_reaper, _flick_abort4);
  _flick_abort4:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

