#include "union-5-server.h"

/* This is the runtime type information */
char *flick_interface_parents_PROG[] = {
	"IDL:PROG:1.0",
	0
};

char *flick_interface_parents_VERS[] = {
	"IDL:VERS:1.0",
	"IDL:PROG:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
int flick_marshal_stub_bar(flick_marshal_stream_t _stream, struct bar *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(12, _flick_abort0);
  flick_iiop_encode_new_chunk(12);
  flick_cdr_encode_signed32(0, _data->slot_1, int );
  flick_cdr_encode_signed32(4, _data->slot_2, int );
  flick_cdr_encode_signed32(8, _data->slot_3, int );
  flick_iiop_encode_end_chunk(12);
  flick_iiop_encode_end_glob(12);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_bar(flick_marshal_stream_t _stream, struct bar *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(12);
  flick_iiop_check_span(12, _flick_abort1);
  flick_iiop_decode_new_chunk(12);
  flick_cdr_decode_signed32(0, _data->slot_1, int );
  flick_cdr_decode_signed32(4, _data->slot_2, int );
  flick_cdr_decode_signed32(8, _data->slot_3, int );
  flick_iiop_decode_end_chunk(12);
  flick_iiop_decode_end_glob(12);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_bar_swap(flick_marshal_stream_t _stream, struct bar *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(12);
  flick_iiop_check_span(12, _flick_abort2);
  flick_iiop_decode_new_chunk(12);
  flick_cdr_swap_decode_signed32(0, _data->slot_1, int );
  flick_cdr_swap_decode_signed32(4, _data->slot_2, int );
  flick_cdr_swap_decode_signed32(8, _data->slot_3, int );
  flick_iiop_decode_end_chunk(12);
  flick_iiop_decode_end_glob(12);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_foo(flick_marshal_stream_t _stream, struct foo *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(408, _flick_abort3);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->discriminator, int );
  flick_iiop_encode_end_chunk(4);
  switch (_data->discriminator)
    {
    case 1:
      {
        flick_iiop_encode_new_chunk(4 + 4 * _data->foo_u.one.one_len);
        flick_cdr_encode_unsigned32(0, _data->foo_u.one.one_len, unsigned int );
        if (_data->foo_u.one.one_len > 100)
          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort13);
        flick_cdr_encode_bcopy(4, _data->foo_u.one.one_val, 4 * _data->foo_u.one.one_len);
        flick_iiop_encode_end_chunk(4 + 4 * _data->foo_u.one.one_len);
        flick_iiop_encode_end_glob(408);
        break;
        {
        _flick_abort13:
          goto _flick_abort3;
        }
      }
    case 2:
      {
        flick_unsigned32_t _t1_temp_string_len;

        flick_cdr_stringlen(char *, _data->foo_u.two, flick_unsigned32_t , _t1_temp_string_len);

        flick_iiop_encode_new_chunk(4);
        flick_cdr_encode_unsigned32(0, _t1_temp_string_len, flick_unsigned32_t );
        flick_iiop_encode_end_chunk(4);
        flick_iiop_encode_end_glob(408);
        flick_iiop_encode_new_glob(1 * _t1_temp_string_len, _flick_abort16);
        flick_iiop_encode_new_chunk(1 * _t1_temp_string_len);
        flick_cdr_encode_bcopy(0, _data->foo_u.two, 1 * _t1_temp_string_len);
        flick_iiop_encode_end_chunk(1 * _t1_temp_string_len);
        flick_iiop_encode_end_glob(1 * _t1_temp_string_len);
        break;
        {
        _flick_abort16:
          goto _flick_abort3;
        }
      }
    case 3:
      {
        flick_iiop_encode_new_chunk(12);
        flick_cdr_encode_signed32(0, _data->foo_u.three.slot_1, int );
        flick_cdr_encode_signed32(4, _data->foo_u.three.slot_2, int );
        flick_cdr_encode_signed32(8, _data->foo_u.three.slot_3, int );
        flick_iiop_encode_end_chunk(12);
        flick_iiop_encode_end_glob(408);
        break;
      }
    default:
      {
        flick_stub_error(FLICK_ERROR_STRUCT_UNION, _flick_abort20);
        flick_iiop_encode_end_glob(408);
        break;
        {
        _flick_abort20:
          goto _flick_abort3;
        }
      }
    }
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_foo(flick_marshal_stream_t _stream, struct foo *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(408);
  flick_iiop_check_span(8, _flick_abort21);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, _data->discriminator, int );
  flick_iiop_decode_end_chunk(4);
  switch (_data->discriminator)
    {
    case 1:
      {
        flick_iiop_decode_new_chunk(4);
        flick_cdr_decode_unsigned32(0, _data->foo_u.one.one_len, unsigned int );
        if (_data->foo_u.one.one_len > 100)
          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort34);
        flick_iiop_decode_end_chunk(4);
        flick_iiop_check_span(4 * _data->foo_u.one.one_len, _flick_abort34);
        flick_iiop_decode_new_chunk(4 * _data->foo_u.one.one_len);
        {
          int *_t_alloc_ptr;

          _t_alloc_ptr = (int *)(sun_flick_alloc(_data->foo_u.one.one_len * sizeof(int )));
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort34);
          _data->foo_u.one.one_val = _t_alloc_ptr;
        }
        flick_cdr_decode_bcopy(0, _data->foo_u.one.one_val, 4 * _data->foo_u.one.one_len);
        flick_iiop_decode_end_chunk(4 * _data->foo_u.one.one_len);
        flick_iiop_decode_end_glob(408);
        break;
        {
        _flick_abort34:
          goto _flick_abort21;
        }
      }
    case 2:
      {
        flick_unsigned32_t _t3_temp_string_len;

        flick_iiop_decode_new_chunk(4);
        flick_cdr_decode_unsigned32(0, _t3_temp_string_len, flick_unsigned32_t );
        flick_iiop_decode_end_chunk(4);
        flick_iiop_decode_end_glob(408);
        flick_iiop_decode_new_glob(1 * _t3_temp_string_len);
        flick_iiop_check_span(1 * _t3_temp_string_len, _flick_abort38);
        flick_iiop_decode_new_chunk(1 * _t3_temp_string_len);
        {
          char *_t_alloc_ptr;

          _t_alloc_ptr = (char *)(sun_flick_alloc(_t3_temp_string_len * sizeof(char )));
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort38);
          _data->foo_u.two = _t_alloc_ptr;
        }
        flick_cdr_decode_bcopy(0, _data->foo_u.two, 1 * _t3_temp_string_len);
        flick_iiop_decode_end_chunk(1 * _t3_temp_string_len);
        flick_iiop_decode_end_glob(1 * _t3_temp_string_len);
        break;
        {
        _flick_abort38:
          goto _flick_abort21;
        }
      }
    case 3:
      {
        flick_iiop_check_span(12, _flick_abort42);
        flick_iiop_decode_new_chunk(12);
        flick_cdr_decode_signed32(0, _data->foo_u.three.slot_1, int );
        flick_cdr_decode_signed32(4, _data->foo_u.three.slot_2, int );
        flick_cdr_decode_signed32(8, _data->foo_u.three.slot_3, int );
        flick_iiop_decode_end_chunk(12);
        flick_iiop_decode_end_glob(408);
        break;
        {
        _flick_abort42:
          goto _flick_abort21;
        }
      }
    default:
      {
        flick_stub_error(FLICK_ERROR_STRUCT_UNION, _flick_abort43);
        flick_iiop_decode_end_glob(408);
        break;
        {
        _flick_abort43:
          goto _flick_abort21;
        }
      }
    }
  return 0;
  {
  _flick_abort21:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_foo_swap(flick_marshal_stream_t _stream, struct foo *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(408);
  flick_iiop_check_span(8, _flick_abort45);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, _data->discriminator, int );
  flick_iiop_decode_end_chunk(4);
  switch (_data->discriminator)
    {
    case 1:
      {
        unsigned int _t6_array_iter;

        flick_iiop_decode_new_chunk(4);
        flick_cdr_swap_decode_unsigned32(0, _data->foo_u.one.one_len, unsigned int );
        flick_iiop_decode_end_chunk(4);
        if (_data->foo_u.one.one_len > 100)
          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort61);
        {
          int *_t_alloc_ptr;

          _t_alloc_ptr = (int *)(sun_flick_alloc(_data->foo_u.one.one_len * sizeof(int )));
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort61);
          _data->foo_u.one.one_val = _t_alloc_ptr;
        }
        flick_iiop_check_span(_data->foo_u.one.one_len * 4, _flick_abort65);
        for (_t6_array_iter = 0; _t6_array_iter < _data->foo_u.one.one_len; _t6_array_iter++)
          {
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_signed32(0, _data->foo_u.one.one_val[_t6_array_iter], int );
            flick_iiop_decode_end_chunk(4);
            continue;
          }
        flick_iiop_decode_end_glob(408);
        break;
        {
        _flick_abort65:
          sun_flick_free(_data->foo_u.one.one_val);
        _flick_abort61:
          goto _flick_abort45;
        }
      }
    case 2:
      {
        flick_unsigned32_t _t7_temp_string_len;

        flick_iiop_decode_new_chunk(4);
        flick_cdr_swap_decode_unsigned32(0, _t7_temp_string_len, flick_unsigned32_t );
        flick_iiop_decode_end_chunk(4);
        flick_iiop_decode_end_glob(408);
        flick_iiop_decode_new_glob(1 * _t7_temp_string_len);
        flick_iiop_check_span(1 * _t7_temp_string_len, _flick_abort68);
        flick_iiop_decode_new_chunk(1 * _t7_temp_string_len);
        {
          char *_t_alloc_ptr;

          _t_alloc_ptr = (char *)(sun_flick_alloc(_t7_temp_string_len * sizeof(char )));
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort68);
          _data->foo_u.two = _t_alloc_ptr;
        }
        flick_cdr_swap_decode_bcopy(0, _data->foo_u.two, 1 * _t7_temp_string_len);
        flick_iiop_decode_end_chunk(1 * _t7_temp_string_len);
        flick_iiop_decode_end_glob(1 * _t7_temp_string_len);
        break;
        {
        _flick_abort68:
          goto _flick_abort45;
        }
      }
    case 3:
      {
        flick_iiop_check_span(12, _flick_abort72);
        flick_iiop_decode_new_chunk(12);
        flick_cdr_swap_decode_signed32(0, _data->foo_u.three.slot_1, int );
        flick_cdr_swap_decode_signed32(4, _data->foo_u.three.slot_2, int );
        flick_cdr_swap_decode_signed32(8, _data->foo_u.three.slot_3, int );
        flick_iiop_decode_end_chunk(12);
        flick_iiop_decode_end_glob(408);
        break;
        {
        _flick_abort72:
          goto _flick_abort45;
        }
      }
    default:
      {
        flick_stub_error(FLICK_ERROR_STRUCT_UNION, _flick_abort73);
        flick_iiop_decode_end_glob(408);
        break;
        {
        _flick_abort73:
          goto _flick_abort45;
        }
      }
    }
  return 0;
  {
  _flick_abort45:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

flick_operation_success_t prog_2(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned int _request_id, FLICK_TARGET _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    signed int _t39_switch_tag;

    flick_iiop_decode_new_glob(8);
    flick_iiop_check_span(8, _flick_abort77);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_signed32(0, _t39_switch_tag, signed int );
    flick_iiop_decode_end_chunk(4);
    switch ((signed int )_t39_switch_tag)
      {
      case (signed int) 1:
        {
          {
            struct svc_req *_obj;
            unsigned int _t40_principal_len;
            struct foo *_return;
            struct foo *_local_arg;
            struct foo _t41_storage;

            flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort267);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t40_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t40_principal_len, _flick_abort267);
            flick_iiop_decode_new_glob(_t40_principal_len);
            flick_iiop_decode_new_chunk(_t40_principal_len);
            flick_iiop_decode_end_chunk(_t40_principal_len);
            flick_iiop_decode_end_glob(_t40_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (struct foo *)(&_t41_storage);
            flick_iiop_decode_new_glob(411);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(8, _flick_abort267);
            flick_cdr_swap_decode_signed32(0, _local_arg->discriminator, int );
            flick_iiop_decode_end_chunk(4);
            switch (_local_arg->discriminator)
              {
              case 1:
                {
                  int _t45_storage[100];
                  unsigned int _t46_array_iter;

                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _local_arg->foo_u.one.one_len, unsigned int );
                  flick_iiop_decode_end_chunk(4);
                  if (_local_arg->foo_u.one.one_len > 100)
                    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort280);
                  _local_arg->foo_u.one.one_val = (int *)_t45_storage;
                  flick_iiop_check_span(_local_arg->foo_u.one.one_len * 4, _flick_abort280);
                  for (_t46_array_iter = 0; _t46_array_iter < _local_arg->foo_u.one.one_len; _t46_array_iter++)
                    {
                      flick_iiop_decode_new_chunk(4);
                      flick_cdr_swap_decode_signed32(0, _local_arg->foo_u.one.one_val[_t46_array_iter], int );
                      flick_iiop_decode_end_chunk(4);
                      continue;
                    }
                  flick_iiop_decode_end_glob(411);
                  break;
                  {
                  _flick_abort280:
                    goto _flick_abort267;
                  }
                }
              case 2:
                {
                  flick_unsigned32_t _t47_temp_string_len;

                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t47_temp_string_len, flick_unsigned32_t );
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(411);
                  flick_iiop_decode_new_glob(1 * _t47_temp_string_len);
                  flick_iiop_check_span(1 * _t47_temp_string_len, _flick_abort286);
                  flick_iiop_decode_new_chunk(1 * _t47_temp_string_len);
                  flick_cdr_swap_decode_msgptr(0, _local_arg->foo_u.two, char *);
                  flick_iiop_decode_end_chunk(1 * _t47_temp_string_len);
                  flick_iiop_decode_end_glob(1 * _t47_temp_string_len);
                  break;
                  {
                  _flick_abort286:
                    goto _flick_abort267;
                  }
                }
              case 3:
                {
                  flick_iiop_check_span(12, _flick_abort289);
                  flick_iiop_decode_new_chunk(12);
                  flick_cdr_swap_decode_signed32(0, _local_arg->foo_u.three.slot_1, int );
                  flick_cdr_swap_decode_signed32(4, _local_arg->foo_u.three.slot_2, int );
                  flick_cdr_swap_decode_signed32(8, _local_arg->foo_u.three.slot_3, int );
                  flick_iiop_decode_end_chunk(12);
                  flick_iiop_decode_end_glob(411);
                  break;
                  {
                  _flick_abort289:
                    goto _flick_abort267;
                  }
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_STRUCT_UNION, _flick_abort290);
                  flick_iiop_decode_end_glob(411);
                  break;
                  {
                  _flick_abort290:
                    goto _flick_abort267;
                  }
                }
              }
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op_2(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort267);
              flick_iiop_encode_new_glob(412, _flick_abort267);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_iiop_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _return->discriminator, int );
                    flick_iiop_encode_end_chunk(4);
                    switch (_return->discriminator)
                      {
                      case 1:
                        {
                          flick_iiop_encode_new_chunk(4 + 4 * _return->foo_u.one.one_len);
                          flick_cdr_encode_unsigned32(0, _return->foo_u.one.one_len, unsigned int );
                          if (_return->foo_u.one.one_len > 100)
                            flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort322);
                          flick_cdr_encode_bcopy(4, _return->foo_u.one.one_val, 4 * _return->foo_u.one.one_len);
                          flick_iiop_encode_end_chunk(4 + 4 * _return->foo_u.one.one_len);
                          flick_iiop_encode_end_glob(412);
                          break;
                          {
                          _flick_abort322:
                            goto _flick_abort312;
                          }
                        }
                      case 2:
                        {
                          flick_unsigned32_t _t51_temp_string_len;

                          flick_cdr_stringlen(char *, _return->foo_u.two, flick_unsigned32_t , _t51_temp_string_len);

                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_unsigned32(0, _t51_temp_string_len, flick_unsigned32_t );
                          flick_iiop_encode_end_chunk(4);
                          flick_iiop_encode_end_glob(412);
                          flick_iiop_encode_new_glob(1 * _t51_temp_string_len, _flick_abort325);
                          flick_iiop_encode_new_chunk(1 * _t51_temp_string_len);
                          flick_cdr_encode_bcopy(0, _return->foo_u.two, 1 * _t51_temp_string_len);
                          flick_iiop_encode_end_chunk(1 * _t51_temp_string_len);
                          flick_iiop_encode_end_glob(1 * _t51_temp_string_len);
                          break;
                          {
                          _flick_abort325:
                            goto _flick_abort312;
                          }
                        }
                      case 3:
                        {
                          flick_iiop_encode_new_chunk(12);
                          flick_cdr_encode_signed32(0, _return->foo_u.three.slot_1, int );
                          flick_cdr_encode_signed32(4, _return->foo_u.three.slot_2, int );
                          flick_cdr_encode_signed32(8, _return->foo_u.three.slot_3, int );
                          flick_iiop_encode_end_chunk(12);
                          flick_iiop_encode_end_glob(412);
                          break;
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_STRUCT_UNION, _flick_abort329);
                          flick_iiop_encode_end_glob(412);
                          break;
                          {
                          _flick_abort329:
                            goto _flick_abort312;
                          }
                        }
                      }
                    break;
                    {
                    _flick_abort312:
                      goto _flick_abort267;
                    }
                  }
                case -1:
                  {
                    flick_iiop_encode_end_glob(412);
                    flick_sun_encode_system_exception(flick_errno, cdr, iiop, _flick_abort330);
                    break;
                    {
                    _flick_abort330:
                      goto _flick_abort267;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort331);
                    flick_iiop_encode_end_glob(412);
                    break;
                    {
                    _flick_abort331:
                      goto _flick_abort267;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort267:
              goto _flick_abort266;
            }
          }
          break;
          {
          _flick_abort266:
            goto _flick_abort77;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort77);
          flick_iiop_decode_end_glob(8);
          break;
        }
      }
  }
  } else {
  {
    signed int _t17_switch_tag;

    flick_iiop_decode_new_glob(8);
    flick_iiop_check_span(8, _flick_abort77);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t17_switch_tag, signed int );
    flick_iiop_decode_end_chunk(4);
    switch ((signed int )_t17_switch_tag)
      {
      case (signed int) 1:
        {
          {
            struct svc_req *_obj;
            unsigned int _t18_principal_len;
            struct foo *_return;
            struct foo *_local_arg;
            struct foo _t19_storage;

            flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort140);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t18_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t18_principal_len, _flick_abort140);
            flick_iiop_decode_new_glob(_t18_principal_len);
            flick_iiop_decode_new_chunk(_t18_principal_len);
            flick_iiop_decode_end_chunk(_t18_principal_len);
            flick_iiop_decode_end_glob(_t18_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (struct foo *)(&_t19_storage);
            flick_iiop_decode_new_glob(411);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(8, _flick_abort140);
            flick_cdr_decode_signed32(0, _local_arg->discriminator, int );
            flick_iiop_decode_end_chunk(4);
            switch (_local_arg->discriminator)
              {
              case 1:
                {
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _local_arg->foo_u.one.one_len, unsigned int );
                  if (_local_arg->foo_u.one.one_len > 100)
                    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort150);
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_check_span(4 * _local_arg->foo_u.one.one_len, _flick_abort150);
                  flick_iiop_decode_new_chunk(4 * _local_arg->foo_u.one.one_len);
                  flick_cdr_decode_msgptr(0, _local_arg->foo_u.one.one_val, int *);
                  flick_iiop_decode_end_chunk(4 * _local_arg->foo_u.one.one_len);
                  flick_iiop_decode_end_glob(411);
                  break;
                  {
                  _flick_abort150:
                    goto _flick_abort140;
                  }
                }
              case 2:
                {
                  flick_unsigned32_t _t21_temp_string_len;

                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t21_temp_string_len, flick_unsigned32_t );
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(411);
                  flick_iiop_decode_new_glob(1 * _t21_temp_string_len);
                  flick_iiop_check_span(1 * _t21_temp_string_len, _flick_abort153);
                  flick_iiop_decode_new_chunk(1 * _t21_temp_string_len);
                  flick_cdr_decode_msgptr(0, _local_arg->foo_u.two, char *);
                  flick_iiop_decode_end_chunk(1 * _t21_temp_string_len);
                  flick_iiop_decode_end_glob(1 * _t21_temp_string_len);
                  break;
                  {
                  _flick_abort153:
                    goto _flick_abort140;
                  }
                }
              case 3:
                {
                  flick_iiop_check_span(12, _flick_abort156);
                  flick_iiop_decode_new_chunk(12);
                  flick_cdr_decode_signed32(0, _local_arg->foo_u.three.slot_1, int );
                  flick_cdr_decode_signed32(4, _local_arg->foo_u.three.slot_2, int );
                  flick_cdr_decode_signed32(8, _local_arg->foo_u.three.slot_3, int );
                  flick_iiop_decode_end_chunk(12);
                  flick_iiop_decode_end_glob(411);
                  break;
                  {
                  _flick_abort156:
                    goto _flick_abort140;
                  }
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_STRUCT_UNION, _flick_abort157);
                  flick_iiop_decode_end_glob(411);
                  break;
                  {
                  _flick_abort157:
                    goto _flick_abort140;
                  }
                }
              }
            flick_iiop_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op_2(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort140);
              flick_iiop_encode_new_glob(412, _flick_abort140);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_iiop_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _return->discriminator, int );
                    flick_iiop_encode_end_chunk(4);
                    switch (_return->discriminator)
                      {
                      case 1:
                        {
                          flick_iiop_encode_new_chunk(4 + 4 * _return->foo_u.one.one_len);
                          flick_cdr_encode_unsigned32(0, _return->foo_u.one.one_len, unsigned int );
                          if (_return->foo_u.one.one_len > 100)
                            flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort189);
                          flick_cdr_encode_bcopy(4, _return->foo_u.one.one_val, 4 * _return->foo_u.one.one_len);
                          flick_iiop_encode_end_chunk(4 + 4 * _return->foo_u.one.one_len);
                          flick_iiop_encode_end_glob(412);
                          break;
                          {
                          _flick_abort189:
                            goto _flick_abort179;
                          }
                        }
                      case 2:
                        {
                          flick_unsigned32_t _t25_temp_string_len;

                          flick_cdr_stringlen(char *, _return->foo_u.two, flick_unsigned32_t , _t25_temp_string_len);

                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_unsigned32(0, _t25_temp_string_len, flick_unsigned32_t );
                          flick_iiop_encode_end_chunk(4);
                          flick_iiop_encode_end_glob(412);
                          flick_iiop_encode_new_glob(1 * _t25_temp_string_len, _flick_abort192);
                          flick_iiop_encode_new_chunk(1 * _t25_temp_string_len);
                          flick_cdr_encode_bcopy(0, _return->foo_u.two, 1 * _t25_temp_string_len);
                          flick_iiop_encode_end_chunk(1 * _t25_temp_string_len);
                          flick_iiop_encode_end_glob(1 * _t25_temp_string_len);
                          break;
                          {
                          _flick_abort192:
                            goto _flick_abort179;
                          }
                        }
                      case 3:
                        {
                          flick_iiop_encode_new_chunk(12);
                          flick_cdr_encode_signed32(0, _return->foo_u.three.slot_1, int );
                          flick_cdr_encode_signed32(4, _return->foo_u.three.slot_2, int );
                          flick_cdr_encode_signed32(8, _return->foo_u.three.slot_3, int );
                          flick_iiop_encode_end_chunk(12);
                          flick_iiop_encode_end_glob(412);
                          break;
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_STRUCT_UNION, _flick_abort196);
                          flick_iiop_encode_end_glob(412);
                          break;
                          {
                          _flick_abort196:
                            goto _flick_abort179;
                          }
                        }
                      }
                    break;
                    {
                    _flick_abort179:
                      goto _flick_abort140;
                    }
                  }
                case -1:
                  {
                    flick_iiop_encode_end_glob(412);
                    flick_sun_encode_system_exception(flick_errno, cdr, iiop, _flick_abort197);
                    break;
                    {
                    _flick_abort197:
                      goto _flick_abort140;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort198);
                    flick_iiop_encode_end_glob(412);
                    break;
                    {
                    _flick_abort198:
                      goto _flick_abort140;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort140:
              goto _flick_abort139;
            }
          }
          break;
          {
          _flick_abort139:
            goto _flick_abort77;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort77);
          flick_iiop_decode_end_glob(8);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort77:
    flick_sun_server_error(cdr, iiop, _flick_reaper, _flick_abort76);
  _flick_abort76:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

