#include "union-server.h"

/* This is the runtime type information */
char *flick_interface_parents_a[] = {
	"IDL:a:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
int flick_marshal_stub_Bar(flick_marshal_stream_t _stream, struct Bar *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(5, _flick_abort0);
  flick_iiop_encode_new_chunk(5);
  flick_cdr_encode_signed32(0, _data->b1, CORBA_long );
  flick_cdr_encode_char8(4, _data->b2, CORBA_char );
  flick_iiop_encode_end_chunk(5);
  flick_iiop_encode_end_glob(5);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_Bar(flick_marshal_stream_t _stream, struct Bar *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(5);
  flick_iiop_check_span(5, _flick_abort1);
  flick_iiop_decode_new_chunk(5);
  flick_cdr_decode_signed32(0, _data->b1, CORBA_long );
  flick_cdr_decode_char8(4, _data->b2, CORBA_char );
  flick_iiop_decode_end_chunk(5);
  flick_iiop_decode_end_glob(5);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_Bar_swap(flick_marshal_stream_t _stream, struct Bar *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(5);
  flick_iiop_check_span(5, _flick_abort2);
  flick_iiop_decode_new_chunk(5);
  flick_cdr_swap_decode_signed32(0, _data->b1, CORBA_long );
  flick_cdr_swap_decode_char8(4, _data->b2, CORBA_char );
  flick_iiop_decode_end_chunk(5);
  flick_iiop_decode_end_glob(5);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_Foo(flick_marshal_stream_t _stream, struct Foo *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(9, _flick_abort3);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->_d, CORBA_long );
  flick_iiop_encode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_iiop_encode_new_chunk(4);
        flick_cdr_encode_signed32(0, _data->_u.x, CORBA_long );
        flick_iiop_encode_end_chunk(4);
        break;
      }
    case 2:
      {
        flick_iiop_encode_new_chunk(5);
        flick_cdr_encode_signed32(0, _data->_u.y.b1, CORBA_long );
        flick_cdr_encode_char8(4, _data->_u.y.b2, CORBA_char );
        flick_iiop_encode_end_chunk(5);
        break;
      }
    default:
      {
        flick_iiop_encode_new_chunk(1);
        flick_cdr_encode_char8(0, _data->_u.z, CORBA_char );
        flick_iiop_encode_end_chunk(1);
        break;
      }
    }
  flick_iiop_encode_end_glob(9);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_Foo(flick_marshal_stream_t _stream, struct Foo *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(9);
  flick_iiop_check_span(5, _flick_abort11);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, _data->_d, CORBA_long );
  flick_iiop_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_iiop_check_span(4, _flick_abort16);
        flick_iiop_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _data->_u.x, CORBA_long );
        flick_iiop_decode_end_chunk(4);
        break;
        {
        _flick_abort16:
          goto _flick_abort11;
        }
      }
    case 2:
      {
        flick_iiop_check_span(5, _flick_abort17);
        flick_iiop_decode_new_chunk(5);
        flick_cdr_decode_signed32(0, _data->_u.y.b1, CORBA_long );
        flick_cdr_decode_char8(4, _data->_u.y.b2, CORBA_char );
        flick_iiop_decode_end_chunk(5);
        break;
        {
        _flick_abort17:
          goto _flick_abort11;
        }
      }
    default:
      {
        flick_iiop_decode_new_chunk(1);
        flick_cdr_decode_char8(0, _data->_u.z, CORBA_char );
        flick_iiop_decode_end_chunk(1);
        break;
      }
    }
  flick_iiop_decode_end_glob(9);
  return 0;
  {
  _flick_abort11:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_Foo_swap(flick_marshal_stream_t _stream, struct Foo *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(9);
  flick_iiop_check_span(5, _flick_abort19);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, _data->_d, CORBA_long );
  flick_iiop_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_iiop_check_span(4, _flick_abort24);
        flick_iiop_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _data->_u.x, CORBA_long );
        flick_iiop_decode_end_chunk(4);
        break;
        {
        _flick_abort24:
          goto _flick_abort19;
        }
      }
    case 2:
      {
        flick_iiop_check_span(5, _flick_abort25);
        flick_iiop_decode_new_chunk(5);
        flick_cdr_swap_decode_signed32(0, _data->_u.y.b1, CORBA_long );
        flick_cdr_swap_decode_char8(4, _data->_u.y.b2, CORBA_char );
        flick_iiop_decode_end_chunk(5);
        break;
        {
        _flick_abort25:
          goto _flick_abort19;
        }
      }
    default:
      {
        flick_iiop_decode_new_chunk(1);
        flick_cdr_swap_decode_char8(0, _data->_u.z, CORBA_char );
        flick_iiop_decode_end_chunk(1);
        break;
      }
    }
  flick_iiop_decode_end_glob(9);
  return 0;
  {
  _flick_abort19:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_Foo2(flick_marshal_stream_t _stream, struct Foo2 *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(13, _flick_abort27);
  flick_iiop_encode_new_chunk(1);
  flick_cdr_encode_char8(0, _data->_d, CORBA_char );
  flick_iiop_encode_end_chunk(1);
  switch (_data->_d)
    {
    case 'a':
      {
        flick_iiop_encode_new_chunk(7);
        flick_cdr_encode_signed32(3, _data->_u.x, CORBA_long );
        flick_iiop_encode_end_chunk(7);
        break;
      }
    case 'b':
      {
        flick_iiop_encode_new_chunk(7);
        flick_cdr_encode_signed32(3, _data->_u.y._d, CORBA_long );
        flick_iiop_encode_end_chunk(7);
        switch (_data->_u.y._d)
          {
          case 1:
            {
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _data->_u.y._u.x, CORBA_long );
              flick_iiop_encode_end_chunk(4);
              break;
            }
          case 2:
            {
              flick_iiop_encode_new_chunk(5);
              flick_cdr_encode_signed32(0, _data->_u.y._u.y.b1, CORBA_long );
              flick_cdr_encode_char8(4, _data->_u.y._u.y.b2, CORBA_char );
              flick_iiop_encode_end_chunk(5);
              break;
            }
          default:
            {
              flick_iiop_encode_new_chunk(1);
              flick_cdr_encode_char8(0, _data->_u.y._u.z, CORBA_char );
              flick_iiop_encode_end_chunk(1);
              break;
            }
          }
        break;
      }
    default:
      {
        break;
      }
    }
  flick_iiop_encode_end_glob(13);
  return 0;
  {
  _flick_abort27:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_Foo2(flick_marshal_stream_t _stream, struct Foo2 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(13);
  flick_iiop_check_span(8, _flick_abort49);
  flick_iiop_decode_new_chunk(1);
  flick_cdr_decode_char8(0, _data->_d, CORBA_char );
  flick_iiop_decode_end_chunk(1);
  switch (_data->_d)
    {
    case 'a':
      {
        flick_iiop_decode_new_chunk(7);
        flick_cdr_decode_signed32(3, _data->_u.x, CORBA_long );
        flick_iiop_decode_end_chunk(7);
        break;
      }
    case 'b':
      {
        flick_iiop_check_span(8, _flick_abort62);
        flick_iiop_decode_new_chunk(7);
        flick_cdr_decode_signed32(3, _data->_u.y._d, CORBA_long );
        flick_iiop_decode_end_chunk(7);
        switch (_data->_u.y._d)
          {
          case 1:
            {
              flick_iiop_check_span(4, _flick_abort67);
              flick_iiop_decode_new_chunk(4);
              flick_cdr_decode_signed32(0, _data->_u.y._u.x, CORBA_long );
              flick_iiop_decode_end_chunk(4);
              break;
              {
              _flick_abort67:
                goto _flick_abort62;
              }
            }
          case 2:
            {
              flick_iiop_check_span(5, _flick_abort68);
              flick_iiop_decode_new_chunk(5);
              flick_cdr_decode_signed32(0, _data->_u.y._u.y.b1, CORBA_long );
              flick_cdr_decode_char8(4, _data->_u.y._u.y.b2, CORBA_char );
              flick_iiop_decode_end_chunk(5);
              break;
              {
              _flick_abort68:
                goto _flick_abort62;
              }
            }
          default:
            {
              flick_iiop_decode_new_chunk(1);
              flick_cdr_decode_char8(0, _data->_u.y._u.z, CORBA_char );
              flick_iiop_decode_end_chunk(1);
              break;
            }
          }
        break;
        {
        _flick_abort62:
          goto _flick_abort49;
        }
      }
    default:
      {
        break;
      }
    }
  flick_iiop_decode_end_glob(13);
  return 0;
  {
  _flick_abort49:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_Foo2_swap(flick_marshal_stream_t _stream, struct Foo2 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(13);
  flick_iiop_check_span(8, _flick_abort71);
  flick_iiop_decode_new_chunk(1);
  flick_cdr_swap_decode_char8(0, _data->_d, CORBA_char );
  flick_iiop_decode_end_chunk(1);
  switch (_data->_d)
    {
    case 'a':
      {
        flick_iiop_decode_new_chunk(7);
        flick_cdr_swap_decode_signed32(3, _data->_u.x, CORBA_long );
        flick_iiop_decode_end_chunk(7);
        break;
      }
    case 'b':
      {
        flick_iiop_check_span(8, _flick_abort84);
        flick_iiop_decode_new_chunk(7);
        flick_cdr_swap_decode_signed32(3, _data->_u.y._d, CORBA_long );
        flick_iiop_decode_end_chunk(7);
        switch (_data->_u.y._d)
          {
          case 1:
            {
              flick_iiop_check_span(4, _flick_abort89);
              flick_iiop_decode_new_chunk(4);
              flick_cdr_swap_decode_signed32(0, _data->_u.y._u.x, CORBA_long );
              flick_iiop_decode_end_chunk(4);
              break;
              {
              _flick_abort89:
                goto _flick_abort84;
              }
            }
          case 2:
            {
              flick_iiop_check_span(5, _flick_abort90);
              flick_iiop_decode_new_chunk(5);
              flick_cdr_swap_decode_signed32(0, _data->_u.y._u.y.b1, CORBA_long );
              flick_cdr_swap_decode_char8(4, _data->_u.y._u.y.b2, CORBA_char );
              flick_iiop_decode_end_chunk(5);
              break;
              {
              _flick_abort90:
                goto _flick_abort84;
              }
            }
          default:
            {
              flick_iiop_decode_new_chunk(1);
              flick_cdr_swap_decode_char8(0, _data->_u.y._u.z, CORBA_char );
              flick_iiop_decode_end_chunk(1);
              break;
            }
          }
        break;
        {
        _flick_abort84:
          goto _flick_abort71;
        }
      }
    default:
      {
        break;
      }
    }
  flick_iiop_decode_end_glob(13);
  return 0;
  {
  _flick_abort71:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_a(flick_marshal_stream_t _stream, a *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdr_encode_IOR(iiop, *_data, 0, _flick_abort93);
  return 0;
  {
  _flick_abort93:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_a(flick_marshal_stream_t _stream, a *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_decode_IOR(iiop, *_data, 1);
  return 0;
}

int flick_unmarshal_stub_a_swap(flick_marshal_stream_t _stream, a *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
  return 0;
}

int flick_marshal_stub_a_astruct(flick_marshal_stream_t _stream, struct a_astruct *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(33, _flick_abort96);
  flick_iiop_encode_new_chunk(1);
  flick_cdr_encode_char8(0, _data->a1._d, CORBA_char );
  flick_iiop_encode_end_chunk(1);
  switch (_data->a1._d)
    {
    case 'a':
      {
        flick_iiop_encode_new_chunk(7);
        flick_cdr_encode_signed32(3, _data->a1._u.x, CORBA_long );
        flick_iiop_encode_end_chunk(7);
        break;
      }
    case 'b':
      {
        flick_iiop_encode_new_chunk(7);
        flick_cdr_encode_signed32(3, _data->a1._u.y._d, CORBA_long );
        flick_iiop_encode_end_chunk(7);
        switch (_data->a1._u.y._d)
          {
          case 1:
            {
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _data->a1._u.y._u.x, CORBA_long );
              flick_iiop_encode_end_chunk(4);
              break;
            }
          case 2:
            {
              flick_iiop_encode_new_chunk(5);
              flick_cdr_encode_signed32(0, _data->a1._u.y._u.y.b1, CORBA_long );
              flick_cdr_encode_char8(4, _data->a1._u.y._u.y.b2, CORBA_char );
              flick_iiop_encode_end_chunk(5);
              break;
            }
          default:
            {
              flick_iiop_encode_new_chunk(1);
              flick_cdr_encode_char8(0, _data->a1._u.y._u.z, CORBA_char );
              flick_iiop_encode_end_chunk(1);
              break;
            }
          }
        break;
      }
    default:
      {
        break;
      }
    }
  flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
  flick_cdr_encode_signed32(0, _data->a2._d, CORBA_long );
  flick_iiop_encode_end_chunk(4);
  switch (_data->a2._d)
    {
    case 1:
      {
        flick_iiop_encode_new_chunk(4);
        flick_cdr_encode_signed32(0, _data->a2._u.x, CORBA_long );
        flick_iiop_encode_end_chunk(4);
        break;
      }
    case 2:
      {
        flick_iiop_encode_new_chunk(5);
        flick_cdr_encode_signed32(0, _data->a2._u.y.b1, CORBA_long );
        flick_cdr_encode_char8(4, _data->a2._u.y.b2, CORBA_char );
        flick_iiop_encode_end_chunk(5);
        break;
      }
    default:
      {
        flick_iiop_encode_new_chunk(1);
        flick_cdr_encode_char8(0, _data->a2._u.z, CORBA_char );
        flick_iiop_encode_end_chunk(1);
        break;
      }
    }
  flick_iiop_encode_new_chunk_align(5, 2, 0, 0);
  flick_cdr_encode_signed32(0, _data->a3.b1, CORBA_long );
  flick_cdr_encode_char8(4, _data->a3.b2, CORBA_char );
  flick_iiop_encode_end_chunk(5);
  flick_iiop_encode_end_glob(33);
  return 0;
  {
  _flick_abort96:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_a_astruct(flick_marshal_stream_t _stream, struct a_astruct *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(33);
  flick_iiop_check_span(8, _flick_abort125);
  flick_iiop_decode_new_chunk(1);
  flick_cdr_decode_char8(0, _data->a1._d, CORBA_char );
  flick_iiop_decode_end_chunk(1);
  switch (_data->a1._d)
    {
    case 'a':
      {
        flick_iiop_decode_new_chunk(7);
        flick_cdr_decode_signed32(3, _data->a1._u.x, CORBA_long );
        flick_iiop_decode_end_chunk(7);
        break;
      }
    case 'b':
      {
        flick_iiop_check_span(8, _flick_abort138);
        flick_iiop_decode_new_chunk(7);
        flick_cdr_decode_signed32(3, _data->a1._u.y._d, CORBA_long );
        flick_iiop_decode_end_chunk(7);
        switch (_data->a1._u.y._d)
          {
          case 1:
            {
              flick_iiop_check_span(4, _flick_abort143);
              flick_iiop_decode_new_chunk(4);
              flick_cdr_decode_signed32(0, _data->a1._u.y._u.x, CORBA_long );
              flick_iiop_decode_end_chunk(4);
              break;
              {
              _flick_abort143:
                goto _flick_abort138;
              }
            }
          case 2:
            {
              flick_iiop_check_span(5, _flick_abort144);
              flick_iiop_decode_new_chunk(5);
              flick_cdr_decode_signed32(0, _data->a1._u.y._u.y.b1, CORBA_long );
              flick_cdr_decode_char8(4, _data->a1._u.y._u.y.b2, CORBA_char );
              flick_iiop_decode_end_chunk(5);
              break;
              {
              _flick_abort144:
                goto _flick_abort138;
              }
            }
          default:
            {
              flick_iiop_decode_new_chunk(1);
              flick_cdr_decode_char8(0, _data->a1._u.y._u.z, CORBA_char );
              flick_iiop_decode_end_chunk(1);
              break;
            }
          }
        break;
        {
        _flick_abort138:
          goto _flick_abort125;
        }
      }
    default:
      {
        break;
      }
    }
  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
  flick_iiop_check_span(5, _flick_abort125);
  flick_cdr_decode_signed32(0, _data->a2._d, CORBA_long );
  flick_iiop_decode_end_chunk(4);
  switch (_data->a2._d)
    {
    case 1:
      {
        flick_iiop_check_span(4, _flick_abort151);
        flick_iiop_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _data->a2._u.x, CORBA_long );
        flick_iiop_decode_end_chunk(4);
        break;
        {
        _flick_abort151:
          goto _flick_abort125;
        }
      }
    case 2:
      {
        flick_iiop_check_span(5, _flick_abort152);
        flick_iiop_decode_new_chunk(5);
        flick_cdr_decode_signed32(0, _data->a2._u.y.b1, CORBA_long );
        flick_cdr_decode_char8(4, _data->a2._u.y.b2, CORBA_char );
        flick_iiop_decode_end_chunk(5);
        break;
        {
        _flick_abort152:
          goto _flick_abort125;
        }
      }
    default:
      {
        flick_iiop_decode_new_chunk(1);
        flick_cdr_decode_char8(0, _data->a2._u.z, CORBA_char );
        flick_iiop_decode_end_chunk(1);
        break;
      }
    }
  flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
  flick_iiop_check_span(5, _flick_abort125);
  flick_cdr_decode_signed32(0, _data->a3.b1, CORBA_long );
  flick_cdr_decode_char8(4, _data->a3.b2, CORBA_char );
  flick_iiop_decode_end_chunk(5);
  flick_iiop_decode_end_glob(33);
  return 0;
  {
  _flick_abort125:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_a_astruct_swap(flick_marshal_stream_t _stream, struct a_astruct *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(33);
  flick_iiop_check_span(8, _flick_abort154);
  flick_iiop_decode_new_chunk(1);
  flick_cdr_swap_decode_char8(0, _data->a1._d, CORBA_char );
  flick_iiop_decode_end_chunk(1);
  switch (_data->a1._d)
    {
    case 'a':
      {
        flick_iiop_decode_new_chunk(7);
        flick_cdr_swap_decode_signed32(3, _data->a1._u.x, CORBA_long );
        flick_iiop_decode_end_chunk(7);
        break;
      }
    case 'b':
      {
        flick_iiop_check_span(8, _flick_abort167);
        flick_iiop_decode_new_chunk(7);
        flick_cdr_swap_decode_signed32(3, _data->a1._u.y._d, CORBA_long );
        flick_iiop_decode_end_chunk(7);
        switch (_data->a1._u.y._d)
          {
          case 1:
            {
              flick_iiop_check_span(4, _flick_abort172);
              flick_iiop_decode_new_chunk(4);
              flick_cdr_swap_decode_signed32(0, _data->a1._u.y._u.x, CORBA_long );
              flick_iiop_decode_end_chunk(4);
              break;
              {
              _flick_abort172:
                goto _flick_abort167;
              }
            }
          case 2:
            {
              flick_iiop_check_span(5, _flick_abort173);
              flick_iiop_decode_new_chunk(5);
              flick_cdr_swap_decode_signed32(0, _data->a1._u.y._u.y.b1, CORBA_long );
              flick_cdr_swap_decode_char8(4, _data->a1._u.y._u.y.b2, CORBA_char );
              flick_iiop_decode_end_chunk(5);
              break;
              {
              _flick_abort173:
                goto _flick_abort167;
              }
            }
          default:
            {
              flick_iiop_decode_new_chunk(1);
              flick_cdr_swap_decode_char8(0, _data->a1._u.y._u.z, CORBA_char );
              flick_iiop_decode_end_chunk(1);
              break;
            }
          }
        break;
        {
        _flick_abort167:
          goto _flick_abort154;
        }
      }
    default:
      {
        break;
      }
    }
  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
  flick_iiop_check_span(5, _flick_abort154);
  flick_cdr_swap_decode_signed32(0, _data->a2._d, CORBA_long );
  flick_iiop_decode_end_chunk(4);
  switch (_data->a2._d)
    {
    case 1:
      {
        flick_iiop_check_span(4, _flick_abort180);
        flick_iiop_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _data->a2._u.x, CORBA_long );
        flick_iiop_decode_end_chunk(4);
        break;
        {
        _flick_abort180:
          goto _flick_abort154;
        }
      }
    case 2:
      {
        flick_iiop_check_span(5, _flick_abort181);
        flick_iiop_decode_new_chunk(5);
        flick_cdr_swap_decode_signed32(0, _data->a2._u.y.b1, CORBA_long );
        flick_cdr_swap_decode_char8(4, _data->a2._u.y.b2, CORBA_char );
        flick_iiop_decode_end_chunk(5);
        break;
        {
        _flick_abort181:
          goto _flick_abort154;
        }
      }
    default:
      {
        flick_iiop_decode_new_chunk(1);
        flick_cdr_swap_decode_char8(0, _data->a2._u.z, CORBA_char );
        flick_iiop_decode_end_chunk(1);
        break;
      }
    }
  flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
  flick_iiop_check_span(5, _flick_abort154);
  flick_cdr_swap_decode_signed32(0, _data->a3.b1, CORBA_long );
  flick_cdr_swap_decode_char8(4, _data->a3.b2, CORBA_char );
  flick_iiop_decode_end_chunk(5);
  flick_iiop_decode_end_glob(33);
  return 0;
  {
  _flick_abort154:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

flick_operation_success_t a_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned int _request_id, FLICK_TARGET _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t30_switch_tag;

    flick_iiop_decode_new_glob(16);
    flick_iiop_check_span(12, _flick_abort185);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t30_switch_tag, unsigned int );
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t30_switch_tag)
      {
      case (unsigned int) 4:
        {
          unsigned int _t31_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t31_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t31_switch_tag)
            {
            case /* opA */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869627648):
              {
                {
                  a _obj;
                  unsigned int _t32_principal_len;
                  struct Foo2 _return;
                  struct a_astruct *_local_b;
                  struct a_astruct _t33_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t34_storage;

                  flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort459);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t32_principal_len, unsigned int );
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(16);
                  flick_iiop_check_span(_t32_principal_len + 1, _flick_abort459);
                  flick_iiop_decode_new_glob(_t32_principal_len);
                  flick_iiop_decode_new_chunk(_t32_principal_len);
                  flick_iiop_decode_end_chunk(_t32_principal_len);
                  flick_iiop_decode_end_glob(_t32_principal_len);
                  /* Begin decode phase on parameters */
                  _local_b = (struct a_astruct *)(&_t33_storage);
                  flick_iiop_decode_new_glob(33);
                  flick_iiop_decode_new_chunk(1);
                  flick_cdr_swap_decode_char8(0, _local_b->a1._d, CORBA_char );
                  flick_iiop_decode_end_chunk(1);
                  switch (_local_b->a1._d)
                    {
                    case 'a':
                      {
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort471);
                        flick_cdr_swap_decode_signed32(0, _local_b->a1._u.x, CORBA_long );
                        flick_iiop_decode_end_chunk(4);
                        break;
                        {
                        _flick_abort471:
                          goto _flick_abort459;
                        }
                      }
                    case 'b':
                      {
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(5, _flick_abort472);
                        flick_cdr_swap_decode_signed32(0, _local_b->a1._u.y._d, CORBA_long );
                        flick_iiop_decode_end_chunk(4);
                        switch (_local_b->a1._u.y._d)
                          {
                          case 1:
                            {
                              flick_iiop_check_span(4, _flick_abort477);
                              flick_iiop_decode_new_chunk(4);
                              flick_cdr_swap_decode_signed32(0, _local_b->a1._u.y._u.x, CORBA_long );
                              flick_iiop_decode_end_chunk(4);
                              break;
                              {
                              _flick_abort477:
                                goto _flick_abort472;
                              }
                            }
                          case 2:
                            {
                              flick_iiop_check_span(5, _flick_abort478);
                              flick_iiop_decode_new_chunk(5);
                              flick_cdr_swap_decode_signed32(0, _local_b->a1._u.y._u.y.b1, CORBA_long );
                              flick_cdr_swap_decode_char8(4, _local_b->a1._u.y._u.y.b2, CORBA_char );
                              flick_iiop_decode_end_chunk(5);
                              break;
                              {
                              _flick_abort478:
                                goto _flick_abort472;
                              }
                            }
                          default:
                            {
                              flick_iiop_decode_new_chunk(1);
                              flick_cdr_swap_decode_char8(0, _local_b->a1._u.y._u.z, CORBA_char );
                              flick_iiop_decode_end_chunk(1);
                              break;
                            }
                          }
                        break;
                        {
                        _flick_abort472:
                          goto _flick_abort459;
                        }
                      }
                    default:
                      {
                        break;
                      }
                    }
                  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                  flick_iiop_check_span(5, _flick_abort459);
                  flick_cdr_swap_decode_signed32(0, _local_b->a2._d, CORBA_long );
                  flick_iiop_decode_end_chunk(4);
                  switch (_local_b->a2._d)
                    {
                    case 1:
                      {
                        flick_iiop_check_span(4, _flick_abort485);
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_swap_decode_signed32(0, _local_b->a2._u.x, CORBA_long );
                        flick_iiop_decode_end_chunk(4);
                        break;
                        {
                        _flick_abort485:
                          goto _flick_abort459;
                        }
                      }
                    case 2:
                      {
                        flick_iiop_check_span(5, _flick_abort486);
                        flick_iiop_decode_new_chunk(5);
                        flick_cdr_swap_decode_signed32(0, _local_b->a2._u.y.b1, CORBA_long );
                        flick_cdr_swap_decode_char8(4, _local_b->a2._u.y.b2, CORBA_char );
                        flick_iiop_decode_end_chunk(5);
                        break;
                        {
                        _flick_abort486:
                          goto _flick_abort459;
                        }
                      }
                    default:
                      {
                        flick_iiop_decode_new_chunk(1);
                        flick_cdr_swap_decode_char8(0, _local_b->a2._u.z, CORBA_char );
                        flick_iiop_decode_end_chunk(1);
                        break;
                      }
                    }
                  flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
                  flick_iiop_check_span(5, _flick_abort459);
                  flick_cdr_swap_decode_signed32(0, _local_b->a3.b1, CORBA_long );
                  flick_cdr_swap_decode_char8(4, _local_b->a3.b2, CORBA_char );
                  _ev = (CORBA_Environment *)(&_t34_storage);
                  flick_iiop_decode_end_chunk(5);
                  flick_iiop_decode_end_glob(33);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = a_opA(_obj, _local_b, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort459);
                    flick_iiop_encode_new_glob(17, _flick_abort459);
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_iiop_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiop_encode_new_chunk(1);
                          flick_cdr_encode_char8(0, _return._d, CORBA_char );
                          flick_iiop_encode_end_chunk(1);
                          switch (_return._d)
                            {
                            case 'a':
                              {
                                flick_iiop_encode_new_chunk(7);
                                flick_cdr_encode_signed32(3, _return._u.x, CORBA_long );
                                flick_iiop_encode_end_chunk(7);
                                break;
                              }
                            case 'b':
                              {
                                flick_iiop_encode_new_chunk(7);
                                flick_cdr_encode_signed32(3, _return._u.y._d, CORBA_long );
                                flick_iiop_encode_end_chunk(7);
                                switch (_return._u.y._d)
                                  {
                                  case 1:
                                    {
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _return._u.y._u.x, CORBA_long );
                                      flick_iiop_encode_end_chunk(4);
                                      break;
                                    }
                                  case 2:
                                    {
                                      flick_iiop_encode_new_chunk(5);
                                      flick_cdr_encode_signed32(0, _return._u.y._u.y.b1, CORBA_long );
                                      flick_cdr_encode_char8(4, _return._u.y._u.y.b2, CORBA_char );
                                      flick_iiop_encode_end_chunk(5);
                                      break;
                                    }
                                  default:
                                    {
                                      flick_iiop_encode_new_chunk(1);
                                      flick_cdr_encode_char8(0, _return._u.y._u.z, CORBA_char );
                                      flick_iiop_encode_end_chunk(1);
                                      break;
                                    }
                                  }
                                break;
                              }
                            default:
                              {
                                break;
                              }
                            }
                          flick_iiop_encode_end_glob(17);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_iiop_encode_end_glob(17);
                          flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort535);
                          break;
                          {
                          _flick_abort535:
                            goto _flick_abort459;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort536);
                          flick_iiop_encode_end_glob(17);
                          break;
                          {
                          _flick_abort536:
                            goto _flick_abort459;
                          }
                        }
                      }
                  }
                  flick_iiop_server_end_encode();
                  break;
                  {
                  _flick_abort459:
                    goto _flick_abort458;
                  }
                }
                break;
                {
                _flick_abort458:
                  goto _flick_abort185;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort185);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t35_switch_tag;

          flick_iiop_check_span(12, _flick_abort185);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t35_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t35_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t36_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t36_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t36_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t37_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t38_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t39_storage;
                        char **_par;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort538);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t37_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t37_principal_len, _flick_abort538);
                        flick_iiop_decode_new_glob(_t37_principal_len);
                        flick_iiop_decode_new_chunk(_t37_principal_len);
                        flick_iiop_decode_end_chunk(_t37_principal_len);
                        flick_iiop_decode_end_glob(_t37_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort538);
                        flick_cdr_swap_decode_unsigned32(0, _t38_temp_string_len, flick_unsigned32_t );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(1 * _t38_temp_string_len);
                        flick_iiop_check_span(1 * _t38_temp_string_len, _flick_abort538);
                        flick_iiop_decode_new_chunk(1 * _t38_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_iiop_decode_end_chunk(1 * _t38_temp_string_len);
                        flick_iiop_decode_end_glob(1 * _t38_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t39_storage);
                        _par = flick_interface_parents_a;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort538);
                          flick_iiop_encode_new_glob(5, _flick_abort538);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_iiop_encode_end_chunk(1);
                                flick_iiop_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort546);
                                break;
                                {
                                _flick_abort546:
                                  goto _flick_abort538;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort547);
                                flick_iiop_encode_end_glob(5);
                                break;
                                {
                                _flick_abort547:
                                  goto _flick_abort538;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort538:
                          goto _flick_abort537;
                        }
                      }
                      break;
                      {
                      _flick_abort537:
                        goto _flick_abort185;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort185);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort185);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort185);
          flick_iiop_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t10_switch_tag;

    flick_iiop_decode_new_glob(16);
    flick_iiop_check_span(12, _flick_abort185);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t10_switch_tag, unsigned int );
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t10_switch_tag)
      {
      case (unsigned int) 4:
        {
          unsigned int _t11_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t11_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t11_switch_tag)
            {
            case /* opA */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869627648):
              {
                {
                  a _obj;
                  unsigned int _t12_principal_len;
                  struct Foo2 _return;
                  struct a_astruct *_local_b;
                  struct a_astruct _t13_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t14_storage;

                  flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort278);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t12_principal_len, unsigned int );
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(16);
                  flick_iiop_check_span(_t12_principal_len + 1, _flick_abort278);
                  flick_iiop_decode_new_glob(_t12_principal_len);
                  flick_iiop_decode_new_chunk(_t12_principal_len);
                  flick_iiop_decode_end_chunk(_t12_principal_len);
                  flick_iiop_decode_end_glob(_t12_principal_len);
                  /* Begin decode phase on parameters */
                  _local_b = (struct a_astruct *)(&_t13_storage);
                  flick_iiop_decode_new_glob(33);
                  flick_iiop_decode_new_chunk(1);
                  flick_cdr_decode_char8(0, _local_b->a1._d, CORBA_char );
                  flick_iiop_decode_end_chunk(1);
                  switch (_local_b->a1._d)
                    {
                    case 'a':
                      {
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort290);
                        flick_cdr_decode_signed32(0, _local_b->a1._u.x, CORBA_long );
                        flick_iiop_decode_end_chunk(4);
                        break;
                        {
                        _flick_abort290:
                          goto _flick_abort278;
                        }
                      }
                    case 'b':
                      {
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(5, _flick_abort291);
                        flick_cdr_decode_signed32(0, _local_b->a1._u.y._d, CORBA_long );
                        flick_iiop_decode_end_chunk(4);
                        switch (_local_b->a1._u.y._d)
                          {
                          case 1:
                            {
                              flick_iiop_check_span(4, _flick_abort296);
                              flick_iiop_decode_new_chunk(4);
                              flick_cdr_decode_signed32(0, _local_b->a1._u.y._u.x, CORBA_long );
                              flick_iiop_decode_end_chunk(4);
                              break;
                              {
                              _flick_abort296:
                                goto _flick_abort291;
                              }
                            }
                          case 2:
                            {
                              flick_iiop_check_span(5, _flick_abort297);
                              flick_iiop_decode_new_chunk(5);
                              flick_cdr_decode_signed32(0, _local_b->a1._u.y._u.y.b1, CORBA_long );
                              flick_cdr_decode_char8(4, _local_b->a1._u.y._u.y.b2, CORBA_char );
                              flick_iiop_decode_end_chunk(5);
                              break;
                              {
                              _flick_abort297:
                                goto _flick_abort291;
                              }
                            }
                          default:
                            {
                              flick_iiop_decode_new_chunk(1);
                              flick_cdr_decode_char8(0, _local_b->a1._u.y._u.z, CORBA_char );
                              flick_iiop_decode_end_chunk(1);
                              break;
                            }
                          }
                        break;
                        {
                        _flick_abort291:
                          goto _flick_abort278;
                        }
                      }
                    default:
                      {
                        break;
                      }
                    }
                  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                  flick_iiop_check_span(5, _flick_abort278);
                  flick_cdr_decode_signed32(0, _local_b->a2._d, CORBA_long );
                  flick_iiop_decode_end_chunk(4);
                  switch (_local_b->a2._d)
                    {
                    case 1:
                      {
                        flick_iiop_check_span(4, _flick_abort304);
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_signed32(0, _local_b->a2._u.x, CORBA_long );
                        flick_iiop_decode_end_chunk(4);
                        break;
                        {
                        _flick_abort304:
                          goto _flick_abort278;
                        }
                      }
                    case 2:
                      {
                        flick_iiop_check_span(5, _flick_abort305);
                        flick_iiop_decode_new_chunk(5);
                        flick_cdr_decode_signed32(0, _local_b->a2._u.y.b1, CORBA_long );
                        flick_cdr_decode_char8(4, _local_b->a2._u.y.b2, CORBA_char );
                        flick_iiop_decode_end_chunk(5);
                        break;
                        {
                        _flick_abort305:
                          goto _flick_abort278;
                        }
                      }
                    default:
                      {
                        flick_iiop_decode_new_chunk(1);
                        flick_cdr_decode_char8(0, _local_b->a2._u.z, CORBA_char );
                        flick_iiop_decode_end_chunk(1);
                        break;
                      }
                    }
                  flick_iiop_decode_new_chunk_align(5, 2, 0, 0);
                  flick_iiop_check_span(5, _flick_abort278);
                  flick_cdr_decode_signed32(0, _local_b->a3.b1, CORBA_long );
                  flick_cdr_decode_char8(4, _local_b->a3.b2, CORBA_char );
                  _ev = (CORBA_Environment *)(&_t14_storage);
                  flick_iiop_decode_end_chunk(5);
                  flick_iiop_decode_end_glob(33);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = a_opA(_obj, _local_b, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort278);
                    flick_iiop_encode_new_glob(17, _flick_abort278);
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_iiop_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiop_encode_new_chunk(1);
                          flick_cdr_encode_char8(0, _return._d, CORBA_char );
                          flick_iiop_encode_end_chunk(1);
                          switch (_return._d)
                            {
                            case 'a':
                              {
                                flick_iiop_encode_new_chunk(7);
                                flick_cdr_encode_signed32(3, _return._u.x, CORBA_long );
                                flick_iiop_encode_end_chunk(7);
                                break;
                              }
                            case 'b':
                              {
                                flick_iiop_encode_new_chunk(7);
                                flick_cdr_encode_signed32(3, _return._u.y._d, CORBA_long );
                                flick_iiop_encode_end_chunk(7);
                                switch (_return._u.y._d)
                                  {
                                  case 1:
                                    {
                                      flick_iiop_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _return._u.y._u.x, CORBA_long );
                                      flick_iiop_encode_end_chunk(4);
                                      break;
                                    }
                                  case 2:
                                    {
                                      flick_iiop_encode_new_chunk(5);
                                      flick_cdr_encode_signed32(0, _return._u.y._u.y.b1, CORBA_long );
                                      flick_cdr_encode_char8(4, _return._u.y._u.y.b2, CORBA_char );
                                      flick_iiop_encode_end_chunk(5);
                                      break;
                                    }
                                  default:
                                    {
                                      flick_iiop_encode_new_chunk(1);
                                      flick_cdr_encode_char8(0, _return._u.y._u.z, CORBA_char );
                                      flick_iiop_encode_end_chunk(1);
                                      break;
                                    }
                                  }
                                break;
                              }
                            default:
                              {
                                break;
                              }
                            }
                          flick_iiop_encode_end_glob(17);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_iiop_encode_end_glob(17);
                          flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort354);
                          break;
                          {
                          _flick_abort354:
                            goto _flick_abort278;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort355);
                          flick_iiop_encode_end_glob(17);
                          break;
                          {
                          _flick_abort355:
                            goto _flick_abort278;
                          }
                        }
                      }
                  }
                  flick_iiop_server_end_encode();
                  break;
                  {
                  _flick_abort278:
                    goto _flick_abort277;
                  }
                }
                break;
                {
                _flick_abort277:
                  goto _flick_abort185;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort185);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t15_switch_tag;

          flick_iiop_check_span(12, _flick_abort185);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t15_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t15_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t16_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t16_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t16_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t17_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t18_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t19_storage;
                        char **_par;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort357);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t17_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t17_principal_len, _flick_abort357);
                        flick_iiop_decode_new_glob(_t17_principal_len);
                        flick_iiop_decode_new_chunk(_t17_principal_len);
                        flick_iiop_decode_end_chunk(_t17_principal_len);
                        flick_iiop_decode_end_glob(_t17_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort357);
                        flick_cdr_decode_unsigned32(0, _t18_temp_string_len, flick_unsigned32_t );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(1 * _t18_temp_string_len);
                        flick_iiop_check_span(1 * _t18_temp_string_len, _flick_abort357);
                        flick_iiop_decode_new_chunk(1 * _t18_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_iiop_decode_end_chunk(1 * _t18_temp_string_len);
                        flick_iiop_decode_end_glob(1 * _t18_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t19_storage);
                        _par = flick_interface_parents_a;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort357);
                          flick_iiop_encode_new_glob(5, _flick_abort357);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_iiop_encode_end_chunk(1);
                                flick_iiop_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort365);
                                break;
                                {
                                _flick_abort365:
                                  goto _flick_abort357;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort366);
                                flick_iiop_encode_end_glob(5);
                                break;
                                {
                                _flick_abort366:
                                  goto _flick_abort357;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort357:
                          goto _flick_abort356;
                        }
                      }
                      break;
                      {
                      _flick_abort356:
                        goto _flick_abort185;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort185);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort185);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort185);
          flick_iiop_decode_end_glob(16);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort185:
    flick_corba_server_error(cdr, iiop, _flick_reaper, _flick_abort184);
  _flick_abort184:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

