#include "unionplain_-server.h"

/* This is the runtime type information */
char *flick_interface_parents_un[] = {
	"IDL:un:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
int flick_marshal_stub_Foo(flick_marshal_stream_t _stream, struct Foo *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(8, _flick_abort0);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->_d, CORBA_long );
  flick_iiop_encode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_iiop_encode_new_chunk(4);
        flick_cdr_encode_signed32(0, _data->_u.x, CORBA_long );
        flick_iiop_encode_end_chunk(4);
        break;
      }
    case 2:
      {
        flick_iiop_encode_new_chunk(2);
        flick_cdr_encode_signed16(0, _data->_u.y, CORBA_short );
        flick_iiop_encode_end_chunk(2);
        break;
      }
    default:
      {
        flick_iiop_encode_new_chunk(1);
        flick_cdr_encode_char8(0, _data->_u.z, CORBA_char );
        flick_iiop_encode_end_chunk(1);
        break;
      }
    }
  flick_iiop_encode_end_glob(8);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_Foo(flick_marshal_stream_t _stream, struct Foo *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(8);
  flick_iiop_check_span(5, _flick_abort8);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, _data->_d, CORBA_long );
  flick_iiop_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_iiop_check_span(4, _flick_abort13);
        flick_iiop_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _data->_u.x, CORBA_long );
        flick_iiop_decode_end_chunk(4);
        break;
        {
        _flick_abort13:
          goto _flick_abort8;
        }
      }
    case 2:
      {
        flick_iiop_check_span(2, _flick_abort14);
        flick_iiop_decode_new_chunk(2);
        flick_cdr_decode_signed16(0, _data->_u.y, CORBA_short );
        flick_iiop_decode_end_chunk(2);
        break;
        {
        _flick_abort14:
          goto _flick_abort8;
        }
      }
    default:
      {
        flick_iiop_decode_new_chunk(1);
        flick_cdr_decode_char8(0, _data->_u.z, CORBA_char );
        flick_iiop_decode_end_chunk(1);
        break;
      }
    }
  flick_iiop_decode_end_glob(8);
  return 0;
  {
  _flick_abort8:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_Foo_swap(flick_marshal_stream_t _stream, struct Foo *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(8);
  flick_iiop_check_span(5, _flick_abort16);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, _data->_d, CORBA_long );
  flick_iiop_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_iiop_check_span(4, _flick_abort21);
        flick_iiop_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _data->_u.x, CORBA_long );
        flick_iiop_decode_end_chunk(4);
        break;
        {
        _flick_abort21:
          goto _flick_abort16;
        }
      }
    case 2:
      {
        flick_iiop_check_span(2, _flick_abort22);
        flick_iiop_decode_new_chunk(2);
        flick_cdr_swap_decode_signed16(0, _data->_u.y, CORBA_short );
        flick_iiop_decode_end_chunk(2);
        break;
        {
        _flick_abort22:
          goto _flick_abort16;
        }
      }
    default:
      {
        flick_iiop_decode_new_chunk(1);
        flick_cdr_swap_decode_char8(0, _data->_u.z, CORBA_char );
        flick_iiop_decode_end_chunk(1);
        break;
      }
    }
  flick_iiop_decode_end_glob(8);
  return 0;
  {
  _flick_abort16:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_Foo2(flick_marshal_stream_t _stream, struct Foo2 *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(8, _flick_abort24);
  flick_iiop_encode_new_chunk(1);
  flick_cdr_encode_char8(0, _data->_d, CORBA_char );
  flick_iiop_encode_end_chunk(1);
  switch (_data->_d)
    {
    case 'a':
      {
        flick_iiop_encode_new_chunk(7);
        flick_cdr_encode_signed32(3, _data->_u.x, CORBA_long );
        flick_iiop_encode_end_chunk(7);
        break;
      }
    case 'b':
      {
        flick_iiop_encode_new_chunk(3);
        flick_cdr_encode_signed16(1, _data->_u.y, CORBA_short );
        flick_iiop_encode_end_chunk(3);
        break;
      }
    case 'c':
      {
        flick_iiop_encode_new_chunk(1);
        flick_cdr_encode_char8(0, _data->_u.z, CORBA_char );
        flick_iiop_encode_end_chunk(1);
        break;
      }
    default:
      {
        break;
      }
    }
  flick_iiop_encode_end_glob(8);
  return 0;
  {
  _flick_abort24:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_Foo2(flick_marshal_stream_t _stream, struct Foo2 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(8);
  flick_iiop_check_span(2, _flick_abort34);
  flick_iiop_decode_new_chunk(1);
  flick_cdr_decode_char8(0, _data->_d, CORBA_char );
  flick_iiop_decode_end_chunk(1);
  switch (_data->_d)
    {
    case 'a':
      {
        flick_iiop_check_span(7, _flick_abort40);
        flick_iiop_decode_new_chunk(7);
        flick_cdr_decode_signed32(3, _data->_u.x, CORBA_long );
        flick_iiop_decode_end_chunk(7);
        break;
        {
        _flick_abort40:
          goto _flick_abort34;
        }
      }
    case 'b':
      {
        flick_iiop_check_span(3, _flick_abort41);
        flick_iiop_decode_new_chunk(3);
        flick_cdr_decode_signed16(1, _data->_u.y, CORBA_short );
        flick_iiop_decode_end_chunk(3);
        break;
        {
        _flick_abort41:
          goto _flick_abort34;
        }
      }
    case 'c':
      {
        flick_iiop_decode_new_chunk(1);
        flick_cdr_decode_char8(0, _data->_u.z, CORBA_char );
        flick_iiop_decode_end_chunk(1);
        break;
      }
    default:
      {
        break;
      }
    }
  flick_iiop_decode_end_glob(8);
  return 0;
  {
  _flick_abort34:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_Foo2_swap(flick_marshal_stream_t _stream, struct Foo2 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(8);
  flick_iiop_check_span(2, _flick_abort44);
  flick_iiop_decode_new_chunk(1);
  flick_cdr_swap_decode_char8(0, _data->_d, CORBA_char );
  flick_iiop_decode_end_chunk(1);
  switch (_data->_d)
    {
    case 'a':
      {
        flick_iiop_check_span(7, _flick_abort50);
        flick_iiop_decode_new_chunk(7);
        flick_cdr_swap_decode_signed32(3, _data->_u.x, CORBA_long );
        flick_iiop_decode_end_chunk(7);
        break;
        {
        _flick_abort50:
          goto _flick_abort44;
        }
      }
    case 'b':
      {
        flick_iiop_check_span(3, _flick_abort51);
        flick_iiop_decode_new_chunk(3);
        flick_cdr_swap_decode_signed16(1, _data->_u.y, CORBA_short );
        flick_iiop_decode_end_chunk(3);
        break;
        {
        _flick_abort51:
          goto _flick_abort44;
        }
      }
    case 'c':
      {
        flick_iiop_decode_new_chunk(1);
        flick_cdr_swap_decode_char8(0, _data->_u.z, CORBA_char );
        flick_iiop_decode_end_chunk(1);
        break;
      }
    default:
      {
        break;
      }
    }
  flick_iiop_decode_end_glob(8);
  return 0;
  {
  _flick_abort44:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_Foo3(flick_marshal_stream_t _stream, struct Foo3 *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(8, _flick_abort54);
  flick_iiop_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, _data->_d, CORBA_short );
  flick_iiop_encode_end_chunk(2);
  switch (_data->_d)
    {
    case -1:
      {
        flick_iiop_encode_new_chunk(2);
        flick_cdr_encode_signed16(0, _data->_u.a, CORBA_short );
        flick_iiop_encode_end_chunk(2);
        break;
      }
    case 50:
      {
        flick_iiop_encode_new_chunk(6);
        flick_cdr_encode_signed32(2, _data->_u.b, CORBA_long );
        flick_iiop_encode_end_chunk(6);
        break;
      }
    default:
      {
        flick_iiop_encode_new_chunk(1);
        flick_cdr_encode_char8(0, _data->_u.c, CORBA_char );
        flick_iiop_encode_end_chunk(1);
        break;
      }
    }
  flick_iiop_encode_end_glob(8);
  return 0;
  {
  _flick_abort54:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_Foo3(flick_marshal_stream_t _stream, struct Foo3 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(8);
  flick_iiop_check_span(3, _flick_abort62);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, _data->_d, CORBA_short );
  flick_iiop_decode_end_chunk(2);
  switch (_data->_d)
    {
    case -1:
      {
        flick_iiop_check_span(2, _flick_abort67);
        flick_iiop_decode_new_chunk(2);
        flick_cdr_decode_signed16(0, _data->_u.a, CORBA_short );
        flick_iiop_decode_end_chunk(2);
        break;
        {
        _flick_abort67:
          goto _flick_abort62;
        }
      }
    case 50:
      {
        flick_iiop_check_span(6, _flick_abort68);
        flick_iiop_decode_new_chunk(6);
        flick_cdr_decode_signed32(2, _data->_u.b, CORBA_long );
        flick_iiop_decode_end_chunk(6);
        break;
        {
        _flick_abort68:
          goto _flick_abort62;
        }
      }
    default:
      {
        flick_iiop_decode_new_chunk(1);
        flick_cdr_decode_char8(0, _data->_u.c, CORBA_char );
        flick_iiop_decode_end_chunk(1);
        break;
      }
    }
  flick_iiop_decode_end_glob(8);
  return 0;
  {
  _flick_abort62:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_Foo3_swap(flick_marshal_stream_t _stream, struct Foo3 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(8);
  flick_iiop_check_span(3, _flick_abort70);
  flick_iiop_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->_d, CORBA_short );
  flick_iiop_decode_end_chunk(2);
  switch (_data->_d)
    {
    case -1:
      {
        flick_iiop_check_span(2, _flick_abort75);
        flick_iiop_decode_new_chunk(2);
        flick_cdr_swap_decode_signed16(0, _data->_u.a, CORBA_short );
        flick_iiop_decode_end_chunk(2);
        break;
        {
        _flick_abort75:
          goto _flick_abort70;
        }
      }
    case 50:
      {
        flick_iiop_check_span(6, _flick_abort76);
        flick_iiop_decode_new_chunk(6);
        flick_cdr_swap_decode_signed32(2, _data->_u.b, CORBA_long );
        flick_iiop_decode_end_chunk(6);
        break;
        {
        _flick_abort76:
          goto _flick_abort70;
        }
      }
    default:
      {
        flick_iiop_decode_new_chunk(1);
        flick_cdr_swap_decode_char8(0, _data->_u.c, CORBA_char );
        flick_iiop_decode_end_chunk(1);
        break;
      }
    }
  flick_iiop_decode_end_glob(8);
  return 0;
  {
  _flick_abort70:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_Foo4(flick_marshal_stream_t _stream, struct Foo4 *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiop_encode_new_glob(48, _flick_abort78);
  flick_iiop_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->_d, CORBA_long );
  flick_iiop_encode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_unsigned32_t _t1_temp_string_len;

        flick_cdr_stringlen(CORBA_char *, _data->_u.a, flick_unsigned32_t , _t1_temp_string_len);

        flick_iiop_encode_new_chunk(4);
        flick_cdr_encode_unsigned32(0, _t1_temp_string_len, flick_unsigned32_t );
        flick_iiop_encode_end_chunk(4);
        flick_iiop_encode_end_glob(48);
        flick_iiop_encode_new_glob(1 * _t1_temp_string_len, _flick_abort87);
        flick_iiop_encode_new_chunk(1 * _t1_temp_string_len);
        flick_cdr_encode_bcopy(0, _data->_u.a, 1 * _t1_temp_string_len);
        CORBA_flick_free(_data->_u.a);
        flick_iiop_encode_end_chunk(1 * _t1_temp_string_len);
        flick_iiop_encode_end_glob(1 * _t1_temp_string_len);
        break;
        {
        _flick_abort87:
          goto _flick_abort78;
        }
      }
    case 2:
      {
        flick_iiop_encode_new_chunk(4 + 4 * _data->_u.b._length);
        flick_cdr_encode_unsigned32(0, _data->_u.b._length, CORBA_unsigned_long );
        if (_data->_u.b._length > 10)
          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort90);
        flick_cdr_encode_bcopy(4, _data->_u.b._buffer, 4 * _data->_u.b._length);
        if (_data->_u.b._release)
          CORBA_flick_free(_data->_u.b._buffer);
        _data->_u.b._maximum = 0;
        _data->_u.b._release = 0;
        flick_iiop_encode_end_chunk(4 + 4 * _data->_u.b._length);
        flick_iiop_encode_end_glob(48);
        break;
        {
        _flick_abort90:
          goto _flick_abort78;
        }
      }
    default:
      {
        flick_iiop_encode_new_chunk(4);
        flick_cdr_encode_signed32(0, _data->_u.c, CORBA_long );
        flick_iiop_encode_end_chunk(4);
        flick_iiop_encode_end_glob(48);
        break;
      }
    }
  return 0;
  {
  _flick_abort78:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_Foo4(flick_marshal_stream_t _stream, struct Foo4 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(48);
  flick_iiop_check_span(8, _flick_abort94);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, _data->_d, CORBA_long );
  flick_iiop_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_unsigned32_t _t3_temp_string_len;

        flick_iiop_decode_new_chunk(4);
        flick_cdr_decode_unsigned32(0, _t3_temp_string_len, flick_unsigned32_t );
        flick_iiop_decode_end_chunk(4);
        flick_iiop_decode_end_glob(48);
        flick_iiop_decode_new_glob(1 * _t3_temp_string_len);
        flick_iiop_check_span(1 * _t3_temp_string_len, _flick_abort106);
        flick_iiop_decode_new_chunk(1 * _t3_temp_string_len);
        {
          CORBA_char *_t_alloc_ptr;

          _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t3_temp_string_len * sizeof(CORBA_char )));
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort106);
          _data->_u.a = _t_alloc_ptr;
        }
        flick_cdr_decode_bcopy(0, _data->_u.a, 1 * _t3_temp_string_len);
        flick_iiop_decode_end_chunk(1 * _t3_temp_string_len);
        flick_iiop_decode_end_glob(1 * _t3_temp_string_len);
        break;
        {
        _flick_abort106:
          goto _flick_abort94;
        }
      }
    case 2:
      {
        flick_iiop_decode_new_chunk(4);
        flick_cdr_decode_unsigned32(0, _data->_u.b._length, CORBA_unsigned_long );
        if (_data->_u.b._length > 10)
          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort110);
        flick_iiop_decode_end_chunk(4);
        flick_iiop_check_span(4 * _data->_u.b._length, _flick_abort110);
        flick_iiop_decode_new_chunk(4 * _data->_u.b._length);
        {
          CORBA_long *_t_alloc_ptr;

          _t_alloc_ptr = (CORBA_long *)(CORBA_flick_alloc(10 * sizeof(CORBA_long )));
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort110);
          _data->_u.b._buffer = _t_alloc_ptr;
          _data->_u.b._maximum = 10;
          _data->_u.b._release = 1;
        }
        flick_cdr_decode_bcopy(0, _data->_u.b._buffer, 4 * _data->_u.b._length);
        flick_iiop_decode_end_chunk(4 * _data->_u.b._length);
        flick_iiop_decode_end_glob(48);
        break;
        {
        _flick_abort110:
          goto _flick_abort94;
        }
      }
    default:
      {
        flick_iiop_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _data->_u.c, CORBA_long );
        flick_iiop_decode_end_chunk(4);
        flick_iiop_decode_end_glob(48);
        break;
      }
    }
  return 0;
  {
  _flick_abort94:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_Foo4_swap(flick_marshal_stream_t _stream, struct Foo4 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiop_decode_new_glob(48);
  flick_iiop_check_span(8, _flick_abort116);
  flick_iiop_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, _data->_d, CORBA_long );
  flick_iiop_decode_end_chunk(4);
  switch (_data->_d)
    {
    case 1:
      {
        flick_unsigned32_t _t6_temp_string_len;

        flick_iiop_decode_new_chunk(4);
        flick_cdr_swap_decode_unsigned32(0, _t6_temp_string_len, flick_unsigned32_t );
        flick_iiop_decode_end_chunk(4);
        flick_iiop_decode_end_glob(48);
        flick_iiop_decode_new_glob(1 * _t6_temp_string_len);
        flick_iiop_check_span(1 * _t6_temp_string_len, _flick_abort131);
        flick_iiop_decode_new_chunk(1 * _t6_temp_string_len);
        {
          CORBA_char *_t_alloc_ptr;

          _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t6_temp_string_len * sizeof(CORBA_char )));
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort131);
          _data->_u.a = _t_alloc_ptr;
        }
        flick_cdr_swap_decode_bcopy(0, _data->_u.a, 1 * _t6_temp_string_len);
        flick_iiop_decode_end_chunk(1 * _t6_temp_string_len);
        flick_iiop_decode_end_glob(1 * _t6_temp_string_len);
        break;
        {
        _flick_abort131:
          goto _flick_abort116;
        }
      }
    case 2:
      {
        CORBA_unsigned_long _t7_array_iter;

        flick_iiop_decode_new_chunk(4);
        flick_cdr_swap_decode_unsigned32(0, _data->_u.b._length, CORBA_unsigned_long );
        flick_iiop_decode_end_chunk(4);
        if (_data->_u.b._length > 10)
          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort135);
        {
          CORBA_long *_t_alloc_ptr;

          _t_alloc_ptr = (CORBA_long *)(CORBA_flick_alloc(10 * sizeof(CORBA_long )));
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort135);
          _data->_u.b._buffer = _t_alloc_ptr;
          _data->_u.b._maximum = 10;
          _data->_u.b._release = 1;
        }
        flick_iiop_check_span(_data->_u.b._length * 4, _flick_abort139);
        for (_t7_array_iter = 0; _t7_array_iter < _data->_u.b._length; _t7_array_iter++)
          {
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_signed32(0, _data->_u.b._buffer[_t7_array_iter], CORBA_long );
            flick_iiop_decode_end_chunk(4);
            continue;
          }
        flick_iiop_decode_end_glob(48);
        break;
        {
        _flick_abort139:
          CORBA_flick_free(_data->_u.b._buffer);
        _flick_abort135:
          goto _flick_abort116;
        }
      }
    default:
      {
        flick_iiop_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _data->_u.c, CORBA_long );
        flick_iiop_decode_end_chunk(4);
        flick_iiop_decode_end_glob(48);
        break;
      }
    }
  return 0;
  {
  _flick_abort116:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_un(flick_marshal_stream_t _stream, un *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdr_encode_IOR(iiop, *_data, 0, _flick_abort144);
  return 0;
  {
  _flick_abort144:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_un(flick_marshal_stream_t _stream, un *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_decode_IOR(iiop, *_data, 1);
  return 0;
}

int flick_unmarshal_stub_un_swap(flick_marshal_stream_t _stream, un *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swap_decode_IOR(iiop, *_data, 1);
  return 0;
}

flick_operation_success_t un_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned int _request_id, FLICK_TARGET _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t57_switch_tag;

    flick_iiop_decode_new_glob(16);
    flick_iiop_check_span(12, _flick_abort149);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t57_switch_tag, unsigned int );
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t57_switch_tag)
      {
      case (unsigned int) 4:
        {
          unsigned int _t58_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t58_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t58_switch_tag)
            {
            case /* one */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869505792):
              {
                {
                  un _obj;
                  unsigned int _t59_principal_len;
                  struct Foo _return;
                  struct Foo2 *_local_a;
                  struct Foo2 _t60_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t61_storage;

                  flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort402);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t59_principal_len, unsigned int );
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(16);
                  flick_iiop_check_span(_t59_principal_len + 1, _flick_abort402);
                  flick_iiop_decode_new_glob(_t59_principal_len);
                  flick_iiop_decode_new_chunk(_t59_principal_len);
                  flick_iiop_decode_end_chunk(_t59_principal_len);
                  flick_iiop_decode_end_glob(_t59_principal_len);
                  /* Begin decode phase on parameters */
                  _local_a = (struct Foo2 *)(&_t60_storage);
                  flick_iiop_decode_new_glob(8);
                  flick_iiop_decode_new_chunk(1);
                  flick_cdr_swap_decode_char8(0, _local_a->_d, CORBA_char );
                  flick_iiop_decode_end_chunk(1);
                  switch (_local_a->_d)
                    {
                    case 'a':
                      {
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort408);
                        flick_cdr_swap_decode_signed32(0, _local_a->_u.x, CORBA_long );
                        flick_iiop_decode_end_chunk(4);
                        break;
                        {
                        _flick_abort408:
                          goto _flick_abort402;
                        }
                      }
                    case 'b':
                      {
                        flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
                        flick_iiop_check_span(2, _flick_abort409);
                        flick_cdr_swap_decode_signed16(0, _local_a->_u.y, CORBA_short );
                        flick_iiop_decode_end_chunk(2);
                        break;
                        {
                        _flick_abort409:
                          goto _flick_abort402;
                        }
                      }
                    case 'c':
                      {
                        flick_iiop_check_span(1, _flick_abort410);
                        flick_iiop_decode_new_chunk(1);
                        flick_cdr_swap_decode_char8(0, _local_a->_u.z, CORBA_char );
                        flick_iiop_decode_end_chunk(1);
                        break;
                        {
                        _flick_abort410:
                          goto _flick_abort402;
                        }
                      }
                    default:
                      {
                        break;
                      }
                    }
                  _ev = (CORBA_Environment *)(&_t61_storage);
                  flick_iiop_decode_end_glob(8);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = un_one(_obj, _local_a, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort402);
                    flick_iiop_encode_new_glob(12, _flick_abort402);
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_iiop_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _return._d, CORBA_long );
                          flick_iiop_encode_end_chunk(4);
                          switch (_return._d)
                            {
                            case 1:
                              {
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return._u.x, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                break;
                              }
                            case 2:
                              {
                                flick_iiop_encode_new_chunk(2);
                                flick_cdr_encode_signed16(0, _return._u.y, CORBA_short );
                                flick_iiop_encode_end_chunk(2);
                                break;
                              }
                            default:
                              {
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_char8(0, _return._u.z, CORBA_char );
                                flick_iiop_encode_end_chunk(1);
                                break;
                              }
                            }
                          flick_iiop_encode_end_glob(12);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_iiop_encode_end_glob(12);
                          flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort431);
                          break;
                          {
                          _flick_abort431:
                            goto _flick_abort402;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort432);
                          flick_iiop_encode_end_glob(12);
                          break;
                          {
                          _flick_abort432:
                            goto _flick_abort402;
                          }
                        }
                      }
                  }
                  flick_iiop_server_end_encode();
                  break;
                  {
                  _flick_abort402:
                    goto _flick_abort401;
                  }
                }
                break;
                {
                _flick_abort401:
                  goto _flick_abort149;
                }
              }
            case /* two */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953984256):
              {
                {
                  un _obj;
                  unsigned int _t62_principal_len;
                  struct Foo3 _return;
                  struct Foo4 *_local_a;
                  struct Foo4 _t63_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t70_storage;

                  flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort434);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t62_principal_len, unsigned int );
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(16);
                  flick_iiop_check_span(_t62_principal_len, _flick_abort434);
                  flick_iiop_decode_new_glob(_t62_principal_len);
                  flick_iiop_decode_new_chunk(_t62_principal_len);
                  flick_iiop_decode_end_chunk(_t62_principal_len);
                  flick_iiop_decode_end_glob(_t62_principal_len);
                  /* Begin decode phase on parameters */
                  _local_a = (struct Foo4 *)(&_t63_storage);
                  flick_iiop_decode_new_glob(51);
                  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                  flick_iiop_check_span(8, _flick_abort434);
                  flick_cdr_swap_decode_signed32(0, _local_a->_d, CORBA_long );
                  flick_iiop_decode_end_chunk(4);
                  switch (_local_a->_d)
                    {
                    case 1:
                      {
                        flick_unsigned32_t _t67_temp_string_len;

                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t67_temp_string_len, flick_unsigned32_t );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(51);
                        flick_iiop_decode_new_glob(1 * _t67_temp_string_len);
                        flick_iiop_check_span(1 * _t67_temp_string_len, _flick_abort446);
                        flick_iiop_decode_new_chunk(1 * _t67_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_a->_u.a, CORBA_char *);
                        flick_iiop_decode_end_chunk(1 * _t67_temp_string_len);
                        flick_iiop_decode_end_glob(1 * _t67_temp_string_len);
                        break;
                        {
                        _flick_abort446:
                          goto _flick_abort434;
                        }
                      }
                    case 2:
                      {
                        CORBA_long _t68_storage[10];
                        CORBA_unsigned_long _t69_array_iter;

                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _local_a->_u.b._length, CORBA_unsigned_long );
                        flick_iiop_decode_end_chunk(4);
                        if (_local_a->_u.b._length > 10)
                          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort449);
                        _local_a->_u.b._buffer = (CORBA_long *)_t68_storage;
                        _local_a->_u.b._maximum = 10;
                        _local_a->_u.b._release = 0;
                        flick_iiop_check_span(_local_a->_u.b._length * 4, _flick_abort449);
                        for (_t69_array_iter = 0; _t69_array_iter < _local_a->_u.b._length; _t69_array_iter++)
                          {
                            flick_iiop_decode_new_chunk(4);
                            flick_cdr_swap_decode_signed32(0, _local_a->_u.b._buffer[_t69_array_iter], CORBA_long );
                            flick_iiop_decode_end_chunk(4);
                            continue;
                          }
                        flick_iiop_decode_end_glob(51);
                        break;
                        {
                        _flick_abort449:
                          goto _flick_abort434;
                        }
                      }
                    default:
                      {
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_swap_decode_signed32(0, _local_a->_u.c, CORBA_long );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(51);
                        break;
                      }
                    }
                  _ev = (CORBA_Environment *)(&_t70_storage);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = un_two(_obj, _local_a, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort434);
                    flick_iiop_encode_new_glob(12, _flick_abort434);
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_iiop_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiop_encode_new_chunk(2);
                          flick_cdr_encode_signed16(0, _return._d, CORBA_short );
                          flick_iiop_encode_end_chunk(2);
                          switch (_return._d)
                            {
                            case -1:
                              {
                                flick_iiop_encode_new_chunk(2);
                                flick_cdr_encode_signed16(0, _return._u.a, CORBA_short );
                                flick_iiop_encode_end_chunk(2);
                                break;
                              }
                            case 50:
                              {
                                flick_iiop_encode_new_chunk(6);
                                flick_cdr_encode_signed32(2, _return._u.b, CORBA_long );
                                flick_iiop_encode_end_chunk(6);
                                break;
                              }
                            default:
                              {
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_char8(0, _return._u.c, CORBA_char );
                                flick_iiop_encode_end_chunk(1);
                                break;
                              }
                            }
                          flick_iiop_encode_end_glob(12);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_iiop_encode_end_glob(12);
                          flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort475);
                          break;
                          {
                          _flick_abort475:
                            goto _flick_abort434;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort476);
                          flick_iiop_encode_end_glob(12);
                          break;
                          {
                          _flick_abort476:
                            goto _flick_abort434;
                          }
                        }
                      }
                  }
                  flick_iiop_server_end_encode();
                  break;
                  {
                  _flick_abort434:
                    goto _flick_abort433;
                  }
                }
                break;
                {
                _flick_abort433:
                  goto _flick_abort149;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort149);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t71_switch_tag;

          flick_iiop_check_span(12, _flick_abort149);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t71_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t71_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t72_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t72_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t72_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t73_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t74_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t75_storage;
                        char **_par;

                        flick_iiop_server_decode_target(_obj, 0, cdr_swap, _flick_abort478);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t73_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t73_principal_len, _flick_abort478);
                        flick_iiop_decode_new_glob(_t73_principal_len);
                        flick_iiop_decode_new_chunk(_t73_principal_len);
                        flick_iiop_decode_end_chunk(_t73_principal_len);
                        flick_iiop_decode_end_glob(_t73_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort478);
                        flick_cdr_swap_decode_unsigned32(0, _t74_temp_string_len, flick_unsigned32_t );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(1 * _t74_temp_string_len);
                        flick_iiop_check_span(1 * _t74_temp_string_len, _flick_abort478);
                        flick_iiop_decode_new_chunk(1 * _t74_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_iiop_decode_end_chunk(1 * _t74_temp_string_len);
                        flick_iiop_decode_end_glob(1 * _t74_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t75_storage);
                        _par = flick_interface_parents_un;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort478);
                          flick_iiop_encode_new_glob(5, _flick_abort478);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_iiop_encode_end_chunk(1);
                                flick_iiop_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort486);
                                break;
                                {
                                _flick_abort486:
                                  goto _flick_abort478;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort487);
                                flick_iiop_encode_end_glob(5);
                                break;
                                {
                                _flick_abort487:
                                  goto _flick_abort478;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort478:
                          goto _flick_abort477;
                        }
                      }
                      break;
                      {
                      _flick_abort477:
                        goto _flick_abort149;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort149);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort149);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort149);
          flick_iiop_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t23_switch_tag;

    flick_iiop_decode_new_glob(16);
    flick_iiop_check_span(12, _flick_abort149);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t23_switch_tag, unsigned int );
    flick_iiop_decode_end_chunk(4);
    switch ((unsigned int )_t23_switch_tag)
      {
      case (unsigned int) 4:
        {
          unsigned int _t24_switch_tag;

          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t24_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t24_switch_tag)
            {
            case /* one */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869505792):
              {
                {
                  un _obj;
                  unsigned int _t25_principal_len;
                  struct Foo _return;
                  struct Foo2 *_local_a;
                  struct Foo2 _t26_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t27_storage;

                  flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort233);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t25_principal_len, unsigned int );
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(16);
                  flick_iiop_check_span(_t25_principal_len + 1, _flick_abort233);
                  flick_iiop_decode_new_glob(_t25_principal_len);
                  flick_iiop_decode_new_chunk(_t25_principal_len);
                  flick_iiop_decode_end_chunk(_t25_principal_len);
                  flick_iiop_decode_end_glob(_t25_principal_len);
                  /* Begin decode phase on parameters */
                  _local_a = (struct Foo2 *)(&_t26_storage);
                  flick_iiop_decode_new_glob(8);
                  flick_iiop_decode_new_chunk(1);
                  flick_cdr_decode_char8(0, _local_a->_d, CORBA_char );
                  flick_iiop_decode_end_chunk(1);
                  switch (_local_a->_d)
                    {
                    case 'a':
                      {
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort239);
                        flick_cdr_decode_signed32(0, _local_a->_u.x, CORBA_long );
                        flick_iiop_decode_end_chunk(4);
                        break;
                        {
                        _flick_abort239:
                          goto _flick_abort233;
                        }
                      }
                    case 'b':
                      {
                        flick_iiop_decode_new_chunk_align(2, 1, 0, 0);
                        flick_iiop_check_span(2, _flick_abort240);
                        flick_cdr_decode_signed16(0, _local_a->_u.y, CORBA_short );
                        flick_iiop_decode_end_chunk(2);
                        break;
                        {
                        _flick_abort240:
                          goto _flick_abort233;
                        }
                      }
                    case 'c':
                      {
                        flick_iiop_check_span(1, _flick_abort241);
                        flick_iiop_decode_new_chunk(1);
                        flick_cdr_decode_char8(0, _local_a->_u.z, CORBA_char );
                        flick_iiop_decode_end_chunk(1);
                        break;
                        {
                        _flick_abort241:
                          goto _flick_abort233;
                        }
                      }
                    default:
                      {
                        break;
                      }
                    }
                  _ev = (CORBA_Environment *)(&_t27_storage);
                  flick_iiop_decode_end_glob(8);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = un_one(_obj, _local_a, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort233);
                    flick_iiop_encode_new_glob(12, _flick_abort233);
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_iiop_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _return._d, CORBA_long );
                          flick_iiop_encode_end_chunk(4);
                          switch (_return._d)
                            {
                            case 1:
                              {
                                flick_iiop_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return._u.x, CORBA_long );
                                flick_iiop_encode_end_chunk(4);
                                break;
                              }
                            case 2:
                              {
                                flick_iiop_encode_new_chunk(2);
                                flick_cdr_encode_signed16(0, _return._u.y, CORBA_short );
                                flick_iiop_encode_end_chunk(2);
                                break;
                              }
                            default:
                              {
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_char8(0, _return._u.z, CORBA_char );
                                flick_iiop_encode_end_chunk(1);
                                break;
                              }
                            }
                          flick_iiop_encode_end_glob(12);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_iiop_encode_end_glob(12);
                          flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort262);
                          break;
                          {
                          _flick_abort262:
                            goto _flick_abort233;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort263);
                          flick_iiop_encode_end_glob(12);
                          break;
                          {
                          _flick_abort263:
                            goto _flick_abort233;
                          }
                        }
                      }
                  }
                  flick_iiop_server_end_encode();
                  break;
                  {
                  _flick_abort233:
                    goto _flick_abort232;
                  }
                }
                break;
                {
                _flick_abort232:
                  goto _flick_abort149;
                }
              }
            case /* two */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953984256):
              {
                {
                  un _obj;
                  unsigned int _t28_principal_len;
                  struct Foo3 _return;
                  struct Foo4 *_local_a;
                  struct Foo4 _t29_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t32_storage;

                  flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort265);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiop_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t28_principal_len, unsigned int );
                  flick_iiop_decode_end_chunk(4);
                  flick_iiop_decode_end_glob(16);
                  flick_iiop_check_span(_t28_principal_len, _flick_abort265);
                  flick_iiop_decode_new_glob(_t28_principal_len);
                  flick_iiop_decode_new_chunk(_t28_principal_len);
                  flick_iiop_decode_end_chunk(_t28_principal_len);
                  flick_iiop_decode_end_glob(_t28_principal_len);
                  /* Begin decode phase on parameters */
                  _local_a = (struct Foo4 *)(&_t29_storage);
                  flick_iiop_decode_new_glob(51);
                  flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                  flick_iiop_check_span(8, _flick_abort265);
                  flick_cdr_decode_signed32(0, _local_a->_d, CORBA_long );
                  flick_iiop_decode_end_chunk(4);
                  switch (_local_a->_d)
                    {
                    case 1:
                      {
                        flick_unsigned32_t _t31_temp_string_len;

                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t31_temp_string_len, flick_unsigned32_t );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(51);
                        flick_iiop_decode_new_glob(1 * _t31_temp_string_len);
                        flick_iiop_check_span(1 * _t31_temp_string_len, _flick_abort274);
                        flick_iiop_decode_new_chunk(1 * _t31_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_a->_u.a, CORBA_char *);
                        flick_iiop_decode_end_chunk(1 * _t31_temp_string_len);
                        flick_iiop_decode_end_glob(1 * _t31_temp_string_len);
                        break;
                        {
                        _flick_abort274:
                          goto _flick_abort265;
                        }
                      }
                    case 2:
                      {
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _local_a->_u.b._length, CORBA_unsigned_long );
                        if (_local_a->_u.b._length > 10)
                          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort277);
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_check_span(4 * _local_a->_u.b._length, _flick_abort277);
                        flick_iiop_decode_new_chunk(4 * _local_a->_u.b._length);
                        flick_cdr_decode_msgptr(0, _local_a->_u.b._buffer, CORBA_long *);
                        _local_a->_u.b._maximum = _local_a->_u.b._length;
                        _local_a->_u.b._release = 0;
                        flick_iiop_decode_end_chunk(4 * _local_a->_u.b._length);
                        flick_iiop_decode_end_glob(51);
                        break;
                        {
                        _flick_abort277:
                          goto _flick_abort265;
                        }
                      }
                    default:
                      {
                        flick_iiop_decode_new_chunk(4);
                        flick_cdr_decode_signed32(0, _local_a->_u.c, CORBA_long );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(51);
                        break;
                      }
                    }
                  _ev = (CORBA_Environment *)(&_t32_storage);
                  flick_iiop_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = un_two(_obj, _local_a, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiop_server_start_encode();
                  {
                    flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort265);
                    flick_iiop_encode_new_glob(12, _flick_abort265);
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_iiop_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiop_encode_new_chunk(2);
                          flick_cdr_encode_signed16(0, _return._d, CORBA_short );
                          flick_iiop_encode_end_chunk(2);
                          switch (_return._d)
                            {
                            case -1:
                              {
                                flick_iiop_encode_new_chunk(2);
                                flick_cdr_encode_signed16(0, _return._u.a, CORBA_short );
                                flick_iiop_encode_end_chunk(2);
                                break;
                              }
                            case 50:
                              {
                                flick_iiop_encode_new_chunk(6);
                                flick_cdr_encode_signed32(2, _return._u.b, CORBA_long );
                                flick_iiop_encode_end_chunk(6);
                                break;
                              }
                            default:
                              {
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_char8(0, _return._u.c, CORBA_char );
                                flick_iiop_encode_end_chunk(1);
                                break;
                              }
                            }
                          flick_iiop_encode_end_glob(12);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_iiop_encode_end_glob(12);
                          flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort300);
                          break;
                          {
                          _flick_abort300:
                            goto _flick_abort265;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort301);
                          flick_iiop_encode_end_glob(12);
                          break;
                          {
                          _flick_abort301:
                            goto _flick_abort265;
                          }
                        }
                      }
                  }
                  flick_iiop_server_end_encode();
                  break;
                  {
                  _flick_abort265:
                    goto _flick_abort264;
                  }
                }
                break;
                {
                _flick_abort264:
                  goto _flick_abort149;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort149);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t33_switch_tag;

          flick_iiop_check_span(12, _flick_abort149);
          flick_iiop_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t33_switch_tag, unsigned int );
          flick_iiop_decode_end_chunk(4);
          switch ((unsigned int )_t33_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t34_switch_tag;

                flick_iiop_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t34_switch_tag, unsigned short int );
                flick_iiop_decode_end_chunk(2);
                switch ((unsigned short int )_t34_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t35_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t36_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t37_storage;
                        char **_par;

                        flick_iiop_server_decode_target(_obj, 0, cdr, _flick_abort303);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiop_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t35_principal_len, unsigned int );
                        flick_iiop_decode_end_chunk(6);
                        flick_iiop_decode_end_glob(16);
                        flick_iiop_check_span(_t35_principal_len, _flick_abort303);
                        flick_iiop_decode_new_glob(_t35_principal_len);
                        flick_iiop_decode_new_chunk(_t35_principal_len);
                        flick_iiop_decode_end_chunk(_t35_principal_len);
                        flick_iiop_decode_end_glob(_t35_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiop_decode_new_glob(7);
                        flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiop_check_span(4, _flick_abort303);
                        flick_cdr_decode_unsigned32(0, _t36_temp_string_len, flick_unsigned32_t );
                        flick_iiop_decode_end_chunk(4);
                        flick_iiop_decode_end_glob(7);
                        flick_iiop_decode_new_glob(1 * _t36_temp_string_len);
                        flick_iiop_check_span(1 * _t36_temp_string_len, _flick_abort303);
                        flick_iiop_decode_new_chunk(1 * _t36_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_iiop_decode_end_chunk(1 * _t36_temp_string_len);
                        flick_iiop_decode_end_glob(1 * _t36_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t37_storage);
                        _par = flick_interface_parents_un;
                        flick_iiop_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiop_server_start_encode();
                        {
                          flick_iiop_server_encode_target(_obj, 0, cdr, _flick_abort303);
                          flick_iiop_encode_new_glob(5, _flick_abort303);
                          flick_iiop_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_iiop_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiop_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_iiop_encode_end_chunk(1);
                                flick_iiop_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_iiop_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, iiop, _flick_abort311);
                                break;
                                {
                                _flick_abort311:
                                  goto _flick_abort303;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort312);
                                flick_iiop_encode_end_glob(5);
                                break;
                                {
                                _flick_abort312:
                                  goto _flick_abort303;
                                }
                              }
                            }
                        }
                        flick_iiop_server_end_encode();
                        break;
                        {
                        _flick_abort303:
                          goto _flick_abort302;
                        }
                      }
                      break;
                      {
                      _flick_abort302:
                        goto _flick_abort149;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort149);
                      flick_iiop_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort149);
                flick_iiop_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort149);
          flick_iiop_decode_end_glob(16);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort149:
    flick_corba_server_error(cdr, iiop, _flick_reaper, _flick_abort148);
  _flick_abort148:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

