#include "arrayez-server.h"

POA_arrayez::POA_arrayez()
{}

POA_arrayez::POA_arrayez(const POA_arrayez &rhs)
  : TAO_ServantBase(rhs)
{}

POA_arrayez::~POA_arrayez()
{}

arrayez *POA_arrayez::_this(CORBA::Environment &_env)
{
  TAO_Stub *stub = this->_create_stub(_env);
  TAO_CHECK_ENV_RETURN(_env, 0);
  return new _tao_collocated_arrayez(this, stub);
}

CORBA::Boolean POA_arrayez::_is_a(const CORBA::Char *type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)type_id, "IDL:arrayez:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return 0;
}

void *POA_arrayez::_downcast(const char *logical_type_id)
{
  if(ACE_OS::strcmp(logical_type_id, "IDL:arrayez:1.0") == 0)
    return ACE_static_cast(POA_arrayez_ptr , this);
   
  if(ACE_OS::strcmp(logical_type_id, "IDL:omg.org/CORBA/Object:1.0") == 0)
    return ACE_static_cast(PortableServer::Servant, this);
  return 0;
}

const char *POA_arrayez::_interface_repository_id() const
{
  return "IDL:arrayez:1.0";
}

template <class T>
  POA_arrayez_tie<T>::POA_arrayez_tie(T &t)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(0)
{}

template <class T>
  POA_arrayez_tie<T>::POA_arrayez_tie(T &t, PortableServer::POA_ptr poa)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(0)
{}

template <class T>
  POA_arrayez_tie<T>::POA_arrayez_tie(T *t, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(release)
{}

template <class T>
  POA_arrayez_tie<T>::POA_arrayez_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(release)
{}

template <class T>
  POA_arrayez_tie<T>::~POA_arrayez_tie()
{
  if( this->rel_ ) delete this->ptr_;
}

template <class T>
  T *POA_arrayez_tie<T>::_tied_object()
{
  return this->ptr_;
}

template <class T>
  void POA_arrayez_tie<T>::_tied_object(T &obj)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = &obj;
  this->rel_ = 0;
}

template <class T>
  void POA_arrayez_tie<T>::_tied_object(T &obj, CORBA::Boolean release)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = obj;
  this->rel_ = release;
}

template <class T>
  CORBA::Boolean POA_arrayez_tie<T>::_is_owner()
{
  return this->rel_;
}

template <class T>
  void POA_arrayez_tie<T>::_is_owner(CORBA::Boolean b)
{
  this->rel_ = b;
}

template <class T>
  PortableServer::POA_ptr POA_arrayez_tie<T>::_default_POA()
{
  if( !(CORBA::is_nil(this->poa_.in())) )
    return PortableServer::POA::_duplicate(this->poa_.in());
  else
  {
    TAO_POA *poa = TAO_ORB_Core_instance()->root_poa();
    PortableServer::POA_var result = poa->_this(env);
    if( env.exception() != 0 )
      return PortableServer::POA::_nil();
    else
      return result._retn();
  }
}

template <class T>
  POA_arrayez_tie<T>::POA_arrayez_tie(const POA_arrayez_tie &c)
{}

template <class T>
  void POA_arrayez_tie<T>::operator=(const POA_arrayez_tie &c)
{}

template <class T>
  CORBA::Long POA_arrayez_tie<T>::test_in8k(/* POA_arrayez *this, */ const ::arrayez::arr8k a, CORBA::Environment &_ev)
{
  return this->ptr_->test_in8k (a, _ev);
}

template <class T>
  CORBA::Long POA_arrayez_tie<T>::test_out8k(/* POA_arrayez *this, */ ::arrayez::arr8k_out a, CORBA::Environment &_ev)
{
  return this->ptr_->test_out8k (a, _ev);
}

template <class T>
  CORBA::Long POA_arrayez_tie<T>::test_io8k(/* POA_arrayez *this, */ const ::arrayez::arr8k a, ::arrayez::arr8k_out b, CORBA::Environment &_ev)
{
  return this->ptr_->test_io8k (a, b, _ev);
}

_tao_collocated_arrayez::_tao_collocated_arrayez(POA_arrayez_ptr servant, TAO_Stub *stub)
  : arrayez(),
    CORBA_Object(stub, servant, 1),
    servant_ (servant)
{
}

POA_arrayez_ptr _tao_collocated_arrayez::_get_servant() const
{
  return this->servant_;
}

CORBA::Long _tao_collocated_arrayez::test_in8k(const ::arrayez::arr8k a, CORBA::Environment &_ev)
{
  return this->servant_->test_in8k (a, _ev);
}

CORBA::Long _tao_collocated_arrayez::test_out8k(::arrayez::arr8k_out a, CORBA::Environment &_ev)
{
  return this->servant_->test_out8k (a, _ev);
}

CORBA::Long _tao_collocated_arrayez::test_io8k(const ::arrayez::arr8k a, ::arrayez::arr8k_out b, CORBA::Environment &_ev)
{
  return this->servant_->test_io8k (a, b, _ev);
}

CORBA::Boolean _tao_collocated_arrayez::_is_a(const char *type_id, CORBA::Environment &_ev)
{
  return this->servant_->_is_a (type_id, _ev);
}

int flick_marshal_stub_arrayez(flick_marshal_stream_t _stream, arrayez_ptr *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdrxx_encode_IOR(iiopxx, *_data, 0, arrayez , _flick_abort0);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_arrayez(flick_marshal_stream_t _stream, arrayez_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdrxx_decode_IOR(iiopxx, *_data, 1, arrayez , _flick_abort1);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_arrayez_swap(flick_marshal_stream_t _stream, arrayez_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swapxx_decode_IOR(iiopxx, *_data, 1, arrayez , _flick_abort2);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

void POA_arrayez::_dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env){
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_InputCDR &_in_cdr = _tao_req.incoming();
  TAO_OutputCDR &_out_cdr = _tao_req.outgoing();
  flick_iiopxx_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (_in_cdr.do_byte_swap()) {
  {
    unsigned int _t62_switch_tag;

    flick_iiopxx_decode_new_glob(20);
    flick_iiopxx_check_span(16, _flick_abort5);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t62_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t62_switch_tag)
      {
      case (unsigned int) 10:
        {
          unsigned int _t63_switch_tag;

          flick_iiopxx_check_span(16, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t63_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t63_switch_tag)
            {
            case /* test */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
              {
                unsigned int _t64_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t64_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t64_switch_tag)
                  {
                  case /* _in8 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600745016):
                    {
                      unsigned short int _t65_switch_tag;

                      flick_iiopxx_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t65_switch_tag, unsigned short int );
                      flick_iiopxx_decode_end_chunk(2);
                      switch ((unsigned short int )_t65_switch_tag)
                        {
                        case /* k */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 27392):
                          {
                            {
                              POA_arrayez *_local_this;
                              unsigned int _t66_principal_len;
                              CORBA::Long _return;
                              CORBA::Long *_local_a;
                              flick_unsigned32_t _t67_array_iter;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort171);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t66_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(6);
                              flick_iiopxx_decode_end_glob(20);
                              flick_iiopxx_check_span(_t66_principal_len, _flick_abort171);
                              flick_iiopxx_decode_new_glob(_t66_principal_len);
                              flick_iiopxx_decode_new_chunk(_t66_principal_len);
                              flick_iiopxx_decode_end_chunk(_t66_principal_len);
                              flick_iiopxx_decode_end_glob(_t66_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiopxx_decode_new_glob(14336);
                              {
                                CORBA::Long *_t_alloc_ptr;

                                _t_alloc_ptr = (CORBA::Long *)new (CORBA::Long [2048]);
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort171);
                                _local_a = _t_alloc_ptr;
                              }
                              for (_t67_array_iter = 0; _t67_array_iter < 2048; _t67_array_iter++)
                                {
                                  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                  flick_iiopxx_check_span(4, _flick_abort175);
                                  flick_cdr_swap_decode_signed32(0, _local_a[_t67_array_iter], CORBA::Long );
                                  flick_iiopxx_decode_end_chunk(4);
                                  continue;
                                  {
                                  _flick_abort175:
                                    goto _flick_abort171;
                                  }
                                }
                              flick_iiopxx_decode_end_glob(14336);
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->test_in8k(_local_a, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t68_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t68_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort171);
                                flick_iiopxx_encode_new_glob(8, _flick_abort171);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t68_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t68_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                      flick_iiopxx_encode_end_chunk(4);
                                      flick_iiopxx_encode_end_glob(8);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(8);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort182);
                                      break;
                                      {
                                      _flick_abort182:
                                        goto _flick_abort171;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort183);
                                      flick_iiopxx_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort183:
                                        goto _flick_abort171;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort171:
                                goto _flick_abort170;
                              }
                            }
                            break;
                            {
                            _flick_abort170:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _io8 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600745272):
                    {
                      unsigned short int _t69_switch_tag;

                      flick_iiopxx_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t69_switch_tag, unsigned short int );
                      flick_iiopxx_decode_end_chunk(2);
                      switch ((unsigned short int )_t69_switch_tag)
                        {
                        case /* k */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 27392):
                          {
                            {
                              POA_arrayez *_local_this;
                              unsigned int _t70_principal_len;
                              CORBA::Long _return;
                              CORBA::Long *_local_a;
                              flick_unsigned32_t _t71_array_iter;
                              CORBA::Long *_local_b;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort185);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t70_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(6);
                              flick_iiopxx_decode_end_glob(20);
                              flick_iiopxx_check_span(_t70_principal_len, _flick_abort185);
                              flick_iiopxx_decode_new_glob(_t70_principal_len);
                              flick_iiopxx_decode_new_chunk(_t70_principal_len);
                              flick_iiopxx_decode_end_chunk(_t70_principal_len);
                              flick_iiopxx_decode_end_glob(_t70_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiopxx_decode_new_glob(14336);
                              {
                                CORBA::Long *_t_alloc_ptr;

                                _t_alloc_ptr = (CORBA::Long *)new (CORBA::Long [2048]);
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort185);
                                _local_a = _t_alloc_ptr;
                              }
                              for (_t71_array_iter = 0; _t71_array_iter < 2048; _t71_array_iter++)
                                {
                                  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                  flick_iiopxx_check_span(4, _flick_abort189);
                                  flick_cdr_swap_decode_signed32(0, _local_a[_t71_array_iter], CORBA::Long );
                                  flick_iiopxx_decode_end_chunk(4);
                                  continue;
                                  {
                                  _flick_abort189:
                                    goto _flick_abort185;
                                  }
                                }
                              {
                                CORBA::Long *_t_alloc_ptr;

                                _t_alloc_ptr = (CORBA::Long *)new (CORBA::Long [2048]);
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort185);
                                _local_b = _t_alloc_ptr;
                              }
                              flick_iiopxx_decode_end_glob(14336);
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->test_io8k(_local_a, _local_b, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t72_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t72_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort185);
                                flick_iiopxx_encode_new_glob(8, _flick_abort185);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t72_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t72_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                      flick_iiopxx_encode_end_chunk(4);
                                      flick_iiopxx_encode_end_glob(8);
                                      flick_iiopxx_encode_new_glob(8192, _flick_abort198);
                                      flick_iiopxx_encode_new_chunk(8192);
                                      flick_cdr_encode_bcopy(0, _local_b, 8192);
                                      delete [] _local_b;
                                      _local_b = 0;
                                      flick_iiopxx_encode_end_chunk(8192);
                                      flick_iiopxx_encode_end_glob(8192);
                                      break;
                                      {
                                      _flick_abort198:
                                        goto _flick_abort185;
                                      }
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(8);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort201);
                                      break;
                                      {
                                      _flick_abort201:
                                        goto _flick_abort185;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort202);
                                      flick_iiopxx_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort202:
                                        goto _flick_abort185;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort185:
                                goto _flick_abort184;
                              }
                            }
                            break;
                            {
                            _flick_abort184:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          unsigned int _t73_switch_tag;

          flick_iiopxx_check_span(16, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t73_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t73_switch_tag)
            {
            case /* test */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
              {
                unsigned int _t74_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t74_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t74_switch_tag)
                  {
                  case /* _out */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601140084):
                    {
                      unsigned short int _t75_switch_tag;

                      flick_iiopxx_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t75_switch_tag, unsigned short int );
                      flick_iiopxx_decode_end_chunk(2);
                      switch ((unsigned short int )_t75_switch_tag)
                        {
                        case /* 8k */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 14443):
                          {
                            char _t76_switch_tag;

                            flick_iiopxx_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t76_switch_tag, char );
                            flick_iiopxx_decode_end_chunk(1);
                            switch ((char )_t76_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    POA_arrayez *_local_this;
                                    unsigned int _t77_principal_len;
                                    CORBA::Long _return;
                                    CORBA::Long *_local_a;
                                    CORBA::Environment _ev;

                                    flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort204);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_iiopxx_decode_new_chunk(5);
                                    flick_cdr_swap_decode_unsigned32(1, _t77_principal_len, unsigned int );
                                    flick_iiopxx_decode_end_chunk(5);
                                    flick_iiopxx_decode_end_glob(20);
                                    flick_iiopxx_check_span(_t77_principal_len, _flick_abort204);
                                    flick_iiopxx_decode_new_glob(_t77_principal_len);
                                    flick_iiopxx_decode_new_chunk(_t77_principal_len);
                                    flick_iiopxx_decode_end_chunk(_t77_principal_len);
                                    flick_iiopxx_decode_end_glob(_t77_principal_len);
                                    /* Begin decode phase on parameters */
                                    _return = 0;
                                    {
                                      CORBA::Long *_t_alloc_ptr;

                                      _t_alloc_ptr = (CORBA::Long *)new (CORBA::Long [2048]);
                                      if (!_t_alloc_ptr)
                                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort204);
                                      _local_a = _t_alloc_ptr;
                                    }
                                    flick_iiopxx_server_end_decode();
                                    flick_corbaxx_init_environment();
                                    _return = _local_this->test_out8k(_local_a, _ev);
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_iiopxx_server_start_encode();
                                    {
                                      int _t78_temp_major;

                                      flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t78_temp_major);

                                      flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort204);
                                      flick_iiopxx_encode_new_glob(8, _flick_abort204);
                                      flick_iiopxx_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _t78_temp_major, int );
                                      flick_iiopxx_encode_end_chunk(4);
                                      switch (_t78_temp_major)
                                        {
                                        case CORBA::NO_EXCEPTION:
                                          {
                                            /* Begin encode phase on parameters */
                                            flick_iiopxx_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                            flick_iiopxx_encode_end_chunk(4);
                                            flick_iiopxx_encode_end_glob(8);
                                            flick_iiopxx_encode_new_glob(8192, _flick_abort212);
                                            flick_iiopxx_encode_new_chunk(8192);
                                            flick_cdr_encode_bcopy(0, _local_a, 8192);
                                            delete [] _local_a;
                                            _local_a = 0;
                                            flick_iiopxx_encode_end_chunk(8192);
                                            flick_iiopxx_encode_end_glob(8192);
                                            break;
                                            {
                                            _flick_abort212:
                                              goto _flick_abort204;
                                            }
                                          }
                                        case CORBA::SYSTEM_EXCEPTION:
                                          {
                                            flick_iiopxx_encode_end_glob(8);
                                            flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort215);
                                            break;
                                            {
                                            _flick_abort215:
                                              goto _flick_abort204;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort216);
                                            flick_iiopxx_encode_end_glob(8);
                                            break;
                                            {
                                            _flick_abort216:
                                              goto _flick_abort204;
                                            }
                                          }
                                        }
                                    }
                                    flick_iiopxx_server_end_encode();
                                    break;
                                    {
                                    _flick_abort204:
                                      goto _flick_abort203;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort203:
                                    goto _flick_abort5;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                                  flick_iiopxx_decode_end_glob(20);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t79_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t79_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t79_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t80_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t80_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t80_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_arrayez *_local_this;
                        unsigned int _t81_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t82_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort218);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t81_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(20);
                        flick_iiopxx_check_span(_t81_principal_len, _flick_abort218);
                        flick_iiopxx_decode_new_glob(_t81_principal_len);
                        flick_iiopxx_decode_new_chunk(_t81_principal_len);
                        flick_iiopxx_decode_end_chunk(_t81_principal_len);
                        flick_iiopxx_decode_end_glob(_t81_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort218);
                        flick_cdr_swap_decode_unsigned32(0, _t82_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t82_temp_string_len);
                        flick_iiopxx_check_span(1 * _t82_temp_string_len, _flick_abort218);
                        flick_iiopxx_decode_new_chunk(1 * _t82_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_type_id, CORBA::Char *);
                        flick_iiopxx_decode_end_chunk(1 * _t82_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t82_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t83_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t83_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort218);
                          flick_iiopxx_encode_new_glob(5, _flick_abort218);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t83_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t83_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort226);
                                break;
                                {
                                _flick_abort226:
                                  goto _flick_abort218;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort227);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort227:
                                  goto _flick_abort218;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort218:
                          goto _flick_abort217;
                        }
                      }
                      break;
                      {
                      _flick_abort217:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
          flick_iiopxx_decode_end_glob(20);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t20_switch_tag;

    flick_iiopxx_decode_new_glob(20);
    flick_iiopxx_check_span(16, _flick_abort5);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t20_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t20_switch_tag)
      {
      case (unsigned int) 10:
        {
          unsigned int _t21_switch_tag;

          flick_iiopxx_check_span(16, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t21_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t21_switch_tag)
            {
            case /* test */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
              {
                unsigned int _t22_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t22_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t22_switch_tag)
                  {
                  case /* _in8 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600745016):
                    {
                      unsigned short int _t23_switch_tag;

                      flick_iiopxx_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t23_switch_tag, unsigned short int );
                      flick_iiopxx_decode_end_chunk(2);
                      switch ((unsigned short int )_t23_switch_tag)
                        {
                        case /* k */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 27392):
                          {
                            {
                              POA_arrayez *_local_this;
                              unsigned int _t24_principal_len;
                              CORBA::Long _return;
                              CORBA::Long *_local_a;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort60);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t24_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(6);
                              flick_iiopxx_decode_end_glob(20);
                              flick_iiopxx_check_span(_t24_principal_len, _flick_abort60);
                              flick_iiopxx_decode_new_glob(_t24_principal_len);
                              flick_iiopxx_decode_new_chunk(_t24_principal_len);
                              flick_iiopxx_decode_end_chunk(_t24_principal_len);
                              flick_iiopxx_decode_end_glob(_t24_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiopxx_decode_new_glob(8195);
                              flick_iiopxx_decode_new_chunk_align(8192, 2, 0, 0);
                              flick_iiopxx_check_span(8192, _flick_abort60);
                              {
                                CORBA::Long *_t_alloc_ptr;

                                _t_alloc_ptr = (CORBA::Long *)new (CORBA::Long [2048]);
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort60);
                                _local_a = _t_alloc_ptr;
                              }
                              flick_cdr_decode_bcopy(0, _local_a, 8192);
                              flick_iiopxx_decode_end_chunk(8192);
                              flick_iiopxx_decode_end_glob(8195);
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->test_in8k(_local_a, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t25_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t25_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort60);
                                flick_iiopxx_encode_new_glob(8, _flick_abort60);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t25_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t25_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                      flick_iiopxx_encode_end_chunk(4);
                                      flick_iiopxx_encode_end_glob(8);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(8);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort68);
                                      break;
                                      {
                                      _flick_abort68:
                                        goto _flick_abort60;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort69);
                                      flick_iiopxx_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort69:
                                        goto _flick_abort60;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort60:
                                goto _flick_abort59;
                              }
                            }
                            break;
                            {
                            _flick_abort59:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _io8 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600745272):
                    {
                      unsigned short int _t26_switch_tag;

                      flick_iiopxx_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t26_switch_tag, unsigned short int );
                      flick_iiopxx_decode_end_chunk(2);
                      switch ((unsigned short int )_t26_switch_tag)
                        {
                        case /* k */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 27392):
                          {
                            {
                              POA_arrayez *_local_this;
                              unsigned int _t27_principal_len;
                              CORBA::Long _return;
                              CORBA::Long *_local_a;
                              CORBA::Long *_local_b;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort71);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t27_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(6);
                              flick_iiopxx_decode_end_glob(20);
                              flick_iiopxx_check_span(_t27_principal_len, _flick_abort71);
                              flick_iiopxx_decode_new_glob(_t27_principal_len);
                              flick_iiopxx_decode_new_chunk(_t27_principal_len);
                              flick_iiopxx_decode_end_chunk(_t27_principal_len);
                              flick_iiopxx_decode_end_glob(_t27_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiopxx_decode_new_glob(8195);
                              flick_iiopxx_decode_new_chunk_align(8192, 2, 0, 0);
                              flick_iiopxx_check_span(8192, _flick_abort71);
                              {
                                CORBA::Long *_t_alloc_ptr;

                                _t_alloc_ptr = (CORBA::Long *)new (CORBA::Long [2048]);
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort71);
                                _local_a = _t_alloc_ptr;
                              }
                              flick_cdr_decode_bcopy(0, _local_a, 8192);
                              {
                                CORBA::Long *_t_alloc_ptr;

                                _t_alloc_ptr = (CORBA::Long *)new (CORBA::Long [2048]);
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort71);
                                _local_b = _t_alloc_ptr;
                              }
                              flick_iiopxx_decode_end_chunk(8192);
                              flick_iiopxx_decode_end_glob(8195);
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->test_io8k(_local_a, _local_b, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t28_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t28_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort71);
                                flick_iiopxx_encode_new_glob(8, _flick_abort71);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t28_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t28_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                      flick_iiopxx_encode_end_chunk(4);
                                      flick_iiopxx_encode_end_glob(8);
                                      flick_iiopxx_encode_new_glob(8192, _flick_abort81);
                                      flick_iiopxx_encode_new_chunk(8192);
                                      flick_cdr_encode_bcopy(0, _local_b, 8192);
                                      delete [] _local_b;
                                      _local_b = 0;
                                      flick_iiopxx_encode_end_chunk(8192);
                                      flick_iiopxx_encode_end_glob(8192);
                                      break;
                                      {
                                      _flick_abort81:
                                        goto _flick_abort71;
                                      }
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(8);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort84);
                                      break;
                                      {
                                      _flick_abort84:
                                        goto _flick_abort71;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort85);
                                      flick_iiopxx_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort85:
                                        goto _flick_abort71;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort71:
                                goto _flick_abort70;
                              }
                            }
                            break;
                            {
                            _flick_abort70:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          unsigned int _t29_switch_tag;

          flick_iiopxx_check_span(16, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t29_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t29_switch_tag)
            {
            case /* test */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
              {
                unsigned int _t30_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t30_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t30_switch_tag)
                  {
                  case /* _out */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601140084):
                    {
                      unsigned short int _t31_switch_tag;

                      flick_iiopxx_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t31_switch_tag, unsigned short int );
                      flick_iiopxx_decode_end_chunk(2);
                      switch ((unsigned short int )_t31_switch_tag)
                        {
                        case /* 8k */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 14443):
                          {
                            char _t32_switch_tag;

                            flick_iiopxx_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t32_switch_tag, char );
                            flick_iiopxx_decode_end_chunk(1);
                            switch ((char )_t32_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    POA_arrayez *_local_this;
                                    unsigned int _t33_principal_len;
                                    CORBA::Long _return;
                                    CORBA::Long *_local_a;
                                    CORBA::Environment _ev;

                                    flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort87);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_iiopxx_decode_new_chunk(5);
                                    flick_cdr_decode_unsigned32(1, _t33_principal_len, unsigned int );
                                    flick_iiopxx_decode_end_chunk(5);
                                    flick_iiopxx_decode_end_glob(20);
                                    flick_iiopxx_check_span(_t33_principal_len, _flick_abort87);
                                    flick_iiopxx_decode_new_glob(_t33_principal_len);
                                    flick_iiopxx_decode_new_chunk(_t33_principal_len);
                                    flick_iiopxx_decode_end_chunk(_t33_principal_len);
                                    flick_iiopxx_decode_end_glob(_t33_principal_len);
                                    /* Begin decode phase on parameters */
                                    _return = 0;
                                    {
                                      CORBA::Long *_t_alloc_ptr;

                                      _t_alloc_ptr = (CORBA::Long *)new (CORBA::Long [2048]);
                                      if (!_t_alloc_ptr)
                                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort87);
                                      _local_a = _t_alloc_ptr;
                                    }
                                    flick_iiopxx_server_end_decode();
                                    flick_corbaxx_init_environment();
                                    _return = _local_this->test_out8k(_local_a, _ev);
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_iiopxx_server_start_encode();
                                    {
                                      int _t34_temp_major;

                                      flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t34_temp_major);

                                      flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort87);
                                      flick_iiopxx_encode_new_glob(8, _flick_abort87);
                                      flick_iiopxx_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _t34_temp_major, int );
                                      flick_iiopxx_encode_end_chunk(4);
                                      switch (_t34_temp_major)
                                        {
                                        case CORBA::NO_EXCEPTION:
                                          {
                                            /* Begin encode phase on parameters */
                                            flick_iiopxx_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                            flick_iiopxx_encode_end_chunk(4);
                                            flick_iiopxx_encode_end_glob(8);
                                            flick_iiopxx_encode_new_glob(8192, _flick_abort95);
                                            flick_iiopxx_encode_new_chunk(8192);
                                            flick_cdr_encode_bcopy(0, _local_a, 8192);
                                            delete [] _local_a;
                                            _local_a = 0;
                                            flick_iiopxx_encode_end_chunk(8192);
                                            flick_iiopxx_encode_end_glob(8192);
                                            break;
                                            {
                                            _flick_abort95:
                                              goto _flick_abort87;
                                            }
                                          }
                                        case CORBA::SYSTEM_EXCEPTION:
                                          {
                                            flick_iiopxx_encode_end_glob(8);
                                            flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort98);
                                            break;
                                            {
                                            _flick_abort98:
                                              goto _flick_abort87;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort99);
                                            flick_iiopxx_encode_end_glob(8);
                                            break;
                                            {
                                            _flick_abort99:
                                              goto _flick_abort87;
                                            }
                                          }
                                        }
                                    }
                                    flick_iiopxx_server_end_encode();
                                    break;
                                    {
                                    _flick_abort87:
                                      goto _flick_abort86;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort86:
                                    goto _flick_abort5;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                                  flick_iiopxx_decode_end_glob(20);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t35_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t35_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t35_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t36_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t36_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t36_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_arrayez *_local_this;
                        unsigned int _t37_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t38_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort101);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t37_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(20);
                        flick_iiopxx_check_span(_t37_principal_len, _flick_abort101);
                        flick_iiopxx_decode_new_glob(_t37_principal_len);
                        flick_iiopxx_decode_new_chunk(_t37_principal_len);
                        flick_iiopxx_decode_end_chunk(_t37_principal_len);
                        flick_iiopxx_decode_end_glob(_t37_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort101);
                        flick_cdr_decode_unsigned32(0, _t38_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t38_temp_string_len);
                        flick_iiopxx_check_span(1 * _t38_temp_string_len, _flick_abort101);
                        flick_iiopxx_decode_new_chunk(1 * _t38_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_type_id, CORBA::Char *);
                        flick_iiopxx_decode_end_chunk(1 * _t38_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t38_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t39_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t39_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort101);
                          flick_iiopxx_encode_new_glob(5, _flick_abort101);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t39_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t39_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort109);
                                break;
                                {
                                _flick_abort109:
                                  goto _flick_abort101;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort110);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort110:
                                  goto _flick_abort101;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort101:
                          goto _flick_abort100;
                        }
                      }
                      break;
                      {
                      _flick_abort100:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
          flick_iiopxx_decode_end_glob(20);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return;
  {
  _flick_abort5:
    flick_corbaxx_server_error(cdr, iiopxx, _flick_reaper, _flick_abort4);
  _flick_abort4:
    return ;
  }
_flick_reaper:
  return ;
}

