#include "arrays-server.h"

POA_arrays::POA_arrays()
{}

POA_arrays::POA_arrays(const POA_arrays &rhs)
  : TAO_ServantBase(rhs)
{}

POA_arrays::~POA_arrays()
{}

arrays *POA_arrays::_this(CORBA::Environment &_env)
{
  TAO_Stub *stub = this->_create_stub(_env);
  TAO_CHECK_ENV_RETURN(_env, 0);
  return new _tao_collocated_arrays(this, stub);
}

CORBA::Boolean POA_arrays::_is_a(const CORBA::Char *type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)type_id, "IDL:arrays:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return 0;
}

void *POA_arrays::_downcast(const char *logical_type_id)
{
  if(ACE_OS::strcmp(logical_type_id, "IDL:arrays:1.0") == 0)
    return ACE_static_cast(POA_arrays_ptr , this);
   
  if(ACE_OS::strcmp(logical_type_id, "IDL:omg.org/CORBA/Object:1.0") == 0)
    return ACE_static_cast(PortableServer::Servant, this);
  return 0;
}

const char *POA_arrays::_interface_repository_id() const
{
  return "IDL:arrays:1.0";
}

template <class T>
  POA_arrays_tie<T>::POA_arrays_tie(T &t)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(0)
{}

template <class T>
  POA_arrays_tie<T>::POA_arrays_tie(T &t, PortableServer::POA_ptr poa)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(0)
{}

template <class T>
  POA_arrays_tie<T>::POA_arrays_tie(T *t, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(release)
{}

template <class T>
  POA_arrays_tie<T>::POA_arrays_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(release)
{}

template <class T>
  POA_arrays_tie<T>::~POA_arrays_tie()
{
  if( this->rel_ ) delete this->ptr_;
}

template <class T>
  T *POA_arrays_tie<T>::_tied_object()
{
  return this->ptr_;
}

template <class T>
  void POA_arrays_tie<T>::_tied_object(T &obj)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = &obj;
  this->rel_ = 0;
}

template <class T>
  void POA_arrays_tie<T>::_tied_object(T &obj, CORBA::Boolean release)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = obj;
  this->rel_ = release;
}

template <class T>
  CORBA::Boolean POA_arrays_tie<T>::_is_owner()
{
  return this->rel_;
}

template <class T>
  void POA_arrays_tie<T>::_is_owner(CORBA::Boolean b)
{
  this->rel_ = b;
}

template <class T>
  PortableServer::POA_ptr POA_arrays_tie<T>::_default_POA()
{
  if( !(CORBA::is_nil(this->poa_.in())) )
    return PortableServer::POA::_duplicate(this->poa_.in());
  else
  {
    TAO_POA *poa = TAO_ORB_Core_instance()->root_poa();
    PortableServer::POA_var result = poa->_this(env);
    if( env.exception() != 0 )
      return PortableServer::POA::_nil();
    else
      return result._retn();
  }
}

template <class T>
  POA_arrays_tie<T>::POA_arrays_tie(const POA_arrays_tie &c)
{}

template <class T>
  void POA_arrays_tie<T>::operator=(const POA_arrays_tie &c)
{}

template <class T>
  struct cLd POA_arrays_tie<T>::test_cLd(/* POA_arrays *this, */ const struct cLd &inp, struct cLd &iop, cLd_out outp, CORBA::Environment &_ev)
{
  return this->ptr_->test_cLd (inp, iop, outp, _ev);
}

template <class T>
  struct dLc POA_arrays_tie<T>::test_dLc(/* POA_arrays *this, */ const struct dLc &inp, struct dLc &iop, dLc_out outp, CORBA::Environment &_ev)
{
  return this->ptr_->test_dLc (inp, iop, outp, _ev);
}

template <class T>
  struct sLs POA_arrays_tie<T>::test_sLs(/* POA_arrays *this, */ const struct sLs &inp, struct sLs &iop, sLs_out outp, CORBA::Environment &_ev)
{
  return this->ptr_->test_sLs (inp, iop, outp, _ev);
}

template <class T>
  struct cLCd POA_arrays_tie<T>::test_cLCd(/* POA_arrays *this, */ const struct cLCd &inp, struct cLCd &iop, cLCd_out outp, CORBA::Environment &_ev)
{
  return this->ptr_->test_cLCd (inp, iop, outp, _ev);
}

template <class T>
  struct dLCc POA_arrays_tie<T>::test_dLCc(/* POA_arrays *this, */ const struct dLCc &inp, struct dLCc &iop, dLCc_out outp, CORBA::Environment &_ev)
{
  return this->ptr_->test_dLCc (inp, iop, outp, _ev);
}

template <class T>
  struct sLCs POA_arrays_tie<T>::test_sLCs(/* POA_arrays *this, */ const struct sLCs &inp, struct sLCs &iop, sLCs_out outp, CORBA::Environment &_ev)
{
  return this->ptr_->test_sLCs (inp, iop, outp, _ev);
}

template <class T>
  struct cCLd POA_arrays_tie<T>::test_cCLd(/* POA_arrays *this, */ const struct cCLd &inp, struct cCLd &iop, cCLd_out outp, CORBA::Environment &_ev)
{
  return this->ptr_->test_cCLd (inp, iop, outp, _ev);
}

template <class T>
  struct dCLc POA_arrays_tie<T>::test_dCLc(/* POA_arrays *this, */ const struct dCLc &inp, struct dCLc &iop, dCLc_out outp, CORBA::Environment &_ev)
{
  return this->ptr_->test_dCLc (inp, iop, outp, _ev);
}

template <class T>
  struct sCLs POA_arrays_tie<T>::test_sCLs(/* POA_arrays *this, */ const struct sCLs &inp, struct sCLs &iop, sCLs_out outp, CORBA::Environment &_ev)
{
  return this->ptr_->test_sCLs (inp, iop, outp, _ev);
}

_tao_collocated_arrays::_tao_collocated_arrays(POA_arrays_ptr servant, TAO_Stub *stub)
  : arrays(),
    CORBA_Object(stub, servant, 1),
    servant_ (servant)
{
}

POA_arrays_ptr _tao_collocated_arrays::_get_servant() const
{
  return this->servant_;
}

struct cLd _tao_collocated_arrays::test_cLd(const struct cLd &inp, struct cLd &iop, cLd_out outp, CORBA::Environment &_ev)
{
  return this->servant_->test_cLd (inp, iop, outp, _ev);
}

struct dLc _tao_collocated_arrays::test_dLc(const struct dLc &inp, struct dLc &iop, dLc_out outp, CORBA::Environment &_ev)
{
  return this->servant_->test_dLc (inp, iop, outp, _ev);
}

struct sLs _tao_collocated_arrays::test_sLs(const struct sLs &inp, struct sLs &iop, sLs_out outp, CORBA::Environment &_ev)
{
  return this->servant_->test_sLs (inp, iop, outp, _ev);
}

struct cLCd _tao_collocated_arrays::test_cLCd(const struct cLCd &inp, struct cLCd &iop, cLCd_out outp, CORBA::Environment &_ev)
{
  return this->servant_->test_cLCd (inp, iop, outp, _ev);
}

struct dLCc _tao_collocated_arrays::test_dLCc(const struct dLCc &inp, struct dLCc &iop, dLCc_out outp, CORBA::Environment &_ev)
{
  return this->servant_->test_dLCc (inp, iop, outp, _ev);
}

struct sLCs _tao_collocated_arrays::test_sLCs(const struct sLCs &inp, struct sLCs &iop, sLCs_out outp, CORBA::Environment &_ev)
{
  return this->servant_->test_sLCs (inp, iop, outp, _ev);
}

struct cCLd _tao_collocated_arrays::test_cCLd(const struct cCLd &inp, struct cCLd &iop, cCLd_out outp, CORBA::Environment &_ev)
{
  return this->servant_->test_cCLd (inp, iop, outp, _ev);
}

struct dCLc _tao_collocated_arrays::test_dCLc(const struct dCLc &inp, struct dCLc &iop, dCLc_out outp, CORBA::Environment &_ev)
{
  return this->servant_->test_dCLc (inp, iop, outp, _ev);
}

struct sCLs _tao_collocated_arrays::test_sCLs(const struct sCLs &inp, struct sCLs &iop, sCLs_out outp, CORBA::Environment &_ev)
{
  return this->servant_->test_sCLs (inp, iop, outp, _ev);
}

CORBA::Boolean _tao_collocated_arrays::_is_a(const char *type_id, CORBA::Environment &_ev)
{
  return this->servant_->_is_a (type_id, _ev);
}

int flick_marshal_stub_arrays(flick_marshal_stream_t _stream, arrays_ptr *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdrxx_encode_IOR(iiopxx, *_data, 0, arrays , _flick_abort0);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_arrays(flick_marshal_stream_t _stream, arrays_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdrxx_decode_IOR(iiopxx, *_data, 1, arrays , _flick_abort1);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_arrays_swap(flick_marshal_stream_t _stream, arrays_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swapxx_decode_IOR(iiopxx, *_data, 1, arrays , _flick_abort2);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

void POA_arrays::_dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env){
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_InputCDR &_in_cdr = _tao_req.incoming();
  TAO_OutputCDR &_out_cdr = _tao_req.outgoing();
  flick_iiopxx_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (_in_cdr.do_byte_swap()) {
  {
    unsigned int _t261_switch_tag;

    flick_iiopxx_decode_new_glob(20);
    flick_iiopxx_check_span(16, _flick_abort5);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t261_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t261_switch_tag)
      {
      case (unsigned int) 9:
        {
          unsigned int _t262_switch_tag;

          flick_iiopxx_check_span(16, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t262_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t262_switch_tag)
            {
            case /* test */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
              {
                unsigned int _t263_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t263_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t263_switch_tag)
                  {
                  case /* _cLd */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600343140):
                    {
                      char _t264_switch_tag;

                      flick_iiopxx_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t264_switch_tag, char );
                      flick_iiopxx_decode_end_chunk(1);
                      switch ((char )_t264_switch_tag)
                        {
                        case 0:
                          {
                            {
                              POA_arrays *_local_this;
                              unsigned int _t265_principal_len;
                              struct cLd _return;
                              struct cLd _local_inp;
                              flick_unsigned32_t _t266_array_iter;
                              struct cLd _local_iop;
                              flick_unsigned32_t _t267_array_iter;
                              struct cLd _local_outp;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1167);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(7);
                              flick_cdr_swap_decode_unsigned32(3, _t265_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(7);
                              flick_iiopxx_decode_end_glob(20);
                              flick_iiopxx_check_span(_t265_principal_len + 1, _flick_abort1167);
                              flick_iiopxx_decode_new_glob(_t265_principal_len);
                              flick_iiopxx_decode_new_chunk(_t265_principal_len);
                              flick_iiopxx_decode_end_chunk(_t265_principal_len);
                              flick_iiopxx_decode_end_glob(_t265_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiopxx_decode_new_glob(726);
                              flick_iiopxx_decode_new_chunk(1);
                              flick_cdr_swap_decode_char8(0, _local_inp.first, CORBA::Char );
                              flick_iiopxx_decode_end_chunk(1);
                              for (_t266_array_iter = 0; _t266_array_iter < 50; _t266_array_iter++)
                                {
                                  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                  flick_iiopxx_check_span(4, _flick_abort1171);
                                  flick_cdr_swap_decode_signed32(0, _local_inp.data[_t266_array_iter], CORBA::Long );
                                  flick_iiopxx_decode_end_chunk(4);
                                  continue;
                                  {
                                  _flick_abort1171:
                                    goto _flick_abort1167;
                                  }
                                }
                              flick_iiopxx_decode_new_chunk_align(9, 3, 2, 0);
                              flick_iiopxx_check_span(9, _flick_abort1167);
                              flick_cdr_swap_decode_float64(0, _local_inp.last, CORBA::Double );
                              flick_cdr_swap_decode_char8(8, _local_iop.first, CORBA::Char );
                              flick_iiopxx_decode_end_chunk(9);
                              for (_t267_array_iter = 0; _t267_array_iter < 50; _t267_array_iter++)
                                {
                                  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                  flick_iiopxx_check_span(4, _flick_abort1176);
                                  flick_cdr_swap_decode_signed32(0, _local_iop.data[_t267_array_iter], CORBA::Long );
                                  flick_iiopxx_decode_end_chunk(4);
                                  continue;
                                  {
                                  _flick_abort1176:
                                    goto _flick_abort1167;
                                  }
                                }
                              flick_iiopxx_decode_new_chunk_align(8, 3, 2, 0);
                              flick_iiopxx_check_span(8, _flick_abort1167);
                              flick_cdr_swap_decode_float64(0, _local_iop.last, CORBA::Double );
                              flick_iiopxx_decode_end_chunk(8);
                              flick_iiopxx_decode_end_glob(726);
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->test_cLd(_local_inp, _local_iop, _local_outp, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t268_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t268_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1167);
                                flick_iiopxx_encode_new_glob(652, _flick_abort1167);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t268_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t268_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_new_chunk(204);
                                      flick_cdr_encode_char8(0, _return.first, CORBA::Char );
                                      flick_cdr_encode_bcopy(4, _return.data, 200);
                                      flick_iiopxx_encode_end_chunk(204);
                                      flick_iiopxx_encode_new_chunk_align(440, 3, 2, 0);
                                      flick_cdr_encode_float64(0, _return.last, CORBA::Double );
                                      flick_cdr_encode_char8(8, _local_iop.first, CORBA::Char );
                                      flick_cdr_encode_bcopy(12, _local_iop.data, 200);
                                      flick_cdr_encode_float64(216, _local_iop.last, CORBA::Double );
                                      flick_cdr_encode_char8(224, _local_outp.first, CORBA::Char );
                                      flick_cdr_encode_bcopy(228, _local_outp.data, 200);
                                      flick_cdr_encode_float64(432, _local_outp.last, CORBA::Double );
                                      flick_iiopxx_encode_end_chunk(440);
                                      flick_iiopxx_encode_end_glob(652);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(652);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1195);
                                      break;
                                      {
                                      _flick_abort1195:
                                        goto _flick_abort1167;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1196);
                                      flick_iiopxx_encode_end_glob(652);
                                      break;
                                      {
                                      _flick_abort1196:
                                        goto _flick_abort1167;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort1167:
                                goto _flick_abort1166;
                              }
                            }
                            break;
                            {
                            _flick_abort1166:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _dLc */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600408675):
                    {
                      char _t269_switch_tag;

                      flick_iiopxx_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t269_switch_tag, char );
                      flick_iiopxx_decode_end_chunk(1);
                      switch ((char )_t269_switch_tag)
                        {
                        case 0:
                          {
                            {
                              POA_arrays *_local_this;
                              unsigned int _t270_principal_len;
                              struct dLc _return;
                              struct dLc _local_inp;
                              flick_unsigned32_t _t271_array_iter;
                              struct dLc _local_iop;
                              flick_unsigned32_t _t272_array_iter;
                              struct dLc _local_outp;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1198);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(7);
                              flick_cdr_swap_decode_unsigned32(3, _t270_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(7);
                              flick_iiopxx_decode_end_glob(20);
                              flick_iiopxx_check_span(_t270_principal_len, _flick_abort1198);
                              flick_iiopxx_decode_new_glob(_t270_principal_len);
                              flick_iiopxx_decode_new_chunk(_t270_principal_len);
                              flick_iiopxx_decode_end_chunk(_t270_principal_len);
                              flick_iiopxx_decode_end_glob(_t270_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiopxx_decode_new_glob(432);
                              flick_iiopxx_decode_new_chunk_align(8, 3, 0, 0);
                              flick_iiopxx_check_span(50 * 4 + 1 + 8, _flick_abort1198);
                              flick_cdr_swap_decode_float64(0, _local_inp.first, CORBA::Double );
                              flick_iiopxx_decode_end_chunk(8);
                              for (_t271_array_iter = 0; _t271_array_iter < 50; _t271_array_iter++)
                                {
                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_swap_decode_signed32(0, _local_inp.data[_t271_array_iter], CORBA::Long );
                                  flick_iiopxx_decode_end_chunk(4);
                                  continue;
                                }
                              flick_iiopxx_decode_new_chunk(1);
                              flick_cdr_swap_decode_char8(0, _local_inp.last, CORBA::Char );
                              flick_iiopxx_decode_end_chunk(1);
                              flick_iiopxx_decode_new_chunk_align(8, 3, 2, 1);
                              flick_iiopxx_check_span(50 * 4 + 1 + 8, _flick_abort1198);
                              flick_cdr_swap_decode_float64(0, _local_iop.first, CORBA::Double );
                              flick_iiopxx_decode_end_chunk(8);
                              for (_t272_array_iter = 0; _t272_array_iter < 50; _t272_array_iter++)
                                {
                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_swap_decode_signed32(0, _local_iop.data[_t272_array_iter], CORBA::Long );
                                  flick_iiopxx_decode_end_chunk(4);
                                  continue;
                                }
                              flick_iiopxx_decode_new_chunk(1);
                              flick_cdr_swap_decode_char8(0, _local_iop.last, CORBA::Char );
                              flick_iiopxx_decode_end_chunk(1);
                              flick_iiopxx_decode_end_glob(432);
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->test_dLc(_local_inp, _local_iop, _local_outp, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t273_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t273_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1198);
                                flick_iiopxx_encode_new_glob(649, _flick_abort1198);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t273_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t273_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_new_chunk_align(641, 3, 2, 0);
                                      flick_cdr_encode_float64(0, _return.first, CORBA::Double );
                                      flick_cdr_encode_bcopy(8, _return.data, 200);
                                      flick_cdr_encode_char8(208, _return.last, CORBA::Char );
                                      flick_cdr_encode_float64(216, _local_iop.first, CORBA::Double );
                                      flick_cdr_encode_bcopy(224, _local_iop.data, 200);
                                      flick_cdr_encode_char8(424, _local_iop.last, CORBA::Char );
                                      flick_cdr_encode_float64(432, _local_outp.first, CORBA::Double );
                                      flick_cdr_encode_bcopy(440, _local_outp.data, 200);
                                      flick_cdr_encode_char8(640, _local_outp.last, CORBA::Char );
                                      flick_iiopxx_encode_end_chunk(641);
                                      flick_iiopxx_encode_end_glob(649);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(649);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1226);
                                      break;
                                      {
                                      _flick_abort1226:
                                        goto _flick_abort1198;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1227);
                                      flick_iiopxx_encode_end_glob(649);
                                      break;
                                      {
                                      _flick_abort1227:
                                        goto _flick_abort1198;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort1198:
                                goto _flick_abort1197;
                              }
                            }
                            break;
                            {
                            _flick_abort1197:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _sLs */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601391731):
                    {
                      char _t274_switch_tag;

                      flick_iiopxx_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t274_switch_tag, char );
                      flick_iiopxx_decode_end_chunk(1);
                      switch ((char )_t274_switch_tag)
                        {
                        case 0:
                          {
                            {
                              POA_arrays *_local_this;
                              unsigned int _t275_principal_len;
                              struct sLs _return;
                              struct sLs _local_inp;
                              flick_unsigned32_t _t276_array_iter;
                              struct sLs _local_iop;
                              flick_unsigned32_t _t277_array_iter;
                              struct sLs _local_outp;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1229);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(7);
                              flick_cdr_swap_decode_unsigned32(3, _t275_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(7);
                              flick_iiopxx_decode_end_glob(20);
                              flick_iiopxx_check_span(_t275_principal_len, _flick_abort1229);
                              flick_iiopxx_decode_new_glob(_t275_principal_len);
                              flick_iiopxx_decode_new_chunk(_t275_principal_len);
                              flick_iiopxx_decode_end_chunk(_t275_principal_len);
                              flick_iiopxx_decode_end_glob(_t275_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiopxx_decode_new_glob(509);
                              flick_iiopxx_decode_new_chunk_align(2, 1, 0, 0);
                              flick_iiopxx_check_span(2, _flick_abort1229);
                              flick_cdr_swap_decode_signed16(0, _local_inp.first, CORBA::Short );
                              flick_iiopxx_decode_end_chunk(2);
                              for (_t276_array_iter = 0; _t276_array_iter < 50; _t276_array_iter++)
                                {
                                  flick_iiopxx_decode_new_chunk_align(4, 2, 1, 0);
                                  flick_iiopxx_check_span(4, _flick_abort1233);
                                  flick_cdr_swap_decode_signed32(0, _local_inp.data[_t276_array_iter], CORBA::Long );
                                  flick_iiopxx_decode_end_chunk(4);
                                  continue;
                                  {
                                  _flick_abort1233:
                                    goto _flick_abort1229;
                                  }
                                }
                              flick_iiopxx_check_span(50 * 4 + 2 + 4, _flick_abort1229);
                              flick_iiopxx_decode_new_chunk(4);
                              flick_cdr_swap_decode_signed16(0, _local_inp.last, CORBA::Short );
                              flick_cdr_swap_decode_signed16(2, _local_iop.first, CORBA::Short );
                              flick_iiopxx_decode_end_chunk(4);
                              for (_t277_array_iter = 0; _t277_array_iter < 50; _t277_array_iter++)
                                {
                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_swap_decode_signed32(0, _local_iop.data[_t277_array_iter], CORBA::Long );
                                  flick_iiopxx_decode_end_chunk(4);
                                  continue;
                                }
                              flick_iiopxx_decode_new_chunk(2);
                              flick_cdr_swap_decode_signed16(0, _local_iop.last, CORBA::Short );
                              flick_iiopxx_decode_end_chunk(2);
                              flick_iiopxx_decode_end_glob(509);
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->test_sLs(_local_inp, _local_iop, _local_outp, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t278_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t278_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1229);
                                flick_iiopxx_encode_new_glob(618, _flick_abort1229);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t278_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t278_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_new_chunk(614);
                                      flick_cdr_encode_signed16(0, _return.first, CORBA::Short );
                                      flick_cdr_encode_bcopy(4, _return.data, 200);
                                      flick_cdr_encode_signed16(204, _return.last, CORBA::Short );
                                      flick_cdr_encode_signed16(206, _local_iop.first, CORBA::Short );
                                      flick_cdr_encode_bcopy(208, _local_iop.data, 200);
                                      flick_cdr_encode_signed16(408, _local_iop.last, CORBA::Short );
                                      flick_cdr_encode_signed16(410, _local_outp.first, CORBA::Short );
                                      flick_cdr_encode_bcopy(412, _local_outp.data, 200);
                                      flick_cdr_encode_signed16(612, _local_outp.last, CORBA::Short );
                                      flick_iiopxx_encode_end_chunk(614);
                                      flick_iiopxx_encode_end_glob(618);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(618);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1257);
                                      break;
                                      {
                                      _flick_abort1257:
                                        goto _flick_abort1229;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1258);
                                      flick_iiopxx_encode_end_glob(618);
                                      break;
                                      {
                                      _flick_abort1258:
                                        goto _flick_abort1229;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort1229:
                                goto _flick_abort1228;
                              }
                            }
                            break;
                            {
                            _flick_abort1228:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          unsigned int _t279_switch_tag;

          flick_iiopxx_check_span(16, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t279_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t279_switch_tag)
            {
            case /* test */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
              {
                unsigned int _t280_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t280_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t280_switch_tag)
                  {
                  case /* _cLC */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600343107):
                    {
                      unsigned short int _t281_switch_tag;

                      flick_iiopxx_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t281_switch_tag, unsigned short int );
                      flick_iiopxx_decode_end_chunk(2);
                      switch ((unsigned short int )_t281_switch_tag)
                        {
                        case /* d */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25600):
                          {
                            {
                              POA_arrays *_local_this;
                              unsigned int _t282_principal_len;
                              struct cLCd _return;
                              struct cLCd _local_inp;
                              flick_unsigned32_t _t283_array_iter;
                              struct cLCd _local_iop;
                              flick_unsigned32_t _t284_array_iter;
                              struct cLCd _local_outp;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1260);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t282_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(6);
                              flick_iiopxx_decode_end_glob(20);
                              flick_iiopxx_check_span(_t282_principal_len + 1, _flick_abort1260);
                              flick_iiopxx_decode_new_glob(_t282_principal_len);
                              flick_iiopxx_decode_new_chunk(_t282_principal_len);
                              flick_iiopxx_decode_end_chunk(_t282_principal_len);
                              flick_iiopxx_decode_end_glob(_t282_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiopxx_decode_new_glob(832);
                              flick_iiopxx_decode_new_chunk(1);
                              flick_cdr_swap_decode_char8(0, _local_inp.first, CORBA::Char );
                              flick_iiopxx_decode_end_chunk(1);
                              for (_t283_array_iter = 0; _t283_array_iter < 50; _t283_array_iter++)
                                {
                                  flick_iiopxx_decode_new_chunk_align(5, 2, 0, 0);
                                  flick_iiopxx_check_span(5, _flick_abort1264);
                                  flick_cdr_swap_decode_signed32(0, _local_inp.data[_t283_array_iter].elem1, CORBA::Long );
                                  flick_cdr_swap_decode_char8(4, _local_inp.data[_t283_array_iter].elem2, CORBA::Char );
                                  flick_iiopxx_decode_end_chunk(5);
                                  continue;
                                  {
                                  _flick_abort1264:
                                    goto _flick_abort1260;
                                  }
                                }
                              flick_iiopxx_decode_new_chunk_align(9, 3, 2, 1);
                              flick_iiopxx_check_span(50 * 8 + 15 + 9, _flick_abort1260);
                              flick_cdr_swap_decode_float64(0, _local_inp.last, CORBA::Double );
                              flick_cdr_swap_decode_char8(8, _local_iop.first, CORBA::Char );
                              flick_iiopxx_decode_end_chunk(9);
                              for (_t284_array_iter = 0; _t284_array_iter < 50; _t284_array_iter++)
                                {
                                  flick_iiopxx_decode_new_chunk(8);
                                  flick_cdr_swap_decode_signed32(3, _local_iop.data[_t284_array_iter].elem1, CORBA::Long );
                                  flick_cdr_swap_decode_char8(7, _local_iop.data[_t284_array_iter].elem2, CORBA::Char );
                                  flick_iiopxx_decode_end_chunk(8);
                                  continue;
                                }
                              flick_iiopxx_decode_new_chunk(15);
                              flick_cdr_swap_decode_float64(7, _local_iop.last, CORBA::Double );
                              flick_iiopxx_decode_end_chunk(15);
                              flick_iiopxx_decode_end_glob(832);
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->test_cLCd(_local_inp, _local_iop, _local_outp, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t285_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t285_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1260);
                                flick_iiopxx_encode_new_glob(1252, _flick_abort1260);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t285_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t285_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      flick_unsigned32_t _t289_array_iter;
                                      flick_unsigned32_t _t290_array_iter;
                                      flick_unsigned32_t _t291_array_iter;

                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_new_chunk(1);
                                      flick_cdr_encode_char8(0, _return.first, CORBA::Char );
                                      flick_iiopxx_encode_end_chunk(1);
                                      for (_t289_array_iter = 0; _t289_array_iter < 50; _t289_array_iter++)
                                        {
                                          flick_iiopxx_encode_new_chunk(8);
                                          flick_cdr_encode_signed32(3, _return.data[_t289_array_iter].elem1, CORBA::Long );
                                          flick_cdr_encode_char8(7, _return.data[_t289_array_iter].elem2, CORBA::Char );
                                          flick_iiopxx_encode_end_chunk(8);
                                          continue;
                                        }
                                      flick_iiopxx_encode_new_chunk_align(9, 3, 2, 1);
                                      flick_cdr_encode_float64(0, _return.last, CORBA::Double );
                                      flick_cdr_encode_char8(8, _local_iop.first, CORBA::Char );
                                      flick_iiopxx_encode_end_chunk(9);
                                      for (_t290_array_iter = 0; _t290_array_iter < 50; _t290_array_iter++)
                                        {
                                          flick_iiopxx_encode_new_chunk(8);
                                          flick_cdr_encode_signed32(3, _local_iop.data[_t290_array_iter].elem1, CORBA::Long );
                                          flick_cdr_encode_char8(7, _local_iop.data[_t290_array_iter].elem2, CORBA::Char );
                                          flick_iiopxx_encode_end_chunk(8);
                                          continue;
                                        }
                                      flick_iiopxx_encode_new_chunk(16);
                                      flick_cdr_encode_float64(7, _local_iop.last, CORBA::Double );
                                      flick_cdr_encode_char8(15, _local_outp.first, CORBA::Char );
                                      flick_iiopxx_encode_end_chunk(16);
                                      for (_t291_array_iter = 0; _t291_array_iter < 50; _t291_array_iter++)
                                        {
                                          flick_iiopxx_encode_new_chunk(8);
                                          flick_cdr_encode_signed32(3, _local_outp.data[_t291_array_iter].elem1, CORBA::Long );
                                          flick_cdr_encode_char8(7, _local_outp.data[_t291_array_iter].elem2, CORBA::Char );
                                          flick_iiopxx_encode_end_chunk(8);
                                          continue;
                                        }
                                      flick_iiopxx_encode_new_chunk(15);
                                      flick_cdr_encode_float64(7, _local_outp.last, CORBA::Double );
                                      flick_iiopxx_encode_end_chunk(15);
                                      flick_iiopxx_encode_end_glob(1252);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(1252);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1306);
                                      break;
                                      {
                                      _flick_abort1306:
                                        goto _flick_abort1260;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1307);
                                      flick_iiopxx_encode_end_glob(1252);
                                      break;
                                      {
                                      _flick_abort1307:
                                        goto _flick_abort1260;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort1260:
                                goto _flick_abort1259;
                              }
                            }
                            break;
                            {
                            _flick_abort1259:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _dLC */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600408643):
                    {
                      unsigned short int _t292_switch_tag;

                      flick_iiopxx_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t292_switch_tag, unsigned short int );
                      flick_iiopxx_decode_end_chunk(2);
                      switch ((unsigned short int )_t292_switch_tag)
                        {
                        case /* c */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25344):
                          {
                            {
                              POA_arrays *_local_this;
                              unsigned int _t293_principal_len;
                              struct dLCc _return;
                              struct dLCc _local_inp;
                              flick_unsigned32_t _t294_array_iter;
                              struct dLCc _local_iop;
                              flick_unsigned32_t _t295_array_iter;
                              struct dLCc _local_outp;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1309);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t293_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(6);
                              flick_iiopxx_decode_end_glob(20);
                              flick_iiopxx_check_span(_t293_principal_len, _flick_abort1309);
                              flick_iiopxx_decode_new_glob(_t293_principal_len);
                              flick_iiopxx_decode_new_chunk(_t293_principal_len);
                              flick_iiopxx_decode_end_chunk(_t293_principal_len);
                              flick_iiopxx_decode_end_glob(_t293_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiopxx_decode_new_glob(831);
                              flick_iiopxx_decode_new_chunk_align(8, 3, 0, 0);
                              flick_iiopxx_check_span(8, _flick_abort1309);
                              flick_cdr_swap_decode_float64(0, _local_inp.first, CORBA::Double );
                              flick_iiopxx_decode_end_chunk(8);
                              for (_t294_array_iter = 0; _t294_array_iter < 50; _t294_array_iter++)
                                {
                                  flick_iiopxx_decode_new_chunk_align(5, 2, 0, 0);
                                  flick_iiopxx_check_span(5, _flick_abort1313);
                                  flick_cdr_swap_decode_signed32(0, _local_inp.data[_t294_array_iter].elem1, CORBA::Long );
                                  flick_cdr_swap_decode_char8(4, _local_inp.data[_t294_array_iter].elem2, CORBA::Char );
                                  flick_iiopxx_decode_end_chunk(5);
                                  continue;
                                  {
                                  _flick_abort1313:
                                    goto _flick_abort1309;
                                  }
                                }
                              flick_iiopxx_check_span(1, _flick_abort1309);
                              flick_iiopxx_decode_new_chunk(1);
                              flick_cdr_swap_decode_char8(0, _local_inp.last, CORBA::Char );
                              flick_iiopxx_decode_end_chunk(1);
                              flick_iiopxx_decode_new_chunk_align(8, 3, 2, 2);
                              flick_iiopxx_check_span(8, _flick_abort1309);
                              flick_cdr_swap_decode_float64(0, _local_iop.first, CORBA::Double );
                              flick_iiopxx_decode_end_chunk(8);
                              for (_t295_array_iter = 0; _t295_array_iter < 50; _t295_array_iter++)
                                {
                                  flick_iiopxx_decode_new_chunk_align(5, 2, 0, 0);
                                  flick_iiopxx_check_span(5, _flick_abort1318);
                                  flick_cdr_swap_decode_signed32(0, _local_iop.data[_t295_array_iter].elem1, CORBA::Long );
                                  flick_cdr_swap_decode_char8(4, _local_iop.data[_t295_array_iter].elem2, CORBA::Char );
                                  flick_iiopxx_decode_end_chunk(5);
                                  continue;
                                  {
                                  _flick_abort1318:
                                    goto _flick_abort1309;
                                  }
                                }
                              flick_iiopxx_check_span(1, _flick_abort1309);
                              flick_iiopxx_decode_new_chunk(1);
                              flick_cdr_swap_decode_char8(0, _local_iop.last, CORBA::Char );
                              flick_iiopxx_decode_end_chunk(1);
                              flick_iiopxx_decode_end_glob(831);
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->test_dLCc(_local_inp, _local_iop, _local_outp, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t296_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t296_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1309);
                                flick_iiopxx_encode_new_glob(1247, _flick_abort1309);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t296_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t296_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      flick_unsigned32_t _t300_array_iter;
                                      flick_unsigned32_t _t301_array_iter;
                                      flick_unsigned32_t _t302_array_iter;

                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_new_chunk_align(8, 3, 2, 0);
                                      flick_cdr_encode_float64(0, _return.first, CORBA::Double );
                                      flick_iiopxx_encode_end_chunk(8);
                                      for (_t300_array_iter = 0; _t300_array_iter < 50; _t300_array_iter++)
                                        {
                                          flick_iiopxx_encode_new_chunk_align(5, 2, 0, 0);
                                          flick_cdr_encode_signed32(0, _return.data[_t300_array_iter].elem1, CORBA::Long );
                                          flick_cdr_encode_char8(4, _return.data[_t300_array_iter].elem2, CORBA::Char );
                                          flick_iiopxx_encode_end_chunk(5);
                                          continue;
                                        }
                                      flick_iiopxx_encode_new_chunk(1);
                                      flick_cdr_encode_char8(0, _return.last, CORBA::Char );
                                      flick_iiopxx_encode_end_chunk(1);
                                      flick_iiopxx_encode_new_chunk_align(8, 3, 2, 2);
                                      flick_cdr_encode_float64(0, _local_iop.first, CORBA::Double );
                                      flick_iiopxx_encode_end_chunk(8);
                                      for (_t301_array_iter = 0; _t301_array_iter < 50; _t301_array_iter++)
                                        {
                                          flick_iiopxx_encode_new_chunk_align(5, 2, 0, 0);
                                          flick_cdr_encode_signed32(0, _local_iop.data[_t301_array_iter].elem1, CORBA::Long );
                                          flick_cdr_encode_char8(4, _local_iop.data[_t301_array_iter].elem2, CORBA::Char );
                                          flick_iiopxx_encode_end_chunk(5);
                                          continue;
                                        }
                                      flick_iiopxx_encode_new_chunk(1);
                                      flick_cdr_encode_char8(0, _local_iop.last, CORBA::Char );
                                      flick_iiopxx_encode_end_chunk(1);
                                      flick_iiopxx_encode_new_chunk_align(8, 3, 2, 2);
                                      flick_cdr_encode_float64(0, _local_outp.first, CORBA::Double );
                                      flick_iiopxx_encode_end_chunk(8);
                                      for (_t302_array_iter = 0; _t302_array_iter < 50; _t302_array_iter++)
                                        {
                                          flick_iiopxx_encode_new_chunk_align(5, 2, 0, 0);
                                          flick_cdr_encode_signed32(0, _local_outp.data[_t302_array_iter].elem1, CORBA::Long );
                                          flick_cdr_encode_char8(4, _local_outp.data[_t302_array_iter].elem2, CORBA::Char );
                                          flick_iiopxx_encode_end_chunk(5);
                                          continue;
                                        }
                                      flick_iiopxx_encode_new_chunk(1);
                                      flick_cdr_encode_char8(0, _local_outp.last, CORBA::Char );
                                      flick_iiopxx_encode_end_chunk(1);
                                      flick_iiopxx_encode_end_glob(1247);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(1247);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1355);
                                      break;
                                      {
                                      _flick_abort1355:
                                        goto _flick_abort1309;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1356);
                                      flick_iiopxx_encode_end_glob(1247);
                                      break;
                                      {
                                      _flick_abort1356:
                                        goto _flick_abort1309;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort1309:
                                goto _flick_abort1308;
                              }
                            }
                            break;
                            {
                            _flick_abort1308:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _sLC */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601391683):
                    {
                      unsigned short int _t303_switch_tag;

                      flick_iiopxx_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t303_switch_tag, unsigned short int );
                      flick_iiopxx_decode_end_chunk(2);
                      switch ((unsigned short int )_t303_switch_tag)
                        {
                        case /* s */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29440):
                          {
                            {
                              POA_arrays *_local_this;
                              unsigned int _t304_principal_len;
                              struct sLCs _return;
                              struct sLCs _local_inp;
                              flick_unsigned32_t _t305_array_iter;
                              struct sLCs _local_iop;
                              flick_unsigned32_t _t306_array_iter;
                              struct sLCs _local_outp;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1358);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t304_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(6);
                              flick_iiopxx_decode_end_glob(20);
                              flick_iiopxx_check_span(_t304_principal_len, _flick_abort1358);
                              flick_iiopxx_decode_new_glob(_t304_principal_len);
                              flick_iiopxx_decode_new_chunk(_t304_principal_len);
                              flick_iiopxx_decode_end_chunk(_t304_principal_len);
                              flick_iiopxx_decode_end_glob(_t304_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiopxx_decode_new_glob(811);
                              flick_iiopxx_decode_new_chunk_align(2, 1, 0, 0);
                              flick_iiopxx_check_span(2, _flick_abort1358);
                              flick_cdr_swap_decode_signed16(0, _local_inp.first, CORBA::Short );
                              flick_iiopxx_decode_end_chunk(2);
                              for (_t305_array_iter = 0; _t305_array_iter < 50; _t305_array_iter++)
                                {
                                  flick_iiopxx_decode_new_chunk_align(5, 2, 0, 0);
                                  flick_iiopxx_check_span(5, _flick_abort1362);
                                  flick_cdr_swap_decode_signed32(0, _local_inp.data[_t305_array_iter].elem1, CORBA::Long );
                                  flick_cdr_swap_decode_char8(4, _local_inp.data[_t305_array_iter].elem2, CORBA::Char );
                                  flick_iiopxx_decode_end_chunk(5);
                                  continue;
                                  {
                                  _flick_abort1362:
                                    goto _flick_abort1358;
                                  }
                                }
                              flick_iiopxx_check_span(5, _flick_abort1358);
                              flick_iiopxx_decode_new_chunk(5);
                              flick_cdr_swap_decode_signed16(1, _local_inp.last, CORBA::Short );
                              flick_cdr_swap_decode_signed16(3, _local_iop.first, CORBA::Short );
                              flick_iiopxx_decode_end_chunk(5);
                              for (_t306_array_iter = 0; _t306_array_iter < 50; _t306_array_iter++)
                                {
                                  flick_iiopxx_decode_new_chunk_align(5, 2, 0, 0);
                                  flick_iiopxx_check_span(5, _flick_abort1367);
                                  flick_cdr_swap_decode_signed32(0, _local_iop.data[_t306_array_iter].elem1, CORBA::Long );
                                  flick_cdr_swap_decode_char8(4, _local_iop.data[_t306_array_iter].elem2, CORBA::Char );
                                  flick_iiopxx_decode_end_chunk(5);
                                  continue;
                                  {
                                  _flick_abort1367:
                                    goto _flick_abort1358;
                                  }
                                }
                              flick_iiopxx_check_span(3, _flick_abort1358);
                              flick_iiopxx_decode_new_chunk(3);
                              flick_cdr_swap_decode_signed16(1, _local_iop.last, CORBA::Short );
                              flick_iiopxx_decode_end_chunk(3);
                              flick_iiopxx_decode_end_glob(811);
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->test_sLCs(_local_inp, _local_iop, _local_outp, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t307_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t307_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1358);
                                flick_iiopxx_encode_new_glob(1219, _flick_abort1358);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t307_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t307_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      flick_unsigned32_t _t311_array_iter;
                                      flick_unsigned32_t _t312_array_iter;
                                      flick_unsigned32_t _t313_array_iter;

                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_new_chunk(2);
                                      flick_cdr_encode_signed16(0, _return.first, CORBA::Short );
                                      flick_iiopxx_encode_end_chunk(2);
                                      for (_t311_array_iter = 0; _t311_array_iter < 50; _t311_array_iter++)
                                        {
                                          flick_iiopxx_encode_new_chunk_align(5, 2, 0, 0);
                                          flick_cdr_encode_signed32(0, _return.data[_t311_array_iter].elem1, CORBA::Long );
                                          flick_cdr_encode_char8(4, _return.data[_t311_array_iter].elem2, CORBA::Char );
                                          flick_iiopxx_encode_end_chunk(5);
                                          continue;
                                        }
                                      flick_iiopxx_encode_new_chunk(5);
                                      flick_cdr_encode_signed16(1, _return.last, CORBA::Short );
                                      flick_cdr_encode_signed16(3, _local_iop.first, CORBA::Short );
                                      flick_iiopxx_encode_end_chunk(5);
                                      for (_t312_array_iter = 0; _t312_array_iter < 50; _t312_array_iter++)
                                        {
                                          flick_iiopxx_encode_new_chunk_align(5, 2, 0, 0);
                                          flick_cdr_encode_signed32(0, _local_iop.data[_t312_array_iter].elem1, CORBA::Long );
                                          flick_cdr_encode_char8(4, _local_iop.data[_t312_array_iter].elem2, CORBA::Char );
                                          flick_iiopxx_encode_end_chunk(5);
                                          continue;
                                        }
                                      flick_iiopxx_encode_new_chunk(5);
                                      flick_cdr_encode_signed16(1, _local_iop.last, CORBA::Short );
                                      flick_cdr_encode_signed16(3, _local_outp.first, CORBA::Short );
                                      flick_iiopxx_encode_end_chunk(5);
                                      for (_t313_array_iter = 0; _t313_array_iter < 50; _t313_array_iter++)
                                        {
                                          flick_iiopxx_encode_new_chunk_align(5, 2, 0, 0);
                                          flick_cdr_encode_signed32(0, _local_outp.data[_t313_array_iter].elem1, CORBA::Long );
                                          flick_cdr_encode_char8(4, _local_outp.data[_t313_array_iter].elem2, CORBA::Char );
                                          flick_iiopxx_encode_end_chunk(5);
                                          continue;
                                        }
                                      flick_iiopxx_encode_new_chunk(3);
                                      flick_cdr_encode_signed16(1, _local_outp.last, CORBA::Short );
                                      flick_iiopxx_encode_end_chunk(3);
                                      flick_iiopxx_encode_end_glob(1219);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(1219);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1404);
                                      break;
                                      {
                                      _flick_abort1404:
                                        goto _flick_abort1358;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1405);
                                      flick_iiopxx_encode_end_glob(1219);
                                      break;
                                      {
                                      _flick_abort1405:
                                        goto _flick_abort1358;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort1358:
                                goto _flick_abort1357;
                              }
                            }
                            break;
                            {
                            _flick_abort1357:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _cCL */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600340812):
                    {
                      unsigned short int _t314_switch_tag;

                      flick_iiopxx_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t314_switch_tag, unsigned short int );
                      flick_iiopxx_decode_end_chunk(2);
                      switch ((unsigned short int )_t314_switch_tag)
                        {
                        case /* d */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25600):
                          {
                            {
                              POA_arrays *_local_this;
                              unsigned int _t315_principal_len;
                              struct cCLd _return;
                              struct cCLd _local_inp;
                              flick_unsigned32_t _t316_array_iter;
                              struct cCLd _local_iop;
                              flick_unsigned32_t _t317_array_iter;
                              struct cCLd _local_outp;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1407);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t315_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(6);
                              flick_iiopxx_decode_end_glob(20);
                              flick_iiopxx_check_span(_t315_principal_len + 1, _flick_abort1407);
                              flick_iiopxx_decode_new_glob(_t315_principal_len);
                              flick_iiopxx_decode_new_chunk(_t315_principal_len);
                              flick_iiopxx_decode_end_chunk(_t315_principal_len);
                              flick_iiopxx_decode_end_glob(_t315_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiopxx_decode_new_glob(826);
                              flick_iiopxx_decode_new_chunk(1);
                              flick_cdr_swap_decode_char8(0, _local_inp.first, CORBA::Char );
                              flick_iiopxx_decode_end_chunk(1);
                              for (_t316_array_iter = 0; _t316_array_iter < 50; _t316_array_iter++)
                                {
                                  flick_iiopxx_check_span(1, _flick_abort1411);
                                  flick_iiopxx_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _local_inp.data[_t316_array_iter].elem1, CORBA::Char );
                                  flick_iiopxx_decode_end_chunk(1);
                                  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                  flick_iiopxx_check_span(4, _flick_abort1411);
                                  flick_cdr_swap_decode_signed32(0, _local_inp.data[_t316_array_iter].elem2, CORBA::Long );
                                  flick_iiopxx_decode_end_chunk(4);
                                  continue;
                                  {
                                  _flick_abort1411:
                                    goto _flick_abort1407;
                                  }
                                }
                              flick_iiopxx_decode_new_chunk_align(9, 3, 2, 0);
                              flick_iiopxx_check_span(9, _flick_abort1407);
                              flick_cdr_swap_decode_float64(0, _local_inp.last, CORBA::Double );
                              flick_cdr_swap_decode_char8(8, _local_iop.first, CORBA::Char );
                              flick_iiopxx_decode_end_chunk(9);
                              for (_t317_array_iter = 0; _t317_array_iter < 50; _t317_array_iter++)
                                {
                                  flick_iiopxx_check_span(1, _flick_abort1416);
                                  flick_iiopxx_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _local_iop.data[_t317_array_iter].elem1, CORBA::Char );
                                  flick_iiopxx_decode_end_chunk(1);
                                  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                  flick_iiopxx_check_span(4, _flick_abort1416);
                                  flick_cdr_swap_decode_signed32(0, _local_iop.data[_t317_array_iter].elem2, CORBA::Long );
                                  flick_iiopxx_decode_end_chunk(4);
                                  continue;
                                  {
                                  _flick_abort1416:
                                    goto _flick_abort1407;
                                  }
                                }
                              flick_iiopxx_decode_new_chunk_align(8, 3, 2, 0);
                              flick_iiopxx_check_span(8, _flick_abort1407);
                              flick_cdr_swap_decode_float64(0, _local_iop.last, CORBA::Double );
                              flick_iiopxx_decode_end_chunk(8);
                              flick_iiopxx_decode_end_glob(826);
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->test_cCLd(_local_inp, _local_iop, _local_outp, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t318_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t318_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1407);
                                flick_iiopxx_encode_new_glob(1243, _flick_abort1407);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t318_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t318_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      flick_unsigned32_t _t322_array_iter;
                                      flick_unsigned32_t _t323_array_iter;
                                      flick_unsigned32_t _t324_array_iter;

                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_new_chunk(1);
                                      flick_cdr_encode_char8(0, _return.first, CORBA::Char );
                                      flick_iiopxx_encode_end_chunk(1);
                                      for (_t322_array_iter = 0; _t322_array_iter < 50; _t322_array_iter++)
                                        {
                                          flick_iiopxx_encode_new_chunk(1);
                                          flick_cdr_encode_char8(0, _return.data[_t322_array_iter].elem1, CORBA::Char );
                                          flick_iiopxx_encode_end_chunk(1);
                                          flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                          flick_cdr_encode_signed32(0, _return.data[_t322_array_iter].elem2, CORBA::Long );
                                          flick_iiopxx_encode_end_chunk(4);
                                          continue;
                                        }
                                      flick_iiopxx_encode_new_chunk_align(9, 3, 2, 0);
                                      flick_cdr_encode_float64(0, _return.last, CORBA::Double );
                                      flick_cdr_encode_char8(8, _local_iop.first, CORBA::Char );
                                      flick_iiopxx_encode_end_chunk(9);
                                      for (_t323_array_iter = 0; _t323_array_iter < 50; _t323_array_iter++)
                                        {
                                          flick_iiopxx_encode_new_chunk(1);
                                          flick_cdr_encode_char8(0, _local_iop.data[_t323_array_iter].elem1, CORBA::Char );
                                          flick_iiopxx_encode_end_chunk(1);
                                          flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                          flick_cdr_encode_signed32(0, _local_iop.data[_t323_array_iter].elem2, CORBA::Long );
                                          flick_iiopxx_encode_end_chunk(4);
                                          continue;
                                        }
                                      flick_iiopxx_encode_new_chunk_align(9, 3, 2, 0);
                                      flick_cdr_encode_float64(0, _local_iop.last, CORBA::Double );
                                      flick_cdr_encode_char8(8, _local_outp.first, CORBA::Char );
                                      flick_iiopxx_encode_end_chunk(9);
                                      for (_t324_array_iter = 0; _t324_array_iter < 50; _t324_array_iter++)
                                        {
                                          flick_iiopxx_encode_new_chunk(1);
                                          flick_cdr_encode_char8(0, _local_outp.data[_t324_array_iter].elem1, CORBA::Char );
                                          flick_iiopxx_encode_end_chunk(1);
                                          flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                          flick_cdr_encode_signed32(0, _local_outp.data[_t324_array_iter].elem2, CORBA::Long );
                                          flick_iiopxx_encode_end_chunk(4);
                                          continue;
                                        }
                                      flick_iiopxx_encode_new_chunk_align(8, 3, 2, 0);
                                      flick_cdr_encode_float64(0, _local_outp.last, CORBA::Double );
                                      flick_iiopxx_encode_end_chunk(8);
                                      flick_iiopxx_encode_end_glob(1243);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(1243);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1453);
                                      break;
                                      {
                                      _flick_abort1453:
                                        goto _flick_abort1407;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1454);
                                      flick_iiopxx_encode_end_glob(1243);
                                      break;
                                      {
                                      _flick_abort1454:
                                        goto _flick_abort1407;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort1407:
                                goto _flick_abort1406;
                              }
                            }
                            break;
                            {
                            _flick_abort1406:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _dCL */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600406348):
                    {
                      unsigned short int _t325_switch_tag;

                      flick_iiopxx_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t325_switch_tag, unsigned short int );
                      flick_iiopxx_decode_end_chunk(2);
                      switch ((unsigned short int )_t325_switch_tag)
                        {
                        case /* c */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25344):
                          {
                            {
                              POA_arrays *_local_this;
                              unsigned int _t326_principal_len;
                              struct dCLc _return;
                              struct dCLc _local_inp;
                              flick_unsigned32_t _t327_array_iter;
                              struct dCLc _local_iop;
                              flick_unsigned32_t _t328_array_iter;
                              struct dCLc _local_outp;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1456);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t326_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(6);
                              flick_iiopxx_decode_end_glob(20);
                              flick_iiopxx_check_span(_t326_principal_len, _flick_abort1456);
                              flick_iiopxx_decode_new_glob(_t326_principal_len);
                              flick_iiopxx_decode_new_chunk(_t326_principal_len);
                              flick_iiopxx_decode_end_chunk(_t326_principal_len);
                              flick_iiopxx_decode_end_glob(_t326_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiopxx_decode_new_glob(832);
                              flick_iiopxx_decode_new_chunk_align(8, 3, 0, 0);
                              flick_iiopxx_check_span(50 * 8 + (50 * 8 + 1) + 24, _flick_abort1456);
                              flick_cdr_swap_decode_float64(0, _local_inp.first, CORBA::Double );
                              flick_iiopxx_decode_end_chunk(8);
                              for (_t327_array_iter = 0; _t327_array_iter < 50; _t327_array_iter++)
                                {
                                  flick_iiopxx_decode_new_chunk(8);
                                  flick_cdr_swap_decode_char8(0, _local_inp.data[_t327_array_iter].elem1, CORBA::Char );
                                  flick_cdr_swap_decode_signed32(4, _local_inp.data[_t327_array_iter].elem2, CORBA::Long );
                                  flick_iiopxx_decode_end_chunk(8);
                                  continue;
                                }
                              flick_iiopxx_decode_new_chunk(16);
                              flick_cdr_swap_decode_char8(0, _local_inp.last, CORBA::Char );
                              flick_cdr_swap_decode_float64(8, _local_iop.first, CORBA::Double );
                              flick_iiopxx_decode_end_chunk(16);
                              for (_t328_array_iter = 0; _t328_array_iter < 50; _t328_array_iter++)
                                {
                                  flick_iiopxx_decode_new_chunk(8);
                                  flick_cdr_swap_decode_char8(0, _local_iop.data[_t328_array_iter].elem1, CORBA::Char );
                                  flick_cdr_swap_decode_signed32(4, _local_iop.data[_t328_array_iter].elem2, CORBA::Long );
                                  flick_iiopxx_decode_end_chunk(8);
                                  continue;
                                }
                              flick_iiopxx_decode_new_chunk(1);
                              flick_cdr_swap_decode_char8(0, _local_iop.last, CORBA::Char );
                              flick_iiopxx_decode_end_chunk(1);
                              flick_iiopxx_decode_end_glob(832);
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->test_dCLc(_local_inp, _local_iop, _local_outp, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t329_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t329_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1456);
                                flick_iiopxx_encode_new_glob(1249, _flick_abort1456);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t329_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t329_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      flick_unsigned32_t _t333_array_iter;
                                      flick_unsigned32_t _t334_array_iter;
                                      flick_unsigned32_t _t335_array_iter;

                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_new_chunk_align(8, 3, 2, 0);
                                      flick_cdr_encode_float64(0, _return.first, CORBA::Double );
                                      flick_iiopxx_encode_end_chunk(8);
                                      for (_t333_array_iter = 0; _t333_array_iter < 50; _t333_array_iter++)
                                        {
                                          flick_iiopxx_encode_new_chunk(8);
                                          flick_cdr_encode_char8(0, _return.data[_t333_array_iter].elem1, CORBA::Char );
                                          flick_cdr_encode_signed32(4, _return.data[_t333_array_iter].elem2, CORBA::Long );
                                          flick_iiopxx_encode_end_chunk(8);
                                          continue;
                                        }
                                      flick_iiopxx_encode_new_chunk(16);
                                      flick_cdr_encode_char8(0, _return.last, CORBA::Char );
                                      flick_cdr_encode_float64(8, _local_iop.first, CORBA::Double );
                                      flick_iiopxx_encode_end_chunk(16);
                                      for (_t334_array_iter = 0; _t334_array_iter < 50; _t334_array_iter++)
                                        {
                                          flick_iiopxx_encode_new_chunk(8);
                                          flick_cdr_encode_char8(0, _local_iop.data[_t334_array_iter].elem1, CORBA::Char );
                                          flick_cdr_encode_signed32(4, _local_iop.data[_t334_array_iter].elem2, CORBA::Long );
                                          flick_iiopxx_encode_end_chunk(8);
                                          continue;
                                        }
                                      flick_iiopxx_encode_new_chunk(16);
                                      flick_cdr_encode_char8(0, _local_iop.last, CORBA::Char );
                                      flick_cdr_encode_float64(8, _local_outp.first, CORBA::Double );
                                      flick_iiopxx_encode_end_chunk(16);
                                      for (_t335_array_iter = 0; _t335_array_iter < 50; _t335_array_iter++)
                                        {
                                          flick_iiopxx_encode_new_chunk(8);
                                          flick_cdr_encode_char8(0, _local_outp.data[_t335_array_iter].elem1, CORBA::Char );
                                          flick_cdr_encode_signed32(4, _local_outp.data[_t335_array_iter].elem2, CORBA::Long );
                                          flick_iiopxx_encode_end_chunk(8);
                                          continue;
                                        }
                                      flick_iiopxx_encode_new_chunk(1);
                                      flick_cdr_encode_char8(0, _local_outp.last, CORBA::Char );
                                      flick_iiopxx_encode_end_chunk(1);
                                      flick_iiopxx_encode_end_glob(1249);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(1249);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1502);
                                      break;
                                      {
                                      _flick_abort1502:
                                        goto _flick_abort1456;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1503);
                                      flick_iiopxx_encode_end_glob(1249);
                                      break;
                                      {
                                      _flick_abort1503:
                                        goto _flick_abort1456;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort1456:
                                goto _flick_abort1455;
                              }
                            }
                            break;
                            {
                            _flick_abort1455:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _sCL */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601389388):
                    {
                      unsigned short int _t336_switch_tag;

                      flick_iiopxx_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t336_switch_tag, unsigned short int );
                      flick_iiopxx_decode_end_chunk(2);
                      switch ((unsigned short int )_t336_switch_tag)
                        {
                        case /* s */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29440):
                          {
                            {
                              POA_arrays *_local_this;
                              unsigned int _t337_principal_len;
                              struct sCLs _return;
                              struct sCLs _local_inp;
                              flick_unsigned32_t _t338_array_iter;
                              struct sCLs _local_iop;
                              flick_unsigned32_t _t339_array_iter;
                              struct sCLs _local_outp;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1505);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t337_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(6);
                              flick_iiopxx_decode_end_glob(20);
                              flick_iiopxx_check_span(_t337_principal_len, _flick_abort1505);
                              flick_iiopxx_decode_new_glob(_t337_principal_len);
                              flick_iiopxx_decode_new_chunk(_t337_principal_len);
                              flick_iiopxx_decode_end_chunk(_t337_principal_len);
                              flick_iiopxx_decode_end_glob(_t337_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiopxx_decode_new_glob(809);
                              flick_iiopxx_decode_new_chunk_align(2, 1, 0, 0);
                              flick_iiopxx_check_span(2, _flick_abort1505);
                              flick_cdr_swap_decode_signed16(0, _local_inp.first, CORBA::Short );
                              flick_iiopxx_decode_end_chunk(2);
                              for (_t338_array_iter = 0; _t338_array_iter < 50; _t338_array_iter++)
                                {
                                  flick_iiopxx_check_span(1, _flick_abort1509);
                                  flick_iiopxx_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _local_inp.data[_t338_array_iter].elem1, CORBA::Char );
                                  flick_iiopxx_decode_end_chunk(1);
                                  flick_iiopxx_decode_new_chunk_align(4, 2, 1, 1);
                                  flick_iiopxx_check_span(4, _flick_abort1509);
                                  flick_cdr_swap_decode_signed32(0, _local_inp.data[_t338_array_iter].elem2, CORBA::Long );
                                  flick_iiopxx_decode_end_chunk(4);
                                  continue;
                                  {
                                  _flick_abort1509:
                                    goto _flick_abort1505;
                                  }
                                }
                              flick_iiopxx_check_span(50 * 8 + 2 + 4, _flick_abort1505);
                              flick_iiopxx_decode_new_chunk(4);
                              flick_cdr_swap_decode_signed16(0, _local_inp.last, CORBA::Short );
                              flick_cdr_swap_decode_signed16(2, _local_iop.first, CORBA::Short );
                              flick_iiopxx_decode_end_chunk(4);
                              for (_t339_array_iter = 0; _t339_array_iter < 50; _t339_array_iter++)
                                {
                                  flick_iiopxx_decode_new_chunk(8);
                                  flick_cdr_swap_decode_char8(0, _local_iop.data[_t339_array_iter].elem1, CORBA::Char );
                                  flick_cdr_swap_decode_signed32(4, _local_iop.data[_t339_array_iter].elem2, CORBA::Long );
                                  flick_iiopxx_decode_end_chunk(8);
                                  continue;
                                }
                              flick_iiopxx_decode_new_chunk(2);
                              flick_cdr_swap_decode_signed16(0, _local_iop.last, CORBA::Short );
                              flick_iiopxx_decode_end_chunk(2);
                              flick_iiopxx_decode_end_glob(809);
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->test_sCLs(_local_inp, _local_iop, _local_outp, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t340_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t340_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1505);
                                flick_iiopxx_encode_new_glob(1216, _flick_abort1505);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t340_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t340_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      flick_unsigned32_t _t344_array_iter;
                                      flick_unsigned32_t _t345_array_iter;
                                      flick_unsigned32_t _t346_array_iter;

                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_new_chunk(2);
                                      flick_cdr_encode_signed16(0, _return.first, CORBA::Short );
                                      flick_iiopxx_encode_end_chunk(2);
                                      for (_t344_array_iter = 0; _t344_array_iter < 50; _t344_array_iter++)
                                        {
                                          flick_iiopxx_encode_new_chunk(1);
                                          flick_cdr_encode_char8(0, _return.data[_t344_array_iter].elem1, CORBA::Char );
                                          flick_iiopxx_encode_end_chunk(1);
                                          flick_iiopxx_encode_new_chunk_align(4, 2, 1, 1);
                                          flick_cdr_encode_signed32(0, _return.data[_t344_array_iter].elem2, CORBA::Long );
                                          flick_iiopxx_encode_end_chunk(4);
                                          continue;
                                        }
                                      flick_iiopxx_encode_new_chunk(4);
                                      flick_cdr_encode_signed16(0, _return.last, CORBA::Short );
                                      flick_cdr_encode_signed16(2, _local_iop.first, CORBA::Short );
                                      flick_iiopxx_encode_end_chunk(4);
                                      for (_t345_array_iter = 0; _t345_array_iter < 50; _t345_array_iter++)
                                        {
                                          flick_iiopxx_encode_new_chunk(8);
                                          flick_cdr_encode_char8(0, _local_iop.data[_t345_array_iter].elem1, CORBA::Char );
                                          flick_cdr_encode_signed32(4, _local_iop.data[_t345_array_iter].elem2, CORBA::Long );
                                          flick_iiopxx_encode_end_chunk(8);
                                          continue;
                                        }
                                      flick_iiopxx_encode_new_chunk(4);
                                      flick_cdr_encode_signed16(0, _local_iop.last, CORBA::Short );
                                      flick_cdr_encode_signed16(2, _local_outp.first, CORBA::Short );
                                      flick_iiopxx_encode_end_chunk(4);
                                      for (_t346_array_iter = 0; _t346_array_iter < 50; _t346_array_iter++)
                                        {
                                          flick_iiopxx_encode_new_chunk(8);
                                          flick_cdr_encode_char8(0, _local_outp.data[_t346_array_iter].elem1, CORBA::Char );
                                          flick_cdr_encode_signed32(4, _local_outp.data[_t346_array_iter].elem2, CORBA::Long );
                                          flick_iiopxx_encode_end_chunk(8);
                                          continue;
                                        }
                                      flick_iiopxx_encode_new_chunk(2);
                                      flick_cdr_encode_signed16(0, _local_outp.last, CORBA::Short );
                                      flick_iiopxx_encode_end_chunk(2);
                                      flick_iiopxx_encode_end_glob(1216);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(1216);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1551);
                                      break;
                                      {
                                      _flick_abort1551:
                                        goto _flick_abort1505;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1552);
                                      flick_iiopxx_encode_end_glob(1216);
                                      break;
                                      {
                                      _flick_abort1552:
                                        goto _flick_abort1505;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort1505:
                                goto _flick_abort1504;
                              }
                            }
                            break;
                            {
                            _flick_abort1504:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t347_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t347_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t347_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t348_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t348_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t348_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_arrays *_local_this;
                        unsigned int _t349_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t350_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1554);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t349_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(20);
                        flick_iiopxx_check_span(_t349_principal_len, _flick_abort1554);
                        flick_iiopxx_decode_new_glob(_t349_principal_len);
                        flick_iiopxx_decode_new_chunk(_t349_principal_len);
                        flick_iiopxx_decode_end_chunk(_t349_principal_len);
                        flick_iiopxx_decode_end_glob(_t349_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort1554);
                        flick_cdr_swap_decode_unsigned32(0, _t350_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t350_temp_string_len);
                        flick_iiopxx_check_span(1 * _t350_temp_string_len, _flick_abort1554);
                        flick_iiopxx_decode_new_chunk(1 * _t350_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_type_id, CORBA::Char *);
                        flick_iiopxx_decode_end_chunk(1 * _t350_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t350_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t351_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t351_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1554);
                          flick_iiopxx_encode_new_glob(5, _flick_abort1554);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t351_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t351_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1562);
                                break;
                                {
                                _flick_abort1562:
                                  goto _flick_abort1554;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1563);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort1563:
                                  goto _flick_abort1554;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort1554:
                          goto _flick_abort1553;
                        }
                      }
                      break;
                      {
                      _flick_abort1553:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
          flick_iiopxx_decode_end_glob(20);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t85_switch_tag;

    flick_iiopxx_decode_new_glob(20);
    flick_iiopxx_check_span(16, _flick_abort5);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t85_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t85_switch_tag)
      {
      case (unsigned int) 9:
        {
          unsigned int _t86_switch_tag;

          flick_iiopxx_check_span(16, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t86_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t86_switch_tag)
            {
            case /* test */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
              {
                unsigned int _t87_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t87_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t87_switch_tag)
                  {
                  case /* _cLd */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600343140):
                    {
                      char _t88_switch_tag;

                      flick_iiopxx_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t88_switch_tag, char );
                      flick_iiopxx_decode_end_chunk(1);
                      switch ((char )_t88_switch_tag)
                        {
                        case 0:
                          {
                            {
                              POA_arrays *_local_this;
                              unsigned int _t89_principal_len;
                              struct cLd _return;
                              struct cLd _local_inp;
                              struct cLd _local_iop;
                              struct cLd _local_outp;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort388);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(7);
                              flick_cdr_decode_unsigned32(3, _t89_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(7);
                              flick_iiopxx_decode_end_glob(20);
                              flick_iiopxx_check_span(_t89_principal_len + 1, _flick_abort388);
                              flick_iiopxx_decode_new_glob(_t89_principal_len);
                              flick_iiopxx_decode_new_chunk(_t89_principal_len);
                              flick_iiopxx_decode_end_chunk(_t89_principal_len);
                              flick_iiopxx_decode_end_glob(_t89_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiopxx_decode_new_glob(432);
                              flick_iiopxx_decode_new_chunk(1);
                              flick_cdr_decode_char8(0, _local_inp.first, CORBA::Char );
                              flick_iiopxx_decode_end_chunk(1);
                              flick_iiopxx_decode_new_chunk_align(200, 2, 0, 0);
                              flick_iiopxx_check_span(200, _flick_abort388);
                              flick_cdr_decode_bcopy(0, _local_inp.data, 200);
                              flick_iiopxx_decode_end_chunk(200);
                              flick_iiopxx_decode_new_chunk_align(224, 3, 2, 0);
                              flick_iiopxx_check_span(224, _flick_abort388);
                              flick_cdr_decode_float64(0, _local_inp.last, CORBA::Double );
                              flick_cdr_decode_char8(8, _local_iop.first, CORBA::Char );
                              flick_cdr_decode_bcopy(12, _local_iop.data, 200);
                              flick_cdr_decode_float64(216, _local_iop.last, CORBA::Double );
                              flick_iiopxx_decode_end_chunk(224);
                              flick_iiopxx_decode_end_glob(432);
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->test_cLd(_local_inp, _local_iop, _local_outp, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t90_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t90_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort388);
                                flick_iiopxx_encode_new_glob(652, _flick_abort388);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t90_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t90_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_new_chunk(204);
                                      flick_cdr_encode_char8(0, _return.first, CORBA::Char );
                                      flick_cdr_encode_bcopy(4, _return.data, 200);
                                      flick_iiopxx_encode_end_chunk(204);
                                      flick_iiopxx_encode_new_chunk_align(440, 3, 2, 0);
                                      flick_cdr_encode_float64(0, _return.last, CORBA::Double );
                                      flick_cdr_encode_char8(8, _local_iop.first, CORBA::Char );
                                      flick_cdr_encode_bcopy(12, _local_iop.data, 200);
                                      flick_cdr_encode_float64(216, _local_iop.last, CORBA::Double );
                                      flick_cdr_encode_char8(224, _local_outp.first, CORBA::Char );
                                      flick_cdr_encode_bcopy(228, _local_outp.data, 200);
                                      flick_cdr_encode_float64(432, _local_outp.last, CORBA::Double );
                                      flick_iiopxx_encode_end_chunk(440);
                                      flick_iiopxx_encode_end_glob(652);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(652);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort410);
                                      break;
                                      {
                                      _flick_abort410:
                                        goto _flick_abort388;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort411);
                                      flick_iiopxx_encode_end_glob(652);
                                      break;
                                      {
                                      _flick_abort411:
                                        goto _flick_abort388;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort388:
                                goto _flick_abort387;
                              }
                            }
                            break;
                            {
                            _flick_abort387:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _dLc */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600408675):
                    {
                      char _t91_switch_tag;

                      flick_iiopxx_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t91_switch_tag, char );
                      flick_iiopxx_decode_end_chunk(1);
                      switch ((char )_t91_switch_tag)
                        {
                        case 0:
                          {
                            {
                              POA_arrays *_local_this;
                              unsigned int _t92_principal_len;
                              struct dLc _return;
                              struct dLc _local_inp;
                              struct dLc _local_iop;
                              struct dLc _local_outp;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort413);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(7);
                              flick_cdr_decode_unsigned32(3, _t92_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(7);
                              flick_iiopxx_decode_end_glob(20);
                              flick_iiopxx_check_span(_t92_principal_len, _flick_abort413);
                              flick_iiopxx_decode_new_glob(_t92_principal_len);
                              flick_iiopxx_decode_new_chunk(_t92_principal_len);
                              flick_iiopxx_decode_end_chunk(_t92_principal_len);
                              flick_iiopxx_decode_end_glob(_t92_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiopxx_decode_new_glob(432);
                              flick_iiopxx_decode_new_chunk_align(425, 3, 0, 0);
                              flick_iiopxx_check_span(425, _flick_abort413);
                              flick_cdr_decode_float64(0, _local_inp.first, CORBA::Double );
                              flick_cdr_decode_bcopy(8, _local_inp.data, 200);
                              flick_cdr_decode_char8(208, _local_inp.last, CORBA::Char );
                              flick_cdr_decode_float64(216, _local_iop.first, CORBA::Double );
                              flick_cdr_decode_bcopy(224, _local_iop.data, 200);
                              flick_cdr_decode_char8(424, _local_iop.last, CORBA::Char );
                              flick_iiopxx_decode_end_chunk(425);
                              flick_iiopxx_decode_end_glob(432);
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->test_dLc(_local_inp, _local_iop, _local_outp, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t93_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t93_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort413);
                                flick_iiopxx_encode_new_glob(649, _flick_abort413);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t93_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t93_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_new_chunk_align(641, 3, 2, 0);
                                      flick_cdr_encode_float64(0, _return.first, CORBA::Double );
                                      flick_cdr_encode_bcopy(8, _return.data, 200);
                                      flick_cdr_encode_char8(208, _return.last, CORBA::Char );
                                      flick_cdr_encode_float64(216, _local_iop.first, CORBA::Double );
                                      flick_cdr_encode_bcopy(224, _local_iop.data, 200);
                                      flick_cdr_encode_char8(424, _local_iop.last, CORBA::Char );
                                      flick_cdr_encode_float64(432, _local_outp.first, CORBA::Double );
                                      flick_cdr_encode_bcopy(440, _local_outp.data, 200);
                                      flick_cdr_encode_char8(640, _local_outp.last, CORBA::Char );
                                      flick_iiopxx_encode_end_chunk(641);
                                      flick_iiopxx_encode_end_glob(649);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(649);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort435);
                                      break;
                                      {
                                      _flick_abort435:
                                        goto _flick_abort413;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort436);
                                      flick_iiopxx_encode_end_glob(649);
                                      break;
                                      {
                                      _flick_abort436:
                                        goto _flick_abort413;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort413:
                                goto _flick_abort412;
                              }
                            }
                            break;
                            {
                            _flick_abort412:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _sLs */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601391731):
                    {
                      char _t94_switch_tag;

                      flick_iiopxx_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t94_switch_tag, char );
                      flick_iiopxx_decode_end_chunk(1);
                      switch ((char )_t94_switch_tag)
                        {
                        case 0:
                          {
                            {
                              POA_arrays *_local_this;
                              unsigned int _t95_principal_len;
                              struct sLs _return;
                              struct sLs _local_inp;
                              struct sLs _local_iop;
                              struct sLs _local_outp;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort438);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(7);
                              flick_cdr_decode_unsigned32(3, _t95_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(7);
                              flick_iiopxx_decode_end_glob(20);
                              flick_iiopxx_check_span(_t95_principal_len, _flick_abort438);
                              flick_iiopxx_decode_new_glob(_t95_principal_len);
                              flick_iiopxx_decode_new_chunk(_t95_principal_len);
                              flick_iiopxx_decode_end_chunk(_t95_principal_len);
                              flick_iiopxx_decode_end_glob(_t95_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiopxx_decode_new_glob(411);
                              flick_iiopxx_decode_new_chunk_align(2, 1, 0, 0);
                              flick_iiopxx_check_span(2, _flick_abort438);
                              flick_cdr_decode_signed16(0, _local_inp.first, CORBA::Short );
                              flick_iiopxx_decode_end_chunk(2);
                              flick_iiopxx_decode_new_chunk_align(406, 2, 1, 0);
                              flick_iiopxx_check_span(406, _flick_abort438);
                              flick_cdr_decode_bcopy(0, _local_inp.data, 200);
                              flick_cdr_decode_signed16(200, _local_inp.last, CORBA::Short );
                              flick_cdr_decode_signed16(202, _local_iop.first, CORBA::Short );
                              flick_cdr_decode_bcopy(204, _local_iop.data, 200);
                              flick_cdr_decode_signed16(404, _local_iop.last, CORBA::Short );
                              flick_iiopxx_decode_end_chunk(406);
                              flick_iiopxx_decode_end_glob(411);
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->test_sLs(_local_inp, _local_iop, _local_outp, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t96_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t96_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort438);
                                flick_iiopxx_encode_new_glob(618, _flick_abort438);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t96_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t96_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_new_chunk(614);
                                      flick_cdr_encode_signed16(0, _return.first, CORBA::Short );
                                      flick_cdr_encode_bcopy(4, _return.data, 200);
                                      flick_cdr_encode_signed16(204, _return.last, CORBA::Short );
                                      flick_cdr_encode_signed16(206, _local_iop.first, CORBA::Short );
                                      flick_cdr_encode_bcopy(208, _local_iop.data, 200);
                                      flick_cdr_encode_signed16(408, _local_iop.last, CORBA::Short );
                                      flick_cdr_encode_signed16(410, _local_outp.first, CORBA::Short );
                                      flick_cdr_encode_bcopy(412, _local_outp.data, 200);
                                      flick_cdr_encode_signed16(612, _local_outp.last, CORBA::Short );
                                      flick_iiopxx_encode_end_chunk(614);
                                      flick_iiopxx_encode_end_glob(618);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(618);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort460);
                                      break;
                                      {
                                      _flick_abort460:
                                        goto _flick_abort438;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort461);
                                      flick_iiopxx_encode_end_glob(618);
                                      break;
                                      {
                                      _flick_abort461:
                                        goto _flick_abort438;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort438:
                                goto _flick_abort437;
                              }
                            }
                            break;
                            {
                            _flick_abort437:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          unsigned int _t97_switch_tag;

          flick_iiopxx_check_span(16, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t97_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t97_switch_tag)
            {
            case /* test */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
              {
                unsigned int _t98_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t98_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t98_switch_tag)
                  {
                  case /* _cLC */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600343107):
                    {
                      unsigned short int _t99_switch_tag;

                      flick_iiopxx_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t99_switch_tag, unsigned short int );
                      flick_iiopxx_decode_end_chunk(2);
                      switch ((unsigned short int )_t99_switch_tag)
                        {
                        case /* d */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25600):
                          {
                            {
                              POA_arrays *_local_this;
                              unsigned int _t100_principal_len;
                              struct cLCd _return;
                              struct cLCd _local_inp;
                              flick_unsigned32_t _t101_array_iter;
                              struct cLCd _local_iop;
                              flick_unsigned32_t _t102_array_iter;
                              struct cLCd _local_outp;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort463);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t100_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(6);
                              flick_iiopxx_decode_end_glob(20);
                              flick_iiopxx_check_span(_t100_principal_len + 1, _flick_abort463);
                              flick_iiopxx_decode_new_glob(_t100_principal_len);
                              flick_iiopxx_decode_new_chunk(_t100_principal_len);
                              flick_iiopxx_decode_end_chunk(_t100_principal_len);
                              flick_iiopxx_decode_end_glob(_t100_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiopxx_decode_new_glob(832);
                              flick_iiopxx_decode_new_chunk(1);
                              flick_cdr_decode_char8(0, _local_inp.first, CORBA::Char );
                              flick_iiopxx_decode_end_chunk(1);
                              for (_t101_array_iter = 0; _t101_array_iter < 50; _t101_array_iter++)
                                {
                                  flick_iiopxx_decode_new_chunk_align(5, 2, 0, 0);
                                  flick_iiopxx_check_span(5, _flick_abort467);
                                  flick_cdr_decode_signed32(0, _local_inp.data[_t101_array_iter].elem1, CORBA::Long );
                                  flick_cdr_decode_char8(4, _local_inp.data[_t101_array_iter].elem2, CORBA::Char );
                                  flick_iiopxx_decode_end_chunk(5);
                                  continue;
                                  {
                                  _flick_abort467:
                                    goto _flick_abort463;
                                  }
                                }
                              flick_iiopxx_decode_new_chunk_align(9, 3, 2, 1);
                              flick_iiopxx_check_span(50 * 8 + 15 + 9, _flick_abort463);
                              flick_cdr_decode_float64(0, _local_inp.last, CORBA::Double );
                              flick_cdr_decode_char8(8, _local_iop.first, CORBA::Char );
                              flick_iiopxx_decode_end_chunk(9);
                              for (_t102_array_iter = 0; _t102_array_iter < 50; _t102_array_iter++)
                                {
                                  flick_iiopxx_decode_new_chunk(8);
                                  flick_cdr_decode_signed32(3, _local_iop.data[_t102_array_iter].elem1, CORBA::Long );
                                  flick_cdr_decode_char8(7, _local_iop.data[_t102_array_iter].elem2, CORBA::Char );
                                  flick_iiopxx_decode_end_chunk(8);
                                  continue;
                                }
                              flick_iiopxx_decode_new_chunk(15);
                              flick_cdr_decode_float64(7, _local_iop.last, CORBA::Double );
                              flick_iiopxx_decode_end_chunk(15);
                              flick_iiopxx_decode_end_glob(832);
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->test_cLCd(_local_inp, _local_iop, _local_outp, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t103_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t103_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort463);
                                flick_iiopxx_encode_new_glob(1252, _flick_abort463);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t103_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t103_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      flick_unsigned32_t _t107_array_iter;
                                      flick_unsigned32_t _t108_array_iter;
                                      flick_unsigned32_t _t109_array_iter;

                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_new_chunk(1);
                                      flick_cdr_encode_char8(0, _return.first, CORBA::Char );
                                      flick_iiopxx_encode_end_chunk(1);
                                      for (_t107_array_iter = 0; _t107_array_iter < 50; _t107_array_iter++)
                                        {
                                          flick_iiopxx_encode_new_chunk(8);
                                          flick_cdr_encode_signed32(3, _return.data[_t107_array_iter].elem1, CORBA::Long );
                                          flick_cdr_encode_char8(7, _return.data[_t107_array_iter].elem2, CORBA::Char );
                                          flick_iiopxx_encode_end_chunk(8);
                                          continue;
                                        }
                                      flick_iiopxx_encode_new_chunk_align(9, 3, 2, 1);
                                      flick_cdr_encode_float64(0, _return.last, CORBA::Double );
                                      flick_cdr_encode_char8(8, _local_iop.first, CORBA::Char );
                                      flick_iiopxx_encode_end_chunk(9);
                                      for (_t108_array_iter = 0; _t108_array_iter < 50; _t108_array_iter++)
                                        {
                                          flick_iiopxx_encode_new_chunk(8);
                                          flick_cdr_encode_signed32(3, _local_iop.data[_t108_array_iter].elem1, CORBA::Long );
                                          flick_cdr_encode_char8(7, _local_iop.data[_t108_array_iter].elem2, CORBA::Char );
                                          flick_iiopxx_encode_end_chunk(8);
                                          continue;
                                        }
                                      flick_iiopxx_encode_new_chunk(16);
                                      flick_cdr_encode_float64(7, _local_iop.last, CORBA::Double );
                                      flick_cdr_encode_char8(15, _local_outp.first, CORBA::Char );
                                      flick_iiopxx_encode_end_chunk(16);
                                      for (_t109_array_iter = 0; _t109_array_iter < 50; _t109_array_iter++)
                                        {
                                          flick_iiopxx_encode_new_chunk(8);
                                          flick_cdr_encode_signed32(3, _local_outp.data[_t109_array_iter].elem1, CORBA::Long );
                                          flick_cdr_encode_char8(7, _local_outp.data[_t109_array_iter].elem2, CORBA::Char );
                                          flick_iiopxx_encode_end_chunk(8);
                                          continue;
                                        }
                                      flick_iiopxx_encode_new_chunk(15);
                                      flick_cdr_encode_float64(7, _local_outp.last, CORBA::Double );
                                      flick_iiopxx_encode_end_chunk(15);
                                      flick_iiopxx_encode_end_glob(1252);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(1252);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort509);
                                      break;
                                      {
                                      _flick_abort509:
                                        goto _flick_abort463;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort510);
                                      flick_iiopxx_encode_end_glob(1252);
                                      break;
                                      {
                                      _flick_abort510:
                                        goto _flick_abort463;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort463:
                                goto _flick_abort462;
                              }
                            }
                            break;
                            {
                            _flick_abort462:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _dLC */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600408643):
                    {
                      unsigned short int _t110_switch_tag;

                      flick_iiopxx_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t110_switch_tag, unsigned short int );
                      flick_iiopxx_decode_end_chunk(2);
                      switch ((unsigned short int )_t110_switch_tag)
                        {
                        case /* c */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25344):
                          {
                            {
                              POA_arrays *_local_this;
                              unsigned int _t111_principal_len;
                              struct dLCc _return;
                              struct dLCc _local_inp;
                              flick_unsigned32_t _t112_array_iter;
                              struct dLCc _local_iop;
                              flick_unsigned32_t _t113_array_iter;
                              struct dLCc _local_outp;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort512);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t111_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(6);
                              flick_iiopxx_decode_end_glob(20);
                              flick_iiopxx_check_span(_t111_principal_len, _flick_abort512);
                              flick_iiopxx_decode_new_glob(_t111_principal_len);
                              flick_iiopxx_decode_new_chunk(_t111_principal_len);
                              flick_iiopxx_decode_end_chunk(_t111_principal_len);
                              flick_iiopxx_decode_end_glob(_t111_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiopxx_decode_new_glob(831);
                              flick_iiopxx_decode_new_chunk_align(8, 3, 0, 0);
                              flick_iiopxx_check_span(8, _flick_abort512);
                              flick_cdr_decode_float64(0, _local_inp.first, CORBA::Double );
                              flick_iiopxx_decode_end_chunk(8);
                              for (_t112_array_iter = 0; _t112_array_iter < 50; _t112_array_iter++)
                                {
                                  flick_iiopxx_decode_new_chunk_align(5, 2, 0, 0);
                                  flick_iiopxx_check_span(5, _flick_abort516);
                                  flick_cdr_decode_signed32(0, _local_inp.data[_t112_array_iter].elem1, CORBA::Long );
                                  flick_cdr_decode_char8(4, _local_inp.data[_t112_array_iter].elem2, CORBA::Char );
                                  flick_iiopxx_decode_end_chunk(5);
                                  continue;
                                  {
                                  _flick_abort516:
                                    goto _flick_abort512;
                                  }
                                }
                              flick_iiopxx_check_span(1, _flick_abort512);
                              flick_iiopxx_decode_new_chunk(1);
                              flick_cdr_decode_char8(0, _local_inp.last, CORBA::Char );
                              flick_iiopxx_decode_end_chunk(1);
                              flick_iiopxx_decode_new_chunk_align(8, 3, 2, 2);
                              flick_iiopxx_check_span(8, _flick_abort512);
                              flick_cdr_decode_float64(0, _local_iop.first, CORBA::Double );
                              flick_iiopxx_decode_end_chunk(8);
                              for (_t113_array_iter = 0; _t113_array_iter < 50; _t113_array_iter++)
                                {
                                  flick_iiopxx_decode_new_chunk_align(5, 2, 0, 0);
                                  flick_iiopxx_check_span(5, _flick_abort521);
                                  flick_cdr_decode_signed32(0, _local_iop.data[_t113_array_iter].elem1, CORBA::Long );
                                  flick_cdr_decode_char8(4, _local_iop.data[_t113_array_iter].elem2, CORBA::Char );
                                  flick_iiopxx_decode_end_chunk(5);
                                  continue;
                                  {
                                  _flick_abort521:
                                    goto _flick_abort512;
                                  }
                                }
                              flick_iiopxx_check_span(1, _flick_abort512);
                              flick_iiopxx_decode_new_chunk(1);
                              flick_cdr_decode_char8(0, _local_iop.last, CORBA::Char );
                              flick_iiopxx_decode_end_chunk(1);
                              flick_iiopxx_decode_end_glob(831);
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->test_dLCc(_local_inp, _local_iop, _local_outp, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t114_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t114_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort512);
                                flick_iiopxx_encode_new_glob(1247, _flick_abort512);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t114_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t114_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      flick_unsigned32_t _t118_array_iter;
                                      flick_unsigned32_t _t119_array_iter;
                                      flick_unsigned32_t _t120_array_iter;

                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_new_chunk_align(8, 3, 2, 0);
                                      flick_cdr_encode_float64(0, _return.first, CORBA::Double );
                                      flick_iiopxx_encode_end_chunk(8);
                                      for (_t118_array_iter = 0; _t118_array_iter < 50; _t118_array_iter++)
                                        {
                                          flick_iiopxx_encode_new_chunk_align(5, 2, 0, 0);
                                          flick_cdr_encode_signed32(0, _return.data[_t118_array_iter].elem1, CORBA::Long );
                                          flick_cdr_encode_char8(4, _return.data[_t118_array_iter].elem2, CORBA::Char );
                                          flick_iiopxx_encode_end_chunk(5);
                                          continue;
                                        }
                                      flick_iiopxx_encode_new_chunk(1);
                                      flick_cdr_encode_char8(0, _return.last, CORBA::Char );
                                      flick_iiopxx_encode_end_chunk(1);
                                      flick_iiopxx_encode_new_chunk_align(8, 3, 2, 2);
                                      flick_cdr_encode_float64(0, _local_iop.first, CORBA::Double );
                                      flick_iiopxx_encode_end_chunk(8);
                                      for (_t119_array_iter = 0; _t119_array_iter < 50; _t119_array_iter++)
                                        {
                                          flick_iiopxx_encode_new_chunk_align(5, 2, 0, 0);
                                          flick_cdr_encode_signed32(0, _local_iop.data[_t119_array_iter].elem1, CORBA::Long );
                                          flick_cdr_encode_char8(4, _local_iop.data[_t119_array_iter].elem2, CORBA::Char );
                                          flick_iiopxx_encode_end_chunk(5);
                                          continue;
                                        }
                                      flick_iiopxx_encode_new_chunk(1);
                                      flick_cdr_encode_char8(0, _local_iop.last, CORBA::Char );
                                      flick_iiopxx_encode_end_chunk(1);
                                      flick_iiopxx_encode_new_chunk_align(8, 3, 2, 2);
                                      flick_cdr_encode_float64(0, _local_outp.first, CORBA::Double );
                                      flick_iiopxx_encode_end_chunk(8);
                                      for (_t120_array_iter = 0; _t120_array_iter < 50; _t120_array_iter++)
                                        {
                                          flick_iiopxx_encode_new_chunk_align(5, 2, 0, 0);
                                          flick_cdr_encode_signed32(0, _local_outp.data[_t120_array_iter].elem1, CORBA::Long );
                                          flick_cdr_encode_char8(4, _local_outp.data[_t120_array_iter].elem2, CORBA::Char );
                                          flick_iiopxx_encode_end_chunk(5);
                                          continue;
                                        }
                                      flick_iiopxx_encode_new_chunk(1);
                                      flick_cdr_encode_char8(0, _local_outp.last, CORBA::Char );
                                      flick_iiopxx_encode_end_chunk(1);
                                      flick_iiopxx_encode_end_glob(1247);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(1247);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort558);
                                      break;
                                      {
                                      _flick_abort558:
                                        goto _flick_abort512;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort559);
                                      flick_iiopxx_encode_end_glob(1247);
                                      break;
                                      {
                                      _flick_abort559:
                                        goto _flick_abort512;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort512:
                                goto _flick_abort511;
                              }
                            }
                            break;
                            {
                            _flick_abort511:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _sLC */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601391683):
                    {
                      unsigned short int _t121_switch_tag;

                      flick_iiopxx_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t121_switch_tag, unsigned short int );
                      flick_iiopxx_decode_end_chunk(2);
                      switch ((unsigned short int )_t121_switch_tag)
                        {
                        case /* s */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29440):
                          {
                            {
                              POA_arrays *_local_this;
                              unsigned int _t122_principal_len;
                              struct sLCs _return;
                              struct sLCs _local_inp;
                              flick_unsigned32_t _t123_array_iter;
                              struct sLCs _local_iop;
                              flick_unsigned32_t _t124_array_iter;
                              struct sLCs _local_outp;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort561);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t122_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(6);
                              flick_iiopxx_decode_end_glob(20);
                              flick_iiopxx_check_span(_t122_principal_len, _flick_abort561);
                              flick_iiopxx_decode_new_glob(_t122_principal_len);
                              flick_iiopxx_decode_new_chunk(_t122_principal_len);
                              flick_iiopxx_decode_end_chunk(_t122_principal_len);
                              flick_iiopxx_decode_end_glob(_t122_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiopxx_decode_new_glob(811);
                              flick_iiopxx_decode_new_chunk_align(2, 1, 0, 0);
                              flick_iiopxx_check_span(2, _flick_abort561);
                              flick_cdr_decode_signed16(0, _local_inp.first, CORBA::Short );
                              flick_iiopxx_decode_end_chunk(2);
                              for (_t123_array_iter = 0; _t123_array_iter < 50; _t123_array_iter++)
                                {
                                  flick_iiopxx_decode_new_chunk_align(5, 2, 0, 0);
                                  flick_iiopxx_check_span(5, _flick_abort565);
                                  flick_cdr_decode_signed32(0, _local_inp.data[_t123_array_iter].elem1, CORBA::Long );
                                  flick_cdr_decode_char8(4, _local_inp.data[_t123_array_iter].elem2, CORBA::Char );
                                  flick_iiopxx_decode_end_chunk(5);
                                  continue;
                                  {
                                  _flick_abort565:
                                    goto _flick_abort561;
                                  }
                                }
                              flick_iiopxx_check_span(5, _flick_abort561);
                              flick_iiopxx_decode_new_chunk(5);
                              flick_cdr_decode_signed16(1, _local_inp.last, CORBA::Short );
                              flick_cdr_decode_signed16(3, _local_iop.first, CORBA::Short );
                              flick_iiopxx_decode_end_chunk(5);
                              for (_t124_array_iter = 0; _t124_array_iter < 50; _t124_array_iter++)
                                {
                                  flick_iiopxx_decode_new_chunk_align(5, 2, 0, 0);
                                  flick_iiopxx_check_span(5, _flick_abort570);
                                  flick_cdr_decode_signed32(0, _local_iop.data[_t124_array_iter].elem1, CORBA::Long );
                                  flick_cdr_decode_char8(4, _local_iop.data[_t124_array_iter].elem2, CORBA::Char );
                                  flick_iiopxx_decode_end_chunk(5);
                                  continue;
                                  {
                                  _flick_abort570:
                                    goto _flick_abort561;
                                  }
                                }
                              flick_iiopxx_check_span(3, _flick_abort561);
                              flick_iiopxx_decode_new_chunk(3);
                              flick_cdr_decode_signed16(1, _local_iop.last, CORBA::Short );
                              flick_iiopxx_decode_end_chunk(3);
                              flick_iiopxx_decode_end_glob(811);
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->test_sLCs(_local_inp, _local_iop, _local_outp, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t125_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t125_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort561);
                                flick_iiopxx_encode_new_glob(1219, _flick_abort561);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t125_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t125_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      flick_unsigned32_t _t129_array_iter;
                                      flick_unsigned32_t _t130_array_iter;
                                      flick_unsigned32_t _t131_array_iter;

                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_new_chunk(2);
                                      flick_cdr_encode_signed16(0, _return.first, CORBA::Short );
                                      flick_iiopxx_encode_end_chunk(2);
                                      for (_t129_array_iter = 0; _t129_array_iter < 50; _t129_array_iter++)
                                        {
                                          flick_iiopxx_encode_new_chunk_align(5, 2, 0, 0);
                                          flick_cdr_encode_signed32(0, _return.data[_t129_array_iter].elem1, CORBA::Long );
                                          flick_cdr_encode_char8(4, _return.data[_t129_array_iter].elem2, CORBA::Char );
                                          flick_iiopxx_encode_end_chunk(5);
                                          continue;
                                        }
                                      flick_iiopxx_encode_new_chunk(5);
                                      flick_cdr_encode_signed16(1, _return.last, CORBA::Short );
                                      flick_cdr_encode_signed16(3, _local_iop.first, CORBA::Short );
                                      flick_iiopxx_encode_end_chunk(5);
                                      for (_t130_array_iter = 0; _t130_array_iter < 50; _t130_array_iter++)
                                        {
                                          flick_iiopxx_encode_new_chunk_align(5, 2, 0, 0);
                                          flick_cdr_encode_signed32(0, _local_iop.data[_t130_array_iter].elem1, CORBA::Long );
                                          flick_cdr_encode_char8(4, _local_iop.data[_t130_array_iter].elem2, CORBA::Char );
                                          flick_iiopxx_encode_end_chunk(5);
                                          continue;
                                        }
                                      flick_iiopxx_encode_new_chunk(5);
                                      flick_cdr_encode_signed16(1, _local_iop.last, CORBA::Short );
                                      flick_cdr_encode_signed16(3, _local_outp.first, CORBA::Short );
                                      flick_iiopxx_encode_end_chunk(5);
                                      for (_t131_array_iter = 0; _t131_array_iter < 50; _t131_array_iter++)
                                        {
                                          flick_iiopxx_encode_new_chunk_align(5, 2, 0, 0);
                                          flick_cdr_encode_signed32(0, _local_outp.data[_t131_array_iter].elem1, CORBA::Long );
                                          flick_cdr_encode_char8(4, _local_outp.data[_t131_array_iter].elem2, CORBA::Char );
                                          flick_iiopxx_encode_end_chunk(5);
                                          continue;
                                        }
                                      flick_iiopxx_encode_new_chunk(3);
                                      flick_cdr_encode_signed16(1, _local_outp.last, CORBA::Short );
                                      flick_iiopxx_encode_end_chunk(3);
                                      flick_iiopxx_encode_end_glob(1219);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(1219);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort607);
                                      break;
                                      {
                                      _flick_abort607:
                                        goto _flick_abort561;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort608);
                                      flick_iiopxx_encode_end_glob(1219);
                                      break;
                                      {
                                      _flick_abort608:
                                        goto _flick_abort561;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort561:
                                goto _flick_abort560;
                              }
                            }
                            break;
                            {
                            _flick_abort560:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _cCL */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600340812):
                    {
                      unsigned short int _t132_switch_tag;

                      flick_iiopxx_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t132_switch_tag, unsigned short int );
                      flick_iiopxx_decode_end_chunk(2);
                      switch ((unsigned short int )_t132_switch_tag)
                        {
                        case /* d */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25600):
                          {
                            {
                              POA_arrays *_local_this;
                              unsigned int _t133_principal_len;
                              struct cCLd _return;
                              struct cCLd _local_inp;
                              flick_unsigned32_t _t134_array_iter;
                              struct cCLd _local_iop;
                              flick_unsigned32_t _t135_array_iter;
                              struct cCLd _local_outp;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort610);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t133_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(6);
                              flick_iiopxx_decode_end_glob(20);
                              flick_iiopxx_check_span(_t133_principal_len + 1, _flick_abort610);
                              flick_iiopxx_decode_new_glob(_t133_principal_len);
                              flick_iiopxx_decode_new_chunk(_t133_principal_len);
                              flick_iiopxx_decode_end_chunk(_t133_principal_len);
                              flick_iiopxx_decode_end_glob(_t133_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiopxx_decode_new_glob(826);
                              flick_iiopxx_decode_new_chunk(1);
                              flick_cdr_decode_char8(0, _local_inp.first, CORBA::Char );
                              flick_iiopxx_decode_end_chunk(1);
                              for (_t134_array_iter = 0; _t134_array_iter < 50; _t134_array_iter++)
                                {
                                  flick_iiopxx_check_span(1, _flick_abort614);
                                  flick_iiopxx_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _local_inp.data[_t134_array_iter].elem1, CORBA::Char );
                                  flick_iiopxx_decode_end_chunk(1);
                                  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                  flick_iiopxx_check_span(4, _flick_abort614);
                                  flick_cdr_decode_signed32(0, _local_inp.data[_t134_array_iter].elem2, CORBA::Long );
                                  flick_iiopxx_decode_end_chunk(4);
                                  continue;
                                  {
                                  _flick_abort614:
                                    goto _flick_abort610;
                                  }
                                }
                              flick_iiopxx_decode_new_chunk_align(9, 3, 2, 0);
                              flick_iiopxx_check_span(9, _flick_abort610);
                              flick_cdr_decode_float64(0, _local_inp.last, CORBA::Double );
                              flick_cdr_decode_char8(8, _local_iop.first, CORBA::Char );
                              flick_iiopxx_decode_end_chunk(9);
                              for (_t135_array_iter = 0; _t135_array_iter < 50; _t135_array_iter++)
                                {
                                  flick_iiopxx_check_span(1, _flick_abort619);
                                  flick_iiopxx_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _local_iop.data[_t135_array_iter].elem1, CORBA::Char );
                                  flick_iiopxx_decode_end_chunk(1);
                                  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                  flick_iiopxx_check_span(4, _flick_abort619);
                                  flick_cdr_decode_signed32(0, _local_iop.data[_t135_array_iter].elem2, CORBA::Long );
                                  flick_iiopxx_decode_end_chunk(4);
                                  continue;
                                  {
                                  _flick_abort619:
                                    goto _flick_abort610;
                                  }
                                }
                              flick_iiopxx_decode_new_chunk_align(8, 3, 2, 0);
                              flick_iiopxx_check_span(8, _flick_abort610);
                              flick_cdr_decode_float64(0, _local_iop.last, CORBA::Double );
                              flick_iiopxx_decode_end_chunk(8);
                              flick_iiopxx_decode_end_glob(826);
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->test_cCLd(_local_inp, _local_iop, _local_outp, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t136_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t136_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort610);
                                flick_iiopxx_encode_new_glob(1243, _flick_abort610);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t136_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t136_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      flick_unsigned32_t _t140_array_iter;
                                      flick_unsigned32_t _t141_array_iter;
                                      flick_unsigned32_t _t142_array_iter;

                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_new_chunk(1);
                                      flick_cdr_encode_char8(0, _return.first, CORBA::Char );
                                      flick_iiopxx_encode_end_chunk(1);
                                      for (_t140_array_iter = 0; _t140_array_iter < 50; _t140_array_iter++)
                                        {
                                          flick_iiopxx_encode_new_chunk(1);
                                          flick_cdr_encode_char8(0, _return.data[_t140_array_iter].elem1, CORBA::Char );
                                          flick_iiopxx_encode_end_chunk(1);
                                          flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                          flick_cdr_encode_signed32(0, _return.data[_t140_array_iter].elem2, CORBA::Long );
                                          flick_iiopxx_encode_end_chunk(4);
                                          continue;
                                        }
                                      flick_iiopxx_encode_new_chunk_align(9, 3, 2, 0);
                                      flick_cdr_encode_float64(0, _return.last, CORBA::Double );
                                      flick_cdr_encode_char8(8, _local_iop.first, CORBA::Char );
                                      flick_iiopxx_encode_end_chunk(9);
                                      for (_t141_array_iter = 0; _t141_array_iter < 50; _t141_array_iter++)
                                        {
                                          flick_iiopxx_encode_new_chunk(1);
                                          flick_cdr_encode_char8(0, _local_iop.data[_t141_array_iter].elem1, CORBA::Char );
                                          flick_iiopxx_encode_end_chunk(1);
                                          flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                          flick_cdr_encode_signed32(0, _local_iop.data[_t141_array_iter].elem2, CORBA::Long );
                                          flick_iiopxx_encode_end_chunk(4);
                                          continue;
                                        }
                                      flick_iiopxx_encode_new_chunk_align(9, 3, 2, 0);
                                      flick_cdr_encode_float64(0, _local_iop.last, CORBA::Double );
                                      flick_cdr_encode_char8(8, _local_outp.first, CORBA::Char );
                                      flick_iiopxx_encode_end_chunk(9);
                                      for (_t142_array_iter = 0; _t142_array_iter < 50; _t142_array_iter++)
                                        {
                                          flick_iiopxx_encode_new_chunk(1);
                                          flick_cdr_encode_char8(0, _local_outp.data[_t142_array_iter].elem1, CORBA::Char );
                                          flick_iiopxx_encode_end_chunk(1);
                                          flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                          flick_cdr_encode_signed32(0, _local_outp.data[_t142_array_iter].elem2, CORBA::Long );
                                          flick_iiopxx_encode_end_chunk(4);
                                          continue;
                                        }
                                      flick_iiopxx_encode_new_chunk_align(8, 3, 2, 0);
                                      flick_cdr_encode_float64(0, _local_outp.last, CORBA::Double );
                                      flick_iiopxx_encode_end_chunk(8);
                                      flick_iiopxx_encode_end_glob(1243);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(1243);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort656);
                                      break;
                                      {
                                      _flick_abort656:
                                        goto _flick_abort610;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort657);
                                      flick_iiopxx_encode_end_glob(1243);
                                      break;
                                      {
                                      _flick_abort657:
                                        goto _flick_abort610;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort610:
                                goto _flick_abort609;
                              }
                            }
                            break;
                            {
                            _flick_abort609:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _dCL */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600406348):
                    {
                      unsigned short int _t143_switch_tag;

                      flick_iiopxx_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t143_switch_tag, unsigned short int );
                      flick_iiopxx_decode_end_chunk(2);
                      switch ((unsigned short int )_t143_switch_tag)
                        {
                        case /* c */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25344):
                          {
                            {
                              POA_arrays *_local_this;
                              unsigned int _t144_principal_len;
                              struct dCLc _return;
                              struct dCLc _local_inp;
                              flick_unsigned32_t _t145_array_iter;
                              struct dCLc _local_iop;
                              flick_unsigned32_t _t146_array_iter;
                              struct dCLc _local_outp;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort659);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t144_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(6);
                              flick_iiopxx_decode_end_glob(20);
                              flick_iiopxx_check_span(_t144_principal_len, _flick_abort659);
                              flick_iiopxx_decode_new_glob(_t144_principal_len);
                              flick_iiopxx_decode_new_chunk(_t144_principal_len);
                              flick_iiopxx_decode_end_chunk(_t144_principal_len);
                              flick_iiopxx_decode_end_glob(_t144_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiopxx_decode_new_glob(832);
                              flick_iiopxx_decode_new_chunk_align(8, 3, 0, 0);
                              flick_iiopxx_check_span(50 * 8 + (50 * 8 + 1) + 24, _flick_abort659);
                              flick_cdr_decode_float64(0, _local_inp.first, CORBA::Double );
                              flick_iiopxx_decode_end_chunk(8);
                              for (_t145_array_iter = 0; _t145_array_iter < 50; _t145_array_iter++)
                                {
                                  flick_iiopxx_decode_new_chunk(8);
                                  flick_cdr_decode_char8(0, _local_inp.data[_t145_array_iter].elem1, CORBA::Char );
                                  flick_cdr_decode_signed32(4, _local_inp.data[_t145_array_iter].elem2, CORBA::Long );
                                  flick_iiopxx_decode_end_chunk(8);
                                  continue;
                                }
                              flick_iiopxx_decode_new_chunk(16);
                              flick_cdr_decode_char8(0, _local_inp.last, CORBA::Char );
                              flick_cdr_decode_float64(8, _local_iop.first, CORBA::Double );
                              flick_iiopxx_decode_end_chunk(16);
                              for (_t146_array_iter = 0; _t146_array_iter < 50; _t146_array_iter++)
                                {
                                  flick_iiopxx_decode_new_chunk(8);
                                  flick_cdr_decode_char8(0, _local_iop.data[_t146_array_iter].elem1, CORBA::Char );
                                  flick_cdr_decode_signed32(4, _local_iop.data[_t146_array_iter].elem2, CORBA::Long );
                                  flick_iiopxx_decode_end_chunk(8);
                                  continue;
                                }
                              flick_iiopxx_decode_new_chunk(1);
                              flick_cdr_decode_char8(0, _local_iop.last, CORBA::Char );
                              flick_iiopxx_decode_end_chunk(1);
                              flick_iiopxx_decode_end_glob(832);
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->test_dCLc(_local_inp, _local_iop, _local_outp, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t147_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t147_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort659);
                                flick_iiopxx_encode_new_glob(1249, _flick_abort659);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t147_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t147_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      flick_unsigned32_t _t151_array_iter;
                                      flick_unsigned32_t _t152_array_iter;
                                      flick_unsigned32_t _t153_array_iter;

                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_new_chunk_align(8, 3, 2, 0);
                                      flick_cdr_encode_float64(0, _return.first, CORBA::Double );
                                      flick_iiopxx_encode_end_chunk(8);
                                      for (_t151_array_iter = 0; _t151_array_iter < 50; _t151_array_iter++)
                                        {
                                          flick_iiopxx_encode_new_chunk(8);
                                          flick_cdr_encode_char8(0, _return.data[_t151_array_iter].elem1, CORBA::Char );
                                          flick_cdr_encode_signed32(4, _return.data[_t151_array_iter].elem2, CORBA::Long );
                                          flick_iiopxx_encode_end_chunk(8);
                                          continue;
                                        }
                                      flick_iiopxx_encode_new_chunk(16);
                                      flick_cdr_encode_char8(0, _return.last, CORBA::Char );
                                      flick_cdr_encode_float64(8, _local_iop.first, CORBA::Double );
                                      flick_iiopxx_encode_end_chunk(16);
                                      for (_t152_array_iter = 0; _t152_array_iter < 50; _t152_array_iter++)
                                        {
                                          flick_iiopxx_encode_new_chunk(8);
                                          flick_cdr_encode_char8(0, _local_iop.data[_t152_array_iter].elem1, CORBA::Char );
                                          flick_cdr_encode_signed32(4, _local_iop.data[_t152_array_iter].elem2, CORBA::Long );
                                          flick_iiopxx_encode_end_chunk(8);
                                          continue;
                                        }
                                      flick_iiopxx_encode_new_chunk(16);
                                      flick_cdr_encode_char8(0, _local_iop.last, CORBA::Char );
                                      flick_cdr_encode_float64(8, _local_outp.first, CORBA::Double );
                                      flick_iiopxx_encode_end_chunk(16);
                                      for (_t153_array_iter = 0; _t153_array_iter < 50; _t153_array_iter++)
                                        {
                                          flick_iiopxx_encode_new_chunk(8);
                                          flick_cdr_encode_char8(0, _local_outp.data[_t153_array_iter].elem1, CORBA::Char );
                                          flick_cdr_encode_signed32(4, _local_outp.data[_t153_array_iter].elem2, CORBA::Long );
                                          flick_iiopxx_encode_end_chunk(8);
                                          continue;
                                        }
                                      flick_iiopxx_encode_new_chunk(1);
                                      flick_cdr_encode_char8(0, _local_outp.last, CORBA::Char );
                                      flick_iiopxx_encode_end_chunk(1);
                                      flick_iiopxx_encode_end_glob(1249);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(1249);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort705);
                                      break;
                                      {
                                      _flick_abort705:
                                        goto _flick_abort659;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort706);
                                      flick_iiopxx_encode_end_glob(1249);
                                      break;
                                      {
                                      _flick_abort706:
                                        goto _flick_abort659;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort659:
                                goto _flick_abort658;
                              }
                            }
                            break;
                            {
                            _flick_abort658:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _sCL */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601389388):
                    {
                      unsigned short int _t154_switch_tag;

                      flick_iiopxx_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t154_switch_tag, unsigned short int );
                      flick_iiopxx_decode_end_chunk(2);
                      switch ((unsigned short int )_t154_switch_tag)
                        {
                        case /* s */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29440):
                          {
                            {
                              POA_arrays *_local_this;
                              unsigned int _t155_principal_len;
                              struct sCLs _return;
                              struct sCLs _local_inp;
                              flick_unsigned32_t _t156_array_iter;
                              struct sCLs _local_iop;
                              flick_unsigned32_t _t157_array_iter;
                              struct sCLs _local_outp;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort708);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t155_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(6);
                              flick_iiopxx_decode_end_glob(20);
                              flick_iiopxx_check_span(_t155_principal_len, _flick_abort708);
                              flick_iiopxx_decode_new_glob(_t155_principal_len);
                              flick_iiopxx_decode_new_chunk(_t155_principal_len);
                              flick_iiopxx_decode_end_chunk(_t155_principal_len);
                              flick_iiopxx_decode_end_glob(_t155_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiopxx_decode_new_glob(809);
                              flick_iiopxx_decode_new_chunk_align(2, 1, 0, 0);
                              flick_iiopxx_check_span(2, _flick_abort708);
                              flick_cdr_decode_signed16(0, _local_inp.first, CORBA::Short );
                              flick_iiopxx_decode_end_chunk(2);
                              for (_t156_array_iter = 0; _t156_array_iter < 50; _t156_array_iter++)
                                {
                                  flick_iiopxx_check_span(1, _flick_abort712);
                                  flick_iiopxx_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _local_inp.data[_t156_array_iter].elem1, CORBA::Char );
                                  flick_iiopxx_decode_end_chunk(1);
                                  flick_iiopxx_decode_new_chunk_align(4, 2, 1, 1);
                                  flick_iiopxx_check_span(4, _flick_abort712);
                                  flick_cdr_decode_signed32(0, _local_inp.data[_t156_array_iter].elem2, CORBA::Long );
                                  flick_iiopxx_decode_end_chunk(4);
                                  continue;
                                  {
                                  _flick_abort712:
                                    goto _flick_abort708;
                                  }
                                }
                              flick_iiopxx_check_span(50 * 8 + 2 + 4, _flick_abort708);
                              flick_iiopxx_decode_new_chunk(4);
                              flick_cdr_decode_signed16(0, _local_inp.last, CORBA::Short );
                              flick_cdr_decode_signed16(2, _local_iop.first, CORBA::Short );
                              flick_iiopxx_decode_end_chunk(4);
                              for (_t157_array_iter = 0; _t157_array_iter < 50; _t157_array_iter++)
                                {
                                  flick_iiopxx_decode_new_chunk(8);
                                  flick_cdr_decode_char8(0, _local_iop.data[_t157_array_iter].elem1, CORBA::Char );
                                  flick_cdr_decode_signed32(4, _local_iop.data[_t157_array_iter].elem2, CORBA::Long );
                                  flick_iiopxx_decode_end_chunk(8);
                                  continue;
                                }
                              flick_iiopxx_decode_new_chunk(2);
                              flick_cdr_decode_signed16(0, _local_iop.last, CORBA::Short );
                              flick_iiopxx_decode_end_chunk(2);
                              flick_iiopxx_decode_end_glob(809);
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->test_sCLs(_local_inp, _local_iop, _local_outp, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t158_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t158_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort708);
                                flick_iiopxx_encode_new_glob(1216, _flick_abort708);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t158_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t158_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      flick_unsigned32_t _t162_array_iter;
                                      flick_unsigned32_t _t163_array_iter;
                                      flick_unsigned32_t _t164_array_iter;

                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_new_chunk(2);
                                      flick_cdr_encode_signed16(0, _return.first, CORBA::Short );
                                      flick_iiopxx_encode_end_chunk(2);
                                      for (_t162_array_iter = 0; _t162_array_iter < 50; _t162_array_iter++)
                                        {
                                          flick_iiopxx_encode_new_chunk(1);
                                          flick_cdr_encode_char8(0, _return.data[_t162_array_iter].elem1, CORBA::Char );
                                          flick_iiopxx_encode_end_chunk(1);
                                          flick_iiopxx_encode_new_chunk_align(4, 2, 1, 1);
                                          flick_cdr_encode_signed32(0, _return.data[_t162_array_iter].elem2, CORBA::Long );
                                          flick_iiopxx_encode_end_chunk(4);
                                          continue;
                                        }
                                      flick_iiopxx_encode_new_chunk(4);
                                      flick_cdr_encode_signed16(0, _return.last, CORBA::Short );
                                      flick_cdr_encode_signed16(2, _local_iop.first, CORBA::Short );
                                      flick_iiopxx_encode_end_chunk(4);
                                      for (_t163_array_iter = 0; _t163_array_iter < 50; _t163_array_iter++)
                                        {
                                          flick_iiopxx_encode_new_chunk(8);
                                          flick_cdr_encode_char8(0, _local_iop.data[_t163_array_iter].elem1, CORBA::Char );
                                          flick_cdr_encode_signed32(4, _local_iop.data[_t163_array_iter].elem2, CORBA::Long );
                                          flick_iiopxx_encode_end_chunk(8);
                                          continue;
                                        }
                                      flick_iiopxx_encode_new_chunk(4);
                                      flick_cdr_encode_signed16(0, _local_iop.last, CORBA::Short );
                                      flick_cdr_encode_signed16(2, _local_outp.first, CORBA::Short );
                                      flick_iiopxx_encode_end_chunk(4);
                                      for (_t164_array_iter = 0; _t164_array_iter < 50; _t164_array_iter++)
                                        {
                                          flick_iiopxx_encode_new_chunk(8);
                                          flick_cdr_encode_char8(0, _local_outp.data[_t164_array_iter].elem1, CORBA::Char );
                                          flick_cdr_encode_signed32(4, _local_outp.data[_t164_array_iter].elem2, CORBA::Long );
                                          flick_iiopxx_encode_end_chunk(8);
                                          continue;
                                        }
                                      flick_iiopxx_encode_new_chunk(2);
                                      flick_cdr_encode_signed16(0, _local_outp.last, CORBA::Short );
                                      flick_iiopxx_encode_end_chunk(2);
                                      flick_iiopxx_encode_end_glob(1216);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(1216);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort754);
                                      break;
                                      {
                                      _flick_abort754:
                                        goto _flick_abort708;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort755);
                                      flick_iiopxx_encode_end_glob(1216);
                                      break;
                                      {
                                      _flick_abort755:
                                        goto _flick_abort708;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort708:
                                goto _flick_abort707;
                              }
                            }
                            break;
                            {
                            _flick_abort707:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t165_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t165_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t165_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t166_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t166_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t166_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_arrays *_local_this;
                        unsigned int _t167_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t168_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort757);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t167_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(20);
                        flick_iiopxx_check_span(_t167_principal_len, _flick_abort757);
                        flick_iiopxx_decode_new_glob(_t167_principal_len);
                        flick_iiopxx_decode_new_chunk(_t167_principal_len);
                        flick_iiopxx_decode_end_chunk(_t167_principal_len);
                        flick_iiopxx_decode_end_glob(_t167_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort757);
                        flick_cdr_decode_unsigned32(0, _t168_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t168_temp_string_len);
                        flick_iiopxx_check_span(1 * _t168_temp_string_len, _flick_abort757);
                        flick_iiopxx_decode_new_chunk(1 * _t168_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_type_id, CORBA::Char *);
                        flick_iiopxx_decode_end_chunk(1 * _t168_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t168_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t169_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t169_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort757);
                          flick_iiopxx_encode_new_glob(5, _flick_abort757);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t169_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t169_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort765);
                                break;
                                {
                                _flick_abort765:
                                  goto _flick_abort757;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort766);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort766:
                                  goto _flick_abort757;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort757:
                          goto _flick_abort756;
                        }
                      }
                      break;
                      {
                      _flick_abort756:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
          flick_iiopxx_decode_end_glob(20);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return;
  {
  _flick_abort5:
    flick_corbaxx_server_error(cdr, iiopxx, _flick_reaper, _flick_abort4);
  _flick_abort4:
    return ;
  }
_flick_reaper:
  return ;
}

