#include "atomic_-server.h"

POA_Atomic::test::test()
{}

POA_Atomic::test::test(const test &rhs)
  : TAO_ServantBase(rhs)
{}

POA_Atomic::test::~test()
{}

::Atomic::test *POA_Atomic::test::_this(CORBA::Environment &_env)
{
  TAO_Stub *stub = this->_create_stub(_env);
  TAO_CHECK_ENV_RETURN(_env, 0);
  return new POA_Atomic::_tao_collocated_test(this, stub);
}

CORBA::Boolean POA_Atomic::test::_is_a(const CORBA::Char *type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)type_id, "IDL:Atomic/test:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return 0;
}

void *POA_Atomic::test::_downcast(const char *logical_type_id)
{
  if(ACE_OS::strcmp(logical_type_id, "IDL:Atomic/test:1.0") == 0)
    return ACE_static_cast(::POA_Atomic::test_ptr , this);
   
  if(ACE_OS::strcmp(logical_type_id, "IDL:omg.org/CORBA/Object:1.0") == 0)
    return ACE_static_cast(PortableServer::Servant, this);
  return 0;
}

const char *POA_Atomic::test::_interface_repository_id() const
{
  return "IDL:Atomic/test:1.0";
}

template <class T>
  POA_Atomic::test_tie<T>::test_tie(T &t)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(0)
{}

template <class T>
  POA_Atomic::test_tie<T>::test_tie(T &t, PortableServer::POA_ptr poa)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(0)
{}

template <class T>
  POA_Atomic::test_tie<T>::test_tie(T *t, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(release)
{}

template <class T>
  POA_Atomic::test_tie<T>::test_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(release)
{}

template <class T>
  POA_Atomic::test_tie<T>::~test_tie()
{
  if( this->rel_ ) delete this->ptr_;
}

template <class T>
  T *POA_Atomic::test_tie<T>::_tied_object()
{
  return this->ptr_;
}

template <class T>
  void POA_Atomic::test_tie<T>::_tied_object(T &obj)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = &obj;
  this->rel_ = 0;
}

template <class T>
  void POA_Atomic::test_tie<T>::_tied_object(T &obj, CORBA::Boolean release)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = obj;
  this->rel_ = release;
}

template <class T>
  CORBA::Boolean POA_Atomic::test_tie<T>::_is_owner()
{
  return this->rel_;
}

template <class T>
  void POA_Atomic::test_tie<T>::_is_owner(CORBA::Boolean b)
{
  this->rel_ = b;
}

template <class T>
  PortableServer::POA_ptr POA_Atomic::test_tie<T>::_default_POA()
{
  if( !(CORBA::is_nil(this->poa_.in())) )
    return PortableServer::POA::_duplicate(this->poa_.in());
  else
  {
    TAO_POA *poa = TAO_ORB_Core_instance()->root_poa();
    PortableServer::POA_var result = poa->_this(env);
    if( env.exception() != 0 )
      return PortableServer::POA::_nil();
    else
      return result._retn();
  }
}

template <class T>
  POA_Atomic::test_tie<T>::test_tie(const test_tie &c)
{}

template <class T>
  void POA_Atomic::test_tie<T>::operator=(const test_tie &c)
{}

template <class T>
  CORBA::Short POA_Atomic::test_tie<T>::Short(/* ::POA_Atomic::test *this, */ CORBA::Short a, CORBA::Short &b, ::CORBA::Short &c, CORBA::Environment &_ev)
{
  return this->ptr_->Short (a, b, c, _ev);
}

template <class T>
  CORBA::Long POA_Atomic::test_tie<T>::Long(/* ::POA_Atomic::test *this, */ CORBA::Long a, CORBA::Long &b, ::CORBA::Long &c, CORBA::Environment &_ev)
{
  return this->ptr_->Long (a, b, c, _ev);
}

template <class T>
  CORBA::UShort POA_Atomic::test_tie<T>::UShort(/* ::POA_Atomic::test *this, */ CORBA::UShort a, CORBA::UShort &b, ::CORBA::UShort &c, CORBA::Environment &_ev)
{
  return this->ptr_->UShort (a, b, c, _ev);
}

template <class T>
  CORBA::ULong POA_Atomic::test_tie<T>::ULong(/* ::POA_Atomic::test *this, */ CORBA::ULong a, CORBA::ULong &b, ::CORBA::ULong &c, CORBA::Environment &_ev)
{
  return this->ptr_->ULong (a, b, c, _ev);
}

template <class T>
  CORBA::Float POA_Atomic::test_tie<T>::Float(/* ::POA_Atomic::test *this, */ CORBA::Float a, CORBA::Float &b, ::CORBA::Float &c, CORBA::Environment &_ev)
{
  return this->ptr_->Float (a, b, c, _ev);
}

template <class T>
  CORBA::Double POA_Atomic::test_tie<T>::Double(/* ::POA_Atomic::test *this, */ CORBA::Double a, CORBA::Double &b, ::CORBA::Double &c, CORBA::Environment &_ev)
{
  return this->ptr_->Double (a, b, c, _ev);
}

template <class T>
  CORBA::Boolean POA_Atomic::test_tie<T>::Boolean(/* ::POA_Atomic::test *this, */ CORBA::Boolean a, CORBA::Boolean &b, ::CORBA::Boolean &c, CORBA::Environment &_ev)
{
  return this->ptr_->Boolean (a, b, c, _ev);
}

template <class T>
  CORBA::Char POA_Atomic::test_tie<T>::Char(/* ::POA_Atomic::test *this, */ CORBA::Char a, CORBA::Char &b, ::CORBA::Char &c, CORBA::Environment &_ev)
{
  return this->ptr_->Char (a, b, c, _ev);
}

template <class T>
  CORBA::Octet POA_Atomic::test_tie<T>::Octet(/* ::POA_Atomic::test *this, */ CORBA::Octet a, CORBA::Octet &b, ::CORBA::Octet &c, CORBA::Environment &_ev)
{
  return this->ptr_->Octet (a, b, c, _ev);
}

POA_Atomic::_tao_collocated_test::_tao_collocated_test(::POA_Atomic::test_ptr servant, TAO_Stub *stub)
  : Atomic::test(),
    CORBA_Object(stub, servant, 1),
    servant_ (servant)
{
}

::POA_Atomic::test_ptr POA_Atomic::_tao_collocated_test::_get_servant() const
{
  return this->servant_;
}

CORBA::Short POA_Atomic::_tao_collocated_test::Short(CORBA::Short a, CORBA::Short &b, ::CORBA::Short &c, CORBA::Environment &_ev)
{
  return this->servant_->Short (a, b, c, _ev);
}

CORBA::Long POA_Atomic::_tao_collocated_test::Long(CORBA::Long a, CORBA::Long &b, ::CORBA::Long &c, CORBA::Environment &_ev)
{
  return this->servant_->Long (a, b, c, _ev);
}

CORBA::UShort POA_Atomic::_tao_collocated_test::UShort(CORBA::UShort a, CORBA::UShort &b, ::CORBA::UShort &c, CORBA::Environment &_ev)
{
  return this->servant_->UShort (a, b, c, _ev);
}

CORBA::ULong POA_Atomic::_tao_collocated_test::ULong(CORBA::ULong a, CORBA::ULong &b, ::CORBA::ULong &c, CORBA::Environment &_ev)
{
  return this->servant_->ULong (a, b, c, _ev);
}

CORBA::Float POA_Atomic::_tao_collocated_test::Float(CORBA::Float a, CORBA::Float &b, ::CORBA::Float &c, CORBA::Environment &_ev)
{
  return this->servant_->Float (a, b, c, _ev);
}

CORBA::Double POA_Atomic::_tao_collocated_test::Double(CORBA::Double a, CORBA::Double &b, ::CORBA::Double &c, CORBA::Environment &_ev)
{
  return this->servant_->Double (a, b, c, _ev);
}

CORBA::Boolean POA_Atomic::_tao_collocated_test::Boolean(CORBA::Boolean a, CORBA::Boolean &b, ::CORBA::Boolean &c, CORBA::Environment &_ev)
{
  return this->servant_->Boolean (a, b, c, _ev);
}

CORBA::Char POA_Atomic::_tao_collocated_test::Char(CORBA::Char a, CORBA::Char &b, ::CORBA::Char &c, CORBA::Environment &_ev)
{
  return this->servant_->Char (a, b, c, _ev);
}

CORBA::Octet POA_Atomic::_tao_collocated_test::Octet(CORBA::Octet a, CORBA::Octet &b, ::CORBA::Octet &c, CORBA::Environment &_ev)
{
  return this->servant_->Octet (a, b, c, _ev);
}

CORBA::Boolean POA_Atomic::_tao_collocated_test::_is_a(const char *type_id, CORBA::Environment &_ev)
{
  return this->servant_->_is_a (type_id, _ev);
}

int flick_marshal_stub_Atomic_test(flick_marshal_stream_t _stream, ::Atomic::test_ptr *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdrxx_encode_IOR(iiopxx, *_data, 0, Atomic::test , _flick_abort0);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_Atomic_test(flick_marshal_stream_t _stream, ::Atomic::test_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdrxx_decode_IOR(iiopxx, *_data, 1, Atomic::test , _flick_abort1);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_Atomic_test_swap(flick_marshal_stream_t _stream, ::Atomic::test_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swapxx_decode_IOR(iiopxx, *_data, 1, Atomic::test , _flick_abort2);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

void POA_Atomic::test::_dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env){
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_InputCDR &_in_cdr = _tao_req.incoming();
  TAO_OutputCDR &_out_cdr = _tao_req.outgoing();
  flick_iiopxx_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (_in_cdr.do_byte_swap()) {
  {
    unsigned int _t114_switch_tag;

    flick_iiopxx_decode_new_glob(16);
    flick_iiopxx_check_span(16, _flick_abort5);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t114_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t114_switch_tag)
      {
      case (unsigned int) 6:
        {
          unsigned int _t115_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t115_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t115_switch_tag)
            {
            case /* Shor */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1399353202):
              {
                unsigned short int _t116_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t116_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t116_switch_tag)
                  {
                  case /* t */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29696):
                    {
                      {
                        ::POA_Atomic::test *_local_this;
                        unsigned int _t117_principal_len;
                        CORBA::Short _return;
                        CORBA::Short _local_a;
                        CORBA::Short _local_b;
                        CORBA::Short _local_c;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort285);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t117_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_check_span(_t117_principal_len, _flick_abort285);
                        flick_iiopxx_decode_new_glob(_t117_principal_len);
                        flick_iiopxx_decode_new_chunk(_t117_principal_len);
                        flick_iiopxx_decode_end_chunk(_t117_principal_len);
                        flick_iiopxx_decode_end_glob(_t117_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(5);
                        flick_iiopxx_decode_new_chunk_align(4, 1, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort285);
                        flick_cdr_swap_decode_signed16(0, _local_a, CORBA::Short );
                        flick_cdr_swap_decode_signed16(2, _local_b, CORBA::Short );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(5);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->Short(_local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t118_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t118_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort285);
                          flick_iiopxx_encode_new_glob(10, _flick_abort285);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t118_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t118_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(6);
                                flick_cdr_encode_signed16(0, _return, CORBA::Short );
                                flick_cdr_encode_signed16(2, _local_b, CORBA::Short );
                                flick_cdr_encode_signed16(4, _local_c, CORBA::Short );
                                flick_iiopxx_encode_end_chunk(6);
                                flick_iiopxx_encode_end_glob(10);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(10);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort291);
                                break;
                                {
                                _flick_abort291:
                                  goto _flick_abort285;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort292);
                                flick_iiopxx_encode_end_glob(10);
                                break;
                                {
                                _flick_abort292:
                                  goto _flick_abort285;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort285:
                          goto _flick_abort284;
                        }
                      }
                      break;
                      {
                      _flick_abort284:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* ULon */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1431072622):
              {
                unsigned short int _t119_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t119_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t119_switch_tag)
                  {
                  case /* g */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 26368):
                    {
                      {
                        ::POA_Atomic::test *_local_this;
                        unsigned int _t120_principal_len;
                        CORBA::ULong _return;
                        CORBA::ULong _local_a;
                        CORBA::ULong _local_b;
                        CORBA::ULong _local_c;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort294);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t120_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_check_span(_t120_principal_len, _flick_abort294);
                        flick_iiopxx_decode_new_glob(_t120_principal_len);
                        flick_iiopxx_decode_new_chunk(_t120_principal_len);
                        flick_iiopxx_decode_end_chunk(_t120_principal_len);
                        flick_iiopxx_decode_end_glob(_t120_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(11);
                        flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                        flick_iiopxx_check_span(8, _flick_abort294);
                        flick_cdr_swap_decode_unsigned32(0, _local_a, CORBA::ULong );
                        flick_cdr_swap_decode_unsigned32(4, _local_b, CORBA::ULong );
                        flick_iiopxx_decode_end_chunk(8);
                        flick_iiopxx_decode_end_glob(11);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->ULong(_local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t121_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t121_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort294);
                          flick_iiopxx_encode_new_glob(16, _flick_abort294);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t121_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t121_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(12);
                                flick_cdr_encode_unsigned32(0, _return, CORBA::ULong );
                                flick_cdr_encode_unsigned32(4, _local_b, CORBA::ULong );
                                flick_cdr_encode_unsigned32(8, _local_c, CORBA::ULong );
                                flick_iiopxx_encode_end_chunk(12);
                                flick_iiopxx_encode_end_glob(16);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(16);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort300);
                                break;
                                {
                                _flick_abort300:
                                  goto _flick_abort294;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort301);
                                flick_iiopxx_encode_end_glob(16);
                                break;
                                {
                                _flick_abort301:
                                  goto _flick_abort294;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort294:
                          goto _flick_abort293;
                        }
                      }
                      break;
                      {
                      _flick_abort293:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* Floa */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1181511521):
              {
                unsigned short int _t122_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t122_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t122_switch_tag)
                  {
                  case /* t */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29696):
                    {
                      {
                        ::POA_Atomic::test *_local_this;
                        unsigned int _t123_principal_len;
                        CORBA::Float _return;
                        CORBA::Float _local_a;
                        CORBA::Float _local_b;
                        CORBA::Float _local_c;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort303);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t123_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_check_span(_t123_principal_len, _flick_abort303);
                        flick_iiopxx_decode_new_glob(_t123_principal_len);
                        flick_iiopxx_decode_new_chunk(_t123_principal_len);
                        flick_iiopxx_decode_end_chunk(_t123_principal_len);
                        flick_iiopxx_decode_end_glob(_t123_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0.000000;
                        flick_iiopxx_decode_new_glob(11);
                        flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                        flick_iiopxx_check_span(8, _flick_abort303);
                        flick_cdr_swap_decode_float32(0, _local_a, CORBA::Float );
                        flick_cdr_swap_decode_float32(4, _local_b, CORBA::Float );
                        flick_iiopxx_decode_end_chunk(8);
                        flick_iiopxx_decode_end_glob(11);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->Float(_local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t124_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t124_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort303);
                          flick_iiopxx_encode_new_glob(16, _flick_abort303);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t124_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t124_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(12);
                                flick_cdr_encode_float32(0, _return, CORBA::Float );
                                flick_cdr_encode_float32(4, _local_b, CORBA::Float );
                                flick_cdr_encode_float32(8, _local_c, CORBA::Float );
                                flick_iiopxx_encode_end_chunk(12);
                                flick_iiopxx_encode_end_glob(16);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(16);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort309);
                                break;
                                {
                                _flick_abort309:
                                  goto _flick_abort303;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort310);
                                flick_iiopxx_encode_end_glob(16);
                                break;
                                {
                                _flick_abort310:
                                  goto _flick_abort303;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort303:
                          goto _flick_abort302;
                        }
                      }
                      break;
                      {
                      _flick_abort302:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* Octe */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1331917925):
              {
                unsigned short int _t125_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t125_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t125_switch_tag)
                  {
                  case /* t */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29696):
                    {
                      {
                        ::POA_Atomic::test *_local_this;
                        unsigned int _t126_principal_len;
                        CORBA::Octet _return;
                        CORBA::Octet _local_a;
                        CORBA::Octet _local_b;
                        CORBA::Octet _local_c;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort312);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t126_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_check_span(_t126_principal_len + 2, _flick_abort312);
                        flick_iiopxx_decode_new_glob(_t126_principal_len);
                        flick_iiopxx_decode_new_chunk(_t126_principal_len);
                        flick_iiopxx_decode_end_chunk(_t126_principal_len);
                        flick_iiopxx_decode_end_glob(_t126_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(2);
                        flick_iiopxx_decode_new_chunk(2);
                        flick_cdr_swap_decode_unsigned8(0, _local_a, CORBA::Octet );
                        flick_cdr_swap_decode_unsigned8(1, _local_b, CORBA::Octet );
                        flick_iiopxx_decode_end_chunk(2);
                        flick_iiopxx_decode_end_glob(2);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->Octet(_local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t127_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t127_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort312);
                          flick_iiopxx_encode_new_glob(7, _flick_abort312);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t127_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t127_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(3);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Octet );
                                flick_cdr_encode_unsigned8(1, _local_b, CORBA::Octet );
                                flick_cdr_encode_unsigned8(2, _local_c, CORBA::Octet );
                                flick_iiopxx_encode_end_chunk(3);
                                flick_iiopxx_encode_end_glob(7);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(7);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort318);
                                break;
                                {
                                _flick_abort318:
                                  goto _flick_abort312;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort319);
                                flick_iiopxx_encode_end_glob(7);
                                break;
                                {
                                _flick_abort319:
                                  goto _flick_abort312;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort312:
                          goto _flick_abort311;
                        }
                      }
                      break;
                      {
                      _flick_abort311:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t128_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t128_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t128_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        ::POA_Atomic::test *_local_this;
                        unsigned int _t129_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t130_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort321);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t129_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_check_span(_t129_principal_len, _flick_abort321);
                        flick_iiopxx_decode_new_glob(_t129_principal_len);
                        flick_iiopxx_decode_new_chunk(_t129_principal_len);
                        flick_iiopxx_decode_end_chunk(_t129_principal_len);
                        flick_iiopxx_decode_end_glob(_t129_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort321);
                        flick_cdr_swap_decode_unsigned32(0, _t130_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t130_temp_string_len);
                        flick_iiopxx_check_span(1 * _t130_temp_string_len, _flick_abort321);
                        flick_iiopxx_decode_new_chunk(1 * _t130_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_type_id, CORBA::Char *);
                        flick_iiopxx_decode_end_chunk(1 * _t130_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t130_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t131_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t131_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort321);
                          flick_iiopxx_encode_new_glob(5, _flick_abort321);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t131_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t131_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort329);
                                break;
                                {
                                _flick_abort329:
                                  goto _flick_abort321;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort330);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort330:
                                  goto _flick_abort321;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort321:
                          goto _flick_abort320;
                        }
                      }
                      break;
                      {
                      _flick_abort320:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          unsigned int _t132_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t132_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t132_switch_tag)
            {
            case /* Long */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1282371175):
              {
                char _t133_switch_tag;

                flick_iiopxx_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t133_switch_tag, char );
                flick_iiopxx_decode_end_chunk(1);
                switch ((char )_t133_switch_tag)
                  {
                  case 0:
                    {
                      {
                        ::POA_Atomic::test *_local_this;
                        unsigned int _t134_principal_len;
                        CORBA::Long _return;
                        CORBA::Long _local_a;
                        CORBA::Long _local_b;
                        CORBA::Long _local_c;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort332);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(7);
                        flick_cdr_swap_decode_unsigned32(3, _t134_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(7);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_check_span(_t134_principal_len, _flick_abort332);
                        flick_iiopxx_decode_new_glob(_t134_principal_len);
                        flick_iiopxx_decode_new_chunk(_t134_principal_len);
                        flick_iiopxx_decode_end_chunk(_t134_principal_len);
                        flick_iiopxx_decode_end_glob(_t134_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(11);
                        flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                        flick_iiopxx_check_span(8, _flick_abort332);
                        flick_cdr_swap_decode_signed32(0, _local_a, CORBA::Long );
                        flick_cdr_swap_decode_signed32(4, _local_b, CORBA::Long );
                        flick_iiopxx_decode_end_chunk(8);
                        flick_iiopxx_decode_end_glob(11);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->Long(_local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t135_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t135_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort332);
                          flick_iiopxx_encode_new_glob(16, _flick_abort332);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t135_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t135_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(12);
                                flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                flick_cdr_encode_signed32(4, _local_b, CORBA::Long );
                                flick_cdr_encode_signed32(8, _local_c, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(12);
                                flick_iiopxx_encode_end_glob(16);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(16);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort338);
                                break;
                                {
                                _flick_abort338:
                                  goto _flick_abort332;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort339);
                                flick_iiopxx_encode_end_glob(16);
                                break;
                                {
                                _flick_abort339:
                                  goto _flick_abort332;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort332:
                          goto _flick_abort331;
                        }
                      }
                      break;
                      {
                      _flick_abort331:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* Char */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1130914162):
              {
                char _t136_switch_tag;

                flick_iiopxx_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t136_switch_tag, char );
                flick_iiopxx_decode_end_chunk(1);
                switch ((char )_t136_switch_tag)
                  {
                  case 0:
                    {
                      {
                        ::POA_Atomic::test *_local_this;
                        unsigned int _t137_principal_len;
                        CORBA::Char _return;
                        CORBA::Char _local_a;
                        CORBA::Char _local_b;
                        CORBA::Char _local_c;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort341);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(7);
                        flick_cdr_swap_decode_unsigned32(3, _t137_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(7);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_check_span(_t137_principal_len + 2, _flick_abort341);
                        flick_iiopxx_decode_new_glob(_t137_principal_len);
                        flick_iiopxx_decode_new_chunk(_t137_principal_len);
                        flick_iiopxx_decode_end_chunk(_t137_principal_len);
                        flick_iiopxx_decode_end_glob(_t137_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(2);
                        flick_iiopxx_decode_new_chunk(2);
                        flick_cdr_swap_decode_char8(0, _local_a, CORBA::Char );
                        flick_cdr_swap_decode_char8(1, _local_b, CORBA::Char );
                        flick_iiopxx_decode_end_chunk(2);
                        flick_iiopxx_decode_end_glob(2);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->Char(_local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t138_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t138_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort341);
                          flick_iiopxx_encode_new_glob(7, _flick_abort341);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t138_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t138_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(3);
                                flick_cdr_encode_char8(0, _return, CORBA::Char );
                                flick_cdr_encode_char8(1, _local_b, CORBA::Char );
                                flick_cdr_encode_char8(2, _local_c, CORBA::Char );
                                flick_iiopxx_encode_end_chunk(3);
                                flick_iiopxx_encode_end_glob(7);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(7);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort347);
                                break;
                                {
                                _flick_abort347:
                                  goto _flick_abort341;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort348);
                                flick_iiopxx_encode_end_glob(7);
                                break;
                                {
                                _flick_abort348:
                                  goto _flick_abort341;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort341:
                          goto _flick_abort340;
                        }
                      }
                      break;
                      {
                      _flick_abort340:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          unsigned int _t139_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t139_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t139_switch_tag)
            {
            case /* USho */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1431529583):
              {
                unsigned short int _t140_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t140_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t140_switch_tag)
                  {
                  case /* rt */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29300):
                    {
                      char _t141_switch_tag;

                      flick_iiopxx_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t141_switch_tag, char );
                      flick_iiopxx_decode_end_chunk(1);
                      switch ((char )_t141_switch_tag)
                        {
                        case 0:
                          {
                            {
                              ::POA_Atomic::test *_local_this;
                              unsigned int _t142_principal_len;
                              CORBA::UShort _return;
                              CORBA::UShort _local_a;
                              CORBA::UShort _local_b;
                              CORBA::UShort _local_c;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort350);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(5);
                              flick_cdr_swap_decode_unsigned32(1, _t142_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(5);
                              flick_iiopxx_decode_end_glob(16);
                              flick_iiopxx_check_span(_t142_principal_len, _flick_abort350);
                              flick_iiopxx_decode_new_glob(_t142_principal_len);
                              flick_iiopxx_decode_new_chunk(_t142_principal_len);
                              flick_iiopxx_decode_end_chunk(_t142_principal_len);
                              flick_iiopxx_decode_end_glob(_t142_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiopxx_decode_new_glob(5);
                              flick_iiopxx_decode_new_chunk_align(4, 1, 0, 0);
                              flick_iiopxx_check_span(4, _flick_abort350);
                              flick_cdr_swap_decode_unsigned16(0, _local_a, CORBA::UShort );
                              flick_cdr_swap_decode_unsigned16(2, _local_b, CORBA::UShort );
                              flick_iiopxx_decode_end_chunk(4);
                              flick_iiopxx_decode_end_glob(5);
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->UShort(_local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t143_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t143_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort350);
                                flick_iiopxx_encode_new_glob(10, _flick_abort350);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t143_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t143_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_new_chunk(6);
                                      flick_cdr_encode_unsigned16(0, _return, CORBA::UShort );
                                      flick_cdr_encode_unsigned16(2, _local_b, CORBA::UShort );
                                      flick_cdr_encode_unsigned16(4, _local_c, CORBA::UShort );
                                      flick_iiopxx_encode_end_chunk(6);
                                      flick_iiopxx_encode_end_glob(10);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(10);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort356);
                                      break;
                                      {
                                      _flick_abort356:
                                        goto _flick_abort350;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort357);
                                      flick_iiopxx_encode_end_glob(10);
                                      break;
                                      {
                                      _flick_abort357:
                                        goto _flick_abort350;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort350:
                                goto _flick_abort349;
                              }
                            }
                            break;
                            {
                            _flick_abort349:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(16);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* Doub */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1148155234):
              {
                unsigned short int _t144_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t144_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t144_switch_tag)
                  {
                  case /* le */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 27749):
                    {
                      char _t145_switch_tag;

                      flick_iiopxx_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t145_switch_tag, char );
                      flick_iiopxx_decode_end_chunk(1);
                      switch ((char )_t145_switch_tag)
                        {
                        case 0:
                          {
                            {
                              ::POA_Atomic::test *_local_this;
                              unsigned int _t146_principal_len;
                              CORBA::Double _return;
                              CORBA::Double _local_a;
                              CORBA::Double _local_b;
                              CORBA::Double _local_c;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort359);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(5);
                              flick_cdr_swap_decode_unsigned32(1, _t146_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(5);
                              flick_iiopxx_decode_end_glob(16);
                              flick_iiopxx_check_span(_t146_principal_len, _flick_abort359);
                              flick_iiopxx_decode_new_glob(_t146_principal_len);
                              flick_iiopxx_decode_new_chunk(_t146_principal_len);
                              flick_iiopxx_decode_end_chunk(_t146_principal_len);
                              flick_iiopxx_decode_end_glob(_t146_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0.000000;
                              flick_iiopxx_decode_new_glob(23);
                              flick_iiopxx_decode_new_chunk_align(16, 3, 0, 0);
                              flick_iiopxx_check_span(16, _flick_abort359);
                              flick_cdr_swap_decode_float64(0, _local_a, CORBA::Double );
                              flick_cdr_swap_decode_float64(8, _local_b, CORBA::Double );
                              flick_iiopxx_decode_end_chunk(16);
                              flick_iiopxx_decode_end_glob(23);
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->Double(_local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t147_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t147_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort359);
                                flick_iiopxx_encode_new_glob(32, _flick_abort359);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t147_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t147_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_new_chunk_align(24, 3, 2, 0);
                                      flick_cdr_encode_float64(0, _return, CORBA::Double );
                                      flick_cdr_encode_float64(8, _local_b, CORBA::Double );
                                      flick_cdr_encode_float64(16, _local_c, CORBA::Double );
                                      flick_iiopxx_encode_end_chunk(24);
                                      flick_iiopxx_encode_end_glob(32);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(32);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort365);
                                      break;
                                      {
                                      _flick_abort365:
                                        goto _flick_abort359;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort366);
                                      flick_iiopxx_encode_end_glob(32);
                                      break;
                                      {
                                      _flick_abort366:
                                        goto _flick_abort359;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort359:
                                goto _flick_abort358;
                              }
                            }
                            break;
                            {
                            _flick_abort358:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(16);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t148_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t148_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t148_switch_tag)
            {
            case /* Bool */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1114599276):
              {
                unsigned int _t149_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t149_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t149_switch_tag)
                  {
                  case /* ean */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1700883968):
                    {
                      {
                        ::POA_Atomic::test *_local_this;
                        unsigned int _t150_principal_len;
                        CORBA::Boolean _return;
                        CORBA::Boolean _local_a;
                        CORBA::Boolean _local_b;
                        CORBA::Boolean _local_c;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort368);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t150_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_check_span(_t150_principal_len + 2, _flick_abort368);
                        flick_iiopxx_decode_new_glob(_t150_principal_len);
                        flick_iiopxx_decode_new_chunk(_t150_principal_len);
                        flick_iiopxx_decode_end_chunk(_t150_principal_len);
                        flick_iiopxx_decode_end_glob(_t150_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(2);
                        flick_iiopxx_decode_new_chunk(2);
                        flick_cdr_swap_decode_unsigned8(0, _local_a, CORBA::Boolean );
                        flick_cdr_swap_decode_unsigned8(1, _local_b, CORBA::Boolean );
                        flick_iiopxx_decode_end_chunk(2);
                        flick_iiopxx_decode_end_glob(2);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->Boolean(_local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t151_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t151_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort368);
                          flick_iiopxx_encode_new_glob(7, _flick_abort368);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t151_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t151_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(3);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_cdr_encode_unsigned8(1, _local_b, CORBA::Boolean );
                                flick_cdr_encode_unsigned8(2, _local_c, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(3);
                                flick_iiopxx_encode_end_glob(7);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(7);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort374);
                                break;
                                {
                                _flick_abort374:
                                  goto _flick_abort368;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort375);
                                flick_iiopxx_encode_end_glob(7);
                                break;
                                {
                                _flick_abort375:
                                  goto _flick_abort368;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort368:
                          goto _flick_abort367;
                        }
                      }
                      break;
                      {
                      _flick_abort367:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
          flick_iiopxx_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t38_switch_tag;

    flick_iiopxx_decode_new_glob(16);
    flick_iiopxx_check_span(16, _flick_abort5);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t38_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t38_switch_tag)
      {
      case (unsigned int) 6:
        {
          unsigned int _t39_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t39_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t39_switch_tag)
            {
            case /* Shor */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1399353202):
              {
                unsigned short int _t40_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t40_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t40_switch_tag)
                  {
                  case /* t */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29696):
                    {
                      {
                        ::POA_Atomic::test *_local_this;
                        unsigned int _t41_principal_len;
                        CORBA::Short _return;
                        CORBA::Short _local_a;
                        CORBA::Short _local_b;
                        CORBA::Short _local_c;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort100);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t41_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_check_span(_t41_principal_len, _flick_abort100);
                        flick_iiopxx_decode_new_glob(_t41_principal_len);
                        flick_iiopxx_decode_new_chunk(_t41_principal_len);
                        flick_iiopxx_decode_end_chunk(_t41_principal_len);
                        flick_iiopxx_decode_end_glob(_t41_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(5);
                        flick_iiopxx_decode_new_chunk_align(4, 1, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort100);
                        flick_cdr_decode_signed16(0, _local_a, CORBA::Short );
                        flick_cdr_decode_signed16(2, _local_b, CORBA::Short );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(5);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->Short(_local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t42_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t42_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort100);
                          flick_iiopxx_encode_new_glob(10, _flick_abort100);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t42_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t42_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(6);
                                flick_cdr_encode_signed16(0, _return, CORBA::Short );
                                flick_cdr_encode_signed16(2, _local_b, CORBA::Short );
                                flick_cdr_encode_signed16(4, _local_c, CORBA::Short );
                                flick_iiopxx_encode_end_chunk(6);
                                flick_iiopxx_encode_end_glob(10);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(10);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort106);
                                break;
                                {
                                _flick_abort106:
                                  goto _flick_abort100;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort107);
                                flick_iiopxx_encode_end_glob(10);
                                break;
                                {
                                _flick_abort107:
                                  goto _flick_abort100;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort100:
                          goto _flick_abort99;
                        }
                      }
                      break;
                      {
                      _flick_abort99:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* ULon */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1431072622):
              {
                unsigned short int _t43_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t43_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t43_switch_tag)
                  {
                  case /* g */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 26368):
                    {
                      {
                        ::POA_Atomic::test *_local_this;
                        unsigned int _t44_principal_len;
                        CORBA::ULong _return;
                        CORBA::ULong _local_a;
                        CORBA::ULong _local_b;
                        CORBA::ULong _local_c;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort109);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t44_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_check_span(_t44_principal_len, _flick_abort109);
                        flick_iiopxx_decode_new_glob(_t44_principal_len);
                        flick_iiopxx_decode_new_chunk(_t44_principal_len);
                        flick_iiopxx_decode_end_chunk(_t44_principal_len);
                        flick_iiopxx_decode_end_glob(_t44_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(11);
                        flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                        flick_iiopxx_check_span(8, _flick_abort109);
                        flick_cdr_decode_unsigned32(0, _local_a, CORBA::ULong );
                        flick_cdr_decode_unsigned32(4, _local_b, CORBA::ULong );
                        flick_iiopxx_decode_end_chunk(8);
                        flick_iiopxx_decode_end_glob(11);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->ULong(_local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t45_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t45_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort109);
                          flick_iiopxx_encode_new_glob(16, _flick_abort109);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t45_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t45_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(12);
                                flick_cdr_encode_unsigned32(0, _return, CORBA::ULong );
                                flick_cdr_encode_unsigned32(4, _local_b, CORBA::ULong );
                                flick_cdr_encode_unsigned32(8, _local_c, CORBA::ULong );
                                flick_iiopxx_encode_end_chunk(12);
                                flick_iiopxx_encode_end_glob(16);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(16);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort115);
                                break;
                                {
                                _flick_abort115:
                                  goto _flick_abort109;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort116);
                                flick_iiopxx_encode_end_glob(16);
                                break;
                                {
                                _flick_abort116:
                                  goto _flick_abort109;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort109:
                          goto _flick_abort108;
                        }
                      }
                      break;
                      {
                      _flick_abort108:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* Floa */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1181511521):
              {
                unsigned short int _t46_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t46_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t46_switch_tag)
                  {
                  case /* t */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29696):
                    {
                      {
                        ::POA_Atomic::test *_local_this;
                        unsigned int _t47_principal_len;
                        CORBA::Float _return;
                        CORBA::Float _local_a;
                        CORBA::Float _local_b;
                        CORBA::Float _local_c;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort118);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t47_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_check_span(_t47_principal_len, _flick_abort118);
                        flick_iiopxx_decode_new_glob(_t47_principal_len);
                        flick_iiopxx_decode_new_chunk(_t47_principal_len);
                        flick_iiopxx_decode_end_chunk(_t47_principal_len);
                        flick_iiopxx_decode_end_glob(_t47_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0.000000;
                        flick_iiopxx_decode_new_glob(11);
                        flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                        flick_iiopxx_check_span(8, _flick_abort118);
                        flick_cdr_decode_float32(0, _local_a, CORBA::Float );
                        flick_cdr_decode_float32(4, _local_b, CORBA::Float );
                        flick_iiopxx_decode_end_chunk(8);
                        flick_iiopxx_decode_end_glob(11);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->Float(_local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t48_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t48_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort118);
                          flick_iiopxx_encode_new_glob(16, _flick_abort118);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t48_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t48_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(12);
                                flick_cdr_encode_float32(0, _return, CORBA::Float );
                                flick_cdr_encode_float32(4, _local_b, CORBA::Float );
                                flick_cdr_encode_float32(8, _local_c, CORBA::Float );
                                flick_iiopxx_encode_end_chunk(12);
                                flick_iiopxx_encode_end_glob(16);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(16);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort124);
                                break;
                                {
                                _flick_abort124:
                                  goto _flick_abort118;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort125);
                                flick_iiopxx_encode_end_glob(16);
                                break;
                                {
                                _flick_abort125:
                                  goto _flick_abort118;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort118:
                          goto _flick_abort117;
                        }
                      }
                      break;
                      {
                      _flick_abort117:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* Octe */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1331917925):
              {
                unsigned short int _t49_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t49_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t49_switch_tag)
                  {
                  case /* t */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29696):
                    {
                      {
                        ::POA_Atomic::test *_local_this;
                        unsigned int _t50_principal_len;
                        CORBA::Octet _return;
                        CORBA::Octet _local_a;
                        CORBA::Octet _local_b;
                        CORBA::Octet _local_c;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort127);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t50_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_check_span(_t50_principal_len + 2, _flick_abort127);
                        flick_iiopxx_decode_new_glob(_t50_principal_len);
                        flick_iiopxx_decode_new_chunk(_t50_principal_len);
                        flick_iiopxx_decode_end_chunk(_t50_principal_len);
                        flick_iiopxx_decode_end_glob(_t50_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(2);
                        flick_iiopxx_decode_new_chunk(2);
                        flick_cdr_decode_unsigned8(0, _local_a, CORBA::Octet );
                        flick_cdr_decode_unsigned8(1, _local_b, CORBA::Octet );
                        flick_iiopxx_decode_end_chunk(2);
                        flick_iiopxx_decode_end_glob(2);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->Octet(_local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t51_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t51_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort127);
                          flick_iiopxx_encode_new_glob(7, _flick_abort127);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t51_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t51_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(3);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Octet );
                                flick_cdr_encode_unsigned8(1, _local_b, CORBA::Octet );
                                flick_cdr_encode_unsigned8(2, _local_c, CORBA::Octet );
                                flick_iiopxx_encode_end_chunk(3);
                                flick_iiopxx_encode_end_glob(7);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(7);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort133);
                                break;
                                {
                                _flick_abort133:
                                  goto _flick_abort127;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort134);
                                flick_iiopxx_encode_end_glob(7);
                                break;
                                {
                                _flick_abort134:
                                  goto _flick_abort127;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort127:
                          goto _flick_abort126;
                        }
                      }
                      break;
                      {
                      _flick_abort126:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t52_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t52_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t52_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        ::POA_Atomic::test *_local_this;
                        unsigned int _t53_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t54_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort136);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t53_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_check_span(_t53_principal_len, _flick_abort136);
                        flick_iiopxx_decode_new_glob(_t53_principal_len);
                        flick_iiopxx_decode_new_chunk(_t53_principal_len);
                        flick_iiopxx_decode_end_chunk(_t53_principal_len);
                        flick_iiopxx_decode_end_glob(_t53_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort136);
                        flick_cdr_decode_unsigned32(0, _t54_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t54_temp_string_len);
                        flick_iiopxx_check_span(1 * _t54_temp_string_len, _flick_abort136);
                        flick_iiopxx_decode_new_chunk(1 * _t54_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_type_id, CORBA::Char *);
                        flick_iiopxx_decode_end_chunk(1 * _t54_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t54_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t55_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t55_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort136);
                          flick_iiopxx_encode_new_glob(5, _flick_abort136);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t55_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t55_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort144);
                                break;
                                {
                                _flick_abort144:
                                  goto _flick_abort136;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort145);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort145:
                                  goto _flick_abort136;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort136:
                          goto _flick_abort135;
                        }
                      }
                      break;
                      {
                      _flick_abort135:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          unsigned int _t56_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t56_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t56_switch_tag)
            {
            case /* Long */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1282371175):
              {
                char _t57_switch_tag;

                flick_iiopxx_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t57_switch_tag, char );
                flick_iiopxx_decode_end_chunk(1);
                switch ((char )_t57_switch_tag)
                  {
                  case 0:
                    {
                      {
                        ::POA_Atomic::test *_local_this;
                        unsigned int _t58_principal_len;
                        CORBA::Long _return;
                        CORBA::Long _local_a;
                        CORBA::Long _local_b;
                        CORBA::Long _local_c;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort147);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(7);
                        flick_cdr_decode_unsigned32(3, _t58_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(7);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_check_span(_t58_principal_len, _flick_abort147);
                        flick_iiopxx_decode_new_glob(_t58_principal_len);
                        flick_iiopxx_decode_new_chunk(_t58_principal_len);
                        flick_iiopxx_decode_end_chunk(_t58_principal_len);
                        flick_iiopxx_decode_end_glob(_t58_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(11);
                        flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                        flick_iiopxx_check_span(8, _flick_abort147);
                        flick_cdr_decode_signed32(0, _local_a, CORBA::Long );
                        flick_cdr_decode_signed32(4, _local_b, CORBA::Long );
                        flick_iiopxx_decode_end_chunk(8);
                        flick_iiopxx_decode_end_glob(11);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->Long(_local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t59_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t59_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort147);
                          flick_iiopxx_encode_new_glob(16, _flick_abort147);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t59_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t59_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(12);
                                flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                flick_cdr_encode_signed32(4, _local_b, CORBA::Long );
                                flick_cdr_encode_signed32(8, _local_c, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(12);
                                flick_iiopxx_encode_end_glob(16);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(16);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort153);
                                break;
                                {
                                _flick_abort153:
                                  goto _flick_abort147;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort154);
                                flick_iiopxx_encode_end_glob(16);
                                break;
                                {
                                _flick_abort154:
                                  goto _flick_abort147;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort147:
                          goto _flick_abort146;
                        }
                      }
                      break;
                      {
                      _flick_abort146:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* Char */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1130914162):
              {
                char _t60_switch_tag;

                flick_iiopxx_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t60_switch_tag, char );
                flick_iiopxx_decode_end_chunk(1);
                switch ((char )_t60_switch_tag)
                  {
                  case 0:
                    {
                      {
                        ::POA_Atomic::test *_local_this;
                        unsigned int _t61_principal_len;
                        CORBA::Char _return;
                        CORBA::Char _local_a;
                        CORBA::Char _local_b;
                        CORBA::Char _local_c;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort156);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(7);
                        flick_cdr_decode_unsigned32(3, _t61_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(7);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_check_span(_t61_principal_len + 2, _flick_abort156);
                        flick_iiopxx_decode_new_glob(_t61_principal_len);
                        flick_iiopxx_decode_new_chunk(_t61_principal_len);
                        flick_iiopxx_decode_end_chunk(_t61_principal_len);
                        flick_iiopxx_decode_end_glob(_t61_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(2);
                        flick_iiopxx_decode_new_chunk(2);
                        flick_cdr_decode_char8(0, _local_a, CORBA::Char );
                        flick_cdr_decode_char8(1, _local_b, CORBA::Char );
                        flick_iiopxx_decode_end_chunk(2);
                        flick_iiopxx_decode_end_glob(2);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->Char(_local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t62_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t62_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort156);
                          flick_iiopxx_encode_new_glob(7, _flick_abort156);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t62_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t62_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(3);
                                flick_cdr_encode_char8(0, _return, CORBA::Char );
                                flick_cdr_encode_char8(1, _local_b, CORBA::Char );
                                flick_cdr_encode_char8(2, _local_c, CORBA::Char );
                                flick_iiopxx_encode_end_chunk(3);
                                flick_iiopxx_encode_end_glob(7);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(7);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort162);
                                break;
                                {
                                _flick_abort162:
                                  goto _flick_abort156;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort163);
                                flick_iiopxx_encode_end_glob(7);
                                break;
                                {
                                _flick_abort163:
                                  goto _flick_abort156;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort156:
                          goto _flick_abort155;
                        }
                      }
                      break;
                      {
                      _flick_abort155:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          unsigned int _t63_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t63_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t63_switch_tag)
            {
            case /* USho */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1431529583):
              {
                unsigned short int _t64_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t64_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t64_switch_tag)
                  {
                  case /* rt */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29300):
                    {
                      char _t65_switch_tag;

                      flick_iiopxx_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t65_switch_tag, char );
                      flick_iiopxx_decode_end_chunk(1);
                      switch ((char )_t65_switch_tag)
                        {
                        case 0:
                          {
                            {
                              ::POA_Atomic::test *_local_this;
                              unsigned int _t66_principal_len;
                              CORBA::UShort _return;
                              CORBA::UShort _local_a;
                              CORBA::UShort _local_b;
                              CORBA::UShort _local_c;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort165);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(5);
                              flick_cdr_decode_unsigned32(1, _t66_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(5);
                              flick_iiopxx_decode_end_glob(16);
                              flick_iiopxx_check_span(_t66_principal_len, _flick_abort165);
                              flick_iiopxx_decode_new_glob(_t66_principal_len);
                              flick_iiopxx_decode_new_chunk(_t66_principal_len);
                              flick_iiopxx_decode_end_chunk(_t66_principal_len);
                              flick_iiopxx_decode_end_glob(_t66_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiopxx_decode_new_glob(5);
                              flick_iiopxx_decode_new_chunk_align(4, 1, 0, 0);
                              flick_iiopxx_check_span(4, _flick_abort165);
                              flick_cdr_decode_unsigned16(0, _local_a, CORBA::UShort );
                              flick_cdr_decode_unsigned16(2, _local_b, CORBA::UShort );
                              flick_iiopxx_decode_end_chunk(4);
                              flick_iiopxx_decode_end_glob(5);
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->UShort(_local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t67_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t67_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort165);
                                flick_iiopxx_encode_new_glob(10, _flick_abort165);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t67_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t67_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_new_chunk(6);
                                      flick_cdr_encode_unsigned16(0, _return, CORBA::UShort );
                                      flick_cdr_encode_unsigned16(2, _local_b, CORBA::UShort );
                                      flick_cdr_encode_unsigned16(4, _local_c, CORBA::UShort );
                                      flick_iiopxx_encode_end_chunk(6);
                                      flick_iiopxx_encode_end_glob(10);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(10);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort171);
                                      break;
                                      {
                                      _flick_abort171:
                                        goto _flick_abort165;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort172);
                                      flick_iiopxx_encode_end_glob(10);
                                      break;
                                      {
                                      _flick_abort172:
                                        goto _flick_abort165;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort165:
                                goto _flick_abort164;
                              }
                            }
                            break;
                            {
                            _flick_abort164:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(16);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* Doub */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1148155234):
              {
                unsigned short int _t68_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t68_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t68_switch_tag)
                  {
                  case /* le */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 27749):
                    {
                      char _t69_switch_tag;

                      flick_iiopxx_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t69_switch_tag, char );
                      flick_iiopxx_decode_end_chunk(1);
                      switch ((char )_t69_switch_tag)
                        {
                        case 0:
                          {
                            {
                              ::POA_Atomic::test *_local_this;
                              unsigned int _t70_principal_len;
                              CORBA::Double _return;
                              CORBA::Double _local_a;
                              CORBA::Double _local_b;
                              CORBA::Double _local_c;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort174);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(5);
                              flick_cdr_decode_unsigned32(1, _t70_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(5);
                              flick_iiopxx_decode_end_glob(16);
                              flick_iiopxx_check_span(_t70_principal_len, _flick_abort174);
                              flick_iiopxx_decode_new_glob(_t70_principal_len);
                              flick_iiopxx_decode_new_chunk(_t70_principal_len);
                              flick_iiopxx_decode_end_chunk(_t70_principal_len);
                              flick_iiopxx_decode_end_glob(_t70_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0.000000;
                              flick_iiopxx_decode_new_glob(23);
                              flick_iiopxx_decode_new_chunk_align(16, 3, 0, 0);
                              flick_iiopxx_check_span(16, _flick_abort174);
                              flick_cdr_decode_float64(0, _local_a, CORBA::Double );
                              flick_cdr_decode_float64(8, _local_b, CORBA::Double );
                              flick_iiopxx_decode_end_chunk(16);
                              flick_iiopxx_decode_end_glob(23);
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->Double(_local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t71_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t71_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort174);
                                flick_iiopxx_encode_new_glob(32, _flick_abort174);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t71_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t71_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_new_chunk_align(24, 3, 2, 0);
                                      flick_cdr_encode_float64(0, _return, CORBA::Double );
                                      flick_cdr_encode_float64(8, _local_b, CORBA::Double );
                                      flick_cdr_encode_float64(16, _local_c, CORBA::Double );
                                      flick_iiopxx_encode_end_chunk(24);
                                      flick_iiopxx_encode_end_glob(32);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(32);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort180);
                                      break;
                                      {
                                      _flick_abort180:
                                        goto _flick_abort174;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort181);
                                      flick_iiopxx_encode_end_glob(32);
                                      break;
                                      {
                                      _flick_abort181:
                                        goto _flick_abort174;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort174:
                                goto _flick_abort173;
                              }
                            }
                            break;
                            {
                            _flick_abort173:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(16);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t72_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t72_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t72_switch_tag)
            {
            case /* Bool */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1114599276):
              {
                unsigned int _t73_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t73_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t73_switch_tag)
                  {
                  case /* ean */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1700883968):
                    {
                      {
                        ::POA_Atomic::test *_local_this;
                        unsigned int _t74_principal_len;
                        CORBA::Boolean _return;
                        CORBA::Boolean _local_a;
                        CORBA::Boolean _local_b;
                        CORBA::Boolean _local_c;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort183);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t74_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_check_span(_t74_principal_len + 2, _flick_abort183);
                        flick_iiopxx_decode_new_glob(_t74_principal_len);
                        flick_iiopxx_decode_new_chunk(_t74_principal_len);
                        flick_iiopxx_decode_end_chunk(_t74_principal_len);
                        flick_iiopxx_decode_end_glob(_t74_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(2);
                        flick_iiopxx_decode_new_chunk(2);
                        flick_cdr_decode_unsigned8(0, _local_a, CORBA::Boolean );
                        flick_cdr_decode_unsigned8(1, _local_b, CORBA::Boolean );
                        flick_iiopxx_decode_end_chunk(2);
                        flick_iiopxx_decode_end_glob(2);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->Boolean(_local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t75_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t75_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort183);
                          flick_iiopxx_encode_new_glob(7, _flick_abort183);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t75_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t75_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(3);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_cdr_encode_unsigned8(1, _local_b, CORBA::Boolean );
                                flick_cdr_encode_unsigned8(2, _local_c, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(3);
                                flick_iiopxx_encode_end_glob(7);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(7);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort189);
                                break;
                                {
                                _flick_abort189:
                                  goto _flick_abort183;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort190);
                                flick_iiopxx_encode_end_glob(7);
                                break;
                                {
                                _flick_abort190:
                                  goto _flick_abort183;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort183:
                          goto _flick_abort182;
                        }
                      }
                      break;
                      {
                      _flick_abort182:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
          flick_iiopxx_decode_end_glob(16);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return;
  {
  _flick_abort5:
    flick_corbaxx_server_error(cdr, iiopxx, _flick_reaper, _flick_abort4);
  _flick_abort4:
    return ;
  }
_flick_reaper:
  return ;
}

