#include "constant-client.h"
#include "constant-server.h"

const CORBA::Short M::A::l = 4;
static const CORBA::Long _oc_E[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    10, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x453a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:E:1.0 */,
    2, ACE_NTOHL(0x45000000) /* name = E */,
    1 /* member count */,
    6, ACE_NTOHL(0x63617573), ACE_NTOHL(0x65000000) /* name = cause */,
    CORBA::tk_short
};

static CORBA::TypeCode _tc_TAO_tc_E (CORBA::tk_except, sizeof(_oc_E), (char *) &_oc_E, 0, sizeof(E ));

CORBA::TypeCode_ptr _tc_E = &_tc_TAO_tc_E;

E::E()
  : CORBA_UserException(_tc_E)
{
}

E::E(const E &o)
  : CORBA_UserException(o._type())
{
  this->cause = o.cause;
}

E::~E()
{}

E &E::operator=(const E &o)
{
  this->CORBA_UserException::operator=(o);
  this->cause = o.cause;
  return *this;
}

void E::_raise()
{
  TAO_RAISE(*this);
}

E *E::_narrow(CORBA::Exception *e)
{
  if( !(ACE_OS::strcmp("IDL:E:1.0", e->_id())) )
    return ACE_dynamic_cast(E_ptr , e);
  else
    return 0;
}

CORBA::Exception *E::_alloc()
{
  return new E ;
}

E::E(CORBA::Short _cause_)
  : CORBA_UserException(CORBA::TypeCode::_duplicate(_tc_E))
{
  this->cause = _cause_;
}

void operator<<=(CORBA::Any &a, const E &o)
{
  E  *_any_val = new E (o);
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_E, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, E *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_E, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, E *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(_tc_E, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (E  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, E , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(_tc_E, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(_tc_E, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

static const CORBA::Long _oc_F[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    10, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x463a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:F:1.0 */,
    2, ACE_NTOHL(0x46000000) /* name = F */,
    1 /* member count */,
    5, ACE_NTOHL(0x74797065), ACE_NTOHL(0x00000000) /* name = type */,
    CORBA::tk_long
};

static CORBA::TypeCode _tc_TAO_tc_F (CORBA::tk_except, sizeof(_oc_F), (char *) &_oc_F, 0, sizeof(F ));

CORBA::TypeCode_ptr _tc_F = &_tc_TAO_tc_F;

F::F()
  : CORBA_UserException(_tc_F)
{
}

F::F(const F &o)
  : CORBA_UserException(o._type())
{
  this->type = o.type;
}

F::~F()
{}

F &F::operator=(const F &o)
{
  this->CORBA_UserException::operator=(o);
  this->type = o.type;
  return *this;
}

void F::_raise()
{
  TAO_RAISE(*this);
}

F *F::_narrow(CORBA::Exception *e)
{
  if( !(ACE_OS::strcmp("IDL:F:1.0", e->_id())) )
    return ACE_dynamic_cast(F_ptr , e);
  else
    return 0;
}

CORBA::Exception *F::_alloc()
{
  return new F ;
}

F::F(CORBA::Long _type_)
  : CORBA_UserException(CORBA::TypeCode::_duplicate(_tc_F))
{
  this->type = _type_;
}

void operator<<=(CORBA::Any &a, const F &o)
{
  F  *_any_val = new F (o);
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_F, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, F *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_F, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, F *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(_tc_F, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (F  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, F , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(_tc_F, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(_tc_F, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

static const CORBA::Long _oc_M_E[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    12, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x4d2f453a), ACE_NTOHL(0x312e3000) /* repository ID = IDL:M/E:1.0 */,
    2, ACE_NTOHL(0x45000000) /* name = E */,
    1 /* member count */,
    6, ACE_NTOHL(0x63617573), ACE_NTOHL(0x65000000) /* name = cause */,
    CORBA::tk_short
};

static CORBA::TypeCode _tc_TAO_tc_M_E (CORBA::tk_except, sizeof(_oc_M_E), (char *) &_oc_M_E, 0, sizeof(::M::E ));

TAO_NAMESPACE_TYPE(CORBA::TypeCode_ptr)
TAO_NAMESPACE_BEGIN (M)
TAO_NAMESPACE_DEFINE (CORBA::TypeCode_ptr, _tc_E, &_tc_TAO_tc_M_E)
TAO_NAMESPACE_END
M::E::E()
  : CORBA_UserException(M::_tc_E)
{
}

M::E::E(const ::M::E &o)
  : CORBA_UserException(o._type())
{
  this->cause = o.cause;
}

M::E::~E()
{}

::M::E &M::E::operator=(const ::M::E &o)
{
  this->CORBA_UserException::operator=(o);
  this->cause = o.cause;
  return *this;
}

void M::E::_raise()
{
  TAO_RAISE(*this);
}

::M::E *M::E::_narrow(CORBA::Exception *e)
{
  if( !(ACE_OS::strcmp("IDL:M/E:1.0", e->_id())) )
    return ACE_dynamic_cast(::M::E_ptr , e);
  else
    return 0;
}

CORBA::Exception *M::E::_alloc()
{
  return new ::M::E ;
}

M::E::E(CORBA::Short _cause_)
  : CORBA_UserException(CORBA::TypeCode::_duplicate(M::_tc_E))
{
  this->cause = _cause_;
}

void operator<<=(CORBA::Any &a, const ::M::E &o)
{
  ::M::E  *_any_val = new ::M::E (o);
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(M::_tc_E, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, ::M::E *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(M::_tc_E, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, ::M::E *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(M::_tc_E, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (::M::E  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, ::M::E , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(M::_tc_E, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(M::_tc_E, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

static const CORBA::Long _oc_M_A[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    12, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x4d2f413a), ACE_NTOHL(0x312e3000) /* repository ID = IDL:M/A:1.0 */,
    2, ACE_NTOHL(0x41000000) /* name = A */
};

static CORBA::TypeCode _tc_TAO_tc_M_A (CORBA::tk_objref, sizeof(_oc_M_A), (char *) &_oc_M_A, 0, sizeof(::M::A ));

TAO_NAMESPACE_TYPE(CORBA::TypeCode_ptr)
TAO_NAMESPACE_BEGIN (M)
TAO_NAMESPACE_DEFINE (CORBA::TypeCode_ptr, _tc_A, &_tc_TAO_tc_M_A)
TAO_NAMESPACE_END

#if defined (ACE_HAS_EXPLICIT_TEMPLATE_INSTANTIATION)
  template class TAO_Object_Field_T<M::A >;
#elif defined (ACE_HAS_TEMPLATE_INSTANTIATION_PRAGMA)
#  pragma instantiate TAO_Object_Field_T<M::A >
#endif /* ACE_HAS_EXPLICIT_TEMPLATE_INSTANTIATION */

::M::A_ptr M::A::_duplicate(::M::A_ptr obj)
{
  if( !CORBA::is_nil(obj) )
    obj->_incr_refcnt();
  return obj;
}

::M::A_ptr M::A::_narrow(CORBA::Object_ptr obj, CORBA::Environment &_env)
{
  if( CORBA::is_nil(obj) )
    return M::A::_nil();
  if( !obj->_is_a("IDL:M/A:1.0", _env) )
    return M::A::_nil();
  return M::A::_unchecked_narrow(obj, _env);
}

::M::A_ptr M::A::_unchecked_narrow(CORBA::Object_ptr _obj, CORBA::Environment &_env)
{
  if( CORBA::is_nil(_obj) )
    return M::A::_nil();
  TAO_Stub *stub = _obj->_stubobj();
  stub->_incr_refcnt();
  void* servant = 0;
  if (_obj->_is_collocated () && _obj->_servant() != 0)
    servant = _obj->_servant()->_downcast ("IDL:Coffee:1.0");
  if (servant == 0)
    return new ::M::A (stub);
  return new POA_M::_tao_collocated_A(
      ACE_reinterpret_cast(::POA_M::A_ptr , servant),
      stub
    );
}

::M::A_ptr M::A::_nil()
{
  return (::M::A_ptr )NULL;
}

CORBA::Boolean M::A::_is_a(const CORBA::Char *_type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)_type_id, "IDL:M/A:1.0")) ||
      (!ACE_OS::strcmp((char *)_type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return this->CORBA_Object::_is_a(_type_id, _env);
}

const char *M::A::_interface_repository_id() const
{
  return "IDL:M/A:1.0";
}

M::A::A()
{}

M::A::~A()
{}

void operator<<=(CORBA::Any &a, ::M::A_ptr o)
{
  CORBA::Object_ptr *_tao_obj_ptr = 0;
  ACE_TRY_NEW_ENV
  {
    ACE_NEW(_tao_obj_ptr, CORBA::Object_ptr);
    *_tao_obj_ptr = M::A::_duplicate(o);
    a.replace (M::_tc_A, _tao_obj_ptr, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _tao_obj_ptr;
  }
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, ::M::A_ptr &o)
{
  CORBA::Object_ptr *tmp = 0;
  ACE_TRY_NEW_ENV
  {
    o = M::A::_nil();
    CORBA::TypeCode_var type = a.type();
    if (!type->equal (M::_tc_A, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    TAO_InputCDR stream (a._tao_get_cdr());
    CORBA::Object_var _tao_obj_var;
    ACE_NEW_RETURN (tmp, CORBA::Object_ptr, 0);
    if (stream.decode(M::_tc_A, &_tao_obj_var.out(), 0, ACE_TRY_ENV)
       == CORBA::TypeCode::TRAVERSE_CONTINUE)
    {
      o = M::A::_narrow(_tao_obj_var.in(), ACE_TRY_ENV);
      ACE_TRY_CHECK;
      *tmp = (CORBA::Object_ptr) o;
      ((CORBA::Any *)&a)->replace(M::_tc_A, tmp, 1, ACE_TRY_ENV);
      ACE_TRY_CHECK;
      return 1;
    }
  }
  ACE_CATCHANY
  {
    delete tmp;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

M::A::A(TAO_Stub *objref, TAO_ServantBase *_tao_servant, CORBA::Boolean _tao_collocated)
  : CORBA_Object(objref, _tao_servant, _tao_collocated)
{}

M::A_var::A_var()
  : ptr_(M::A::_nil())
{}

M::A_var::A_var(::M::A_ptr p)
  : ptr_(p)
{}

M::A_var::A_var(const ::M::A_var &a)
  : ptr_(M::A::_duplicate(a.ptr()))
{}

M::A_var::~A_var()
{
  CORBA::release(this->ptr_);
}

::M::A_var &M::A_var::operator=(::M::A_ptr p)
{
  CORBA::release(this->ptr_);
  this->ptr_ = p;
  return *this;
}

::M::A_var &M::A_var::operator=(const ::M::A_var &p)
{
  if( this != &p )
  {
    CORBA::release(this->ptr_);
    this->ptr_ = M::A::_duplicate(p.ptr());
  }
  return *this;
}

::M::A_ptr M::A_var::operator->() const
{
  return this->ptr_;
}

M::A_var::operator const ::M::A_ptr &() const
{
  return this->ptr_;
}

M::A_var::operator ::M::A_ptr &()
{
  return this->ptr_;
}

::M::A_ptr M::A_var::in() const
{
  return this->ptr_;
}

::M::A_ptr &M::A_var::inout()
{
  return this->ptr_;
}

::M::A_ptr &M::A_var::out()
{
  CORBA::release(this->ptr_);
  this->ptr_ = M::A::_nil();
  return this->ptr_;
}

::M::A_ptr M::A_var::_retn()
{
  ::M::A_ptr  val = this->ptr_;
  this->ptr_ = M::A::_nil();
  return val;
}

::M::A_ptr M::A_var::ptr() const
{
  return this->ptr_;
}

M::A_out::A_out(::M::A_ptr &r)
  : ptr_(r)
{
  this->ptr_ = M::A::_nil();
}

M::A_out::A_out(::M::A_var &r)
  : ptr_(r.out())
{
  CORBA::release(this->ptr_);
  this->ptr_ = M::A::_nil();
}

M::A_out::A_out(const ::M::A_out &r)
  : ptr_(ACE_const_cast(::M::A_out &,r).ptr_)
{}

::M::A_out &M::A_out::operator=(const ::M::A_out &r)
{
  this->ptr_ = ACE_const_cast(::M::A_out &,r).ptr_;
  return *this;
}

::M::A_out &M::A_out::operator=(const ::M::A_var &r)
{
  this->ptr_ = M::A::_duplicate(r.ptr());
  return *this;
}

::M::A_out &M::A_out::operator=(::M::A_ptr r)
{
  this->ptr_ = r;
  return *this;
}

M::A_out::operator ::M::A_ptr &()
{
  return this->ptr_;
}

::M::A_ptr &M::A_out::ptr()
{
  return this->ptr_;
}

::M::A_ptr M::A_out::operator->()
{
  return this->ptr_;
}

static const CORBA::Long _oc_M_A_E[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x4d2f412f), ACE_NTOHL(0x453a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:M/A/E:1.0 */,
    2, ACE_NTOHL(0x45000000) /* name = E */,
    1 /* member count */,
    6, ACE_NTOHL(0x63617573), ACE_NTOHL(0x65000000) /* name = cause */,
    CORBA::tk_short
};

static CORBA::TypeCode _tc_TAO_tc_M_A_E (CORBA::tk_except, sizeof(_oc_M_A_E), (char *) &_oc_M_A_E, 0, sizeof(::M::A::E ));

CORBA::TypeCode_ptr M::A::_tc_E = &_tc_TAO_tc_M_A_E;

M::A::E::E()
  : CORBA_UserException(M::A::_tc_E)
{
}

M::A::E::E(const ::M::A::E &o)
  : CORBA_UserException(o._type())
{
  this->cause = o.cause;
}

M::A::E::~E()
{}

::M::A::E &M::A::E::operator=(const ::M::A::E &o)
{
  this->CORBA_UserException::operator=(o);
  this->cause = o.cause;
  return *this;
}

void M::A::E::_raise()
{
  TAO_RAISE(*this);
}

::M::A::E *M::A::E::_narrow(CORBA::Exception *e)
{
  if( !(ACE_OS::strcmp("IDL:M/A/E:1.0", e->_id())) )
    return ACE_dynamic_cast(::M::A::E_ptr , e);
  else
    return 0;
}

CORBA::Exception *M::A::E::_alloc()
{
  return new ::M::A::E ;
}

M::A::E::E(CORBA::Short _cause_)
  : CORBA_UserException(CORBA::TypeCode::_duplicate(M::A::_tc_E))
{
  this->cause = _cause_;
}

void operator<<=(CORBA::Any &a, const ::M::A::E &o)
{
  ::M::A::E  *_any_val = new ::M::A::E (o);
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(M::A::_tc_E, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, ::M::A::E *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(M::A::_tc_E, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, ::M::A::E *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(M::A::_tc_E, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (::M::A::E  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, ::M::A::E , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(M::A::_tc_E, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(M::A::_tc_E, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

int flick_marshal_stub_N(flick_marshal_stream_t _stream, const enum N *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(4, _flick_abort0);
  flick_iiopxx_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, *_data, const enum N );
  flick_iiopxx_encode_end_chunk(4);
  flick_iiopxx_encode_end_glob(4);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_N(flick_marshal_stream_t _stream, enum N *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(4);
  flick_iiopxx_check_span(4, _flick_abort1);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, *_data, enum N );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_end_glob(4);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_N_swap(flick_marshal_stream_t _stream, enum N *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(4);
  flick_iiopxx_check_span(4, _flick_abort2);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, *_data, enum N );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_end_glob(4);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_E(flick_marshal_stream_t _stream, const E *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(2, _flick_abort3);
  flick_iiopxx_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, _data->cause, CORBA::Short );
  flick_iiopxx_encode_end_chunk(2);
  flick_iiopxx_encode_end_glob(2);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_E(flick_marshal_stream_t _stream, E *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(2);
  flick_iiopxx_check_span(2, _flick_abort4);
  flick_iiopxx_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, _data->cause, CORBA::Short );
  flick_iiopxx_decode_end_chunk(2);
  flick_iiopxx_decode_end_glob(2);
  return 0;
  {
  _flick_abort4:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_E_swap(flick_marshal_stream_t _stream, E *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(2);
  flick_iiopxx_check_span(2, _flick_abort5);
  flick_iiopxx_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->cause, CORBA::Short );
  flick_iiopxx_decode_end_chunk(2);
  flick_iiopxx_decode_end_glob(2);
  return 0;
  {
  _flick_abort5:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_F(flick_marshal_stream_t _stream, const F *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(4, _flick_abort6);
  flick_iiopxx_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->type, CORBA::Long );
  flick_iiopxx_encode_end_chunk(4);
  flick_iiopxx_encode_end_glob(4);
  return 0;
  {
  _flick_abort6:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_F(flick_marshal_stream_t _stream, F *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(4);
  flick_iiopxx_check_span(4, _flick_abort7);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, _data->type, CORBA::Long );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_end_glob(4);
  return 0;
  {
  _flick_abort7:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_F_swap(flick_marshal_stream_t _stream, F *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(4);
  flick_iiopxx_check_span(4, _flick_abort8);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, _data->type, CORBA::Long );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_end_glob(4);
  return 0;
  {
  _flick_abort8:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_M_N(flick_marshal_stream_t _stream, const enum ::M::N *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(4, _flick_abort9);
  flick_iiopxx_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, *_data, const enum ::M::N );
  flick_iiopxx_encode_end_chunk(4);
  flick_iiopxx_encode_end_glob(4);
  return 0;
  {
  _flick_abort9:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_M_N(flick_marshal_stream_t _stream, enum ::M::N *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(4);
  flick_iiopxx_check_span(4, _flick_abort10);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, *_data, enum ::M::N );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_end_glob(4);
  return 0;
  {
  _flick_abort10:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_M_N_swap(flick_marshal_stream_t _stream, enum ::M::N *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(4);
  flick_iiopxx_check_span(4, _flick_abort11);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, *_data, enum ::M::N );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_end_glob(4);
  return 0;
  {
  _flick_abort11:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_M_E(flick_marshal_stream_t _stream, const ::M::E *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(2, _flick_abort12);
  flick_iiopxx_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, _data->cause, CORBA::Short );
  flick_iiopxx_encode_end_chunk(2);
  flick_iiopxx_encode_end_glob(2);
  return 0;
  {
  _flick_abort12:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_M_E(flick_marshal_stream_t _stream, ::M::E *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(2);
  flick_iiopxx_check_span(2, _flick_abort13);
  flick_iiopxx_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, _data->cause, CORBA::Short );
  flick_iiopxx_decode_end_chunk(2);
  flick_iiopxx_decode_end_glob(2);
  return 0;
  {
  _flick_abort13:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_M_E_swap(flick_marshal_stream_t _stream, ::M::E *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(2);
  flick_iiopxx_check_span(2, _flick_abort14);
  flick_iiopxx_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->cause, CORBA::Short );
  flick_iiopxx_decode_end_chunk(2);
  flick_iiopxx_decode_end_glob(2);
  return 0;
  {
  _flick_abort14:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_M_A(flick_marshal_stream_t _stream, const ::M::A_ptr *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdrxx_encode_IOR(iiopxx, *_data, 0, M::A , _flick_abort15);
  return 0;
  {
  _flick_abort15:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_M_A(flick_marshal_stream_t _stream, ::M::A_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdrxx_decode_IOR(iiopxx, *_data, 1, M::A , _flick_abort16);
  return 0;
  {
  _flick_abort16:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_M_A_swap(flick_marshal_stream_t _stream, ::M::A_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swapxx_decode_IOR(iiopxx, *_data, 1, M::A , _flick_abort17);
  return 0;
  {
  _flick_abort17:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_M_A_N(flick_marshal_stream_t _stream, const enum ::M::A::N *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(4, _flick_abort18);
  flick_iiopxx_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, *_data, const enum ::M::A::N );
  flick_iiopxx_encode_end_chunk(4);
  flick_iiopxx_encode_end_glob(4);
  return 0;
  {
  _flick_abort18:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_M_A_N(flick_marshal_stream_t _stream, enum ::M::A::N *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(4);
  flick_iiopxx_check_span(4, _flick_abort19);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, *_data, enum ::M::A::N );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_end_glob(4);
  return 0;
  {
  _flick_abort19:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_M_A_N_swap(flick_marshal_stream_t _stream, enum ::M::A::N *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(4);
  flick_iiopxx_check_span(4, _flick_abort20);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, *_data, enum ::M::A::N );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_end_glob(4);
  return 0;
  {
  _flick_abort20:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_M_A_E(flick_marshal_stream_t _stream, const ::M::A::E *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(2, _flick_abort21);
  flick_iiopxx_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, _data->cause, CORBA::Short );
  flick_iiopxx_encode_end_chunk(2);
  flick_iiopxx_encode_end_glob(2);
  return 0;
  {
  _flick_abort21:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_M_A_E(flick_marshal_stream_t _stream, ::M::A::E *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(2);
  flick_iiopxx_check_span(2, _flick_abort22);
  flick_iiopxx_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, _data->cause, CORBA::Short );
  flick_iiopxx_decode_end_chunk(2);
  flick_iiopxx_decode_end_glob(2);
  return 0;
  {
  _flick_abort22:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_M_A_E_swap(flick_marshal_stream_t _stream, ::M::A::E *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(2);
  flick_iiopxx_check_span(2, _flick_abort23);
  flick_iiopxx_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->cause, CORBA::Short );
  flick_iiopxx_decode_end_chunk(2);
  flick_iiopxx_decode_end_glob(2);
  return 0;
  {
  _flick_abort23:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

enum ::M::A::N M::A::foo(/* ::M::A *this, */ enum ::M::A::N x, ::M::A::N_out y, enum ::M::A::N &z, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  enum ::M::A::N _return;

  _return = zero;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort25);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort25);
    }
    {
      flick_iiopxx_encode_new_glob(20, _flick_abort25);
      flick_iiopxx_encode_new_chunk(20);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'f', flick_char8_t );
      flick_cdr_encode_char8(5, 'o', flick_char8_t );
      flick_cdr_encode_char8(6, 'o', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_unsigned32(12, x, enum ::M::A::N );
      flick_cdr_encode_unsigned32(16, z, enum ::M::A::N );
      flick_iiopxx_encode_end_chunk(20);
      flick_iiopxx_encode_end_glob(20);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort25);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort25);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t35_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(24);
        flick_iiopxx_check_span(4, _flick_abort25);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t35_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t35_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(12, _flick_abort53);
              flick_iiopxx_decode_new_chunk(12);
              flick_cdr_swap_decode_unsigned32(0, _return, enum ::M::A::N );
              flick_cdr_swap_decode_unsigned32(4, y, enum ::M::A::N );
              flick_cdr_swap_decode_unsigned32(8, z, enum ::M::A::N );
              flick_iiopxx_decode_end_chunk(12);
              flick_iiopxx_decode_end_glob(24);
              break;
              {
              _flick_abort53:
                goto _flick_abort25;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(24);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort54);
              break;
              {
              _flick_abort54:
                goto _flick_abort25;
              }
            }
          default:
            {
              flick_corbaxx_env _t53_temp_env;
              unsigned int _t62_switch_tag;

              flick_iiopxx_check_span(20, _flick_abort55);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_unsigned32(0, _t62_switch_tag, unsigned int );
              flick_iiopxx_decode_end_chunk(4);
              switch ((unsigned int )_t62_switch_tag)
                {
                case (unsigned int) 14:
                  {
                    unsigned int _t63_switch_tag;

                    flick_iiopxx_decode_new_chunk(4);
                    flick_cdr_decode_unsigned32(0, _t63_switch_tag, unsigned int );
                    flick_iiopxx_decode_end_chunk(4);
                    switch ((unsigned int )_t63_switch_tag)
                      {
                      case /* IDL: */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                        {
                          unsigned int _t64_switch_tag;

                          flick_iiopxx_decode_new_chunk(4);
                          flick_cdr_decode_unsigned32(0, _t64_switch_tag, unsigned int );
                          flick_iiopxx_decode_end_chunk(4);
                          switch ((unsigned int )_t64_switch_tag)
                            {
                            case /* M/A/ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1294942511):
                              {
                                unsigned int _t65_switch_tag;

                                flick_iiopxx_decode_new_chunk(4);
                                flick_cdr_decode_unsigned32(0, _t65_switch_tag, unsigned int );
                                flick_iiopxx_decode_end_chunk(4);
                                switch ((unsigned int )_t65_switch_tag)
                                  {
                                  case /* E:1. */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1161441582):
                                    {
                                      unsigned short int _t66_switch_tag;

                                      flick_iiopxx_decode_new_chunk(2);
                                      flick_cdr_decode_unsigned16(0, _t66_switch_tag, unsigned short int );
                                      flick_iiopxx_decode_end_chunk(2);
                                      switch ((unsigned short int )_t66_switch_tag)
                                        {
                                        case /* 0 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 12288):
                                          {
                                            _t53_temp_env._id = "IDL:M/A/E:1.0";
                                            {
                                              M::A::E *_t_alloc_ptr;

                                              _t_alloc_ptr = (M::A::E *)new M::A::E ;
                                              if (!_t_alloc_ptr)
                                                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort59);
                                              _t53_temp_env._user_except = _t_alloc_ptr;
                                            }
                                            flick_iiopxx_decode_new_chunk(2);
                                            flick_cdr_swap_decode_signed16(0, ((M::A::E *)(_t53_temp_env._user_except))->cause, CORBA::Short );
                                            flick_iiopxx_decode_end_chunk(2);
                                            break;
                                            {
                                            _flick_abort59:
                                              goto _flick_abort55;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort55);
                                            break;
                                          }
                                        }
                                      break;
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort55);
                                      break;
                                    }
                                  }
                                break;
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort55);
                                break;
                              }
                            }
                          break;
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort55);
                          break;
                        }
                      }
                    break;
                  }
                case (unsigned int) 10:
                  {
                    unsigned int _t67_switch_tag;

                    flick_iiopxx_decode_new_chunk(4);
                    flick_cdr_decode_unsigned32(0, _t67_switch_tag, unsigned int );
                    flick_iiopxx_decode_end_chunk(4);
                    switch ((unsigned int )_t67_switch_tag)
                      {
                      case /* IDL: */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                        {
                          unsigned int _t68_switch_tag;

                          flick_iiopxx_decode_new_chunk(4);
                          flick_cdr_decode_unsigned32(0, _t68_switch_tag, unsigned int );
                          flick_iiopxx_decode_end_chunk(4);
                          switch ((unsigned int )_t68_switch_tag)
                            {
                            case /* F:1. */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1178218798):
                              {
                                unsigned short int _t69_switch_tag;

                                flick_iiopxx_decode_new_chunk(2);
                                flick_cdr_decode_unsigned16(0, _t69_switch_tag, unsigned short int );
                                flick_iiopxx_decode_end_chunk(2);
                                switch ((unsigned short int )_t69_switch_tag)
                                  {
                                  case /* 0 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 12288):
                                    {
                                      _t53_temp_env._id = "IDL:F:1.0";
                                      {
                                        F *_t_alloc_ptr;

                                        _t_alloc_ptr = (F *)new F ;
                                        if (!_t_alloc_ptr)
                                          flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort60);
                                        _t53_temp_env._user_except = _t_alloc_ptr;
                                      }
                                      flick_iiopxx_decode_new_chunk(6);
                                      flick_cdr_swap_decode_signed32(2, ((F *)(_t53_temp_env._user_except))->type, CORBA::Long );
                                      flick_iiopxx_decode_end_chunk(6);
                                      break;
                                      {
                                      _flick_abort60:
                                        goto _flick_abort55;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort55);
                                      break;
                                    }
                                  }
                                break;
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort55);
                                break;
                              }
                            }
                          break;
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort55);
                          break;
                        }
                      }
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort55);
                    break;
                  }
                }
              flick_corbaxx_exception_to_env(CORBA::Environment &, _ev, flick_corbaxx_env , _t53_temp_env);
              flick_iiopxx_decode_end_glob(24);
              break;
              {
              _flick_abort55:
                goto _flick_abort25;
              }
            }
          }
      }
    else
      {
        int _t0_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(24);
        flick_iiopxx_check_span(4, _flick_abort25);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t0_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t0_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(12, _flick_abort36);
              flick_iiopxx_decode_new_chunk(12);
              flick_cdr_decode_unsigned32(0, _return, enum ::M::A::N );
              flick_cdr_decode_unsigned32(4, y, enum ::M::A::N );
              flick_cdr_decode_unsigned32(8, z, enum ::M::A::N );
              flick_iiopxx_decode_end_chunk(12);
              flick_iiopxx_decode_end_glob(24);
              break;
              {
              _flick_abort36:
                goto _flick_abort25;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(24);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort37);
              break;
              {
              _flick_abort37:
                goto _flick_abort25;
              }
            }
          default:
            {
              flick_corbaxx_env _t18_temp_env;
              unsigned int _t27_switch_tag;

              flick_iiopxx_check_span(20, _flick_abort38);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_unsigned32(0, _t27_switch_tag, unsigned int );
              flick_iiopxx_decode_end_chunk(4);
              switch ((unsigned int )_t27_switch_tag)
                {
                case (unsigned int) 14:
                  {
                    unsigned int _t28_switch_tag;

                    flick_iiopxx_decode_new_chunk(4);
                    flick_cdr_decode_unsigned32(0, _t28_switch_tag, unsigned int );
                    flick_iiopxx_decode_end_chunk(4);
                    switch ((unsigned int )_t28_switch_tag)
                      {
                      case /* IDL: */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                        {
                          unsigned int _t29_switch_tag;

                          flick_iiopxx_decode_new_chunk(4);
                          flick_cdr_decode_unsigned32(0, _t29_switch_tag, unsigned int );
                          flick_iiopxx_decode_end_chunk(4);
                          switch ((unsigned int )_t29_switch_tag)
                            {
                            case /* M/A/ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1294942511):
                              {
                                unsigned int _t30_switch_tag;

                                flick_iiopxx_decode_new_chunk(4);
                                flick_cdr_decode_unsigned32(0, _t30_switch_tag, unsigned int );
                                flick_iiopxx_decode_end_chunk(4);
                                switch ((unsigned int )_t30_switch_tag)
                                  {
                                  case /* E:1. */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1161441582):
                                    {
                                      unsigned short int _t31_switch_tag;

                                      flick_iiopxx_decode_new_chunk(2);
                                      flick_cdr_decode_unsigned16(0, _t31_switch_tag, unsigned short int );
                                      flick_iiopxx_decode_end_chunk(2);
                                      switch ((unsigned short int )_t31_switch_tag)
                                        {
                                        case /* 0 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 12288):
                                          {
                                            _t18_temp_env._id = "IDL:M/A/E:1.0";
                                            {
                                              M::A::E *_t_alloc_ptr;

                                              _t_alloc_ptr = (M::A::E *)new M::A::E ;
                                              if (!_t_alloc_ptr)
                                                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort42);
                                              _t18_temp_env._user_except = _t_alloc_ptr;
                                            }
                                            flick_iiopxx_decode_new_chunk(2);
                                            flick_cdr_decode_signed16(0, ((M::A::E *)(_t18_temp_env._user_except))->cause, CORBA::Short );
                                            flick_iiopxx_decode_end_chunk(2);
                                            break;
                                            {
                                            _flick_abort42:
                                              goto _flick_abort38;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort38);
                                            break;
                                          }
                                        }
                                      break;
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort38);
                                      break;
                                    }
                                  }
                                break;
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort38);
                                break;
                              }
                            }
                          break;
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort38);
                          break;
                        }
                      }
                    break;
                  }
                case (unsigned int) 10:
                  {
                    unsigned int _t32_switch_tag;

                    flick_iiopxx_decode_new_chunk(4);
                    flick_cdr_decode_unsigned32(0, _t32_switch_tag, unsigned int );
                    flick_iiopxx_decode_end_chunk(4);
                    switch ((unsigned int )_t32_switch_tag)
                      {
                      case /* IDL: */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                        {
                          unsigned int _t33_switch_tag;

                          flick_iiopxx_decode_new_chunk(4);
                          flick_cdr_decode_unsigned32(0, _t33_switch_tag, unsigned int );
                          flick_iiopxx_decode_end_chunk(4);
                          switch ((unsigned int )_t33_switch_tag)
                            {
                            case /* F:1. */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1178218798):
                              {
                                unsigned short int _t34_switch_tag;

                                flick_iiopxx_decode_new_chunk(2);
                                flick_cdr_decode_unsigned16(0, _t34_switch_tag, unsigned short int );
                                flick_iiopxx_decode_end_chunk(2);
                                switch ((unsigned short int )_t34_switch_tag)
                                  {
                                  case /* 0 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 12288):
                                    {
                                      _t18_temp_env._id = "IDL:F:1.0";
                                      {
                                        F *_t_alloc_ptr;

                                        _t_alloc_ptr = (F *)new F ;
                                        if (!_t_alloc_ptr)
                                          flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort43);
                                        _t18_temp_env._user_except = _t_alloc_ptr;
                                      }
                                      flick_iiopxx_decode_new_chunk(6);
                                      flick_cdr_decode_signed32(2, ((F *)(_t18_temp_env._user_except))->type, CORBA::Long );
                                      flick_iiopxx_decode_end_chunk(6);
                                      break;
                                      {
                                      _flick_abort43:
                                        goto _flick_abort38;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort38);
                                      break;
                                    }
                                  }
                                break;
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort38);
                                break;
                              }
                            }
                          break;
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort38);
                          break;
                        }
                      }
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort38);
                    break;
                  }
                }
              flick_corbaxx_exception_to_env(CORBA::Environment &, _ev, flick_corbaxx_env , _t18_temp_env);
              flick_iiopxx_decode_end_glob(24);
              break;
              {
              _flick_abort38:
                goto _flick_abort25;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort25:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort24);
    _flick_abort24:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

