#include "enum_-server.h"

POA_Test::POA_Test()
{}

POA_Test::POA_Test(const POA_Test &rhs)
  : TAO_ServantBase(rhs)
{}

POA_Test::~POA_Test()
{}

Test *POA_Test::_this(CORBA::Environment &_env)
{
  TAO_Stub *stub = this->_create_stub(_env);
  TAO_CHECK_ENV_RETURN(_env, 0);
  return new _tao_collocated_Test(this, stub);
}

CORBA::Boolean POA_Test::_is_a(const CORBA::Char *type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)type_id, "IDL:Test:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return 0;
}

void *POA_Test::_downcast(const char *logical_type_id)
{
  if(ACE_OS::strcmp(logical_type_id, "IDL:Test:1.0") == 0)
    return ACE_static_cast(POA_Test_ptr , this);
   
  if(ACE_OS::strcmp(logical_type_id, "IDL:omg.org/CORBA/Object:1.0") == 0)
    return ACE_static_cast(PortableServer::Servant, this);
  return 0;
}

const char *POA_Test::_interface_repository_id() const
{
  return "IDL:Test:1.0";
}

template <class T>
  POA_Test_tie<T>::POA_Test_tie(T &t)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(0)
{}

template <class T>
  POA_Test_tie<T>::POA_Test_tie(T &t, PortableServer::POA_ptr poa)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(0)
{}

template <class T>
  POA_Test_tie<T>::POA_Test_tie(T *t, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(release)
{}

template <class T>
  POA_Test_tie<T>::POA_Test_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(release)
{}

template <class T>
  POA_Test_tie<T>::~POA_Test_tie()
{
  if( this->rel_ ) delete this->ptr_;
}

template <class T>
  T *POA_Test_tie<T>::_tied_object()
{
  return this->ptr_;
}

template <class T>
  void POA_Test_tie<T>::_tied_object(T &obj)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = &obj;
  this->rel_ = 0;
}

template <class T>
  void POA_Test_tie<T>::_tied_object(T &obj, CORBA::Boolean release)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = obj;
  this->rel_ = release;
}

template <class T>
  CORBA::Boolean POA_Test_tie<T>::_is_owner()
{
  return this->rel_;
}

template <class T>
  void POA_Test_tie<T>::_is_owner(CORBA::Boolean b)
{
  this->rel_ = b;
}

template <class T>
  PortableServer::POA_ptr POA_Test_tie<T>::_default_POA()
{
  if( !(CORBA::is_nil(this->poa_.in())) )
    return PortableServer::POA::_duplicate(this->poa_.in());
  else
  {
    TAO_POA *poa = TAO_ORB_Core_instance()->root_poa();
    PortableServer::POA_var result = poa->_this(env);
    if( env.exception() != 0 )
      return PortableServer::POA::_nil();
    else
      return result._retn();
  }
}

template <class T>
  POA_Test_tie<T>::POA_Test_tie(const POA_Test_tie &c)
{}

template <class T>
  void POA_Test_tie<T>::operator=(const POA_Test_tie &c)
{}

template <class T>
  enum types POA_Test_tie<T>::Enum(/* POA_Test *this, */ enum types a, enum types &b, types_out c, CORBA::Environment &_ev)
{
  return this->ptr_->Enum (a, b, c, _ev);
}

_tao_collocated_Test::_tao_collocated_Test(POA_Test_ptr servant, TAO_Stub *stub)
  : Test(),
    CORBA_Object(stub, servant, 1),
    servant_ (servant)
{
}

POA_Test_ptr _tao_collocated_Test::_get_servant() const
{
  return this->servant_;
}

enum types _tao_collocated_Test::Enum(enum types a, enum types &b, types_out c, CORBA::Environment &_ev)
{
  return this->servant_->Enum (a, b, c, _ev);
}

CORBA::Boolean _tao_collocated_Test::_is_a(const char *type_id, CORBA::Environment &_ev)
{
  return this->servant_->_is_a (type_id, _ev);
}

int flick_marshal_stub_Test(flick_marshal_stream_t _stream, Test_ptr *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdrxx_encode_IOR(iiopxx, *_data, 0, Test , _flick_abort0);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_Test(flick_marshal_stream_t _stream, Test_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdrxx_decode_IOR(iiopxx, *_data, 1, Test , _flick_abort1);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_Test_swap(flick_marshal_stream_t _stream, Test_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swapxx_decode_IOR(iiopxx, *_data, 1, Test , _flick_abort2);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

void POA_Test::_dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env){
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_InputCDR &_in_cdr = _tao_req.incoming();
  TAO_OutputCDR &_out_cdr = _tao_req.outgoing();
  flick_iiopxx_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (_in_cdr.do_byte_swap()) {
  {
    unsigned int _t30_switch_tag;

    flick_iiopxx_decode_new_glob(16);
    flick_iiopxx_check_span(16, _flick_abort5);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t30_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t30_switch_tag)
      {
      case (unsigned int) 5:
        {
          unsigned int _t31_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t31_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t31_switch_tag)
            {
            case /* Enum */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1164866925):
              {
                char _t32_switch_tag;

                flick_iiopxx_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t32_switch_tag, char );
                flick_iiopxx_decode_end_chunk(1);
                switch ((char )_t32_switch_tag)
                  {
                  case 0:
                    {
                      {
                        POA_Test *_local_this;
                        unsigned int _t33_principal_len;
                        enum types _return;
                        enum types _local_a;
                        enum types _local_b;
                        enum types _local_c;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort69);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(7);
                        flick_cdr_swap_decode_unsigned32(3, _t33_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(7);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_check_span(_t33_principal_len, _flick_abort69);
                        flick_iiopxx_decode_new_glob(_t33_principal_len);
                        flick_iiopxx_decode_new_chunk(_t33_principal_len);
                        flick_iiopxx_decode_end_chunk(_t33_principal_len);
                        flick_iiopxx_decode_end_glob(_t33_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiopxx_decode_new_glob(11);
                        flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                        flick_iiopxx_check_span(8, _flick_abort69);
                        flick_cdr_swap_decode_unsigned32(0, _local_a, enum types );
                        flick_cdr_swap_decode_unsigned32(4, _local_b, enum types );
                        flick_iiopxx_decode_end_chunk(8);
                        flick_iiopxx_decode_end_glob(11);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->Enum(_local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t34_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t34_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort69);
                          flick_iiopxx_encode_new_glob(16, _flick_abort69);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t34_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t34_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(12);
                                flick_cdr_encode_unsigned32(0, _return, enum types );
                                flick_cdr_encode_unsigned32(4, _local_b, enum types );
                                flick_cdr_encode_unsigned32(8, _local_c, enum types );
                                flick_iiopxx_encode_end_chunk(12);
                                flick_iiopxx_encode_end_glob(16);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(16);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort75);
                                break;
                                {
                                _flick_abort75:
                                  goto _flick_abort69;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort76);
                                flick_iiopxx_encode_end_glob(16);
                                break;
                                {
                                _flick_abort76:
                                  goto _flick_abort69;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort69:
                          goto _flick_abort68;
                        }
                      }
                      break;
                      {
                      _flick_abort68:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t35_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t35_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t35_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t36_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t36_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t36_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_Test *_local_this;
                        unsigned int _t37_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t38_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort78);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t37_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_check_span(_t37_principal_len, _flick_abort78);
                        flick_iiopxx_decode_new_glob(_t37_principal_len);
                        flick_iiopxx_decode_new_chunk(_t37_principal_len);
                        flick_iiopxx_decode_end_chunk(_t37_principal_len);
                        flick_iiopxx_decode_end_glob(_t37_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort78);
                        flick_cdr_swap_decode_unsigned32(0, _t38_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t38_temp_string_len);
                        flick_iiopxx_check_span(1 * _t38_temp_string_len, _flick_abort78);
                        flick_iiopxx_decode_new_chunk(1 * _t38_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_type_id, CORBA::Char *);
                        flick_iiopxx_decode_end_chunk(1 * _t38_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t38_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t39_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t39_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort78);
                          flick_iiopxx_encode_new_glob(5, _flick_abort78);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t39_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t39_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort86);
                                break;
                                {
                                _flick_abort86:
                                  goto _flick_abort78;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort87);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort87:
                                  goto _flick_abort78;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort78:
                          goto _flick_abort77;
                        }
                      }
                      break;
                      {
                      _flick_abort77:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
          flick_iiopxx_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t10_switch_tag;

    flick_iiopxx_decode_new_glob(16);
    flick_iiopxx_check_span(16, _flick_abort5);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t10_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t10_switch_tag)
      {
      case (unsigned int) 5:
        {
          unsigned int _t11_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t11_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t11_switch_tag)
            {
            case /* Enum */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1164866925):
              {
                char _t12_switch_tag;

                flick_iiopxx_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t12_switch_tag, char );
                flick_iiopxx_decode_end_chunk(1);
                switch ((char )_t12_switch_tag)
                  {
                  case 0:
                    {
                      {
                        POA_Test *_local_this;
                        unsigned int _t13_principal_len;
                        enum types _return;
                        enum types _local_a;
                        enum types _local_b;
                        enum types _local_c;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort28);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(7);
                        flick_cdr_decode_unsigned32(3, _t13_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(7);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_check_span(_t13_principal_len, _flick_abort28);
                        flick_iiopxx_decode_new_glob(_t13_principal_len);
                        flick_iiopxx_decode_new_chunk(_t13_principal_len);
                        flick_iiopxx_decode_end_chunk(_t13_principal_len);
                        flick_iiopxx_decode_end_glob(_t13_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiopxx_decode_new_glob(11);
                        flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                        flick_iiopxx_check_span(8, _flick_abort28);
                        flick_cdr_decode_unsigned32(0, _local_a, enum types );
                        flick_cdr_decode_unsigned32(4, _local_b, enum types );
                        flick_iiopxx_decode_end_chunk(8);
                        flick_iiopxx_decode_end_glob(11);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->Enum(_local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t14_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t14_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort28);
                          flick_iiopxx_encode_new_glob(16, _flick_abort28);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t14_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t14_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(12);
                                flick_cdr_encode_unsigned32(0, _return, enum types );
                                flick_cdr_encode_unsigned32(4, _local_b, enum types );
                                flick_cdr_encode_unsigned32(8, _local_c, enum types );
                                flick_iiopxx_encode_end_chunk(12);
                                flick_iiopxx_encode_end_glob(16);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(16);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort34);
                                break;
                                {
                                _flick_abort34:
                                  goto _flick_abort28;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort35);
                                flick_iiopxx_encode_end_glob(16);
                                break;
                                {
                                _flick_abort35:
                                  goto _flick_abort28;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort28:
                          goto _flick_abort27;
                        }
                      }
                      break;
                      {
                      _flick_abort27:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t15_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t15_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t15_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t16_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t16_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t16_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_Test *_local_this;
                        unsigned int _t17_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t18_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort37);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t17_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_check_span(_t17_principal_len, _flick_abort37);
                        flick_iiopxx_decode_new_glob(_t17_principal_len);
                        flick_iiopxx_decode_new_chunk(_t17_principal_len);
                        flick_iiopxx_decode_end_chunk(_t17_principal_len);
                        flick_iiopxx_decode_end_glob(_t17_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort37);
                        flick_cdr_decode_unsigned32(0, _t18_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t18_temp_string_len);
                        flick_iiopxx_check_span(1 * _t18_temp_string_len, _flick_abort37);
                        flick_iiopxx_decode_new_chunk(1 * _t18_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_type_id, CORBA::Char *);
                        flick_iiopxx_decode_end_chunk(1 * _t18_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t18_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t19_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t19_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort37);
                          flick_iiopxx_encode_new_glob(5, _flick_abort37);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t19_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t19_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort45);
                                break;
                                {
                                _flick_abort45:
                                  goto _flick_abort37;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort46);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort46:
                                  goto _flick_abort37;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort37:
                          goto _flick_abort36;
                        }
                      }
                      break;
                      {
                      _flick_abort36:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
          flick_iiopxx_decode_end_glob(16);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return;
  {
  _flick_abort5:
    flick_corbaxx_server_error(cdr, iiopxx, _flick_reaper, _flick_abort4);
  _flick_abort4:
    return ;
  }
_flick_reaper:
  return ;
}

