#ifndef _enum__server_h_
#define _enum__server_h_

#include <flick/link/iiopxx.h>
#include <flick/encode/cdr.h>
#include "enum_-client.h"
#include <flick/pres/corbaxx.h>

class POA_Test ;


typedef POA_Test *POA_Test_ptr;

class POA_Test : public virtual PortableServer::ServantBase {

protected:
  POA_Test();

public:
  POA_Test(const POA_Test &rhs);
  virtual ~POA_Test();
  Test *_this(CORBA::Environment &_env);
  virtual CORBA::Boolean _is_a(const CORBA::Char *type_id, CORBA::Environment &_env);
  virtual void *_downcast(const char *logical_type_id);
  virtual const char *_interface_repository_id() const;
  virtual void _dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env = CORBA::Environment::default_environment());
  virtual enum types Enum(/* POA_Test *this, */ enum types a, enum types &b, types_out c, CORBA::Environment &_ev) = 0;
} ;


template <class T>
  class POA_Test_tie : public POA_Test {

  public:
    POA_Test_tie(T &t);
    POA_Test_tie(T &t, PortableServer::POA_ptr poa);
    POA_Test_tie(T *t, CORBA::Boolean release = 1);
    POA_Test_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release = 1);
    ~POA_Test_tie();
    T *_tied_object();
    void _tied_object(T &obj);
    void _tied_object(T &obj, CORBA::Boolean release = 1);
    CORBA::Boolean _is_owner();
    void _is_owner(CORBA::Boolean b);
    PortableServer::POA_ptr _default_POA();

  private:
    POA_Test_tie(const POA_Test_tie &c);
    void operator=(const POA_Test_tie &c);

  public:
    enum types Enum(/* POA_Test *this, */ enum types a, enum types &b, types_out c, CORBA::Environment &_ev);

  private:
    T *ptr_;
    PortableServer::POA_var poa_;
    CORBA::Boolean rel_;
  } ;


class _tao_collocated_Test : public virtual Test {

public:
  _tao_collocated_Test(POA_Test_ptr servant, TAO_Stub *stub);
  POA_Test_ptr _get_servant() const;
  virtual enum types Enum(enum types a, enum types &b, types_out c, CORBA::Environment &_ev);
  virtual CORBA::Boolean _is_a(const char *type_id, CORBA::Environment &_ev);

private:
  POA_Test_ptr servant_;
} ;


#endif /* _enum__server_h_ */
