#include "ex-server.h"

POA_A::POA_A()
{}

POA_A::POA_A(const POA_A &rhs)
  : TAO_ServantBase(rhs)
{}

POA_A::~POA_A()
{}

A *POA_A::_this(CORBA::Environment &_env)
{
  TAO_Stub *stub = this->_create_stub(_env);
  TAO_CHECK_ENV_RETURN(_env, 0);
  return new _tao_collocated_A(this, stub);
}

CORBA::Boolean POA_A::_is_a(const CORBA::Char *type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)type_id, "IDL:A:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return 0;
}

void *POA_A::_downcast(const char *logical_type_id)
{
  if(ACE_OS::strcmp(logical_type_id, "IDL:A:1.0") == 0)
    return ACE_static_cast(POA_A_ptr , this);
   
  if(ACE_OS::strcmp(logical_type_id, "IDL:omg.org/CORBA/Object:1.0") == 0)
    return ACE_static_cast(PortableServer::Servant, this);
  return 0;
}

const char *POA_A::_interface_repository_id() const
{
  return "IDL:A:1.0";
}

template <class T>
  POA_A_tie<T>::POA_A_tie(T &t)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(0)
{}

template <class T>
  POA_A_tie<T>::POA_A_tie(T &t, PortableServer::POA_ptr poa)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(0)
{}

template <class T>
  POA_A_tie<T>::POA_A_tie(T *t, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(release)
{}

template <class T>
  POA_A_tie<T>::POA_A_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(release)
{}

template <class T>
  POA_A_tie<T>::~POA_A_tie()
{
  if( this->rel_ ) delete this->ptr_;
}

template <class T>
  T *POA_A_tie<T>::_tied_object()
{
  return this->ptr_;
}

template <class T>
  void POA_A_tie<T>::_tied_object(T &obj)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = &obj;
  this->rel_ = 0;
}

template <class T>
  void POA_A_tie<T>::_tied_object(T &obj, CORBA::Boolean release)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = obj;
  this->rel_ = release;
}

template <class T>
  CORBA::Boolean POA_A_tie<T>::_is_owner()
{
  return this->rel_;
}

template <class T>
  void POA_A_tie<T>::_is_owner(CORBA::Boolean b)
{
  this->rel_ = b;
}

template <class T>
  PortableServer::POA_ptr POA_A_tie<T>::_default_POA()
{
  if( !(CORBA::is_nil(this->poa_.in())) )
    return PortableServer::POA::_duplicate(this->poa_.in());
  else
  {
    TAO_POA *poa = TAO_ORB_Core_instance()->root_poa();
    PortableServer::POA_var result = poa->_this(env);
    if( env.exception() != 0 )
      return PortableServer::POA::_nil();
    else
      return result._retn();
  }
}

template <class T>
  POA_A_tie<T>::POA_A_tie(const POA_A_tie &c)
{}

template <class T>
  void POA_A_tie<T>::operator=(const POA_A_tie &c)
{}

template <class T>
  CORBA::Short POA_A_tie<T>::op(/* POA_A *this, */ CORBA::Short b, CORBA::Environment &_ev)
{
  return this->ptr_->op (b, _ev);
}

_tao_collocated_A::_tao_collocated_A(POA_A_ptr servant, TAO_Stub *stub)
  : A(),
    CORBA_Object(stub, servant, 1),
    servant_ (servant)
{
}

POA_A_ptr _tao_collocated_A::_get_servant() const
{
  return this->servant_;
}

CORBA::Short _tao_collocated_A::op(CORBA::Short b, CORBA::Environment &_ev)
{
  return this->servant_->op (b, _ev);
}

CORBA::Boolean _tao_collocated_A::_is_a(const char *type_id, CORBA::Environment &_ev)
{
  return this->servant_->_is_a (type_id, _ev);
}

int flick_marshal_stub_A(flick_marshal_stream_t _stream, A_ptr *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdrxx_encode_IOR(iiopxx, *_data, 0, A , _flick_abort0);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_A(flick_marshal_stream_t _stream, A_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdrxx_decode_IOR(iiopxx, *_data, 1, A , _flick_abort1);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_A_swap(flick_marshal_stream_t _stream, A_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swapxx_decode_IOR(iiopxx, *_data, 1, A , _flick_abort2);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

void POA_A::_dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env){
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_InputCDR &_in_cdr = _tao_req.incoming();
  TAO_OutputCDR &_out_cdr = _tao_req.outgoing();
  flick_iiopxx_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (_in_cdr.do_byte_swap()) {
  {
    unsigned int _t48_switch_tag;

    flick_iiopxx_decode_new_glob(16);
    flick_iiopxx_check_span(12, _flick_abort5);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t48_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t48_switch_tag)
      {
      case (unsigned int) 3:
        {
          unsigned short int _t49_switch_tag;

          flick_iiopxx_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t49_switch_tag, unsigned short int );
          flick_iiopxx_decode_end_chunk(2);
          switch ((unsigned short int )_t49_switch_tag)
            {
            case /* op */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28528):
              {
                char _t50_switch_tag;

                flick_iiopxx_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t50_switch_tag, char );
                flick_iiopxx_decode_end_chunk(1);
                switch ((char )_t50_switch_tag)
                  {
                  case 0:
                    {
                      {
                        POA_A *_local_this;
                        unsigned int _t51_principal_len;
                        CORBA::Short _return;
                        CORBA::Short _local_b;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort111);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(5);
                        flick_cdr_swap_decode_unsigned32(1, _t51_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(5);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_check_span(_t51_principal_len, _flick_abort111);
                        flick_iiopxx_decode_new_glob(_t51_principal_len);
                        flick_iiopxx_decode_new_chunk(_t51_principal_len);
                        flick_iiopxx_decode_end_chunk(_t51_principal_len);
                        flick_iiopxx_decode_end_glob(_t51_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(3);
                        flick_iiopxx_decode_new_chunk_align(2, 1, 0, 0);
                        flick_iiopxx_check_span(2, _flick_abort111);
                        flick_cdr_swap_decode_signed16(0, _local_b, CORBA::Short );
                        flick_iiopxx_decode_end_chunk(2);
                        flick_iiopxx_decode_end_glob(3);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->op(_local_b, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t52_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t52_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort111);
                          flick_iiopxx_encode_new_glob(49, _flick_abort111);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t52_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t52_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(2);
                                flick_cdr_encode_signed16(0, _return, CORBA::Short );
                                flick_iiopxx_encode_end_chunk(2);
                                flick_iiopxx_encode_end_glob(49);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(49);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort124);
                                break;
                                {
                                _flick_abort124:
                                  goto _flick_abort111;
                                }
                              }
                            default:
                              {
                                flick_corbaxx_env _t56_temp_env;

                                flick_corbaxx_env_to_exception(CORBA::Environment &, _ev, flick_corbaxx_env , _t56_temp_env);

                                switch ((unsigned int )(1+strlen(_t56_temp_env._id)))
                                  {
                                  case (unsigned int) 12:
                                    {
                                      switch (*(unsigned int *)(_t56_temp_env._id + 0))
                                        {
                                        case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                                          {
                                            switch (*(unsigned int *)(_t56_temp_env._id + 4))
                                              {
                                              case /* A/B: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1093616186):
                                                {
                                                  switch (*(unsigned int *)(_t56_temp_env._id + 8))
                                                    {
                                                    case /* 1.0 */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 825110528):
                                                      {
                                                        flick_unsigned32_t _t58_temp_string_len;

                                                        flick_cdr_stringlen(CORBA::Char *, ((A::B *)(_t56_temp_env._user_except))->d, flick_unsigned32_t , _t58_temp_string_len);

                                                        flick_iiopxx_encode_new_chunk(24 + 1 * _t58_temp_string_len);
                                                        flick_cdr_encode_unsigned32(0, 12, flick_unsigned32_t );
                                                        flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                        flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                        flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                        flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                        flick_cdr_encode_char8(8, 'A', flick_char8_t );
                                                        flick_cdr_encode_char8(9, '/', flick_char8_t );
                                                        flick_cdr_encode_char8(10, 'B', flick_char8_t );
                                                        flick_cdr_encode_char8(11, ':', flick_char8_t );
                                                        flick_cdr_encode_char8(12, '1', flick_char8_t );
                                                        flick_cdr_encode_char8(13, '.', flick_char8_t );
                                                        flick_cdr_encode_char8(14, '0', flick_char8_t );
                                                        flick_cdr_encode_char8(15, 0, flick_char8_t );
                                                        flick_cdr_encode_signed16(16, ((A::B *)(_t56_temp_env._user_except))->a, CORBA::Short );
                                                        flick_cdr_encode_unsigned32(20, _t58_temp_string_len, flick_unsigned32_t );
                                                        if (_t58_temp_string_len > 21)
                                                          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort130);
                                                        flick_cdr_encode_bcopy(24, ((A::B *)(_t56_temp_env._user_except))->d, 1 * _t58_temp_string_len);
                                                        flick_iiopxx_encode_end_chunk(24 + 1 * _t58_temp_string_len);
                                                        break;
                                                        {
                                                        _flick_abort130:
                                                          goto _flick_abort125;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort125);
                                                        break;
                                                      }
                                                    }
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort125);
                                                  break;
                                                }
                                              }
                                            break;
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort125);
                                            break;
                                          }
                                        }
                                      break;
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort125);
                                      break;
                                    }
                                  }
                                flick_iiopxx_encode_end_glob(49);
                                break;
                                {
                                _flick_abort125:
                                  goto _flick_abort111;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort111:
                          goto _flick_abort110;
                        }
                      }
                      break;
                      {
                      _flick_abort110:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t59_switch_tag;

          flick_iiopxx_check_span(12, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t59_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t59_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t60_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t60_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t60_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_A *_local_this;
                        unsigned int _t61_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t62_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort134);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t61_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_check_span(_t61_principal_len, _flick_abort134);
                        flick_iiopxx_decode_new_glob(_t61_principal_len);
                        flick_iiopxx_decode_new_chunk(_t61_principal_len);
                        flick_iiopxx_decode_end_chunk(_t61_principal_len);
                        flick_iiopxx_decode_end_glob(_t61_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort134);
                        flick_cdr_swap_decode_unsigned32(0, _t62_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t62_temp_string_len);
                        flick_iiopxx_check_span(1 * _t62_temp_string_len, _flick_abort134);
                        flick_iiopxx_decode_new_chunk(1 * _t62_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_type_id, CORBA::Char *);
                        flick_iiopxx_decode_end_chunk(1 * _t62_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t62_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t63_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t63_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort134);
                          flick_iiopxx_encode_new_glob(5, _flick_abort134);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t63_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t63_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort142);
                                break;
                                {
                                _flick_abort142:
                                  goto _flick_abort134;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort143);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort143:
                                  goto _flick_abort134;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort134:
                          goto _flick_abort133;
                        }
                      }
                      break;
                      {
                      _flick_abort133:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
          flick_iiopxx_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t16_switch_tag;

    flick_iiopxx_decode_new_glob(16);
    flick_iiopxx_check_span(12, _flick_abort5);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t16_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t16_switch_tag)
      {
      case (unsigned int) 3:
        {
          unsigned short int _t17_switch_tag;

          flick_iiopxx_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t17_switch_tag, unsigned short int );
          flick_iiopxx_decode_end_chunk(2);
          switch ((unsigned short int )_t17_switch_tag)
            {
            case /* op */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28528):
              {
                char _t18_switch_tag;

                flick_iiopxx_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t18_switch_tag, char );
                flick_iiopxx_decode_end_chunk(1);
                switch ((char )_t18_switch_tag)
                  {
                  case 0:
                    {
                      {
                        POA_A *_local_this;
                        unsigned int _t19_principal_len;
                        CORBA::Short _return;
                        CORBA::Short _local_b;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort42);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(5);
                        flick_cdr_decode_unsigned32(1, _t19_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(5);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_check_span(_t19_principal_len, _flick_abort42);
                        flick_iiopxx_decode_new_glob(_t19_principal_len);
                        flick_iiopxx_decode_new_chunk(_t19_principal_len);
                        flick_iiopxx_decode_end_chunk(_t19_principal_len);
                        flick_iiopxx_decode_end_glob(_t19_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(3);
                        flick_iiopxx_decode_new_chunk_align(2, 1, 0, 0);
                        flick_iiopxx_check_span(2, _flick_abort42);
                        flick_cdr_decode_signed16(0, _local_b, CORBA::Short );
                        flick_iiopxx_decode_end_chunk(2);
                        flick_iiopxx_decode_end_glob(3);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->op(_local_b, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t20_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t20_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort42);
                          flick_iiopxx_encode_new_glob(49, _flick_abort42);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t20_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t20_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(2);
                                flick_cdr_encode_signed16(0, _return, CORBA::Short );
                                flick_iiopxx_encode_end_chunk(2);
                                flick_iiopxx_encode_end_glob(49);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(49);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort55);
                                break;
                                {
                                _flick_abort55:
                                  goto _flick_abort42;
                                }
                              }
                            default:
                              {
                                flick_corbaxx_env _t24_temp_env;

                                flick_corbaxx_env_to_exception(CORBA::Environment &, _ev, flick_corbaxx_env , _t24_temp_env);

                                switch ((unsigned int )(1+strlen(_t24_temp_env._id)))
                                  {
                                  case (unsigned int) 12:
                                    {
                                      switch (*(unsigned int *)(_t24_temp_env._id + 0))
                                        {
                                        case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                                          {
                                            switch (*(unsigned int *)(_t24_temp_env._id + 4))
                                              {
                                              case /* A/B: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1093616186):
                                                {
                                                  switch (*(unsigned int *)(_t24_temp_env._id + 8))
                                                    {
                                                    case /* 1.0 */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 825110528):
                                                      {
                                                        flick_unsigned32_t _t26_temp_string_len;

                                                        flick_cdr_stringlen(CORBA::Char *, ((A::B *)(_t24_temp_env._user_except))->d, flick_unsigned32_t , _t26_temp_string_len);

                                                        flick_iiopxx_encode_new_chunk(24 + 1 * _t26_temp_string_len);
                                                        flick_cdr_encode_unsigned32(0, 12, flick_unsigned32_t );
                                                        flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                        flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                        flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                        flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                        flick_cdr_encode_char8(8, 'A', flick_char8_t );
                                                        flick_cdr_encode_char8(9, '/', flick_char8_t );
                                                        flick_cdr_encode_char8(10, 'B', flick_char8_t );
                                                        flick_cdr_encode_char8(11, ':', flick_char8_t );
                                                        flick_cdr_encode_char8(12, '1', flick_char8_t );
                                                        flick_cdr_encode_char8(13, '.', flick_char8_t );
                                                        flick_cdr_encode_char8(14, '0', flick_char8_t );
                                                        flick_cdr_encode_char8(15, 0, flick_char8_t );
                                                        flick_cdr_encode_signed16(16, ((A::B *)(_t24_temp_env._user_except))->a, CORBA::Short );
                                                        flick_cdr_encode_unsigned32(20, _t26_temp_string_len, flick_unsigned32_t );
                                                        if (_t26_temp_string_len > 21)
                                                          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort61);
                                                        flick_cdr_encode_bcopy(24, ((A::B *)(_t24_temp_env._user_except))->d, 1 * _t26_temp_string_len);
                                                        flick_iiopxx_encode_end_chunk(24 + 1 * _t26_temp_string_len);
                                                        break;
                                                        {
                                                        _flick_abort61:
                                                          goto _flick_abort56;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort56);
                                                        break;
                                                      }
                                                    }
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort56);
                                                  break;
                                                }
                                              }
                                            break;
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort56);
                                            break;
                                          }
                                        }
                                      break;
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort56);
                                      break;
                                    }
                                  }
                                flick_iiopxx_encode_end_glob(49);
                                break;
                                {
                                _flick_abort56:
                                  goto _flick_abort42;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort42:
                          goto _flick_abort41;
                        }
                      }
                      break;
                      {
                      _flick_abort41:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t27_switch_tag;

          flick_iiopxx_check_span(12, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t27_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t27_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t28_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t28_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t28_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_A *_local_this;
                        unsigned int _t29_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t30_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort65);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t29_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_check_span(_t29_principal_len, _flick_abort65);
                        flick_iiopxx_decode_new_glob(_t29_principal_len);
                        flick_iiopxx_decode_new_chunk(_t29_principal_len);
                        flick_iiopxx_decode_end_chunk(_t29_principal_len);
                        flick_iiopxx_decode_end_glob(_t29_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort65);
                        flick_cdr_decode_unsigned32(0, _t30_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t30_temp_string_len);
                        flick_iiopxx_check_span(1 * _t30_temp_string_len, _flick_abort65);
                        flick_iiopxx_decode_new_chunk(1 * _t30_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_type_id, CORBA::Char *);
                        flick_iiopxx_decode_end_chunk(1 * _t30_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t30_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t31_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t31_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort65);
                          flick_iiopxx_encode_new_glob(5, _flick_abort65);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t31_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t31_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort73);
                                break;
                                {
                                _flick_abort73:
                                  goto _flick_abort65;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort74);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort74:
                                  goto _flick_abort65;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort65:
                          goto _flick_abort64;
                        }
                      }
                      break;
                      {
                      _flick_abort64:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
          flick_iiopxx_decode_end_glob(16);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return;
  {
  _flick_abort5:
    flick_corbaxx_server_error(cdr, iiopxx, _flick_reaper, _flick_abort4);
  _flick_abort4:
    return ;
  }
_flick_reaper:
  return ;
}

