#ifndef _ex_server_h_
#define _ex_server_h_

#include <flick/link/iiopxx.h>
#include <flick/encode/cdr.h>
#include "ex-client.h"
#include <flick/pres/corbaxx.h>

class POA_A ;


typedef POA_A *POA_A_ptr;

class POA_A : public virtual PortableServer::ServantBase {

protected:
  POA_A();

public:
  POA_A(const POA_A &rhs);
  virtual ~POA_A();
  A *_this(CORBA::Environment &_env);
  virtual CORBA::Boolean _is_a(const CORBA::Char *type_id, CORBA::Environment &_env);
  virtual void *_downcast(const char *logical_type_id);
  virtual const char *_interface_repository_id() const;
  virtual void _dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env = CORBA::Environment::default_environment());
  virtual CORBA::Short op(/* POA_A *this, */ CORBA::Short b, CORBA::Environment &_ev) = 0;
} ;


template <class T>
  class POA_A_tie : public POA_A {

  public:
    POA_A_tie(T &t);
    POA_A_tie(T &t, PortableServer::POA_ptr poa);
    POA_A_tie(T *t, CORBA::Boolean release = 1);
    POA_A_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release = 1);
    ~POA_A_tie();
    T *_tied_object();
    void _tied_object(T &obj);
    void _tied_object(T &obj, CORBA::Boolean release = 1);
    CORBA::Boolean _is_owner();
    void _is_owner(CORBA::Boolean b);
    PortableServer::POA_ptr _default_POA();

  private:
    POA_A_tie(const POA_A_tie &c);
    void operator=(const POA_A_tie &c);

  public:
    CORBA::Short op(/* POA_A *this, */ CORBA::Short b, CORBA::Environment &_ev);

  private:
    T *ptr_;
    PortableServer::POA_var poa_;
    CORBA::Boolean rel_;
  } ;


class _tao_collocated_A : public virtual A {

public:
  _tao_collocated_A(POA_A_ptr servant, TAO_Stub *stub);
  POA_A_ptr _get_servant() const;
  virtual CORBA::Short op(CORBA::Short b, CORBA::Environment &_ev);
  virtual CORBA::Boolean _is_a(const char *type_id, CORBA::Environment &_ev);

private:
  POA_A_ptr servant_;
} ;


#endif /* _ex_server_h_ */
