#include "ez2_-client.h"
#include "ez2_-server.h"

static const CORBA::Long _oc_a[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    10, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x613a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:a:1.0 */,
    2, ACE_NTOHL(0x61000000) /* name = a */
};

static CORBA::TypeCode _tc_TAO_tc_a (CORBA::tk_objref, sizeof(_oc_a), (char *) &_oc_a, 0, sizeof(a ));

CORBA::TypeCode_ptr _tc_a = &_tc_TAO_tc_a;


#if defined (ACE_HAS_EXPLICIT_TEMPLATE_INSTANTIATION)
  template class TAO_Object_Field_T<a >;
#elif defined (ACE_HAS_TEMPLATE_INSTANTIATION_PRAGMA)
#  pragma instantiate TAO_Object_Field_T<a >
#endif /* ACE_HAS_EXPLICIT_TEMPLATE_INSTANTIATION */

a_ptr a::_duplicate(a_ptr obj)
{
  if( !CORBA::is_nil(obj) )
    obj->_incr_refcnt();
  return obj;
}

a_ptr a::_narrow(CORBA::Object_ptr obj, CORBA::Environment &_env)
{
  if( CORBA::is_nil(obj) )
    return a::_nil();
  if( !obj->_is_a("IDL:a:1.0", _env) )
    return a::_nil();
  return a::_unchecked_narrow(obj, _env);
}

a_ptr a::_unchecked_narrow(CORBA::Object_ptr _obj, CORBA::Environment &_env)
{
  if( CORBA::is_nil(_obj) )
    return a::_nil();
  TAO_Stub *stub = _obj->_stubobj();
  stub->_incr_refcnt();
  void* servant = 0;
  if (_obj->_is_collocated () && _obj->_servant() != 0)
    servant = _obj->_servant()->_downcast ("IDL:Coffee:1.0");
  if (servant == 0)
    return new a (stub);
  return new _tao_collocated_a(
      ACE_reinterpret_cast(POA_a_ptr , servant),
      stub
    );
}

a_ptr a::_nil()
{
  return (a_ptr )NULL;
}

CORBA::Boolean a::_is_a(const CORBA::Char *_type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)_type_id, "IDL:a:1.0")) ||
      (!ACE_OS::strcmp((char *)_type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return this->CORBA_Object::_is_a(_type_id, _env);
}

const char *a::_interface_repository_id() const
{
  return "IDL:a:1.0";
}

a::a()
{}

a::~a()
{}

void operator<<=(CORBA::Any &a, a_ptr o)
{
  CORBA::Object_ptr *_tao_obj_ptr = 0;
  ACE_TRY_NEW_ENV
  {
    ACE_NEW(_tao_obj_ptr, CORBA::Object_ptr);
    *_tao_obj_ptr = a::_duplicate(o);
    a.replace (_tc_a, _tao_obj_ptr, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _tao_obj_ptr;
  }
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, a_ptr &o)
{
  CORBA::Object_ptr *tmp = 0;
  ACE_TRY_NEW_ENV
  {
    o = a::_nil();
    CORBA::TypeCode_var type = a.type();
    if (!type->equal (_tc_a, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    TAO_InputCDR stream (a._tao_get_cdr());
    CORBA::Object_var _tao_obj_var;
    ACE_NEW_RETURN (tmp, CORBA::Object_ptr, 0);
    if (stream.decode(_tc_a, &_tao_obj_var.out(), 0, ACE_TRY_ENV)
       == CORBA::TypeCode::TRAVERSE_CONTINUE)
    {
      o = a::_narrow(_tao_obj_var.in(), ACE_TRY_ENV);
      ACE_TRY_CHECK;
      *tmp = (CORBA::Object_ptr) o;
      ((CORBA::Any *)&a)->replace(_tc_a, tmp, 1, ACE_TRY_ENV);
      ACE_TRY_CHECK;
      return 1;
    }
  }
  ACE_CATCHANY
  {
    delete tmp;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

a::a(TAO_Stub *objref, TAO_ServantBase *_tao_servant, CORBA::Boolean _tao_collocated)
  : CORBA_Object(objref, _tao_servant, _tao_collocated)
{}

a_var::a_var()
  : ptr_(a::_nil())
{}

a_var::a_var(a_ptr p)
  : ptr_(p)
{}

a_var::a_var(const a_var &a)
  : ptr_(a::_duplicate(a.ptr()))
{}

a_var::~a_var()
{
  CORBA::release(this->ptr_);
}

a_var &a_var::operator=(a_ptr p)
{
  CORBA::release(this->ptr_);
  this->ptr_ = p;
  return *this;
}

a_var &a_var::operator=(const a_var &p)
{
  if( this != &p )
  {
    CORBA::release(this->ptr_);
    this->ptr_ = a::_duplicate(p.ptr());
  }
  return *this;
}

a_ptr a_var::operator->() const
{
  return this->ptr_;
}

a_var::operator const a_ptr &() const
{
  return this->ptr_;
}

a_var::operator a_ptr &()
{
  return this->ptr_;
}

a_ptr a_var::in() const
{
  return this->ptr_;
}

a_ptr &a_var::inout()
{
  return this->ptr_;
}

a_ptr &a_var::out()
{
  CORBA::release(this->ptr_);
  this->ptr_ = a::_nil();
  return this->ptr_;
}

a_ptr a_var::_retn()
{
  a_ptr  val = this->ptr_;
  this->ptr_ = a::_nil();
  return val;
}

a_ptr a_var::ptr() const
{
  return this->ptr_;
}

a_out::a_out(a_ptr &r)
  : ptr_(r)
{
  this->ptr_ = a::_nil();
}

a_out::a_out(a_var &r)
  : ptr_(r.out())
{
  CORBA::release(this->ptr_);
  this->ptr_ = a::_nil();
}

a_out::a_out(const a_out &r)
  : ptr_(ACE_const_cast(a_out &,r).ptr_)
{}

a_out &a_out::operator=(const a_out &r)
{
  this->ptr_ = ACE_const_cast(a_out &,r).ptr_;
  return *this;
}

a_out &a_out::operator=(const a_var &r)
{
  this->ptr_ = a::_duplicate(r.ptr());
  return *this;
}

a_out &a_out::operator=(a_ptr r)
{
  this->ptr_ = r;
  return *this;
}

a_out::operator a_ptr &()
{
  return this->ptr_;
}

a_ptr &a_out::ptr()
{
  return this->ptr_;
}

a_ptr a_out::operator->()
{
  return this->ptr_;
}

int flick_marshal_stub_a(flick_marshal_stream_t _stream, const a_ptr *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdrxx_encode_IOR(iiopxx, *_data, 0, a , _flick_abort0);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_a(flick_marshal_stream_t _stream, a_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdrxx_decode_IOR(iiopxx, *_data, 1, a , _flick_abort1);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_a_swap(flick_marshal_stream_t _stream, a_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swapxx_decode_IOR(iiopxx, *_data, 1, a , _flick_abort2);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

CORBA::Char a::op(/* a *this, */ const char *s, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  CORBA::Char _return;

  _return = 0;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort4);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort4);
    }
    {
      flick_unsigned32_t _t1_temp_string_len;

      flick_cdr_stringlen(CORBA::Char *, s, flick_unsigned32_t , _t1_temp_string_len);

      flick_iiopxx_encode_new_glob(117, _flick_abort4);
      flick_iiopxx_encode_new_chunk(16 + 1 * _t1_temp_string_len);
      flick_cdr_encode_unsigned32(0, 3, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_unsigned32(12, _t1_temp_string_len, flick_unsigned32_t );
      if (_t1_temp_string_len > 101)
        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort4);
      flick_cdr_encode_bcopy(16, s, 1 * _t1_temp_string_len);
      flick_iiopxx_encode_end_chunk(16 + 1 * _t1_temp_string_len);
      flick_iiopxx_encode_end_glob(117);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort4);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort4);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t3_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(5);
        flick_iiopxx_check_span(4, _flick_abort4);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t3_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t3_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(1, _flick_abort21);
              flick_iiopxx_decode_new_chunk(1);
              flick_cdr_swap_decode_char8(0, _return, CORBA::Char );
              flick_iiopxx_decode_end_chunk(1);
              flick_iiopxx_decode_end_glob(5);
              break;
              {
              _flick_abort21:
                goto _flick_abort4;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(5);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort22);
              break;
              {
              _flick_abort22:
                goto _flick_abort4;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort23);
              flick_iiopxx_decode_end_glob(5);
              break;
              {
              _flick_abort23:
                goto _flick_abort4;
              }
            }
          }
      }
    else
      {
        int _t2_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(5);
        flick_iiopxx_check_span(4, _flick_abort4);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t2_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t2_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(1, _flick_abort14);
              flick_iiopxx_decode_new_chunk(1);
              flick_cdr_decode_char8(0, _return, CORBA::Char );
              flick_iiopxx_decode_end_chunk(1);
              flick_iiopxx_decode_end_glob(5);
              break;
              {
              _flick_abort14:
                goto _flick_abort4;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(5);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort15);
              break;
              {
              _flick_abort15:
                goto _flick_abort4;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort16);
              flick_iiopxx_decode_end_glob(5);
              break;
              {
              _flick_abort16:
                goto _flick_abort4;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort4:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort3);
    _flick_abort3:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

