#ifndef _inherit_server_h_
#define _inherit_server_h_

#include <flick/link/iiopxx.h>
#include <flick/encode/cdr.h>
#include "inherit-client.h"
#include <flick/pres/corbaxx.h>

class POA_one ;


typedef POA_one *POA_one_ptr;

class POA_one : public virtual PortableServer::ServantBase {

protected:
  POA_one();

public:
  POA_one(const POA_one &rhs);
  virtual ~POA_one();
  one *_this(CORBA::Environment &_env);
  virtual CORBA::Boolean _is_a(const CORBA::Char *type_id, CORBA::Environment &_env);
  virtual void *_downcast(const char *logical_type_id);
  virtual const char *_interface_repository_id() const;
  virtual void _dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env = CORBA::Environment::default_environment());
  virtual void op_one(/* POA_one *this, */ CORBA::Environment &_ev) = 0;
} ;


template <class T>
  class POA_one_tie : public POA_one {

  public:
    POA_one_tie(T &t);
    POA_one_tie(T &t, PortableServer::POA_ptr poa);
    POA_one_tie(T *t, CORBA::Boolean release = 1);
    POA_one_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release = 1);
    ~POA_one_tie();
    T *_tied_object();
    void _tied_object(T &obj);
    void _tied_object(T &obj, CORBA::Boolean release = 1);
    CORBA::Boolean _is_owner();
    void _is_owner(CORBA::Boolean b);
    PortableServer::POA_ptr _default_POA();

  private:
    POA_one_tie(const POA_one_tie &c);
    void operator=(const POA_one_tie &c);

  public:
    void op_one(/* POA_one *this, */ CORBA::Environment &_ev);

  private:
    T *ptr_;
    PortableServer::POA_var poa_;
    CORBA::Boolean rel_;
  } ;


class POA_two ;


typedef POA_two *POA_two_ptr;

class POA_two : public virtual PortableServer::ServantBase {

protected:
  POA_two();

public:
  POA_two(const POA_two &rhs);
  virtual ~POA_two();
  two *_this(CORBA::Environment &_env);
  virtual CORBA::Boolean _is_a(const CORBA::Char *type_id, CORBA::Environment &_env);
  virtual void *_downcast(const char *logical_type_id);
  virtual const char *_interface_repository_id() const;
  virtual void _dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env = CORBA::Environment::default_environment());
  virtual void op_two(/* POA_two *this, */ CORBA::Environment &_ev) = 0;
  virtual void op_one(/* POA_two *this, */ CORBA::Environment &_ev) = 0;
} ;


template <class T>
  class POA_two_tie : public POA_two {

  public:
    POA_two_tie(T &t);
    POA_two_tie(T &t, PortableServer::POA_ptr poa);
    POA_two_tie(T *t, CORBA::Boolean release = 1);
    POA_two_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release = 1);
    ~POA_two_tie();
    T *_tied_object();
    void _tied_object(T &obj);
    void _tied_object(T &obj, CORBA::Boolean release = 1);
    CORBA::Boolean _is_owner();
    void _is_owner(CORBA::Boolean b);
    PortableServer::POA_ptr _default_POA();

  private:
    POA_two_tie(const POA_two_tie &c);
    void operator=(const POA_two_tie &c);

  public:
    void op_two(/* POA_two *this, */ CORBA::Environment &_ev);
    void op_one(/* POA_two *this, */ CORBA::Environment &_ev);

  private:
    T *ptr_;
    PortableServer::POA_var poa_;
    CORBA::Boolean rel_;
  } ;


class POA_three ;


typedef POA_three *POA_three_ptr;

class POA_three : public virtual PortableServer::ServantBase {

protected:
  POA_three();

public:
  POA_three(const POA_three &rhs);
  virtual ~POA_three();
  three *_this(CORBA::Environment &_env);
  virtual CORBA::Boolean _is_a(const CORBA::Char *type_id, CORBA::Environment &_env);
  virtual void *_downcast(const char *logical_type_id);
  virtual const char *_interface_repository_id() const;
  virtual void _dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env = CORBA::Environment::default_environment());
  virtual void op_three(/* POA_three *this, */ CORBA::Environment &_ev) = 0;
  virtual void op_one(/* POA_three *this, */ CORBA::Environment &_ev) = 0;
} ;


template <class T>
  class POA_three_tie : public POA_three {

  public:
    POA_three_tie(T &t);
    POA_three_tie(T &t, PortableServer::POA_ptr poa);
    POA_three_tie(T *t, CORBA::Boolean release = 1);
    POA_three_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release = 1);
    ~POA_three_tie();
    T *_tied_object();
    void _tied_object(T &obj);
    void _tied_object(T &obj, CORBA::Boolean release = 1);
    CORBA::Boolean _is_owner();
    void _is_owner(CORBA::Boolean b);
    PortableServer::POA_ptr _default_POA();

  private:
    POA_three_tie(const POA_three_tie &c);
    void operator=(const POA_three_tie &c);

  public:
    void op_three(/* POA_three *this, */ CORBA::Environment &_ev);
    void op_one(/* POA_three *this, */ CORBA::Environment &_ev);

  private:
    T *ptr_;
    PortableServer::POA_var poa_;
    CORBA::Boolean rel_;
  } ;


class POA_four ;


typedef POA_four *POA_four_ptr;

class POA_four : public virtual PortableServer::ServantBase {

protected:
  POA_four();

public:
  POA_four(const POA_four &rhs);
  virtual ~POA_four();
  four *_this(CORBA::Environment &_env);
  virtual CORBA::Boolean _is_a(const CORBA::Char *type_id, CORBA::Environment &_env);
  virtual void *_downcast(const char *logical_type_id);
  virtual const char *_interface_repository_id() const;
  virtual void _dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env = CORBA::Environment::default_environment());
  virtual void op_four(/* POA_four *this, */ CORBA::Environment &_ev) = 0;
  virtual void op_two(/* POA_four *this, */ CORBA::Environment &_ev) = 0;
  virtual void op_one(/* POA_four *this, */ CORBA::Environment &_ev) = 0;
  virtual void op_three(/* POA_four *this, */ CORBA::Environment &_ev) = 0;
} ;


template <class T>
  class POA_four_tie : public POA_four {

  public:
    POA_four_tie(T &t);
    POA_four_tie(T &t, PortableServer::POA_ptr poa);
    POA_four_tie(T *t, CORBA::Boolean release = 1);
    POA_four_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release = 1);
    ~POA_four_tie();
    T *_tied_object();
    void _tied_object(T &obj);
    void _tied_object(T &obj, CORBA::Boolean release = 1);
    CORBA::Boolean _is_owner();
    void _is_owner(CORBA::Boolean b);
    PortableServer::POA_ptr _default_POA();

  private:
    POA_four_tie(const POA_four_tie &c);
    void operator=(const POA_four_tie &c);

  public:
    void op_four(/* POA_four *this, */ CORBA::Environment &_ev);
    void op_two(/* POA_four *this, */ CORBA::Environment &_ev);
    void op_one(/* POA_four *this, */ CORBA::Environment &_ev);
    void op_three(/* POA_four *this, */ CORBA::Environment &_ev);

  private:
    T *ptr_;
    PortableServer::POA_var poa_;
    CORBA::Boolean rel_;
  } ;


class POA_five ;


typedef POA_five *POA_five_ptr;

class POA_five : public virtual PortableServer::ServantBase {

protected:
  POA_five();

public:
  POA_five(const POA_five &rhs);
  virtual ~POA_five();
  five *_this(CORBA::Environment &_env);
  virtual CORBA::Boolean _is_a(const CORBA::Char *type_id, CORBA::Environment &_env);
  virtual void *_downcast(const char *logical_type_id);
  virtual const char *_interface_repository_id() const;
  virtual void _dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env = CORBA::Environment::default_environment());
  virtual void op_five(/* POA_five *this, */ CORBA::Environment &_ev) = 0;
  virtual void op_four(/* POA_five *this, */ CORBA::Environment &_ev) = 0;
  virtual void op_two(/* POA_five *this, */ CORBA::Environment &_ev) = 0;
  virtual void op_one(/* POA_five *this, */ CORBA::Environment &_ev) = 0;
  virtual void op_three(/* POA_five *this, */ CORBA::Environment &_ev) = 0;
} ;


template <class T>
  class POA_five_tie : public POA_five {

  public:
    POA_five_tie(T &t);
    POA_five_tie(T &t, PortableServer::POA_ptr poa);
    POA_five_tie(T *t, CORBA::Boolean release = 1);
    POA_five_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release = 1);
    ~POA_five_tie();
    T *_tied_object();
    void _tied_object(T &obj);
    void _tied_object(T &obj, CORBA::Boolean release = 1);
    CORBA::Boolean _is_owner();
    void _is_owner(CORBA::Boolean b);
    PortableServer::POA_ptr _default_POA();

  private:
    POA_five_tie(const POA_five_tie &c);
    void operator=(const POA_five_tie &c);

  public:
    void op_five(/* POA_five *this, */ CORBA::Environment &_ev);
    void op_four(/* POA_five *this, */ CORBA::Environment &_ev);
    void op_two(/* POA_five *this, */ CORBA::Environment &_ev);
    void op_one(/* POA_five *this, */ CORBA::Environment &_ev);
    void op_three(/* POA_five *this, */ CORBA::Environment &_ev);

  private:
    T *ptr_;
    PortableServer::POA_var poa_;
    CORBA::Boolean rel_;
  } ;


class POA_factory ;


typedef POA_factory *POA_factory_ptr;

class POA_factory : public virtual PortableServer::ServantBase {

protected:
  POA_factory();

public:
  POA_factory(const POA_factory &rhs);
  virtual ~POA_factory();
  factory *_this(CORBA::Environment &_env);
  virtual CORBA::Boolean _is_a(const CORBA::Char *type_id, CORBA::Environment &_env);
  virtual void *_downcast(const char *logical_type_id);
  virtual const char *_interface_repository_id() const;
  virtual void _dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env = CORBA::Environment::default_environment());
  virtual one_ptr get_one(/* POA_factory *this, */ CORBA::Environment &_ev) = 0;
  virtual two_ptr get_two(/* POA_factory *this, */ CORBA::Environment &_ev) = 0;
  virtual three_ptr get_three(/* POA_factory *this, */ CORBA::Environment &_ev) = 0;
  virtual four_ptr get_four(/* POA_factory *this, */ CORBA::Environment &_ev) = 0;
  virtual five_ptr get_five(/* POA_factory *this, */ CORBA::Environment &_ev) = 0;
} ;


template <class T>
  class POA_factory_tie : public POA_factory {

  public:
    POA_factory_tie(T &t);
    POA_factory_tie(T &t, PortableServer::POA_ptr poa);
    POA_factory_tie(T *t, CORBA::Boolean release = 1);
    POA_factory_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release = 1);
    ~POA_factory_tie();
    T *_tied_object();
    void _tied_object(T &obj);
    void _tied_object(T &obj, CORBA::Boolean release = 1);
    CORBA::Boolean _is_owner();
    void _is_owner(CORBA::Boolean b);
    PortableServer::POA_ptr _default_POA();

  private:
    POA_factory_tie(const POA_factory_tie &c);
    void operator=(const POA_factory_tie &c);

  public:
    one_ptr get_one(/* POA_factory *this, */ CORBA::Environment &_ev);
    two_ptr get_two(/* POA_factory *this, */ CORBA::Environment &_ev);
    three_ptr get_three(/* POA_factory *this, */ CORBA::Environment &_ev);
    four_ptr get_four(/* POA_factory *this, */ CORBA::Environment &_ev);
    five_ptr get_five(/* POA_factory *this, */ CORBA::Environment &_ev);

  private:
    T *ptr_;
    PortableServer::POA_var poa_;
    CORBA::Boolean rel_;
  } ;


class _tao_collocated_one : public virtual one {

public:
  _tao_collocated_one(POA_one_ptr servant, TAO_Stub *stub);
  POA_one_ptr _get_servant() const;
  virtual void op_one(CORBA::Environment &_ev);
  virtual CORBA::Boolean _is_a(const char *type_id, CORBA::Environment &_ev);

private:
  POA_one_ptr servant_;
} ;


class _tao_collocated_two : public virtual two {

public:
  _tao_collocated_two(POA_two_ptr servant, TAO_Stub *stub);
  POA_two_ptr _get_servant() const;
  virtual void op_two(CORBA::Environment &_ev);
  virtual void op_one(CORBA::Environment &_ev);
  virtual CORBA::Boolean _is_a(const char *type_id, CORBA::Environment &_ev);

private:
  POA_two_ptr servant_;
} ;


class _tao_collocated_three : public virtual three {

public:
  _tao_collocated_three(POA_three_ptr servant, TAO_Stub *stub);
  POA_three_ptr _get_servant() const;
  virtual void op_three(CORBA::Environment &_ev);
  virtual void op_one(CORBA::Environment &_ev);
  virtual CORBA::Boolean _is_a(const char *type_id, CORBA::Environment &_ev);

private:
  POA_three_ptr servant_;
} ;


class _tao_collocated_four : public virtual four {

public:
  _tao_collocated_four(POA_four_ptr servant, TAO_Stub *stub);
  POA_four_ptr _get_servant() const;
  virtual void op_four(CORBA::Environment &_ev);
  virtual void op_two(CORBA::Environment &_ev);
  virtual void op_one(CORBA::Environment &_ev);
  virtual void op_three(CORBA::Environment &_ev);
  virtual CORBA::Boolean _is_a(const char *type_id, CORBA::Environment &_ev);

private:
  POA_four_ptr servant_;
} ;


class _tao_collocated_five : public virtual five {

public:
  _tao_collocated_five(POA_five_ptr servant, TAO_Stub *stub);
  POA_five_ptr _get_servant() const;
  virtual void op_five(CORBA::Environment &_ev);
  virtual void op_four(CORBA::Environment &_ev);
  virtual void op_two(CORBA::Environment &_ev);
  virtual void op_one(CORBA::Environment &_ev);
  virtual void op_three(CORBA::Environment &_ev);
  virtual CORBA::Boolean _is_a(const char *type_id, CORBA::Environment &_ev);

private:
  POA_five_ptr servant_;
} ;


class _tao_collocated_factory : public virtual factory {

public:
  _tao_collocated_factory(POA_factory_ptr servant, TAO_Stub *stub);
  POA_factory_ptr _get_servant() const;
  virtual one_ptr get_one(CORBA::Environment &_ev);
  virtual two_ptr get_two(CORBA::Environment &_ev);
  virtual three_ptr get_three(CORBA::Environment &_ev);
  virtual four_ptr get_four(CORBA::Environment &_ev);
  virtual five_ptr get_five(CORBA::Environment &_ev);
  virtual CORBA::Boolean _is_a(const char *type_id, CORBA::Environment &_ev);

private:
  POA_factory_ptr servant_;
} ;


#endif /* _inherit_server_h_ */
