#include "interface_-server.h"

POA_math::POA_math()
{}

POA_math::POA_math(const POA_math &rhs)
  : TAO_ServantBase(rhs)
{}

POA_math::~POA_math()
{}

math *POA_math::_this(CORBA::Environment &_env)
{
  TAO_Stub *stub = this->_create_stub(_env);
  TAO_CHECK_ENV_RETURN(_env, 0);
  return new _tao_collocated_math(this, stub);
}

CORBA::Boolean POA_math::_is_a(const CORBA::Char *type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)type_id, "IDL:math:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return 0;
}

void *POA_math::_downcast(const char *logical_type_id)
{
  if(ACE_OS::strcmp(logical_type_id, "IDL:math:1.0") == 0)
    return ACE_static_cast(POA_math_ptr , this);
   
  if(ACE_OS::strcmp(logical_type_id, "IDL:omg.org/CORBA/Object:1.0") == 0)
    return ACE_static_cast(PortableServer::Servant, this);
  return 0;
}

const char *POA_math::_interface_repository_id() const
{
  return "IDL:math:1.0";
}

template <class T>
  POA_math_tie<T>::POA_math_tie(T &t)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(0)
{}

template <class T>
  POA_math_tie<T>::POA_math_tie(T &t, PortableServer::POA_ptr poa)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(0)
{}

template <class T>
  POA_math_tie<T>::POA_math_tie(T *t, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(release)
{}

template <class T>
  POA_math_tie<T>::POA_math_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(release)
{}

template <class T>
  POA_math_tie<T>::~POA_math_tie()
{
  if( this->rel_ ) delete this->ptr_;
}

template <class T>
  T *POA_math_tie<T>::_tied_object()
{
  return this->ptr_;
}

template <class T>
  void POA_math_tie<T>::_tied_object(T &obj)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = &obj;
  this->rel_ = 0;
}

template <class T>
  void POA_math_tie<T>::_tied_object(T &obj, CORBA::Boolean release)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = obj;
  this->rel_ = release;
}

template <class T>
  CORBA::Boolean POA_math_tie<T>::_is_owner()
{
  return this->rel_;
}

template <class T>
  void POA_math_tie<T>::_is_owner(CORBA::Boolean b)
{
  this->rel_ = b;
}

template <class T>
  PortableServer::POA_ptr POA_math_tie<T>::_default_POA()
{
  if( !(CORBA::is_nil(this->poa_.in())) )
    return PortableServer::POA::_duplicate(this->poa_.in());
  else
  {
    TAO_POA *poa = TAO_ORB_Core_instance()->root_poa();
    PortableServer::POA_var result = poa->_this(env);
    if( env.exception() != 0 )
      return PortableServer::POA::_nil();
    else
      return result._retn();
  }
}

template <class T>
  POA_math_tie<T>::POA_math_tie(const POA_math_tie &c)
{}

template <class T>
  void POA_math_tie<T>::operator=(const POA_math_tie &c)
{}

template <class T>
  CORBA::Short POA_math_tie<T>::addshort(/* POA_math *this, */ CORBA::Short a, CORBA::Short b, CORBA::Environment &_ev)
{
  return this->ptr_->addshort (a, b, _ev);
}

template <class T>
  CORBA::Short POA_math_tie<T>::subshort(/* POA_math *this, */ CORBA::Short a, CORBA::Short b, CORBA::Environment &_ev)
{
  return this->ptr_->subshort (a, b, _ev);
}

template <class T>
  CORBA::Short POA_math_tie<T>::multshort(/* POA_math *this, */ CORBA::Short a, CORBA::Short b, CORBA::Environment &_ev)
{
  return this->ptr_->multshort (a, b, _ev);
}

template <class T>
  CORBA::Long POA_math_tie<T>::addlong(/* POA_math *this, */ CORBA::Long a, CORBA::Long b, CORBA::Environment &_ev)
{
  return this->ptr_->addlong (a, b, _ev);
}

template <class T>
  CORBA::Long POA_math_tie<T>::sublong(/* POA_math *this, */ CORBA::Long a, CORBA::Long b, CORBA::Environment &_ev)
{
  return this->ptr_->sublong (a, b, _ev);
}

template <class T>
  CORBA::Long POA_math_tie<T>::multlong(/* POA_math *this, */ CORBA::Long a, CORBA::Long b, CORBA::Environment &_ev)
{
  return this->ptr_->multlong (a, b, _ev);
}

template <class T>
  CORBA::Long POA_math_tie<T>::addlonglist(/* POA_math *this, */ const long10 &a, CORBA::Environment &_ev)
{
  return this->ptr_->addlonglist (a, _ev);
}

template <class T>
  CORBA::Long POA_math_tie<T>::multlonglist(/* POA_math *this, */ const long10 &a, CORBA::Environment &_ev)
{
  return this->ptr_->multlonglist (a, _ev);
}

_tao_collocated_math::_tao_collocated_math(POA_math_ptr servant, TAO_Stub *stub)
  : math(),
    CORBA_Object(stub, servant, 1),
    servant_ (servant)
{
}

POA_math_ptr _tao_collocated_math::_get_servant() const
{
  return this->servant_;
}

CORBA::Short _tao_collocated_math::addshort(CORBA::Short a, CORBA::Short b, CORBA::Environment &_ev)
{
  return this->servant_->addshort (a, b, _ev);
}

CORBA::Short _tao_collocated_math::subshort(CORBA::Short a, CORBA::Short b, CORBA::Environment &_ev)
{
  return this->servant_->subshort (a, b, _ev);
}

CORBA::Short _tao_collocated_math::multshort(CORBA::Short a, CORBA::Short b, CORBA::Environment &_ev)
{
  return this->servant_->multshort (a, b, _ev);
}

CORBA::Long _tao_collocated_math::addlong(CORBA::Long a, CORBA::Long b, CORBA::Environment &_ev)
{
  return this->servant_->addlong (a, b, _ev);
}

CORBA::Long _tao_collocated_math::sublong(CORBA::Long a, CORBA::Long b, CORBA::Environment &_ev)
{
  return this->servant_->sublong (a, b, _ev);
}

CORBA::Long _tao_collocated_math::multlong(CORBA::Long a, CORBA::Long b, CORBA::Environment &_ev)
{
  return this->servant_->multlong (a, b, _ev);
}

CORBA::Long _tao_collocated_math::addlonglist(const long10 &a, CORBA::Environment &_ev)
{
  return this->servant_->addlonglist (a, _ev);
}

CORBA::Long _tao_collocated_math::multlonglist(const long10 &a, CORBA::Environment &_ev)
{
  return this->servant_->multlonglist (a, _ev);
}

CORBA::Boolean _tao_collocated_math::_is_a(const char *type_id, CORBA::Environment &_ev)
{
  return this->servant_->_is_a (type_id, _ev);
}

int flick_marshal_stub_math(flick_marshal_stream_t _stream, math_ptr *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdrxx_encode_IOR(iiopxx, *_data, 0, math , _flick_abort0);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_math(flick_marshal_stream_t _stream, math_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdrxx_decode_IOR(iiopxx, *_data, 1, math , _flick_abort1);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_math_swap(flick_marshal_stream_t _stream, math_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swapxx_decode_IOR(iiopxx, *_data, 1, math , _flick_abort2);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

void POA_math::_dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env){
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_InputCDR &_in_cdr = _tao_req.incoming();
  TAO_OutputCDR &_out_cdr = _tao_req.outgoing();
  flick_iiopxx_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (_in_cdr.do_byte_swap()) {
  {
    unsigned int _t128_switch_tag;

    flick_iiopxx_decode_new_glob(24);
    flick_iiopxx_check_span(16, _flick_abort5);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t128_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t128_switch_tag)
      {
      case (unsigned int) 9:
        {
          unsigned int _t129_switch_tag;

          flick_iiopxx_check_span(16, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t129_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t129_switch_tag)
            {
            case /* adds */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1633969267):
              {
                unsigned int _t130_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t130_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t130_switch_tag)
                  {
                  case /* hort */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1752134260):
                    {
                      char _t131_switch_tag;

                      flick_iiopxx_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t131_switch_tag, char );
                      flick_iiopxx_decode_end_chunk(1);
                      switch ((char )_t131_switch_tag)
                        {
                        case 0:
                          {
                            {
                              POA_math *_local_this;
                              unsigned int _t132_principal_len;
                              CORBA::Short _return;
                              CORBA::Short _local_a;
                              CORBA::Short _local_b;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort276);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(7);
                              flick_cdr_swap_decode_unsigned32(3, _t132_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(7);
                              flick_iiopxx_decode_end_glob(24);
                              flick_iiopxx_check_span(_t132_principal_len, _flick_abort276);
                              flick_iiopxx_decode_new_glob(_t132_principal_len);
                              flick_iiopxx_decode_new_chunk(_t132_principal_len);
                              flick_iiopxx_decode_end_chunk(_t132_principal_len);
                              flick_iiopxx_decode_end_glob(_t132_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiopxx_decode_new_glob(5);
                              flick_iiopxx_decode_new_chunk_align(4, 1, 0, 0);
                              flick_iiopxx_check_span(4, _flick_abort276);
                              flick_cdr_swap_decode_signed16(0, _local_a, CORBA::Short );
                              flick_cdr_swap_decode_signed16(2, _local_b, CORBA::Short );
                              flick_iiopxx_decode_end_chunk(4);
                              flick_iiopxx_decode_end_glob(5);
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->addshort(_local_a, _local_b, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t133_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t133_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort276);
                                flick_iiopxx_encode_new_glob(6, _flick_abort276);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t133_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t133_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_new_chunk(2);
                                      flick_cdr_encode_signed16(0, _return, CORBA::Short );
                                      flick_iiopxx_encode_end_chunk(2);
                                      flick_iiopxx_encode_end_glob(6);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(6);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort282);
                                      break;
                                      {
                                      _flick_abort282:
                                        goto _flick_abort276;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort283);
                                      flick_iiopxx_encode_end_glob(6);
                                      break;
                                      {
                                      _flick_abort283:
                                        goto _flick_abort276;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort276:
                                goto _flick_abort275;
                              }
                            }
                            break;
                            {
                            _flick_abort275:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            case /* subs */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1937072755):
              {
                unsigned int _t134_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t134_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t134_switch_tag)
                  {
                  case /* hort */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1752134260):
                    {
                      char _t135_switch_tag;

                      flick_iiopxx_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t135_switch_tag, char );
                      flick_iiopxx_decode_end_chunk(1);
                      switch ((char )_t135_switch_tag)
                        {
                        case 0:
                          {
                            {
                              POA_math *_local_this;
                              unsigned int _t136_principal_len;
                              CORBA::Short _return;
                              CORBA::Short _local_a;
                              CORBA::Short _local_b;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort285);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(7);
                              flick_cdr_swap_decode_unsigned32(3, _t136_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(7);
                              flick_iiopxx_decode_end_glob(24);
                              flick_iiopxx_check_span(_t136_principal_len, _flick_abort285);
                              flick_iiopxx_decode_new_glob(_t136_principal_len);
                              flick_iiopxx_decode_new_chunk(_t136_principal_len);
                              flick_iiopxx_decode_end_chunk(_t136_principal_len);
                              flick_iiopxx_decode_end_glob(_t136_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiopxx_decode_new_glob(5);
                              flick_iiopxx_decode_new_chunk_align(4, 1, 0, 0);
                              flick_iiopxx_check_span(4, _flick_abort285);
                              flick_cdr_swap_decode_signed16(0, _local_a, CORBA::Short );
                              flick_cdr_swap_decode_signed16(2, _local_b, CORBA::Short );
                              flick_iiopxx_decode_end_chunk(4);
                              flick_iiopxx_decode_end_glob(5);
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->subshort(_local_a, _local_b, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t137_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t137_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort285);
                                flick_iiopxx_encode_new_glob(6, _flick_abort285);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t137_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t137_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_new_chunk(2);
                                      flick_cdr_encode_signed16(0, _return, CORBA::Short );
                                      flick_iiopxx_encode_end_chunk(2);
                                      flick_iiopxx_encode_end_glob(6);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(6);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort291);
                                      break;
                                      {
                                      _flick_abort291:
                                        goto _flick_abort285;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort292);
                                      flick_iiopxx_encode_end_glob(6);
                                      break;
                                      {
                                      _flick_abort292:
                                        goto _flick_abort285;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort285:
                                goto _flick_abort284;
                              }
                            }
                            break;
                            {
                            _flick_abort284:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            case /* mult */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1836412020):
              {
                unsigned int _t138_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t138_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t138_switch_tag)
                  {
                  case /* long */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1819242087):
                    {
                      char _t139_switch_tag;

                      flick_iiopxx_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t139_switch_tag, char );
                      flick_iiopxx_decode_end_chunk(1);
                      switch ((char )_t139_switch_tag)
                        {
                        case 0:
                          {
                            {
                              POA_math *_local_this;
                              unsigned int _t140_principal_len;
                              CORBA::Long _return;
                              CORBA::Long _local_a;
                              CORBA::Long _local_b;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort294);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(7);
                              flick_cdr_swap_decode_unsigned32(3, _t140_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(7);
                              flick_iiopxx_decode_end_glob(24);
                              flick_iiopxx_check_span(_t140_principal_len, _flick_abort294);
                              flick_iiopxx_decode_new_glob(_t140_principal_len);
                              flick_iiopxx_decode_new_chunk(_t140_principal_len);
                              flick_iiopxx_decode_end_chunk(_t140_principal_len);
                              flick_iiopxx_decode_end_glob(_t140_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiopxx_decode_new_glob(11);
                              flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                              flick_iiopxx_check_span(8, _flick_abort294);
                              flick_cdr_swap_decode_signed32(0, _local_a, CORBA::Long );
                              flick_cdr_swap_decode_signed32(4, _local_b, CORBA::Long );
                              flick_iiopxx_decode_end_chunk(8);
                              flick_iiopxx_decode_end_glob(11);
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->multlong(_local_a, _local_b, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t141_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t141_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort294);
                                flick_iiopxx_encode_new_glob(8, _flick_abort294);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t141_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t141_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                      flick_iiopxx_encode_end_chunk(4);
                                      flick_iiopxx_encode_end_glob(8);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(8);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort300);
                                      break;
                                      {
                                      _flick_abort300:
                                        goto _flick_abort294;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort301);
                                      flick_iiopxx_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort301:
                                        goto _flick_abort294;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort294:
                                goto _flick_abort293;
                              }
                            }
                            break;
                            {
                            _flick_abort293:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          unsigned int _t142_switch_tag;

          flick_iiopxx_check_span(16, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t142_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t142_switch_tag)
            {
            case /* mult */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1836412020):
              {
                unsigned int _t143_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t143_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t143_switch_tag)
                  {
                  case /* shor */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1936224114):
                    {
                      unsigned short int _t144_switch_tag;

                      flick_iiopxx_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t144_switch_tag, unsigned short int );
                      flick_iiopxx_decode_end_chunk(2);
                      switch ((unsigned short int )_t144_switch_tag)
                        {
                        case /* t */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29696):
                          {
                            {
                              POA_math *_local_this;
                              unsigned int _t145_principal_len;
                              CORBA::Short _return;
                              CORBA::Short _local_a;
                              CORBA::Short _local_b;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort303);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t145_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(6);
                              flick_iiopxx_decode_end_glob(24);
                              flick_iiopxx_check_span(_t145_principal_len, _flick_abort303);
                              flick_iiopxx_decode_new_glob(_t145_principal_len);
                              flick_iiopxx_decode_new_chunk(_t145_principal_len);
                              flick_iiopxx_decode_end_chunk(_t145_principal_len);
                              flick_iiopxx_decode_end_glob(_t145_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiopxx_decode_new_glob(5);
                              flick_iiopxx_decode_new_chunk_align(4, 1, 0, 0);
                              flick_iiopxx_check_span(4, _flick_abort303);
                              flick_cdr_swap_decode_signed16(0, _local_a, CORBA::Short );
                              flick_cdr_swap_decode_signed16(2, _local_b, CORBA::Short );
                              flick_iiopxx_decode_end_chunk(4);
                              flick_iiopxx_decode_end_glob(5);
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->multshort(_local_a, _local_b, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t146_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t146_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort303);
                                flick_iiopxx_encode_new_glob(6, _flick_abort303);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t146_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t146_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_new_chunk(2);
                                      flick_cdr_encode_signed16(0, _return, CORBA::Short );
                                      flick_iiopxx_encode_end_chunk(2);
                                      flick_iiopxx_encode_end_glob(6);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(6);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort309);
                                      break;
                                      {
                                      _flick_abort309:
                                        goto _flick_abort303;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort310);
                                      flick_iiopxx_encode_end_glob(6);
                                      break;
                                      {
                                      _flick_abort310:
                                        goto _flick_abort303;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort303:
                                goto _flick_abort302;
                              }
                            }
                            break;
                            {
                            _flick_abort302:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t147_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t147_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t147_switch_tag)
            {
            case /* addl */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1633969260):
              {
                unsigned int _t148_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t148_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t148_switch_tag)
                  {
                  case /* ong */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869506304):
                    {
                      {
                        POA_math *_local_this;
                        unsigned int _t149_principal_len;
                        CORBA::Long _return;
                        CORBA::Long _local_a;
                        CORBA::Long _local_b;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort312);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t149_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(24);
                        flick_iiopxx_check_span(_t149_principal_len, _flick_abort312);
                        flick_iiopxx_decode_new_glob(_t149_principal_len);
                        flick_iiopxx_decode_new_chunk(_t149_principal_len);
                        flick_iiopxx_decode_end_chunk(_t149_principal_len);
                        flick_iiopxx_decode_end_glob(_t149_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(11);
                        flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                        flick_iiopxx_check_span(8, _flick_abort312);
                        flick_cdr_swap_decode_signed32(0, _local_a, CORBA::Long );
                        flick_cdr_swap_decode_signed32(4, _local_b, CORBA::Long );
                        flick_iiopxx_decode_end_chunk(8);
                        flick_iiopxx_decode_end_glob(11);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->addlong(_local_a, _local_b, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t150_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t150_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort312);
                          flick_iiopxx_encode_new_glob(8, _flick_abort312);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t150_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t150_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(8);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort318);
                                break;
                                {
                                _flick_abort318:
                                  goto _flick_abort312;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort319);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                                {
                                _flick_abort319:
                                  goto _flick_abort312;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort312:
                          goto _flick_abort311;
                        }
                      }
                      break;
                      {
                      _flick_abort311:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            case /* subl */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1937072748):
              {
                unsigned int _t151_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t151_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t151_switch_tag)
                  {
                  case /* ong */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869506304):
                    {
                      {
                        POA_math *_local_this;
                        unsigned int _t152_principal_len;
                        CORBA::Long _return;
                        CORBA::Long _local_a;
                        CORBA::Long _local_b;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort321);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t152_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(24);
                        flick_iiopxx_check_span(_t152_principal_len, _flick_abort321);
                        flick_iiopxx_decode_new_glob(_t152_principal_len);
                        flick_iiopxx_decode_new_chunk(_t152_principal_len);
                        flick_iiopxx_decode_end_chunk(_t152_principal_len);
                        flick_iiopxx_decode_end_glob(_t152_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(11);
                        flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                        flick_iiopxx_check_span(8, _flick_abort321);
                        flick_cdr_swap_decode_signed32(0, _local_a, CORBA::Long );
                        flick_cdr_swap_decode_signed32(4, _local_b, CORBA::Long );
                        flick_iiopxx_decode_end_chunk(8);
                        flick_iiopxx_decode_end_glob(11);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->sublong(_local_a, _local_b, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t153_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t153_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort321);
                          flick_iiopxx_encode_new_glob(8, _flick_abort321);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t153_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t153_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(8);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort327);
                                break;
                                {
                                _flick_abort327:
                                  goto _flick_abort321;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort328);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                                {
                                _flick_abort328:
                                  goto _flick_abort321;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort321:
                          goto _flick_abort320;
                        }
                      }
                      break;
                      {
                      _flick_abort320:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 12:
        {
          unsigned int _t154_switch_tag;

          flick_iiopxx_check_span(16, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t154_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t154_switch_tag)
            {
            case /* addl */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1633969260):
              {
                unsigned int _t155_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t155_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t155_switch_tag)
                  {
                  case /* ongl */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869506412):
                    {
                      unsigned int _t156_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t156_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t156_switch_tag)
                        {
                        case /* ist */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769174016):
                          {
                            {
                              POA_math *_local_this;
                              unsigned int _t157_principal_len;
                              CORBA::Long _return;
                              long10 _local_a;
                              CORBA::ULong _t158_array_iter;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort330);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(4);
                              flick_cdr_swap_decode_unsigned32(0, _t157_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(4);
                              flick_iiopxx_decode_end_glob(24);
                              flick_iiopxx_check_span(_t157_principal_len, _flick_abort330);
                              flick_iiopxx_decode_new_glob(_t157_principal_len);
                              flick_iiopxx_decode_new_chunk(_t157_principal_len);
                              flick_iiopxx_decode_end_chunk(_t157_principal_len);
                              flick_iiopxx_decode_end_glob(_t157_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiopxx_decode_new_glob(47);
                              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiopxx_check_span(4, _flick_abort330);
                              flick_cdr_swap_decode_unsigned32(0, _local_a._length, CORBA::ULong );
                              flick_iiopxx_decode_end_chunk(4);
                              if (_local_a._length > 10)
                                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort330);
                              flick_iiopxx_check_span(_local_a._length * 4, _flick_abort330);
                              for (_t158_array_iter = 0; _t158_array_iter < _local_a._length; _t158_array_iter++)
                                {
                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_swap_decode_signed32(0, _local_a._buffer[_t158_array_iter], CORBA::Long );
                                  flick_iiopxx_decode_end_chunk(4);
                                  continue;
                                }
                              flick_iiopxx_decode_end_glob(47);
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->addlonglist(_local_a, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t159_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t159_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort330);
                                flick_iiopxx_encode_new_glob(8, _flick_abort330);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t159_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t159_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                      flick_iiopxx_encode_end_chunk(4);
                                      flick_iiopxx_encode_end_glob(8);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(8);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort341);
                                      break;
                                      {
                                      _flick_abort341:
                                        goto _flick_abort330;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort342);
                                      flick_iiopxx_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort342:
                                        goto _flick_abort330;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort330:
                                goto _flick_abort329;
                              }
                            }
                            break;
                            {
                            _flick_abort329:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 13:
        {
          unsigned int _t160_switch_tag;

          flick_iiopxx_check_span(20, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t160_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t160_switch_tag)
            {
            case /* mult */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1836412020):
              {
                unsigned int _t161_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t161_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t161_switch_tag)
                  {
                  case /* long */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1819242087):
                    {
                      unsigned int _t162_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t162_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t162_switch_tag)
                        {
                        case /* list */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1818850164):
                          {
                            char _t163_switch_tag;

                            flick_iiopxx_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t163_switch_tag, char );
                            flick_iiopxx_decode_end_chunk(1);
                            switch ((char )_t163_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    POA_math *_local_this;
                                    unsigned int _t164_principal_len;
                                    CORBA::Long _return;
                                    long10 _local_a;
                                    CORBA::ULong _t165_array_iter;
                                    CORBA::Environment _ev;

                                    flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort344);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_iiopxx_decode_new_chunk(7);
                                    flick_cdr_swap_decode_unsigned32(3, _t164_principal_len, unsigned int );
                                    flick_iiopxx_decode_end_chunk(7);
                                    flick_iiopxx_decode_end_glob(24);
                                    flick_iiopxx_check_span(_t164_principal_len, _flick_abort344);
                                    flick_iiopxx_decode_new_glob(_t164_principal_len);
                                    flick_iiopxx_decode_new_chunk(_t164_principal_len);
                                    flick_iiopxx_decode_end_chunk(_t164_principal_len);
                                    flick_iiopxx_decode_end_glob(_t164_principal_len);
                                    /* Begin decode phase on parameters */
                                    _return = 0;
                                    flick_iiopxx_decode_new_glob(47);
                                    flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_iiopxx_check_span(4, _flick_abort344);
                                    flick_cdr_swap_decode_unsigned32(0, _local_a._length, CORBA::ULong );
                                    flick_iiopxx_decode_end_chunk(4);
                                    if (_local_a._length > 10)
                                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort344);
                                    flick_iiopxx_check_span(_local_a._length * 4, _flick_abort344);
                                    for (_t165_array_iter = 0; _t165_array_iter < _local_a._length; _t165_array_iter++)
                                      {
                                        flick_iiopxx_decode_new_chunk(4);
                                        flick_cdr_swap_decode_signed32(0, _local_a._buffer[_t165_array_iter], CORBA::Long );
                                        flick_iiopxx_decode_end_chunk(4);
                                        continue;
                                      }
                                    flick_iiopxx_decode_end_glob(47);
                                    flick_iiopxx_server_end_decode();
                                    flick_corbaxx_init_environment();
                                    _return = _local_this->multlonglist(_local_a, _ev);
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_iiopxx_server_start_encode();
                                    {
                                      int _t166_temp_major;

                                      flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t166_temp_major);

                                      flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort344);
                                      flick_iiopxx_encode_new_glob(8, _flick_abort344);
                                      flick_iiopxx_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _t166_temp_major, int );
                                      flick_iiopxx_encode_end_chunk(4);
                                      switch (_t166_temp_major)
                                        {
                                        case CORBA::NO_EXCEPTION:
                                          {
                                            /* Begin encode phase on parameters */
                                            flick_iiopxx_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                            flick_iiopxx_encode_end_chunk(4);
                                            flick_iiopxx_encode_end_glob(8);
                                            break;
                                          }
                                        case CORBA::SYSTEM_EXCEPTION:
                                          {
                                            flick_iiopxx_encode_end_glob(8);
                                            flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort355);
                                            break;
                                            {
                                            _flick_abort355:
                                              goto _flick_abort344;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort356);
                                            flick_iiopxx_encode_end_glob(8);
                                            break;
                                            {
                                            _flick_abort356:
                                              goto _flick_abort344;
                                            }
                                          }
                                        }
                                    }
                                    flick_iiopxx_server_end_encode();
                                    break;
                                    {
                                    _flick_abort344:
                                      goto _flick_abort343;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort343:
                                    goto _flick_abort5;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                                  flick_iiopxx_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t167_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t167_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t167_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t168_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t168_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t168_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_math *_local_this;
                        unsigned int _t169_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t170_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort358);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t169_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(24);
                        flick_iiopxx_check_span(_t169_principal_len, _flick_abort358);
                        flick_iiopxx_decode_new_glob(_t169_principal_len);
                        flick_iiopxx_decode_new_chunk(_t169_principal_len);
                        flick_iiopxx_decode_end_chunk(_t169_principal_len);
                        flick_iiopxx_decode_end_glob(_t169_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort358);
                        flick_cdr_swap_decode_unsigned32(0, _t170_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t170_temp_string_len);
                        flick_iiopxx_check_span(1 * _t170_temp_string_len, _flick_abort358);
                        flick_iiopxx_decode_new_chunk(1 * _t170_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_type_id, CORBA::Char *);
                        flick_iiopxx_decode_end_chunk(1 * _t170_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t170_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t171_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t171_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort358);
                          flick_iiopxx_encode_new_glob(5, _flick_abort358);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t171_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t171_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort366);
                                break;
                                {
                                _flick_abort366:
                                  goto _flick_abort358;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort367);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort367:
                                  goto _flick_abort358;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort358:
                          goto _flick_abort357;
                        }
                      }
                      break;
                      {
                      _flick_abort357:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
          flick_iiopxx_decode_end_glob(24);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t42_switch_tag;

    flick_iiopxx_decode_new_glob(24);
    flick_iiopxx_check_span(16, _flick_abort5);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t42_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t42_switch_tag)
      {
      case (unsigned int) 9:
        {
          unsigned int _t43_switch_tag;

          flick_iiopxx_check_span(16, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t43_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t43_switch_tag)
            {
            case /* adds */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1633969267):
              {
                unsigned int _t44_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t44_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t44_switch_tag)
                  {
                  case /* hort */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1752134260):
                    {
                      char _t45_switch_tag;

                      flick_iiopxx_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t45_switch_tag, char );
                      flick_iiopxx_decode_end_chunk(1);
                      switch ((char )_t45_switch_tag)
                        {
                        case 0:
                          {
                            {
                              POA_math *_local_this;
                              unsigned int _t46_principal_len;
                              CORBA::Short _return;
                              CORBA::Short _local_a;
                              CORBA::Short _local_b;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort95);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(7);
                              flick_cdr_decode_unsigned32(3, _t46_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(7);
                              flick_iiopxx_decode_end_glob(24);
                              flick_iiopxx_check_span(_t46_principal_len, _flick_abort95);
                              flick_iiopxx_decode_new_glob(_t46_principal_len);
                              flick_iiopxx_decode_new_chunk(_t46_principal_len);
                              flick_iiopxx_decode_end_chunk(_t46_principal_len);
                              flick_iiopxx_decode_end_glob(_t46_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiopxx_decode_new_glob(5);
                              flick_iiopxx_decode_new_chunk_align(4, 1, 0, 0);
                              flick_iiopxx_check_span(4, _flick_abort95);
                              flick_cdr_decode_signed16(0, _local_a, CORBA::Short );
                              flick_cdr_decode_signed16(2, _local_b, CORBA::Short );
                              flick_iiopxx_decode_end_chunk(4);
                              flick_iiopxx_decode_end_glob(5);
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->addshort(_local_a, _local_b, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t47_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t47_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort95);
                                flick_iiopxx_encode_new_glob(6, _flick_abort95);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t47_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t47_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_new_chunk(2);
                                      flick_cdr_encode_signed16(0, _return, CORBA::Short );
                                      flick_iiopxx_encode_end_chunk(2);
                                      flick_iiopxx_encode_end_glob(6);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(6);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort101);
                                      break;
                                      {
                                      _flick_abort101:
                                        goto _flick_abort95;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort102);
                                      flick_iiopxx_encode_end_glob(6);
                                      break;
                                      {
                                      _flick_abort102:
                                        goto _flick_abort95;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort95:
                                goto _flick_abort94;
                              }
                            }
                            break;
                            {
                            _flick_abort94:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            case /* subs */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1937072755):
              {
                unsigned int _t48_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t48_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t48_switch_tag)
                  {
                  case /* hort */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1752134260):
                    {
                      char _t49_switch_tag;

                      flick_iiopxx_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t49_switch_tag, char );
                      flick_iiopxx_decode_end_chunk(1);
                      switch ((char )_t49_switch_tag)
                        {
                        case 0:
                          {
                            {
                              POA_math *_local_this;
                              unsigned int _t50_principal_len;
                              CORBA::Short _return;
                              CORBA::Short _local_a;
                              CORBA::Short _local_b;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort104);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(7);
                              flick_cdr_decode_unsigned32(3, _t50_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(7);
                              flick_iiopxx_decode_end_glob(24);
                              flick_iiopxx_check_span(_t50_principal_len, _flick_abort104);
                              flick_iiopxx_decode_new_glob(_t50_principal_len);
                              flick_iiopxx_decode_new_chunk(_t50_principal_len);
                              flick_iiopxx_decode_end_chunk(_t50_principal_len);
                              flick_iiopxx_decode_end_glob(_t50_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiopxx_decode_new_glob(5);
                              flick_iiopxx_decode_new_chunk_align(4, 1, 0, 0);
                              flick_iiopxx_check_span(4, _flick_abort104);
                              flick_cdr_decode_signed16(0, _local_a, CORBA::Short );
                              flick_cdr_decode_signed16(2, _local_b, CORBA::Short );
                              flick_iiopxx_decode_end_chunk(4);
                              flick_iiopxx_decode_end_glob(5);
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->subshort(_local_a, _local_b, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t51_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t51_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort104);
                                flick_iiopxx_encode_new_glob(6, _flick_abort104);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t51_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t51_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_new_chunk(2);
                                      flick_cdr_encode_signed16(0, _return, CORBA::Short );
                                      flick_iiopxx_encode_end_chunk(2);
                                      flick_iiopxx_encode_end_glob(6);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(6);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort110);
                                      break;
                                      {
                                      _flick_abort110:
                                        goto _flick_abort104;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort111);
                                      flick_iiopxx_encode_end_glob(6);
                                      break;
                                      {
                                      _flick_abort111:
                                        goto _flick_abort104;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort104:
                                goto _flick_abort103;
                              }
                            }
                            break;
                            {
                            _flick_abort103:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            case /* mult */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1836412020):
              {
                unsigned int _t52_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t52_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t52_switch_tag)
                  {
                  case /* long */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1819242087):
                    {
                      char _t53_switch_tag;

                      flick_iiopxx_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t53_switch_tag, char );
                      flick_iiopxx_decode_end_chunk(1);
                      switch ((char )_t53_switch_tag)
                        {
                        case 0:
                          {
                            {
                              POA_math *_local_this;
                              unsigned int _t54_principal_len;
                              CORBA::Long _return;
                              CORBA::Long _local_a;
                              CORBA::Long _local_b;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort113);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(7);
                              flick_cdr_decode_unsigned32(3, _t54_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(7);
                              flick_iiopxx_decode_end_glob(24);
                              flick_iiopxx_check_span(_t54_principal_len, _flick_abort113);
                              flick_iiopxx_decode_new_glob(_t54_principal_len);
                              flick_iiopxx_decode_new_chunk(_t54_principal_len);
                              flick_iiopxx_decode_end_chunk(_t54_principal_len);
                              flick_iiopxx_decode_end_glob(_t54_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiopxx_decode_new_glob(11);
                              flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                              flick_iiopxx_check_span(8, _flick_abort113);
                              flick_cdr_decode_signed32(0, _local_a, CORBA::Long );
                              flick_cdr_decode_signed32(4, _local_b, CORBA::Long );
                              flick_iiopxx_decode_end_chunk(8);
                              flick_iiopxx_decode_end_glob(11);
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->multlong(_local_a, _local_b, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t55_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t55_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort113);
                                flick_iiopxx_encode_new_glob(8, _flick_abort113);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t55_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t55_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                      flick_iiopxx_encode_end_chunk(4);
                                      flick_iiopxx_encode_end_glob(8);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(8);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort119);
                                      break;
                                      {
                                      _flick_abort119:
                                        goto _flick_abort113;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort120);
                                      flick_iiopxx_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort120:
                                        goto _flick_abort113;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort113:
                                goto _flick_abort112;
                              }
                            }
                            break;
                            {
                            _flick_abort112:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          unsigned int _t56_switch_tag;

          flick_iiopxx_check_span(16, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t56_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t56_switch_tag)
            {
            case /* mult */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1836412020):
              {
                unsigned int _t57_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t57_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t57_switch_tag)
                  {
                  case /* shor */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1936224114):
                    {
                      unsigned short int _t58_switch_tag;

                      flick_iiopxx_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t58_switch_tag, unsigned short int );
                      flick_iiopxx_decode_end_chunk(2);
                      switch ((unsigned short int )_t58_switch_tag)
                        {
                        case /* t */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29696):
                          {
                            {
                              POA_math *_local_this;
                              unsigned int _t59_principal_len;
                              CORBA::Short _return;
                              CORBA::Short _local_a;
                              CORBA::Short _local_b;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort122);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t59_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(6);
                              flick_iiopxx_decode_end_glob(24);
                              flick_iiopxx_check_span(_t59_principal_len, _flick_abort122);
                              flick_iiopxx_decode_new_glob(_t59_principal_len);
                              flick_iiopxx_decode_new_chunk(_t59_principal_len);
                              flick_iiopxx_decode_end_chunk(_t59_principal_len);
                              flick_iiopxx_decode_end_glob(_t59_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiopxx_decode_new_glob(5);
                              flick_iiopxx_decode_new_chunk_align(4, 1, 0, 0);
                              flick_iiopxx_check_span(4, _flick_abort122);
                              flick_cdr_decode_signed16(0, _local_a, CORBA::Short );
                              flick_cdr_decode_signed16(2, _local_b, CORBA::Short );
                              flick_iiopxx_decode_end_chunk(4);
                              flick_iiopxx_decode_end_glob(5);
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->multshort(_local_a, _local_b, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t60_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t60_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort122);
                                flick_iiopxx_encode_new_glob(6, _flick_abort122);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t60_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t60_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_new_chunk(2);
                                      flick_cdr_encode_signed16(0, _return, CORBA::Short );
                                      flick_iiopxx_encode_end_chunk(2);
                                      flick_iiopxx_encode_end_glob(6);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(6);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort128);
                                      break;
                                      {
                                      _flick_abort128:
                                        goto _flick_abort122;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort129);
                                      flick_iiopxx_encode_end_glob(6);
                                      break;
                                      {
                                      _flick_abort129:
                                        goto _flick_abort122;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort122:
                                goto _flick_abort121;
                              }
                            }
                            break;
                            {
                            _flick_abort121:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t61_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t61_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t61_switch_tag)
            {
            case /* addl */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1633969260):
              {
                unsigned int _t62_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t62_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t62_switch_tag)
                  {
                  case /* ong */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869506304):
                    {
                      {
                        POA_math *_local_this;
                        unsigned int _t63_principal_len;
                        CORBA::Long _return;
                        CORBA::Long _local_a;
                        CORBA::Long _local_b;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort131);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t63_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(24);
                        flick_iiopxx_check_span(_t63_principal_len, _flick_abort131);
                        flick_iiopxx_decode_new_glob(_t63_principal_len);
                        flick_iiopxx_decode_new_chunk(_t63_principal_len);
                        flick_iiopxx_decode_end_chunk(_t63_principal_len);
                        flick_iiopxx_decode_end_glob(_t63_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(11);
                        flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                        flick_iiopxx_check_span(8, _flick_abort131);
                        flick_cdr_decode_signed32(0, _local_a, CORBA::Long );
                        flick_cdr_decode_signed32(4, _local_b, CORBA::Long );
                        flick_iiopxx_decode_end_chunk(8);
                        flick_iiopxx_decode_end_glob(11);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->addlong(_local_a, _local_b, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t64_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t64_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort131);
                          flick_iiopxx_encode_new_glob(8, _flick_abort131);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t64_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t64_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(8);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort137);
                                break;
                                {
                                _flick_abort137:
                                  goto _flick_abort131;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort138);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                                {
                                _flick_abort138:
                                  goto _flick_abort131;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort131:
                          goto _flick_abort130;
                        }
                      }
                      break;
                      {
                      _flick_abort130:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            case /* subl */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1937072748):
              {
                unsigned int _t65_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t65_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t65_switch_tag)
                  {
                  case /* ong */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869506304):
                    {
                      {
                        POA_math *_local_this;
                        unsigned int _t66_principal_len;
                        CORBA::Long _return;
                        CORBA::Long _local_a;
                        CORBA::Long _local_b;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort140);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t66_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(24);
                        flick_iiopxx_check_span(_t66_principal_len, _flick_abort140);
                        flick_iiopxx_decode_new_glob(_t66_principal_len);
                        flick_iiopxx_decode_new_chunk(_t66_principal_len);
                        flick_iiopxx_decode_end_chunk(_t66_principal_len);
                        flick_iiopxx_decode_end_glob(_t66_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(11);
                        flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                        flick_iiopxx_check_span(8, _flick_abort140);
                        flick_cdr_decode_signed32(0, _local_a, CORBA::Long );
                        flick_cdr_decode_signed32(4, _local_b, CORBA::Long );
                        flick_iiopxx_decode_end_chunk(8);
                        flick_iiopxx_decode_end_glob(11);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->sublong(_local_a, _local_b, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t67_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t67_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort140);
                          flick_iiopxx_encode_new_glob(8, _flick_abort140);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t67_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t67_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(8);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort146);
                                break;
                                {
                                _flick_abort146:
                                  goto _flick_abort140;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort147);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                                {
                                _flick_abort147:
                                  goto _flick_abort140;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort140:
                          goto _flick_abort139;
                        }
                      }
                      break;
                      {
                      _flick_abort139:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 12:
        {
          unsigned int _t68_switch_tag;

          flick_iiopxx_check_span(16, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t68_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t68_switch_tag)
            {
            case /* addl */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1633969260):
              {
                unsigned int _t69_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t69_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t69_switch_tag)
                  {
                  case /* ongl */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869506412):
                    {
                      unsigned int _t70_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t70_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t70_switch_tag)
                        {
                        case /* ist */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769174016):
                          {
                            {
                              POA_math *_local_this;
                              unsigned int _t71_principal_len;
                              CORBA::Long _return;
                              long10 _local_a;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort149);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t71_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(4);
                              flick_iiopxx_decode_end_glob(24);
                              flick_iiopxx_check_span(_t71_principal_len, _flick_abort149);
                              flick_iiopxx_decode_new_glob(_t71_principal_len);
                              flick_iiopxx_decode_new_chunk(_t71_principal_len);
                              flick_iiopxx_decode_end_chunk(_t71_principal_len);
                              flick_iiopxx_decode_end_glob(_t71_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiopxx_decode_new_glob(47);
                              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiopxx_check_span(4, _flick_abort149);
                              flick_cdr_decode_unsigned32(0, _local_a._length, CORBA::ULong );
                              if (_local_a._length > 10)
                                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort149);
                              flick_iiopxx_decode_end_chunk(4);
                              flick_iiopxx_check_span(4 * _local_a._length, _flick_abort149);
                              flick_iiopxx_decode_new_chunk(4 * _local_a._length);
                              flick_cdr_decode_bcopy(0, _local_a._buffer, 4 * _local_a._length);
                              flick_iiopxx_decode_end_chunk(4 * _local_a._length);
                              flick_iiopxx_decode_end_glob(47);
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->addlonglist(_local_a, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t72_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t72_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort149);
                                flick_iiopxx_encode_new_glob(8, _flick_abort149);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t72_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t72_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                      flick_iiopxx_encode_end_chunk(4);
                                      flick_iiopxx_encode_end_glob(8);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(8);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort157);
                                      break;
                                      {
                                      _flick_abort157:
                                        goto _flick_abort149;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort158);
                                      flick_iiopxx_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort158:
                                        goto _flick_abort149;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort149:
                                goto _flick_abort148;
                              }
                            }
                            break;
                            {
                            _flick_abort148:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 13:
        {
          unsigned int _t73_switch_tag;

          flick_iiopxx_check_span(20, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t73_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t73_switch_tag)
            {
            case /* mult */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1836412020):
              {
                unsigned int _t74_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t74_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t74_switch_tag)
                  {
                  case /* long */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1819242087):
                    {
                      unsigned int _t75_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t75_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t75_switch_tag)
                        {
                        case /* list */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1818850164):
                          {
                            char _t76_switch_tag;

                            flick_iiopxx_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t76_switch_tag, char );
                            flick_iiopxx_decode_end_chunk(1);
                            switch ((char )_t76_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    POA_math *_local_this;
                                    unsigned int _t77_principal_len;
                                    CORBA::Long _return;
                                    long10 _local_a;
                                    CORBA::Environment _ev;

                                    flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort160);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_iiopxx_decode_new_chunk(7);
                                    flick_cdr_decode_unsigned32(3, _t77_principal_len, unsigned int );
                                    flick_iiopxx_decode_end_chunk(7);
                                    flick_iiopxx_decode_end_glob(24);
                                    flick_iiopxx_check_span(_t77_principal_len, _flick_abort160);
                                    flick_iiopxx_decode_new_glob(_t77_principal_len);
                                    flick_iiopxx_decode_new_chunk(_t77_principal_len);
                                    flick_iiopxx_decode_end_chunk(_t77_principal_len);
                                    flick_iiopxx_decode_end_glob(_t77_principal_len);
                                    /* Begin decode phase on parameters */
                                    _return = 0;
                                    flick_iiopxx_decode_new_glob(47);
                                    flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_iiopxx_check_span(4, _flick_abort160);
                                    flick_cdr_decode_unsigned32(0, _local_a._length, CORBA::ULong );
                                    if (_local_a._length > 10)
                                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort160);
                                    flick_iiopxx_decode_end_chunk(4);
                                    flick_iiopxx_check_span(4 * _local_a._length, _flick_abort160);
                                    flick_iiopxx_decode_new_chunk(4 * _local_a._length);
                                    flick_cdr_decode_bcopy(0, _local_a._buffer, 4 * _local_a._length);
                                    flick_iiopxx_decode_end_chunk(4 * _local_a._length);
                                    flick_iiopxx_decode_end_glob(47);
                                    flick_iiopxx_server_end_decode();
                                    flick_corbaxx_init_environment();
                                    _return = _local_this->multlonglist(_local_a, _ev);
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_iiopxx_server_start_encode();
                                    {
                                      int _t78_temp_major;

                                      flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t78_temp_major);

                                      flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort160);
                                      flick_iiopxx_encode_new_glob(8, _flick_abort160);
                                      flick_iiopxx_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _t78_temp_major, int );
                                      flick_iiopxx_encode_end_chunk(4);
                                      switch (_t78_temp_major)
                                        {
                                        case CORBA::NO_EXCEPTION:
                                          {
                                            /* Begin encode phase on parameters */
                                            flick_iiopxx_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                            flick_iiopxx_encode_end_chunk(4);
                                            flick_iiopxx_encode_end_glob(8);
                                            break;
                                          }
                                        case CORBA::SYSTEM_EXCEPTION:
                                          {
                                            flick_iiopxx_encode_end_glob(8);
                                            flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort168);
                                            break;
                                            {
                                            _flick_abort168:
                                              goto _flick_abort160;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort169);
                                            flick_iiopxx_encode_end_glob(8);
                                            break;
                                            {
                                            _flick_abort169:
                                              goto _flick_abort160;
                                            }
                                          }
                                        }
                                    }
                                    flick_iiopxx_server_end_encode();
                                    break;
                                    {
                                    _flick_abort160:
                                      goto _flick_abort159;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort159:
                                    goto _flick_abort5;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                                  flick_iiopxx_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t79_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t79_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t79_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t80_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t80_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t80_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_math *_local_this;
                        unsigned int _t81_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t82_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort171);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t81_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(24);
                        flick_iiopxx_check_span(_t81_principal_len, _flick_abort171);
                        flick_iiopxx_decode_new_glob(_t81_principal_len);
                        flick_iiopxx_decode_new_chunk(_t81_principal_len);
                        flick_iiopxx_decode_end_chunk(_t81_principal_len);
                        flick_iiopxx_decode_end_glob(_t81_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort171);
                        flick_cdr_decode_unsigned32(0, _t82_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t82_temp_string_len);
                        flick_iiopxx_check_span(1 * _t82_temp_string_len, _flick_abort171);
                        flick_iiopxx_decode_new_chunk(1 * _t82_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_type_id, CORBA::Char *);
                        flick_iiopxx_decode_end_chunk(1 * _t82_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t82_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t83_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t83_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort171);
                          flick_iiopxx_encode_new_glob(5, _flick_abort171);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t83_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t83_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort179);
                                break;
                                {
                                _flick_abort179:
                                  goto _flick_abort171;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort180);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort180:
                                  goto _flick_abort171;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort171:
                          goto _flick_abort170;
                        }
                      }
                      break;
                      {
                      _flick_abort170:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
          flick_iiopxx_decode_end_glob(24);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return;
  {
  _flick_abort5:
    flick_corbaxx_server_error(cdr, iiopxx, _flick_reaper, _flick_abort4);
  _flick_abort4:
    return ;
  }
_flick_reaper:
  return ;
}

