#include "nest-refs-server.h"

POA_test::POA_test()
{}

POA_test::POA_test(const POA_test &rhs)
  : TAO_ServantBase(rhs)
{}

POA_test::~POA_test()
{}

test *POA_test::_this(CORBA::Environment &_env)
{
  TAO_Stub *stub = this->_create_stub(_env);
  TAO_CHECK_ENV_RETURN(_env, 0);
  return new _tao_collocated_test(this, stub);
}

CORBA::Boolean POA_test::_is_a(const CORBA::Char *type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)type_id, "IDL:test:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return 0;
}

void *POA_test::_downcast(const char *logical_type_id)
{
  if(ACE_OS::strcmp(logical_type_id, "IDL:test:1.0") == 0)
    return ACE_static_cast(POA_test_ptr , this);
   
  if(ACE_OS::strcmp(logical_type_id, "IDL:omg.org/CORBA/Object:1.0") == 0)
    return ACE_static_cast(PortableServer::Servant, this);
  return 0;
}

const char *POA_test::_interface_repository_id() const
{
  return "IDL:test:1.0";
}

template <class T>
  POA_test_tie<T>::POA_test_tie(T &t)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(0)
{}

template <class T>
  POA_test_tie<T>::POA_test_tie(T &t, PortableServer::POA_ptr poa)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(0)
{}

template <class T>
  POA_test_tie<T>::POA_test_tie(T *t, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(release)
{}

template <class T>
  POA_test_tie<T>::POA_test_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(release)
{}

template <class T>
  POA_test_tie<T>::~POA_test_tie()
{
  if( this->rel_ ) delete this->ptr_;
}

template <class T>
  T *POA_test_tie<T>::_tied_object()
{
  return this->ptr_;
}

template <class T>
  void POA_test_tie<T>::_tied_object(T &obj)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = &obj;
  this->rel_ = 0;
}

template <class T>
  void POA_test_tie<T>::_tied_object(T &obj, CORBA::Boolean release)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = obj;
  this->rel_ = release;
}

template <class T>
  CORBA::Boolean POA_test_tie<T>::_is_owner()
{
  return this->rel_;
}

template <class T>
  void POA_test_tie<T>::_is_owner(CORBA::Boolean b)
{
  this->rel_ = b;
}

template <class T>
  PortableServer::POA_ptr POA_test_tie<T>::_default_POA()
{
  if( !(CORBA::is_nil(this->poa_.in())) )
    return PortableServer::POA::_duplicate(this->poa_.in());
  else
  {
    TAO_POA *poa = TAO_ORB_Core_instance()->root_poa();
    PortableServer::POA_var result = poa->_this(env);
    if( env.exception() != 0 )
      return PortableServer::POA::_nil();
    else
      return result._retn();
  }
}

template <class T>
  POA_test_tie<T>::POA_test_tie(const POA_test_tie &c)
{}

template <class T>
  void POA_test_tie<T>::operator=(const POA_test_tie &c)
{}

template <class T>
  ReferenceData *POA_test_tie<T>::id(/* POA_test *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->id (_ev);
}

template <class T>
  void POA_test_tie<T>::id(/* POA_test *this, */ const ReferenceData &id, CORBA::Environment &_ev)
{
  this->ptr_->id (id, _ev);
}

template <class T>
  OctetSequence *POA_test_tie<T>::info(/* POA_test *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->info (_ev);
}

template <class T>
  void POA_test_tie<T>::info(/* POA_test *this, */ const OctetSequence &info, CORBA::Environment &_ev)
{
  this->ptr_->info (info, _ev);
}

_tao_collocated_test::_tao_collocated_test(POA_test_ptr servant, TAO_Stub *stub)
  : test(),
    CORBA_Object(stub, servant, 1),
    servant_ (servant)
{
}

POA_test_ptr _tao_collocated_test::_get_servant() const
{
  return this->servant_;
}

ReferenceData *_tao_collocated_test::id(CORBA::Environment &_ev)
{
  return this->servant_->id (_ev);
}

void _tao_collocated_test::id(const ReferenceData &id, CORBA::Environment &_ev)
{
  this->servant_->id (id, _ev);
}

OctetSequence *_tao_collocated_test::info(CORBA::Environment &_ev)
{
  return this->servant_->info (_ev);
}

void _tao_collocated_test::info(const OctetSequence &info, CORBA::Environment &_ev)
{
  this->servant_->info (info, _ev);
}

CORBA::Boolean _tao_collocated_test::_is_a(const char *type_id, CORBA::Environment &_ev)
{
  return this->servant_->_is_a (type_id, _ev);
}

int flick_marshal_stub_test(flick_marshal_stream_t _stream, test_ptr *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdrxx_encode_IOR(iiopxx, *_data, 0, test , _flick_abort0);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_test(flick_marshal_stream_t _stream, test_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdrxx_decode_IOR(iiopxx, *_data, 1, test , _flick_abort1);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_test_swap(flick_marshal_stream_t _stream, test_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swapxx_decode_IOR(iiopxx, *_data, 1, test , _flick_abort2);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

void POA_test::_dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env){
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_InputCDR &_in_cdr = _tao_req.incoming();
  TAO_OutputCDR &_out_cdr = _tao_req.outgoing();
  flick_iiopxx_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (_in_cdr.do_byte_swap()) {
  {
    unsigned int _t66_switch_tag;

    flick_iiopxx_decode_new_glob(20);
    flick_iiopxx_check_span(16, _flick_abort5);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t66_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t66_switch_tag)
      {
      case (unsigned int) 8:
        {
          unsigned int _t67_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t67_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t67_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t68_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t68_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t68_switch_tag)
                  {
                  case /* _id */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600742400):
                    {
                      {
                        POA_test *_local_this;
                        unsigned int _t69_principal_len;
                        ReferenceData *_return;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort186);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t69_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(20);
                        flick_iiopxx_check_span(_t69_principal_len, _flick_abort186);
                        flick_iiopxx_decode_new_glob(_t69_principal_len);
                        flick_iiopxx_decode_new_chunk(_t69_principal_len);
                        flick_iiopxx_decode_end_chunk(_t69_principal_len);
                        flick_iiopxx_decode_end_glob(_t69_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->id(_ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t70_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t70_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort186);
                          flick_iiopxx_encode_new_glob(8, _flick_abort186);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t70_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t70_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_unsigned32(0, _return->_length, CORBA::ULong );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(8);
                                flick_iiopxx_encode_new_glob(1 * _return->_length, _flick_abort193);
                                flick_iiopxx_encode_new_chunk(1 * _return->_length);
                                flick_cdr_encode_bcopy(0, _return->_buffer, 1 * _return->_length);
                                flick_iiopxx_encode_end_chunk(1 * _return->_length);
                                flick_iiopxx_encode_end_glob(1 * _return->_length);
                                delete _return;
                                _return = 0;
                                break;
                                {
                                _flick_abort193:
                                  goto _flick_abort186;
                                }
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(8);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort196);
                                break;
                                {
                                _flick_abort196:
                                  goto _flick_abort186;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort197);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                                {
                                _flick_abort197:
                                  goto _flick_abort186;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort186:
                          goto _flick_abort185;
                        }
                      }
                      break;
                      {
                      _flick_abort185:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t71_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t71_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t71_switch_tag)
                  {
                  case /* _id */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600742400):
                    {
                      {
                        POA_test *_local_this;
                        unsigned int _t72_principal_len;
                        ReferenceData _local_id;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort199);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t72_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(20);
                        flick_iiopxx_check_span(_t72_principal_len, _flick_abort199);
                        flick_iiopxx_decode_new_glob(_t72_principal_len);
                        flick_iiopxx_decode_new_chunk(_t72_principal_len);
                        flick_iiopxx_decode_end_chunk(_t72_principal_len);
                        flick_iiopxx_decode_end_glob(_t72_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort199);
                        flick_cdr_swap_decode_unsigned32(0, _local_id._length, CORBA::ULong );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _local_id._length);
                        flick_iiopxx_check_span(1 * _local_id._length, _flick_abort199);
                        flick_iiopxx_decode_new_chunk(1 * _local_id._length);
                        flick_cdr_swap_decode_msgptr(0, _local_id._buffer, CORBA::Octet *);
                        _local_id._maximum = _local_id._length;
                        _local_id._release = 0;
                        flick_iiopxx_decode_end_chunk(1 * _local_id._length);
                        flick_iiopxx_decode_end_glob(1 * _local_id._length);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _local_this->id(_local_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t73_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t73_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort199);
                          flick_iiopxx_encode_new_glob(4, _flick_abort199);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t73_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t73_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_end_glob(4);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(4);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort207);
                                break;
                                {
                                _flick_abort207:
                                  goto _flick_abort199;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort208);
                                flick_iiopxx_encode_end_glob(4);
                                break;
                                {
                                _flick_abort208:
                                  goto _flick_abort199;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort199:
                          goto _flick_abort198;
                        }
                      }
                      break;
                      {
                      _flick_abort198:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          unsigned int _t74_switch_tag;

          flick_iiopxx_check_span(16, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t74_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t74_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t75_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t75_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t75_switch_tag)
                  {
                  case /* _inf */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600745062):
                    {
                      unsigned short int _t76_switch_tag;

                      flick_iiopxx_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t76_switch_tag, unsigned short int );
                      flick_iiopxx_decode_end_chunk(2);
                      switch ((unsigned short int )_t76_switch_tag)
                        {
                        case /* o */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28416):
                          {
                            {
                              POA_test *_local_this;
                              unsigned int _t77_principal_len;
                              OctetSequence *_return;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort210);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t77_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(6);
                              flick_iiopxx_decode_end_glob(20);
                              flick_iiopxx_check_span(_t77_principal_len, _flick_abort210);
                              flick_iiopxx_decode_new_glob(_t77_principal_len);
                              flick_iiopxx_decode_new_chunk(_t77_principal_len);
                              flick_iiopxx_decode_end_chunk(_t77_principal_len);
                              flick_iiopxx_decode_end_glob(_t77_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->info(_ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t78_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t78_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort210);
                                flick_iiopxx_encode_new_glob(8, _flick_abort210);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t78_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t78_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_new_chunk(4);
                                      flick_cdr_encode_unsigned32(0, _return->_length, CORBA::ULong );
                                      flick_iiopxx_encode_end_chunk(4);
                                      flick_iiopxx_encode_end_glob(8);
                                      flick_iiopxx_encode_new_glob(1 * _return->_length, _flick_abort217);
                                      flick_iiopxx_encode_new_chunk(1 * _return->_length);
                                      flick_cdr_encode_bcopy(0, _return->_buffer, 1 * _return->_length);
                                      flick_iiopxx_encode_end_chunk(1 * _return->_length);
                                      flick_iiopxx_encode_end_glob(1 * _return->_length);
                                      delete _return;
                                      _return = 0;
                                      break;
                                      {
                                      _flick_abort217:
                                        goto _flick_abort210;
                                      }
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(8);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort220);
                                      break;
                                      {
                                      _flick_abort220:
                                        goto _flick_abort210;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort221);
                                      flick_iiopxx_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort221:
                                        goto _flick_abort210;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort210:
                                goto _flick_abort209;
                              }
                            }
                            break;
                            {
                            _flick_abort209:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t79_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t79_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t79_switch_tag)
                  {
                  case /* _inf */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600745062):
                    {
                      unsigned short int _t80_switch_tag;

                      flick_iiopxx_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t80_switch_tag, unsigned short int );
                      flick_iiopxx_decode_end_chunk(2);
                      switch ((unsigned short int )_t80_switch_tag)
                        {
                        case /* o */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28416):
                          {
                            {
                              POA_test *_local_this;
                              unsigned int _t81_principal_len;
                              OctetSequence _local_info;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort223);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t81_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(6);
                              flick_iiopxx_decode_end_glob(20);
                              flick_iiopxx_check_span(_t81_principal_len, _flick_abort223);
                              flick_iiopxx_decode_new_glob(_t81_principal_len);
                              flick_iiopxx_decode_new_chunk(_t81_principal_len);
                              flick_iiopxx_decode_end_chunk(_t81_principal_len);
                              flick_iiopxx_decode_end_glob(_t81_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiopxx_decode_new_glob(7);
                              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiopxx_check_span(4, _flick_abort223);
                              flick_cdr_swap_decode_unsigned32(0, _local_info._length, CORBA::ULong );
                              flick_iiopxx_decode_end_chunk(4);
                              flick_iiopxx_decode_end_glob(7);
                              flick_iiopxx_decode_new_glob(1 * _local_info._length);
                              flick_iiopxx_check_span(1 * _local_info._length, _flick_abort223);
                              flick_iiopxx_decode_new_chunk(1 * _local_info._length);
                              flick_cdr_swap_decode_msgptr(0, _local_info._buffer, CORBA::Octet *);
                              _local_info._maximum = _local_info._length;
                              _local_info._release = 0;
                              flick_iiopxx_decode_end_chunk(1 * _local_info._length);
                              flick_iiopxx_decode_end_glob(1 * _local_info._length);
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _local_this->info(_local_info, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t82_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t82_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort223);
                                flick_iiopxx_encode_new_glob(4, _flick_abort223);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t82_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t82_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(4);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort231);
                                      break;
                                      {
                                      _flick_abort231:
                                        goto _flick_abort223;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort232);
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort232:
                                        goto _flick_abort223;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort223:
                                goto _flick_abort222;
                              }
                            }
                            break;
                            {
                            _flick_abort222:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t83_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t83_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t83_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t84_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t84_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t84_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_test *_local_this;
                        unsigned int _t85_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t86_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort234);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t85_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(20);
                        flick_iiopxx_check_span(_t85_principal_len, _flick_abort234);
                        flick_iiopxx_decode_new_glob(_t85_principal_len);
                        flick_iiopxx_decode_new_chunk(_t85_principal_len);
                        flick_iiopxx_decode_end_chunk(_t85_principal_len);
                        flick_iiopxx_decode_end_glob(_t85_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort234);
                        flick_cdr_swap_decode_unsigned32(0, _t86_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t86_temp_string_len);
                        flick_iiopxx_check_span(1 * _t86_temp_string_len, _flick_abort234);
                        flick_iiopxx_decode_new_chunk(1 * _t86_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_type_id, CORBA::Char *);
                        flick_iiopxx_decode_end_chunk(1 * _t86_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t86_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t87_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t87_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort234);
                          flick_iiopxx_encode_new_glob(5, _flick_abort234);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t87_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t87_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort242);
                                break;
                                {
                                _flick_abort242:
                                  goto _flick_abort234;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort243);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort243:
                                  goto _flick_abort234;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort234:
                          goto _flick_abort233;
                        }
                      }
                      break;
                      {
                      _flick_abort233:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
          flick_iiopxx_decode_end_glob(20);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t22_switch_tag;

    flick_iiopxx_decode_new_glob(20);
    flick_iiopxx_check_span(16, _flick_abort5);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t22_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t22_switch_tag)
      {
      case (unsigned int) 8:
        {
          unsigned int _t23_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t23_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t23_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t24_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t24_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t24_switch_tag)
                  {
                  case /* _id */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600742400):
                    {
                      {
                        POA_test *_local_this;
                        unsigned int _t25_principal_len;
                        ReferenceData *_return;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort67);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t25_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(20);
                        flick_iiopxx_check_span(_t25_principal_len, _flick_abort67);
                        flick_iiopxx_decode_new_glob(_t25_principal_len);
                        flick_iiopxx_decode_new_chunk(_t25_principal_len);
                        flick_iiopxx_decode_end_chunk(_t25_principal_len);
                        flick_iiopxx_decode_end_glob(_t25_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->id(_ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t26_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t26_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort67);
                          flick_iiopxx_encode_new_glob(8, _flick_abort67);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t26_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t26_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_unsigned32(0, _return->_length, CORBA::ULong );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(8);
                                flick_iiopxx_encode_new_glob(1 * _return->_length, _flick_abort74);
                                flick_iiopxx_encode_new_chunk(1 * _return->_length);
                                flick_cdr_encode_bcopy(0, _return->_buffer, 1 * _return->_length);
                                flick_iiopxx_encode_end_chunk(1 * _return->_length);
                                flick_iiopxx_encode_end_glob(1 * _return->_length);
                                delete _return;
                                _return = 0;
                                break;
                                {
                                _flick_abort74:
                                  goto _flick_abort67;
                                }
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(8);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort77);
                                break;
                                {
                                _flick_abort77:
                                  goto _flick_abort67;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort78);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                                {
                                _flick_abort78:
                                  goto _flick_abort67;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort67:
                          goto _flick_abort66;
                        }
                      }
                      break;
                      {
                      _flick_abort66:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t27_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t27_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t27_switch_tag)
                  {
                  case /* _id */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600742400):
                    {
                      {
                        POA_test *_local_this;
                        unsigned int _t28_principal_len;
                        ReferenceData _local_id;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort80);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t28_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(20);
                        flick_iiopxx_check_span(_t28_principal_len, _flick_abort80);
                        flick_iiopxx_decode_new_glob(_t28_principal_len);
                        flick_iiopxx_decode_new_chunk(_t28_principal_len);
                        flick_iiopxx_decode_end_chunk(_t28_principal_len);
                        flick_iiopxx_decode_end_glob(_t28_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort80);
                        flick_cdr_decode_unsigned32(0, _local_id._length, CORBA::ULong );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _local_id._length);
                        flick_iiopxx_check_span(1 * _local_id._length, _flick_abort80);
                        flick_iiopxx_decode_new_chunk(1 * _local_id._length);
                        flick_cdr_decode_msgptr(0, _local_id._buffer, CORBA::Octet *);
                        _local_id._maximum = _local_id._length;
                        _local_id._release = 0;
                        flick_iiopxx_decode_end_chunk(1 * _local_id._length);
                        flick_iiopxx_decode_end_glob(1 * _local_id._length);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _local_this->id(_local_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t29_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t29_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort80);
                          flick_iiopxx_encode_new_glob(4, _flick_abort80);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t29_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t29_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_end_glob(4);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(4);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort88);
                                break;
                                {
                                _flick_abort88:
                                  goto _flick_abort80;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort89);
                                flick_iiopxx_encode_end_glob(4);
                                break;
                                {
                                _flick_abort89:
                                  goto _flick_abort80;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort80:
                          goto _flick_abort79;
                        }
                      }
                      break;
                      {
                      _flick_abort79:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          unsigned int _t30_switch_tag;

          flick_iiopxx_check_span(16, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t30_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t30_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t31_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t31_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t31_switch_tag)
                  {
                  case /* _inf */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600745062):
                    {
                      unsigned short int _t32_switch_tag;

                      flick_iiopxx_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t32_switch_tag, unsigned short int );
                      flick_iiopxx_decode_end_chunk(2);
                      switch ((unsigned short int )_t32_switch_tag)
                        {
                        case /* o */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28416):
                          {
                            {
                              POA_test *_local_this;
                              unsigned int _t33_principal_len;
                              OctetSequence *_return;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort91);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t33_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(6);
                              flick_iiopxx_decode_end_glob(20);
                              flick_iiopxx_check_span(_t33_principal_len, _flick_abort91);
                              flick_iiopxx_decode_new_glob(_t33_principal_len);
                              flick_iiopxx_decode_new_chunk(_t33_principal_len);
                              flick_iiopxx_decode_end_chunk(_t33_principal_len);
                              flick_iiopxx_decode_end_glob(_t33_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->info(_ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t34_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t34_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort91);
                                flick_iiopxx_encode_new_glob(8, _flick_abort91);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t34_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t34_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_new_chunk(4);
                                      flick_cdr_encode_unsigned32(0, _return->_length, CORBA::ULong );
                                      flick_iiopxx_encode_end_chunk(4);
                                      flick_iiopxx_encode_end_glob(8);
                                      flick_iiopxx_encode_new_glob(1 * _return->_length, _flick_abort98);
                                      flick_iiopxx_encode_new_chunk(1 * _return->_length);
                                      flick_cdr_encode_bcopy(0, _return->_buffer, 1 * _return->_length);
                                      flick_iiopxx_encode_end_chunk(1 * _return->_length);
                                      flick_iiopxx_encode_end_glob(1 * _return->_length);
                                      delete _return;
                                      _return = 0;
                                      break;
                                      {
                                      _flick_abort98:
                                        goto _flick_abort91;
                                      }
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(8);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort101);
                                      break;
                                      {
                                      _flick_abort101:
                                        goto _flick_abort91;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort102);
                                      flick_iiopxx_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort102:
                                        goto _flick_abort91;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort91:
                                goto _flick_abort90;
                              }
                            }
                            break;
                            {
                            _flick_abort90:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t35_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t35_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t35_switch_tag)
                  {
                  case /* _inf */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600745062):
                    {
                      unsigned short int _t36_switch_tag;

                      flick_iiopxx_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t36_switch_tag, unsigned short int );
                      flick_iiopxx_decode_end_chunk(2);
                      switch ((unsigned short int )_t36_switch_tag)
                        {
                        case /* o */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28416):
                          {
                            {
                              POA_test *_local_this;
                              unsigned int _t37_principal_len;
                              OctetSequence _local_info;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort104);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t37_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(6);
                              flick_iiopxx_decode_end_glob(20);
                              flick_iiopxx_check_span(_t37_principal_len, _flick_abort104);
                              flick_iiopxx_decode_new_glob(_t37_principal_len);
                              flick_iiopxx_decode_new_chunk(_t37_principal_len);
                              flick_iiopxx_decode_end_chunk(_t37_principal_len);
                              flick_iiopxx_decode_end_glob(_t37_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiopxx_decode_new_glob(7);
                              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiopxx_check_span(4, _flick_abort104);
                              flick_cdr_decode_unsigned32(0, _local_info._length, CORBA::ULong );
                              flick_iiopxx_decode_end_chunk(4);
                              flick_iiopxx_decode_end_glob(7);
                              flick_iiopxx_decode_new_glob(1 * _local_info._length);
                              flick_iiopxx_check_span(1 * _local_info._length, _flick_abort104);
                              flick_iiopxx_decode_new_chunk(1 * _local_info._length);
                              flick_cdr_decode_msgptr(0, _local_info._buffer, CORBA::Octet *);
                              _local_info._maximum = _local_info._length;
                              _local_info._release = 0;
                              flick_iiopxx_decode_end_chunk(1 * _local_info._length);
                              flick_iiopxx_decode_end_glob(1 * _local_info._length);
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _local_this->info(_local_info, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t38_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t38_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort104);
                                flick_iiopxx_encode_new_glob(4, _flick_abort104);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t38_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t38_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(4);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort112);
                                      break;
                                      {
                                      _flick_abort112:
                                        goto _flick_abort104;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort113);
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort113:
                                        goto _flick_abort104;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort104:
                                goto _flick_abort103;
                              }
                            }
                            break;
                            {
                            _flick_abort103:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t39_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t39_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t39_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t40_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t40_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t40_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_test *_local_this;
                        unsigned int _t41_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t42_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort115);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t41_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(20);
                        flick_iiopxx_check_span(_t41_principal_len, _flick_abort115);
                        flick_iiopxx_decode_new_glob(_t41_principal_len);
                        flick_iiopxx_decode_new_chunk(_t41_principal_len);
                        flick_iiopxx_decode_end_chunk(_t41_principal_len);
                        flick_iiopxx_decode_end_glob(_t41_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort115);
                        flick_cdr_decode_unsigned32(0, _t42_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t42_temp_string_len);
                        flick_iiopxx_check_span(1 * _t42_temp_string_len, _flick_abort115);
                        flick_iiopxx_decode_new_chunk(1 * _t42_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_type_id, CORBA::Char *);
                        flick_iiopxx_decode_end_chunk(1 * _t42_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t42_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t43_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t43_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort115);
                          flick_iiopxx_encode_new_glob(5, _flick_abort115);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t43_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t43_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort123);
                                break;
                                {
                                _flick_abort123:
                                  goto _flick_abort115;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort124);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort124:
                                  goto _flick_abort115;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort115:
                          goto _flick_abort114;
                        }
                      }
                      break;
                      {
                      _flick_abort114:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
          flick_iiopxx_decode_end_glob(20);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return;
  {
  _flick_abort5:
    flick_corbaxx_server_error(cdr, iiopxx, _flick_reaper, _flick_abort4);
  _flick_abort4:
    return ;
  }
_flick_reaper:
  return ;
}

