#include "primtypes-server.h"

POA_ex1::POA_ex1()
{}

POA_ex1::POA_ex1(const POA_ex1 &rhs)
  : TAO_ServantBase(rhs)
{}

POA_ex1::~POA_ex1()
{}

ex1 *POA_ex1::_this(CORBA::Environment &_env)
{
  TAO_Stub *stub = this->_create_stub(_env);
  TAO_CHECK_ENV_RETURN(_env, 0);
  return new _tao_collocated_ex1(this, stub);
}

CORBA::Boolean POA_ex1::_is_a(const CORBA::Char *type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)type_id, "IDL:ex1:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return 0;
}

void *POA_ex1::_downcast(const char *logical_type_id)
{
  if(ACE_OS::strcmp(logical_type_id, "IDL:ex1:1.0") == 0)
    return ACE_static_cast(POA_ex1_ptr , this);
   
  if(ACE_OS::strcmp(logical_type_id, "IDL:omg.org/CORBA/Object:1.0") == 0)
    return ACE_static_cast(PortableServer::Servant, this);
  return 0;
}

const char *POA_ex1::_interface_repository_id() const
{
  return "IDL:ex1:1.0";
}

template <class T>
  POA_ex1_tie<T>::POA_ex1_tie(T &t)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(0)
{}

template <class T>
  POA_ex1_tie<T>::POA_ex1_tie(T &t, PortableServer::POA_ptr poa)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(0)
{}

template <class T>
  POA_ex1_tie<T>::POA_ex1_tie(T *t, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(release)
{}

template <class T>
  POA_ex1_tie<T>::POA_ex1_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(release)
{}

template <class T>
  POA_ex1_tie<T>::~POA_ex1_tie()
{
  if( this->rel_ ) delete this->ptr_;
}

template <class T>
  T *POA_ex1_tie<T>::_tied_object()
{
  return this->ptr_;
}

template <class T>
  void POA_ex1_tie<T>::_tied_object(T &obj)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = &obj;
  this->rel_ = 0;
}

template <class T>
  void POA_ex1_tie<T>::_tied_object(T &obj, CORBA::Boolean release)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = obj;
  this->rel_ = release;
}

template <class T>
  CORBA::Boolean POA_ex1_tie<T>::_is_owner()
{
  return this->rel_;
}

template <class T>
  void POA_ex1_tie<T>::_is_owner(CORBA::Boolean b)
{
  this->rel_ = b;
}

template <class T>
  PortableServer::POA_ptr POA_ex1_tie<T>::_default_POA()
{
  if( !(CORBA::is_nil(this->poa_.in())) )
    return PortableServer::POA::_duplicate(this->poa_.in());
  else
  {
    TAO_POA *poa = TAO_ORB_Core_instance()->root_poa();
    PortableServer::POA_var result = poa->_this(env);
    if( env.exception() != 0 )
      return PortableServer::POA::_nil();
    else
      return result._retn();
  }
}

template <class T>
  POA_ex1_tie<T>::POA_ex1_tie(const POA_ex1_tie &c)
{}

template <class T>
  void POA_ex1_tie<T>::operator=(const POA_ex1_tie &c)
{}

template <class T>
  CORBA::Long POA_ex1_tie<T>::m1(/* POA_ex1 *this, */ CORBA::Long a, CORBA::Environment &_ev)
{
  return this->ptr_->m1 (a, _ev);
}

template <class T>
  ex1_ptr POA_ex1_tie<T>::mtypes(/* POA_ex1 *this, */ CORBA::Long a1, CORBA::Long &a2, ::CORBA::Long &a3, CORBA::ULong b1, CORBA::ULong &b2, ::CORBA::ULong &b3, CORBA::Short c1, CORBA::Short &c2, ::CORBA::Short &c3, CORBA::UShort d1, CORBA::UShort &d2, ::CORBA::UShort &d3, CORBA::Float e1, CORBA::Float &e2, ::CORBA::Float &e3, CORBA::Double f1, CORBA::Double &f2, ::CORBA::Double &f3, CORBA::Char g1, CORBA::Char &g2, ::CORBA::Char &g3, CORBA::Environment &_ev)
{
  return this->ptr_->mtypes (a1, a2, a3, b1, b2, b3, c1, c2, c3, d1, d2, d3, e1, e2, e3, f1, f2, f3, g1, g2, g3, _ev);
}

template <class T>
  CORBA::Long POA_ex1_tie<T>::l1(/* POA_ex1 *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->l1 (_ev);
}

template <class T>
  void POA_ex1_tie<T>::l1(/* POA_ex1 *this, */ CORBA::Long l1, CORBA::Environment &_ev)
{
  this->ptr_->l1 (l1, _ev);
}

_tao_collocated_ex1::_tao_collocated_ex1(POA_ex1_ptr servant, TAO_Stub *stub)
  : ex1(),
    CORBA_Object(stub, servant, 1),
    servant_ (servant)
{
}

POA_ex1_ptr _tao_collocated_ex1::_get_servant() const
{
  return this->servant_;
}

CORBA::Long _tao_collocated_ex1::m1(CORBA::Long a, CORBA::Environment &_ev)
{
  return this->servant_->m1 (a, _ev);
}

ex1_ptr _tao_collocated_ex1::mtypes(CORBA::Long a1, CORBA::Long &a2, ::CORBA::Long &a3, CORBA::ULong b1, CORBA::ULong &b2, ::CORBA::ULong &b3, CORBA::Short c1, CORBA::Short &c2, ::CORBA::Short &c3, CORBA::UShort d1, CORBA::UShort &d2, ::CORBA::UShort &d3, CORBA::Float e1, CORBA::Float &e2, ::CORBA::Float &e3, CORBA::Double f1, CORBA::Double &f2, ::CORBA::Double &f3, CORBA::Char g1, CORBA::Char &g2, ::CORBA::Char &g3, CORBA::Environment &_ev)
{
  return this->servant_->mtypes (a1, a2, a3, b1, b2, b3, c1, c2, c3, d1, d2, d3, e1, e2, e3, f1, f2, f3, g1, g2, g3, _ev);
}

CORBA::Long _tao_collocated_ex1::l1(CORBA::Environment &_ev)
{
  return this->servant_->l1 (_ev);
}

void _tao_collocated_ex1::l1(CORBA::Long l1, CORBA::Environment &_ev)
{
  this->servant_->l1 (l1, _ev);
}

CORBA::Boolean _tao_collocated_ex1::_is_a(const char *type_id, CORBA::Environment &_ev)
{
  return this->servant_->_is_a (type_id, _ev);
}

POA_ex2::POA_ex2()
{}

POA_ex2::POA_ex2(const POA_ex2 &rhs)
  : TAO_ServantBase(rhs)
{}

POA_ex2::~POA_ex2()
{}

ex2 *POA_ex2::_this(CORBA::Environment &_env)
{
  TAO_Stub *stub = this->_create_stub(_env);
  TAO_CHECK_ENV_RETURN(_env, 0);
  return new _tao_collocated_ex2(this, stub);
}

CORBA::Boolean POA_ex2::_is_a(const CORBA::Char *type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)type_id, "IDL:ex1:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, "IDL:ex2:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return 0;
}

void *POA_ex2::_downcast(const char *logical_type_id)
{
  if(ACE_OS::strcmp(logical_type_id, "IDL:ex2:1.0") == 0)
    return ACE_static_cast(POA_ex2_ptr , this);
  
  if(ACE_OS::strcmp(logical_type_id, "IDL:ex1:1.0") == 0)
    return ACE_reinterpret_cast(POA_ex1_ptr , this); 
  if(ACE_OS::strcmp(logical_type_id, "IDL:omg.org/CORBA/Object:1.0") == 0)
    return ACE_static_cast(PortableServer::Servant, this);
  return 0;
}

const char *POA_ex2::_interface_repository_id() const
{
  return "IDL:ex2:1.0";
}

template <class T>
  POA_ex2_tie<T>::POA_ex2_tie(T &t)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(0)
{}

template <class T>
  POA_ex2_tie<T>::POA_ex2_tie(T &t, PortableServer::POA_ptr poa)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(0)
{}

template <class T>
  POA_ex2_tie<T>::POA_ex2_tie(T *t, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(release)
{}

template <class T>
  POA_ex2_tie<T>::POA_ex2_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(release)
{}

template <class T>
  POA_ex2_tie<T>::~POA_ex2_tie()
{
  if( this->rel_ ) delete this->ptr_;
}

template <class T>
  T *POA_ex2_tie<T>::_tied_object()
{
  return this->ptr_;
}

template <class T>
  void POA_ex2_tie<T>::_tied_object(T &obj)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = &obj;
  this->rel_ = 0;
}

template <class T>
  void POA_ex2_tie<T>::_tied_object(T &obj, CORBA::Boolean release)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = obj;
  this->rel_ = release;
}

template <class T>
  CORBA::Boolean POA_ex2_tie<T>::_is_owner()
{
  return this->rel_;
}

template <class T>
  void POA_ex2_tie<T>::_is_owner(CORBA::Boolean b)
{
  this->rel_ = b;
}

template <class T>
  PortableServer::POA_ptr POA_ex2_tie<T>::_default_POA()
{
  if( !(CORBA::is_nil(this->poa_.in())) )
    return PortableServer::POA::_duplicate(this->poa_.in());
  else
  {
    TAO_POA *poa = TAO_ORB_Core_instance()->root_poa();
    PortableServer::POA_var result = poa->_this(env);
    if( env.exception() != 0 )
      return PortableServer::POA::_nil();
    else
      return result._retn();
  }
}

template <class T>
  POA_ex2_tie<T>::POA_ex2_tie(const POA_ex2_tie &c)
{}

template <class T>
  void POA_ex2_tie<T>::operator=(const POA_ex2_tie &c)
{}

template <class T>
  CORBA::Long POA_ex2_tie<T>::m2(/* POA_ex2 *this, */ CORBA::Long a, ::CORBA::Long &b, CORBA::Environment &_ev)
{
  return this->ptr_->m2 (a, b, _ev);
}

template <class T>
  void POA_ex2_tie<T>::mv(/* POA_ex2 *this, */ CORBA::Environment &_ev)
{
  this->ptr_->mv (_ev);
}

template <class T>
  CORBA::Long POA_ex2_tie<T>::l2(/* POA_ex2 *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->l2 (_ev);
}

template <class T>
  CORBA::Long POA_ex2_tie<T>::m1(/* POA_ex2 *this, */ CORBA::Long a, CORBA::Environment &_ev)
{
  return this->ptr_->m1 (a, _ev);
}

template <class T>
  ex1_ptr POA_ex2_tie<T>::mtypes(/* POA_ex2 *this, */ CORBA::Long a1, CORBA::Long &a2, ::CORBA::Long &a3, CORBA::ULong b1, CORBA::ULong &b2, ::CORBA::ULong &b3, CORBA::Short c1, CORBA::Short &c2, ::CORBA::Short &c3, CORBA::UShort d1, CORBA::UShort &d2, ::CORBA::UShort &d3, CORBA::Float e1, CORBA::Float &e2, ::CORBA::Float &e3, CORBA::Double f1, CORBA::Double &f2, ::CORBA::Double &f3, CORBA::Char g1, CORBA::Char &g2, ::CORBA::Char &g3, CORBA::Environment &_ev)
{
  return this->ptr_->mtypes (a1, a2, a3, b1, b2, b3, c1, c2, c3, d1, d2, d3, e1, e2, e3, f1, f2, f3, g1, g2, g3, _ev);
}

template <class T>
  CORBA::Long POA_ex2_tie<T>::l1(/* POA_ex2 *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->l1 (_ev);
}

template <class T>
  void POA_ex2_tie<T>::l1(/* POA_ex2 *this, */ CORBA::Long l1, CORBA::Environment &_ev)
{
  this->ptr_->l1 (l1, _ev);
}

_tao_collocated_ex2::_tao_collocated_ex2(POA_ex2_ptr servant, TAO_Stub *stub)
  : ex2(),
    CORBA_Object(stub, servant, 1),
    servant_ (servant)
{
}

POA_ex2_ptr _tao_collocated_ex2::_get_servant() const
{
  return this->servant_;
}

CORBA::Long _tao_collocated_ex2::m2(CORBA::Long a, ::CORBA::Long &b, CORBA::Environment &_ev)
{
  return this->servant_->m2 (a, b, _ev);
}

void _tao_collocated_ex2::mv(CORBA::Environment &_ev)
{
  this->servant_->mv (_ev);
}

CORBA::Long _tao_collocated_ex2::l2(CORBA::Environment &_ev)
{
  return this->servant_->l2 (_ev);
}

CORBA::Long _tao_collocated_ex2::m1(CORBA::Long a, CORBA::Environment &_ev)
{
  return this->servant_->m1 (a, _ev);
}

ex1_ptr _tao_collocated_ex2::mtypes(CORBA::Long a1, CORBA::Long &a2, ::CORBA::Long &a3, CORBA::ULong b1, CORBA::ULong &b2, ::CORBA::ULong &b3, CORBA::Short c1, CORBA::Short &c2, ::CORBA::Short &c3, CORBA::UShort d1, CORBA::UShort &d2, ::CORBA::UShort &d3, CORBA::Float e1, CORBA::Float &e2, ::CORBA::Float &e3, CORBA::Double f1, CORBA::Double &f2, ::CORBA::Double &f3, CORBA::Char g1, CORBA::Char &g2, ::CORBA::Char &g3, CORBA::Environment &_ev)
{
  return this->servant_->mtypes (a1, a2, a3, b1, b2, b3, c1, c2, c3, d1, d2, d3, e1, e2, e3, f1, f2, f3, g1, g2, g3, _ev);
}

CORBA::Long _tao_collocated_ex2::l1(CORBA::Environment &_ev)
{
  return this->servant_->l1 (_ev);
}

void _tao_collocated_ex2::l1(CORBA::Long l1, CORBA::Environment &_ev)
{
  this->servant_->l1 (l1, _ev);
}

CORBA::Boolean _tao_collocated_ex2::_is_a(const char *type_id, CORBA::Environment &_ev)
{
  return this->servant_->_is_a (type_id, _ev);
}

int flick_marshal_stub_ex1(flick_marshal_stream_t _stream, ex1_ptr *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdrxx_encode_IOR(iiopxx, *_data, 0, ex1 , _flick_abort0);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_ex1(flick_marshal_stream_t _stream, ex1_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdrxx_decode_IOR(iiopxx, *_data, 1, ex1 , _flick_abort1);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_ex1_swap(flick_marshal_stream_t _stream, ex1_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swapxx_decode_IOR(iiopxx, *_data, 1, ex1 , _flick_abort2);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

void POA_ex1::_dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env){
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_InputCDR &_in_cdr = _tao_req.incoming();
  TAO_OutputCDR &_out_cdr = _tao_req.outgoing();
  flick_iiopxx_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (_in_cdr.do_byte_swap()) {
  {
    unsigned int _t66_switch_tag;

    flick_iiopxx_decode_new_glob(16);
    flick_iiopxx_check_span(12, _flick_abort5);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t66_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t66_switch_tag)
      {
      case (unsigned int) 3:
        {
          unsigned short int _t67_switch_tag;

          flick_iiopxx_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t67_switch_tag, unsigned short int );
          flick_iiopxx_decode_end_chunk(2);
          switch ((unsigned short int )_t67_switch_tag)
            {
            case /* m1 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 27953):
              {
                char _t68_switch_tag;

                flick_iiopxx_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t68_switch_tag, char );
                flick_iiopxx_decode_end_chunk(1);
                switch ((char )_t68_switch_tag)
                  {
                  case 0:
                    {
                      {
                        POA_ex1 *_local_this;
                        unsigned int _t69_principal_len;
                        CORBA::Long _return;
                        CORBA::Long _local_a;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort150);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(5);
                        flick_cdr_swap_decode_unsigned32(1, _t69_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(5);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_check_span(_t69_principal_len, _flick_abort150);
                        flick_iiopxx_decode_new_glob(_t69_principal_len);
                        flick_iiopxx_decode_new_chunk(_t69_principal_len);
                        flick_iiopxx_decode_end_chunk(_t69_principal_len);
                        flick_iiopxx_decode_end_glob(_t69_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort150);
                        flick_cdr_swap_decode_signed32(0, _local_a, CORBA::Long );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->m1(_local_a, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t70_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t70_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort150);
                          flick_iiopxx_encode_new_glob(8, _flick_abort150);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t70_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t70_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(8);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort156);
                                break;
                                {
                                _flick_abort156:
                                  goto _flick_abort150;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort157);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                                {
                                _flick_abort157:
                                  goto _flick_abort150;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort150:
                          goto _flick_abort149;
                        }
                      }
                      break;
                      {
                      _flick_abort149:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          unsigned int _t71_switch_tag;

          flick_iiopxx_check_span(12, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t71_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t71_switch_tag)
            {
            case /* mtyp */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1836349808):
              {
                unsigned short int _t72_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t72_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t72_switch_tag)
                  {
                  case /* es */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25971):
                    {
                      char _t73_switch_tag;

                      flick_iiopxx_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t73_switch_tag, char );
                      flick_iiopxx_decode_end_chunk(1);
                      switch ((char )_t73_switch_tag)
                        {
                        case 0:
                          {
                            {
                              POA_ex1 *_local_this;
                              unsigned int _t74_principal_len;
                              ex1_ptr _return;
                              CORBA::Long _local_a1;
                              CORBA::Long _local_a2;
                              CORBA::Long _local_a3;
                              CORBA::ULong _local_b1;
                              CORBA::ULong _local_b2;
                              CORBA::ULong _local_b3;
                              CORBA::Short _local_c1;
                              CORBA::Short _local_c2;
                              CORBA::Short _local_c3;
                              CORBA::UShort _local_d1;
                              CORBA::UShort _local_d2;
                              CORBA::UShort _local_d3;
                              CORBA::Float _local_e1;
                              CORBA::Float _local_e2;
                              CORBA::Float _local_e3;
                              CORBA::Double _local_f1;
                              CORBA::Double _local_f2;
                              CORBA::Double _local_f3;
                              CORBA::Char _local_g1;
                              CORBA::Char _local_g2;
                              CORBA::Char _local_g3;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort159);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(5);
                              flick_cdr_swap_decode_unsigned32(1, _t74_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(5);
                              flick_iiopxx_decode_end_glob(16);
                              flick_iiopxx_check_span(_t74_principal_len, _flick_abort159);
                              flick_iiopxx_decode_new_glob(_t74_principal_len);
                              flick_iiopxx_decode_new_chunk(_t74_principal_len);
                              flick_iiopxx_decode_end_chunk(_t74_principal_len);
                              flick_iiopxx_decode_end_glob(_t74_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiopxx_decode_new_glob(57);
                              flick_iiopxx_decode_new_chunk_align(32, 2, 0, 0);
                              flick_iiopxx_check_span(32, _flick_abort159);
                              flick_cdr_swap_decode_signed32(0, _local_a1, CORBA::Long );
                              flick_cdr_swap_decode_signed32(4, _local_a2, CORBA::Long );
                              flick_cdr_swap_decode_unsigned32(8, _local_b1, CORBA::ULong );
                              flick_cdr_swap_decode_unsigned32(12, _local_b2, CORBA::ULong );
                              flick_cdr_swap_decode_signed16(16, _local_c1, CORBA::Short );
                              flick_cdr_swap_decode_signed16(18, _local_c2, CORBA::Short );
                              flick_cdr_swap_decode_unsigned16(20, _local_d1, CORBA::UShort );
                              flick_cdr_swap_decode_unsigned16(22, _local_d2, CORBA::UShort );
                              flick_cdr_swap_decode_float32(24, _local_e1, CORBA::Float );
                              flick_cdr_swap_decode_float32(28, _local_e2, CORBA::Float );
                              flick_iiopxx_decode_end_chunk(32);
                              flick_iiopxx_decode_new_chunk_align(18, 3, 2, 0);
                              flick_iiopxx_check_span(18, _flick_abort159);
                              flick_cdr_swap_decode_float64(0, _local_f1, CORBA::Double );
                              flick_cdr_swap_decode_float64(8, _local_f2, CORBA::Double );
                              flick_cdr_swap_decode_char8(16, _local_g1, CORBA::Char );
                              flick_cdr_swap_decode_char8(17, _local_g2, CORBA::Char );
                              flick_iiopxx_decode_end_chunk(18);
                              flick_iiopxx_decode_end_glob(57);
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->mtypes(_local_a1, _local_a2, _local_a3, _local_b1, _local_b2, _local_b3, _local_c1, _local_c2, _local_c3, _local_d1, _local_d2, _local_d3, _local_e1, _local_e2, _local_e3, _local_f1, _local_f2, _local_f3, _local_g1, _local_g2, _local_g3, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t75_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t75_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort159);
                                flick_iiopxx_encode_new_glob(4, _flick_abort159);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t75_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t75_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_end_glob(4);
                                      flick_cdrxx_encode_IOR(iiopxx, _return, 0, ex1 , _flick_abort164);
                                      CORBA_object_flick_free(_return);
                                      _return = 0;
                                      flick_iiopxx_encode_new_glob(57, _flick_abort164);
                                      flick_iiopxx_encode_new_chunk_align(32, 2, 0, 0);
                                      flick_cdr_encode_signed32(0, _local_a2, CORBA::Long );
                                      flick_cdr_encode_signed32(4, _local_a3, CORBA::Long );
                                      flick_cdr_encode_unsigned32(8, _local_b2, CORBA::ULong );
                                      flick_cdr_encode_unsigned32(12, _local_b3, CORBA::ULong );
                                      flick_cdr_encode_signed16(16, _local_c2, CORBA::Short );
                                      flick_cdr_encode_signed16(18, _local_c3, CORBA::Short );
                                      flick_cdr_encode_unsigned16(20, _local_d2, CORBA::UShort );
                                      flick_cdr_encode_unsigned16(22, _local_d3, CORBA::UShort );
                                      flick_cdr_encode_float32(24, _local_e2, CORBA::Float );
                                      flick_cdr_encode_float32(28, _local_e3, CORBA::Float );
                                      flick_iiopxx_encode_end_chunk(32);
                                      flick_iiopxx_encode_new_chunk_align(18, 3, 2, 0);
                                      flick_cdr_encode_float64(0, _local_f2, CORBA::Double );
                                      flick_cdr_encode_float64(8, _local_f3, CORBA::Double );
                                      flick_cdr_encode_char8(16, _local_g2, CORBA::Char );
                                      flick_cdr_encode_char8(17, _local_g3, CORBA::Char );
                                      flick_iiopxx_encode_end_chunk(18);
                                      flick_iiopxx_encode_end_glob(57);
                                      break;
                                      {
                                      _flick_abort164:
                                        goto _flick_abort159;
                                      }
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(4);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort165);
                                      break;
                                      {
                                      _flick_abort165:
                                        goto _flick_abort159;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort166);
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort166:
                                        goto _flick_abort159;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort159:
                                goto _flick_abort158;
                              }
                            }
                            break;
                            {
                            _flick_abort158:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(16);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t76_switch_tag;

          flick_iiopxx_check_span(12, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t76_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t76_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t77_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t77_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t77_switch_tag)
                  {
                  case /* _l1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600925952):
                    {
                      {
                        POA_ex1 *_local_this;
                        unsigned int _t78_principal_len;
                        CORBA::Long _return;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort168);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t78_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_check_span(_t78_principal_len, _flick_abort168);
                        flick_iiopxx_decode_new_glob(_t78_principal_len);
                        flick_iiopxx_decode_new_chunk(_t78_principal_len);
                        flick_iiopxx_decode_end_chunk(_t78_principal_len);
                        flick_iiopxx_decode_end_glob(_t78_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->l1(_ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t79_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t79_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort168);
                          flick_iiopxx_encode_new_glob(8, _flick_abort168);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t79_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t79_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(8);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort174);
                                break;
                                {
                                _flick_abort174:
                                  goto _flick_abort168;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort175);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                                {
                                _flick_abort175:
                                  goto _flick_abort168;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort168:
                          goto _flick_abort167;
                        }
                      }
                      break;
                      {
                      _flick_abort167:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t80_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t80_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t80_switch_tag)
                  {
                  case /* _l1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600925952):
                    {
                      {
                        POA_ex1 *_local_this;
                        unsigned int _t81_principal_len;
                        CORBA::Long _local_l1;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort177);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t81_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_check_span(_t81_principal_len, _flick_abort177);
                        flick_iiopxx_decode_new_glob(_t81_principal_len);
                        flick_iiopxx_decode_new_chunk(_t81_principal_len);
                        flick_iiopxx_decode_end_chunk(_t81_principal_len);
                        flick_iiopxx_decode_end_glob(_t81_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort177);
                        flick_cdr_swap_decode_signed32(0, _local_l1, CORBA::Long );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _local_this->l1(_local_l1, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t82_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t82_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort177);
                          flick_iiopxx_encode_new_glob(4, _flick_abort177);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t82_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t82_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_end_glob(4);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(4);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort183);
                                break;
                                {
                                _flick_abort183:
                                  goto _flick_abort177;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort184);
                                flick_iiopxx_encode_end_glob(4);
                                break;
                                {
                                _flick_abort184:
                                  goto _flick_abort177;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort177:
                          goto _flick_abort176;
                        }
                      }
                      break;
                      {
                      _flick_abort176:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t83_switch_tag;

          flick_iiopxx_check_span(12, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t83_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t83_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t84_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t84_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t84_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_ex1 *_local_this;
                        unsigned int _t85_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t86_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort186);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t85_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_check_span(_t85_principal_len, _flick_abort186);
                        flick_iiopxx_decode_new_glob(_t85_principal_len);
                        flick_iiopxx_decode_new_chunk(_t85_principal_len);
                        flick_iiopxx_decode_end_chunk(_t85_principal_len);
                        flick_iiopxx_decode_end_glob(_t85_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort186);
                        flick_cdr_swap_decode_unsigned32(0, _t86_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t86_temp_string_len);
                        flick_iiopxx_check_span(1 * _t86_temp_string_len, _flick_abort186);
                        flick_iiopxx_decode_new_chunk(1 * _t86_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_type_id, CORBA::Char *);
                        flick_iiopxx_decode_end_chunk(1 * _t86_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t86_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t87_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t87_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort186);
                          flick_iiopxx_encode_new_glob(5, _flick_abort186);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t87_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t87_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort194);
                                break;
                                {
                                _flick_abort194:
                                  goto _flick_abort186;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort195);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort195:
                                  goto _flick_abort186;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort186:
                          goto _flick_abort185;
                        }
                      }
                      break;
                      {
                      _flick_abort185:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
          flick_iiopxx_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t22_switch_tag;

    flick_iiopxx_decode_new_glob(16);
    flick_iiopxx_check_span(12, _flick_abort5);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t22_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t22_switch_tag)
      {
      case (unsigned int) 3:
        {
          unsigned short int _t23_switch_tag;

          flick_iiopxx_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t23_switch_tag, unsigned short int );
          flick_iiopxx_decode_end_chunk(2);
          switch ((unsigned short int )_t23_switch_tag)
            {
            case /* m1 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 27953):
              {
                char _t24_switch_tag;

                flick_iiopxx_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t24_switch_tag, char );
                flick_iiopxx_decode_end_chunk(1);
                switch ((char )_t24_switch_tag)
                  {
                  case 0:
                    {
                      {
                        POA_ex1 *_local_this;
                        unsigned int _t25_principal_len;
                        CORBA::Long _return;
                        CORBA::Long _local_a;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort55);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(5);
                        flick_cdr_decode_unsigned32(1, _t25_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(5);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_check_span(_t25_principal_len, _flick_abort55);
                        flick_iiopxx_decode_new_glob(_t25_principal_len);
                        flick_iiopxx_decode_new_chunk(_t25_principal_len);
                        flick_iiopxx_decode_end_chunk(_t25_principal_len);
                        flick_iiopxx_decode_end_glob(_t25_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort55);
                        flick_cdr_decode_signed32(0, _local_a, CORBA::Long );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->m1(_local_a, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t26_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t26_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort55);
                          flick_iiopxx_encode_new_glob(8, _flick_abort55);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t26_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t26_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(8);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort61);
                                break;
                                {
                                _flick_abort61:
                                  goto _flick_abort55;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort62);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                                {
                                _flick_abort62:
                                  goto _flick_abort55;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort55:
                          goto _flick_abort54;
                        }
                      }
                      break;
                      {
                      _flick_abort54:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          unsigned int _t27_switch_tag;

          flick_iiopxx_check_span(12, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t27_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t27_switch_tag)
            {
            case /* mtyp */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1836349808):
              {
                unsigned short int _t28_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t28_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t28_switch_tag)
                  {
                  case /* es */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25971):
                    {
                      char _t29_switch_tag;

                      flick_iiopxx_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t29_switch_tag, char );
                      flick_iiopxx_decode_end_chunk(1);
                      switch ((char )_t29_switch_tag)
                        {
                        case 0:
                          {
                            {
                              POA_ex1 *_local_this;
                              unsigned int _t30_principal_len;
                              ex1_ptr _return;
                              CORBA::Long _local_a1;
                              CORBA::Long _local_a2;
                              CORBA::Long _local_a3;
                              CORBA::ULong _local_b1;
                              CORBA::ULong _local_b2;
                              CORBA::ULong _local_b3;
                              CORBA::Short _local_c1;
                              CORBA::Short _local_c2;
                              CORBA::Short _local_c3;
                              CORBA::UShort _local_d1;
                              CORBA::UShort _local_d2;
                              CORBA::UShort _local_d3;
                              CORBA::Float _local_e1;
                              CORBA::Float _local_e2;
                              CORBA::Float _local_e3;
                              CORBA::Double _local_f1;
                              CORBA::Double _local_f2;
                              CORBA::Double _local_f3;
                              CORBA::Char _local_g1;
                              CORBA::Char _local_g2;
                              CORBA::Char _local_g3;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort64);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(5);
                              flick_cdr_decode_unsigned32(1, _t30_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(5);
                              flick_iiopxx_decode_end_glob(16);
                              flick_iiopxx_check_span(_t30_principal_len, _flick_abort64);
                              flick_iiopxx_decode_new_glob(_t30_principal_len);
                              flick_iiopxx_decode_new_chunk(_t30_principal_len);
                              flick_iiopxx_decode_end_chunk(_t30_principal_len);
                              flick_iiopxx_decode_end_glob(_t30_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiopxx_decode_new_glob(57);
                              flick_iiopxx_decode_new_chunk_align(32, 2, 0, 0);
                              flick_iiopxx_check_span(32, _flick_abort64);
                              flick_cdr_decode_signed32(0, _local_a1, CORBA::Long );
                              flick_cdr_decode_signed32(4, _local_a2, CORBA::Long );
                              flick_cdr_decode_unsigned32(8, _local_b1, CORBA::ULong );
                              flick_cdr_decode_unsigned32(12, _local_b2, CORBA::ULong );
                              flick_cdr_decode_signed16(16, _local_c1, CORBA::Short );
                              flick_cdr_decode_signed16(18, _local_c2, CORBA::Short );
                              flick_cdr_decode_unsigned16(20, _local_d1, CORBA::UShort );
                              flick_cdr_decode_unsigned16(22, _local_d2, CORBA::UShort );
                              flick_cdr_decode_float32(24, _local_e1, CORBA::Float );
                              flick_cdr_decode_float32(28, _local_e2, CORBA::Float );
                              flick_iiopxx_decode_end_chunk(32);
                              flick_iiopxx_decode_new_chunk_align(18, 3, 2, 0);
                              flick_iiopxx_check_span(18, _flick_abort64);
                              flick_cdr_decode_float64(0, _local_f1, CORBA::Double );
                              flick_cdr_decode_float64(8, _local_f2, CORBA::Double );
                              flick_cdr_decode_char8(16, _local_g1, CORBA::Char );
                              flick_cdr_decode_char8(17, _local_g2, CORBA::Char );
                              flick_iiopxx_decode_end_chunk(18);
                              flick_iiopxx_decode_end_glob(57);
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->mtypes(_local_a1, _local_a2, _local_a3, _local_b1, _local_b2, _local_b3, _local_c1, _local_c2, _local_c3, _local_d1, _local_d2, _local_d3, _local_e1, _local_e2, _local_e3, _local_f1, _local_f2, _local_f3, _local_g1, _local_g2, _local_g3, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t31_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t31_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort64);
                                flick_iiopxx_encode_new_glob(4, _flick_abort64);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t31_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t31_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_end_glob(4);
                                      flick_cdrxx_encode_IOR(iiopxx, _return, 0, ex1 , _flick_abort69);
                                      CORBA_object_flick_free(_return);
                                      _return = 0;
                                      flick_iiopxx_encode_new_glob(57, _flick_abort69);
                                      flick_iiopxx_encode_new_chunk_align(32, 2, 0, 0);
                                      flick_cdr_encode_signed32(0, _local_a2, CORBA::Long );
                                      flick_cdr_encode_signed32(4, _local_a3, CORBA::Long );
                                      flick_cdr_encode_unsigned32(8, _local_b2, CORBA::ULong );
                                      flick_cdr_encode_unsigned32(12, _local_b3, CORBA::ULong );
                                      flick_cdr_encode_signed16(16, _local_c2, CORBA::Short );
                                      flick_cdr_encode_signed16(18, _local_c3, CORBA::Short );
                                      flick_cdr_encode_unsigned16(20, _local_d2, CORBA::UShort );
                                      flick_cdr_encode_unsigned16(22, _local_d3, CORBA::UShort );
                                      flick_cdr_encode_float32(24, _local_e2, CORBA::Float );
                                      flick_cdr_encode_float32(28, _local_e3, CORBA::Float );
                                      flick_iiopxx_encode_end_chunk(32);
                                      flick_iiopxx_encode_new_chunk_align(18, 3, 2, 0);
                                      flick_cdr_encode_float64(0, _local_f2, CORBA::Double );
                                      flick_cdr_encode_float64(8, _local_f3, CORBA::Double );
                                      flick_cdr_encode_char8(16, _local_g2, CORBA::Char );
                                      flick_cdr_encode_char8(17, _local_g3, CORBA::Char );
                                      flick_iiopxx_encode_end_chunk(18);
                                      flick_iiopxx_encode_end_glob(57);
                                      break;
                                      {
                                      _flick_abort69:
                                        goto _flick_abort64;
                                      }
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(4);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort70);
                                      break;
                                      {
                                      _flick_abort70:
                                        goto _flick_abort64;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort71);
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort71:
                                        goto _flick_abort64;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort64:
                                goto _flick_abort63;
                              }
                            }
                            break;
                            {
                            _flick_abort63:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(16);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t32_switch_tag;

          flick_iiopxx_check_span(12, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t32_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t32_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t33_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t33_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t33_switch_tag)
                  {
                  case /* _l1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600925952):
                    {
                      {
                        POA_ex1 *_local_this;
                        unsigned int _t34_principal_len;
                        CORBA::Long _return;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort73);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t34_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_check_span(_t34_principal_len, _flick_abort73);
                        flick_iiopxx_decode_new_glob(_t34_principal_len);
                        flick_iiopxx_decode_new_chunk(_t34_principal_len);
                        flick_iiopxx_decode_end_chunk(_t34_principal_len);
                        flick_iiopxx_decode_end_glob(_t34_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->l1(_ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t35_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t35_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort73);
                          flick_iiopxx_encode_new_glob(8, _flick_abort73);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t35_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t35_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(8);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort79);
                                break;
                                {
                                _flick_abort79:
                                  goto _flick_abort73;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort80);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                                {
                                _flick_abort80:
                                  goto _flick_abort73;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort73:
                          goto _flick_abort72;
                        }
                      }
                      break;
                      {
                      _flick_abort72:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t36_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t36_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t36_switch_tag)
                  {
                  case /* _l1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600925952):
                    {
                      {
                        POA_ex1 *_local_this;
                        unsigned int _t37_principal_len;
                        CORBA::Long _local_l1;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort82);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t37_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_check_span(_t37_principal_len, _flick_abort82);
                        flick_iiopxx_decode_new_glob(_t37_principal_len);
                        flick_iiopxx_decode_new_chunk(_t37_principal_len);
                        flick_iiopxx_decode_end_chunk(_t37_principal_len);
                        flick_iiopxx_decode_end_glob(_t37_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort82);
                        flick_cdr_decode_signed32(0, _local_l1, CORBA::Long );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _local_this->l1(_local_l1, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t38_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t38_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort82);
                          flick_iiopxx_encode_new_glob(4, _flick_abort82);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t38_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t38_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_end_glob(4);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(4);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort88);
                                break;
                                {
                                _flick_abort88:
                                  goto _flick_abort82;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort89);
                                flick_iiopxx_encode_end_glob(4);
                                break;
                                {
                                _flick_abort89:
                                  goto _flick_abort82;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort82:
                          goto _flick_abort81;
                        }
                      }
                      break;
                      {
                      _flick_abort81:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t39_switch_tag;

          flick_iiopxx_check_span(12, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t39_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t39_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t40_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t40_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t40_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_ex1 *_local_this;
                        unsigned int _t41_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t42_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort91);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t41_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_check_span(_t41_principal_len, _flick_abort91);
                        flick_iiopxx_decode_new_glob(_t41_principal_len);
                        flick_iiopxx_decode_new_chunk(_t41_principal_len);
                        flick_iiopxx_decode_end_chunk(_t41_principal_len);
                        flick_iiopxx_decode_end_glob(_t41_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort91);
                        flick_cdr_decode_unsigned32(0, _t42_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t42_temp_string_len);
                        flick_iiopxx_check_span(1 * _t42_temp_string_len, _flick_abort91);
                        flick_iiopxx_decode_new_chunk(1 * _t42_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_type_id, CORBA::Char *);
                        flick_iiopxx_decode_end_chunk(1 * _t42_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t42_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t43_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t43_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort91);
                          flick_iiopxx_encode_new_glob(5, _flick_abort91);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t43_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t43_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort99);
                                break;
                                {
                                _flick_abort99:
                                  goto _flick_abort91;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort100);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort100:
                                  goto _flick_abort91;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort91:
                          goto _flick_abort90;
                        }
                      }
                      break;
                      {
                      _flick_abort90:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
          flick_iiopxx_decode_end_glob(16);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return;
  {
  _flick_abort5:
    flick_corbaxx_server_error(cdr, iiopxx, _flick_reaper, _flick_abort4);
  _flick_abort4:
    return ;
  }
_flick_reaper:
  return ;
}

int flick_marshal_stub_ex2(flick_marshal_stream_t _stream, ex2_ptr *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdrxx_encode_IOR(iiopxx, *_data, 0, ex2 , _flick_abort196);
  return 0;
  {
  _flick_abort196:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_ex2(flick_marshal_stream_t _stream, ex2_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdrxx_decode_IOR(iiopxx, *_data, 1, ex2 , _flick_abort197);
  return 0;
  {
  _flick_abort197:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_ex2_swap(flick_marshal_stream_t _stream, ex2_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swapxx_decode_IOR(iiopxx, *_data, 1, ex2 , _flick_abort198);
  return 0;
  {
  _flick_abort198:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

void POA_ex2::_dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env){
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_InputCDR &_in_cdr = _tao_req.incoming();
  TAO_OutputCDR &_out_cdr = _tao_req.outgoing();
  flick_iiopxx_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (_in_cdr.do_byte_swap()) {
  {
    unsigned int _t178_switch_tag;

    flick_iiopxx_decode_new_glob(16);
    flick_iiopxx_check_span(12, _flick_abort201);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t178_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t178_switch_tag)
      {
      case (unsigned int) 3:
        {
          unsigned short int _t179_switch_tag;

          flick_iiopxx_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t179_switch_tag, unsigned short int );
          flick_iiopxx_decode_end_chunk(2);
          switch ((unsigned short int )_t179_switch_tag)
            {
            case /* m2 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 27954):
              {
                char _t180_switch_tag;

                flick_iiopxx_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t180_switch_tag, char );
                flick_iiopxx_decode_end_chunk(1);
                switch ((char )_t180_switch_tag)
                  {
                  case 0:
                    {
                      {
                        POA_ex2 *_local_this;
                        unsigned int _t181_principal_len;
                        CORBA::Long _return;
                        CORBA::Long _local_a;
                        CORBA::Long _local_b;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort427);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(5);
                        flick_cdr_swap_decode_unsigned32(1, _t181_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(5);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_check_span(_t181_principal_len, _flick_abort427);
                        flick_iiopxx_decode_new_glob(_t181_principal_len);
                        flick_iiopxx_decode_new_chunk(_t181_principal_len);
                        flick_iiopxx_decode_end_chunk(_t181_principal_len);
                        flick_iiopxx_decode_end_glob(_t181_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort427);
                        flick_cdr_swap_decode_signed32(0, _local_a, CORBA::Long );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->m2(_local_a, _local_b, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t182_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t182_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort427);
                          flick_iiopxx_encode_new_glob(12, _flick_abort427);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t182_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t182_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(8);
                                flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                flick_cdr_encode_signed32(4, _local_b, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(8);
                                flick_iiopxx_encode_end_glob(12);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(12);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort433);
                                break;
                                {
                                _flick_abort433:
                                  goto _flick_abort427;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort434);
                                flick_iiopxx_encode_end_glob(12);
                                break;
                                {
                                _flick_abort434:
                                  goto _flick_abort427;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort427:
                          goto _flick_abort426;
                        }
                      }
                      break;
                      {
                      _flick_abort426:
                        goto _flick_abort201;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* mv */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28022):
              {
                char _t183_switch_tag;

                flick_iiopxx_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t183_switch_tag, char );
                flick_iiopxx_decode_end_chunk(1);
                switch ((char )_t183_switch_tag)
                  {
                  case 0:
                    {
                      {
                        POA_ex2 *_local_this;
                        unsigned int _t184_principal_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort436);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(5);
                        flick_cdr_swap_decode_unsigned32(1, _t184_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(5);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_check_span(_t184_principal_len, _flick_abort436);
                        flick_iiopxx_decode_new_glob(_t184_principal_len);
                        flick_iiopxx_decode_new_chunk(_t184_principal_len);
                        flick_iiopxx_decode_end_chunk(_t184_principal_len);
                        flick_iiopxx_decode_end_glob(_t184_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _local_this->mv(_ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t185_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t185_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort436);
                          flick_iiopxx_encode_new_glob(4, _flick_abort436);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t185_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t185_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_end_glob(4);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(4);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort442);
                                break;
                                {
                                _flick_abort442:
                                  goto _flick_abort436;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort443);
                                flick_iiopxx_encode_end_glob(4);
                                break;
                                {
                                _flick_abort443:
                                  goto _flick_abort436;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort436:
                          goto _flick_abort435;
                        }
                      }
                      break;
                      {
                      _flick_abort435:
                        goto _flick_abort201;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* m1 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 27953):
              {
                char _t186_switch_tag;

                flick_iiopxx_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t186_switch_tag, char );
                flick_iiopxx_decode_end_chunk(1);
                switch ((char )_t186_switch_tag)
                  {
                  case 0:
                    {
                      {
                        POA_ex2 *_local_this;
                        unsigned int _t187_principal_len;
                        CORBA::Long _return;
                        CORBA::Long _local_a;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort445);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(5);
                        flick_cdr_swap_decode_unsigned32(1, _t187_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(5);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_check_span(_t187_principal_len, _flick_abort445);
                        flick_iiopxx_decode_new_glob(_t187_principal_len);
                        flick_iiopxx_decode_new_chunk(_t187_principal_len);
                        flick_iiopxx_decode_end_chunk(_t187_principal_len);
                        flick_iiopxx_decode_end_glob(_t187_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort445);
                        flick_cdr_swap_decode_signed32(0, _local_a, CORBA::Long );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->m1(_local_a, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t188_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t188_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort445);
                          flick_iiopxx_encode_new_glob(8, _flick_abort445);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t188_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t188_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(8);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort451);
                                break;
                                {
                                _flick_abort451:
                                  goto _flick_abort445;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort452);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                                {
                                _flick_abort452:
                                  goto _flick_abort445;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort445:
                          goto _flick_abort444;
                        }
                      }
                      break;
                      {
                      _flick_abort444:
                        goto _flick_abort201;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t189_switch_tag;

          flick_iiopxx_check_span(12, _flick_abort201);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t189_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t189_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t190_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t190_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t190_switch_tag)
                  {
                  case /* _l2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600926208):
                    {
                      {
                        POA_ex2 *_local_this;
                        unsigned int _t191_principal_len;
                        CORBA::Long _return;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort454);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t191_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_check_span(_t191_principal_len, _flick_abort454);
                        flick_iiopxx_decode_new_glob(_t191_principal_len);
                        flick_iiopxx_decode_new_chunk(_t191_principal_len);
                        flick_iiopxx_decode_end_chunk(_t191_principal_len);
                        flick_iiopxx_decode_end_glob(_t191_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->l2(_ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t192_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t192_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort454);
                          flick_iiopxx_encode_new_glob(8, _flick_abort454);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t192_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t192_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(8);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort460);
                                break;
                                {
                                _flick_abort460:
                                  goto _flick_abort454;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort461);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                                {
                                _flick_abort461:
                                  goto _flick_abort454;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort454:
                          goto _flick_abort453;
                        }
                      }
                      break;
                      {
                      _flick_abort453:
                        goto _flick_abort201;
                      }
                    }
                  case /* _l1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600925952):
                    {
                      {
                        POA_ex2 *_local_this;
                        unsigned int _t193_principal_len;
                        CORBA::Long _return;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort463);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t193_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_check_span(_t193_principal_len, _flick_abort463);
                        flick_iiopxx_decode_new_glob(_t193_principal_len);
                        flick_iiopxx_decode_new_chunk(_t193_principal_len);
                        flick_iiopxx_decode_end_chunk(_t193_principal_len);
                        flick_iiopxx_decode_end_glob(_t193_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->l1(_ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t194_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t194_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort463);
                          flick_iiopxx_encode_new_glob(8, _flick_abort463);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t194_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t194_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(8);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort469);
                                break;
                                {
                                _flick_abort469:
                                  goto _flick_abort463;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort470);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                                {
                                _flick_abort470:
                                  goto _flick_abort463;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort463:
                          goto _flick_abort462;
                        }
                      }
                      break;
                      {
                      _flick_abort462:
                        goto _flick_abort201;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t195_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t195_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t195_switch_tag)
                  {
                  case /* _l1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600925952):
                    {
                      {
                        POA_ex2 *_local_this;
                        unsigned int _t196_principal_len;
                        CORBA::Long _local_l1;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort472);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t196_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_check_span(_t196_principal_len, _flick_abort472);
                        flick_iiopxx_decode_new_glob(_t196_principal_len);
                        flick_iiopxx_decode_new_chunk(_t196_principal_len);
                        flick_iiopxx_decode_end_chunk(_t196_principal_len);
                        flick_iiopxx_decode_end_glob(_t196_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort472);
                        flick_cdr_swap_decode_signed32(0, _local_l1, CORBA::Long );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _local_this->l1(_local_l1, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t197_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t197_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort472);
                          flick_iiopxx_encode_new_glob(4, _flick_abort472);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t197_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t197_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_end_glob(4);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(4);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort478);
                                break;
                                {
                                _flick_abort478:
                                  goto _flick_abort472;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort479);
                                flick_iiopxx_encode_end_glob(4);
                                break;
                                {
                                _flick_abort479:
                                  goto _flick_abort472;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort472:
                          goto _flick_abort471;
                        }
                      }
                      break;
                      {
                      _flick_abort471:
                        goto _flick_abort201;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          unsigned int _t198_switch_tag;

          flick_iiopxx_check_span(12, _flick_abort201);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t198_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t198_switch_tag)
            {
            case /* mtyp */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1836349808):
              {
                unsigned short int _t199_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t199_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t199_switch_tag)
                  {
                  case /* es */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25971):
                    {
                      char _t200_switch_tag;

                      flick_iiopxx_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t200_switch_tag, char );
                      flick_iiopxx_decode_end_chunk(1);
                      switch ((char )_t200_switch_tag)
                        {
                        case 0:
                          {
                            {
                              POA_ex2 *_local_this;
                              unsigned int _t201_principal_len;
                              ex1_ptr _return;
                              CORBA::Long _local_a1;
                              CORBA::Long _local_a2;
                              CORBA::Long _local_a3;
                              CORBA::ULong _local_b1;
                              CORBA::ULong _local_b2;
                              CORBA::ULong _local_b3;
                              CORBA::Short _local_c1;
                              CORBA::Short _local_c2;
                              CORBA::Short _local_c3;
                              CORBA::UShort _local_d1;
                              CORBA::UShort _local_d2;
                              CORBA::UShort _local_d3;
                              CORBA::Float _local_e1;
                              CORBA::Float _local_e2;
                              CORBA::Float _local_e3;
                              CORBA::Double _local_f1;
                              CORBA::Double _local_f2;
                              CORBA::Double _local_f3;
                              CORBA::Char _local_g1;
                              CORBA::Char _local_g2;
                              CORBA::Char _local_g3;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort481);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(5);
                              flick_cdr_swap_decode_unsigned32(1, _t201_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(5);
                              flick_iiopxx_decode_end_glob(16);
                              flick_iiopxx_check_span(_t201_principal_len, _flick_abort481);
                              flick_iiopxx_decode_new_glob(_t201_principal_len);
                              flick_iiopxx_decode_new_chunk(_t201_principal_len);
                              flick_iiopxx_decode_end_chunk(_t201_principal_len);
                              flick_iiopxx_decode_end_glob(_t201_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiopxx_decode_new_glob(57);
                              flick_iiopxx_decode_new_chunk_align(32, 2, 0, 0);
                              flick_iiopxx_check_span(32, _flick_abort481);
                              flick_cdr_swap_decode_signed32(0, _local_a1, CORBA::Long );
                              flick_cdr_swap_decode_signed32(4, _local_a2, CORBA::Long );
                              flick_cdr_swap_decode_unsigned32(8, _local_b1, CORBA::ULong );
                              flick_cdr_swap_decode_unsigned32(12, _local_b2, CORBA::ULong );
                              flick_cdr_swap_decode_signed16(16, _local_c1, CORBA::Short );
                              flick_cdr_swap_decode_signed16(18, _local_c2, CORBA::Short );
                              flick_cdr_swap_decode_unsigned16(20, _local_d1, CORBA::UShort );
                              flick_cdr_swap_decode_unsigned16(22, _local_d2, CORBA::UShort );
                              flick_cdr_swap_decode_float32(24, _local_e1, CORBA::Float );
                              flick_cdr_swap_decode_float32(28, _local_e2, CORBA::Float );
                              flick_iiopxx_decode_end_chunk(32);
                              flick_iiopxx_decode_new_chunk_align(18, 3, 2, 0);
                              flick_iiopxx_check_span(18, _flick_abort481);
                              flick_cdr_swap_decode_float64(0, _local_f1, CORBA::Double );
                              flick_cdr_swap_decode_float64(8, _local_f2, CORBA::Double );
                              flick_cdr_swap_decode_char8(16, _local_g1, CORBA::Char );
                              flick_cdr_swap_decode_char8(17, _local_g2, CORBA::Char );
                              flick_iiopxx_decode_end_chunk(18);
                              flick_iiopxx_decode_end_glob(57);
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->mtypes(_local_a1, _local_a2, _local_a3, _local_b1, _local_b2, _local_b3, _local_c1, _local_c2, _local_c3, _local_d1, _local_d2, _local_d3, _local_e1, _local_e2, _local_e3, _local_f1, _local_f2, _local_f3, _local_g1, _local_g2, _local_g3, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t202_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t202_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort481);
                                flick_iiopxx_encode_new_glob(4, _flick_abort481);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t202_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t202_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_end_glob(4);
                                      flick_cdrxx_encode_IOR(iiopxx, _return, 0, ex1 , _flick_abort486);
                                      CORBA_object_flick_free(_return);
                                      _return = 0;
                                      flick_iiopxx_encode_new_glob(57, _flick_abort486);
                                      flick_iiopxx_encode_new_chunk_align(32, 2, 0, 0);
                                      flick_cdr_encode_signed32(0, _local_a2, CORBA::Long );
                                      flick_cdr_encode_signed32(4, _local_a3, CORBA::Long );
                                      flick_cdr_encode_unsigned32(8, _local_b2, CORBA::ULong );
                                      flick_cdr_encode_unsigned32(12, _local_b3, CORBA::ULong );
                                      flick_cdr_encode_signed16(16, _local_c2, CORBA::Short );
                                      flick_cdr_encode_signed16(18, _local_c3, CORBA::Short );
                                      flick_cdr_encode_unsigned16(20, _local_d2, CORBA::UShort );
                                      flick_cdr_encode_unsigned16(22, _local_d3, CORBA::UShort );
                                      flick_cdr_encode_float32(24, _local_e2, CORBA::Float );
                                      flick_cdr_encode_float32(28, _local_e3, CORBA::Float );
                                      flick_iiopxx_encode_end_chunk(32);
                                      flick_iiopxx_encode_new_chunk_align(18, 3, 2, 0);
                                      flick_cdr_encode_float64(0, _local_f2, CORBA::Double );
                                      flick_cdr_encode_float64(8, _local_f3, CORBA::Double );
                                      flick_cdr_encode_char8(16, _local_g2, CORBA::Char );
                                      flick_cdr_encode_char8(17, _local_g3, CORBA::Char );
                                      flick_iiopxx_encode_end_chunk(18);
                                      flick_iiopxx_encode_end_glob(57);
                                      break;
                                      {
                                      _flick_abort486:
                                        goto _flick_abort481;
                                      }
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(4);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort487);
                                      break;
                                      {
                                      _flick_abort487:
                                        goto _flick_abort481;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort488);
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort488:
                                        goto _flick_abort481;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort481:
                                goto _flick_abort480;
                              }
                            }
                            break;
                            {
                            _flick_abort480:
                              goto _flick_abort201;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
                            flick_iiopxx_decode_end_glob(16);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t203_switch_tag;

          flick_iiopxx_check_span(12, _flick_abort201);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t203_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t203_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t204_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t204_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t204_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_ex2 *_local_this;
                        unsigned int _t205_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t206_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort490);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t205_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_check_span(_t205_principal_len, _flick_abort490);
                        flick_iiopxx_decode_new_glob(_t205_principal_len);
                        flick_iiopxx_decode_new_chunk(_t205_principal_len);
                        flick_iiopxx_decode_end_chunk(_t205_principal_len);
                        flick_iiopxx_decode_end_glob(_t205_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort490);
                        flick_cdr_swap_decode_unsigned32(0, _t206_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t206_temp_string_len);
                        flick_iiopxx_check_span(1 * _t206_temp_string_len, _flick_abort490);
                        flick_iiopxx_decode_new_chunk(1 * _t206_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_type_id, CORBA::Char *);
                        flick_iiopxx_decode_end_chunk(1 * _t206_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t206_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t207_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t207_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort490);
                          flick_iiopxx_encode_new_glob(5, _flick_abort490);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t207_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t207_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort498);
                                break;
                                {
                                _flick_abort498:
                                  goto _flick_abort490;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort499);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort499:
                                  goto _flick_abort490;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort490:
                          goto _flick_abort489;
                        }
                      }
                      break;
                      {
                      _flick_abort489:
                        goto _flick_abort201;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
          flick_iiopxx_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t118_switch_tag;

    flick_iiopxx_decode_new_glob(16);
    flick_iiopxx_check_span(12, _flick_abort201);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t118_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t118_switch_tag)
      {
      case (unsigned int) 3:
        {
          unsigned short int _t119_switch_tag;

          flick_iiopxx_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t119_switch_tag, unsigned short int );
          flick_iiopxx_decode_end_chunk(2);
          switch ((unsigned short int )_t119_switch_tag)
            {
            case /* m2 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 27954):
              {
                char _t120_switch_tag;

                flick_iiopxx_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t120_switch_tag, char );
                flick_iiopxx_decode_end_chunk(1);
                switch ((char )_t120_switch_tag)
                  {
                  case 0:
                    {
                      {
                        POA_ex2 *_local_this;
                        unsigned int _t121_principal_len;
                        CORBA::Long _return;
                        CORBA::Long _local_a;
                        CORBA::Long _local_b;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort278);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(5);
                        flick_cdr_decode_unsigned32(1, _t121_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(5);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_check_span(_t121_principal_len, _flick_abort278);
                        flick_iiopxx_decode_new_glob(_t121_principal_len);
                        flick_iiopxx_decode_new_chunk(_t121_principal_len);
                        flick_iiopxx_decode_end_chunk(_t121_principal_len);
                        flick_iiopxx_decode_end_glob(_t121_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort278);
                        flick_cdr_decode_signed32(0, _local_a, CORBA::Long );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->m2(_local_a, _local_b, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t122_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t122_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort278);
                          flick_iiopxx_encode_new_glob(12, _flick_abort278);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t122_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t122_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(8);
                                flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                flick_cdr_encode_signed32(4, _local_b, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(8);
                                flick_iiopxx_encode_end_glob(12);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(12);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort284);
                                break;
                                {
                                _flick_abort284:
                                  goto _flick_abort278;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort285);
                                flick_iiopxx_encode_end_glob(12);
                                break;
                                {
                                _flick_abort285:
                                  goto _flick_abort278;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort278:
                          goto _flick_abort277;
                        }
                      }
                      break;
                      {
                      _flick_abort277:
                        goto _flick_abort201;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* mv */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28022):
              {
                char _t123_switch_tag;

                flick_iiopxx_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t123_switch_tag, char );
                flick_iiopxx_decode_end_chunk(1);
                switch ((char )_t123_switch_tag)
                  {
                  case 0:
                    {
                      {
                        POA_ex2 *_local_this;
                        unsigned int _t124_principal_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort287);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(5);
                        flick_cdr_decode_unsigned32(1, _t124_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(5);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_check_span(_t124_principal_len, _flick_abort287);
                        flick_iiopxx_decode_new_glob(_t124_principal_len);
                        flick_iiopxx_decode_new_chunk(_t124_principal_len);
                        flick_iiopxx_decode_end_chunk(_t124_principal_len);
                        flick_iiopxx_decode_end_glob(_t124_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _local_this->mv(_ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t125_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t125_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort287);
                          flick_iiopxx_encode_new_glob(4, _flick_abort287);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t125_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t125_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_end_glob(4);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(4);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort293);
                                break;
                                {
                                _flick_abort293:
                                  goto _flick_abort287;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort294);
                                flick_iiopxx_encode_end_glob(4);
                                break;
                                {
                                _flick_abort294:
                                  goto _flick_abort287;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort287:
                          goto _flick_abort286;
                        }
                      }
                      break;
                      {
                      _flick_abort286:
                        goto _flick_abort201;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* m1 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 27953):
              {
                char _t126_switch_tag;

                flick_iiopxx_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t126_switch_tag, char );
                flick_iiopxx_decode_end_chunk(1);
                switch ((char )_t126_switch_tag)
                  {
                  case 0:
                    {
                      {
                        POA_ex2 *_local_this;
                        unsigned int _t127_principal_len;
                        CORBA::Long _return;
                        CORBA::Long _local_a;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort296);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(5);
                        flick_cdr_decode_unsigned32(1, _t127_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(5);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_check_span(_t127_principal_len, _flick_abort296);
                        flick_iiopxx_decode_new_glob(_t127_principal_len);
                        flick_iiopxx_decode_new_chunk(_t127_principal_len);
                        flick_iiopxx_decode_end_chunk(_t127_principal_len);
                        flick_iiopxx_decode_end_glob(_t127_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort296);
                        flick_cdr_decode_signed32(0, _local_a, CORBA::Long );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->m1(_local_a, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t128_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t128_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort296);
                          flick_iiopxx_encode_new_glob(8, _flick_abort296);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t128_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t128_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(8);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort302);
                                break;
                                {
                                _flick_abort302:
                                  goto _flick_abort296;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort303);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                                {
                                _flick_abort303:
                                  goto _flick_abort296;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort296:
                          goto _flick_abort295;
                        }
                      }
                      break;
                      {
                      _flick_abort295:
                        goto _flick_abort201;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t129_switch_tag;

          flick_iiopxx_check_span(12, _flick_abort201);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t129_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t129_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t130_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t130_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t130_switch_tag)
                  {
                  case /* _l2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600926208):
                    {
                      {
                        POA_ex2 *_local_this;
                        unsigned int _t131_principal_len;
                        CORBA::Long _return;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort305);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t131_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_check_span(_t131_principal_len, _flick_abort305);
                        flick_iiopxx_decode_new_glob(_t131_principal_len);
                        flick_iiopxx_decode_new_chunk(_t131_principal_len);
                        flick_iiopxx_decode_end_chunk(_t131_principal_len);
                        flick_iiopxx_decode_end_glob(_t131_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->l2(_ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t132_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t132_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort305);
                          flick_iiopxx_encode_new_glob(8, _flick_abort305);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t132_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t132_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(8);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort311);
                                break;
                                {
                                _flick_abort311:
                                  goto _flick_abort305;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort312);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                                {
                                _flick_abort312:
                                  goto _flick_abort305;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort305:
                          goto _flick_abort304;
                        }
                      }
                      break;
                      {
                      _flick_abort304:
                        goto _flick_abort201;
                      }
                    }
                  case /* _l1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600925952):
                    {
                      {
                        POA_ex2 *_local_this;
                        unsigned int _t133_principal_len;
                        CORBA::Long _return;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort314);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t133_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_check_span(_t133_principal_len, _flick_abort314);
                        flick_iiopxx_decode_new_glob(_t133_principal_len);
                        flick_iiopxx_decode_new_chunk(_t133_principal_len);
                        flick_iiopxx_decode_end_chunk(_t133_principal_len);
                        flick_iiopxx_decode_end_glob(_t133_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->l1(_ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t134_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t134_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort314);
                          flick_iiopxx_encode_new_glob(8, _flick_abort314);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t134_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t134_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(8);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort320);
                                break;
                                {
                                _flick_abort320:
                                  goto _flick_abort314;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort321);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                                {
                                _flick_abort321:
                                  goto _flick_abort314;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort314:
                          goto _flick_abort313;
                        }
                      }
                      break;
                      {
                      _flick_abort313:
                        goto _flick_abort201;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t135_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t135_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t135_switch_tag)
                  {
                  case /* _l1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600925952):
                    {
                      {
                        POA_ex2 *_local_this;
                        unsigned int _t136_principal_len;
                        CORBA::Long _local_l1;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort323);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t136_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_check_span(_t136_principal_len, _flick_abort323);
                        flick_iiopxx_decode_new_glob(_t136_principal_len);
                        flick_iiopxx_decode_new_chunk(_t136_principal_len);
                        flick_iiopxx_decode_end_chunk(_t136_principal_len);
                        flick_iiopxx_decode_end_glob(_t136_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort323);
                        flick_cdr_decode_signed32(0, _local_l1, CORBA::Long );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _local_this->l1(_local_l1, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t137_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t137_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort323);
                          flick_iiopxx_encode_new_glob(4, _flick_abort323);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t137_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t137_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_end_glob(4);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(4);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort329);
                                break;
                                {
                                _flick_abort329:
                                  goto _flick_abort323;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort330);
                                flick_iiopxx_encode_end_glob(4);
                                break;
                                {
                                _flick_abort330:
                                  goto _flick_abort323;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort323:
                          goto _flick_abort322;
                        }
                      }
                      break;
                      {
                      _flick_abort322:
                        goto _flick_abort201;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          unsigned int _t138_switch_tag;

          flick_iiopxx_check_span(12, _flick_abort201);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t138_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t138_switch_tag)
            {
            case /* mtyp */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1836349808):
              {
                unsigned short int _t139_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t139_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t139_switch_tag)
                  {
                  case /* es */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25971):
                    {
                      char _t140_switch_tag;

                      flick_iiopxx_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t140_switch_tag, char );
                      flick_iiopxx_decode_end_chunk(1);
                      switch ((char )_t140_switch_tag)
                        {
                        case 0:
                          {
                            {
                              POA_ex2 *_local_this;
                              unsigned int _t141_principal_len;
                              ex1_ptr _return;
                              CORBA::Long _local_a1;
                              CORBA::Long _local_a2;
                              CORBA::Long _local_a3;
                              CORBA::ULong _local_b1;
                              CORBA::ULong _local_b2;
                              CORBA::ULong _local_b3;
                              CORBA::Short _local_c1;
                              CORBA::Short _local_c2;
                              CORBA::Short _local_c3;
                              CORBA::UShort _local_d1;
                              CORBA::UShort _local_d2;
                              CORBA::UShort _local_d3;
                              CORBA::Float _local_e1;
                              CORBA::Float _local_e2;
                              CORBA::Float _local_e3;
                              CORBA::Double _local_f1;
                              CORBA::Double _local_f2;
                              CORBA::Double _local_f3;
                              CORBA::Char _local_g1;
                              CORBA::Char _local_g2;
                              CORBA::Char _local_g3;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort332);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(5);
                              flick_cdr_decode_unsigned32(1, _t141_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(5);
                              flick_iiopxx_decode_end_glob(16);
                              flick_iiopxx_check_span(_t141_principal_len, _flick_abort332);
                              flick_iiopxx_decode_new_glob(_t141_principal_len);
                              flick_iiopxx_decode_new_chunk(_t141_principal_len);
                              flick_iiopxx_decode_end_chunk(_t141_principal_len);
                              flick_iiopxx_decode_end_glob(_t141_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiopxx_decode_new_glob(57);
                              flick_iiopxx_decode_new_chunk_align(32, 2, 0, 0);
                              flick_iiopxx_check_span(32, _flick_abort332);
                              flick_cdr_decode_signed32(0, _local_a1, CORBA::Long );
                              flick_cdr_decode_signed32(4, _local_a2, CORBA::Long );
                              flick_cdr_decode_unsigned32(8, _local_b1, CORBA::ULong );
                              flick_cdr_decode_unsigned32(12, _local_b2, CORBA::ULong );
                              flick_cdr_decode_signed16(16, _local_c1, CORBA::Short );
                              flick_cdr_decode_signed16(18, _local_c2, CORBA::Short );
                              flick_cdr_decode_unsigned16(20, _local_d1, CORBA::UShort );
                              flick_cdr_decode_unsigned16(22, _local_d2, CORBA::UShort );
                              flick_cdr_decode_float32(24, _local_e1, CORBA::Float );
                              flick_cdr_decode_float32(28, _local_e2, CORBA::Float );
                              flick_iiopxx_decode_end_chunk(32);
                              flick_iiopxx_decode_new_chunk_align(18, 3, 2, 0);
                              flick_iiopxx_check_span(18, _flick_abort332);
                              flick_cdr_decode_float64(0, _local_f1, CORBA::Double );
                              flick_cdr_decode_float64(8, _local_f2, CORBA::Double );
                              flick_cdr_decode_char8(16, _local_g1, CORBA::Char );
                              flick_cdr_decode_char8(17, _local_g2, CORBA::Char );
                              flick_iiopxx_decode_end_chunk(18);
                              flick_iiopxx_decode_end_glob(57);
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->mtypes(_local_a1, _local_a2, _local_a3, _local_b1, _local_b2, _local_b3, _local_c1, _local_c2, _local_c3, _local_d1, _local_d2, _local_d3, _local_e1, _local_e2, _local_e3, _local_f1, _local_f2, _local_f3, _local_g1, _local_g2, _local_g3, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t142_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t142_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort332);
                                flick_iiopxx_encode_new_glob(4, _flick_abort332);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t142_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t142_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_end_glob(4);
                                      flick_cdrxx_encode_IOR(iiopxx, _return, 0, ex1 , _flick_abort337);
                                      CORBA_object_flick_free(_return);
                                      _return = 0;
                                      flick_iiopxx_encode_new_glob(57, _flick_abort337);
                                      flick_iiopxx_encode_new_chunk_align(32, 2, 0, 0);
                                      flick_cdr_encode_signed32(0, _local_a2, CORBA::Long );
                                      flick_cdr_encode_signed32(4, _local_a3, CORBA::Long );
                                      flick_cdr_encode_unsigned32(8, _local_b2, CORBA::ULong );
                                      flick_cdr_encode_unsigned32(12, _local_b3, CORBA::ULong );
                                      flick_cdr_encode_signed16(16, _local_c2, CORBA::Short );
                                      flick_cdr_encode_signed16(18, _local_c3, CORBA::Short );
                                      flick_cdr_encode_unsigned16(20, _local_d2, CORBA::UShort );
                                      flick_cdr_encode_unsigned16(22, _local_d3, CORBA::UShort );
                                      flick_cdr_encode_float32(24, _local_e2, CORBA::Float );
                                      flick_cdr_encode_float32(28, _local_e3, CORBA::Float );
                                      flick_iiopxx_encode_end_chunk(32);
                                      flick_iiopxx_encode_new_chunk_align(18, 3, 2, 0);
                                      flick_cdr_encode_float64(0, _local_f2, CORBA::Double );
                                      flick_cdr_encode_float64(8, _local_f3, CORBA::Double );
                                      flick_cdr_encode_char8(16, _local_g2, CORBA::Char );
                                      flick_cdr_encode_char8(17, _local_g3, CORBA::Char );
                                      flick_iiopxx_encode_end_chunk(18);
                                      flick_iiopxx_encode_end_glob(57);
                                      break;
                                      {
                                      _flick_abort337:
                                        goto _flick_abort332;
                                      }
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(4);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort338);
                                      break;
                                      {
                                      _flick_abort338:
                                        goto _flick_abort332;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort339);
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort339:
                                        goto _flick_abort332;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort332:
                                goto _flick_abort331;
                              }
                            }
                            break;
                            {
                            _flick_abort331:
                              goto _flick_abort201;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
                            flick_iiopxx_decode_end_glob(16);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t143_switch_tag;

          flick_iiopxx_check_span(12, _flick_abort201);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t143_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t143_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t144_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t144_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t144_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_ex2 *_local_this;
                        unsigned int _t145_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t146_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort341);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t145_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_check_span(_t145_principal_len, _flick_abort341);
                        flick_iiopxx_decode_new_glob(_t145_principal_len);
                        flick_iiopxx_decode_new_chunk(_t145_principal_len);
                        flick_iiopxx_decode_end_chunk(_t145_principal_len);
                        flick_iiopxx_decode_end_glob(_t145_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort341);
                        flick_cdr_decode_unsigned32(0, _t146_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t146_temp_string_len);
                        flick_iiopxx_check_span(1 * _t146_temp_string_len, _flick_abort341);
                        flick_iiopxx_decode_new_chunk(1 * _t146_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_type_id, CORBA::Char *);
                        flick_iiopxx_decode_end_chunk(1 * _t146_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t146_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t147_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t147_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort341);
                          flick_iiopxx_encode_new_glob(5, _flick_abort341);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t147_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t147_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort349);
                                break;
                                {
                                _flick_abort349:
                                  goto _flick_abort341;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort350);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort350:
                                  goto _flick_abort341;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort341:
                          goto _flick_abort340;
                        }
                      }
                      break;
                      {
                      _flick_abort340:
                        goto _flick_abort201;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
          flick_iiopxx_decode_end_glob(16);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return;
  {
  _flick_abort201:
    flick_corbaxx_server_error(cdr, iiopxx, _flick_reaper, _flick_abort200);
  _flick_abort200:
    return ;
  }
_flick_reaper:
  return ;
}

