#ifndef _sequence__client_h_
#define _sequence__client_h_

#include <flick/link/iiopxx.h>
#include <flick/encode/cdr.h>
#include <flick/pres/corbaxx.h>

class seq {

public:
  CORBA::ULong _maximum;
  CORBA::ULong _length;
  CORBA::Long *_buffer;
  CORBA::Boolean _release;
  seq();
  seq(CORBA::ULong length, CORBA::Long *buffer, CORBA::Boolean release = 0);
  seq(const seq &o);
  virtual ~seq();
  seq &operator=(const seq &rhs);
  CORBA::Long &operator[](CORBA::ULong i);
  const CORBA::Long &operator[](CORBA::ULong i) const;
  static CORBA::Long *allocbuf(CORBA::ULong size);
  static void freebuf(CORBA::Long *buffer);
  virtual void _allocate_buffer(CORBA::ULong length);
  virtual void _deallocate_buffer();
  CORBA::Boolean release() const;
  CORBA::ULong maximum() const;
  CORBA::ULong length() const;
  void length(CORBA::ULong length);
  virtual void _shrink_buffer(CORBA::ULong length1, CORBA::ULong length2);
  CORBA::Long *get_buffer(CORBA::Boolean orphan = 0);
  const CORBA::Long *get_buffer() const;
} ;


typedef seq *seq_ptr;

class seq_var {

public:
  seq_var();
  seq_var(seq *p);
  seq_var(const seq_var &a);
  ~seq_var();
  seq_var &operator=(seq *p);
  seq_var &operator=(const seq_var &p);
  CORBA::Long &operator[](CORBA::ULong index);
  const CORBA::Long &operator[](CORBA::ULong index) const;
  seq *operator->();
  const seq *operator->() const;
  operator const seq &() const;
  operator seq &();
  operator seq &() const;
  const seq &in() const;
  seq &inout();
  seq *&out();
  seq *_retn();
  seq *ptr() const;

private:
  seq_ptr ptr_;
} ;


class seq_out {

public:
  seq_out(seq *&r);
  seq_out(seq_var &r);
  seq_out(const seq_out &r);
  seq_out &operator=(const seq_out &r);

private:
  seq_out &operator=(const seq_var &r);

public:
  seq_out &operator=(seq *r);
  operator seq *&();
  seq *&ptr();
  CORBA::Long &operator[](CORBA::ULong index);
  const CORBA::Long &operator[](CORBA::ULong index) const;
  seq *operator->();

private:
  seq_ptr &ptr_;
} ;


int flick_marshal_stub_seq(flick_marshal_stream_t _stream, const seq *_data);

int flick_unmarshal_stub_seq(flick_marshal_stream_t _stream, seq *_data);

void operator<<=(CORBA::Any &a, const seq &o);

void operator<<=(CORBA::Any &a, seq *o);

CORBA::Boolean operator>>=(const CORBA::Any &a, seq *&o);

class TestSeq ;


typedef TestSeq *TestSeq_ptr;

class TestSeq_var {

public:
  TestSeq_var();
  TestSeq_var(TestSeq_ptr p);
  TestSeq_var(const TestSeq_var &a);
  ~TestSeq_var();
  TestSeq_var &operator=(TestSeq_ptr p);
  TestSeq_var &operator=(const TestSeq_var &p);
  TestSeq_ptr operator->() const;
  operator const TestSeq_ptr &() const;
  operator TestSeq_ptr &();
  TestSeq_ptr in() const;
  TestSeq_ptr &inout();
  TestSeq_ptr &out();
  TestSeq_ptr _retn();
  TestSeq_ptr ptr() const;

private:
  TestSeq_ptr ptr_;
} ;


class TestSeq_out {

public:
  TestSeq_out(TestSeq_ptr &r);
  TestSeq_out(TestSeq_var &r);
  TestSeq_out(const TestSeq_out &r);
  TestSeq_out &operator=(const TestSeq_out &r);
  TestSeq_out &operator=(const TestSeq_var &r);
  TestSeq_out &operator=(TestSeq_ptr r);
  operator TestSeq_ptr &();
  TestSeq_ptr &ptr();
  TestSeq_ptr operator->();

private:
  TestSeq_ptr &ptr_;
} ;


class TestSeq : public virtual ACE_CORBA_1 (Object) {

public:
  static TestSeq_ptr _duplicate(TestSeq_ptr obj);
  static TestSeq_ptr _narrow(CORBA::Object_ptr obj, CORBA::Environment &_env = CORBA::Environment::default_environment());
  static TestSeq_ptr _unchecked_narrow(CORBA::Object_ptr _obj, CORBA::Environment &_env = CORBA::Environment::default_environment());
  static TestSeq_ptr _nil();
  virtual CORBA::Boolean _is_a(const CORBA::Char *_type_id, CORBA::Environment &_env = CORBA::Environment::default_environment());
  virtual const char *_interface_repository_id() const;

protected:
  TestSeq();
  virtual ~TestSeq();

private:
  TestSeq(const TestSeq &v);
  void operator=(const TestSeq &v);

public:
  virtual CORBA::Short Sequencer(/* TestSeq *this, */ seq &a, CORBA::Environment &_ev);

protected:
  TestSeq(TAO_Stub *objref, TAO_ServantBase *_tao_servant = 0, CORBA::Boolean _tao_collocated = 0);
} ;


int flick_marshal_stub_TestSeq(flick_marshal_stream_t _stream, const TestSeq_ptr *_data);

int flick_unmarshal_stub_TestSeq(flick_marshal_stream_t _stream, TestSeq_ptr *_data);

void operator<<=(CORBA::Any &a, TestSeq_ptr o);

CORBA::Boolean operator>>=(const CORBA::Any &a, TestSeq_ptr &o);

extern CORBA::TypeCode_ptr _tc_seq;

extern CORBA::TypeCode_ptr _tc_TestSeq;

#endif /* _sequence__client_h_ */
