#include "simple-server.h"

POA_simple::POA_simple()
{}

POA_simple::POA_simple(const POA_simple &rhs)
  : TAO_ServantBase(rhs)
{}

POA_simple::~POA_simple()
{}

simple *POA_simple::_this(CORBA::Environment &_env)
{
  TAO_Stub *stub = this->_create_stub(_env);
  TAO_CHECK_ENV_RETURN(_env, 0);
  return new _tao_collocated_simple(this, stub);
}

CORBA::Boolean POA_simple::_is_a(const CORBA::Char *type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)type_id, "IDL:simple:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return 0;
}

void *POA_simple::_downcast(const char *logical_type_id)
{
  if(ACE_OS::strcmp(logical_type_id, "IDL:simple:1.0") == 0)
    return ACE_static_cast(POA_simple_ptr , this);
   
  if(ACE_OS::strcmp(logical_type_id, "IDL:omg.org/CORBA/Object:1.0") == 0)
    return ACE_static_cast(PortableServer::Servant, this);
  return 0;
}

const char *POA_simple::_interface_repository_id() const
{
  return "IDL:simple:1.0";
}

template <class T>
  POA_simple_tie<T>::POA_simple_tie(T &t)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(0)
{}

template <class T>
  POA_simple_tie<T>::POA_simple_tie(T &t, PortableServer::POA_ptr poa)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(0)
{}

template <class T>
  POA_simple_tie<T>::POA_simple_tie(T *t, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(release)
{}

template <class T>
  POA_simple_tie<T>::POA_simple_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(release)
{}

template <class T>
  POA_simple_tie<T>::~POA_simple_tie()
{
  if( this->rel_ ) delete this->ptr_;
}

template <class T>
  T *POA_simple_tie<T>::_tied_object()
{
  return this->ptr_;
}

template <class T>
  void POA_simple_tie<T>::_tied_object(T &obj)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = &obj;
  this->rel_ = 0;
}

template <class T>
  void POA_simple_tie<T>::_tied_object(T &obj, CORBA::Boolean release)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = obj;
  this->rel_ = release;
}

template <class T>
  CORBA::Boolean POA_simple_tie<T>::_is_owner()
{
  return this->rel_;
}

template <class T>
  void POA_simple_tie<T>::_is_owner(CORBA::Boolean b)
{
  this->rel_ = b;
}

template <class T>
  PortableServer::POA_ptr POA_simple_tie<T>::_default_POA()
{
  if( !(CORBA::is_nil(this->poa_.in())) )
    return PortableServer::POA::_duplicate(this->poa_.in());
  else
  {
    TAO_POA *poa = TAO_ORB_Core_instance()->root_poa();
    PortableServer::POA_var result = poa->_this(env);
    if( env.exception() != 0 )
      return PortableServer::POA::_nil();
    else
      return result._retn();
  }
}

template <class T>
  POA_simple_tie<T>::POA_simple_tie(const POA_simple_tie &c)
{}

template <class T>
  void POA_simple_tie<T>::operator=(const POA_simple_tie &c)
{}

template <class T>
  CORBA::Long POA_simple_tie<T>::op(/* POA_simple *this, */ CORBA::Long a, simple_out b, CORBA::Long &c, CORBA::Environment &_ev)
{
  return this->ptr_->op (a, b, c, _ev);
}

_tao_collocated_simple::_tao_collocated_simple(POA_simple_ptr servant, TAO_Stub *stub)
  : simple(),
    CORBA_Object(stub, servant, 1),
    servant_ (servant)
{
}

POA_simple_ptr _tao_collocated_simple::_get_servant() const
{
  return this->servant_;
}

CORBA::Long _tao_collocated_simple::op(CORBA::Long a, simple_out b, CORBA::Long &c, CORBA::Environment &_ev)
{
  return this->servant_->op (a, b, c, _ev);
}

CORBA::Boolean _tao_collocated_simple::_is_a(const char *type_id, CORBA::Environment &_ev)
{
  return this->servant_->_is_a (type_id, _ev);
}

POA_simple2::POA_simple2()
{}

POA_simple2::POA_simple2(const POA_simple2 &rhs)
  : TAO_ServantBase(rhs)
{}

POA_simple2::~POA_simple2()
{}

simple2 *POA_simple2::_this(CORBA::Environment &_env)
{
  TAO_Stub *stub = this->_create_stub(_env);
  TAO_CHECK_ENV_RETURN(_env, 0);
  return new _tao_collocated_simple2(this, stub);
}

CORBA::Boolean POA_simple2::_is_a(const CORBA::Char *type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)type_id, "IDL:simple:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, "IDL:simple2:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return 0;
}

void *POA_simple2::_downcast(const char *logical_type_id)
{
  if(ACE_OS::strcmp(logical_type_id, "IDL:simple2:1.0") == 0)
    return ACE_static_cast(POA_simple2_ptr , this);
  
  if(ACE_OS::strcmp(logical_type_id, "IDL:simple:1.0") == 0)
    return ACE_reinterpret_cast(POA_simple_ptr , this); 
  if(ACE_OS::strcmp(logical_type_id, "IDL:omg.org/CORBA/Object:1.0") == 0)
    return ACE_static_cast(PortableServer::Servant, this);
  return 0;
}

const char *POA_simple2::_interface_repository_id() const
{
  return "IDL:simple2:1.0";
}

template <class T>
  POA_simple2_tie<T>::POA_simple2_tie(T &t)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(0)
{}

template <class T>
  POA_simple2_tie<T>::POA_simple2_tie(T &t, PortableServer::POA_ptr poa)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(0)
{}

template <class T>
  POA_simple2_tie<T>::POA_simple2_tie(T *t, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(release)
{}

template <class T>
  POA_simple2_tie<T>::POA_simple2_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(release)
{}

template <class T>
  POA_simple2_tie<T>::~POA_simple2_tie()
{
  if( this->rel_ ) delete this->ptr_;
}

template <class T>
  T *POA_simple2_tie<T>::_tied_object()
{
  return this->ptr_;
}

template <class T>
  void POA_simple2_tie<T>::_tied_object(T &obj)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = &obj;
  this->rel_ = 0;
}

template <class T>
  void POA_simple2_tie<T>::_tied_object(T &obj, CORBA::Boolean release)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = obj;
  this->rel_ = release;
}

template <class T>
  CORBA::Boolean POA_simple2_tie<T>::_is_owner()
{
  return this->rel_;
}

template <class T>
  void POA_simple2_tie<T>::_is_owner(CORBA::Boolean b)
{
  this->rel_ = b;
}

template <class T>
  PortableServer::POA_ptr POA_simple2_tie<T>::_default_POA()
{
  if( !(CORBA::is_nil(this->poa_.in())) )
    return PortableServer::POA::_duplicate(this->poa_.in());
  else
  {
    TAO_POA *poa = TAO_ORB_Core_instance()->root_poa();
    PortableServer::POA_var result = poa->_this(env);
    if( env.exception() != 0 )
      return PortableServer::POA::_nil();
    else
      return result._retn();
  }
}

template <class T>
  POA_simple2_tie<T>::POA_simple2_tie(const POA_simple2_tie &c)
{}

template <class T>
  void POA_simple2_tie<T>::operator=(const POA_simple2_tie &c)
{}

template <class T>
  CORBA::Long POA_simple2_tie<T>::op2(/* POA_simple2 *this, */ CORBA::Long a, simple_ptr b, simple2_out c, CORBA::Environment &_ev)
{
  return this->ptr_->op2 (a, b, c, _ev);
}

template <class T>
  CORBA::Long POA_simple2_tie<T>::op(/* POA_simple2 *this, */ CORBA::Long a, simple_out b, CORBA::Long &c, CORBA::Environment &_ev)
{
  return this->ptr_->op (a, b, c, _ev);
}

_tao_collocated_simple2::_tao_collocated_simple2(POA_simple2_ptr servant, TAO_Stub *stub)
  : simple2(),
    CORBA_Object(stub, servant, 1),
    servant_ (servant)
{
}

POA_simple2_ptr _tao_collocated_simple2::_get_servant() const
{
  return this->servant_;
}

CORBA::Long _tao_collocated_simple2::op2(CORBA::Long a, simple_ptr b, simple2_out c, CORBA::Environment &_ev)
{
  return this->servant_->op2 (a, b, c, _ev);
}

CORBA::Long _tao_collocated_simple2::op(CORBA::Long a, simple_out b, CORBA::Long &c, CORBA::Environment &_ev)
{
  return this->servant_->op (a, b, c, _ev);
}

CORBA::Boolean _tao_collocated_simple2::_is_a(const char *type_id, CORBA::Environment &_ev)
{
  return this->servant_->_is_a (type_id, _ev);
}

int flick_marshal_stub_simple(flick_marshal_stream_t _stream, simple_ptr *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdrxx_encode_IOR(iiopxx, *_data, 0, simple , _flick_abort0);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_simple(flick_marshal_stream_t _stream, simple_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdrxx_decode_IOR(iiopxx, *_data, 1, simple , _flick_abort1);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_simple_swap(flick_marshal_stream_t _stream, simple_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swapxx_decode_IOR(iiopxx, *_data, 1, simple , _flick_abort2);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

void POA_simple::_dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env){
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_InputCDR &_in_cdr = _tao_req.incoming();
  TAO_OutputCDR &_out_cdr = _tao_req.outgoing();
  flick_iiopxx_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (_in_cdr.do_byte_swap()) {
  {
    unsigned int _t30_switch_tag;

    flick_iiopxx_decode_new_glob(16);
    flick_iiopxx_check_span(12, _flick_abort5);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t30_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t30_switch_tag)
      {
      case (unsigned int) 3:
        {
          unsigned short int _t31_switch_tag;

          flick_iiopxx_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t31_switch_tag, unsigned short int );
          flick_iiopxx_decode_end_chunk(2);
          switch ((unsigned short int )_t31_switch_tag)
            {
            case /* op */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28528):
              {
                char _t32_switch_tag;

                flick_iiopxx_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t32_switch_tag, char );
                flick_iiopxx_decode_end_chunk(1);
                switch ((char )_t32_switch_tag)
                  {
                  case 0:
                    {
                      {
                        POA_simple *_local_this;
                        unsigned int _t33_principal_len;
                        CORBA::Long _return;
                        CORBA::Long _local_a;
                        simple_ptr _local_b;
                        CORBA::Long _local_c;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort69);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(5);
                        flick_cdr_swap_decode_unsigned32(1, _t33_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(5);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_check_span(_t33_principal_len, _flick_abort69);
                        flick_iiopxx_decode_new_glob(_t33_principal_len);
                        flick_iiopxx_decode_new_chunk(_t33_principal_len);
                        flick_iiopxx_decode_end_chunk(_t33_principal_len);
                        flick_iiopxx_decode_end_glob(_t33_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(11);
                        flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                        flick_iiopxx_check_span(8, _flick_abort69);
                        flick_cdr_swap_decode_signed32(0, _local_a, CORBA::Long );
                        flick_cdr_swap_decode_signed32(4, _local_c, CORBA::Long );
                        flick_iiopxx_decode_end_chunk(8);
                        flick_iiopxx_decode_end_glob(11);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->op(_local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t34_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t34_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort69);
                          flick_iiopxx_encode_new_glob(8, _flick_abort69);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t34_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t34_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(8);
                                flick_cdrxx_encode_IOR(iiopxx, _local_b, 0, simple , _flick_abort74);
                                CORBA_object_flick_free(_local_b);
                                _local_b = 0;
                                flick_iiopxx_encode_new_glob(7, _flick_abort74);
                                flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                flick_cdr_encode_signed32(0, _local_c, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(7);
                                break;
                                {
                                _flick_abort74:
                                  goto _flick_abort69;
                                }
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(8);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort75);
                                break;
                                {
                                _flick_abort75:
                                  goto _flick_abort69;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort76);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                                {
                                _flick_abort76:
                                  goto _flick_abort69;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort69:
                          goto _flick_abort68;
                        }
                      }
                      break;
                      {
                      _flick_abort68:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t35_switch_tag;

          flick_iiopxx_check_span(12, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t35_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t35_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t36_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t36_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t36_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_simple *_local_this;
                        unsigned int _t37_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t38_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort78);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t37_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_check_span(_t37_principal_len, _flick_abort78);
                        flick_iiopxx_decode_new_glob(_t37_principal_len);
                        flick_iiopxx_decode_new_chunk(_t37_principal_len);
                        flick_iiopxx_decode_end_chunk(_t37_principal_len);
                        flick_iiopxx_decode_end_glob(_t37_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort78);
                        flick_cdr_swap_decode_unsigned32(0, _t38_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t38_temp_string_len);
                        flick_iiopxx_check_span(1 * _t38_temp_string_len, _flick_abort78);
                        flick_iiopxx_decode_new_chunk(1 * _t38_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_type_id, CORBA::Char *);
                        flick_iiopxx_decode_end_chunk(1 * _t38_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t38_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t39_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t39_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort78);
                          flick_iiopxx_encode_new_glob(5, _flick_abort78);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t39_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t39_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort86);
                                break;
                                {
                                _flick_abort86:
                                  goto _flick_abort78;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort87);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort87:
                                  goto _flick_abort78;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort78:
                          goto _flick_abort77;
                        }
                      }
                      break;
                      {
                      _flick_abort77:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
          flick_iiopxx_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t10_switch_tag;

    flick_iiopxx_decode_new_glob(16);
    flick_iiopxx_check_span(12, _flick_abort5);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t10_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t10_switch_tag)
      {
      case (unsigned int) 3:
        {
          unsigned short int _t11_switch_tag;

          flick_iiopxx_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t11_switch_tag, unsigned short int );
          flick_iiopxx_decode_end_chunk(2);
          switch ((unsigned short int )_t11_switch_tag)
            {
            case /* op */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28528):
              {
                char _t12_switch_tag;

                flick_iiopxx_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t12_switch_tag, char );
                flick_iiopxx_decode_end_chunk(1);
                switch ((char )_t12_switch_tag)
                  {
                  case 0:
                    {
                      {
                        POA_simple *_local_this;
                        unsigned int _t13_principal_len;
                        CORBA::Long _return;
                        CORBA::Long _local_a;
                        simple_ptr _local_b;
                        CORBA::Long _local_c;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort28);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(5);
                        flick_cdr_decode_unsigned32(1, _t13_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(5);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_check_span(_t13_principal_len, _flick_abort28);
                        flick_iiopxx_decode_new_glob(_t13_principal_len);
                        flick_iiopxx_decode_new_chunk(_t13_principal_len);
                        flick_iiopxx_decode_end_chunk(_t13_principal_len);
                        flick_iiopxx_decode_end_glob(_t13_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(11);
                        flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                        flick_iiopxx_check_span(8, _flick_abort28);
                        flick_cdr_decode_signed32(0, _local_a, CORBA::Long );
                        flick_cdr_decode_signed32(4, _local_c, CORBA::Long );
                        flick_iiopxx_decode_end_chunk(8);
                        flick_iiopxx_decode_end_glob(11);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->op(_local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t14_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t14_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort28);
                          flick_iiopxx_encode_new_glob(8, _flick_abort28);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t14_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t14_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(8);
                                flick_cdrxx_encode_IOR(iiopxx, _local_b, 0, simple , _flick_abort33);
                                CORBA_object_flick_free(_local_b);
                                _local_b = 0;
                                flick_iiopxx_encode_new_glob(7, _flick_abort33);
                                flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                flick_cdr_encode_signed32(0, _local_c, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(7);
                                break;
                                {
                                _flick_abort33:
                                  goto _flick_abort28;
                                }
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(8);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort34);
                                break;
                                {
                                _flick_abort34:
                                  goto _flick_abort28;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort35);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                                {
                                _flick_abort35:
                                  goto _flick_abort28;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort28:
                          goto _flick_abort27;
                        }
                      }
                      break;
                      {
                      _flick_abort27:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t15_switch_tag;

          flick_iiopxx_check_span(12, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t15_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t15_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t16_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t16_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t16_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_simple *_local_this;
                        unsigned int _t17_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t18_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort37);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t17_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_check_span(_t17_principal_len, _flick_abort37);
                        flick_iiopxx_decode_new_glob(_t17_principal_len);
                        flick_iiopxx_decode_new_chunk(_t17_principal_len);
                        flick_iiopxx_decode_end_chunk(_t17_principal_len);
                        flick_iiopxx_decode_end_glob(_t17_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort37);
                        flick_cdr_decode_unsigned32(0, _t18_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t18_temp_string_len);
                        flick_iiopxx_check_span(1 * _t18_temp_string_len, _flick_abort37);
                        flick_iiopxx_decode_new_chunk(1 * _t18_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_type_id, CORBA::Char *);
                        flick_iiopxx_decode_end_chunk(1 * _t18_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t18_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t19_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t19_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort37);
                          flick_iiopxx_encode_new_glob(5, _flick_abort37);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t19_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t19_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort45);
                                break;
                                {
                                _flick_abort45:
                                  goto _flick_abort37;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort46);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort46:
                                  goto _flick_abort37;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort37:
                          goto _flick_abort36;
                        }
                      }
                      break;
                      {
                      _flick_abort36:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
          flick_iiopxx_decode_end_glob(16);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return;
  {
  _flick_abort5:
    flick_corbaxx_server_error(cdr, iiopxx, _flick_reaper, _flick_abort4);
  _flick_abort4:
    return ;
  }
_flick_reaper:
  return ;
}

int flick_marshal_stub_simple2(flick_marshal_stream_t _stream, simple2_ptr *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdrxx_encode_IOR(iiopxx, *_data, 0, simple2 , _flick_abort88);
  return 0;
  {
  _flick_abort88:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_simple2(flick_marshal_stream_t _stream, simple2_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdrxx_decode_IOR(iiopxx, *_data, 1, simple2 , _flick_abort89);
  return 0;
  {
  _flick_abort89:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_simple2_swap(flick_marshal_stream_t _stream, simple2_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swapxx_decode_IOR(iiopxx, *_data, 1, simple2 , _flick_abort90);
  return 0;
  {
  _flick_abort90:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

void POA_simple2::_dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env){
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_InputCDR &_in_cdr = _tao_req.incoming();
  TAO_OutputCDR &_out_cdr = _tao_req.outgoing();
  flick_iiopxx_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (_in_cdr.do_byte_swap()) {
  {
    unsigned int _t79_switch_tag;

    flick_iiopxx_decode_new_glob(16);
    flick_iiopxx_check_span(12, _flick_abort93);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t79_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t79_switch_tag)
      {
      case (unsigned int) 4:
        {
          unsigned int _t80_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t80_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t80_switch_tag)
            {
            case /* op2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623808):
              {
                {
                  POA_simple2 *_local_this;
                  unsigned int _t81_principal_len;
                  CORBA::Long _return;
                  CORBA::Long _local_a;
                  simple_ptr _local_b;
                  simple2_ptr _local_c;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort184);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t81_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_check_span(_t81_principal_len, _flick_abort184);
                  flick_iiopxx_decode_new_glob(_t81_principal_len);
                  flick_iiopxx_decode_new_chunk(_t81_principal_len);
                  flick_iiopxx_decode_end_chunk(_t81_principal_len);
                  flick_iiopxx_decode_end_glob(_t81_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(7);
                  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                  flick_iiopxx_check_span(4, _flick_abort184);
                  flick_cdr_swap_decode_signed32(0, _local_a, CORBA::Long );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(7);
                  flick_cdr_swapxx_decode_IOR(iiopxx, _local_b, 1, simple , _flick_abort184);
                  flick_iiopxx_mark_port_for_cleanup(_local_b, 1);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op2(_local_a, _local_b, _local_c, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t82_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t82_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort184);
                    flick_iiopxx_encode_new_glob(8, _flick_abort184);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t82_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t82_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _return, CORBA::Long );
                          flick_iiopxx_encode_end_chunk(4);
                          flick_iiopxx_encode_end_glob(8);
                          flick_cdrxx_encode_IOR(iiopxx, _local_c, 0, simple2 , _flick_abort189);
                          CORBA_object_flick_free(_local_c);
                          _local_c = 0;
                          break;
                          {
                          _flick_abort189:
                            goto _flick_abort184;
                          }
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(8);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort190);
                          break;
                          {
                          _flick_abort190:
                            goto _flick_abort184;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort191);
                          flick_iiopxx_encode_end_glob(8);
                          break;
                          {
                          _flick_abort191:
                            goto _flick_abort184;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort184:
                    goto _flick_abort183;
                  }
                }
                break;
                {
                _flick_abort183:
                  goto _flick_abort93;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort93);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 3:
        {
          unsigned short int _t83_switch_tag;

          flick_iiopxx_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t83_switch_tag, unsigned short int );
          flick_iiopxx_decode_end_chunk(2);
          switch ((unsigned short int )_t83_switch_tag)
            {
            case /* op */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28528):
              {
                char _t84_switch_tag;

                flick_iiopxx_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t84_switch_tag, char );
                flick_iiopxx_decode_end_chunk(1);
                switch ((char )_t84_switch_tag)
                  {
                  case 0:
                    {
                      {
                        POA_simple2 *_local_this;
                        unsigned int _t85_principal_len;
                        CORBA::Long _return;
                        CORBA::Long _local_a;
                        simple_ptr _local_b;
                        CORBA::Long _local_c;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort193);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(5);
                        flick_cdr_swap_decode_unsigned32(1, _t85_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(5);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_check_span(_t85_principal_len, _flick_abort193);
                        flick_iiopxx_decode_new_glob(_t85_principal_len);
                        flick_iiopxx_decode_new_chunk(_t85_principal_len);
                        flick_iiopxx_decode_end_chunk(_t85_principal_len);
                        flick_iiopxx_decode_end_glob(_t85_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(11);
                        flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                        flick_iiopxx_check_span(8, _flick_abort193);
                        flick_cdr_swap_decode_signed32(0, _local_a, CORBA::Long );
                        flick_cdr_swap_decode_signed32(4, _local_c, CORBA::Long );
                        flick_iiopxx_decode_end_chunk(8);
                        flick_iiopxx_decode_end_glob(11);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->op(_local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t86_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t86_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort193);
                          flick_iiopxx_encode_new_glob(8, _flick_abort193);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t86_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t86_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(8);
                                flick_cdrxx_encode_IOR(iiopxx, _local_b, 0, simple , _flick_abort198);
                                CORBA_object_flick_free(_local_b);
                                _local_b = 0;
                                flick_iiopxx_encode_new_glob(7, _flick_abort198);
                                flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                flick_cdr_encode_signed32(0, _local_c, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(7);
                                break;
                                {
                                _flick_abort198:
                                  goto _flick_abort193;
                                }
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(8);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort199);
                                break;
                                {
                                _flick_abort199:
                                  goto _flick_abort193;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort200);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                                {
                                _flick_abort200:
                                  goto _flick_abort193;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort193:
                          goto _flick_abort192;
                        }
                      }
                      break;
                      {
                      _flick_abort192:
                        goto _flick_abort93;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort93);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort93);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t87_switch_tag;

          flick_iiopxx_check_span(12, _flick_abort93);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t87_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t87_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t88_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t88_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t88_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_simple2 *_local_this;
                        unsigned int _t89_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t90_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort202);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t89_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_check_span(_t89_principal_len, _flick_abort202);
                        flick_iiopxx_decode_new_glob(_t89_principal_len);
                        flick_iiopxx_decode_new_chunk(_t89_principal_len);
                        flick_iiopxx_decode_end_chunk(_t89_principal_len);
                        flick_iiopxx_decode_end_glob(_t89_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort202);
                        flick_cdr_swap_decode_unsigned32(0, _t90_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t90_temp_string_len);
                        flick_iiopxx_check_span(1 * _t90_temp_string_len, _flick_abort202);
                        flick_iiopxx_decode_new_chunk(1 * _t90_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_type_id, CORBA::Char *);
                        flick_iiopxx_decode_end_chunk(1 * _t90_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t90_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t91_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t91_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort202);
                          flick_iiopxx_encode_new_glob(5, _flick_abort202);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t91_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t91_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort210);
                                break;
                                {
                                _flick_abort210:
                                  goto _flick_abort202;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort211);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort211:
                                  goto _flick_abort202;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort202:
                          goto _flick_abort201;
                        }
                      }
                      break;
                      {
                      _flick_abort201:
                        goto _flick_abort93;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort93);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort93);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort93);
          flick_iiopxx_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t53_switch_tag;

    flick_iiopxx_decode_new_glob(16);
    flick_iiopxx_check_span(12, _flick_abort93);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t53_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t53_switch_tag)
      {
      case (unsigned int) 4:
        {
          unsigned int _t54_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t54_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t54_switch_tag)
            {
            case /* op2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623808):
              {
                {
                  POA_simple2 *_local_this;
                  unsigned int _t55_principal_len;
                  CORBA::Long _return;
                  CORBA::Long _local_a;
                  simple_ptr _local_b;
                  simple2_ptr _local_c;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort125);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t55_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_check_span(_t55_principal_len, _flick_abort125);
                  flick_iiopxx_decode_new_glob(_t55_principal_len);
                  flick_iiopxx_decode_new_chunk(_t55_principal_len);
                  flick_iiopxx_decode_end_chunk(_t55_principal_len);
                  flick_iiopxx_decode_end_glob(_t55_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(7);
                  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                  flick_iiopxx_check_span(4, _flick_abort125);
                  flick_cdr_decode_signed32(0, _local_a, CORBA::Long );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(7);
                  flick_cdrxx_decode_IOR(iiopxx, _local_b, 1, simple , _flick_abort125);
                  flick_iiopxx_mark_port_for_cleanup(_local_b, 1);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op2(_local_a, _local_b, _local_c, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t56_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t56_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort125);
                    flick_iiopxx_encode_new_glob(8, _flick_abort125);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t56_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t56_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _return, CORBA::Long );
                          flick_iiopxx_encode_end_chunk(4);
                          flick_iiopxx_encode_end_glob(8);
                          flick_cdrxx_encode_IOR(iiopxx, _local_c, 0, simple2 , _flick_abort130);
                          CORBA_object_flick_free(_local_c);
                          _local_c = 0;
                          break;
                          {
                          _flick_abort130:
                            goto _flick_abort125;
                          }
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(8);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort131);
                          break;
                          {
                          _flick_abort131:
                            goto _flick_abort125;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort132);
                          flick_iiopxx_encode_end_glob(8);
                          break;
                          {
                          _flick_abort132:
                            goto _flick_abort125;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort125:
                    goto _flick_abort124;
                  }
                }
                break;
                {
                _flick_abort124:
                  goto _flick_abort93;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort93);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 3:
        {
          unsigned short int _t57_switch_tag;

          flick_iiopxx_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t57_switch_tag, unsigned short int );
          flick_iiopxx_decode_end_chunk(2);
          switch ((unsigned short int )_t57_switch_tag)
            {
            case /* op */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28528):
              {
                char _t58_switch_tag;

                flick_iiopxx_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t58_switch_tag, char );
                flick_iiopxx_decode_end_chunk(1);
                switch ((char )_t58_switch_tag)
                  {
                  case 0:
                    {
                      {
                        POA_simple2 *_local_this;
                        unsigned int _t59_principal_len;
                        CORBA::Long _return;
                        CORBA::Long _local_a;
                        simple_ptr _local_b;
                        CORBA::Long _local_c;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort134);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(5);
                        flick_cdr_decode_unsigned32(1, _t59_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(5);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_check_span(_t59_principal_len, _flick_abort134);
                        flick_iiopxx_decode_new_glob(_t59_principal_len);
                        flick_iiopxx_decode_new_chunk(_t59_principal_len);
                        flick_iiopxx_decode_end_chunk(_t59_principal_len);
                        flick_iiopxx_decode_end_glob(_t59_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(11);
                        flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                        flick_iiopxx_check_span(8, _flick_abort134);
                        flick_cdr_decode_signed32(0, _local_a, CORBA::Long );
                        flick_cdr_decode_signed32(4, _local_c, CORBA::Long );
                        flick_iiopxx_decode_end_chunk(8);
                        flick_iiopxx_decode_end_glob(11);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->op(_local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t60_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t60_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort134);
                          flick_iiopxx_encode_new_glob(8, _flick_abort134);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t60_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t60_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(8);
                                flick_cdrxx_encode_IOR(iiopxx, _local_b, 0, simple , _flick_abort139);
                                CORBA_object_flick_free(_local_b);
                                _local_b = 0;
                                flick_iiopxx_encode_new_glob(7, _flick_abort139);
                                flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                flick_cdr_encode_signed32(0, _local_c, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(7);
                                break;
                                {
                                _flick_abort139:
                                  goto _flick_abort134;
                                }
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(8);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort140);
                                break;
                                {
                                _flick_abort140:
                                  goto _flick_abort134;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort141);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                                {
                                _flick_abort141:
                                  goto _flick_abort134;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort134:
                          goto _flick_abort133;
                        }
                      }
                      break;
                      {
                      _flick_abort133:
                        goto _flick_abort93;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort93);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort93);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t61_switch_tag;

          flick_iiopxx_check_span(12, _flick_abort93);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t61_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t61_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t62_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t62_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t62_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_simple2 *_local_this;
                        unsigned int _t63_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t64_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort143);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t63_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_check_span(_t63_principal_len, _flick_abort143);
                        flick_iiopxx_decode_new_glob(_t63_principal_len);
                        flick_iiopxx_decode_new_chunk(_t63_principal_len);
                        flick_iiopxx_decode_end_chunk(_t63_principal_len);
                        flick_iiopxx_decode_end_glob(_t63_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort143);
                        flick_cdr_decode_unsigned32(0, _t64_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t64_temp_string_len);
                        flick_iiopxx_check_span(1 * _t64_temp_string_len, _flick_abort143);
                        flick_iiopxx_decode_new_chunk(1 * _t64_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_type_id, CORBA::Char *);
                        flick_iiopxx_decode_end_chunk(1 * _t64_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t64_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t65_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t65_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort143);
                          flick_iiopxx_encode_new_glob(5, _flick_abort143);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t65_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t65_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort151);
                                break;
                                {
                                _flick_abort151:
                                  goto _flick_abort143;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort152);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort152:
                                  goto _flick_abort143;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort143:
                          goto _flick_abort142;
                        }
                      }
                      break;
                      {
                      _flick_abort142:
                        goto _flick_abort93;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort93);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort93);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort93);
          flick_iiopxx_decode_end_glob(16);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return;
  {
  _flick_abort93:
    flick_corbaxx_server_error(cdr, iiopxx, _flick_reaper, _flick_abort92);
  _flick_abort92:
    return ;
  }
_flick_reaper:
  return ;
}

