#ifndef _simple_server_h_
#define _simple_server_h_

#include <flick/link/iiopxx.h>
#include <flick/encode/cdr.h>
#include "simple-client.h"
#include <flick/pres/corbaxx.h>

class POA_simple ;


typedef POA_simple *POA_simple_ptr;

class POA_simple : public virtual PortableServer::ServantBase {

protected:
  POA_simple();

public:
  POA_simple(const POA_simple &rhs);
  virtual ~POA_simple();
  simple *_this(CORBA::Environment &_env);
  virtual CORBA::Boolean _is_a(const CORBA::Char *type_id, CORBA::Environment &_env);
  virtual void *_downcast(const char *logical_type_id);
  virtual const char *_interface_repository_id() const;
  virtual void _dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env = CORBA::Environment::default_environment());
  virtual CORBA::Long op(/* POA_simple *this, */ CORBA::Long a, simple_out b, CORBA::Long &c, CORBA::Environment &_ev) = 0;
} ;


template <class T>
  class POA_simple_tie : public POA_simple {

  public:
    POA_simple_tie(T &t);
    POA_simple_tie(T &t, PortableServer::POA_ptr poa);
    POA_simple_tie(T *t, CORBA::Boolean release = 1);
    POA_simple_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release = 1);
    ~POA_simple_tie();
    T *_tied_object();
    void _tied_object(T &obj);
    void _tied_object(T &obj, CORBA::Boolean release = 1);
    CORBA::Boolean _is_owner();
    void _is_owner(CORBA::Boolean b);
    PortableServer::POA_ptr _default_POA();

  private:
    POA_simple_tie(const POA_simple_tie &c);
    void operator=(const POA_simple_tie &c);

  public:
    CORBA::Long op(/* POA_simple *this, */ CORBA::Long a, simple_out b, CORBA::Long &c, CORBA::Environment &_ev);

  private:
    T *ptr_;
    PortableServer::POA_var poa_;
    CORBA::Boolean rel_;
  } ;


class POA_simple2 ;


typedef POA_simple2 *POA_simple2_ptr;

class POA_simple2 : public virtual PortableServer::ServantBase {

protected:
  POA_simple2();

public:
  POA_simple2(const POA_simple2 &rhs);
  virtual ~POA_simple2();
  simple2 *_this(CORBA::Environment &_env);
  virtual CORBA::Boolean _is_a(const CORBA::Char *type_id, CORBA::Environment &_env);
  virtual void *_downcast(const char *logical_type_id);
  virtual const char *_interface_repository_id() const;
  virtual void _dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env = CORBA::Environment::default_environment());
  virtual CORBA::Long op2(/* POA_simple2 *this, */ CORBA::Long a, simple_ptr b, simple2_out c, CORBA::Environment &_ev) = 0;
  virtual CORBA::Long op(/* POA_simple2 *this, */ CORBA::Long a, simple_out b, CORBA::Long &c, CORBA::Environment &_ev) = 0;
} ;


template <class T>
  class POA_simple2_tie : public POA_simple2 {

  public:
    POA_simple2_tie(T &t);
    POA_simple2_tie(T &t, PortableServer::POA_ptr poa);
    POA_simple2_tie(T *t, CORBA::Boolean release = 1);
    POA_simple2_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release = 1);
    ~POA_simple2_tie();
    T *_tied_object();
    void _tied_object(T &obj);
    void _tied_object(T &obj, CORBA::Boolean release = 1);
    CORBA::Boolean _is_owner();
    void _is_owner(CORBA::Boolean b);
    PortableServer::POA_ptr _default_POA();

  private:
    POA_simple2_tie(const POA_simple2_tie &c);
    void operator=(const POA_simple2_tie &c);

  public:
    CORBA::Long op2(/* POA_simple2 *this, */ CORBA::Long a, simple_ptr b, simple2_out c, CORBA::Environment &_ev);
    CORBA::Long op(/* POA_simple2 *this, */ CORBA::Long a, simple_out b, CORBA::Long &c, CORBA::Environment &_ev);

  private:
    T *ptr_;
    PortableServer::POA_var poa_;
    CORBA::Boolean rel_;
  } ;


class _tao_collocated_simple : public virtual simple {

public:
  _tao_collocated_simple(POA_simple_ptr servant, TAO_Stub *stub);
  POA_simple_ptr _get_servant() const;
  virtual CORBA::Long op(CORBA::Long a, simple_out b, CORBA::Long &c, CORBA::Environment &_ev);
  virtual CORBA::Boolean _is_a(const char *type_id, CORBA::Environment &_ev);

private:
  POA_simple_ptr servant_;
} ;


class _tao_collocated_simple2 : public virtual simple2 {

public:
  _tao_collocated_simple2(POA_simple2_ptr servant, TAO_Stub *stub);
  POA_simple2_ptr _get_servant() const;
  virtual CORBA::Long op2(CORBA::Long a, simple_ptr b, simple2_out c, CORBA::Environment &_ev);
  virtual CORBA::Long op(CORBA::Long a, simple_out b, CORBA::Long &c, CORBA::Environment &_ev);
  virtual CORBA::Boolean _is_a(const char *type_id, CORBA::Environment &_ev);

private:
  POA_simple2_ptr servant_;
} ;


#endif /* _simple_server_h_ */
