#include "string_-client.h"
#include "string_-server.h"

static const CORBA::Long _oc_str[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    12, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x7374723a), ACE_NTOHL(0x312e3000) /* repository ID = IDL:str:1.0 */,
    4, ACE_NTOHL(0x73747200) /* name = str */,
    4 /* member count */,
    4, ACE_NTOHL(0x73313000) /* name = s10 */,
    CORBA::tk_string,
    0,
    2, ACE_NTOHL(0x61000000) /* name = a */,
    CORBA::tk_long,
    3, ACE_NTOHL(0x73780000) /* name = sx */,
    CORBA::tk_string,
    0,
    2, ACE_NTOHL(0x62000000) /* name = b */,
    CORBA::tk_short
};

static CORBA::TypeCode _tc_TAO_tc_str (CORBA::tk_struct, sizeof(_oc_str), (char *) &_oc_str, 0, sizeof(struct str ));

CORBA::TypeCode_ptr _tc_str = &_tc_TAO_tc_str;

void operator<<=(CORBA::Any &a, const struct str &o)
{
  struct str  *_any_val;
  ACE_NEW(_any_val, struct str  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_str, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, struct str *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_str, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, struct str *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(_tc_str, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (struct str  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, struct str , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(_tc_str, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(_tc_str, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

str_var::str_var()
  : ptr_(0)
{}

str_var::str_var(struct str *p)
 : ptr_(p)
{}

str_var::str_var(const str_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new struct str (*a.ptr_);
  else
    this->ptr_ = 0;
}

str_var::~str_var()
{
  delete this->ptr_;
}

str_var &str_var::operator=(struct str *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

str_var &str_var::operator=(const str_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new struct str (*p.ptr_);
  }
  return *this;
}

struct str *str_var::operator->()
{
  return this->ptr_;
}

const struct str *str_var::operator->() const
{
  return this->ptr_;
}

str_var::operator const struct str &() const
{
  return *this->ptr_;
}

str_var::operator struct str &()
{
  return *this->ptr_;
}

str_var::operator struct str &() const
{
  return *this->ptr_;
}

const struct str &str_var::in() const
{
  return *this->ptr_;
}

struct str &str_var::inout()
{
  return *this->ptr_;
}

struct str *&str_var::out()
{
  delete this->ptr_;
  this->ptr_ = 0;
  return this->ptr_;
}

struct str *str_var::_retn()
{
  struct str  *tmp = this->ptr_;
  this->ptr_ = 0;
  return tmp;
}

struct str *str_var::ptr() const
{
  return this->ptr_;
}

str_out::str_out(struct str *&r)
  : ptr_(r)
{
  this->ptr_ = 0;
}

str_out::str_out(str_var &r)
  : ptr_(r.out())
{
  delete this->ptr_;
  this->ptr_ = 0;
}

str_out::str_out(const str_out &r)
  : ptr_(ACE_const_cast(str_out &,r).ptr_)
{}

str_out &str_out::operator=(const str_out &r)
{
  this->ptr_ = ACE_const_cast(str_out &,r).ptr_;
  return *this;
}

str_out &str_out::operator=(struct str *r)
{
  this->ptr_ = r;
  return *this;
}

str_out::operator struct str *&()
{
  return this->ptr_;
}

struct str *&str_out::ptr()
{
  return this->ptr_;
}

struct str *str_out::operator->()
{
  return this->ptr_;
}

static const CORBA::Long _oc_test[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    13, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74657374), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:test:1.0 */,
    5, ACE_NTOHL(0x74657374), ACE_NTOHL(0x00000000) /* name = test */
};

static CORBA::TypeCode _tc_TAO_tc_test (CORBA::tk_objref, sizeof(_oc_test), (char *) &_oc_test, 0, sizeof(test ));

CORBA::TypeCode_ptr _tc_test = &_tc_TAO_tc_test;


#if defined (ACE_HAS_EXPLICIT_TEMPLATE_INSTANTIATION)
  template class TAO_Object_Field_T<test >;
#elif defined (ACE_HAS_TEMPLATE_INSTANTIATION_PRAGMA)
#  pragma instantiate TAO_Object_Field_T<test >
#endif /* ACE_HAS_EXPLICIT_TEMPLATE_INSTANTIATION */

test_ptr test::_duplicate(test_ptr obj)
{
  if( !CORBA::is_nil(obj) )
    obj->_incr_refcnt();
  return obj;
}

test_ptr test::_narrow(CORBA::Object_ptr obj, CORBA::Environment &_env)
{
  if( CORBA::is_nil(obj) )
    return test::_nil();
  if( !obj->_is_a("IDL:test:1.0", _env) )
    return test::_nil();
  return test::_unchecked_narrow(obj, _env);
}

test_ptr test::_unchecked_narrow(CORBA::Object_ptr _obj, CORBA::Environment &_env)
{
  if( CORBA::is_nil(_obj) )
    return test::_nil();
  TAO_Stub *stub = _obj->_stubobj();
  stub->_incr_refcnt();
  void* servant = 0;
  if (_obj->_is_collocated () && _obj->_servant() != 0)
    servant = _obj->_servant()->_downcast ("IDL:Coffee:1.0");
  if (servant == 0)
    return new test (stub);
  return new _tao_collocated_test(
      ACE_reinterpret_cast(POA_test_ptr , servant),
      stub
    );
}

test_ptr test::_nil()
{
  return (test_ptr )NULL;
}

CORBA::Boolean test::_is_a(const CORBA::Char *_type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)_type_id, "IDL:test:1.0")) ||
      (!ACE_OS::strcmp((char *)_type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return this->CORBA_Object::_is_a(_type_id, _env);
}

const char *test::_interface_repository_id() const
{
  return "IDL:test:1.0";
}

test::test()
{}

test::~test()
{}

void operator<<=(CORBA::Any &a, test_ptr o)
{
  CORBA::Object_ptr *_tao_obj_ptr = 0;
  ACE_TRY_NEW_ENV
  {
    ACE_NEW(_tao_obj_ptr, CORBA::Object_ptr);
    *_tao_obj_ptr = test::_duplicate(o);
    a.replace (_tc_test, _tao_obj_ptr, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _tao_obj_ptr;
  }
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, test_ptr &o)
{
  CORBA::Object_ptr *tmp = 0;
  ACE_TRY_NEW_ENV
  {
    o = test::_nil();
    CORBA::TypeCode_var type = a.type();
    if (!type->equal (_tc_test, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    TAO_InputCDR stream (a._tao_get_cdr());
    CORBA::Object_var _tao_obj_var;
    ACE_NEW_RETURN (tmp, CORBA::Object_ptr, 0);
    if (stream.decode(_tc_test, &_tao_obj_var.out(), 0, ACE_TRY_ENV)
       == CORBA::TypeCode::TRAVERSE_CONTINUE)
    {
      o = test::_narrow(_tao_obj_var.in(), ACE_TRY_ENV);
      ACE_TRY_CHECK;
      *tmp = (CORBA::Object_ptr) o;
      ((CORBA::Any *)&a)->replace(_tc_test, tmp, 1, ACE_TRY_ENV);
      ACE_TRY_CHECK;
      return 1;
    }
  }
  ACE_CATCHANY
  {
    delete tmp;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

test::test(TAO_Stub *objref, TAO_ServantBase *_tao_servant, CORBA::Boolean _tao_collocated)
  : CORBA_Object(objref, _tao_servant, _tao_collocated)
{}

test_var::test_var()
  : ptr_(test::_nil())
{}

test_var::test_var(test_ptr p)
  : ptr_(p)
{}

test_var::test_var(const test_var &a)
  : ptr_(test::_duplicate(a.ptr()))
{}

test_var::~test_var()
{
  CORBA::release(this->ptr_);
}

test_var &test_var::operator=(test_ptr p)
{
  CORBA::release(this->ptr_);
  this->ptr_ = p;
  return *this;
}

test_var &test_var::operator=(const test_var &p)
{
  if( this != &p )
  {
    CORBA::release(this->ptr_);
    this->ptr_ = test::_duplicate(p.ptr());
  }
  return *this;
}

test_ptr test_var::operator->() const
{
  return this->ptr_;
}

test_var::operator const test_ptr &() const
{
  return this->ptr_;
}

test_var::operator test_ptr &()
{
  return this->ptr_;
}

test_ptr test_var::in() const
{
  return this->ptr_;
}

test_ptr &test_var::inout()
{
  return this->ptr_;
}

test_ptr &test_var::out()
{
  CORBA::release(this->ptr_);
  this->ptr_ = test::_nil();
  return this->ptr_;
}

test_ptr test_var::_retn()
{
  test_ptr  val = this->ptr_;
  this->ptr_ = test::_nil();
  return val;
}

test_ptr test_var::ptr() const
{
  return this->ptr_;
}

test_out::test_out(test_ptr &r)
  : ptr_(r)
{
  this->ptr_ = test::_nil();
}

test_out::test_out(test_var &r)
  : ptr_(r.out())
{
  CORBA::release(this->ptr_);
  this->ptr_ = test::_nil();
}

test_out::test_out(const test_out &r)
  : ptr_(ACE_const_cast(test_out &,r).ptr_)
{}

test_out &test_out::operator=(const test_out &r)
{
  this->ptr_ = ACE_const_cast(test_out &,r).ptr_;
  return *this;
}

test_out &test_out::operator=(const test_var &r)
{
  this->ptr_ = test::_duplicate(r.ptr());
  return *this;
}

test_out &test_out::operator=(test_ptr r)
{
  this->ptr_ = r;
  return *this;
}

test_out::operator test_ptr &()
{
  return this->ptr_;
}

test_ptr &test_out::ptr()
{
  return this->ptr_;
}

test_ptr test_out::operator->()
{
  return this->ptr_;
}

int flick_marshal_stub_str(flick_marshal_stream_t _stream, const struct str *_data)
{
  flick_unsigned32_t _t0_temp_string_len;
  flick_unsigned32_t _t1_temp_string_len;

  flick_cdr_stringlen(CORBA::Char *, _data->s10, flick_unsigned32_t , _t0_temp_string_len);
  flick_cdr_stringlen(CORBA::Char *, _data->sx, flick_unsigned32_t , _t1_temp_string_len);

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(26, _flick_abort0);
  flick_iiopxx_encode_new_chunk(4 + 1 * _t0_temp_string_len);
  flick_cdr_encode_unsigned32(0, _t0_temp_string_len, flick_unsigned32_t );
  if (_t0_temp_string_len > 11)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort0);
  flick_cdr_encode_bcopy(4, _data->s10, 1 * _t0_temp_string_len);
  flick_iiopxx_encode_end_chunk(4 + 1 * _t0_temp_string_len);
  flick_iiopxx_encode_new_chunk_align(8, 2, 0, 0);
  flick_cdr_encode_signed32(0, _data->a, CORBA::Long );
  flick_cdr_encode_unsigned32(4, _t1_temp_string_len, flick_unsigned32_t );
  flick_iiopxx_encode_end_chunk(8);
  flick_iiopxx_encode_end_glob(26);
  flick_iiopxx_encode_new_glob(1 * _t1_temp_string_len, _flick_abort0);
  flick_iiopxx_encode_new_chunk(1 * _t1_temp_string_len);
  flick_cdr_encode_bcopy(0, _data->sx, 1 * _t1_temp_string_len);
  flick_iiopxx_encode_end_chunk(1 * _t1_temp_string_len);
  flick_iiopxx_encode_end_glob(1 * _t1_temp_string_len);
  flick_iiopxx_encode_new_glob(3, _flick_abort0);
  flick_iiopxx_encode_new_chunk_align(2, 1, 0, 0);
  flick_cdr_encode_signed16(0, _data->b, CORBA::Short );
  flick_iiopxx_encode_end_chunk(2);
  flick_iiopxx_encode_end_glob(3);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_str(flick_marshal_stream_t _stream, struct str *_data)
{
  flick_unsigned32_t _t2_temp_string_len;
  flick_unsigned32_t _t3_temp_string_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(26);
  flick_iiopxx_check_span(4, _flick_abort5);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _t2_temp_string_len, flick_unsigned32_t );
  if (_t2_temp_string_len > 11)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort5);
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_check_span(1 * _t2_temp_string_len, _flick_abort5);
  flick_iiopxx_decode_new_chunk(1 * _t2_temp_string_len);
  {
    CORBA::Char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t2_temp_string_len * sizeof(CORBA::Char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort5);
    _data->s10 = _t_alloc_ptr;
  }
  flick_cdr_decode_bcopy(0, _data->s10, 1 * _t2_temp_string_len);
  flick_iiopxx_decode_end_chunk(1 * _t2_temp_string_len);
  flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
  flick_iiopxx_check_span(8, _flick_abort5);
  flick_cdr_decode_signed32(0, _data->a, CORBA::Long );
  flick_cdr_decode_unsigned32(4, _t3_temp_string_len, flick_unsigned32_t );
  flick_iiopxx_decode_end_chunk(8);
  flick_iiopxx_decode_end_glob(26);
  flick_iiopxx_decode_new_glob(1 * _t3_temp_string_len);
  flick_iiopxx_check_span(1 * _t3_temp_string_len, _flick_abort5);
  flick_iiopxx_decode_new_chunk(1 * _t3_temp_string_len);
  {
    CORBA::Char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t3_temp_string_len * sizeof(CORBA::Char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort5);
    _data->sx = _t_alloc_ptr;
  }
  flick_cdr_decode_bcopy(0, _data->sx, 1 * _t3_temp_string_len);
  flick_iiopxx_decode_end_chunk(1 * _t3_temp_string_len);
  flick_iiopxx_decode_end_glob(1 * _t3_temp_string_len);
  flick_iiopxx_decode_new_glob(3);
  flick_iiopxx_decode_new_chunk_align(2, 1, 0, 0);
  flick_iiopxx_check_span(2, _flick_abort5);
  flick_cdr_decode_signed16(0, _data->b, CORBA::Short );
  flick_iiopxx_decode_end_chunk(2);
  flick_iiopxx_decode_end_glob(3);
  return 0;
  {
  _flick_abort5:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_str_swap(flick_marshal_stream_t _stream, struct str *_data)
{
  flick_unsigned32_t _t4_temp_string_len;
  flick_unsigned32_t _t5_temp_string_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(26);
  flick_iiopxx_check_span(4, _flick_abort10);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _t4_temp_string_len, flick_unsigned32_t );
  if (_t4_temp_string_len > 11)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort10);
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_check_span(1 * _t4_temp_string_len, _flick_abort10);
  flick_iiopxx_decode_new_chunk(1 * _t4_temp_string_len);
  {
    CORBA::Char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t4_temp_string_len * sizeof(CORBA::Char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort10);
    _data->s10 = _t_alloc_ptr;
  }
  flick_cdr_swap_decode_bcopy(0, _data->s10, 1 * _t4_temp_string_len);
  flick_iiopxx_decode_end_chunk(1 * _t4_temp_string_len);
  flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
  flick_iiopxx_check_span(8, _flick_abort10);
  flick_cdr_swap_decode_signed32(0, _data->a, CORBA::Long );
  flick_cdr_swap_decode_unsigned32(4, _t5_temp_string_len, flick_unsigned32_t );
  flick_iiopxx_decode_end_chunk(8);
  flick_iiopxx_decode_end_glob(26);
  flick_iiopxx_decode_new_glob(1 * _t5_temp_string_len);
  flick_iiopxx_check_span(1 * _t5_temp_string_len, _flick_abort10);
  flick_iiopxx_decode_new_chunk(1 * _t5_temp_string_len);
  {
    CORBA::Char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t5_temp_string_len * sizeof(CORBA::Char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort10);
    _data->sx = _t_alloc_ptr;
  }
  flick_cdr_swap_decode_bcopy(0, _data->sx, 1 * _t5_temp_string_len);
  flick_iiopxx_decode_end_chunk(1 * _t5_temp_string_len);
  flick_iiopxx_decode_end_glob(1 * _t5_temp_string_len);
  flick_iiopxx_decode_new_glob(3);
  flick_iiopxx_decode_new_chunk_align(2, 1, 0, 0);
  flick_iiopxx_check_span(2, _flick_abort10);
  flick_cdr_swap_decode_signed16(0, _data->b, CORBA::Short );
  flick_iiopxx_decode_end_chunk(2);
  flick_iiopxx_decode_end_glob(3);
  return 0;
  {
  _flick_abort10:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_test(flick_marshal_stream_t _stream, const test_ptr *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdrxx_encode_IOR(iiopxx, *_data, 0, test , _flick_abort15);
  return 0;
  {
  _flick_abort15:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_test(flick_marshal_stream_t _stream, test_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdrxx_decode_IOR(iiopxx, *_data, 1, test , _flick_abort16);
  return 0;
  {
  _flick_abort16:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_test_swap(flick_marshal_stream_t _stream, test_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swapxx_decode_IOR(iiopxx, *_data, 1, test , _flick_abort17);
  return 0;
  {
  _flick_abort17:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

char *test::String(/* test *this, */ const char *a, char *&b, ::CORBA::String_out c, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  char *_return;

  _return = 0;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort19);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort19);
    }
    {
      flick_unsigned32_t _t8_temp_string_len;
      flick_unsigned32_t _t9_temp_string_len;

      flick_cdr_stringlen(CORBA::Char *, a, flick_unsigned32_t , _t8_temp_string_len);
      flick_cdr_stringlen(CORBA::Char *, b, flick_unsigned32_t , _t9_temp_string_len);

      flick_iiopxx_encode_new_glob(20, _flick_abort19);
      flick_iiopxx_encode_new_chunk(20);
      flick_cdr_encode_unsigned32(0, 7, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'S', flick_char8_t );
      flick_cdr_encode_char8(5, 't', flick_char8_t );
      flick_cdr_encode_char8(6, 'r', flick_char8_t );
      flick_cdr_encode_char8(7, 'i', flick_char8_t );
      flick_cdr_encode_char8(8, 'n', flick_char8_t );
      flick_cdr_encode_char8(9, 'g', flick_char8_t );
      flick_cdr_encode_char8(10, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(12, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_unsigned32(16, _t8_temp_string_len, flick_unsigned32_t );
      flick_iiopxx_encode_end_chunk(20);
      flick_iiopxx_encode_end_glob(20);
      flick_iiopxx_encode_new_glob(1 * _t8_temp_string_len, _flick_abort19);
      flick_iiopxx_encode_new_chunk(1 * _t8_temp_string_len);
      flick_cdr_encode_bcopy(0, a, 1 * _t8_temp_string_len);
      flick_iiopxx_encode_end_chunk(1 * _t8_temp_string_len);
      flick_iiopxx_encode_end_glob(1 * _t8_temp_string_len);
      flick_iiopxx_encode_new_glob(7, _flick_abort19);
      flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
      flick_cdr_encode_unsigned32(0, _t9_temp_string_len, flick_unsigned32_t );
      flick_iiopxx_encode_end_chunk(4);
      flick_iiopxx_encode_end_glob(7);
      flick_iiopxx_encode_new_glob(1 * _t9_temp_string_len, _flick_abort19);
      flick_iiopxx_encode_new_chunk(1 * _t9_temp_string_len);
      flick_cdr_encode_bcopy(0, b, 1 * _t9_temp_string_len);
      CORBA_string_flick_free(b);
      b = 0;
      flick_iiopxx_encode_end_chunk(1 * _t9_temp_string_len);
      flick_iiopxx_encode_end_glob(1 * _t9_temp_string_len);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort19);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort19);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t17_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort19);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t17_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t17_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t21_temp_string_len;
              flick_unsigned32_t _t22_temp_string_len;
              flick_unsigned32_t _t23_temp_string_len;

              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort67);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_unsigned32(0, _t21_temp_string_len, flick_unsigned32_t );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              flick_iiopxx_decode_new_glob(1 * _t21_temp_string_len);
              flick_iiopxx_check_span(1 * _t21_temp_string_len, _flick_abort67);
              flick_iiopxx_decode_new_chunk(1 * _t21_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t21_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort67);
                _return = _t_alloc_ptr;
              }
              flick_cdr_swap_decode_bcopy(0, _return, 1 * _t21_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t21_temp_string_len);
              flick_iiopxx_decode_end_glob(1 * _t21_temp_string_len);
              flick_iiopxx_decode_new_glob(7);
              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
              flick_iiopxx_check_span(4, _flick_abort70);
              flick_cdr_swap_decode_unsigned32(0, _t22_temp_string_len, flick_unsigned32_t );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(7);
              flick_iiopxx_decode_new_glob(1 * _t22_temp_string_len);
              flick_iiopxx_check_span(1 * _t22_temp_string_len, _flick_abort70);
              flick_iiopxx_decode_new_chunk(1 * _t22_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t22_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort70);
                b = _t_alloc_ptr;
              }
              flick_cdr_swap_decode_bcopy(0, b, 1 * _t22_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t22_temp_string_len);
              flick_iiopxx_decode_end_glob(1 * _t22_temp_string_len);
              flick_iiopxx_decode_new_glob(7);
              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
              flick_iiopxx_check_span(4, _flick_abort73);
              flick_cdr_swap_decode_unsigned32(0, _t23_temp_string_len, flick_unsigned32_t );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(7);
              flick_iiopxx_decode_new_glob(1 * _t23_temp_string_len);
              flick_iiopxx_check_span(1 * _t23_temp_string_len, _flick_abort73);
              flick_iiopxx_decode_new_chunk(1 * _t23_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t23_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort73);
                c = _t_alloc_ptr;
              }
              flick_cdr_swap_decode_bcopy(0, c, 1 * _t23_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t23_temp_string_len);
              flick_iiopxx_decode_end_glob(1 * _t23_temp_string_len);
              break;
              {
              _flick_abort73:
                CORBA_string_flick_free(b);
              _flick_abort70:
                CORBA_string_flick_free(_return);
              _flick_abort67:
                goto _flick_abort19;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort77);
              break;
              {
              _flick_abort77:
                goto _flick_abort19;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort78);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort78:
                goto _flick_abort19;
              }
            }
          }
      }
    else
      {
        int _t10_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort19);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t10_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t10_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t14_temp_string_len;
              flick_unsigned32_t _t15_temp_string_len;
              flick_unsigned32_t _t16_temp_string_len;

              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort42);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_unsigned32(0, _t14_temp_string_len, flick_unsigned32_t );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              flick_iiopxx_decode_new_glob(1 * _t14_temp_string_len);
              flick_iiopxx_check_span(1 * _t14_temp_string_len, _flick_abort42);
              flick_iiopxx_decode_new_chunk(1 * _t14_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t14_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort42);
                _return = _t_alloc_ptr;
              }
              flick_cdr_decode_bcopy(0, _return, 1 * _t14_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t14_temp_string_len);
              flick_iiopxx_decode_end_glob(1 * _t14_temp_string_len);
              flick_iiopxx_decode_new_glob(7);
              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
              flick_iiopxx_check_span(4, _flick_abort45);
              flick_cdr_decode_unsigned32(0, _t15_temp_string_len, flick_unsigned32_t );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(7);
              flick_iiopxx_decode_new_glob(1 * _t15_temp_string_len);
              flick_iiopxx_check_span(1 * _t15_temp_string_len, _flick_abort45);
              flick_iiopxx_decode_new_chunk(1 * _t15_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t15_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort45);
                b = _t_alloc_ptr;
              }
              flick_cdr_decode_bcopy(0, b, 1 * _t15_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t15_temp_string_len);
              flick_iiopxx_decode_end_glob(1 * _t15_temp_string_len);
              flick_iiopxx_decode_new_glob(7);
              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
              flick_iiopxx_check_span(4, _flick_abort48);
              flick_cdr_decode_unsigned32(0, _t16_temp_string_len, flick_unsigned32_t );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(7);
              flick_iiopxx_decode_new_glob(1 * _t16_temp_string_len);
              flick_iiopxx_check_span(1 * _t16_temp_string_len, _flick_abort48);
              flick_iiopxx_decode_new_chunk(1 * _t16_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t16_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort48);
                c = _t_alloc_ptr;
              }
              flick_cdr_decode_bcopy(0, c, 1 * _t16_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t16_temp_string_len);
              flick_iiopxx_decode_end_glob(1 * _t16_temp_string_len);
              break;
              {
              _flick_abort48:
                CORBA_string_flick_free(b);
              _flick_abort45:
                CORBA_string_flick_free(_return);
              _flick_abort42:
                goto _flick_abort19;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort52);
              break;
              {
              _flick_abort52:
                goto _flick_abort19;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort53);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort53:
                goto _flick_abort19;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort19:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort18);
    _flick_abort18:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

char *test::LongString(/* test *this, */ const char *a, char *&b, longstr_out c, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  char *_return;

  _return = 0;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort80);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort80);
    }
    {
      flick_unsigned32_t _t26_temp_string_len;
      flick_unsigned32_t _t27_temp_string_len;

      flick_cdr_stringlen(CORBA::Char *, a, flick_unsigned32_t , _t26_temp_string_len);
      flick_cdr_stringlen(CORBA::Char *, b, flick_unsigned32_t , _t27_temp_string_len);

      flick_iiopxx_encode_new_glob(24, _flick_abort80);
      flick_iiopxx_encode_new_chunk(24);
      flick_cdr_encode_unsigned32(0, 11, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'L', flick_char8_t );
      flick_cdr_encode_char8(5, 'o', flick_char8_t );
      flick_cdr_encode_char8(6, 'n', flick_char8_t );
      flick_cdr_encode_char8(7, 'g', flick_char8_t );
      flick_cdr_encode_char8(8, 'S', flick_char8_t );
      flick_cdr_encode_char8(9, 't', flick_char8_t );
      flick_cdr_encode_char8(10, 'r', flick_char8_t );
      flick_cdr_encode_char8(11, 'i', flick_char8_t );
      flick_cdr_encode_char8(12, 'n', flick_char8_t );
      flick_cdr_encode_char8(13, 'g', flick_char8_t );
      flick_cdr_encode_char8(14, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(16, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_unsigned32(20, _t26_temp_string_len, flick_unsigned32_t );
      flick_iiopxx_encode_end_chunk(24);
      flick_iiopxx_encode_end_glob(24);
      flick_iiopxx_encode_new_glob(1 * _t26_temp_string_len, _flick_abort80);
      flick_iiopxx_encode_new_chunk(1 * _t26_temp_string_len);
      flick_cdr_encode_bcopy(0, a, 1 * _t26_temp_string_len);
      flick_iiopxx_encode_end_chunk(1 * _t26_temp_string_len);
      flick_iiopxx_encode_end_glob(1 * _t26_temp_string_len);
      flick_iiopxx_encode_new_glob(7, _flick_abort80);
      flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
      flick_cdr_encode_unsigned32(0, _t27_temp_string_len, flick_unsigned32_t );
      flick_iiopxx_encode_end_chunk(4);
      flick_iiopxx_encode_end_glob(7);
      flick_iiopxx_encode_new_glob(1 * _t27_temp_string_len, _flick_abort80);
      flick_iiopxx_encode_new_chunk(1 * _t27_temp_string_len);
      flick_cdr_encode_bcopy(0, b, 1 * _t27_temp_string_len);
      CORBA_string_flick_free(b);
      b = 0;
      flick_iiopxx_encode_end_chunk(1 * _t27_temp_string_len);
      flick_iiopxx_encode_end_glob(1 * _t27_temp_string_len);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort80);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort80);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t35_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort80);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t35_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t35_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t39_temp_string_len;
              flick_unsigned32_t _t40_temp_string_len;
              flick_unsigned32_t _t41_temp_string_len;

              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort128);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_unsigned32(0, _t39_temp_string_len, flick_unsigned32_t );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              flick_iiopxx_decode_new_glob(1 * _t39_temp_string_len);
              flick_iiopxx_check_span(1 * _t39_temp_string_len, _flick_abort128);
              flick_iiopxx_decode_new_chunk(1 * _t39_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t39_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort128);
                _return = _t_alloc_ptr;
              }
              flick_cdr_swap_decode_bcopy(0, _return, 1 * _t39_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t39_temp_string_len);
              flick_iiopxx_decode_end_glob(1 * _t39_temp_string_len);
              flick_iiopxx_decode_new_glob(7);
              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
              flick_iiopxx_check_span(4, _flick_abort131);
              flick_cdr_swap_decode_unsigned32(0, _t40_temp_string_len, flick_unsigned32_t );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(7);
              flick_iiopxx_decode_new_glob(1 * _t40_temp_string_len);
              flick_iiopxx_check_span(1 * _t40_temp_string_len, _flick_abort131);
              flick_iiopxx_decode_new_chunk(1 * _t40_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t40_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort131);
                b = _t_alloc_ptr;
              }
              flick_cdr_swap_decode_bcopy(0, b, 1 * _t40_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t40_temp_string_len);
              flick_iiopxx_decode_end_glob(1 * _t40_temp_string_len);
              flick_iiopxx_decode_new_glob(7);
              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
              flick_iiopxx_check_span(4, _flick_abort134);
              flick_cdr_swap_decode_unsigned32(0, _t41_temp_string_len, flick_unsigned32_t );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(7);
              flick_iiopxx_decode_new_glob(1 * _t41_temp_string_len);
              flick_iiopxx_check_span(1 * _t41_temp_string_len, _flick_abort134);
              flick_iiopxx_decode_new_chunk(1 * _t41_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t41_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort134);
                c = _t_alloc_ptr;
              }
              flick_cdr_swap_decode_bcopy(0, c, 1 * _t41_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t41_temp_string_len);
              flick_iiopxx_decode_end_glob(1 * _t41_temp_string_len);
              break;
              {
              _flick_abort134:
                CORBA_string_flick_free(b);
              _flick_abort131:
                CORBA_string_flick_free(_return);
              _flick_abort128:
                goto _flick_abort80;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort138);
              break;
              {
              _flick_abort138:
                goto _flick_abort80;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort139);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort139:
                goto _flick_abort80;
              }
            }
          }
      }
    else
      {
        int _t28_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort80);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t28_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t28_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t32_temp_string_len;
              flick_unsigned32_t _t33_temp_string_len;
              flick_unsigned32_t _t34_temp_string_len;

              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort103);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_unsigned32(0, _t32_temp_string_len, flick_unsigned32_t );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              flick_iiopxx_decode_new_glob(1 * _t32_temp_string_len);
              flick_iiopxx_check_span(1 * _t32_temp_string_len, _flick_abort103);
              flick_iiopxx_decode_new_chunk(1 * _t32_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t32_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort103);
                _return = _t_alloc_ptr;
              }
              flick_cdr_decode_bcopy(0, _return, 1 * _t32_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t32_temp_string_len);
              flick_iiopxx_decode_end_glob(1 * _t32_temp_string_len);
              flick_iiopxx_decode_new_glob(7);
              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
              flick_iiopxx_check_span(4, _flick_abort106);
              flick_cdr_decode_unsigned32(0, _t33_temp_string_len, flick_unsigned32_t );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(7);
              flick_iiopxx_decode_new_glob(1 * _t33_temp_string_len);
              flick_iiopxx_check_span(1 * _t33_temp_string_len, _flick_abort106);
              flick_iiopxx_decode_new_chunk(1 * _t33_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t33_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort106);
                b = _t_alloc_ptr;
              }
              flick_cdr_decode_bcopy(0, b, 1 * _t33_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t33_temp_string_len);
              flick_iiopxx_decode_end_glob(1 * _t33_temp_string_len);
              flick_iiopxx_decode_new_glob(7);
              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
              flick_iiopxx_check_span(4, _flick_abort109);
              flick_cdr_decode_unsigned32(0, _t34_temp_string_len, flick_unsigned32_t );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(7);
              flick_iiopxx_decode_new_glob(1 * _t34_temp_string_len);
              flick_iiopxx_check_span(1 * _t34_temp_string_len, _flick_abort109);
              flick_iiopxx_decode_new_chunk(1 * _t34_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t34_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort109);
                c = _t_alloc_ptr;
              }
              flick_cdr_decode_bcopy(0, c, 1 * _t34_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t34_temp_string_len);
              flick_iiopxx_decode_end_glob(1 * _t34_temp_string_len);
              break;
              {
              _flick_abort109:
                CORBA_string_flick_free(b);
              _flick_abort106:
                CORBA_string_flick_free(_return);
              _flick_abort103:
                goto _flick_abort80;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort113);
              break;
              {
              _flick_abort113:
                goto _flick_abort80;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort114);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort114:
                goto _flick_abort80;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort80:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort79);
    _flick_abort79:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

char *test::ShortString(/* test *this, */ const char *a, char *&b, shortstr_out c, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  char *_return;

  _return = 0;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort141);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort141);
    }
    {
      flick_unsigned32_t _t44_temp_string_len;
      flick_unsigned32_t _t45_temp_string_len;

      flick_cdr_stringlen(CORBA::Char *, a, flick_unsigned32_t , _t44_temp_string_len);
      flick_cdr_stringlen(CORBA::Char *, b, flick_unsigned32_t , _t45_temp_string_len);

      flick_iiopxx_encode_new_glob(83, _flick_abort141);
      flick_iiopxx_encode_new_chunk(24 + 1 * _t44_temp_string_len);
      flick_cdr_encode_unsigned32(0, 12, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'S', flick_char8_t );
      flick_cdr_encode_char8(5, 'h', flick_char8_t );
      flick_cdr_encode_char8(6, 'o', flick_char8_t );
      flick_cdr_encode_char8(7, 'r', flick_char8_t );
      flick_cdr_encode_char8(8, 't', flick_char8_t );
      flick_cdr_encode_char8(9, 'S', flick_char8_t );
      flick_cdr_encode_char8(10, 't', flick_char8_t );
      flick_cdr_encode_char8(11, 'r', flick_char8_t );
      flick_cdr_encode_char8(12, 'i', flick_char8_t );
      flick_cdr_encode_char8(13, 'n', flick_char8_t );
      flick_cdr_encode_char8(14, 'g', flick_char8_t );
      flick_cdr_encode_char8(15, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(16, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_unsigned32(20, _t44_temp_string_len, flick_unsigned32_t );
      if (_t44_temp_string_len > 26)
        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort141);
      flick_cdr_encode_bcopy(24, a, 1 * _t44_temp_string_len);
      flick_iiopxx_encode_end_chunk(24 + 1 * _t44_temp_string_len);
      flick_iiopxx_encode_new_chunk_align(4 + 1 * _t45_temp_string_len, 2, 0, 0);
      flick_cdr_encode_unsigned32(0, _t45_temp_string_len, flick_unsigned32_t );
      if (_t45_temp_string_len > 26)
        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort141);
      flick_cdr_encode_bcopy(4, b, 1 * _t45_temp_string_len);
      CORBA_string_flick_free(b);
      b = 0;
      flick_iiopxx_encode_end_chunk(4 + 1 * _t45_temp_string_len);
      flick_iiopxx_encode_end_glob(83);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort141);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort141);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t53_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(100);
        flick_iiopxx_check_span(4, _flick_abort141);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t53_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t53_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t57_temp_string_len;
              flick_unsigned32_t _t58_temp_string_len;
              flick_unsigned32_t _t59_temp_string_len;

              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort189);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_unsigned32(0, _t57_temp_string_len, flick_unsigned32_t );
              if (_t57_temp_string_len > 26)
                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort189);
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_check_span(1 * _t57_temp_string_len, _flick_abort189);
              flick_iiopxx_decode_new_chunk(1 * _t57_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t57_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort189);
                _return = _t_alloc_ptr;
              }
              flick_cdr_swap_decode_bcopy(0, _return, 1 * _t57_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t57_temp_string_len);
              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
              flick_iiopxx_check_span(4, _flick_abort192);
              flick_cdr_swap_decode_unsigned32(0, _t58_temp_string_len, flick_unsigned32_t );
              if (_t58_temp_string_len > 26)
                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort192);
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_check_span(1 * _t58_temp_string_len, _flick_abort192);
              flick_iiopxx_decode_new_chunk(1 * _t58_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t58_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort192);
                b = _t_alloc_ptr;
              }
              flick_cdr_swap_decode_bcopy(0, b, 1 * _t58_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t58_temp_string_len);
              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
              flick_iiopxx_check_span(4, _flick_abort195);
              flick_cdr_swap_decode_unsigned32(0, _t59_temp_string_len, flick_unsigned32_t );
              if (_t59_temp_string_len > 26)
                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort195);
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_check_span(1 * _t59_temp_string_len, _flick_abort195);
              flick_iiopxx_decode_new_chunk(1 * _t59_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t59_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort195);
                c = _t_alloc_ptr;
              }
              flick_cdr_swap_decode_bcopy(0, c, 1 * _t59_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t59_temp_string_len);
              flick_iiopxx_decode_end_glob(100);
              break;
              {
              _flick_abort195:
                CORBA_string_flick_free(b);
              _flick_abort192:
                CORBA_string_flick_free(_return);
              _flick_abort189:
                goto _flick_abort141;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(100);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort199);
              break;
              {
              _flick_abort199:
                goto _flick_abort141;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort200);
              flick_iiopxx_decode_end_glob(100);
              break;
              {
              _flick_abort200:
                goto _flick_abort141;
              }
            }
          }
      }
    else
      {
        int _t46_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(100);
        flick_iiopxx_check_span(4, _flick_abort141);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t46_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t46_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t50_temp_string_len;
              flick_unsigned32_t _t51_temp_string_len;
              flick_unsigned32_t _t52_temp_string_len;

              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort164);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_unsigned32(0, _t50_temp_string_len, flick_unsigned32_t );
              if (_t50_temp_string_len > 26)
                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort164);
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_check_span(1 * _t50_temp_string_len, _flick_abort164);
              flick_iiopxx_decode_new_chunk(1 * _t50_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t50_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort164);
                _return = _t_alloc_ptr;
              }
              flick_cdr_decode_bcopy(0, _return, 1 * _t50_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t50_temp_string_len);
              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
              flick_iiopxx_check_span(4, _flick_abort167);
              flick_cdr_decode_unsigned32(0, _t51_temp_string_len, flick_unsigned32_t );
              if (_t51_temp_string_len > 26)
                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort167);
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_check_span(1 * _t51_temp_string_len, _flick_abort167);
              flick_iiopxx_decode_new_chunk(1 * _t51_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t51_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort167);
                b = _t_alloc_ptr;
              }
              flick_cdr_decode_bcopy(0, b, 1 * _t51_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t51_temp_string_len);
              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
              flick_iiopxx_check_span(4, _flick_abort170);
              flick_cdr_decode_unsigned32(0, _t52_temp_string_len, flick_unsigned32_t );
              if (_t52_temp_string_len > 26)
                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort170);
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_check_span(1 * _t52_temp_string_len, _flick_abort170);
              flick_iiopxx_decode_new_chunk(1 * _t52_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t52_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort170);
                c = _t_alloc_ptr;
              }
              flick_cdr_decode_bcopy(0, c, 1 * _t52_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t52_temp_string_len);
              flick_iiopxx_decode_end_glob(100);
              break;
              {
              _flick_abort170:
                CORBA_string_flick_free(b);
              _flick_abort167:
                CORBA_string_flick_free(_return);
              _flick_abort164:
                goto _flick_abort141;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(100);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort174);
              break;
              {
              _flick_abort174:
                goto _flick_abort141;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort175);
              flick_iiopxx_decode_end_glob(100);
              break;
              {
              _flick_abort175:
                goto _flick_abort141;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort141:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort140);
    _flick_abort140:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

struct str *test::Struct(/* test *this, */ const struct str &a, struct str &b, str_out c, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  struct str *_return;

  _return = 0;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort202);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort202);
    }
    {
      flick_unsigned32_t _t64_temp_string_len;
      flick_unsigned32_t _t65_temp_string_len;
      flick_unsigned32_t _t66_temp_string_len;
      flick_unsigned32_t _t67_temp_string_len;

      flick_cdr_stringlen(CORBA::Char *, a.s10, flick_unsigned32_t , _t64_temp_string_len);
      flick_cdr_stringlen(CORBA::Char *, a.sx, flick_unsigned32_t , _t65_temp_string_len);
      flick_cdr_stringlen(CORBA::Char *, b.s10, flick_unsigned32_t , _t66_temp_string_len);
      flick_cdr_stringlen(CORBA::Char *, b.sx, flick_unsigned32_t , _t67_temp_string_len);

      flick_iiopxx_encode_new_glob(42, _flick_abort202);
      flick_iiopxx_encode_new_chunk(20 + 1 * _t64_temp_string_len);
      flick_cdr_encode_unsigned32(0, 7, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'S', flick_char8_t );
      flick_cdr_encode_char8(5, 't', flick_char8_t );
      flick_cdr_encode_char8(6, 'r', flick_char8_t );
      flick_cdr_encode_char8(7, 'u', flick_char8_t );
      flick_cdr_encode_char8(8, 'c', flick_char8_t );
      flick_cdr_encode_char8(9, 't', flick_char8_t );
      flick_cdr_encode_char8(10, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(12, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_unsigned32(16, _t64_temp_string_len, flick_unsigned32_t );
      if (_t64_temp_string_len > 11)
        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort202);
      flick_cdr_encode_bcopy(20, a.s10, 1 * _t64_temp_string_len);
      flick_iiopxx_encode_end_chunk(20 + 1 * _t64_temp_string_len);
      flick_iiopxx_encode_new_chunk_align(8, 2, 0, 0);
      flick_cdr_encode_signed32(0, a.a, CORBA::Long );
      flick_cdr_encode_unsigned32(4, _t65_temp_string_len, flick_unsigned32_t );
      flick_iiopxx_encode_end_chunk(8);
      flick_iiopxx_encode_end_glob(42);
      flick_iiopxx_encode_new_glob(1 * _t65_temp_string_len, _flick_abort202);
      flick_iiopxx_encode_new_chunk(1 * _t65_temp_string_len);
      flick_cdr_encode_bcopy(0, a.sx, 1 * _t65_temp_string_len);
      flick_iiopxx_encode_end_chunk(1 * _t65_temp_string_len);
      flick_iiopxx_encode_end_glob(1 * _t65_temp_string_len);
      flick_iiopxx_encode_new_glob(31, _flick_abort202);
      flick_iiopxx_encode_new_chunk_align(2, 1, 0, 0);
      flick_cdr_encode_signed16(0, a.b, CORBA::Short );
      flick_iiopxx_encode_end_chunk(2);
      flick_iiopxx_encode_new_chunk_align(4 + 1 * _t66_temp_string_len, 2, 1, 0);
      flick_cdr_encode_unsigned32(0, _t66_temp_string_len, flick_unsigned32_t );
      if (_t66_temp_string_len > 11)
        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort202);
      flick_cdr_encode_bcopy(4, b.s10, 1 * _t66_temp_string_len);
      flick_iiopxx_encode_end_chunk(4 + 1 * _t66_temp_string_len);
      flick_iiopxx_encode_new_chunk_align(8, 2, 0, 0);
      flick_cdr_encode_signed32(0, b.a, CORBA::Long );
      flick_cdr_encode_unsigned32(4, _t67_temp_string_len, flick_unsigned32_t );
      flick_iiopxx_encode_end_chunk(8);
      flick_iiopxx_encode_end_glob(31);
      flick_iiopxx_encode_new_glob(1 * _t67_temp_string_len, _flick_abort202);
      flick_iiopxx_encode_new_chunk(1 * _t67_temp_string_len);
      flick_cdr_encode_bcopy(0, b.sx, 1 * _t67_temp_string_len);
      flick_iiopxx_encode_end_chunk(1 * _t67_temp_string_len);
      flick_iiopxx_encode_end_glob(1 * _t67_temp_string_len);
      flick_iiopxx_encode_new_glob(3, _flick_abort202);
      flick_iiopxx_encode_new_chunk_align(2, 1, 0, 0);
      flick_cdr_encode_signed16(0, b.b, CORBA::Short );
      flick_iiopxx_encode_end_chunk(2);
      flick_iiopxx_encode_end_glob(3);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort202);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort202);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t81_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(30);
        flick_iiopxx_check_span(4, _flick_abort202);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t81_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t81_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t88_temp_string_len;
              flick_unsigned32_t _t89_temp_string_len;
              flick_unsigned32_t _t90_temp_string_len;
              flick_unsigned32_t _t91_temp_string_len;
              flick_unsigned32_t _t92_temp_string_len;
              flick_unsigned32_t _t93_temp_string_len;

              /* Begin decode phase on parameters */
              {
                struct str *_t_alloc_ptr;

                _t_alloc_ptr = (struct str *)new (struct str );
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort267);
                _return = _t_alloc_ptr;
              }
              flick_iiopxx_check_span(4, _flick_abort267);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_unsigned32(0, _t88_temp_string_len, flick_unsigned32_t );
              if (_t88_temp_string_len > 11)
                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort267);
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_check_span(1 * _t88_temp_string_len, _flick_abort267);
              flick_iiopxx_decode_new_chunk(1 * _t88_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t88_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort267);
                _return->s10 = _t_alloc_ptr;
              }
              flick_cdr_swap_decode_bcopy(0, _return->s10, 1 * _t88_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t88_temp_string_len);
              flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
              flick_iiopxx_check_span(8, _flick_abort267);
              flick_cdr_swap_decode_signed32(0, _return->a, CORBA::Long );
              flick_cdr_swap_decode_unsigned32(4, _t89_temp_string_len, flick_unsigned32_t );
              flick_iiopxx_decode_end_chunk(8);
              flick_iiopxx_decode_end_glob(30);
              flick_iiopxx_decode_new_glob(1 * _t89_temp_string_len);
              flick_iiopxx_check_span(1 * _t89_temp_string_len, _flick_abort267);
              flick_iiopxx_decode_new_chunk(1 * _t89_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t89_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort267);
                _return->sx = _t_alloc_ptr;
              }
              flick_cdr_swap_decode_bcopy(0, _return->sx, 1 * _t89_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t89_temp_string_len);
              flick_iiopxx_decode_end_glob(1 * _t89_temp_string_len);
              flick_iiopxx_decode_new_glob(31);
              flick_iiopxx_decode_new_chunk_align(2, 1, 0, 0);
              flick_iiopxx_check_span(2, _flick_abort267);
              flick_cdr_swap_decode_signed16(0, _return->b, CORBA::Short );
              flick_iiopxx_decode_end_chunk(2);
              flick_iiopxx_decode_new_chunk_align(4, 2, 1, 0);
              flick_iiopxx_check_span(4, _flick_abort267);
              flick_cdr_swap_decode_unsigned32(0, _t90_temp_string_len, flick_unsigned32_t );
              if (_t90_temp_string_len > 11)
                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort267);
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_check_span(1 * _t90_temp_string_len, _flick_abort267);
              flick_iiopxx_decode_new_chunk(1 * _t90_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t90_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort267);
                b.s10 = _t_alloc_ptr;
              }
              flick_cdr_swap_decode_bcopy(0, b.s10, 1 * _t90_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t90_temp_string_len);
              flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
              flick_iiopxx_check_span(8, _flick_abort267);
              flick_cdr_swap_decode_signed32(0, b.a, CORBA::Long );
              flick_cdr_swap_decode_unsigned32(4, _t91_temp_string_len, flick_unsigned32_t );
              flick_iiopxx_decode_end_chunk(8);
              flick_iiopxx_decode_end_glob(31);
              flick_iiopxx_decode_new_glob(1 * _t91_temp_string_len);
              flick_iiopxx_check_span(1 * _t91_temp_string_len, _flick_abort267);
              flick_iiopxx_decode_new_chunk(1 * _t91_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t91_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort267);
                b.sx = _t_alloc_ptr;
              }
              flick_cdr_swap_decode_bcopy(0, b.sx, 1 * _t91_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t91_temp_string_len);
              flick_iiopxx_decode_end_glob(1 * _t91_temp_string_len);
              flick_iiopxx_decode_new_glob(31);
              flick_iiopxx_decode_new_chunk_align(2, 1, 0, 0);
              flick_iiopxx_check_span(2, _flick_abort267);
              flick_cdr_swap_decode_signed16(0, b.b, CORBA::Short );
              {
                struct str *_t_alloc_ptr;

                _t_alloc_ptr = (struct str *)new (struct str );
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort267);
                c = _t_alloc_ptr;
              }
              flick_iiopxx_decode_end_chunk(2);
              flick_iiopxx_decode_new_chunk_align(4, 2, 1, 0);
              flick_iiopxx_check_span(4, _flick_abort267);
              flick_cdr_swap_decode_unsigned32(0, _t92_temp_string_len, flick_unsigned32_t );
              if (_t92_temp_string_len > 11)
                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort267);
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_check_span(1 * _t92_temp_string_len, _flick_abort267);
              flick_iiopxx_decode_new_chunk(1 * _t92_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t92_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort267);
                c->s10 = _t_alloc_ptr;
              }
              flick_cdr_swap_decode_bcopy(0, c->s10, 1 * _t92_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t92_temp_string_len);
              flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
              flick_iiopxx_check_span(8, _flick_abort267);
              flick_cdr_swap_decode_signed32(0, c->a, CORBA::Long );
              flick_cdr_swap_decode_unsigned32(4, _t93_temp_string_len, flick_unsigned32_t );
              flick_iiopxx_decode_end_chunk(8);
              flick_iiopxx_decode_end_glob(31);
              flick_iiopxx_decode_new_glob(1 * _t93_temp_string_len);
              flick_iiopxx_check_span(1 * _t93_temp_string_len, _flick_abort267);
              flick_iiopxx_decode_new_chunk(1 * _t93_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t93_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort267);
                c->sx = _t_alloc_ptr;
              }
              flick_cdr_swap_decode_bcopy(0, c->sx, 1 * _t93_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t93_temp_string_len);
              flick_iiopxx_decode_end_glob(1 * _t93_temp_string_len);
              flick_iiopxx_decode_new_glob(3);
              flick_iiopxx_decode_new_chunk_align(2, 1, 0, 0);
              flick_iiopxx_check_span(2, _flick_abort267);
              flick_cdr_swap_decode_signed16(0, c->b, CORBA::Short );
              flick_iiopxx_decode_end_chunk(2);
              flick_iiopxx_decode_end_glob(3);
              break;
              {
              _flick_abort267:
                goto _flick_abort202;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(30);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort280);
              break;
              {
              _flick_abort280:
                goto _flick_abort202;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort281);
              flick_iiopxx_decode_end_glob(30);
              break;
              {
              _flick_abort281:
                goto _flick_abort202;
              }
            }
          }
      }
    else
      {
        int _t68_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(30);
        flick_iiopxx_check_span(4, _flick_abort202);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t68_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t68_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t75_temp_string_len;
              flick_unsigned32_t _t76_temp_string_len;
              flick_unsigned32_t _t77_temp_string_len;
              flick_unsigned32_t _t78_temp_string_len;
              flick_unsigned32_t _t79_temp_string_len;
              flick_unsigned32_t _t80_temp_string_len;

              /* Begin decode phase on parameters */
              {
                struct str *_t_alloc_ptr;

                _t_alloc_ptr = (struct str *)new (struct str );
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort236);
                _return = _t_alloc_ptr;
              }
              flick_iiopxx_check_span(4, _flick_abort236);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_unsigned32(0, _t75_temp_string_len, flick_unsigned32_t );
              if (_t75_temp_string_len > 11)
                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort236);
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_check_span(1 * _t75_temp_string_len, _flick_abort236);
              flick_iiopxx_decode_new_chunk(1 * _t75_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t75_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort236);
                _return->s10 = _t_alloc_ptr;
              }
              flick_cdr_decode_bcopy(0, _return->s10, 1 * _t75_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t75_temp_string_len);
              flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
              flick_iiopxx_check_span(8, _flick_abort236);
              flick_cdr_decode_signed32(0, _return->a, CORBA::Long );
              flick_cdr_decode_unsigned32(4, _t76_temp_string_len, flick_unsigned32_t );
              flick_iiopxx_decode_end_chunk(8);
              flick_iiopxx_decode_end_glob(30);
              flick_iiopxx_decode_new_glob(1 * _t76_temp_string_len);
              flick_iiopxx_check_span(1 * _t76_temp_string_len, _flick_abort236);
              flick_iiopxx_decode_new_chunk(1 * _t76_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t76_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort236);
                _return->sx = _t_alloc_ptr;
              }
              flick_cdr_decode_bcopy(0, _return->sx, 1 * _t76_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t76_temp_string_len);
              flick_iiopxx_decode_end_glob(1 * _t76_temp_string_len);
              flick_iiopxx_decode_new_glob(31);
              flick_iiopxx_decode_new_chunk_align(2, 1, 0, 0);
              flick_iiopxx_check_span(2, _flick_abort236);
              flick_cdr_decode_signed16(0, _return->b, CORBA::Short );
              flick_iiopxx_decode_end_chunk(2);
              flick_iiopxx_decode_new_chunk_align(4, 2, 1, 0);
              flick_iiopxx_check_span(4, _flick_abort236);
              flick_cdr_decode_unsigned32(0, _t77_temp_string_len, flick_unsigned32_t );
              if (_t77_temp_string_len > 11)
                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort236);
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_check_span(1 * _t77_temp_string_len, _flick_abort236);
              flick_iiopxx_decode_new_chunk(1 * _t77_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t77_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort236);
                b.s10 = _t_alloc_ptr;
              }
              flick_cdr_decode_bcopy(0, b.s10, 1 * _t77_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t77_temp_string_len);
              flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
              flick_iiopxx_check_span(8, _flick_abort236);
              flick_cdr_decode_signed32(0, b.a, CORBA::Long );
              flick_cdr_decode_unsigned32(4, _t78_temp_string_len, flick_unsigned32_t );
              flick_iiopxx_decode_end_chunk(8);
              flick_iiopxx_decode_end_glob(31);
              flick_iiopxx_decode_new_glob(1 * _t78_temp_string_len);
              flick_iiopxx_check_span(1 * _t78_temp_string_len, _flick_abort236);
              flick_iiopxx_decode_new_chunk(1 * _t78_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t78_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort236);
                b.sx = _t_alloc_ptr;
              }
              flick_cdr_decode_bcopy(0, b.sx, 1 * _t78_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t78_temp_string_len);
              flick_iiopxx_decode_end_glob(1 * _t78_temp_string_len);
              flick_iiopxx_decode_new_glob(31);
              flick_iiopxx_decode_new_chunk_align(2, 1, 0, 0);
              flick_iiopxx_check_span(2, _flick_abort236);
              flick_cdr_decode_signed16(0, b.b, CORBA::Short );
              {
                struct str *_t_alloc_ptr;

                _t_alloc_ptr = (struct str *)new (struct str );
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort236);
                c = _t_alloc_ptr;
              }
              flick_iiopxx_decode_end_chunk(2);
              flick_iiopxx_decode_new_chunk_align(4, 2, 1, 0);
              flick_iiopxx_check_span(4, _flick_abort236);
              flick_cdr_decode_unsigned32(0, _t79_temp_string_len, flick_unsigned32_t );
              if (_t79_temp_string_len > 11)
                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort236);
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_check_span(1 * _t79_temp_string_len, _flick_abort236);
              flick_iiopxx_decode_new_chunk(1 * _t79_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t79_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort236);
                c->s10 = _t_alloc_ptr;
              }
              flick_cdr_decode_bcopy(0, c->s10, 1 * _t79_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t79_temp_string_len);
              flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
              flick_iiopxx_check_span(8, _flick_abort236);
              flick_cdr_decode_signed32(0, c->a, CORBA::Long );
              flick_cdr_decode_unsigned32(4, _t80_temp_string_len, flick_unsigned32_t );
              flick_iiopxx_decode_end_chunk(8);
              flick_iiopxx_decode_end_glob(31);
              flick_iiopxx_decode_new_glob(1 * _t80_temp_string_len);
              flick_iiopxx_check_span(1 * _t80_temp_string_len, _flick_abort236);
              flick_iiopxx_decode_new_chunk(1 * _t80_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t80_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort236);
                c->sx = _t_alloc_ptr;
              }
              flick_cdr_decode_bcopy(0, c->sx, 1 * _t80_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t80_temp_string_len);
              flick_iiopxx_decode_end_glob(1 * _t80_temp_string_len);
              flick_iiopxx_decode_new_glob(3);
              flick_iiopxx_decode_new_chunk_align(2, 1, 0, 0);
              flick_iiopxx_check_span(2, _flick_abort236);
              flick_cdr_decode_signed16(0, c->b, CORBA::Short );
              flick_iiopxx_decode_end_chunk(2);
              flick_iiopxx_decode_end_glob(3);
              break;
              {
              _flick_abort236:
                goto _flick_abort202;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(30);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort249);
              break;
              {
              _flick_abort249:
                goto _flick_abort202;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort250);
              flick_iiopxx_decode_end_glob(30);
              break;
              {
              _flick_abort250:
                goto _flick_abort202;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort202:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort201);
    _flick_abort201:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

