#include "structplain_-client.h"
#include "structplain_-server.h"

static const CORBA::Long _oc_coord[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x636f6f72), ACE_NTOHL(0x643a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:coord:1.0 */,
    6, ACE_NTOHL(0x636f6f72), ACE_NTOHL(0x64000000) /* name = coord */,
    2 /* member count */,
    4, ACE_NTOHL(0x726f7700) /* name = row */,
    CORBA::tk_short,
    4, ACE_NTOHL(0x636f6c00) /* name = col */,
    CORBA::tk_short
};

static CORBA::TypeCode _tc_TAO_tc_coord (CORBA::tk_struct, sizeof(_oc_coord), (char *) &_oc_coord, 0, sizeof(struct coord ));

CORBA::TypeCode_ptr _tc_coord = &_tc_TAO_tc_coord;

void operator<<=(CORBA::Any &a, const struct coord &o)
{
  struct coord  *_any_val;
  ACE_NEW(_any_val, struct coord  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_coord, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, struct coord *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_coord, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, struct coord *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(_tc_coord, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (struct coord  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, struct coord , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(_tc_coord, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(_tc_coord, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

coord_var::coord_var()
  : ptr_(0)
{}

coord_var::coord_var(struct coord *p)
 : ptr_(p)
{}

coord_var::coord_var(const coord_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new struct coord (*a.ptr_);
  else
    this->ptr_ = 0;
}

coord_var::~coord_var()
{
  delete this->ptr_;
}

coord_var &coord_var::operator=(struct coord *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

coord_var &coord_var::operator=(const coord_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new struct coord (*p.ptr_);
  }
  return *this;
}

struct coord *coord_var::operator->()
{
  return this->ptr_;
}

const struct coord *coord_var::operator->() const
{
  return this->ptr_;
}

coord_var::operator const struct coord &() const
{
  return *this->ptr_;
}

coord_var::operator struct coord &()
{
  return *this->ptr_;
}

coord_var::operator struct coord &() const
{
  return *this->ptr_;
}

const struct coord &coord_var::in() const
{
  return *this->ptr_;
}

struct coord &coord_var::inout()
{
  return *this->ptr_;
}

struct coord &coord_var::out()
{
  return *this->ptr_;
}

struct coord coord_var::_retn()
{
  return *this->ptr_;
}

struct coord *coord_var::ptr() const
{
  return this->ptr_;
}

static const CORBA::Long _oc_geom[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    13, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x67656f6d), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:geom:1.0 */,
    5, ACE_NTOHL(0x67656f6d), ACE_NTOHL(0x00000000) /* name = geom */
};

static CORBA::TypeCode _tc_TAO_tc_geom (CORBA::tk_objref, sizeof(_oc_geom), (char *) &_oc_geom, 0, sizeof(geom ));

CORBA::TypeCode_ptr _tc_geom = &_tc_TAO_tc_geom;


#if defined (ACE_HAS_EXPLICIT_TEMPLATE_INSTANTIATION)
  template class TAO_Object_Field_T<geom >;
#elif defined (ACE_HAS_TEMPLATE_INSTANTIATION_PRAGMA)
#  pragma instantiate TAO_Object_Field_T<geom >
#endif /* ACE_HAS_EXPLICIT_TEMPLATE_INSTANTIATION */

geom_ptr geom::_duplicate(geom_ptr obj)
{
  if( !CORBA::is_nil(obj) )
    obj->_incr_refcnt();
  return obj;
}

geom_ptr geom::_narrow(CORBA::Object_ptr obj, CORBA::Environment &_env)
{
  if( CORBA::is_nil(obj) )
    return geom::_nil();
  if( !obj->_is_a("IDL:geom:1.0", _env) )
    return geom::_nil();
  return geom::_unchecked_narrow(obj, _env);
}

geom_ptr geom::_unchecked_narrow(CORBA::Object_ptr _obj, CORBA::Environment &_env)
{
  if( CORBA::is_nil(_obj) )
    return geom::_nil();
  TAO_Stub *stub = _obj->_stubobj();
  stub->_incr_refcnt();
  void* servant = 0;
  if (_obj->_is_collocated () && _obj->_servant() != 0)
    servant = _obj->_servant()->_downcast ("IDL:Coffee:1.0");
  if (servant == 0)
    return new geom (stub);
  return new _tao_collocated_geom(
      ACE_reinterpret_cast(POA_geom_ptr , servant),
      stub
    );
}

geom_ptr geom::_nil()
{
  return (geom_ptr )NULL;
}

CORBA::Boolean geom::_is_a(const CORBA::Char *_type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)_type_id, "IDL:geom:1.0")) ||
      (!ACE_OS::strcmp((char *)_type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return this->CORBA_Object::_is_a(_type_id, _env);
}

const char *geom::_interface_repository_id() const
{
  return "IDL:geom:1.0";
}

geom::geom()
{}

geom::~geom()
{}

void operator<<=(CORBA::Any &a, geom_ptr o)
{
  CORBA::Object_ptr *_tao_obj_ptr = 0;
  ACE_TRY_NEW_ENV
  {
    ACE_NEW(_tao_obj_ptr, CORBA::Object_ptr);
    *_tao_obj_ptr = geom::_duplicate(o);
    a.replace (_tc_geom, _tao_obj_ptr, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _tao_obj_ptr;
  }
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, geom_ptr &o)
{
  CORBA::Object_ptr *tmp = 0;
  ACE_TRY_NEW_ENV
  {
    o = geom::_nil();
    CORBA::TypeCode_var type = a.type();
    if (!type->equal (_tc_geom, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    TAO_InputCDR stream (a._tao_get_cdr());
    CORBA::Object_var _tao_obj_var;
    ACE_NEW_RETURN (tmp, CORBA::Object_ptr, 0);
    if (stream.decode(_tc_geom, &_tao_obj_var.out(), 0, ACE_TRY_ENV)
       == CORBA::TypeCode::TRAVERSE_CONTINUE)
    {
      o = geom::_narrow(_tao_obj_var.in(), ACE_TRY_ENV);
      ACE_TRY_CHECK;
      *tmp = (CORBA::Object_ptr) o;
      ((CORBA::Any *)&a)->replace(_tc_geom, tmp, 1, ACE_TRY_ENV);
      ACE_TRY_CHECK;
      return 1;
    }
  }
  ACE_CATCHANY
  {
    delete tmp;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

geom::geom(TAO_Stub *objref, TAO_ServantBase *_tao_servant, CORBA::Boolean _tao_collocated)
  : CORBA_Object(objref, _tao_servant, _tao_collocated)
{}

geom_var::geom_var()
  : ptr_(geom::_nil())
{}

geom_var::geom_var(geom_ptr p)
  : ptr_(p)
{}

geom_var::geom_var(const geom_var &a)
  : ptr_(geom::_duplicate(a.ptr()))
{}

geom_var::~geom_var()
{
  CORBA::release(this->ptr_);
}

geom_var &geom_var::operator=(geom_ptr p)
{
  CORBA::release(this->ptr_);
  this->ptr_ = p;
  return *this;
}

geom_var &geom_var::operator=(const geom_var &p)
{
  if( this != &p )
  {
    CORBA::release(this->ptr_);
    this->ptr_ = geom::_duplicate(p.ptr());
  }
  return *this;
}

geom_ptr geom_var::operator->() const
{
  return this->ptr_;
}

geom_var::operator const geom_ptr &() const
{
  return this->ptr_;
}

geom_var::operator geom_ptr &()
{
  return this->ptr_;
}

geom_ptr geom_var::in() const
{
  return this->ptr_;
}

geom_ptr &geom_var::inout()
{
  return this->ptr_;
}

geom_ptr &geom_var::out()
{
  CORBA::release(this->ptr_);
  this->ptr_ = geom::_nil();
  return this->ptr_;
}

geom_ptr geom_var::_retn()
{
  geom_ptr  val = this->ptr_;
  this->ptr_ = geom::_nil();
  return val;
}

geom_ptr geom_var::ptr() const
{
  return this->ptr_;
}

geom_out::geom_out(geom_ptr &r)
  : ptr_(r)
{
  this->ptr_ = geom::_nil();
}

geom_out::geom_out(geom_var &r)
  : ptr_(r.out())
{
  CORBA::release(this->ptr_);
  this->ptr_ = geom::_nil();
}

geom_out::geom_out(const geom_out &r)
  : ptr_(ACE_const_cast(geom_out &,r).ptr_)
{}

geom_out &geom_out::operator=(const geom_out &r)
{
  this->ptr_ = ACE_const_cast(geom_out &,r).ptr_;
  return *this;
}

geom_out &geom_out::operator=(const geom_var &r)
{
  this->ptr_ = geom::_duplicate(r.ptr());
  return *this;
}

geom_out &geom_out::operator=(geom_ptr r)
{
  this->ptr_ = r;
  return *this;
}

geom_out::operator geom_ptr &()
{
  return this->ptr_;
}

geom_ptr &geom_out::ptr()
{
  return this->ptr_;
}

geom_ptr geom_out::operator->()
{
  return this->ptr_;
}

int flick_marshal_stub_coord(flick_marshal_stream_t _stream, const struct coord *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(4, _flick_abort0);
  flick_iiopxx_encode_new_chunk(4);
  flick_cdr_encode_signed16(0, _data->row, CORBA::Short );
  flick_cdr_encode_signed16(2, _data->col, CORBA::Short );
  flick_iiopxx_encode_end_chunk(4);
  flick_iiopxx_encode_end_glob(4);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_coord(flick_marshal_stream_t _stream, struct coord *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(4);
  flick_iiopxx_check_span(4, _flick_abort1);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_decode_signed16(0, _data->row, CORBA::Short );
  flick_cdr_decode_signed16(2, _data->col, CORBA::Short );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_end_glob(4);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_coord_swap(flick_marshal_stream_t _stream, struct coord *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(4);
  flick_iiopxx_check_span(4, _flick_abort2);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_swap_decode_signed16(0, _data->row, CORBA::Short );
  flick_cdr_swap_decode_signed16(2, _data->col, CORBA::Short );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_end_glob(4);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_geom(flick_marshal_stream_t _stream, const geom_ptr *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdrxx_encode_IOR(iiopxx, *_data, 0, geom , _flick_abort3);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_geom(flick_marshal_stream_t _stream, geom_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdrxx_decode_IOR(iiopxx, *_data, 1, geom , _flick_abort4);
  return 0;
  {
  _flick_abort4:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_geom_swap(flick_marshal_stream_t _stream, geom_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swapxx_decode_IOR(iiopxx, *_data, 1, geom , _flick_abort5);
  return 0;
  {
  _flick_abort5:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

CORBA::Short geom::dist(/* geom *this, */ const struct coord &a, const struct coord &b, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  CORBA::Short _return;

  _return = 0;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort7);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort7);
    }
    {
      flick_iiopxx_encode_new_glob(24, _flick_abort7);
      flick_iiopxx_encode_new_chunk(24);
      flick_cdr_encode_unsigned32(0, 5, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'd', flick_char8_t );
      flick_cdr_encode_char8(5, 'i', flick_char8_t );
      flick_cdr_encode_char8(6, 's', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(12, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_signed16(16, a.row, CORBA::Short );
      flick_cdr_encode_signed16(18, a.col, CORBA::Short );
      flick_cdr_encode_signed16(20, b.row, CORBA::Short );
      flick_cdr_encode_signed16(22, b.col, CORBA::Short );
      flick_iiopxx_encode_end_chunk(24);
      flick_iiopxx_encode_end_glob(24);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort7);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort7);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t1_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(6);
        flick_iiopxx_check_span(4, _flick_abort7);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t1_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t1_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(2, _flick_abort20);
              flick_iiopxx_decode_new_chunk(2);
              flick_cdr_swap_decode_signed16(0, _return, CORBA::Short );
              flick_iiopxx_decode_end_chunk(2);
              flick_iiopxx_decode_end_glob(6);
              break;
              {
              _flick_abort20:
                goto _flick_abort7;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(6);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort21);
              break;
              {
              _flick_abort21:
                goto _flick_abort7;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort22);
              flick_iiopxx_decode_end_glob(6);
              break;
              {
              _flick_abort22:
                goto _flick_abort7;
              }
            }
          }
      }
    else
      {
        int _t0_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(6);
        flick_iiopxx_check_span(4, _flick_abort7);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t0_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t0_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(2, _flick_abort13);
              flick_iiopxx_decode_new_chunk(2);
              flick_cdr_decode_signed16(0, _return, CORBA::Short );
              flick_iiopxx_decode_end_chunk(2);
              flick_iiopxx_decode_end_glob(6);
              break;
              {
              _flick_abort13:
                goto _flick_abort7;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(6);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort14);
              break;
              {
              _flick_abort14:
                goto _flick_abort7;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort15);
              flick_iiopxx_decode_end_glob(6);
              break;
              {
              _flick_abort15:
                goto _flick_abort7;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort7:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort6);
    _flick_abort6:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

