#include "test1-client.h"
#include "test1-server.h"

static const CORBA::Long _oc_test1[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74657374), ACE_NTOHL(0x313a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:test1:1.0 */,
    6, ACE_NTOHL(0x74657374), ACE_NTOHL(0x31000000) /* name = test1 */
};

static CORBA::TypeCode _tc_TAO_tc_test1 (CORBA::tk_objref, sizeof(_oc_test1), (char *) &_oc_test1, 0, sizeof(test1 ));

CORBA::TypeCode_ptr _tc_test1 = &_tc_TAO_tc_test1;


#if defined (ACE_HAS_EXPLICIT_TEMPLATE_INSTANTIATION)
  template class TAO_Object_Field_T<test1 >;
#elif defined (ACE_HAS_TEMPLATE_INSTANTIATION_PRAGMA)
#  pragma instantiate TAO_Object_Field_T<test1 >
#endif /* ACE_HAS_EXPLICIT_TEMPLATE_INSTANTIATION */

test1_ptr test1::_duplicate(test1_ptr obj)
{
  if( !CORBA::is_nil(obj) )
    obj->_incr_refcnt();
  return obj;
}

test1_ptr test1::_narrow(CORBA::Object_ptr obj, CORBA::Environment &_env)
{
  if( CORBA::is_nil(obj) )
    return test1::_nil();
  if( !obj->_is_a("IDL:test1:1.0", _env) )
    return test1::_nil();
  return test1::_unchecked_narrow(obj, _env);
}

test1_ptr test1::_unchecked_narrow(CORBA::Object_ptr _obj, CORBA::Environment &_env)
{
  if( CORBA::is_nil(_obj) )
    return test1::_nil();
  TAO_Stub *stub = _obj->_stubobj();
  stub->_incr_refcnt();
  void* servant = 0;
  if (_obj->_is_collocated () && _obj->_servant() != 0)
    servant = _obj->_servant()->_downcast ("IDL:Coffee:1.0");
  if (servant == 0)
    return new test1 (stub);
  return new _tao_collocated_test1(
      ACE_reinterpret_cast(POA_test1_ptr , servant),
      stub
    );
}

test1_ptr test1::_nil()
{
  return (test1_ptr )NULL;
}

CORBA::Boolean test1::_is_a(const CORBA::Char *_type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)_type_id, "IDL:test1:1.0")) ||
      (!ACE_OS::strcmp((char *)_type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return this->CORBA_Object::_is_a(_type_id, _env);
}

const char *test1::_interface_repository_id() const
{
  return "IDL:test1:1.0";
}

test1::test1()
{}

test1::~test1()
{}

void operator<<=(CORBA::Any &a, test1_ptr o)
{
  CORBA::Object_ptr *_tao_obj_ptr = 0;
  ACE_TRY_NEW_ENV
  {
    ACE_NEW(_tao_obj_ptr, CORBA::Object_ptr);
    *_tao_obj_ptr = test1::_duplicate(o);
    a.replace (_tc_test1, _tao_obj_ptr, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _tao_obj_ptr;
  }
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, test1_ptr &o)
{
  CORBA::Object_ptr *tmp = 0;
  ACE_TRY_NEW_ENV
  {
    o = test1::_nil();
    CORBA::TypeCode_var type = a.type();
    if (!type->equal (_tc_test1, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    TAO_InputCDR stream (a._tao_get_cdr());
    CORBA::Object_var _tao_obj_var;
    ACE_NEW_RETURN (tmp, CORBA::Object_ptr, 0);
    if (stream.decode(_tc_test1, &_tao_obj_var.out(), 0, ACE_TRY_ENV)
       == CORBA::TypeCode::TRAVERSE_CONTINUE)
    {
      o = test1::_narrow(_tao_obj_var.in(), ACE_TRY_ENV);
      ACE_TRY_CHECK;
      *tmp = (CORBA::Object_ptr) o;
      ((CORBA::Any *)&a)->replace(_tc_test1, tmp, 1, ACE_TRY_ENV);
      ACE_TRY_CHECK;
      return 1;
    }
  }
  ACE_CATCHANY
  {
    delete tmp;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

test1::test1(TAO_Stub *objref, TAO_ServantBase *_tao_servant, CORBA::Boolean _tao_collocated)
  : CORBA_Object(objref, _tao_servant, _tao_collocated)
{}

test1_var::test1_var()
  : ptr_(test1::_nil())
{}

test1_var::test1_var(test1_ptr p)
  : ptr_(p)
{}

test1_var::test1_var(const test1_var &a)
  : ptr_(test1::_duplicate(a.ptr()))
{}

test1_var::~test1_var()
{
  CORBA::release(this->ptr_);
}

test1_var &test1_var::operator=(test1_ptr p)
{
  CORBA::release(this->ptr_);
  this->ptr_ = p;
  return *this;
}

test1_var &test1_var::operator=(const test1_var &p)
{
  if( this != &p )
  {
    CORBA::release(this->ptr_);
    this->ptr_ = test1::_duplicate(p.ptr());
  }
  return *this;
}

test1_ptr test1_var::operator->() const
{
  return this->ptr_;
}

test1_var::operator const test1_ptr &() const
{
  return this->ptr_;
}

test1_var::operator test1_ptr &()
{
  return this->ptr_;
}

test1_ptr test1_var::in() const
{
  return this->ptr_;
}

test1_ptr &test1_var::inout()
{
  return this->ptr_;
}

test1_ptr &test1_var::out()
{
  CORBA::release(this->ptr_);
  this->ptr_ = test1::_nil();
  return this->ptr_;
}

test1_ptr test1_var::_retn()
{
  test1_ptr  val = this->ptr_;
  this->ptr_ = test1::_nil();
  return val;
}

test1_ptr test1_var::ptr() const
{
  return this->ptr_;
}

test1_out::test1_out(test1_ptr &r)
  : ptr_(r)
{
  this->ptr_ = test1::_nil();
}

test1_out::test1_out(test1_var &r)
  : ptr_(r.out())
{
  CORBA::release(this->ptr_);
  this->ptr_ = test1::_nil();
}

test1_out::test1_out(const test1_out &r)
  : ptr_(ACE_const_cast(test1_out &,r).ptr_)
{}

test1_out &test1_out::operator=(const test1_out &r)
{
  this->ptr_ = ACE_const_cast(test1_out &,r).ptr_;
  return *this;
}

test1_out &test1_out::operator=(const test1_var &r)
{
  this->ptr_ = test1::_duplicate(r.ptr());
  return *this;
}

test1_out &test1_out::operator=(test1_ptr r)
{
  this->ptr_ = r;
  return *this;
}

test1_out::operator test1_ptr &()
{
  return this->ptr_;
}

test1_ptr &test1_out::ptr()
{
  return this->ptr_;
}

test1_ptr test1_out::operator->()
{
  return this->ptr_;
}

static const CORBA::Long _oc_test1_x1[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    17, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74657374), ACE_NTOHL(0x312f7831), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:test1/x1:1.0 */,
    3, ACE_NTOHL(0x78310000) /* name = x1 */,
    1 /* member count */,
    9, ACE_NTOHL(0x63617365), ACE_NTOHL(0x5f6e756d), ACE_NTOHL(0x00000000) /* name = case_num */,
    CORBA::tk_long
};

static CORBA::TypeCode _tc_TAO_tc_test1_x1 (CORBA::tk_except, sizeof(_oc_test1_x1), (char *) &_oc_test1_x1, 0, sizeof(::test1::x1 ));

CORBA::TypeCode_ptr test1::_tc_x1 = &_tc_TAO_tc_test1_x1;

test1::x1::x1()
  : CORBA_UserException(test1::_tc_x1)
{
}

test1::x1::x1(const ::test1::x1 &o)
  : CORBA_UserException(o._type())
{
  this->case_num = o.case_num;
}

test1::x1::~x1()
{}

::test1::x1 &test1::x1::operator=(const ::test1::x1 &o)
{
  this->CORBA_UserException::operator=(o);
  this->case_num = o.case_num;
  return *this;
}

void test1::x1::_raise()
{
  TAO_RAISE(*this);
}

::test1::x1 *test1::x1::_narrow(CORBA::Exception *e)
{
  if( !(ACE_OS::strcmp("IDL:test1/x1:1.0", e->_id())) )
    return ACE_dynamic_cast(::test1::x1_ptr , e);
  else
    return 0;
}

CORBA::Exception *test1::x1::_alloc()
{
  return new ::test1::x1 ;
}

test1::x1::x1(CORBA::Long _case_num_)
  : CORBA_UserException(CORBA::TypeCode::_duplicate(test1::_tc_x1))
{
  this->case_num = _case_num_;
}

void operator<<=(CORBA::Any &a, const ::test1::x1 &o)
{
  ::test1::x1  *_any_val = new ::test1::x1 (o);
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(test1::_tc_x1, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, ::test1::x1 *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(test1::_tc_x1, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, ::test1::x1 *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(test1::_tc_x1, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (::test1::x1  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, ::test1::x1 , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(test1::_tc_x1, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(test1::_tc_x1, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

static const CORBA::Long _oc_test1_x2[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    17, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74657374), ACE_NTOHL(0x312f7832), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:test1/x2:1.0 */,
    3, ACE_NTOHL(0x78320000) /* name = x2 */,
    2 /* member count */,
    4, ACE_NTOHL(0x6f626a00) /* name = obj */,
    CORBA::tk_objref,
    52 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      29, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6f6d672e), ACE_NTOHL(0x6f72672f), ACE_NTOHL(0x434f5242), ACE_NTOHL(0x412f4f62), ACE_NTOHL(0x6a656374), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:omg.org/CORBA/Object:1.0 */,
      7, ACE_NTOHL(0x4f626a65), ACE_NTOHL(0x63740000) /* name = Object */,
    6, ACE_NTOHL(0x76616c75), ACE_NTOHL(0x65000000) /* name = value */,
    CORBA::tk_long
};

static CORBA::TypeCode _tc_TAO_tc_test1_x2 (CORBA::tk_except, sizeof(_oc_test1_x2), (char *) &_oc_test1_x2, 0, sizeof(::test1::x2 ));

CORBA::TypeCode_ptr test1::_tc_x2 = &_tc_TAO_tc_test1_x2;

test1::x2::x2()
  : CORBA_UserException(test1::_tc_x2)
{
}

test1::x2::x2(const ::test1::x2 &o)
  : CORBA_UserException(o._type())
{
  this->obj = CORBA::Object::_duplicate(o.obj.in());
  this->value = o.value;
}

test1::x2::~x2()
{}

::test1::x2 &test1::x2::operator=(const ::test1::x2 &o)
{
  this->CORBA_UserException::operator=(o);
  this->obj = CORBA::Object::_duplicate(o.obj.in());
  this->value = o.value;
  return *this;
}

void test1::x2::_raise()
{
  TAO_RAISE(*this);
}

::test1::x2 *test1::x2::_narrow(CORBA::Exception *e)
{
  if( !(ACE_OS::strcmp("IDL:test1/x2:1.0", e->_id())) )
    return ACE_dynamic_cast(::test1::x2_ptr , e);
  else
    return 0;
}

CORBA::Exception *test1::x2::_alloc()
{
  return new ::test1::x2 ;
}

test1::x2::x2(const ::CORBA::Object_ptr _obj_, CORBA::Long _value_)
  : CORBA_UserException(CORBA::TypeCode::_duplicate(test1::_tc_x2))
{
  this->obj = CORBA::Object::_duplicate(_obj_);
  this->value = _value_;
}

void operator<<=(CORBA::Any &a, const ::test1::x2 &o)
{
  ::test1::x2  *_any_val = new ::test1::x2 (o);
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(test1::_tc_x2, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, ::test1::x2 *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(test1::_tc_x2, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, ::test1::x2 *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(test1::_tc_x2, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (::test1::x2  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, ::test1::x2 , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(test1::_tc_x2, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(test1::_tc_x2, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

int flick_marshal_stub_test1(flick_marshal_stream_t _stream, const test1_ptr *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdrxx_encode_IOR(iiopxx, *_data, 0, test1 , _flick_abort0);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_test1(flick_marshal_stream_t _stream, test1_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdrxx_decode_IOR(iiopxx, *_data, 1, test1 , _flick_abort1);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_test1_swap(flick_marshal_stream_t _stream, test1_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swapxx_decode_IOR(iiopxx, *_data, 1, test1 , _flick_abort2);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_test1_ushort(flick_marshal_stream_t _stream, const ::test1::ushort *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(2, _flick_abort3);
  flick_iiopxx_encode_new_chunk(2);
  flick_cdr_encode_unsigned16(0, *_data, CORBA::UShort );
  flick_iiopxx_encode_end_chunk(2);
  flick_iiopxx_encode_end_glob(2);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_test1_ushort(flick_marshal_stream_t _stream, ::test1::ushort *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(2);
  flick_iiopxx_check_span(2, _flick_abort4);
  flick_iiopxx_decode_new_chunk(2);
  flick_cdr_decode_unsigned16(0, *_data, CORBA::UShort );
  flick_iiopxx_decode_end_chunk(2);
  flick_iiopxx_decode_end_glob(2);
  return 0;
  {
  _flick_abort4:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_test1_ushort_swap(flick_marshal_stream_t _stream, ::test1::ushort *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(2);
  flick_iiopxx_check_span(2, _flick_abort5);
  flick_iiopxx_decode_new_chunk(2);
  flick_cdr_swap_decode_unsigned16(0, *_data, CORBA::UShort );
  flick_iiopxx_decode_end_chunk(2);
  flick_iiopxx_decode_end_glob(2);
  return 0;
  {
  _flick_abort5:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_test1_ulong(flick_marshal_stream_t _stream, const ::test1::ulong *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(4, _flick_abort6);
  flick_iiopxx_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, *_data, CORBA::ULong );
  flick_iiopxx_encode_end_chunk(4);
  flick_iiopxx_encode_end_glob(4);
  return 0;
  {
  _flick_abort6:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_test1_ulong(flick_marshal_stream_t _stream, ::test1::ulong *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(4);
  flick_iiopxx_check_span(4, _flick_abort7);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, *_data, CORBA::ULong );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_end_glob(4);
  return 0;
  {
  _flick_abort7:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_test1_ulong_swap(flick_marshal_stream_t _stream, ::test1::ulong *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(4);
  flick_iiopxx_check_span(4, _flick_abort8);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, *_data, CORBA::ULong );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_end_glob(4);
  return 0;
  {
  _flick_abort8:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_test1_x1(flick_marshal_stream_t _stream, const ::test1::x1 *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(4, _flick_abort9);
  flick_iiopxx_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->case_num, CORBA::Long );
  flick_iiopxx_encode_end_chunk(4);
  flick_iiopxx_encode_end_glob(4);
  return 0;
  {
  _flick_abort9:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_test1_x1(flick_marshal_stream_t _stream, ::test1::x1 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(4);
  flick_iiopxx_check_span(4, _flick_abort10);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, _data->case_num, CORBA::Long );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_end_glob(4);
  return 0;
  {
  _flick_abort10:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_test1_x1_swap(flick_marshal_stream_t _stream, ::test1::x1 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(4);
  flick_iiopxx_check_span(4, _flick_abort11);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, _data->case_num, CORBA::Long );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_end_glob(4);
  return 0;
  {
  _flick_abort11:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_test1_x2(flick_marshal_stream_t _stream, const ::test1::x2 *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdrxx_encode_IOR(iiopxx, _data->obj, 0, CORBA::Object , _flick_abort12);
  flick_iiopxx_encode_new_glob(7, _flick_abort12);
  flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
  flick_cdr_encode_signed32(0, _data->value, CORBA::Long );
  flick_iiopxx_encode_end_chunk(4);
  flick_iiopxx_encode_end_glob(7);
  return 0;
  {
  _flick_abort12:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_test1_x2(flick_marshal_stream_t _stream, ::test1::x2 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdrxx_decode_IOR(iiopxx, _data->obj, 1, CORBA::Object , _flick_abort13);
  flick_iiopxx_decode_new_glob(7);
  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
  flick_iiopxx_check_span(4, _flick_abort13);
  flick_cdr_decode_signed32(0, _data->value, CORBA::Long );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_end_glob(7);
  return 0;
  {
  _flick_abort13:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_test1_x2_swap(flick_marshal_stream_t _stream, ::test1::x2 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swapxx_decode_IOR(iiopxx, _data->obj, 1, CORBA::Object , _flick_abort14);
  flick_iiopxx_decode_new_glob(7);
  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
  flick_iiopxx_check_span(4, _flick_abort14);
  flick_cdr_swap_decode_signed32(0, _data->value, CORBA::Long );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_end_glob(7);
  return 0;
  {
  _flick_abort14:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

void test1::test_void(/* test1 *this, */ CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort16);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort16);
    }
    {
      flick_iiopxx_encode_new_glob(20, _flick_abort16);
      flick_iiopxx_encode_new_chunk(20);
      flick_cdr_encode_unsigned32(0, 10, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 't', flick_char8_t );
      flick_cdr_encode_char8(5, 'e', flick_char8_t );
      flick_cdr_encode_char8(6, 's', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 'v', flick_char8_t );
      flick_cdr_encode_char8(10, 'o', flick_char8_t );
      flick_cdr_encode_char8(11, 'i', flick_char8_t );
      flick_cdr_encode_char8(12, 'd', flick_char8_t );
      flick_cdr_encode_char8(13, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(16, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_iiopxx_encode_end_chunk(20);
      flick_iiopxx_encode_end_glob(20);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort16);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort16);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t1_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(4);
        flick_iiopxx_check_span(4, _flick_abort16);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t1_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t1_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_end_glob(4);
              break;
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(4);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort30);
              break;
              {
              _flick_abort30:
                goto _flick_abort16;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort31);
              flick_iiopxx_decode_end_glob(4);
              break;
              {
              _flick_abort31:
                goto _flick_abort16;
              }
            }
          }
      }
    else
      {
        int _t0_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(4);
        flick_iiopxx_check_span(4, _flick_abort16);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t0_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t0_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_end_glob(4);
              break;
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(4);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort23);
              break;
              {
              _flick_abort23:
                goto _flick_abort16;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort24);
              flick_iiopxx_decode_end_glob(4);
              break;
              {
              _flick_abort24:
                goto _flick_abort16;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return;
    {
    _flick_abort16:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort15);
    _flick_abort15:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return;
}

CORBA::Short test1::test_short(/* test1 *this, */ CORBA::Short a1, ::CORBA::Short &a2, CORBA::Short &a3, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  CORBA::Short _return;

  _return = 0;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort33);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort33);
    }
    {
      flick_iiopxx_encode_new_glob(24, _flick_abort33);
      flick_iiopxx_encode_new_chunk(24);
      flick_cdr_encode_unsigned32(0, 11, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 't', flick_char8_t );
      flick_cdr_encode_char8(5, 'e', flick_char8_t );
      flick_cdr_encode_char8(6, 's', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 's', flick_char8_t );
      flick_cdr_encode_char8(10, 'h', flick_char8_t );
      flick_cdr_encode_char8(11, 'o', flick_char8_t );
      flick_cdr_encode_char8(12, 'r', flick_char8_t );
      flick_cdr_encode_char8(13, 't', flick_char8_t );
      flick_cdr_encode_char8(14, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(16, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_signed16(20, a1, CORBA::Short );
      flick_cdr_encode_signed16(22, a3, CORBA::Short );
      flick_iiopxx_encode_end_chunk(24);
      flick_iiopxx_encode_end_glob(24);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort33);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort33);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t3_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(10);
        flick_iiopxx_check_span(4, _flick_abort33);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t3_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t3_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(6, _flick_abort46);
              flick_iiopxx_decode_new_chunk(6);
              flick_cdr_swap_decode_signed16(0, _return, CORBA::Short );
              flick_cdr_swap_decode_signed16(2, a2, CORBA::Short );
              flick_cdr_swap_decode_signed16(4, a3, CORBA::Short );
              flick_iiopxx_decode_end_chunk(6);
              flick_iiopxx_decode_end_glob(10);
              break;
              {
              _flick_abort46:
                goto _flick_abort33;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(10);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort47);
              break;
              {
              _flick_abort47:
                goto _flick_abort33;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort48);
              flick_iiopxx_decode_end_glob(10);
              break;
              {
              _flick_abort48:
                goto _flick_abort33;
              }
            }
          }
      }
    else
      {
        int _t2_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(10);
        flick_iiopxx_check_span(4, _flick_abort33);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t2_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t2_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(6, _flick_abort39);
              flick_iiopxx_decode_new_chunk(6);
              flick_cdr_decode_signed16(0, _return, CORBA::Short );
              flick_cdr_decode_signed16(2, a2, CORBA::Short );
              flick_cdr_decode_signed16(4, a3, CORBA::Short );
              flick_iiopxx_decode_end_chunk(6);
              flick_iiopxx_decode_end_glob(10);
              break;
              {
              _flick_abort39:
                goto _flick_abort33;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(10);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort40);
              break;
              {
              _flick_abort40:
                goto _flick_abort33;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort41);
              flick_iiopxx_decode_end_glob(10);
              break;
              {
              _flick_abort41:
                goto _flick_abort33;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort33:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort32);
    _flick_abort32:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

CORBA::Long test1::test_long(/* test1 *this, */ CORBA::Long a1, ::CORBA::Long &a2, CORBA::Long &a3, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  CORBA::Long _return;

  _return = 0;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort50);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort50);
    }
    {
      flick_iiopxx_encode_new_glob(28, _flick_abort50);
      flick_iiopxx_encode_new_chunk(28);
      flick_cdr_encode_unsigned32(0, 10, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 't', flick_char8_t );
      flick_cdr_encode_char8(5, 'e', flick_char8_t );
      flick_cdr_encode_char8(6, 's', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 'l', flick_char8_t );
      flick_cdr_encode_char8(10, 'o', flick_char8_t );
      flick_cdr_encode_char8(11, 'n', flick_char8_t );
      flick_cdr_encode_char8(12, 'g', flick_char8_t );
      flick_cdr_encode_char8(13, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(16, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_signed32(20, a1, CORBA::Long );
      flick_cdr_encode_signed32(24, a3, CORBA::Long );
      flick_iiopxx_encode_end_chunk(28);
      flick_iiopxx_encode_end_glob(28);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort50);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort50);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t5_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(16);
        flick_iiopxx_check_span(4, _flick_abort50);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t5_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t5_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(12, _flick_abort63);
              flick_iiopxx_decode_new_chunk(12);
              flick_cdr_swap_decode_signed32(0, _return, CORBA::Long );
              flick_cdr_swap_decode_signed32(4, a2, CORBA::Long );
              flick_cdr_swap_decode_signed32(8, a3, CORBA::Long );
              flick_iiopxx_decode_end_chunk(12);
              flick_iiopxx_decode_end_glob(16);
              break;
              {
              _flick_abort63:
                goto _flick_abort50;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(16);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort64);
              break;
              {
              _flick_abort64:
                goto _flick_abort50;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort65);
              flick_iiopxx_decode_end_glob(16);
              break;
              {
              _flick_abort65:
                goto _flick_abort50;
              }
            }
          }
      }
    else
      {
        int _t4_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(16);
        flick_iiopxx_check_span(4, _flick_abort50);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t4_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t4_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(12, _flick_abort56);
              flick_iiopxx_decode_new_chunk(12);
              flick_cdr_decode_signed32(0, _return, CORBA::Long );
              flick_cdr_decode_signed32(4, a2, CORBA::Long );
              flick_cdr_decode_signed32(8, a3, CORBA::Long );
              flick_iiopxx_decode_end_chunk(12);
              flick_iiopxx_decode_end_glob(16);
              break;
              {
              _flick_abort56:
                goto _flick_abort50;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(16);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort57);
              break;
              {
              _flick_abort57:
                goto _flick_abort50;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort58);
              flick_iiopxx_decode_end_glob(16);
              break;
              {
              _flick_abort58:
                goto _flick_abort50;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort50:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort49);
    _flick_abort49:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

::test1::ushort test1::test_ushort(/* test1 *this, */ ::test1::ushort a1, ::test1::ushort_out a2, ::test1::ushort &a3, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  ::test1::ushort _return;

  _return = 0;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort67);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort67);
    }
    {
      flick_iiopxx_encode_new_glob(24, _flick_abort67);
      flick_iiopxx_encode_new_chunk(24);
      flick_cdr_encode_unsigned32(0, 12, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 't', flick_char8_t );
      flick_cdr_encode_char8(5, 'e', flick_char8_t );
      flick_cdr_encode_char8(6, 's', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 'u', flick_char8_t );
      flick_cdr_encode_char8(10, 's', flick_char8_t );
      flick_cdr_encode_char8(11, 'h', flick_char8_t );
      flick_cdr_encode_char8(12, 'o', flick_char8_t );
      flick_cdr_encode_char8(13, 'r', flick_char8_t );
      flick_cdr_encode_char8(14, 't', flick_char8_t );
      flick_cdr_encode_char8(15, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(16, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_unsigned16(20, a1, CORBA::UShort );
      flick_cdr_encode_unsigned16(22, a3, CORBA::UShort );
      flick_iiopxx_encode_end_chunk(24);
      flick_iiopxx_encode_end_glob(24);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort67);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort67);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t7_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(10);
        flick_iiopxx_check_span(4, _flick_abort67);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t7_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t7_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(6, _flick_abort80);
              flick_iiopxx_decode_new_chunk(6);
              flick_cdr_swap_decode_unsigned16(0, _return, CORBA::UShort );
              flick_cdr_swap_decode_unsigned16(2, a2, CORBA::UShort );
              flick_cdr_swap_decode_unsigned16(4, a3, CORBA::UShort );
              flick_iiopxx_decode_end_chunk(6);
              flick_iiopxx_decode_end_glob(10);
              break;
              {
              _flick_abort80:
                goto _flick_abort67;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(10);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort81);
              break;
              {
              _flick_abort81:
                goto _flick_abort67;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort82);
              flick_iiopxx_decode_end_glob(10);
              break;
              {
              _flick_abort82:
                goto _flick_abort67;
              }
            }
          }
      }
    else
      {
        int _t6_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(10);
        flick_iiopxx_check_span(4, _flick_abort67);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t6_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t6_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(6, _flick_abort73);
              flick_iiopxx_decode_new_chunk(6);
              flick_cdr_decode_unsigned16(0, _return, CORBA::UShort );
              flick_cdr_decode_unsigned16(2, a2, CORBA::UShort );
              flick_cdr_decode_unsigned16(4, a3, CORBA::UShort );
              flick_iiopxx_decode_end_chunk(6);
              flick_iiopxx_decode_end_glob(10);
              break;
              {
              _flick_abort73:
                goto _flick_abort67;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(10);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort74);
              break;
              {
              _flick_abort74:
                goto _flick_abort67;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort75);
              flick_iiopxx_decode_end_glob(10);
              break;
              {
              _flick_abort75:
                goto _flick_abort67;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort67:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort66);
    _flick_abort66:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

::test1::ulong test1::test_ulong(/* test1 *this, */ ::test1::ulong a1, ::test1::ulong_out a2, ::test1::ulong &a3, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  ::test1::ulong _return;

  _return = 0;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort84);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort84);
    }
    {
      flick_iiopxx_encode_new_glob(28, _flick_abort84);
      flick_iiopxx_encode_new_chunk(28);
      flick_cdr_encode_unsigned32(0, 11, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 't', flick_char8_t );
      flick_cdr_encode_char8(5, 'e', flick_char8_t );
      flick_cdr_encode_char8(6, 's', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 'u', flick_char8_t );
      flick_cdr_encode_char8(10, 'l', flick_char8_t );
      flick_cdr_encode_char8(11, 'o', flick_char8_t );
      flick_cdr_encode_char8(12, 'n', flick_char8_t );
      flick_cdr_encode_char8(13, 'g', flick_char8_t );
      flick_cdr_encode_char8(14, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(16, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_unsigned32(20, a1, CORBA::ULong );
      flick_cdr_encode_unsigned32(24, a3, CORBA::ULong );
      flick_iiopxx_encode_end_chunk(28);
      flick_iiopxx_encode_end_glob(28);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort84);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort84);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t9_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(16);
        flick_iiopxx_check_span(4, _flick_abort84);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t9_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t9_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(12, _flick_abort97);
              flick_iiopxx_decode_new_chunk(12);
              flick_cdr_swap_decode_unsigned32(0, _return, CORBA::ULong );
              flick_cdr_swap_decode_unsigned32(4, a2, CORBA::ULong );
              flick_cdr_swap_decode_unsigned32(8, a3, CORBA::ULong );
              flick_iiopxx_decode_end_chunk(12);
              flick_iiopxx_decode_end_glob(16);
              break;
              {
              _flick_abort97:
                goto _flick_abort84;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(16);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort98);
              break;
              {
              _flick_abort98:
                goto _flick_abort84;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort99);
              flick_iiopxx_decode_end_glob(16);
              break;
              {
              _flick_abort99:
                goto _flick_abort84;
              }
            }
          }
      }
    else
      {
        int _t8_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(16);
        flick_iiopxx_check_span(4, _flick_abort84);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t8_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t8_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(12, _flick_abort90);
              flick_iiopxx_decode_new_chunk(12);
              flick_cdr_decode_unsigned32(0, _return, CORBA::ULong );
              flick_cdr_decode_unsigned32(4, a2, CORBA::ULong );
              flick_cdr_decode_unsigned32(8, a3, CORBA::ULong );
              flick_iiopxx_decode_end_chunk(12);
              flick_iiopxx_decode_end_glob(16);
              break;
              {
              _flick_abort90:
                goto _flick_abort84;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(16);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort91);
              break;
              {
              _flick_abort91:
                goto _flick_abort84;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort92);
              flick_iiopxx_decode_end_glob(16);
              break;
              {
              _flick_abort92:
                goto _flick_abort84;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort84:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort83);
    _flick_abort83:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

CORBA::Float test1::test_float(/* test1 *this, */ CORBA::Float a1, ::CORBA::Float &a2, CORBA::Float &a3, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  CORBA::Float _return;

  _return = 0.000000;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort101);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort101);
    }
    {
      flick_iiopxx_encode_new_glob(28, _flick_abort101);
      flick_iiopxx_encode_new_chunk(28);
      flick_cdr_encode_unsigned32(0, 11, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 't', flick_char8_t );
      flick_cdr_encode_char8(5, 'e', flick_char8_t );
      flick_cdr_encode_char8(6, 's', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 'f', flick_char8_t );
      flick_cdr_encode_char8(10, 'l', flick_char8_t );
      flick_cdr_encode_char8(11, 'o', flick_char8_t );
      flick_cdr_encode_char8(12, 'a', flick_char8_t );
      flick_cdr_encode_char8(13, 't', flick_char8_t );
      flick_cdr_encode_char8(14, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(16, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_float32(20, a1, CORBA::Float );
      flick_cdr_encode_float32(24, a3, CORBA::Float );
      flick_iiopxx_encode_end_chunk(28);
      flick_iiopxx_encode_end_glob(28);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort101);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort101);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t11_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(16);
        flick_iiopxx_check_span(4, _flick_abort101);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t11_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t11_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(12, _flick_abort114);
              flick_iiopxx_decode_new_chunk(12);
              flick_cdr_swap_decode_float32(0, _return, CORBA::Float );
              flick_cdr_swap_decode_float32(4, a2, CORBA::Float );
              flick_cdr_swap_decode_float32(8, a3, CORBA::Float );
              flick_iiopxx_decode_end_chunk(12);
              flick_iiopxx_decode_end_glob(16);
              break;
              {
              _flick_abort114:
                goto _flick_abort101;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(16);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort115);
              break;
              {
              _flick_abort115:
                goto _flick_abort101;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort116);
              flick_iiopxx_decode_end_glob(16);
              break;
              {
              _flick_abort116:
                goto _flick_abort101;
              }
            }
          }
      }
    else
      {
        int _t10_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(16);
        flick_iiopxx_check_span(4, _flick_abort101);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t10_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t10_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(12, _flick_abort107);
              flick_iiopxx_decode_new_chunk(12);
              flick_cdr_decode_float32(0, _return, CORBA::Float );
              flick_cdr_decode_float32(4, a2, CORBA::Float );
              flick_cdr_decode_float32(8, a3, CORBA::Float );
              flick_iiopxx_decode_end_chunk(12);
              flick_iiopxx_decode_end_glob(16);
              break;
              {
              _flick_abort107:
                goto _flick_abort101;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(16);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort108);
              break;
              {
              _flick_abort108:
                goto _flick_abort101;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort109);
              flick_iiopxx_decode_end_glob(16);
              break;
              {
              _flick_abort109:
                goto _flick_abort101;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort101:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort100);
    _flick_abort100:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

CORBA::Double test1::test_double(/* test1 *this, */ CORBA::Double a1, ::CORBA::Double &a2, CORBA::Double &a3, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  CORBA::Double _return;

  _return = 0.000000;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort118);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort118);
    }
    {
      flick_iiopxx_encode_new_glob(40, _flick_abort118);
      flick_iiopxx_encode_new_chunk(20);
      flick_cdr_encode_unsigned32(0, 12, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 't', flick_char8_t );
      flick_cdr_encode_char8(5, 'e', flick_char8_t );
      flick_cdr_encode_char8(6, 's', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 'd', flick_char8_t );
      flick_cdr_encode_char8(10, 'o', flick_char8_t );
      flick_cdr_encode_char8(11, 'u', flick_char8_t );
      flick_cdr_encode_char8(12, 'b', flick_char8_t );
      flick_cdr_encode_char8(13, 'l', flick_char8_t );
      flick_cdr_encode_char8(14, 'e', flick_char8_t );
      flick_cdr_encode_char8(15, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(16, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_iiopxx_encode_end_chunk(20);
      flick_iiopxx_encode_new_chunk_align(16, 3, 2, 0);
      flick_cdr_encode_float64(0, a1, CORBA::Double );
      flick_cdr_encode_float64(8, a3, CORBA::Double );
      flick_iiopxx_encode_end_chunk(16);
      flick_iiopxx_encode_end_glob(40);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort118);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort118);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t13_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(32);
        flick_iiopxx_check_span(4, _flick_abort118);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t13_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t13_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_new_chunk_align(24, 3, 2, 0);
              flick_iiopxx_check_span(24, _flick_abort131);
              flick_cdr_swap_decode_float64(0, _return, CORBA::Double );
              flick_cdr_swap_decode_float64(8, a2, CORBA::Double );
              flick_cdr_swap_decode_float64(16, a3, CORBA::Double );
              flick_iiopxx_decode_end_chunk(24);
              flick_iiopxx_decode_end_glob(32);
              break;
              {
              _flick_abort131:
                goto _flick_abort118;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(32);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort132);
              break;
              {
              _flick_abort132:
                goto _flick_abort118;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort133);
              flick_iiopxx_decode_end_glob(32);
              break;
              {
              _flick_abort133:
                goto _flick_abort118;
              }
            }
          }
      }
    else
      {
        int _t12_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(32);
        flick_iiopxx_check_span(4, _flick_abort118);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t12_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t12_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_new_chunk_align(24, 3, 2, 0);
              flick_iiopxx_check_span(24, _flick_abort124);
              flick_cdr_decode_float64(0, _return, CORBA::Double );
              flick_cdr_decode_float64(8, a2, CORBA::Double );
              flick_cdr_decode_float64(16, a3, CORBA::Double );
              flick_iiopxx_decode_end_chunk(24);
              flick_iiopxx_decode_end_glob(32);
              break;
              {
              _flick_abort124:
                goto _flick_abort118;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(32);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort125);
              break;
              {
              _flick_abort125:
                goto _flick_abort118;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort126);
              flick_iiopxx_decode_end_glob(32);
              break;
              {
              _flick_abort126:
                goto _flick_abort118;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort118:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort117);
    _flick_abort117:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

CORBA::Boolean test1::test_boolean(/* test1 *this, */ CORBA::Boolean a1, ::CORBA::Boolean &a2, CORBA::Boolean &a3, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  CORBA::Boolean _return;

  _return = 0;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort135);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort135);
    }
    {
      flick_iiopxx_encode_new_glob(26, _flick_abort135);
      flick_iiopxx_encode_new_chunk(26);
      flick_cdr_encode_unsigned32(0, 13, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 't', flick_char8_t );
      flick_cdr_encode_char8(5, 'e', flick_char8_t );
      flick_cdr_encode_char8(6, 's', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 'b', flick_char8_t );
      flick_cdr_encode_char8(10, 'o', flick_char8_t );
      flick_cdr_encode_char8(11, 'o', flick_char8_t );
      flick_cdr_encode_char8(12, 'l', flick_char8_t );
      flick_cdr_encode_char8(13, 'e', flick_char8_t );
      flick_cdr_encode_char8(14, 'a', flick_char8_t );
      flick_cdr_encode_char8(15, 'n', flick_char8_t );
      flick_cdr_encode_char8(16, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(20, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_unsigned8(24, a1, CORBA::Boolean );
      flick_cdr_encode_unsigned8(25, a3, CORBA::Boolean );
      flick_iiopxx_encode_end_chunk(26);
      flick_iiopxx_encode_end_glob(26);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort135);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort135);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t15_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(7);
        flick_iiopxx_check_span(4, _flick_abort135);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t15_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t15_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(3, _flick_abort148);
              flick_iiopxx_decode_new_chunk(3);
              flick_cdr_swap_decode_unsigned8(0, _return, CORBA::Boolean );
              flick_cdr_swap_decode_unsigned8(1, a2, CORBA::Boolean );
              flick_cdr_swap_decode_unsigned8(2, a3, CORBA::Boolean );
              flick_iiopxx_decode_end_chunk(3);
              flick_iiopxx_decode_end_glob(7);
              break;
              {
              _flick_abort148:
                goto _flick_abort135;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(7);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort149);
              break;
              {
              _flick_abort149:
                goto _flick_abort135;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort150);
              flick_iiopxx_decode_end_glob(7);
              break;
              {
              _flick_abort150:
                goto _flick_abort135;
              }
            }
          }
      }
    else
      {
        int _t14_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(7);
        flick_iiopxx_check_span(4, _flick_abort135);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t14_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t14_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(3, _flick_abort141);
              flick_iiopxx_decode_new_chunk(3);
              flick_cdr_decode_unsigned8(0, _return, CORBA::Boolean );
              flick_cdr_decode_unsigned8(1, a2, CORBA::Boolean );
              flick_cdr_decode_unsigned8(2, a3, CORBA::Boolean );
              flick_iiopxx_decode_end_chunk(3);
              flick_iiopxx_decode_end_glob(7);
              break;
              {
              _flick_abort141:
                goto _flick_abort135;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(7);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort142);
              break;
              {
              _flick_abort142:
                goto _flick_abort135;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort143);
              flick_iiopxx_decode_end_glob(7);
              break;
              {
              _flick_abort143:
                goto _flick_abort135;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort135:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort134);
    _flick_abort134:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

CORBA::Char test1::test_char(/* test1 *this, */ CORBA::Char a1, ::CORBA::Char &a2, CORBA::Char &a3, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  CORBA::Char _return;

  _return = 0;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort152);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort152);
    }
    {
      flick_iiopxx_encode_new_glob(22, _flick_abort152);
      flick_iiopxx_encode_new_chunk(22);
      flick_cdr_encode_unsigned32(0, 10, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 't', flick_char8_t );
      flick_cdr_encode_char8(5, 'e', flick_char8_t );
      flick_cdr_encode_char8(6, 's', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 'c', flick_char8_t );
      flick_cdr_encode_char8(10, 'h', flick_char8_t );
      flick_cdr_encode_char8(11, 'a', flick_char8_t );
      flick_cdr_encode_char8(12, 'r', flick_char8_t );
      flick_cdr_encode_char8(13, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(16, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_char8(20, a1, CORBA::Char );
      flick_cdr_encode_char8(21, a3, CORBA::Char );
      flick_iiopxx_encode_end_chunk(22);
      flick_iiopxx_encode_end_glob(22);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort152);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort152);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t17_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(7);
        flick_iiopxx_check_span(4, _flick_abort152);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t17_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t17_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(3, _flick_abort165);
              flick_iiopxx_decode_new_chunk(3);
              flick_cdr_swap_decode_char8(0, _return, CORBA::Char );
              flick_cdr_swap_decode_char8(1, a2, CORBA::Char );
              flick_cdr_swap_decode_char8(2, a3, CORBA::Char );
              flick_iiopxx_decode_end_chunk(3);
              flick_iiopxx_decode_end_glob(7);
              break;
              {
              _flick_abort165:
                goto _flick_abort152;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(7);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort166);
              break;
              {
              _flick_abort166:
                goto _flick_abort152;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort167);
              flick_iiopxx_decode_end_glob(7);
              break;
              {
              _flick_abort167:
                goto _flick_abort152;
              }
            }
          }
      }
    else
      {
        int _t16_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(7);
        flick_iiopxx_check_span(4, _flick_abort152);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t16_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t16_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(3, _flick_abort158);
              flick_iiopxx_decode_new_chunk(3);
              flick_cdr_decode_char8(0, _return, CORBA::Char );
              flick_cdr_decode_char8(1, a2, CORBA::Char );
              flick_cdr_decode_char8(2, a3, CORBA::Char );
              flick_iiopxx_decode_end_chunk(3);
              flick_iiopxx_decode_end_glob(7);
              break;
              {
              _flick_abort158:
                goto _flick_abort152;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(7);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort159);
              break;
              {
              _flick_abort159:
                goto _flick_abort152;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort160);
              flick_iiopxx_decode_end_glob(7);
              break;
              {
              _flick_abort160:
                goto _flick_abort152;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort152:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort151);
    _flick_abort151:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

CORBA::Octet test1::test_octet(/* test1 *this, */ CORBA::Octet a1, ::CORBA::Octet &a2, CORBA::Octet &a3, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  CORBA::Octet _return;

  _return = 0;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort169);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort169);
    }
    {
      flick_iiopxx_encode_new_glob(22, _flick_abort169);
      flick_iiopxx_encode_new_chunk(22);
      flick_cdr_encode_unsigned32(0, 11, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 't', flick_char8_t );
      flick_cdr_encode_char8(5, 'e', flick_char8_t );
      flick_cdr_encode_char8(6, 's', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 'o', flick_char8_t );
      flick_cdr_encode_char8(10, 'c', flick_char8_t );
      flick_cdr_encode_char8(11, 't', flick_char8_t );
      flick_cdr_encode_char8(12, 'e', flick_char8_t );
      flick_cdr_encode_char8(13, 't', flick_char8_t );
      flick_cdr_encode_char8(14, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(16, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_unsigned8(20, a1, CORBA::Octet );
      flick_cdr_encode_unsigned8(21, a3, CORBA::Octet );
      flick_iiopxx_encode_end_chunk(22);
      flick_iiopxx_encode_end_glob(22);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort169);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort169);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t19_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(7);
        flick_iiopxx_check_span(4, _flick_abort169);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t19_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t19_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(3, _flick_abort182);
              flick_iiopxx_decode_new_chunk(3);
              flick_cdr_swap_decode_unsigned8(0, _return, CORBA::Octet );
              flick_cdr_swap_decode_unsigned8(1, a2, CORBA::Octet );
              flick_cdr_swap_decode_unsigned8(2, a3, CORBA::Octet );
              flick_iiopxx_decode_end_chunk(3);
              flick_iiopxx_decode_end_glob(7);
              break;
              {
              _flick_abort182:
                goto _flick_abort169;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(7);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort183);
              break;
              {
              _flick_abort183:
                goto _flick_abort169;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort184);
              flick_iiopxx_decode_end_glob(7);
              break;
              {
              _flick_abort184:
                goto _flick_abort169;
              }
            }
          }
      }
    else
      {
        int _t18_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(7);
        flick_iiopxx_check_span(4, _flick_abort169);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t18_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t18_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(3, _flick_abort175);
              flick_iiopxx_decode_new_chunk(3);
              flick_cdr_decode_unsigned8(0, _return, CORBA::Octet );
              flick_cdr_decode_unsigned8(1, a2, CORBA::Octet );
              flick_cdr_decode_unsigned8(2, a3, CORBA::Octet );
              flick_iiopxx_decode_end_chunk(3);
              flick_iiopxx_decode_end_glob(7);
              break;
              {
              _flick_abort175:
                goto _flick_abort169;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(7);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort176);
              break;
              {
              _flick_abort176:
                goto _flick_abort169;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort177);
              flick_iiopxx_decode_end_glob(7);
              break;
              {
              _flick_abort177:
                goto _flick_abort169;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort169:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort168);
    _flick_abort168:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

char *test1::test_string(/* test1 *this, */ const char *a1, ::CORBA::String_out a2, char *&a3, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  char *_return;

  _return = 0;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort186);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort186);
    }
    {
      flick_unsigned32_t _t22_temp_string_len;
      flick_unsigned32_t _t23_temp_string_len;

      flick_cdr_stringlen(CORBA::Char *, a1, flick_unsigned32_t , _t22_temp_string_len);
      flick_cdr_stringlen(CORBA::Char *, a3, flick_unsigned32_t , _t23_temp_string_len);

      flick_iiopxx_encode_new_glob(24, _flick_abort186);
      flick_iiopxx_encode_new_chunk(24);
      flick_cdr_encode_unsigned32(0, 12, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 't', flick_char8_t );
      flick_cdr_encode_char8(5, 'e', flick_char8_t );
      flick_cdr_encode_char8(6, 's', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 's', flick_char8_t );
      flick_cdr_encode_char8(10, 't', flick_char8_t );
      flick_cdr_encode_char8(11, 'r', flick_char8_t );
      flick_cdr_encode_char8(12, 'i', flick_char8_t );
      flick_cdr_encode_char8(13, 'n', flick_char8_t );
      flick_cdr_encode_char8(14, 'g', flick_char8_t );
      flick_cdr_encode_char8(15, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(16, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_unsigned32(20, _t22_temp_string_len, flick_unsigned32_t );
      flick_iiopxx_encode_end_chunk(24);
      flick_iiopxx_encode_end_glob(24);
      flick_iiopxx_encode_new_glob(1 * _t22_temp_string_len, _flick_abort186);
      flick_iiopxx_encode_new_chunk(1 * _t22_temp_string_len);
      flick_cdr_encode_bcopy(0, a1, 1 * _t22_temp_string_len);
      flick_iiopxx_encode_end_chunk(1 * _t22_temp_string_len);
      flick_iiopxx_encode_end_glob(1 * _t22_temp_string_len);
      flick_iiopxx_encode_new_glob(7, _flick_abort186);
      flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
      flick_cdr_encode_unsigned32(0, _t23_temp_string_len, flick_unsigned32_t );
      flick_iiopxx_encode_end_chunk(4);
      flick_iiopxx_encode_end_glob(7);
      flick_iiopxx_encode_new_glob(1 * _t23_temp_string_len, _flick_abort186);
      flick_iiopxx_encode_new_chunk(1 * _t23_temp_string_len);
      flick_cdr_encode_bcopy(0, a3, 1 * _t23_temp_string_len);
      CORBA_string_flick_free(a3);
      a3 = 0;
      flick_iiopxx_encode_end_chunk(1 * _t23_temp_string_len);
      flick_iiopxx_encode_end_glob(1 * _t23_temp_string_len);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort186);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort186);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t31_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort186);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t31_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t31_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t35_temp_string_len;
              flick_unsigned32_t _t36_temp_string_len;
              flick_unsigned32_t _t37_temp_string_len;

              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort234);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_unsigned32(0, _t35_temp_string_len, flick_unsigned32_t );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              flick_iiopxx_decode_new_glob(1 * _t35_temp_string_len);
              flick_iiopxx_check_span(1 * _t35_temp_string_len, _flick_abort234);
              flick_iiopxx_decode_new_chunk(1 * _t35_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t35_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort234);
                _return = _t_alloc_ptr;
              }
              flick_cdr_swap_decode_bcopy(0, _return, 1 * _t35_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t35_temp_string_len);
              flick_iiopxx_decode_end_glob(1 * _t35_temp_string_len);
              flick_iiopxx_decode_new_glob(7);
              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
              flick_iiopxx_check_span(4, _flick_abort237);
              flick_cdr_swap_decode_unsigned32(0, _t36_temp_string_len, flick_unsigned32_t );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(7);
              flick_iiopxx_decode_new_glob(1 * _t36_temp_string_len);
              flick_iiopxx_check_span(1 * _t36_temp_string_len, _flick_abort237);
              flick_iiopxx_decode_new_chunk(1 * _t36_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t36_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort237);
                a2 = _t_alloc_ptr;
              }
              flick_cdr_swap_decode_bcopy(0, a2, 1 * _t36_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t36_temp_string_len);
              flick_iiopxx_decode_end_glob(1 * _t36_temp_string_len);
              flick_iiopxx_decode_new_glob(7);
              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
              flick_iiopxx_check_span(4, _flick_abort240);
              flick_cdr_swap_decode_unsigned32(0, _t37_temp_string_len, flick_unsigned32_t );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(7);
              flick_iiopxx_decode_new_glob(1 * _t37_temp_string_len);
              flick_iiopxx_check_span(1 * _t37_temp_string_len, _flick_abort240);
              flick_iiopxx_decode_new_chunk(1 * _t37_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t37_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort240);
                a3 = _t_alloc_ptr;
              }
              flick_cdr_swap_decode_bcopy(0, a3, 1 * _t37_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t37_temp_string_len);
              flick_iiopxx_decode_end_glob(1 * _t37_temp_string_len);
              break;
              {
              _flick_abort240:
                CORBA_string_flick_free(a2);
              _flick_abort237:
                CORBA_string_flick_free(_return);
              _flick_abort234:
                goto _flick_abort186;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort244);
              break;
              {
              _flick_abort244:
                goto _flick_abort186;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort245);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort245:
                goto _flick_abort186;
              }
            }
          }
      }
    else
      {
        int _t24_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort186);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t24_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t24_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t28_temp_string_len;
              flick_unsigned32_t _t29_temp_string_len;
              flick_unsigned32_t _t30_temp_string_len;

              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort209);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_unsigned32(0, _t28_temp_string_len, flick_unsigned32_t );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              flick_iiopxx_decode_new_glob(1 * _t28_temp_string_len);
              flick_iiopxx_check_span(1 * _t28_temp_string_len, _flick_abort209);
              flick_iiopxx_decode_new_chunk(1 * _t28_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t28_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort209);
                _return = _t_alloc_ptr;
              }
              flick_cdr_decode_bcopy(0, _return, 1 * _t28_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t28_temp_string_len);
              flick_iiopxx_decode_end_glob(1 * _t28_temp_string_len);
              flick_iiopxx_decode_new_glob(7);
              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
              flick_iiopxx_check_span(4, _flick_abort212);
              flick_cdr_decode_unsigned32(0, _t29_temp_string_len, flick_unsigned32_t );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(7);
              flick_iiopxx_decode_new_glob(1 * _t29_temp_string_len);
              flick_iiopxx_check_span(1 * _t29_temp_string_len, _flick_abort212);
              flick_iiopxx_decode_new_chunk(1 * _t29_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t29_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort212);
                a2 = _t_alloc_ptr;
              }
              flick_cdr_decode_bcopy(0, a2, 1 * _t29_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t29_temp_string_len);
              flick_iiopxx_decode_end_glob(1 * _t29_temp_string_len);
              flick_iiopxx_decode_new_glob(7);
              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
              flick_iiopxx_check_span(4, _flick_abort215);
              flick_cdr_decode_unsigned32(0, _t30_temp_string_len, flick_unsigned32_t );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(7);
              flick_iiopxx_decode_new_glob(1 * _t30_temp_string_len);
              flick_iiopxx_check_span(1 * _t30_temp_string_len, _flick_abort215);
              flick_iiopxx_decode_new_chunk(1 * _t30_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t30_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort215);
                a3 = _t_alloc_ptr;
              }
              flick_cdr_decode_bcopy(0, a3, 1 * _t30_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t30_temp_string_len);
              flick_iiopxx_decode_end_glob(1 * _t30_temp_string_len);
              break;
              {
              _flick_abort215:
                CORBA_string_flick_free(a2);
              _flick_abort212:
                CORBA_string_flick_free(_return);
              _flick_abort209:
                goto _flick_abort186;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort219);
              break;
              {
              _flick_abort219:
                goto _flick_abort186;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort220);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort220:
                goto _flick_abort186;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort186:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort185);
    _flick_abort185:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

::CORBA::Object_ptr test1::test_Object(/* test1 *this, */ ::CORBA::Object_ptr a1, ::CORBA::Object_out a2, ::CORBA::Object_ptr &a3, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  ::CORBA::Object_ptr _return;

  _return = 0;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort247);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort247);
    }
    {
      flick_iiopxx_encode_new_glob(20, _flick_abort247);
      flick_iiopxx_encode_new_chunk(20);
      flick_cdr_encode_unsigned32(0, 12, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 't', flick_char8_t );
      flick_cdr_encode_char8(5, 'e', flick_char8_t );
      flick_cdr_encode_char8(6, 's', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 'O', flick_char8_t );
      flick_cdr_encode_char8(10, 'b', flick_char8_t );
      flick_cdr_encode_char8(11, 'j', flick_char8_t );
      flick_cdr_encode_char8(12, 'e', flick_char8_t );
      flick_cdr_encode_char8(13, 'c', flick_char8_t );
      flick_cdr_encode_char8(14, 't', flick_char8_t );
      flick_cdr_encode_char8(15, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(16, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_iiopxx_encode_end_chunk(20);
      flick_iiopxx_encode_end_glob(20);
      flick_cdrxx_encode_IOR(iiopxx, a1, 0, CORBA::Object , _flick_abort247);
      flick_cdrxx_encode_IOR(iiopxx, a3, 0, CORBA::Object , _flick_abort247);
      CORBA_object_flick_free(a3);
      a3 = 0;
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort247);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort247);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t39_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(4);
        flick_iiopxx_check_span(4, _flick_abort247);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t39_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t39_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_end_glob(4);
              flick_cdr_swapxx_decode_IOR(iiopxx, _return, 1, CORBA::Object , _flick_abort260);
              flick_cdr_swapxx_decode_IOR(iiopxx, a2, 1, CORBA::Object , _flick_abort260);
              flick_cdr_swapxx_decode_IOR(iiopxx, a3, 1, CORBA::Object , _flick_abort260);
              break;
              {
              _flick_abort260:
                goto _flick_abort247;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(4);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort261);
              break;
              {
              _flick_abort261:
                goto _flick_abort247;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort262);
              flick_iiopxx_decode_end_glob(4);
              break;
              {
              _flick_abort262:
                goto _flick_abort247;
              }
            }
          }
      }
    else
      {
        int _t38_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(4);
        flick_iiopxx_check_span(4, _flick_abort247);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t38_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t38_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_end_glob(4);
              flick_cdrxx_decode_IOR(iiopxx, _return, 1, CORBA::Object , _flick_abort253);
              flick_cdrxx_decode_IOR(iiopxx, a2, 1, CORBA::Object , _flick_abort253);
              flick_cdrxx_decode_IOR(iiopxx, a3, 1, CORBA::Object , _flick_abort253);
              break;
              {
              _flick_abort253:
                goto _flick_abort247;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(4);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort254);
              break;
              {
              _flick_abort254:
                goto _flick_abort247;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort255);
              flick_iiopxx_decode_end_glob(4);
              break;
              {
              _flick_abort255:
                goto _flick_abort247;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort247:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort246);
    _flick_abort246:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

void test1::test_throw(/* test1 *this, */ CORBA::Long case_num, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort264);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort264);
    }
    {
      flick_iiopxx_encode_new_glob(24, _flick_abort264);
      flick_iiopxx_encode_new_chunk(24);
      flick_cdr_encode_unsigned32(0, 11, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 't', flick_char8_t );
      flick_cdr_encode_char8(5, 'e', flick_char8_t );
      flick_cdr_encode_char8(6, 's', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 't', flick_char8_t );
      flick_cdr_encode_char8(10, 'h', flick_char8_t );
      flick_cdr_encode_char8(11, 'r', flick_char8_t );
      flick_cdr_encode_char8(12, 'o', flick_char8_t );
      flick_cdr_encode_char8(13, 'w', flick_char8_t );
      flick_cdr_encode_char8(14, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(16, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_signed32(20, case_num, CORBA::Long );
      flick_iiopxx_encode_end_chunk(24);
      flick_iiopxx_encode_end_glob(24);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort264);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort264);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t75_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(32);
        flick_iiopxx_check_span(4, _flick_abort264);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t75_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t75_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_end_glob(32);
              break;
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(32);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort293);
              break;
              {
              _flick_abort293:
                goto _flick_abort264;
              }
            }
          default:
            {
              flick_corbaxx_env _t93_temp_env;
              unsigned int _t102_switch_tag;

              flick_iiopxx_check_span(21, _flick_abort294);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_unsigned32(0, _t102_switch_tag, unsigned int );
              flick_iiopxx_decode_end_chunk(4);
              switch ((unsigned int )_t102_switch_tag)
                {
                case (unsigned int) 17:
                  {
                    unsigned int _t103_switch_tag;

                    flick_iiopxx_decode_new_chunk(4);
                    flick_cdr_decode_unsigned32(0, _t103_switch_tag, unsigned int );
                    flick_iiopxx_decode_end_chunk(4);
                    switch ((unsigned int )_t103_switch_tag)
                      {
                      case /* IDL: */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                        {
                          unsigned int _t104_switch_tag;

                          flick_iiopxx_decode_new_chunk(4);
                          flick_cdr_decode_unsigned32(0, _t104_switch_tag, unsigned int );
                          flick_iiopxx_decode_end_chunk(4);
                          switch ((unsigned int )_t104_switch_tag)
                            {
                            case /* test */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
                              {
                                unsigned int _t105_switch_tag;

                                flick_iiopxx_decode_new_chunk(4);
                                flick_cdr_decode_unsigned32(0, _t105_switch_tag, unsigned int );
                                flick_iiopxx_decode_end_chunk(4);
                                switch ((unsigned int )_t105_switch_tag)
                                  {
                                  case /* 1/x1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 825194545):
                                    {
                                      unsigned int _t106_switch_tag;

                                      flick_iiopxx_check_span(12, _flick_abort294);
                                      flick_iiopxx_decode_new_chunk(4);
                                      flick_cdr_decode_unsigned32(0, _t106_switch_tag, unsigned int );
                                      flick_iiopxx_decode_end_chunk(4);
                                      switch ((unsigned int )_t106_switch_tag)
                                        {
                                        case /* :1.0 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 976301616):
                                          {
                                            char _t107_switch_tag;

                                            flick_iiopxx_decode_new_chunk(1);
                                            flick_cdr_swap_decode_char8(0, _t107_switch_tag, char );
                                            flick_iiopxx_decode_end_chunk(1);
                                            switch ((char )_t107_switch_tag)
                                              {
                                              case 0:
                                                {
                                                  _t93_temp_env._id = "IDL:test1/x1:1.0";
                                                  {
                                                    test1::x1 *_t_alloc_ptr;

                                                    _t_alloc_ptr = (test1::x1 *)new test1::x1 ;
                                                    if (!_t_alloc_ptr)
                                                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort298);
                                                    _t93_temp_env._user_except = _t_alloc_ptr;
                                                  }
                                                  flick_iiopxx_decode_new_chunk(7);
                                                  flick_cdr_swap_decode_signed32(3, ((test1::x1 *)(_t93_temp_env._user_except))->case_num, CORBA::Long );
                                                  flick_iiopxx_decode_end_chunk(7);
                                                  flick_iiopxx_decode_end_glob(32);
                                                  break;
                                                  {
                                                  _flick_abort298:
                                                    goto _flick_abort294;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort294);
                                                  flick_iiopxx_decode_end_glob(32);
                                                  break;
                                                }
                                              }
                                            break;
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort294);
                                            flick_iiopxx_decode_end_glob(32);
                                            break;
                                          }
                                        }
                                      break;
                                    }
                                  case /* 1/x2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 825194546):
                                    {
                                      unsigned int _t108_switch_tag;

                                      flick_iiopxx_decode_new_chunk(4);
                                      flick_cdr_decode_unsigned32(0, _t108_switch_tag, unsigned int );
                                      flick_iiopxx_decode_end_chunk(4);
                                      switch ((unsigned int )_t108_switch_tag)
                                        {
                                        case /* :1.0 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 976301616):
                                          {
                                            char _t109_switch_tag;

                                            flick_iiopxx_decode_new_chunk(1);
                                            flick_cdr_swap_decode_char8(0, _t109_switch_tag, char );
                                            flick_iiopxx_decode_end_chunk(1);
                                            switch ((char )_t109_switch_tag)
                                              {
                                              case 0:
                                                {
                                                  _t93_temp_env._id = "IDL:test1/x2:1.0";
                                                  {
                                                    test1::x2 *_t_alloc_ptr;

                                                    _t_alloc_ptr = (test1::x2 *)new test1::x2 ;
                                                    if (!_t_alloc_ptr)
                                                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort299);
                                                    _t93_temp_env._user_except = _t_alloc_ptr;
                                                  }
                                                  flick_iiopxx_decode_end_glob(32);
                                                  flick_cdr_swapxx_decode_IOR(iiopxx, ((test1::x2 *)(_t93_temp_env._user_except))->obj, 1, CORBA::Object , _flick_abort299);
                                                  flick_iiopxx_decode_new_glob(7);
                                                  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                                  flick_iiopxx_check_span(4, _flick_abort299);
                                                  flick_cdr_swap_decode_signed32(0, ((test1::x2 *)(_t93_temp_env._user_except))->value, CORBA::Long );
                                                  flick_iiopxx_decode_end_chunk(4);
                                                  flick_iiopxx_decode_end_glob(7);
                                                  break;
                                                  {
                                                  _flick_abort299:
                                                    goto _flick_abort294;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort294);
                                                  flick_iiopxx_decode_end_glob(32);
                                                  break;
                                                }
                                              }
                                            break;
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort294);
                                            flick_iiopxx_decode_end_glob(32);
                                            break;
                                          }
                                        }
                                      break;
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort294);
                                      flick_iiopxx_decode_end_glob(32);
                                      break;
                                    }
                                  }
                                break;
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort294);
                                flick_iiopxx_decode_end_glob(32);
                                break;
                              }
                            }
                          break;
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort294);
                          flick_iiopxx_decode_end_glob(32);
                          break;
                        }
                      }
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort294);
                    flick_iiopxx_decode_end_glob(32);
                    break;
                  }
                }
              flick_corbaxx_exception_to_env(CORBA::Environment &, _ev, flick_corbaxx_env , _t93_temp_env);
              break;
              {
              _flick_abort294:
                goto _flick_abort264;
              }
            }
          }
      }
    else
      {
        int _t40_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(32);
        flick_iiopxx_check_span(4, _flick_abort264);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t40_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t40_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_end_glob(32);
              break;
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(32);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort276);
              break;
              {
              _flick_abort276:
                goto _flick_abort264;
              }
            }
          default:
            {
              flick_corbaxx_env _t58_temp_env;
              unsigned int _t67_switch_tag;

              flick_iiopxx_check_span(21, _flick_abort277);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_unsigned32(0, _t67_switch_tag, unsigned int );
              flick_iiopxx_decode_end_chunk(4);
              switch ((unsigned int )_t67_switch_tag)
                {
                case (unsigned int) 17:
                  {
                    unsigned int _t68_switch_tag;

                    flick_iiopxx_decode_new_chunk(4);
                    flick_cdr_decode_unsigned32(0, _t68_switch_tag, unsigned int );
                    flick_iiopxx_decode_end_chunk(4);
                    switch ((unsigned int )_t68_switch_tag)
                      {
                      case /* IDL: */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                        {
                          unsigned int _t69_switch_tag;

                          flick_iiopxx_decode_new_chunk(4);
                          flick_cdr_decode_unsigned32(0, _t69_switch_tag, unsigned int );
                          flick_iiopxx_decode_end_chunk(4);
                          switch ((unsigned int )_t69_switch_tag)
                            {
                            case /* test */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
                              {
                                unsigned int _t70_switch_tag;

                                flick_iiopxx_decode_new_chunk(4);
                                flick_cdr_decode_unsigned32(0, _t70_switch_tag, unsigned int );
                                flick_iiopxx_decode_end_chunk(4);
                                switch ((unsigned int )_t70_switch_tag)
                                  {
                                  case /* 1/x1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 825194545):
                                    {
                                      unsigned int _t71_switch_tag;

                                      flick_iiopxx_check_span(12, _flick_abort277);
                                      flick_iiopxx_decode_new_chunk(4);
                                      flick_cdr_decode_unsigned32(0, _t71_switch_tag, unsigned int );
                                      flick_iiopxx_decode_end_chunk(4);
                                      switch ((unsigned int )_t71_switch_tag)
                                        {
                                        case /* :1.0 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 976301616):
                                          {
                                            char _t72_switch_tag;

                                            flick_iiopxx_decode_new_chunk(1);
                                            flick_cdr_decode_char8(0, _t72_switch_tag, char );
                                            flick_iiopxx_decode_end_chunk(1);
                                            switch ((char )_t72_switch_tag)
                                              {
                                              case 0:
                                                {
                                                  _t58_temp_env._id = "IDL:test1/x1:1.0";
                                                  {
                                                    test1::x1 *_t_alloc_ptr;

                                                    _t_alloc_ptr = (test1::x1 *)new test1::x1 ;
                                                    if (!_t_alloc_ptr)
                                                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort281);
                                                    _t58_temp_env._user_except = _t_alloc_ptr;
                                                  }
                                                  flick_iiopxx_decode_new_chunk(7);
                                                  flick_cdr_decode_signed32(3, ((test1::x1 *)(_t58_temp_env._user_except))->case_num, CORBA::Long );
                                                  flick_iiopxx_decode_end_chunk(7);
                                                  flick_iiopxx_decode_end_glob(32);
                                                  break;
                                                  {
                                                  _flick_abort281:
                                                    goto _flick_abort277;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort277);
                                                  flick_iiopxx_decode_end_glob(32);
                                                  break;
                                                }
                                              }
                                            break;
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort277);
                                            flick_iiopxx_decode_end_glob(32);
                                            break;
                                          }
                                        }
                                      break;
                                    }
                                  case /* 1/x2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 825194546):
                                    {
                                      unsigned int _t73_switch_tag;

                                      flick_iiopxx_decode_new_chunk(4);
                                      flick_cdr_decode_unsigned32(0, _t73_switch_tag, unsigned int );
                                      flick_iiopxx_decode_end_chunk(4);
                                      switch ((unsigned int )_t73_switch_tag)
                                        {
                                        case /* :1.0 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 976301616):
                                          {
                                            char _t74_switch_tag;

                                            flick_iiopxx_decode_new_chunk(1);
                                            flick_cdr_decode_char8(0, _t74_switch_tag, char );
                                            flick_iiopxx_decode_end_chunk(1);
                                            switch ((char )_t74_switch_tag)
                                              {
                                              case 0:
                                                {
                                                  _t58_temp_env._id = "IDL:test1/x2:1.0";
                                                  {
                                                    test1::x2 *_t_alloc_ptr;

                                                    _t_alloc_ptr = (test1::x2 *)new test1::x2 ;
                                                    if (!_t_alloc_ptr)
                                                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort282);
                                                    _t58_temp_env._user_except = _t_alloc_ptr;
                                                  }
                                                  flick_iiopxx_decode_end_glob(32);
                                                  flick_cdrxx_decode_IOR(iiopxx, ((test1::x2 *)(_t58_temp_env._user_except))->obj, 1, CORBA::Object , _flick_abort282);
                                                  flick_iiopxx_decode_new_glob(7);
                                                  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                                  flick_iiopxx_check_span(4, _flick_abort282);
                                                  flick_cdr_decode_signed32(0, ((test1::x2 *)(_t58_temp_env._user_except))->value, CORBA::Long );
                                                  flick_iiopxx_decode_end_chunk(4);
                                                  flick_iiopxx_decode_end_glob(7);
                                                  break;
                                                  {
                                                  _flick_abort282:
                                                    goto _flick_abort277;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort277);
                                                  flick_iiopxx_decode_end_glob(32);
                                                  break;
                                                }
                                              }
                                            break;
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort277);
                                            flick_iiopxx_decode_end_glob(32);
                                            break;
                                          }
                                        }
                                      break;
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort277);
                                      flick_iiopxx_decode_end_glob(32);
                                      break;
                                    }
                                  }
                                break;
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort277);
                                flick_iiopxx_decode_end_glob(32);
                                break;
                              }
                            }
                          break;
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort277);
                          flick_iiopxx_decode_end_glob(32);
                          break;
                        }
                      }
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort277);
                    flick_iiopxx_decode_end_glob(32);
                    break;
                  }
                }
              flick_corbaxx_exception_to_env(CORBA::Environment &, _ev, flick_corbaxx_env , _t58_temp_env);
              break;
              {
              _flick_abort277:
                goto _flick_abort264;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return;
    {
    _flick_abort264:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort263);
    _flick_abort263:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return;
}

void test1::please_exit(/* test1 *this, */ CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort301);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort301);
    }
    {
      flick_iiopxx_encode_new_glob(20, _flick_abort301);
      flick_iiopxx_encode_new_chunk(20);
      flick_cdr_encode_unsigned32(0, 12, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'p', flick_char8_t );
      flick_cdr_encode_char8(5, 'l', flick_char8_t );
      flick_cdr_encode_char8(6, 'e', flick_char8_t );
      flick_cdr_encode_char8(7, 'a', flick_char8_t );
      flick_cdr_encode_char8(8, 's', flick_char8_t );
      flick_cdr_encode_char8(9, 'e', flick_char8_t );
      flick_cdr_encode_char8(10, '_', flick_char8_t );
      flick_cdr_encode_char8(11, 'e', flick_char8_t );
      flick_cdr_encode_char8(12, 'x', flick_char8_t );
      flick_cdr_encode_char8(13, 'i', flick_char8_t );
      flick_cdr_encode_char8(14, 't', flick_char8_t );
      flick_cdr_encode_char8(15, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(16, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_iiopxx_encode_end_chunk(20);
      flick_iiopxx_encode_end_glob(20);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(0);
    if( _transport->send_request(_orb_core,_out_cdr, 0) == -1 ) {
      _tp->reset_hint();
    }
    else
      _transport->idle();
    return;
    {
    _flick_abort301:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort300);
    _flick_abort300:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return;
}

