#include "tpztest-server.h"

POA_tpztest::POA_tpztest()
{}

POA_tpztest::POA_tpztest(const POA_tpztest &rhs)
  : TAO_ServantBase(rhs)
{}

POA_tpztest::~POA_tpztest()
{}

tpztest *POA_tpztest::_this(CORBA::Environment &_env)
{
  TAO_Stub *stub = this->_create_stub(_env);
  TAO_CHECK_ENV_RETURN(_env, 0);
  return new _tao_collocated_tpztest(this, stub);
}

CORBA::Boolean POA_tpztest::_is_a(const CORBA::Char *type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)type_id, "IDL:tpztest:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return 0;
}

void *POA_tpztest::_downcast(const char *logical_type_id)
{
  if(ACE_OS::strcmp(logical_type_id, "IDL:tpztest:1.0") == 0)
    return ACE_static_cast(POA_tpztest_ptr , this);
   
  if(ACE_OS::strcmp(logical_type_id, "IDL:omg.org/CORBA/Object:1.0") == 0)
    return ACE_static_cast(PortableServer::Servant, this);
  return 0;
}

const char *POA_tpztest::_interface_repository_id() const
{
  return "IDL:tpztest:1.0";
}

template <class T>
  POA_tpztest_tie<T>::POA_tpztest_tie(T &t)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(0)
{}

template <class T>
  POA_tpztest_tie<T>::POA_tpztest_tie(T &t, PortableServer::POA_ptr poa)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(0)
{}

template <class T>
  POA_tpztest_tie<T>::POA_tpztest_tie(T *t, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(release)
{}

template <class T>
  POA_tpztest_tie<T>::POA_tpztest_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(release)
{}

template <class T>
  POA_tpztest_tie<T>::~POA_tpztest_tie()
{
  if( this->rel_ ) delete this->ptr_;
}

template <class T>
  T *POA_tpztest_tie<T>::_tied_object()
{
  return this->ptr_;
}

template <class T>
  void POA_tpztest_tie<T>::_tied_object(T &obj)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = &obj;
  this->rel_ = 0;
}

template <class T>
  void POA_tpztest_tie<T>::_tied_object(T &obj, CORBA::Boolean release)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = obj;
  this->rel_ = release;
}

template <class T>
  CORBA::Boolean POA_tpztest_tie<T>::_is_owner()
{
  return this->rel_;
}

template <class T>
  void POA_tpztest_tie<T>::_is_owner(CORBA::Boolean b)
{
  this->rel_ = b;
}

template <class T>
  PortableServer::POA_ptr POA_tpztest_tie<T>::_default_POA()
{
  if( !(CORBA::is_nil(this->poa_.in())) )
    return PortableServer::POA::_duplicate(this->poa_.in());
  else
  {
    TAO_POA *poa = TAO_ORB_Core_instance()->root_poa();
    PortableServer::POA_var result = poa->_this(env);
    if( env.exception() != 0 )
      return PortableServer::POA::_nil();
    else
      return result._retn();
  }
}

template <class T>
  POA_tpztest_tie<T>::POA_tpztest_tie(const POA_tpztest_tie &c)
{}

template <class T>
  void POA_tpztest_tie<T>::operator=(const POA_tpztest_tie &c)
{}

template <class T>
  ::tpztest::payload_slice *POA_tpztest_tie<T>::rqst_rspn(/* POA_tpztest *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->rqst_rspn (_ev);
}

template <class T>
  void POA_tpztest_tie<T>::bandwidth(/* POA_tpztest *this, */ const ::tpztest::payload pld, CORBA::Environment &_ev)
{
  this->ptr_->bandwidth (pld, _ev);
}

template <class T>
  void POA_tpztest_tie<T>::bandwidth_pingback(/* POA_tpztest *this, */ const ::tpztest::payload pld, CORBA::Environment &_ev)
{
  this->ptr_->bandwidth_pingback (pld, _ev);
}

_tao_collocated_tpztest::_tao_collocated_tpztest(POA_tpztest_ptr servant, TAO_Stub *stub)
  : tpztest(),
    CORBA_Object(stub, servant, 1),
    servant_ (servant)
{
}

POA_tpztest_ptr _tao_collocated_tpztest::_get_servant() const
{
  return this->servant_;
}

::tpztest::payload_slice *_tao_collocated_tpztest::rqst_rspn(CORBA::Environment &_ev)
{
  return this->servant_->rqst_rspn (_ev);
}

void _tao_collocated_tpztest::bandwidth(const ::tpztest::payload pld, CORBA::Environment &_ev)
{
  this->servant_->bandwidth (pld, _ev);
}

void _tao_collocated_tpztest::bandwidth_pingback(const ::tpztest::payload pld, CORBA::Environment &_ev)
{
  this->servant_->bandwidth_pingback (pld, _ev);
}

CORBA::Boolean _tao_collocated_tpztest::_is_a(const char *type_id, CORBA::Environment &_ev)
{
  return this->servant_->_is_a (type_id, _ev);
}

int flick_marshal_stub_tpztest(flick_marshal_stream_t _stream, tpztest_ptr *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdrxx_encode_IOR(iiopxx, *_data, 0, tpztest , _flick_abort0);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_tpztest(flick_marshal_stream_t _stream, tpztest_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdrxx_decode_IOR(iiopxx, *_data, 1, tpztest , _flick_abort1);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_tpztest_swap(flick_marshal_stream_t _stream, tpztest_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swapxx_decode_IOR(iiopxx, *_data, 1, tpztest , _flick_abort2);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

void POA_tpztest::_dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env){
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_InputCDR &_in_cdr = _tao_req.incoming();
  TAO_OutputCDR &_out_cdr = _tao_req.outgoing();
  flick_iiopxx_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (_in_cdr.do_byte_swap()) {
  {
    unsigned int _t66_switch_tag;

    flick_iiopxx_decode_new_glob(28);
    flick_iiopxx_check_span(16, _flick_abort5);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t66_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t66_switch_tag)
      {
      case (unsigned int) 10:
        {
          unsigned int _t67_switch_tag;

          flick_iiopxx_check_span(16, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t67_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t67_switch_tag)
            {
            case /* rqst */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1920037748):
              {
                unsigned int _t68_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t68_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t68_switch_tag)
                  {
                  case /* _rsp */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601336176):
                    {
                      unsigned short int _t69_switch_tag;

                      flick_iiopxx_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t69_switch_tag, unsigned short int );
                      flick_iiopxx_decode_end_chunk(2);
                      switch ((unsigned short int )_t69_switch_tag)
                        {
                        case /* n */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28160):
                          {
                            {
                              POA_tpztest *_local_this;
                              unsigned int _t70_principal_len;
                              ::tpztest::payload_slice *_return;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort126);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t70_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(6);
                              flick_iiopxx_decode_end_glob(28);
                              flick_iiopxx_check_span(_t70_principal_len, _flick_abort126);
                              flick_iiopxx_decode_new_glob(_t70_principal_len);
                              flick_iiopxx_decode_new_chunk(_t70_principal_len);
                              flick_iiopxx_decode_end_chunk(_t70_principal_len);
                              flick_iiopxx_decode_end_glob(_t70_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->rqst_rspn(_ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t71_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t71_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort126);
                                flick_iiopxx_encode_new_glob(4, _flick_abort126);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t71_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t71_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_end_glob(4);
                                      flick_iiopxx_encode_new_glob(8192, _flick_abort133);
                                      flick_iiopxx_encode_new_chunk(8192);
                                      flick_cdr_encode_bcopy(0, _return, 8192);
                                      delete [] _return;
                                      _return = 0;
                                      flick_iiopxx_encode_end_chunk(8192);
                                      flick_iiopxx_encode_end_glob(8192);
                                      break;
                                      {
                                      _flick_abort133:
                                        goto _flick_abort126;
                                      }
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(4);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort136);
                                      break;
                                      {
                                      _flick_abort136:
                                        goto _flick_abort126;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort137);
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort137:
                                        goto _flick_abort126;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort126:
                                goto _flick_abort125;
                              }
                            }
                            break;
                            {
                            _flick_abort125:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(28);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            case /* band */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1650552420):
              {
                unsigned int _t72_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t72_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t72_switch_tag)
                  {
                  case /* widt */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 2003395700):
                    {
                      unsigned short int _t73_switch_tag;

                      flick_iiopxx_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t73_switch_tag, unsigned short int );
                      flick_iiopxx_decode_end_chunk(2);
                      switch ((unsigned short int )_t73_switch_tag)
                        {
                        case /* h */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 26624):
                          {
                            {
                              POA_tpztest *_local_this;
                              unsigned int _t74_principal_len;
                              CORBA::Octet *_local_pld;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort139);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t74_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(6);
                              flick_iiopxx_decode_end_glob(28);
                              flick_iiopxx_check_span(_t74_principal_len + 8192, _flick_abort139);
                              flick_iiopxx_decode_new_glob(_t74_principal_len);
                              flick_iiopxx_decode_new_chunk(_t74_principal_len);
                              flick_iiopxx_decode_end_chunk(_t74_principal_len);
                              flick_iiopxx_decode_end_glob(_t74_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiopxx_decode_new_glob(8192);
                              flick_iiopxx_decode_new_chunk(8192);
                              {
                                CORBA::Octet *_t_alloc_ptr;

                                _t_alloc_ptr = (CORBA::Octet *)new (CORBA::Octet [8192]);
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort139);
                                _local_pld = _t_alloc_ptr;
                              }
                              flick_cdr_swap_decode_bcopy(0, _local_pld, 8192);
                              flick_iiopxx_decode_end_chunk(8192);
                              flick_iiopxx_decode_end_glob(8192);
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _local_this->bandwidth(_local_pld, _ev);
                              return ;
                              break;
                              {
                              _flick_abort139:
                                goto _flick_abort138;
                              }
                            }
                            break;
                            {
                            _flick_abort138:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(28);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(28);
                break;
              }
            }
          break;
        }
      case (unsigned int) 19:
        {
          unsigned int _t75_switch_tag;

          flick_iiopxx_check_span(24, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t75_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t75_switch_tag)
            {
            case /* band */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1650552420):
              {
                unsigned int _t76_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t76_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t76_switch_tag)
                  {
                  case /* widt */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 2003395700):
                    {
                      unsigned int _t77_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t77_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t77_switch_tag)
                        {
                        case /* h_pi */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1751085161):
                          {
                            unsigned int _t78_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t78_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t78_switch_tag)
                              {
                              case /* ngba */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1852269153):
                                {
                                  unsigned short int _t79_switch_tag;

                                  flick_iiopxx_decode_new_chunk(2);
                                  flick_cdr_decode_unsigned16(0, _t79_switch_tag, unsigned short int );
                                  flick_iiopxx_decode_end_chunk(2);
                                  switch ((unsigned short int )_t79_switch_tag)
                                    {
                                    case /* ck */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25451):
                                      {
                                        char _t80_switch_tag;

                                        flick_iiopxx_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t80_switch_tag, char );
                                        flick_iiopxx_decode_end_chunk(1);
                                        switch ((char )_t80_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                POA_tpztest *_local_this;
                                                unsigned int _t81_principal_len;
                                                CORBA::Octet *_local_pld;
                                                CORBA::Environment _ev;

                                                flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort143);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_iiopxx_decode_new_chunk(5);
                                                flick_cdr_swap_decode_unsigned32(1, _t81_principal_len, unsigned int );
                                                flick_iiopxx_decode_end_chunk(5);
                                                flick_iiopxx_decode_end_glob(28);
                                                flick_iiopxx_check_span(_t81_principal_len + 8192, _flick_abort143);
                                                flick_iiopxx_decode_new_glob(_t81_principal_len);
                                                flick_iiopxx_decode_new_chunk(_t81_principal_len);
                                                flick_iiopxx_decode_end_chunk(_t81_principal_len);
                                                flick_iiopxx_decode_end_glob(_t81_principal_len);
                                                /* Begin decode phase on parameters */
                                                flick_iiopxx_decode_new_glob(8192);
                                                flick_iiopxx_decode_new_chunk(8192);
                                                {
                                                  CORBA::Octet *_t_alloc_ptr;

                                                  _t_alloc_ptr = (CORBA::Octet *)new (CORBA::Octet [8192]);
                                                  if (!_t_alloc_ptr)
                                                    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort143);
                                                  _local_pld = _t_alloc_ptr;
                                                }
                                                flick_cdr_swap_decode_bcopy(0, _local_pld, 8192);
                                                flick_iiopxx_decode_end_chunk(8192);
                                                flick_iiopxx_decode_end_glob(8192);
                                                flick_iiopxx_server_end_decode();
                                                flick_corbaxx_init_environment();
                                                _local_this->bandwidth_pingback(_local_pld, _ev);
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_iiopxx_server_start_encode();
                                                {
                                                  int _t82_temp_major;

                                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t82_temp_major);

                                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort143);
                                                  flick_iiopxx_encode_new_glob(4, _flick_abort143);
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _t82_temp_major, int );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  switch (_t82_temp_major)
                                                    {
                                                    case CORBA::NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_iiopxx_encode_end_glob(4);
                                                        break;
                                                      }
                                                    case CORBA::SYSTEM_EXCEPTION:
                                                      {
                                                        flick_iiopxx_encode_end_glob(4);
                                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort151);
                                                        break;
                                                        {
                                                        _flick_abort151:
                                                          goto _flick_abort143;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort152);
                                                        flick_iiopxx_encode_end_glob(4);
                                                        break;
                                                        {
                                                        _flick_abort152:
                                                          goto _flick_abort143;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_iiopxx_server_end_encode();
                                                break;
                                                {
                                                _flick_abort143:
                                                  goto _flick_abort142;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort142:
                                                goto _flick_abort5;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                                              flick_iiopxx_decode_end_glob(28);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                                        flick_iiopxx_decode_end_glob(28);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                                  flick_iiopxx_decode_end_glob(28);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(28);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(28);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t83_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t83_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t83_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t84_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t84_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t84_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_tpztest *_local_this;
                        unsigned int _t85_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t86_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort154);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t85_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(28);
                        flick_iiopxx_check_span(_t85_principal_len, _flick_abort154);
                        flick_iiopxx_decode_new_glob(_t85_principal_len);
                        flick_iiopxx_decode_new_chunk(_t85_principal_len);
                        flick_iiopxx_decode_end_chunk(_t85_principal_len);
                        flick_iiopxx_decode_end_glob(_t85_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort154);
                        flick_cdr_swap_decode_unsigned32(0, _t86_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t86_temp_string_len);
                        flick_iiopxx_check_span(1 * _t86_temp_string_len, _flick_abort154);
                        flick_iiopxx_decode_new_chunk(1 * _t86_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_type_id, CORBA::Char *);
                        flick_iiopxx_decode_end_chunk(1 * _t86_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t86_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t87_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t87_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort154);
                          flick_iiopxx_encode_new_glob(5, _flick_abort154);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t87_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t87_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort162);
                                break;
                                {
                                _flick_abort162:
                                  goto _flick_abort154;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort163);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort163:
                                  goto _flick_abort154;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort154:
                          goto _flick_abort153;
                        }
                      }
                      break;
                      {
                      _flick_abort153:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(28);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
          flick_iiopxx_decode_end_glob(28);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t22_switch_tag;

    flick_iiopxx_decode_new_glob(28);
    flick_iiopxx_check_span(16, _flick_abort5);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t22_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t22_switch_tag)
      {
      case (unsigned int) 10:
        {
          unsigned int _t23_switch_tag;

          flick_iiopxx_check_span(16, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t23_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t23_switch_tag)
            {
            case /* rqst */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1920037748):
              {
                unsigned int _t24_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t24_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t24_switch_tag)
                  {
                  case /* _rsp */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601336176):
                    {
                      unsigned short int _t25_switch_tag;

                      flick_iiopxx_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t25_switch_tag, unsigned short int );
                      flick_iiopxx_decode_end_chunk(2);
                      switch ((unsigned short int )_t25_switch_tag)
                        {
                        case /* n */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28160):
                          {
                            {
                              POA_tpztest *_local_this;
                              unsigned int _t26_principal_len;
                              ::tpztest::payload_slice *_return;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort47);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t26_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(6);
                              flick_iiopxx_decode_end_glob(28);
                              flick_iiopxx_check_span(_t26_principal_len, _flick_abort47);
                              flick_iiopxx_decode_new_glob(_t26_principal_len);
                              flick_iiopxx_decode_new_chunk(_t26_principal_len);
                              flick_iiopxx_decode_end_chunk(_t26_principal_len);
                              flick_iiopxx_decode_end_glob(_t26_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->rqst_rspn(_ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t27_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t27_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort47);
                                flick_iiopxx_encode_new_glob(4, _flick_abort47);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t27_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t27_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_end_glob(4);
                                      flick_iiopxx_encode_new_glob(8192, _flick_abort54);
                                      flick_iiopxx_encode_new_chunk(8192);
                                      flick_cdr_encode_bcopy(0, _return, 8192);
                                      delete [] _return;
                                      _return = 0;
                                      flick_iiopxx_encode_end_chunk(8192);
                                      flick_iiopxx_encode_end_glob(8192);
                                      break;
                                      {
                                      _flick_abort54:
                                        goto _flick_abort47;
                                      }
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(4);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort57);
                                      break;
                                      {
                                      _flick_abort57:
                                        goto _flick_abort47;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort58);
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort58:
                                        goto _flick_abort47;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort47:
                                goto _flick_abort46;
                              }
                            }
                            break;
                            {
                            _flick_abort46:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(28);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            case /* band */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1650552420):
              {
                unsigned int _t28_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t28_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t28_switch_tag)
                  {
                  case /* widt */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 2003395700):
                    {
                      unsigned short int _t29_switch_tag;

                      flick_iiopxx_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t29_switch_tag, unsigned short int );
                      flick_iiopxx_decode_end_chunk(2);
                      switch ((unsigned short int )_t29_switch_tag)
                        {
                        case /* h */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 26624):
                          {
                            {
                              POA_tpztest *_local_this;
                              unsigned int _t30_principal_len;
                              CORBA::Octet *_local_pld;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort60);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t30_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(6);
                              flick_iiopxx_decode_end_glob(28);
                              flick_iiopxx_check_span(_t30_principal_len + 8192, _flick_abort60);
                              flick_iiopxx_decode_new_glob(_t30_principal_len);
                              flick_iiopxx_decode_new_chunk(_t30_principal_len);
                              flick_iiopxx_decode_end_chunk(_t30_principal_len);
                              flick_iiopxx_decode_end_glob(_t30_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiopxx_decode_new_glob(8192);
                              flick_iiopxx_decode_new_chunk(8192);
                              {
                                CORBA::Octet *_t_alloc_ptr;

                                _t_alloc_ptr = (CORBA::Octet *)new (CORBA::Octet [8192]);
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort60);
                                _local_pld = _t_alloc_ptr;
                              }
                              flick_cdr_decode_bcopy(0, _local_pld, 8192);
                              flick_iiopxx_decode_end_chunk(8192);
                              flick_iiopxx_decode_end_glob(8192);
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _local_this->bandwidth(_local_pld, _ev);
                              return ;
                              break;
                              {
                              _flick_abort60:
                                goto _flick_abort59;
                              }
                            }
                            break;
                            {
                            _flick_abort59:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(28);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(28);
                break;
              }
            }
          break;
        }
      case (unsigned int) 19:
        {
          unsigned int _t31_switch_tag;

          flick_iiopxx_check_span(24, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t31_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t31_switch_tag)
            {
            case /* band */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1650552420):
              {
                unsigned int _t32_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t32_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t32_switch_tag)
                  {
                  case /* widt */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 2003395700):
                    {
                      unsigned int _t33_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t33_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t33_switch_tag)
                        {
                        case /* h_pi */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1751085161):
                          {
                            unsigned int _t34_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t34_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t34_switch_tag)
                              {
                              case /* ngba */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1852269153):
                                {
                                  unsigned short int _t35_switch_tag;

                                  flick_iiopxx_decode_new_chunk(2);
                                  flick_cdr_decode_unsigned16(0, _t35_switch_tag, unsigned short int );
                                  flick_iiopxx_decode_end_chunk(2);
                                  switch ((unsigned short int )_t35_switch_tag)
                                    {
                                    case /* ck */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25451):
                                      {
                                        char _t36_switch_tag;

                                        flick_iiopxx_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t36_switch_tag, char );
                                        flick_iiopxx_decode_end_chunk(1);
                                        switch ((char )_t36_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                POA_tpztest *_local_this;
                                                unsigned int _t37_principal_len;
                                                CORBA::Octet *_local_pld;
                                                CORBA::Environment _ev;

                                                flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort64);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_iiopxx_decode_new_chunk(5);
                                                flick_cdr_decode_unsigned32(1, _t37_principal_len, unsigned int );
                                                flick_iiopxx_decode_end_chunk(5);
                                                flick_iiopxx_decode_end_glob(28);
                                                flick_iiopxx_check_span(_t37_principal_len + 8192, _flick_abort64);
                                                flick_iiopxx_decode_new_glob(_t37_principal_len);
                                                flick_iiopxx_decode_new_chunk(_t37_principal_len);
                                                flick_iiopxx_decode_end_chunk(_t37_principal_len);
                                                flick_iiopxx_decode_end_glob(_t37_principal_len);
                                                /* Begin decode phase on parameters */
                                                flick_iiopxx_decode_new_glob(8192);
                                                flick_iiopxx_decode_new_chunk(8192);
                                                {
                                                  CORBA::Octet *_t_alloc_ptr;

                                                  _t_alloc_ptr = (CORBA::Octet *)new (CORBA::Octet [8192]);
                                                  if (!_t_alloc_ptr)
                                                    flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort64);
                                                  _local_pld = _t_alloc_ptr;
                                                }
                                                flick_cdr_decode_bcopy(0, _local_pld, 8192);
                                                flick_iiopxx_decode_end_chunk(8192);
                                                flick_iiopxx_decode_end_glob(8192);
                                                flick_iiopxx_server_end_decode();
                                                flick_corbaxx_init_environment();
                                                _local_this->bandwidth_pingback(_local_pld, _ev);
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_iiopxx_server_start_encode();
                                                {
                                                  int _t38_temp_major;

                                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t38_temp_major);

                                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort64);
                                                  flick_iiopxx_encode_new_glob(4, _flick_abort64);
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _t38_temp_major, int );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  switch (_t38_temp_major)
                                                    {
                                                    case CORBA::NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_iiopxx_encode_end_glob(4);
                                                        break;
                                                      }
                                                    case CORBA::SYSTEM_EXCEPTION:
                                                      {
                                                        flick_iiopxx_encode_end_glob(4);
                                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort72);
                                                        break;
                                                        {
                                                        _flick_abort72:
                                                          goto _flick_abort64;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort73);
                                                        flick_iiopxx_encode_end_glob(4);
                                                        break;
                                                        {
                                                        _flick_abort73:
                                                          goto _flick_abort64;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_iiopxx_server_end_encode();
                                                break;
                                                {
                                                _flick_abort64:
                                                  goto _flick_abort63;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort63:
                                                goto _flick_abort5;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                                              flick_iiopxx_decode_end_glob(28);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                                        flick_iiopxx_decode_end_glob(28);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                                  flick_iiopxx_decode_end_glob(28);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(28);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(28);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t39_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t39_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t39_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t40_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t40_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t40_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_tpztest *_local_this;
                        unsigned int _t41_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t42_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort75);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t41_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(28);
                        flick_iiopxx_check_span(_t41_principal_len, _flick_abort75);
                        flick_iiopxx_decode_new_glob(_t41_principal_len);
                        flick_iiopxx_decode_new_chunk(_t41_principal_len);
                        flick_iiopxx_decode_end_chunk(_t41_principal_len);
                        flick_iiopxx_decode_end_glob(_t41_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort75);
                        flick_cdr_decode_unsigned32(0, _t42_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t42_temp_string_len);
                        flick_iiopxx_check_span(1 * _t42_temp_string_len, _flick_abort75);
                        flick_iiopxx_decode_new_chunk(1 * _t42_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_type_id, CORBA::Char *);
                        flick_iiopxx_decode_end_chunk(1 * _t42_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t42_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t43_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t43_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort75);
                          flick_iiopxx_encode_new_glob(5, _flick_abort75);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t43_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t43_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort83);
                                break;
                                {
                                _flick_abort83:
                                  goto _flick_abort75;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort84);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort84:
                                  goto _flick_abort75;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort75:
                          goto _flick_abort74;
                        }
                      }
                      break;
                      {
                      _flick_abort74:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(28);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(28);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
          flick_iiopxx_decode_end_glob(28);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return;
  {
  _flick_abort5:
    flick_corbaxx_server_error(cdr, iiopxx, _flick_reaper, _flick_abort4);
  _flick_abort4:
    return ;
  }
_flick_reaper:
  return ;
}

