#ifndef _tpztest_server_h_
#define _tpztest_server_h_

#include <flick/link/iiopxx.h>
#include <flick/encode/cdr.h>
#include "tpztest-client.h"
#include <flick/pres/corbaxx.h>

class POA_tpztest ;


typedef POA_tpztest *POA_tpztest_ptr;

class POA_tpztest : public virtual PortableServer::ServantBase {

protected:
  POA_tpztest();

public:
  POA_tpztest(const POA_tpztest &rhs);
  virtual ~POA_tpztest();
  tpztest *_this(CORBA::Environment &_env);
  virtual CORBA::Boolean _is_a(const CORBA::Char *type_id, CORBA::Environment &_env);
  virtual void *_downcast(const char *logical_type_id);
  virtual const char *_interface_repository_id() const;
  virtual void _dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env = CORBA::Environment::default_environment());
  virtual ::tpztest::payload_slice *rqst_rspn(/* POA_tpztest *this, */ CORBA::Environment &_ev) = 0;
  virtual void bandwidth(/* POA_tpztest *this, */ const ::tpztest::payload pld, CORBA::Environment &_ev) = 0;
  virtual void bandwidth_pingback(/* POA_tpztest *this, */ const ::tpztest::payload pld, CORBA::Environment &_ev) = 0;
} ;


template <class T>
  class POA_tpztest_tie : public POA_tpztest {

  public:
    POA_tpztest_tie(T &t);
    POA_tpztest_tie(T &t, PortableServer::POA_ptr poa);
    POA_tpztest_tie(T *t, CORBA::Boolean release = 1);
    POA_tpztest_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release = 1);
    ~POA_tpztest_tie();
    T *_tied_object();
    void _tied_object(T &obj);
    void _tied_object(T &obj, CORBA::Boolean release = 1);
    CORBA::Boolean _is_owner();
    void _is_owner(CORBA::Boolean b);
    PortableServer::POA_ptr _default_POA();

  private:
    POA_tpztest_tie(const POA_tpztest_tie &c);
    void operator=(const POA_tpztest_tie &c);

  public:
    ::tpztest::payload_slice *rqst_rspn(/* POA_tpztest *this, */ CORBA::Environment &_ev);
    void bandwidth(/* POA_tpztest *this, */ const ::tpztest::payload pld, CORBA::Environment &_ev);
    void bandwidth_pingback(/* POA_tpztest *this, */ const ::tpztest::payload pld, CORBA::Environment &_ev);

  private:
    T *ptr_;
    PortableServer::POA_var poa_;
    CORBA::Boolean rel_;
  } ;


class _tao_collocated_tpztest : public virtual tpztest {

public:
  _tao_collocated_tpztest(POA_tpztest_ptr servant, TAO_Stub *stub);
  POA_tpztest_ptr _get_servant() const;
  virtual ::tpztest::payload_slice *rqst_rspn(CORBA::Environment &_ev);
  virtual void bandwidth(const ::tpztest::payload pld, CORBA::Environment &_ev);
  virtual void bandwidth_pingback(const ::tpztest::payload pld, CORBA::Environment &_ev);
  virtual CORBA::Boolean _is_a(const char *type_id, CORBA::Environment &_ev);

private:
  POA_tpztest_ptr servant_;
} ;


#endif /* _tpztest_server_h_ */
