#include "ttcp-client.h"
#include "ttcp-server.h"

static const CORBA::Long _oc_a[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    10, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x613a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:a:1.0 */,
    2, ACE_NTOHL(0x61000000) /* name = a */,
    2 /* member count */,
    3, ACE_NTOHL(0x78780000) /* name = xx */,
    CORBA::tk_long,
    3, ACE_NTOHL(0x79790000) /* name = yy */,
    CORBA::tk_long
};

static CORBA::TypeCode _tc_TAO_tc_a (CORBA::tk_struct, sizeof(_oc_a), (char *) &_oc_a, 0, sizeof(struct a ));

CORBA::TypeCode_ptr _tc_a = &_tc_TAO_tc_a;

void operator<<=(CORBA::Any &a, const struct a &o)
{
  struct a  *_any_val;
  ACE_NEW(_any_val, struct a  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_a, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, struct a *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_a, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, struct a *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(_tc_a, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (struct a  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, struct a , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(_tc_a, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(_tc_a, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

a_var::a_var()
  : ptr_(0)
{}

a_var::a_var(struct a *p)
 : ptr_(p)
{}

a_var::a_var(const a_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new struct a (*a.ptr_);
  else
    this->ptr_ = 0;
}

a_var::~a_var()
{
  delete this->ptr_;
}

a_var &a_var::operator=(struct a *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

a_var &a_var::operator=(const a_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new struct a (*p.ptr_);
  }
  return *this;
}

struct a *a_var::operator->()
{
  return this->ptr_;
}

const struct a *a_var::operator->() const
{
  return this->ptr_;
}

a_var::operator const struct a &() const
{
  return *this->ptr_;
}

a_var::operator struct a &()
{
  return *this->ptr_;
}

a_var::operator struct a &() const
{
  return *this->ptr_;
}

const struct a &a_var::in() const
{
  return *this->ptr_;
}

struct a &a_var::inout()
{
  return *this->ptr_;
}

struct a &a_var::out()
{
  return *this->ptr_;
}

struct a a_var::_retn()
{
  return *this->ptr_;
}

struct a *a_var::ptr() const
{
  return this->ptr_;
}

static const CORBA::Long _oc_b[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    10, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x623a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:b:1.0 */,
    2, ACE_NTOHL(0x62000000) /* name = b */,
    2 /* member count */,
    2, ACE_NTOHL(0x78000000) /* name = x */,
    CORBA::tk_struct,
    56 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      10, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x613a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:a:1.0 */,
      2, ACE_NTOHL(0x61000000) /* name = a */,
      2 /* member count */,
      3, ACE_NTOHL(0x78780000) /* name = xx */,
      CORBA::tk_long,
      3, ACE_NTOHL(0x79790000) /* name = yy */,
      CORBA::tk_long,
    2, ACE_NTOHL(0x79000000) /* name = y */,
    CORBA::tk_struct,
    56 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      10, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x613a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:a:1.0 */,
      2, ACE_NTOHL(0x61000000) /* name = a */,
      2 /* member count */,
      3, ACE_NTOHL(0x78780000) /* name = xx */,
      CORBA::tk_long,
      3, ACE_NTOHL(0x79790000) /* name = yy */,
      CORBA::tk_long
};

static CORBA::TypeCode _tc_TAO_tc_b (CORBA::tk_struct, sizeof(_oc_b), (char *) &_oc_b, 0, sizeof(struct b ));

CORBA::TypeCode_ptr _tc_b = &_tc_TAO_tc_b;

void operator<<=(CORBA::Any &a, const struct b &o)
{
  struct b  *_any_val;
  ACE_NEW(_any_val, struct b  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_b, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, struct b *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_b, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, struct b *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(_tc_b, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (struct b  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, struct b , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(_tc_b, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(_tc_b, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

b_var::b_var()
  : ptr_(0)
{}

b_var::b_var(struct b *p)
 : ptr_(p)
{}

b_var::b_var(const b_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new struct b (*a.ptr_);
  else
    this->ptr_ = 0;
}

b_var::~b_var()
{
  delete this->ptr_;
}

b_var &b_var::operator=(struct b *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

b_var &b_var::operator=(const b_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new struct b (*p.ptr_);
  }
  return *this;
}

struct b *b_var::operator->()
{
  return this->ptr_;
}

const struct b *b_var::operator->() const
{
  return this->ptr_;
}

b_var::operator const struct b &() const
{
  return *this->ptr_;
}

b_var::operator struct b &()
{
  return *this->ptr_;
}

b_var::operator struct b &() const
{
  return *this->ptr_;
}

const struct b &b_var::in() const
{
  return *this->ptr_;
}

struct b &b_var::inout()
{
  return *this->ptr_;
}

struct b &b_var::out()
{
  return *this->ptr_;
}

struct b b_var::_retn()
{
  return *this->ptr_;
}

struct b *b_var::ptr() const
{
  return this->ptr_;
}

static const CORBA::Long _oc_structBuffer[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    21, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x73747275), ACE_NTOHL(0x63744275), ACE_NTOHL(0x66666572), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:structBuffer:1.0 */,
    13, ACE_NTOHL(0x73747275), ACE_NTOHL(0x63744275), ACE_NTOHL(0x66666572), ACE_NTOHL(0x00000000) /* name = structBuffer */,
    CORBA::tk_sequence,
    192 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      CORBA::tk_struct,
      176 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        10, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x623a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:b:1.0 */,
        2, ACE_NTOHL(0x62000000) /* name = b */,
        2 /* member count */,
        2, ACE_NTOHL(0x78000000) /* name = x */,
        CORBA::tk_struct,
        56 /* encapsulation length */,
          TAO_ENCAP_BYTE_ORDER /* byte order */,
          10, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x613a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:a:1.0 */,
          2, ACE_NTOHL(0x61000000) /* name = a */,
          2 /* member count */,
          3, ACE_NTOHL(0x78780000) /* name = xx */,
          CORBA::tk_long,
          3, ACE_NTOHL(0x79790000) /* name = yy */,
          CORBA::tk_long,
        2, ACE_NTOHL(0x79000000) /* name = y */,
        CORBA::tk_struct,
        56 /* encapsulation length */,
          TAO_ENCAP_BYTE_ORDER /* byte order */,
          10, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x613a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:a:1.0 */,
          2, ACE_NTOHL(0x61000000) /* name = a */,
          2 /* member count */,
          3, ACE_NTOHL(0x78780000) /* name = xx */,
          CORBA::tk_long,
          3, ACE_NTOHL(0x79790000) /* name = yy */,
          CORBA::tk_long,
      0
};

static CORBA::TypeCode _tc_TAO_tc_structBuffer (CORBA::tk_alias, sizeof(_oc_structBuffer), (char *) &_oc_structBuffer, 0, sizeof(structBuffer ));

CORBA::TypeCode_ptr _tc_structBuffer = &_tc_TAO_tc_structBuffer;

structBuffer::structBuffer()
  : _maximum(0),
    _length(0),
    _buffer(0),
    _release(0)
{
}

structBuffer::structBuffer(CORBA::ULong max)
  : _maximum(max), _length(0), _release(1)
{
  this->_buffer = structBuffer::allocbuf(this->_maximum);
}

structBuffer::structBuffer(CORBA::ULong max, CORBA::ULong length, struct b *buffer, CORBA::Boolean release)
  : _maximum(max),
    _length(length),
    _buffer(buffer),
    _release(release)
{
}

structBuffer::structBuffer(const structBuffer &o)
  : _maximum(o._maximum),
    _length(o._length),
    _release(1)
{
  struct b  *tmp1 = structBuffer::allocbuf(this->_maximum);
  
  struct b  * const tmp2 = ACE_reinterpret_cast(struct b  * ACE_CAST_CONST, o._buffer);
  
  for(CORBA::ULong i = 0; i < this->_length; i++ )
    tmp1[i] = tmp2[i];
  
  this->_buffer = tmp1;
}

structBuffer::~structBuffer()
{
  this->_deallocate_buffer();
}

structBuffer &structBuffer::operator=(const structBuffer &rhs)
{
  if( this == &rhs )
    return *this;
  if( this->_release )
  {
  
    if( this->_maximum < rhs._maximum )
    {
      struct b  *tmp = ACE_reinterpret_cast(struct b  *, this->_buffer);
      
      structBuffer::freebuf(tmp);
      this->_buffer = structBuffer::allocbuf(rhs._maximum);
    }
  
  }
  else
    this->_buffer = structBuffer::allocbuf(rhs._maximum);
  this->_maximum = rhs._maximum;
  this->_length = rhs._length;
  this->_release = 1;
  struct b  *tmp1 = ACE_reinterpret_cast(struct b  *, this->_buffer);
  struct b  * const tmp2 = ACE_reinterpret_cast(struct b  * ACE_CAST_CONST, rhs._buffer);
  for(CORBA::ULong i = 0; i < this->_length; i++ )
    tmp1[i] = tmp2[i];
  return *this;
}

struct b &structBuffer::operator[](CORBA::ULong i)
{
  ACE_ASSERT(i < this->_maximum);
  struct b  * tmp = ACE_reinterpret_cast(struct b  *, this->_buffer);
  return tmp[i];
}

const struct b &structBuffer::operator[](CORBA::ULong i) const
{
  ACE_ASSERT(i < this->_maximum);
  struct b  * const tmp = ACE_reinterpret_cast(struct b  *ACE_CAST_CONST, this->_buffer);
  return tmp[i];
}

struct b *structBuffer::allocbuf(CORBA::ULong size)
{
  struct b  *tmp;
  tmp = new struct b [size];
  return tmp;
}

void structBuffer::freebuf(struct b *buffer)
{
  delete [] buffer;
}

void structBuffer::_allocate_buffer(CORBA::ULong length)
{
  struct b  *tmp = structBuffer::allocbuf(length);
  if( this->_buffer != 0 )
  {
    CORBA::ULong i;
    struct b  *old = ACE_reinterpret_cast(struct b  *, this->_buffer);
    for( i = 0; i < this->_length; i++ )
      tmp[i] = old[i];
    if( this->_release )
      structBuffer::freebuf(old);
  }
  this->_buffer = tmp;
}

void structBuffer::_deallocate_buffer()
{
  if( this->_buffer == 0 || this->_release == 0 )
    return;
  struct b  *tmp = ACE_reinterpret_cast(struct b  *, this->_buffer);
  
  structBuffer::freebuf(tmp);
  this->_buffer = 0;
}

CORBA::Boolean structBuffer::release() const
{
  return this->_release;
}

CORBA::ULong structBuffer::maximum() const
{
  return this->_maximum;
}

CORBA::ULong structBuffer::length() const
{
  return this->_length;
}

void structBuffer::length(CORBA::ULong length)
{
  if( length > this->_maximum )
  {
    this->_allocate_buffer(length);
    this->_maximum = length;
    this->_release = 1;
  }
  else if (length < this->_length)
  {
    this->_shrink_buffer(length, this->_length);
  }
  this->_length = length;
}

void structBuffer::_shrink_buffer(CORBA::ULong length1, CORBA::ULong length2)
{
}

struct b *structBuffer::get_buffer(CORBA::Boolean orphan)
{
  struct b  *result = 0;
  if( orphan == 0 )
  {
    if( this->_buffer == 0 )
    {
      result = structBuffer::allocbuf(this->_length);
      this->_buffer = result;
    }
    else
    {
      result = ACE_reinterpret_cast(struct b  *, this->_buffer);
    }
  }
  else
  {
    if( this->_release != 0 )
    {
      result = ACE_reinterpret_cast(struct b  *, this->_buffer);
      this->_maximum = 0;
      this->_length = 0;
      this->_buffer = 0;
      this->_release = 0;
    }
  }
  return result;
}

const struct b *structBuffer::get_buffer() const
{
  return ACE_const_cast(const struct b  * ACE_CAST_CONST, this->_buffer);
}

void operator<<=(CORBA::Any &a, const structBuffer &o)
{
  structBuffer  *_any_val;
  ACE_NEW(_any_val, structBuffer  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_structBuffer, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, structBuffer *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_structBuffer, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, structBuffer *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(_tc_structBuffer, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (structBuffer  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, structBuffer , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(_tc_structBuffer, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(_tc_structBuffer, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

structBuffer_var::structBuffer_var()
  : ptr_(0)
{}

structBuffer_var::structBuffer_var(structBuffer *p)
 : ptr_(p)
{}

structBuffer_var::structBuffer_var(const structBuffer_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new structBuffer (*a.ptr_);
  else
    this->ptr_ = 0;
}

structBuffer_var::~structBuffer_var()
{
  delete this->ptr_;
}

structBuffer_var &structBuffer_var::operator=(structBuffer *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

structBuffer_var &structBuffer_var::operator=(const structBuffer_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new structBuffer (*p.ptr_);
  }
  return *this;
}

struct b &structBuffer_var::operator[](CORBA::ULong index)
{
  return this->ptr_->operator[](index);
}

const struct b &structBuffer_var::operator[](CORBA::ULong index) const
{
  return this->ptr_->operator[](index);
}

structBuffer *structBuffer_var::operator->()
{
  return this->ptr_;
}

const structBuffer *structBuffer_var::operator->() const
{
  return this->ptr_;
}

structBuffer_var::operator const structBuffer &() const
{
  return *this->ptr_;
}

structBuffer_var::operator structBuffer &()
{
  return *this->ptr_;
}

structBuffer_var::operator structBuffer &() const
{
  return *this->ptr_;
}

const structBuffer &structBuffer_var::in() const
{
  return *this->ptr_;
}

structBuffer &structBuffer_var::inout()
{
  return *this->ptr_;
}

structBuffer *&structBuffer_var::out()
{
  delete this->ptr_;
  this->ptr_ = 0;
  return this->ptr_;
}

structBuffer *structBuffer_var::_retn()
{
  structBuffer  *tmp = this->ptr_;
  this->ptr_ = 0;
  return tmp;
}

structBuffer *structBuffer_var::ptr() const
{
  return this->ptr_;
}

structBuffer_out::structBuffer_out(structBuffer *&r)
  : ptr_(r)
{
  this->ptr_ = 0;
}

structBuffer_out::structBuffer_out(structBuffer_var &r)
  : ptr_(r.out())
{
  delete this->ptr_;
  this->ptr_ = 0;
}

structBuffer_out::structBuffer_out(const structBuffer_out &r)
  : ptr_(ACE_const_cast(structBuffer_out &,r).ptr_)
{}

structBuffer_out &structBuffer_out::operator=(const structBuffer_out &r)
{
  this->ptr_ = ACE_const_cast(structBuffer_out &,r).ptr_;
  return *this;
}

structBuffer_out &structBuffer_out::operator=(structBuffer *r)
{
  this->ptr_ = r;
  return *this;
}

structBuffer_out::operator structBuffer *&()
{
  return this->ptr_;
}

structBuffer *&structBuffer_out::ptr()
{
  return this->ptr_;
}

struct b &structBuffer_out::operator[](CORBA::ULong index)
{
  return this->ptr_->operator[](index);
}

const struct b &structBuffer_out::operator[](CORBA::ULong index) const
{
  return this->ptr_->operator[](index);
}

structBuffer *structBuffer_out::operator->()
{
  return this->ptr_;
}

static const CORBA::Long _oc_intBuffer[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    18, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x696e7442), ACE_NTOHL(0x75666665), ACE_NTOHL(0x723a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:intBuffer:1.0 */,
    10, ACE_NTOHL(0x696e7442), ACE_NTOHL(0x75666665), ACE_NTOHL(0x72000000) /* name = intBuffer */,
    CORBA::tk_sequence,
    12 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      CORBA::tk_long,
      0
};

static CORBA::TypeCode _tc_TAO_tc_intBuffer (CORBA::tk_alias, sizeof(_oc_intBuffer), (char *) &_oc_intBuffer, 0, sizeof(intBuffer ));

CORBA::TypeCode_ptr _tc_intBuffer = &_tc_TAO_tc_intBuffer;

intBuffer::intBuffer()
  : _maximum(0),
    _length(0),
    _buffer(0),
    _release(0)
{
}

intBuffer::intBuffer(CORBA::ULong max)
  : _maximum(max), _length(0), _release(1)
{
  this->_buffer = intBuffer::allocbuf(this->_maximum);
}

intBuffer::intBuffer(CORBA::ULong max, CORBA::ULong length, CORBA::Long *buffer, CORBA::Boolean release)
  : _maximum(max),
    _length(length),
    _buffer(buffer),
    _release(release)
{
}

intBuffer::intBuffer(const intBuffer &o)
  : _maximum(o._maximum),
    _length(o._length),
    _release(1)
{
  CORBA::Long  *tmp1 = intBuffer::allocbuf(this->_maximum);
  
  CORBA::Long  * const tmp2 = ACE_reinterpret_cast(CORBA::Long  * ACE_CAST_CONST, o._buffer);
  
  for(CORBA::ULong i = 0; i < this->_length; i++ )
    tmp1[i] = tmp2[i];
  
  this->_buffer = tmp1;
}

intBuffer::~intBuffer()
{
  this->_deallocate_buffer();
}

intBuffer &intBuffer::operator=(const intBuffer &rhs)
{
  if( this == &rhs )
    return *this;
  if( this->_release )
  {
  
    if( this->_maximum < rhs._maximum )
    {
      CORBA::Long  *tmp = ACE_reinterpret_cast(CORBA::Long  *, this->_buffer);
      
      intBuffer::freebuf(tmp);
      this->_buffer = intBuffer::allocbuf(rhs._maximum);
    }
  
  }
  else
    this->_buffer = intBuffer::allocbuf(rhs._maximum);
  this->_maximum = rhs._maximum;
  this->_length = rhs._length;
  this->_release = 1;
  CORBA::Long  *tmp1 = ACE_reinterpret_cast(CORBA::Long  *, this->_buffer);
  CORBA::Long  * const tmp2 = ACE_reinterpret_cast(CORBA::Long  * ACE_CAST_CONST, rhs._buffer);
  for(CORBA::ULong i = 0; i < this->_length; i++ )
    tmp1[i] = tmp2[i];
  return *this;
}

CORBA::Long &intBuffer::operator[](CORBA::ULong i)
{
  ACE_ASSERT(i < this->_maximum);
  CORBA::Long  * tmp = ACE_reinterpret_cast(CORBA::Long  *, this->_buffer);
  return tmp[i];
}

const CORBA::Long &intBuffer::operator[](CORBA::ULong i) const
{
  ACE_ASSERT(i < this->_maximum);
  CORBA::Long  * const tmp = ACE_reinterpret_cast(CORBA::Long  *ACE_CAST_CONST, this->_buffer);
  return tmp[i];
}

CORBA::Long *intBuffer::allocbuf(CORBA::ULong size)
{
  CORBA::Long  *tmp;
  tmp = new CORBA::Long [size];
  return tmp;
}

void intBuffer::freebuf(CORBA::Long *buffer)
{
  delete [] buffer;
}

void intBuffer::_allocate_buffer(CORBA::ULong length)
{
  CORBA::Long  *tmp = intBuffer::allocbuf(length);
  if( this->_buffer != 0 )
  {
    CORBA::ULong i;
    CORBA::Long  *old = ACE_reinterpret_cast(CORBA::Long  *, this->_buffer);
    for( i = 0; i < this->_length; i++ )
      tmp[i] = old[i];
    if( this->_release )
      intBuffer::freebuf(old);
  }
  this->_buffer = tmp;
}

void intBuffer::_deallocate_buffer()
{
  if( this->_buffer == 0 || this->_release == 0 )
    return;
  CORBA::Long  *tmp = ACE_reinterpret_cast(CORBA::Long  *, this->_buffer);
  
  intBuffer::freebuf(tmp);
  this->_buffer = 0;
}

CORBA::Boolean intBuffer::release() const
{
  return this->_release;
}

CORBA::ULong intBuffer::maximum() const
{
  return this->_maximum;
}

CORBA::ULong intBuffer::length() const
{
  return this->_length;
}

void intBuffer::length(CORBA::ULong length)
{
  if( length > this->_maximum )
  {
    this->_allocate_buffer(length);
    this->_maximum = length;
    this->_release = 1;
  }
  else if (length < this->_length)
  {
    this->_shrink_buffer(length, this->_length);
  }
  this->_length = length;
}

void intBuffer::_shrink_buffer(CORBA::ULong length1, CORBA::ULong length2)
{
}

CORBA::Long *intBuffer::get_buffer(CORBA::Boolean orphan)
{
  CORBA::Long  *result = 0;
  if( orphan == 0 )
  {
    if( this->_buffer == 0 )
    {
      result = intBuffer::allocbuf(this->_length);
      this->_buffer = result;
    }
    else
    {
      result = ACE_reinterpret_cast(CORBA::Long  *, this->_buffer);
    }
  }
  else
  {
    if( this->_release != 0 )
    {
      result = ACE_reinterpret_cast(CORBA::Long  *, this->_buffer);
      this->_maximum = 0;
      this->_length = 0;
      this->_buffer = 0;
      this->_release = 0;
    }
  }
  return result;
}

const CORBA::Long *intBuffer::get_buffer() const
{
  return ACE_const_cast(const CORBA::Long  * ACE_CAST_CONST, this->_buffer);
}

void operator<<=(CORBA::Any &a, const intBuffer &o)
{
  intBuffer  *_any_val;
  ACE_NEW(_any_val, intBuffer  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_intBuffer, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, intBuffer *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_intBuffer, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, intBuffer *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(_tc_intBuffer, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (intBuffer  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, intBuffer , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(_tc_intBuffer, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(_tc_intBuffer, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

intBuffer_var::intBuffer_var()
  : ptr_(0)
{}

intBuffer_var::intBuffer_var(intBuffer *p)
 : ptr_(p)
{}

intBuffer_var::intBuffer_var(const intBuffer_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new intBuffer (*a.ptr_);
  else
    this->ptr_ = 0;
}

intBuffer_var::~intBuffer_var()
{
  delete this->ptr_;
}

intBuffer_var &intBuffer_var::operator=(intBuffer *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

intBuffer_var &intBuffer_var::operator=(const intBuffer_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new intBuffer (*p.ptr_);
  }
  return *this;
}

CORBA::Long &intBuffer_var::operator[](CORBA::ULong index)
{
  return this->ptr_->operator[](index);
}

const CORBA::Long &intBuffer_var::operator[](CORBA::ULong index) const
{
  return this->ptr_->operator[](index);
}

intBuffer *intBuffer_var::operator->()
{
  return this->ptr_;
}

const intBuffer *intBuffer_var::operator->() const
{
  return this->ptr_;
}

intBuffer_var::operator const intBuffer &() const
{
  return *this->ptr_;
}

intBuffer_var::operator intBuffer &()
{
  return *this->ptr_;
}

intBuffer_var::operator intBuffer &() const
{
  return *this->ptr_;
}

const intBuffer &intBuffer_var::in() const
{
  return *this->ptr_;
}

intBuffer &intBuffer_var::inout()
{
  return *this->ptr_;
}

intBuffer *&intBuffer_var::out()
{
  delete this->ptr_;
  this->ptr_ = 0;
  return this->ptr_;
}

intBuffer *intBuffer_var::_retn()
{
  intBuffer  *tmp = this->ptr_;
  this->ptr_ = 0;
  return tmp;
}

intBuffer *intBuffer_var::ptr() const
{
  return this->ptr_;
}

intBuffer_out::intBuffer_out(intBuffer *&r)
  : ptr_(r)
{
  this->ptr_ = 0;
}

intBuffer_out::intBuffer_out(intBuffer_var &r)
  : ptr_(r.out())
{
  delete this->ptr_;
  this->ptr_ = 0;
}

intBuffer_out::intBuffer_out(const intBuffer_out &r)
  : ptr_(ACE_const_cast(intBuffer_out &,r).ptr_)
{}

intBuffer_out &intBuffer_out::operator=(const intBuffer_out &r)
{
  this->ptr_ = ACE_const_cast(intBuffer_out &,r).ptr_;
  return *this;
}

intBuffer_out &intBuffer_out::operator=(intBuffer *r)
{
  this->ptr_ = r;
  return *this;
}

intBuffer_out::operator intBuffer *&()
{
  return this->ptr_;
}

intBuffer *&intBuffer_out::ptr()
{
  return this->ptr_;
}

CORBA::Long &intBuffer_out::operator[](CORBA::ULong index)
{
  return this->ptr_->operator[](index);
}

const CORBA::Long &intBuffer_out::operator[](CORBA::ULong index) const
{
  return this->ptr_->operator[](index);
}

intBuffer *intBuffer_out::operator->()
{
  return this->ptr_;
}

static const CORBA::Long _oc_useless[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    16, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x7573656c), ACE_NTOHL(0x6573733a), ACE_NTOHL(0x312e3000) /* repository ID = IDL:useless:1.0 */,
    8, ACE_NTOHL(0x7573656c), ACE_NTOHL(0x65737300) /* name = useless */,
    1 /* member count */,
    8, ACE_NTOHL(0x62616c6f), ACE_NTOHL(0x6e657900) /* name = baloney */,
    CORBA::tk_long
};

static CORBA::TypeCode _tc_TAO_tc_useless (CORBA::tk_except, sizeof(_oc_useless), (char *) &_oc_useless, 0, sizeof(useless ));

CORBA::TypeCode_ptr _tc_useless = &_tc_TAO_tc_useless;

useless::useless()
  : CORBA_UserException(_tc_useless)
{
}

useless::useless(const useless &o)
  : CORBA_UserException(o._type())
{
  this->baloney = o.baloney;
}

useless::~useless()
{}

useless &useless::operator=(const useless &o)
{
  this->CORBA_UserException::operator=(o);
  this->baloney = o.baloney;
  return *this;
}

void useless::_raise()
{
  TAO_RAISE(*this);
}

useless *useless::_narrow(CORBA::Exception *e)
{
  if( !(ACE_OS::strcmp("IDL:useless:1.0", e->_id())) )
    return ACE_dynamic_cast(useless_ptr , e);
  else
    return 0;
}

CORBA::Exception *useless::_alloc()
{
  return new useless ;
}

useless::useless(CORBA::Long _baloney_)
  : CORBA_UserException(CORBA::TypeCode::_duplicate(_tc_useless))
{
  this->baloney = _baloney_;
}

void operator<<=(CORBA::Any &a, const useless &o)
{
  useless  *_any_val = new useless (o);
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_useless, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, useless *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_useless, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, useless *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(_tc_useless, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (useless  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, useless , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(_tc_useless, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(_tc_useless, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

static const CORBA::Long _oc_ttcp[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    13, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74746370), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:ttcp:1.0 */,
    5, ACE_NTOHL(0x74746370), ACE_NTOHL(0x00000000) /* name = ttcp */
};

static CORBA::TypeCode _tc_TAO_tc_ttcp (CORBA::tk_objref, sizeof(_oc_ttcp), (char *) &_oc_ttcp, 0, sizeof(ttcp ));

CORBA::TypeCode_ptr _tc_ttcp = &_tc_TAO_tc_ttcp;


#if defined (ACE_HAS_EXPLICIT_TEMPLATE_INSTANTIATION)
  template class TAO_Object_Field_T<ttcp >;
#elif defined (ACE_HAS_TEMPLATE_INSTANTIATION_PRAGMA)
#  pragma instantiate TAO_Object_Field_T<ttcp >
#endif /* ACE_HAS_EXPLICIT_TEMPLATE_INSTANTIATION */

ttcp_ptr ttcp::_duplicate(ttcp_ptr obj)
{
  if( !CORBA::is_nil(obj) )
    obj->_incr_refcnt();
  return obj;
}

ttcp_ptr ttcp::_narrow(CORBA::Object_ptr obj, CORBA::Environment &_env)
{
  if( CORBA::is_nil(obj) )
    return ttcp::_nil();
  if( !obj->_is_a("IDL:ttcp:1.0", _env) )
    return ttcp::_nil();
  return ttcp::_unchecked_narrow(obj, _env);
}

ttcp_ptr ttcp::_unchecked_narrow(CORBA::Object_ptr _obj, CORBA::Environment &_env)
{
  if( CORBA::is_nil(_obj) )
    return ttcp::_nil();
  TAO_Stub *stub = _obj->_stubobj();
  stub->_incr_refcnt();
  void* servant = 0;
  if (_obj->_is_collocated () && _obj->_servant() != 0)
    servant = _obj->_servant()->_downcast ("IDL:Coffee:1.0");
  if (servant == 0)
    return new ttcp (stub);
  return new _tao_collocated_ttcp(
      ACE_reinterpret_cast(POA_ttcp_ptr , servant),
      stub
    );
}

ttcp_ptr ttcp::_nil()
{
  return (ttcp_ptr )NULL;
}

CORBA::Boolean ttcp::_is_a(const CORBA::Char *_type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)_type_id, "IDL:ttcp:1.0")) ||
      (!ACE_OS::strcmp((char *)_type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return this->CORBA_Object::_is_a(_type_id, _env);
}

const char *ttcp::_interface_repository_id() const
{
  return "IDL:ttcp:1.0";
}

ttcp::ttcp()
{}

ttcp::~ttcp()
{}

void operator<<=(CORBA::Any &a, ttcp_ptr o)
{
  CORBA::Object_ptr *_tao_obj_ptr = 0;
  ACE_TRY_NEW_ENV
  {
    ACE_NEW(_tao_obj_ptr, CORBA::Object_ptr);
    *_tao_obj_ptr = ttcp::_duplicate(o);
    a.replace (_tc_ttcp, _tao_obj_ptr, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _tao_obj_ptr;
  }
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, ttcp_ptr &o)
{
  CORBA::Object_ptr *tmp = 0;
  ACE_TRY_NEW_ENV
  {
    o = ttcp::_nil();
    CORBA::TypeCode_var type = a.type();
    if (!type->equal (_tc_ttcp, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    TAO_InputCDR stream (a._tao_get_cdr());
    CORBA::Object_var _tao_obj_var;
    ACE_NEW_RETURN (tmp, CORBA::Object_ptr, 0);
    if (stream.decode(_tc_ttcp, &_tao_obj_var.out(), 0, ACE_TRY_ENV)
       == CORBA::TypeCode::TRAVERSE_CONTINUE)
    {
      o = ttcp::_narrow(_tao_obj_var.in(), ACE_TRY_ENV);
      ACE_TRY_CHECK;
      *tmp = (CORBA::Object_ptr) o;
      ((CORBA::Any *)&a)->replace(_tc_ttcp, tmp, 1, ACE_TRY_ENV);
      ACE_TRY_CHECK;
      return 1;
    }
  }
  ACE_CATCHANY
  {
    delete tmp;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

ttcp::ttcp(TAO_Stub *objref, TAO_ServantBase *_tao_servant, CORBA::Boolean _tao_collocated)
  : CORBA_Object(objref, _tao_servant, _tao_collocated)
{}

ttcp_var::ttcp_var()
  : ptr_(ttcp::_nil())
{}

ttcp_var::ttcp_var(ttcp_ptr p)
  : ptr_(p)
{}

ttcp_var::ttcp_var(const ttcp_var &a)
  : ptr_(ttcp::_duplicate(a.ptr()))
{}

ttcp_var::~ttcp_var()
{
  CORBA::release(this->ptr_);
}

ttcp_var &ttcp_var::operator=(ttcp_ptr p)
{
  CORBA::release(this->ptr_);
  this->ptr_ = p;
  return *this;
}

ttcp_var &ttcp_var::operator=(const ttcp_var &p)
{
  if( this != &p )
  {
    CORBA::release(this->ptr_);
    this->ptr_ = ttcp::_duplicate(p.ptr());
  }
  return *this;
}

ttcp_ptr ttcp_var::operator->() const
{
  return this->ptr_;
}

ttcp_var::operator const ttcp_ptr &() const
{
  return this->ptr_;
}

ttcp_var::operator ttcp_ptr &()
{
  return this->ptr_;
}

ttcp_ptr ttcp_var::in() const
{
  return this->ptr_;
}

ttcp_ptr &ttcp_var::inout()
{
  return this->ptr_;
}

ttcp_ptr &ttcp_var::out()
{
  CORBA::release(this->ptr_);
  this->ptr_ = ttcp::_nil();
  return this->ptr_;
}

ttcp_ptr ttcp_var::_retn()
{
  ttcp_ptr  val = this->ptr_;
  this->ptr_ = ttcp::_nil();
  return val;
}

ttcp_ptr ttcp_var::ptr() const
{
  return this->ptr_;
}

ttcp_out::ttcp_out(ttcp_ptr &r)
  : ptr_(r)
{
  this->ptr_ = ttcp::_nil();
}

ttcp_out::ttcp_out(ttcp_var &r)
  : ptr_(r.out())
{
  CORBA::release(this->ptr_);
  this->ptr_ = ttcp::_nil();
}

ttcp_out::ttcp_out(const ttcp_out &r)
  : ptr_(ACE_const_cast(ttcp_out &,r).ptr_)
{}

ttcp_out &ttcp_out::operator=(const ttcp_out &r)
{
  this->ptr_ = ACE_const_cast(ttcp_out &,r).ptr_;
  return *this;
}

ttcp_out &ttcp_out::operator=(const ttcp_var &r)
{
  this->ptr_ = ttcp::_duplicate(r.ptr());
  return *this;
}

ttcp_out &ttcp_out::operator=(ttcp_ptr r)
{
  this->ptr_ = r;
  return *this;
}

ttcp_out::operator ttcp_ptr &()
{
  return this->ptr_;
}

ttcp_ptr &ttcp_out::ptr()
{
  return this->ptr_;
}

ttcp_ptr ttcp_out::operator->()
{
  return this->ptr_;
}

int flick_marshal_stub_a(flick_marshal_stream_t _stream, const struct a *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(8, _flick_abort0);
  flick_iiopxx_encode_new_chunk(8);
  flick_cdr_encode_signed32(0, _data->xx, CORBA::Long );
  flick_cdr_encode_signed32(4, _data->yy, CORBA::Long );
  flick_iiopxx_encode_end_chunk(8);
  flick_iiopxx_encode_end_glob(8);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_a(flick_marshal_stream_t _stream, struct a *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(8);
  flick_iiopxx_check_span(8, _flick_abort1);
  flick_iiopxx_decode_new_chunk(8);
  flick_cdr_decode_signed32(0, _data->xx, CORBA::Long );
  flick_cdr_decode_signed32(4, _data->yy, CORBA::Long );
  flick_iiopxx_decode_end_chunk(8);
  flick_iiopxx_decode_end_glob(8);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_a_swap(flick_marshal_stream_t _stream, struct a *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(8);
  flick_iiopxx_check_span(8, _flick_abort2);
  flick_iiopxx_decode_new_chunk(8);
  flick_cdr_swap_decode_signed32(0, _data->xx, CORBA::Long );
  flick_cdr_swap_decode_signed32(4, _data->yy, CORBA::Long );
  flick_iiopxx_decode_end_chunk(8);
  flick_iiopxx_decode_end_glob(8);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_b(flick_marshal_stream_t _stream, const struct b *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(16, _flick_abort3);
  flick_iiopxx_encode_new_chunk(16);
  flick_cdr_encode_signed32(0, _data->x.xx, CORBA::Long );
  flick_cdr_encode_signed32(4, _data->x.yy, CORBA::Long );
  flick_cdr_encode_signed32(8, _data->y.xx, CORBA::Long );
  flick_cdr_encode_signed32(12, _data->y.yy, CORBA::Long );
  flick_iiopxx_encode_end_chunk(16);
  flick_iiopxx_encode_end_glob(16);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_b(flick_marshal_stream_t _stream, struct b *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(16);
  flick_iiopxx_check_span(16, _flick_abort4);
  flick_iiopxx_decode_new_chunk(16);
  flick_cdr_decode_signed32(0, _data->x.xx, CORBA::Long );
  flick_cdr_decode_signed32(4, _data->x.yy, CORBA::Long );
  flick_cdr_decode_signed32(8, _data->y.xx, CORBA::Long );
  flick_cdr_decode_signed32(12, _data->y.yy, CORBA::Long );
  flick_iiopxx_decode_end_chunk(16);
  flick_iiopxx_decode_end_glob(16);
  return 0;
  {
  _flick_abort4:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_b_swap(flick_marshal_stream_t _stream, struct b *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(16);
  flick_iiopxx_check_span(16, _flick_abort5);
  flick_iiopxx_decode_new_chunk(16);
  flick_cdr_swap_decode_signed32(0, _data->x.xx, CORBA::Long );
  flick_cdr_swap_decode_signed32(4, _data->x.yy, CORBA::Long );
  flick_cdr_swap_decode_signed32(8, _data->y.xx, CORBA::Long );
  flick_cdr_swap_decode_signed32(12, _data->y.yy, CORBA::Long );
  flick_iiopxx_decode_end_chunk(16);
  flick_iiopxx_decode_end_glob(16);
  return 0;
  {
  _flick_abort5:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_structBuffer(flick_marshal_stream_t _stream, const structBuffer *_data)
{
  CORBA::ULong _t0_array_iter;

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(4, _flick_abort6);
  flick_iiopxx_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->_length, CORBA::ULong );
  flick_iiopxx_encode_end_chunk(4);
  flick_iiopxx_encode_end_glob(4);
  flick_iiopxx_encode_new_glob(16 * _data->_length, _flick_abort6);
  for (_t0_array_iter = 0; _t0_array_iter < _data->_length; _t0_array_iter++)
    {
      flick_iiopxx_encode_new_chunk(16);
      flick_cdr_encode_signed32(0, _data->_buffer[_t0_array_iter].x.xx, CORBA::Long );
      flick_cdr_encode_signed32(4, _data->_buffer[_t0_array_iter].x.yy, CORBA::Long );
      flick_cdr_encode_signed32(8, _data->_buffer[_t0_array_iter].y.xx, CORBA::Long );
      flick_cdr_encode_signed32(12, _data->_buffer[_t0_array_iter].y.yy, CORBA::Long );
      flick_iiopxx_encode_end_chunk(16);
      continue;
    }
  flick_iiopxx_encode_end_glob(16 * _data->_length);
  return 0;
  {
  _flick_abort6:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_structBuffer(flick_marshal_stream_t _stream, structBuffer *_data)
{
  CORBA::ULong _t1_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(4);
  flick_iiopxx_check_span(4, _flick_abort12);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length, CORBA::ULong );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_end_glob(4);
  flick_iiopxx_decode_new_glob(16 * _data->_length);
  {
    struct b *_t_alloc_ptr;

    _t_alloc_ptr = (struct b *)new (struct b [_data->_length]);
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort12);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = _data->_length;
    _data->_release = 1;
  }
  flick_iiopxx_check_span(_data->_length * 16, _flick_abort12);
  for (_t1_array_iter = 0; _t1_array_iter < _data->_length; _t1_array_iter++)
    {
      flick_iiopxx_decode_new_chunk(16);
      flick_cdr_decode_signed32(0, _data->_buffer[_t1_array_iter].x.xx, CORBA::Long );
      flick_cdr_decode_signed32(4, _data->_buffer[_t1_array_iter].x.yy, CORBA::Long );
      flick_cdr_decode_signed32(8, _data->_buffer[_t1_array_iter].y.xx, CORBA::Long );
      flick_cdr_decode_signed32(12, _data->_buffer[_t1_array_iter].y.yy, CORBA::Long );
      flick_iiopxx_decode_end_chunk(16);
      continue;
    }
  flick_iiopxx_decode_end_glob(16 * _data->_length);
  return 0;
  {
  _flick_abort12:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_structBuffer_swap(flick_marshal_stream_t _stream, structBuffer *_data)
{
  CORBA::ULong _t2_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(4);
  flick_iiopxx_check_span(4, _flick_abort18);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length, CORBA::ULong );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_end_glob(4);
  flick_iiopxx_decode_new_glob(16 * _data->_length);
  {
    struct b *_t_alloc_ptr;

    _t_alloc_ptr = (struct b *)new (struct b [_data->_length]);
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort18);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = _data->_length;
    _data->_release = 1;
  }
  flick_iiopxx_check_span(_data->_length * 16, _flick_abort18);
  for (_t2_array_iter = 0; _t2_array_iter < _data->_length; _t2_array_iter++)
    {
      flick_iiopxx_decode_new_chunk(16);
      flick_cdr_swap_decode_signed32(0, _data->_buffer[_t2_array_iter].x.xx, CORBA::Long );
      flick_cdr_swap_decode_signed32(4, _data->_buffer[_t2_array_iter].x.yy, CORBA::Long );
      flick_cdr_swap_decode_signed32(8, _data->_buffer[_t2_array_iter].y.xx, CORBA::Long );
      flick_cdr_swap_decode_signed32(12, _data->_buffer[_t2_array_iter].y.yy, CORBA::Long );
      flick_iiopxx_decode_end_chunk(16);
      continue;
    }
  flick_iiopxx_decode_end_glob(16 * _data->_length);
  return 0;
  {
  _flick_abort18:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_intBuffer(flick_marshal_stream_t _stream, const intBuffer *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(4, _flick_abort24);
  flick_iiopxx_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->_length, CORBA::ULong );
  flick_iiopxx_encode_end_chunk(4);
  flick_iiopxx_encode_end_glob(4);
  flick_iiopxx_encode_new_glob(4 * _data->_length, _flick_abort24);
  flick_iiopxx_encode_new_chunk(4 * _data->_length);
  flick_cdr_encode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_iiopxx_encode_end_chunk(4 * _data->_length);
  flick_iiopxx_encode_end_glob(4 * _data->_length);
  return 0;
  {
  _flick_abort24:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_intBuffer(flick_marshal_stream_t _stream, intBuffer *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(4);
  flick_iiopxx_check_span(4, _flick_abort27);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length, CORBA::ULong );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_end_glob(4);
  flick_iiopxx_decode_new_glob(4 * _data->_length);
  flick_iiopxx_check_span(4 * _data->_length, _flick_abort27);
  flick_iiopxx_decode_new_chunk(4 * _data->_length);
  {
    CORBA::Long *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA::Long *)new (CORBA::Long [_data->_length]);
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort27);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = _data->_length;
    _data->_release = 1;
  }
  flick_cdr_decode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_iiopxx_decode_end_chunk(4 * _data->_length);
  flick_iiopxx_decode_end_glob(4 * _data->_length);
  return 0;
  {
  _flick_abort27:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_intBuffer_swap(flick_marshal_stream_t _stream, intBuffer *_data)
{
  CORBA::ULong _t3_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(4);
  flick_iiopxx_check_span(4, _flick_abort30);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length, CORBA::ULong );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_end_glob(4);
  flick_iiopxx_decode_new_glob(4 * _data->_length);
  {
    CORBA::Long *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA::Long *)new (CORBA::Long [_data->_length]);
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort30);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = _data->_length;
    _data->_release = 1;
  }
  flick_iiopxx_check_span(_data->_length * 4, _flick_abort30);
  for (_t3_array_iter = 0; _t3_array_iter < _data->_length; _t3_array_iter++)
    {
      flick_iiopxx_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->_buffer[_t3_array_iter], CORBA::Long );
      flick_iiopxx_decode_end_chunk(4);
      continue;
    }
  flick_iiopxx_decode_end_glob(4 * _data->_length);
  return 0;
  {
  _flick_abort30:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_useless(flick_marshal_stream_t _stream, const useless *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(4, _flick_abort36);
  flick_iiopxx_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->baloney, CORBA::Long );
  flick_iiopxx_encode_end_chunk(4);
  flick_iiopxx_encode_end_glob(4);
  return 0;
  {
  _flick_abort36:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_useless(flick_marshal_stream_t _stream, useless *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(4);
  flick_iiopxx_check_span(4, _flick_abort37);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, _data->baloney, CORBA::Long );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_end_glob(4);
  return 0;
  {
  _flick_abort37:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_useless_swap(flick_marshal_stream_t _stream, useless *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(4);
  flick_iiopxx_check_span(4, _flick_abort38);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, _data->baloney, CORBA::Long );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_end_glob(4);
  return 0;
  {
  _flick_abort38:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_ttcp(flick_marshal_stream_t _stream, const ttcp_ptr *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdrxx_encode_IOR(iiopxx, *_data, 0, ttcp , _flick_abort39);
  return 0;
  {
  _flick_abort39:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_ttcp(flick_marshal_stream_t _stream, ttcp_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdrxx_decode_IOR(iiopxx, *_data, 1, ttcp , _flick_abort40);
  return 0;
  {
  _flick_abort40:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_ttcp_swap(flick_marshal_stream_t _stream, ttcp_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swapxx_decode_IOR(iiopxx, *_data, 1, ttcp , _flick_abort41);
  return 0;
  {
  _flick_abort41:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

CORBA::Long ttcp::inttest(/* ttcp *this, */ const intBuffer &data, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  CORBA::Long _return;

  _return = 0;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort43);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort43);
    }
    {
      flick_iiopxx_encode_new_glob(20, _flick_abort43);
      flick_iiopxx_encode_new_chunk(20);
      flick_cdr_encode_unsigned32(0, 8, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'i', flick_char8_t );
      flick_cdr_encode_char8(5, 'n', flick_char8_t );
      flick_cdr_encode_char8(6, 't', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, 'e', flick_char8_t );
      flick_cdr_encode_char8(9, 's', flick_char8_t );
      flick_cdr_encode_char8(10, 't', flick_char8_t );
      flick_cdr_encode_char8(11, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(12, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_unsigned32(16, data._length, CORBA::ULong );
      flick_iiopxx_encode_end_chunk(20);
      flick_iiopxx_encode_end_glob(20);
      flick_iiopxx_encode_new_glob(4 * data._length, _flick_abort43);
      flick_iiopxx_encode_new_chunk(4 * data._length);
      flick_cdr_encode_bcopy(0, data._buffer, 4 * data._length);
      flick_iiopxx_encode_end_chunk(4 * data._length);
      flick_iiopxx_encode_end_glob(4 * data._length);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort43);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort43);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t27_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(28);
        flick_iiopxx_check_span(4, _flick_abort43);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t27_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t27_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort69);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_signed32(0, _return, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(28);
              break;
              {
              _flick_abort69:
                goto _flick_abort43;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(28);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort70);
              break;
              {
              _flick_abort70:
                goto _flick_abort43;
              }
            }
          default:
            {
              flick_corbaxx_env _t39_temp_env;
              unsigned int _t45_switch_tag;

              flick_iiopxx_check_span(24, _flick_abort71);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_unsigned32(0, _t45_switch_tag, unsigned int );
              flick_iiopxx_decode_end_chunk(4);
              switch ((unsigned int )_t45_switch_tag)
                {
                case (unsigned int) 16:
                  {
                    unsigned int _t46_switch_tag;

                    flick_iiopxx_decode_new_chunk(4);
                    flick_cdr_decode_unsigned32(0, _t46_switch_tag, unsigned int );
                    flick_iiopxx_decode_end_chunk(4);
                    switch ((unsigned int )_t46_switch_tag)
                      {
                      case /* IDL: */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                        {
                          unsigned int _t47_switch_tag;

                          flick_iiopxx_decode_new_chunk(4);
                          flick_cdr_decode_unsigned32(0, _t47_switch_tag, unsigned int );
                          flick_iiopxx_decode_end_chunk(4);
                          switch ((unsigned int )_t47_switch_tag)
                            {
                            case /* usel */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1970496876):
                              {
                                unsigned int _t48_switch_tag;

                                flick_iiopxx_decode_new_chunk(4);
                                flick_cdr_decode_unsigned32(0, _t48_switch_tag, unsigned int );
                                flick_iiopxx_decode_end_chunk(4);
                                switch ((unsigned int )_t48_switch_tag)
                                  {
                                  case /* ess: */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1702064954):
                                    {
                                      unsigned int _t49_switch_tag;

                                      flick_iiopxx_decode_new_chunk(4);
                                      flick_cdr_decode_unsigned32(0, _t49_switch_tag, unsigned int );
                                      flick_iiopxx_decode_end_chunk(4);
                                      switch ((unsigned int )_t49_switch_tag)
                                        {
                                        case /* 1.0 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 825110528):
                                          {
                                            _t39_temp_env._id = "IDL:useless:1.0";
                                            {
                                              useless *_t_alloc_ptr;

                                              _t_alloc_ptr = (useless *)new useless ;
                                              if (!_t_alloc_ptr)
                                                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort74);
                                              _t39_temp_env._user_except = _t_alloc_ptr;
                                            }
                                            flick_iiopxx_decode_new_chunk(4);
                                            flick_cdr_swap_decode_signed32(0, ((useless *)(_t39_temp_env._user_except))->baloney, CORBA::Long );
                                            flick_iiopxx_decode_end_chunk(4);
                                            break;
                                            {
                                            _flick_abort74:
                                              goto _flick_abort71;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort71);
                                            break;
                                          }
                                        }
                                      break;
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort71);
                                      break;
                                    }
                                  }
                                break;
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort71);
                                break;
                              }
                            }
                          break;
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort71);
                          break;
                        }
                      }
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort71);
                    break;
                  }
                }
              flick_corbaxx_exception_to_env(CORBA::Environment &, _ev, flick_corbaxx_env , _t39_temp_env);
              flick_iiopxx_decode_end_glob(28);
              break;
              {
              _flick_abort71:
                goto _flick_abort43;
              }
            }
          }
      }
    else
      {
        int _t4_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(28);
        flick_iiopxx_check_span(4, _flick_abort43);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t4_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t4_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort56);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_signed32(0, _return, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(28);
              break;
              {
              _flick_abort56:
                goto _flick_abort43;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(28);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort57);
              break;
              {
              _flick_abort57:
                goto _flick_abort43;
              }
            }
          default:
            {
              flick_corbaxx_env _t16_temp_env;
              unsigned int _t22_switch_tag;

              flick_iiopxx_check_span(24, _flick_abort58);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_unsigned32(0, _t22_switch_tag, unsigned int );
              flick_iiopxx_decode_end_chunk(4);
              switch ((unsigned int )_t22_switch_tag)
                {
                case (unsigned int) 16:
                  {
                    unsigned int _t23_switch_tag;

                    flick_iiopxx_decode_new_chunk(4);
                    flick_cdr_decode_unsigned32(0, _t23_switch_tag, unsigned int );
                    flick_iiopxx_decode_end_chunk(4);
                    switch ((unsigned int )_t23_switch_tag)
                      {
                      case /* IDL: */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                        {
                          unsigned int _t24_switch_tag;

                          flick_iiopxx_decode_new_chunk(4);
                          flick_cdr_decode_unsigned32(0, _t24_switch_tag, unsigned int );
                          flick_iiopxx_decode_end_chunk(4);
                          switch ((unsigned int )_t24_switch_tag)
                            {
                            case /* usel */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1970496876):
                              {
                                unsigned int _t25_switch_tag;

                                flick_iiopxx_decode_new_chunk(4);
                                flick_cdr_decode_unsigned32(0, _t25_switch_tag, unsigned int );
                                flick_iiopxx_decode_end_chunk(4);
                                switch ((unsigned int )_t25_switch_tag)
                                  {
                                  case /* ess: */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1702064954):
                                    {
                                      unsigned int _t26_switch_tag;

                                      flick_iiopxx_decode_new_chunk(4);
                                      flick_cdr_decode_unsigned32(0, _t26_switch_tag, unsigned int );
                                      flick_iiopxx_decode_end_chunk(4);
                                      switch ((unsigned int )_t26_switch_tag)
                                        {
                                        case /* 1.0 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 825110528):
                                          {
                                            _t16_temp_env._id = "IDL:useless:1.0";
                                            {
                                              useless *_t_alloc_ptr;

                                              _t_alloc_ptr = (useless *)new useless ;
                                              if (!_t_alloc_ptr)
                                                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort61);
                                              _t16_temp_env._user_except = _t_alloc_ptr;
                                            }
                                            flick_iiopxx_decode_new_chunk(4);
                                            flick_cdr_decode_signed32(0, ((useless *)(_t16_temp_env._user_except))->baloney, CORBA::Long );
                                            flick_iiopxx_decode_end_chunk(4);
                                            break;
                                            {
                                            _flick_abort61:
                                              goto _flick_abort58;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort58);
                                            break;
                                          }
                                        }
                                      break;
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort58);
                                      break;
                                    }
                                  }
                                break;
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort58);
                                break;
                              }
                            }
                          break;
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort58);
                          break;
                        }
                      }
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort58);
                    break;
                  }
                }
              flick_corbaxx_exception_to_env(CORBA::Environment &, _ev, flick_corbaxx_env , _t16_temp_env);
              flick_iiopxx_decode_end_glob(28);
              break;
              {
              _flick_abort58:
                goto _flick_abort43;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort43:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort42);
    _flick_abort42:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

CORBA::Long ttcp::structtest(/* ttcp *this, */ const structBuffer &data, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  CORBA::Long _return;

  _return = 0;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort76);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort76);
    }
    {
      CORBA::ULong _t51_array_iter;

      flick_iiopxx_encode_new_glob(24, _flick_abort76);
      flick_iiopxx_encode_new_chunk(24);
      flick_cdr_encode_unsigned32(0, 11, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 's', flick_char8_t );
      flick_cdr_encode_char8(5, 't', flick_char8_t );
      flick_cdr_encode_char8(6, 'r', flick_char8_t );
      flick_cdr_encode_char8(7, 'u', flick_char8_t );
      flick_cdr_encode_char8(8, 'c', flick_char8_t );
      flick_cdr_encode_char8(9, 't', flick_char8_t );
      flick_cdr_encode_char8(10, 't', flick_char8_t );
      flick_cdr_encode_char8(11, 'e', flick_char8_t );
      flick_cdr_encode_char8(12, 's', flick_char8_t );
      flick_cdr_encode_char8(13, 't', flick_char8_t );
      flick_cdr_encode_char8(14, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(16, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_unsigned32(20, data._length, CORBA::ULong );
      flick_iiopxx_encode_end_chunk(24);
      flick_iiopxx_encode_end_glob(24);
      flick_iiopxx_encode_new_glob(16 * data._length, _flick_abort76);
      for (_t51_array_iter = 0; _t51_array_iter < data._length; _t51_array_iter++)
        {
          flick_iiopxx_encode_new_chunk(16);
          flick_cdr_encode_signed32(0, data._buffer[_t51_array_iter].x.xx, CORBA::Long );
          flick_cdr_encode_signed32(4, data._buffer[_t51_array_iter].x.yy, CORBA::Long );
          flick_cdr_encode_signed32(8, data._buffer[_t51_array_iter].y.xx, CORBA::Long );
          flick_cdr_encode_signed32(12, data._buffer[_t51_array_iter].y.yy, CORBA::Long );
          flick_iiopxx_encode_end_chunk(16);
          continue;
        }
      flick_iiopxx_encode_end_glob(16 * data._length);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort76);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort76);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t75_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(28);
        flick_iiopxx_check_span(4, _flick_abort76);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t75_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t75_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort108);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_signed32(0, _return, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(28);
              break;
              {
              _flick_abort108:
                goto _flick_abort76;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(28);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort109);
              break;
              {
              _flick_abort109:
                goto _flick_abort76;
              }
            }
          default:
            {
              flick_corbaxx_env _t87_temp_env;
              unsigned int _t93_switch_tag;

              flick_iiopxx_check_span(24, _flick_abort110);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_unsigned32(0, _t93_switch_tag, unsigned int );
              flick_iiopxx_decode_end_chunk(4);
              switch ((unsigned int )_t93_switch_tag)
                {
                case (unsigned int) 16:
                  {
                    unsigned int _t94_switch_tag;

                    flick_iiopxx_decode_new_chunk(4);
                    flick_cdr_decode_unsigned32(0, _t94_switch_tag, unsigned int );
                    flick_iiopxx_decode_end_chunk(4);
                    switch ((unsigned int )_t94_switch_tag)
                      {
                      case /* IDL: */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                        {
                          unsigned int _t95_switch_tag;

                          flick_iiopxx_decode_new_chunk(4);
                          flick_cdr_decode_unsigned32(0, _t95_switch_tag, unsigned int );
                          flick_iiopxx_decode_end_chunk(4);
                          switch ((unsigned int )_t95_switch_tag)
                            {
                            case /* usel */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1970496876):
                              {
                                unsigned int _t96_switch_tag;

                                flick_iiopxx_decode_new_chunk(4);
                                flick_cdr_decode_unsigned32(0, _t96_switch_tag, unsigned int );
                                flick_iiopxx_decode_end_chunk(4);
                                switch ((unsigned int )_t96_switch_tag)
                                  {
                                  case /* ess: */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1702064954):
                                    {
                                      unsigned int _t97_switch_tag;

                                      flick_iiopxx_decode_new_chunk(4);
                                      flick_cdr_decode_unsigned32(0, _t97_switch_tag, unsigned int );
                                      flick_iiopxx_decode_end_chunk(4);
                                      switch ((unsigned int )_t97_switch_tag)
                                        {
                                        case /* 1.0 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 825110528):
                                          {
                                            _t87_temp_env._id = "IDL:useless:1.0";
                                            {
                                              useless *_t_alloc_ptr;

                                              _t_alloc_ptr = (useless *)new useless ;
                                              if (!_t_alloc_ptr)
                                                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort113);
                                              _t87_temp_env._user_except = _t_alloc_ptr;
                                            }
                                            flick_iiopxx_decode_new_chunk(4);
                                            flick_cdr_swap_decode_signed32(0, ((useless *)(_t87_temp_env._user_except))->baloney, CORBA::Long );
                                            flick_iiopxx_decode_end_chunk(4);
                                            break;
                                            {
                                            _flick_abort113:
                                              goto _flick_abort110;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort110);
                                            break;
                                          }
                                        }
                                      break;
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort110);
                                      break;
                                    }
                                  }
                                break;
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort110);
                                break;
                              }
                            }
                          break;
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort110);
                          break;
                        }
                      }
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort110);
                    break;
                  }
                }
              flick_corbaxx_exception_to_env(CORBA::Environment &, _ev, flick_corbaxx_env , _t87_temp_env);
              flick_iiopxx_decode_end_glob(28);
              break;
              {
              _flick_abort110:
                goto _flick_abort76;
              }
            }
          }
      }
    else
      {
        int _t52_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(28);
        flick_iiopxx_check_span(4, _flick_abort76);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t52_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t52_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort95);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_signed32(0, _return, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(28);
              break;
              {
              _flick_abort95:
                goto _flick_abort76;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(28);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort96);
              break;
              {
              _flick_abort96:
                goto _flick_abort76;
              }
            }
          default:
            {
              flick_corbaxx_env _t64_temp_env;
              unsigned int _t70_switch_tag;

              flick_iiopxx_check_span(24, _flick_abort97);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_unsigned32(0, _t70_switch_tag, unsigned int );
              flick_iiopxx_decode_end_chunk(4);
              switch ((unsigned int )_t70_switch_tag)
                {
                case (unsigned int) 16:
                  {
                    unsigned int _t71_switch_tag;

                    flick_iiopxx_decode_new_chunk(4);
                    flick_cdr_decode_unsigned32(0, _t71_switch_tag, unsigned int );
                    flick_iiopxx_decode_end_chunk(4);
                    switch ((unsigned int )_t71_switch_tag)
                      {
                      case /* IDL: */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                        {
                          unsigned int _t72_switch_tag;

                          flick_iiopxx_decode_new_chunk(4);
                          flick_cdr_decode_unsigned32(0, _t72_switch_tag, unsigned int );
                          flick_iiopxx_decode_end_chunk(4);
                          switch ((unsigned int )_t72_switch_tag)
                            {
                            case /* usel */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1970496876):
                              {
                                unsigned int _t73_switch_tag;

                                flick_iiopxx_decode_new_chunk(4);
                                flick_cdr_decode_unsigned32(0, _t73_switch_tag, unsigned int );
                                flick_iiopxx_decode_end_chunk(4);
                                switch ((unsigned int )_t73_switch_tag)
                                  {
                                  case /* ess: */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1702064954):
                                    {
                                      unsigned int _t74_switch_tag;

                                      flick_iiopxx_decode_new_chunk(4);
                                      flick_cdr_decode_unsigned32(0, _t74_switch_tag, unsigned int );
                                      flick_iiopxx_decode_end_chunk(4);
                                      switch ((unsigned int )_t74_switch_tag)
                                        {
                                        case /* 1.0 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 825110528):
                                          {
                                            _t64_temp_env._id = "IDL:useless:1.0";
                                            {
                                              useless *_t_alloc_ptr;

                                              _t_alloc_ptr = (useless *)new useless ;
                                              if (!_t_alloc_ptr)
                                                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort100);
                                              _t64_temp_env._user_except = _t_alloc_ptr;
                                            }
                                            flick_iiopxx_decode_new_chunk(4);
                                            flick_cdr_decode_signed32(0, ((useless *)(_t64_temp_env._user_except))->baloney, CORBA::Long );
                                            flick_iiopxx_decode_end_chunk(4);
                                            break;
                                            {
                                            _flick_abort100:
                                              goto _flick_abort97;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort97);
                                            break;
                                          }
                                        }
                                      break;
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort97);
                                      break;
                                    }
                                  }
                                break;
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort97);
                                break;
                              }
                            }
                          break;
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort97);
                          break;
                        }
                      }
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort97);
                    break;
                  }
                }
              flick_corbaxx_exception_to_env(CORBA::Environment &, _ev, flick_corbaxx_env , _t64_temp_env);
              flick_iiopxx_decode_end_glob(28);
              break;
              {
              _flick_abort97:
                goto _flick_abort76;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort76:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort75);
    _flick_abort75:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

