#include "ttcp-server.h"

POA_ttcp::POA_ttcp()
{}

POA_ttcp::POA_ttcp(const POA_ttcp &rhs)
  : TAO_ServantBase(rhs)
{}

POA_ttcp::~POA_ttcp()
{}

ttcp *POA_ttcp::_this(CORBA::Environment &_env)
{
  TAO_Stub *stub = this->_create_stub(_env);
  TAO_CHECK_ENV_RETURN(_env, 0);
  return new _tao_collocated_ttcp(this, stub);
}

CORBA::Boolean POA_ttcp::_is_a(const CORBA::Char *type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)type_id, "IDL:ttcp:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return 0;
}

void *POA_ttcp::_downcast(const char *logical_type_id)
{
  if(ACE_OS::strcmp(logical_type_id, "IDL:ttcp:1.0") == 0)
    return ACE_static_cast(POA_ttcp_ptr , this);
   
  if(ACE_OS::strcmp(logical_type_id, "IDL:omg.org/CORBA/Object:1.0") == 0)
    return ACE_static_cast(PortableServer::Servant, this);
  return 0;
}

const char *POA_ttcp::_interface_repository_id() const
{
  return "IDL:ttcp:1.0";
}

template <class T>
  POA_ttcp_tie<T>::POA_ttcp_tie(T &t)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(0)
{}

template <class T>
  POA_ttcp_tie<T>::POA_ttcp_tie(T &t, PortableServer::POA_ptr poa)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(0)
{}

template <class T>
  POA_ttcp_tie<T>::POA_ttcp_tie(T *t, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(release)
{}

template <class T>
  POA_ttcp_tie<T>::POA_ttcp_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(release)
{}

template <class T>
  POA_ttcp_tie<T>::~POA_ttcp_tie()
{
  if( this->rel_ ) delete this->ptr_;
}

template <class T>
  T *POA_ttcp_tie<T>::_tied_object()
{
  return this->ptr_;
}

template <class T>
  void POA_ttcp_tie<T>::_tied_object(T &obj)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = &obj;
  this->rel_ = 0;
}

template <class T>
  void POA_ttcp_tie<T>::_tied_object(T &obj, CORBA::Boolean release)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = obj;
  this->rel_ = release;
}

template <class T>
  CORBA::Boolean POA_ttcp_tie<T>::_is_owner()
{
  return this->rel_;
}

template <class T>
  void POA_ttcp_tie<T>::_is_owner(CORBA::Boolean b)
{
  this->rel_ = b;
}

template <class T>
  PortableServer::POA_ptr POA_ttcp_tie<T>::_default_POA()
{
  if( !(CORBA::is_nil(this->poa_.in())) )
    return PortableServer::POA::_duplicate(this->poa_.in());
  else
  {
    TAO_POA *poa = TAO_ORB_Core_instance()->root_poa();
    PortableServer::POA_var result = poa->_this(env);
    if( env.exception() != 0 )
      return PortableServer::POA::_nil();
    else
      return result._retn();
  }
}

template <class T>
  POA_ttcp_tie<T>::POA_ttcp_tie(const POA_ttcp_tie &c)
{}

template <class T>
  void POA_ttcp_tie<T>::operator=(const POA_ttcp_tie &c)
{}

template <class T>
  CORBA::Long POA_ttcp_tie<T>::inttest(/* POA_ttcp *this, */ const intBuffer &data, CORBA::Environment &_ev)
{
  return this->ptr_->inttest (data, _ev);
}

template <class T>
  CORBA::Long POA_ttcp_tie<T>::structtest(/* POA_ttcp *this, */ const structBuffer &data, CORBA::Environment &_ev)
{
  return this->ptr_->structtest (data, _ev);
}

_tao_collocated_ttcp::_tao_collocated_ttcp(POA_ttcp_ptr servant, TAO_Stub *stub)
  : ttcp(),
    CORBA_Object(stub, servant, 1),
    servant_ (servant)
{
}

POA_ttcp_ptr _tao_collocated_ttcp::_get_servant() const
{
  return this->servant_;
}

CORBA::Long _tao_collocated_ttcp::inttest(const intBuffer &data, CORBA::Environment &_ev)
{
  return this->servant_->inttest (data, _ev);
}

CORBA::Long _tao_collocated_ttcp::structtest(const structBuffer &data, CORBA::Environment &_ev)
{
  return this->servant_->structtest (data, _ev);
}

CORBA::Boolean _tao_collocated_ttcp::_is_a(const char *type_id, CORBA::Environment &_ev)
{
  return this->servant_->_is_a (type_id, _ev);
}

int flick_marshal_stub_ttcp(flick_marshal_stream_t _stream, ttcp_ptr *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdrxx_encode_IOR(iiopxx, *_data, 0, ttcp , _flick_abort0);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_ttcp(flick_marshal_stream_t _stream, ttcp_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdrxx_decode_IOR(iiopxx, *_data, 1, ttcp , _flick_abort1);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_ttcp_swap(flick_marshal_stream_t _stream, ttcp_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swapxx_decode_IOR(iiopxx, *_data, 1, ttcp , _flick_abort2);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

void POA_ttcp::_dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env){
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_InputCDR &_in_cdr = _tao_req.incoming();
  TAO_OutputCDR &_out_cdr = _tao_req.outgoing();
  flick_iiopxx_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (_in_cdr.do_byte_swap()) {
  {
    unsigned int _t64_switch_tag;

    flick_iiopxx_decode_new_glob(20);
    flick_iiopxx_check_span(16, _flick_abort5);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t64_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t64_switch_tag)
      {
      case (unsigned int) 8:
        {
          unsigned int _t65_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t65_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t65_switch_tag)
            {
            case /* intt */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768846452):
              {
                unsigned int _t66_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t66_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t66_switch_tag)
                  {
                  case /* est */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1702065152):
                    {
                      {
                        POA_ttcp *_local_this;
                        unsigned int _t67_principal_len;
                        CORBA::Long _return;
                        intBuffer _local_data;
                        CORBA::ULong _t68_array_iter;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort156);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t67_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(20);
                        flick_iiopxx_check_span(_t67_principal_len, _flick_abort156);
                        flick_iiopxx_decode_new_glob(_t67_principal_len);
                        flick_iiopxx_decode_new_chunk(_t67_principal_len);
                        flick_iiopxx_decode_end_chunk(_t67_principal_len);
                        flick_iiopxx_decode_end_glob(_t67_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort156);
                        flick_cdr_swap_decode_unsigned32(0, _local_data._length, CORBA::ULong );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(4 * _local_data._length);
                        {
                          CORBA::Long *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Long *)new (CORBA::Long [_local_data._length]);
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort156);
                          _local_data._buffer = _t_alloc_ptr;
                          _local_data._maximum = _local_data._length;
                          _local_data._release = 1;
                        }
                        flick_iiopxx_check_span(_local_data._length * 4, _flick_abort156);
                        for (_t68_array_iter = 0; _t68_array_iter < _local_data._length; _t68_array_iter++)
                          {
                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_swap_decode_signed32(0, _local_data._buffer[_t68_array_iter], CORBA::Long );
                            flick_iiopxx_decode_end_chunk(4);
                            continue;
                          }
                        flick_iiopxx_decode_end_glob(4 * _local_data._length);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->inttest(_local_data, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t69_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t69_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort156);
                          flick_iiopxx_encode_new_glob(28, _flick_abort156);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t69_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t69_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(28);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(28);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort170);
                                break;
                                {
                                _flick_abort170:
                                  goto _flick_abort156;
                                }
                              }
                            default:
                              {
                                flick_corbaxx_env _t71_temp_env;

                                flick_corbaxx_env_to_exception(CORBA::Environment &, _ev, flick_corbaxx_env , _t71_temp_env);

                                switch ((unsigned int )(1+strlen(_t71_temp_env._id)))
                                  {
                                  case (unsigned int) 16:
                                    {
                                      switch (*(unsigned int *)(_t71_temp_env._id + 0))
                                        {
                                        case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                                          {
                                            switch (*(unsigned int *)(_t71_temp_env._id + 4))
                                              {
                                              case /* usel */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1970496876):
                                                {
                                                  switch (*(unsigned int *)(_t71_temp_env._id + 8))
                                                    {
                                                    case /* ess: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1702064954):
                                                      {
                                                        switch (*(unsigned int *)(_t71_temp_env._id + 12))
                                                          {
                                                          case /* 1.0 */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 825110528):
                                                            {
                                                              flick_iiopxx_encode_new_chunk(24);
                                                              flick_cdr_encode_unsigned32(0, 16, flick_unsigned32_t );
                                                              flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                              flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                              flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                              flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                              flick_cdr_encode_char8(8, 'u', flick_char8_t );
                                                              flick_cdr_encode_char8(9, 's', flick_char8_t );
                                                              flick_cdr_encode_char8(10, 'e', flick_char8_t );
                                                              flick_cdr_encode_char8(11, 'l', flick_char8_t );
                                                              flick_cdr_encode_char8(12, 'e', flick_char8_t );
                                                              flick_cdr_encode_char8(13, 's', flick_char8_t );
                                                              flick_cdr_encode_char8(14, 's', flick_char8_t );
                                                              flick_cdr_encode_char8(15, ':', flick_char8_t );
                                                              flick_cdr_encode_char8(16, '1', flick_char8_t );
                                                              flick_cdr_encode_char8(17, '.', flick_char8_t );
                                                              flick_cdr_encode_char8(18, '0', flick_char8_t );
                                                              flick_cdr_encode_char8(19, 0, flick_char8_t );
                                                              flick_cdr_encode_signed32(20, ((useless *)(_t71_temp_env._user_except))->baloney, CORBA::Long );
                                                              flick_iiopxx_encode_end_chunk(24);
                                                              break;
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort171);
                                                              break;
                                                            }
                                                          }
                                                        break;
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort171);
                                                        break;
                                                      }
                                                    }
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort171);
                                                  break;
                                                }
                                              }
                                            break;
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort171);
                                            break;
                                          }
                                        }
                                      break;
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort171);
                                      break;
                                    }
                                  }
                                flick_iiopxx_encode_end_glob(28);
                                break;
                                {
                                _flick_abort171:
                                  goto _flick_abort156;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort156:
                          goto _flick_abort155;
                        }
                      }
                      break;
                      {
                      _flick_abort155:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          unsigned int _t72_switch_tag;

          flick_iiopxx_check_span(16, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t72_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t72_switch_tag)
            {
            case /* stru */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1937011317):
              {
                unsigned int _t73_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t73_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t73_switch_tag)
                  {
                  case /* ctte */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1668576357):
                    {
                      unsigned short int _t74_switch_tag;

                      flick_iiopxx_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t74_switch_tag, unsigned short int );
                      flick_iiopxx_decode_end_chunk(2);
                      switch ((unsigned short int )_t74_switch_tag)
                        {
                        case /* st */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29556):
                          {
                            char _t75_switch_tag;

                            flick_iiopxx_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t75_switch_tag, char );
                            flick_iiopxx_decode_end_chunk(1);
                            switch ((char )_t75_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    POA_ttcp *_local_this;
                                    unsigned int _t76_principal_len;
                                    CORBA::Long _return;
                                    structBuffer _local_data;
                                    CORBA::ULong _t77_array_iter;
                                    CORBA::Environment _ev;

                                    flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort176);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_iiopxx_decode_new_chunk(5);
                                    flick_cdr_swap_decode_unsigned32(1, _t76_principal_len, unsigned int );
                                    flick_iiopxx_decode_end_chunk(5);
                                    flick_iiopxx_decode_end_glob(20);
                                    flick_iiopxx_check_span(_t76_principal_len, _flick_abort176);
                                    flick_iiopxx_decode_new_glob(_t76_principal_len);
                                    flick_iiopxx_decode_new_chunk(_t76_principal_len);
                                    flick_iiopxx_decode_end_chunk(_t76_principal_len);
                                    flick_iiopxx_decode_end_glob(_t76_principal_len);
                                    /* Begin decode phase on parameters */
                                    _return = 0;
                                    flick_iiopxx_decode_new_glob(7);
                                    flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_iiopxx_check_span(4, _flick_abort176);
                                    flick_cdr_swap_decode_unsigned32(0, _local_data._length, CORBA::ULong );
                                    flick_iiopxx_decode_end_chunk(4);
                                    flick_iiopxx_decode_end_glob(7);
                                    flick_iiopxx_decode_new_glob(16 * _local_data._length);
                                    {
                                      struct b *_t_alloc_ptr;

                                      _t_alloc_ptr = (struct b *)new (struct b [_local_data._length]);
                                      if (!_t_alloc_ptr)
                                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort176);
                                      _local_data._buffer = _t_alloc_ptr;
                                      _local_data._maximum = _local_data._length;
                                      _local_data._release = 1;
                                    }
                                    flick_iiopxx_check_span(_local_data._length * 16, _flick_abort176);
                                    for (_t77_array_iter = 0; _t77_array_iter < _local_data._length; _t77_array_iter++)
                                      {
                                        flick_iiopxx_decode_new_chunk(16);
                                        flick_cdr_swap_decode_signed32(0, _local_data._buffer[_t77_array_iter].x.xx, CORBA::Long );
                                        flick_cdr_swap_decode_signed32(4, _local_data._buffer[_t77_array_iter].x.yy, CORBA::Long );
                                        flick_cdr_swap_decode_signed32(8, _local_data._buffer[_t77_array_iter].y.xx, CORBA::Long );
                                        flick_cdr_swap_decode_signed32(12, _local_data._buffer[_t77_array_iter].y.yy, CORBA::Long );
                                        flick_iiopxx_decode_end_chunk(16);
                                        continue;
                                      }
                                    flick_iiopxx_decode_end_glob(16 * _local_data._length);
                                    flick_iiopxx_server_end_decode();
                                    flick_corbaxx_init_environment();
                                    _return = _local_this->structtest(_local_data, _ev);
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_iiopxx_server_start_encode();
                                    {
                                      int _t78_temp_major;

                                      flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t78_temp_major);

                                      flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort176);
                                      flick_iiopxx_encode_new_glob(28, _flick_abort176);
                                      flick_iiopxx_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _t78_temp_major, int );
                                      flick_iiopxx_encode_end_chunk(4);
                                      switch (_t78_temp_major)
                                        {
                                        case CORBA::NO_EXCEPTION:
                                          {
                                            /* Begin encode phase on parameters */
                                            flick_iiopxx_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                            flick_iiopxx_encode_end_chunk(4);
                                            flick_iiopxx_encode_end_glob(28);
                                            break;
                                          }
                                        case CORBA::SYSTEM_EXCEPTION:
                                          {
                                            flick_iiopxx_encode_end_glob(28);
                                            flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort190);
                                            break;
                                            {
                                            _flick_abort190:
                                              goto _flick_abort176;
                                            }
                                          }
                                        default:
                                          {
                                            flick_corbaxx_env _t80_temp_env;

                                            flick_corbaxx_env_to_exception(CORBA::Environment &, _ev, flick_corbaxx_env , _t80_temp_env);

                                            switch ((unsigned int )(1+strlen(_t80_temp_env._id)))
                                              {
                                              case (unsigned int) 16:
                                                {
                                                  switch (*(unsigned int *)(_t80_temp_env._id + 0))
                                                    {
                                                    case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                                                      {
                                                        switch (*(unsigned int *)(_t80_temp_env._id + 4))
                                                          {
                                                          case /* usel */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1970496876):
                                                            {
                                                              switch (*(unsigned int *)(_t80_temp_env._id + 8))
                                                                {
                                                                case /* ess: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1702064954):
                                                                  {
                                                                    switch (*(unsigned int *)(_t80_temp_env._id + 12))
                                                                      {
                                                                      case /* 1.0 */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 825110528):
                                                                        {
                                                                          flick_iiopxx_encode_new_chunk(24);
                                                                          flick_cdr_encode_unsigned32(0, 16, flick_unsigned32_t );
                                                                          flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                                          flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                                          flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                                          flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                                          flick_cdr_encode_char8(8, 'u', flick_char8_t );
                                                                          flick_cdr_encode_char8(9, 's', flick_char8_t );
                                                                          flick_cdr_encode_char8(10, 'e', flick_char8_t );
                                                                          flick_cdr_encode_char8(11, 'l', flick_char8_t );
                                                                          flick_cdr_encode_char8(12, 'e', flick_char8_t );
                                                                          flick_cdr_encode_char8(13, 's', flick_char8_t );
                                                                          flick_cdr_encode_char8(14, 's', flick_char8_t );
                                                                          flick_cdr_encode_char8(15, ':', flick_char8_t );
                                                                          flick_cdr_encode_char8(16, '1', flick_char8_t );
                                                                          flick_cdr_encode_char8(17, '.', flick_char8_t );
                                                                          flick_cdr_encode_char8(18, '0', flick_char8_t );
                                                                          flick_cdr_encode_char8(19, 0, flick_char8_t );
                                                                          flick_cdr_encode_signed32(20, ((useless *)(_t80_temp_env._user_except))->baloney, CORBA::Long );
                                                                          flick_iiopxx_encode_end_chunk(24);
                                                                          break;
                                                                        }
                                                                      default:
                                                                        {
                                                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort191);
                                                                          break;
                                                                        }
                                                                      }
                                                                    break;
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort191);
                                                                    break;
                                                                  }
                                                                }
                                                              break;
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort191);
                                                              break;
                                                            }
                                                          }
                                                        break;
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort191);
                                                        break;
                                                      }
                                                    }
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort191);
                                                  break;
                                                }
                                              }
                                            flick_iiopxx_encode_end_glob(28);
                                            break;
                                            {
                                            _flick_abort191:
                                              goto _flick_abort176;
                                            }
                                          }
                                        }
                                    }
                                    flick_iiopxx_server_end_encode();
                                    break;
                                    {
                                    _flick_abort176:
                                      goto _flick_abort175;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort175:
                                    goto _flick_abort5;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                                  flick_iiopxx_decode_end_glob(20);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t81_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t81_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t81_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t82_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t82_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t82_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_ttcp *_local_this;
                        unsigned int _t83_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t84_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort196);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t83_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(20);
                        flick_iiopxx_check_span(_t83_principal_len, _flick_abort196);
                        flick_iiopxx_decode_new_glob(_t83_principal_len);
                        flick_iiopxx_decode_new_chunk(_t83_principal_len);
                        flick_iiopxx_decode_end_chunk(_t83_principal_len);
                        flick_iiopxx_decode_end_glob(_t83_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort196);
                        flick_cdr_swap_decode_unsigned32(0, _t84_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t84_temp_string_len);
                        flick_iiopxx_check_span(1 * _t84_temp_string_len, _flick_abort196);
                        flick_iiopxx_decode_new_chunk(1 * _t84_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_type_id, CORBA::Char *);
                        flick_iiopxx_decode_end_chunk(1 * _t84_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t84_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t85_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t85_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort196);
                          flick_iiopxx_encode_new_glob(5, _flick_abort196);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t85_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t85_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort204);
                                break;
                                {
                                _flick_abort204:
                                  goto _flick_abort196;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort205);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort205:
                                  goto _flick_abort196;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort196:
                          goto _flick_abort195;
                        }
                      }
                      break;
                      {
                      _flick_abort195:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
          flick_iiopxx_decode_end_glob(20);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t21_switch_tag;

    flick_iiopxx_decode_new_glob(20);
    flick_iiopxx_check_span(16, _flick_abort5);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t21_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t21_switch_tag)
      {
      case (unsigned int) 8:
        {
          unsigned int _t22_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t22_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t22_switch_tag)
            {
            case /* intt */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768846452):
              {
                unsigned int _t23_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t23_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t23_switch_tag)
                  {
                  case /* est */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1702065152):
                    {
                      {
                        POA_ttcp *_local_this;
                        unsigned int _t24_principal_len;
                        CORBA::Long _return;
                        intBuffer _local_data;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort56);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t24_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(20);
                        flick_iiopxx_check_span(_t24_principal_len, _flick_abort56);
                        flick_iiopxx_decode_new_glob(_t24_principal_len);
                        flick_iiopxx_decode_new_chunk(_t24_principal_len);
                        flick_iiopxx_decode_end_chunk(_t24_principal_len);
                        flick_iiopxx_decode_end_glob(_t24_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort56);
                        flick_cdr_decode_unsigned32(0, _local_data._length, CORBA::ULong );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(4 * _local_data._length);
                        flick_iiopxx_check_span(4 * _local_data._length, _flick_abort56);
                        flick_iiopxx_decode_new_chunk(4 * _local_data._length);
                        flick_cdr_decode_msgptr(0, _local_data._buffer, CORBA::Long *);
                        _local_data._maximum = _local_data._length;
                        _local_data._release = 0;
                        flick_iiopxx_decode_end_chunk(4 * _local_data._length);
                        flick_iiopxx_decode_end_glob(4 * _local_data._length);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->inttest(_local_data, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t25_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t25_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort56);
                          flick_iiopxx_encode_new_glob(28, _flick_abort56);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t25_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t25_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(28);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(28);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort67);
                                break;
                                {
                                _flick_abort67:
                                  goto _flick_abort56;
                                }
                              }
                            default:
                              {
                                flick_corbaxx_env _t27_temp_env;

                                flick_corbaxx_env_to_exception(CORBA::Environment &, _ev, flick_corbaxx_env , _t27_temp_env);

                                switch ((unsigned int )(1+strlen(_t27_temp_env._id)))
                                  {
                                  case (unsigned int) 16:
                                    {
                                      switch (*(unsigned int *)(_t27_temp_env._id + 0))
                                        {
                                        case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                                          {
                                            switch (*(unsigned int *)(_t27_temp_env._id + 4))
                                              {
                                              case /* usel */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1970496876):
                                                {
                                                  switch (*(unsigned int *)(_t27_temp_env._id + 8))
                                                    {
                                                    case /* ess: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1702064954):
                                                      {
                                                        switch (*(unsigned int *)(_t27_temp_env._id + 12))
                                                          {
                                                          case /* 1.0 */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 825110528):
                                                            {
                                                              flick_iiopxx_encode_new_chunk(24);
                                                              flick_cdr_encode_unsigned32(0, 16, flick_unsigned32_t );
                                                              flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                              flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                              flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                              flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                              flick_cdr_encode_char8(8, 'u', flick_char8_t );
                                                              flick_cdr_encode_char8(9, 's', flick_char8_t );
                                                              flick_cdr_encode_char8(10, 'e', flick_char8_t );
                                                              flick_cdr_encode_char8(11, 'l', flick_char8_t );
                                                              flick_cdr_encode_char8(12, 'e', flick_char8_t );
                                                              flick_cdr_encode_char8(13, 's', flick_char8_t );
                                                              flick_cdr_encode_char8(14, 's', flick_char8_t );
                                                              flick_cdr_encode_char8(15, ':', flick_char8_t );
                                                              flick_cdr_encode_char8(16, '1', flick_char8_t );
                                                              flick_cdr_encode_char8(17, '.', flick_char8_t );
                                                              flick_cdr_encode_char8(18, '0', flick_char8_t );
                                                              flick_cdr_encode_char8(19, 0, flick_char8_t );
                                                              flick_cdr_encode_signed32(20, ((useless *)(_t27_temp_env._user_except))->baloney, CORBA::Long );
                                                              flick_iiopxx_encode_end_chunk(24);
                                                              break;
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort68);
                                                              break;
                                                            }
                                                          }
                                                        break;
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort68);
                                                        break;
                                                      }
                                                    }
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort68);
                                                  break;
                                                }
                                              }
                                            break;
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort68);
                                            break;
                                          }
                                        }
                                      break;
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort68);
                                      break;
                                    }
                                  }
                                flick_iiopxx_encode_end_glob(28);
                                break;
                                {
                                _flick_abort68:
                                  goto _flick_abort56;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort56:
                          goto _flick_abort55;
                        }
                      }
                      break;
                      {
                      _flick_abort55:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          unsigned int _t28_switch_tag;

          flick_iiopxx_check_span(16, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t28_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t28_switch_tag)
            {
            case /* stru */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1937011317):
              {
                unsigned int _t29_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t29_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t29_switch_tag)
                  {
                  case /* ctte */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1668576357):
                    {
                      unsigned short int _t30_switch_tag;

                      flick_iiopxx_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t30_switch_tag, unsigned short int );
                      flick_iiopxx_decode_end_chunk(2);
                      switch ((unsigned short int )_t30_switch_tag)
                        {
                        case /* st */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29556):
                          {
                            char _t31_switch_tag;

                            flick_iiopxx_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t31_switch_tag, char );
                            flick_iiopxx_decode_end_chunk(1);
                            switch ((char )_t31_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    POA_ttcp *_local_this;
                                    unsigned int _t32_principal_len;
                                    CORBA::Long _return;
                                    structBuffer _local_data;
                                    CORBA::ULong _t33_array_iter;
                                    CORBA::Environment _ev;

                                    flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort73);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_iiopxx_decode_new_chunk(5);
                                    flick_cdr_decode_unsigned32(1, _t32_principal_len, unsigned int );
                                    flick_iiopxx_decode_end_chunk(5);
                                    flick_iiopxx_decode_end_glob(20);
                                    flick_iiopxx_check_span(_t32_principal_len, _flick_abort73);
                                    flick_iiopxx_decode_new_glob(_t32_principal_len);
                                    flick_iiopxx_decode_new_chunk(_t32_principal_len);
                                    flick_iiopxx_decode_end_chunk(_t32_principal_len);
                                    flick_iiopxx_decode_end_glob(_t32_principal_len);
                                    /* Begin decode phase on parameters */
                                    _return = 0;
                                    flick_iiopxx_decode_new_glob(7);
                                    flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_iiopxx_check_span(4, _flick_abort73);
                                    flick_cdr_decode_unsigned32(0, _local_data._length, CORBA::ULong );
                                    flick_iiopxx_decode_end_chunk(4);
                                    flick_iiopxx_decode_end_glob(7);
                                    flick_iiopxx_decode_new_glob(16 * _local_data._length);
                                    {
                                      struct b *_t_alloc_ptr;

                                      _t_alloc_ptr = (struct b *)new (struct b [_local_data._length]);
                                      if (!_t_alloc_ptr)
                                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort73);
                                      _local_data._buffer = _t_alloc_ptr;
                                      _local_data._maximum = _local_data._length;
                                      _local_data._release = 1;
                                    }
                                    flick_iiopxx_check_span(_local_data._length * 16, _flick_abort73);
                                    for (_t33_array_iter = 0; _t33_array_iter < _local_data._length; _t33_array_iter++)
                                      {
                                        flick_iiopxx_decode_new_chunk(16);
                                        flick_cdr_decode_signed32(0, _local_data._buffer[_t33_array_iter].x.xx, CORBA::Long );
                                        flick_cdr_decode_signed32(4, _local_data._buffer[_t33_array_iter].x.yy, CORBA::Long );
                                        flick_cdr_decode_signed32(8, _local_data._buffer[_t33_array_iter].y.xx, CORBA::Long );
                                        flick_cdr_decode_signed32(12, _local_data._buffer[_t33_array_iter].y.yy, CORBA::Long );
                                        flick_iiopxx_decode_end_chunk(16);
                                        continue;
                                      }
                                    flick_iiopxx_decode_end_glob(16 * _local_data._length);
                                    flick_iiopxx_server_end_decode();
                                    flick_corbaxx_init_environment();
                                    _return = _local_this->structtest(_local_data, _ev);
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_iiopxx_server_start_encode();
                                    {
                                      int _t34_temp_major;

                                      flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t34_temp_major);

                                      flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort73);
                                      flick_iiopxx_encode_new_glob(28, _flick_abort73);
                                      flick_iiopxx_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _t34_temp_major, int );
                                      flick_iiopxx_encode_end_chunk(4);
                                      switch (_t34_temp_major)
                                        {
                                        case CORBA::NO_EXCEPTION:
                                          {
                                            /* Begin encode phase on parameters */
                                            flick_iiopxx_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                            flick_iiopxx_encode_end_chunk(4);
                                            flick_iiopxx_encode_end_glob(28);
                                            break;
                                          }
                                        case CORBA::SYSTEM_EXCEPTION:
                                          {
                                            flick_iiopxx_encode_end_glob(28);
                                            flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort87);
                                            break;
                                            {
                                            _flick_abort87:
                                              goto _flick_abort73;
                                            }
                                          }
                                        default:
                                          {
                                            flick_corbaxx_env _t36_temp_env;

                                            flick_corbaxx_env_to_exception(CORBA::Environment &, _ev, flick_corbaxx_env , _t36_temp_env);

                                            switch ((unsigned int )(1+strlen(_t36_temp_env._id)))
                                              {
                                              case (unsigned int) 16:
                                                {
                                                  switch (*(unsigned int *)(_t36_temp_env._id + 0))
                                                    {
                                                    case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                                                      {
                                                        switch (*(unsigned int *)(_t36_temp_env._id + 4))
                                                          {
                                                          case /* usel */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1970496876):
                                                            {
                                                              switch (*(unsigned int *)(_t36_temp_env._id + 8))
                                                                {
                                                                case /* ess: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1702064954):
                                                                  {
                                                                    switch (*(unsigned int *)(_t36_temp_env._id + 12))
                                                                      {
                                                                      case /* 1.0 */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 825110528):
                                                                        {
                                                                          flick_iiopxx_encode_new_chunk(24);
                                                                          flick_cdr_encode_unsigned32(0, 16, flick_unsigned32_t );
                                                                          flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                                          flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                                          flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                                          flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                                          flick_cdr_encode_char8(8, 'u', flick_char8_t );
                                                                          flick_cdr_encode_char8(9, 's', flick_char8_t );
                                                                          flick_cdr_encode_char8(10, 'e', flick_char8_t );
                                                                          flick_cdr_encode_char8(11, 'l', flick_char8_t );
                                                                          flick_cdr_encode_char8(12, 'e', flick_char8_t );
                                                                          flick_cdr_encode_char8(13, 's', flick_char8_t );
                                                                          flick_cdr_encode_char8(14, 's', flick_char8_t );
                                                                          flick_cdr_encode_char8(15, ':', flick_char8_t );
                                                                          flick_cdr_encode_char8(16, '1', flick_char8_t );
                                                                          flick_cdr_encode_char8(17, '.', flick_char8_t );
                                                                          flick_cdr_encode_char8(18, '0', flick_char8_t );
                                                                          flick_cdr_encode_char8(19, 0, flick_char8_t );
                                                                          flick_cdr_encode_signed32(20, ((useless *)(_t36_temp_env._user_except))->baloney, CORBA::Long );
                                                                          flick_iiopxx_encode_end_chunk(24);
                                                                          break;
                                                                        }
                                                                      default:
                                                                        {
                                                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort88);
                                                                          break;
                                                                        }
                                                                      }
                                                                    break;
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort88);
                                                                    break;
                                                                  }
                                                                }
                                                              break;
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort88);
                                                              break;
                                                            }
                                                          }
                                                        break;
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort88);
                                                        break;
                                                      }
                                                    }
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort88);
                                                  break;
                                                }
                                              }
                                            flick_iiopxx_encode_end_glob(28);
                                            break;
                                            {
                                            _flick_abort88:
                                              goto _flick_abort73;
                                            }
                                          }
                                        }
                                    }
                                    flick_iiopxx_server_end_encode();
                                    break;
                                    {
                                    _flick_abort73:
                                      goto _flick_abort72;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort72:
                                    goto _flick_abort5;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                                  flick_iiopxx_decode_end_glob(20);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t37_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t37_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t37_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t38_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t38_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t38_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_ttcp *_local_this;
                        unsigned int _t39_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t40_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort93);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t39_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(20);
                        flick_iiopxx_check_span(_t39_principal_len, _flick_abort93);
                        flick_iiopxx_decode_new_glob(_t39_principal_len);
                        flick_iiopxx_decode_new_chunk(_t39_principal_len);
                        flick_iiopxx_decode_end_chunk(_t39_principal_len);
                        flick_iiopxx_decode_end_glob(_t39_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort93);
                        flick_cdr_decode_unsigned32(0, _t40_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t40_temp_string_len);
                        flick_iiopxx_check_span(1 * _t40_temp_string_len, _flick_abort93);
                        flick_iiopxx_decode_new_chunk(1 * _t40_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_type_id, CORBA::Char *);
                        flick_iiopxx_decode_end_chunk(1 * _t40_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t40_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t41_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t41_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort93);
                          flick_iiopxx_encode_new_glob(5, _flick_abort93);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t41_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t41_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort101);
                                break;
                                {
                                _flick_abort101:
                                  goto _flick_abort93;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort102);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort102:
                                  goto _flick_abort93;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort93:
                          goto _flick_abort92;
                        }
                      }
                      break;
                      {
                      _flick_abort92:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
          flick_iiopxx_decode_end_glob(20);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return;
  {
  _flick_abort5:
    flick_corbaxx_server_error(cdr, iiopxx, _flick_reaper, _flick_abort4);
  _flick_abort4:
    return ;
  }
_flick_reaper:
  return ;
}

