#ifndef _turtle_client_client_h_
#define _turtle_client_client_h_

#include <flick/link/iiopxx.h>
#include <flick/encode/cdr.h>
#include <flick/pres/corbaxx.h>

class Client ;


typedef Client *Client_ptr;

class Client_var {

public:
  Client_var();
  Client_var(Client_ptr p);
  Client_var(const Client_var &a);
  ~Client_var();
  Client_var &operator=(Client_ptr p);
  Client_var &operator=(const Client_var &p);
  Client_ptr operator->() const;
  operator const Client_ptr &() const;
  operator Client_ptr &();
  Client_ptr in() const;
  Client_ptr &inout();
  Client_ptr &out();
  Client_ptr _retn();
  Client_ptr ptr() const;

private:
  Client_ptr ptr_;
} ;


class Client_out {

public:
  Client_out(Client_ptr &r);
  Client_out(Client_var &r);
  Client_out(const Client_out &r);
  Client_out &operator=(const Client_out &r);
  Client_out &operator=(const Client_var &r);
  Client_out &operator=(Client_ptr r);
  operator Client_ptr &();
  Client_ptr &ptr();
  Client_ptr operator->();

private:
  Client_ptr &ptr_;
} ;


class Client : public virtual ACE_CORBA_1 (Object) {

public:
  static Client_ptr _duplicate(Client_ptr obj);
  static Client_ptr _narrow(CORBA::Object_ptr obj, CORBA::Environment &_env = CORBA::Environment::default_environment());
  static Client_ptr _unchecked_narrow(CORBA::Object_ptr _obj, CORBA::Environment &_env = CORBA::Environment::default_environment());
  static Client_ptr _nil();
  virtual CORBA::Boolean _is_a(const CORBA::Char *_type_id, CORBA::Environment &_env = CORBA::Environment::default_environment());
  virtual const char *_interface_repository_id() const;

protected:
  Client();
  virtual ~Client();

private:
  Client(const Client &v);
  void operator=(const Client &v);

public:
  virtual CORBA::Long SetLeft(/* Client *this, */ CORBA::Long speed, CORBA::Environment &_ev);
  virtual CORBA::Long SetRight(/* Client *this, */ CORBA::Long speed, CORBA::Environment &_ev);
  virtual CORBA::Long GetButton(/* Client *this, */ CORBA::Environment &_ev);
  virtual CORBA::Long GetPhoto(/* Client *this, */ CORBA::Environment &_ev);

protected:
  Client(TAO_Stub *objref, TAO_ServantBase *_tao_servant = 0, CORBA::Boolean _tao_collocated = 0);
} ;


int flick_marshal_stub_Client(flick_marshal_stream_t _stream, const Client_ptr *_data);

int flick_unmarshal_stub_Client(flick_marshal_stream_t _stream, Client_ptr *_data);

void operator<<=(CORBA::Any &a, Client_ptr o);

CORBA::Boolean operator>>=(const CORBA::Any &a, Client_ptr &o);

extern CORBA::TypeCode_ptr _tc_Client;

#endif /* _turtle_client_client_h_ */
