#ifndef _turtle_server_client_h_
#define _turtle_server_client_h_

#include <flick/link/iiopxx.h>
#include <flick/encode/cdr.h>
#include <flick/pres/corbaxx.h>

class Server ;


typedef Server *Server_ptr;

class Server_var {

public:
  Server_var();
  Server_var(Server_ptr p);
  Server_var(const Server_var &a);
  ~Server_var();
  Server_var &operator=(Server_ptr p);
  Server_var &operator=(const Server_var &p);
  Server_ptr operator->() const;
  operator const Server_ptr &() const;
  operator Server_ptr &();
  Server_ptr in() const;
  Server_ptr &inout();
  Server_ptr &out();
  Server_ptr _retn();
  Server_ptr ptr() const;

private:
  Server_ptr ptr_;
} ;


class Server_out {

public:
  Server_out(Server_ptr &r);
  Server_out(Server_var &r);
  Server_out(const Server_out &r);
  Server_out &operator=(const Server_out &r);
  Server_out &operator=(const Server_var &r);
  Server_out &operator=(Server_ptr r);
  operator Server_ptr &();
  Server_ptr &ptr();
  Server_ptr operator->();

private:
  Server_ptr &ptr_;
} ;


class Server : public virtual ACE_CORBA_1 (Object) {

public:
  static Server_ptr _duplicate(Server_ptr obj);
  static Server_ptr _narrow(CORBA::Object_ptr obj, CORBA::Environment &_env = CORBA::Environment::default_environment());
  static Server_ptr _unchecked_narrow(CORBA::Object_ptr _obj, CORBA::Environment &_env = CORBA::Environment::default_environment());
  static Server_ptr _nil();
  virtual CORBA::Boolean _is_a(const CORBA::Char *_type_id, CORBA::Environment &_env = CORBA::Environment::default_environment());
  virtual const char *_interface_repository_id() const;

protected:
  Server();
  virtual ~Server();

private:
  Server(const Server &v);
  void operator=(const Server &v);

public:
  virtual CORBA::Long SetSize(/* Server *this, */ CORBA::Long width, CORBA::Long height, CORBA::Environment &_ev);
  virtual CORBA::Long AddWall(/* Server *this, */ CORBA::Long startx, CORBA::Long starty, CORBA::Long endx, CORBA::Long endy, CORBA::Environment &_ev);
  virtual CORBA::Long DelWall(/* Server *this, */ CORBA::Long startx, CORBA::Long starty, CORBA::Long endx, CORBA::Long endy, CORBA::Environment &_ev);
  virtual CORBA::Long AddRect(/* Server *this, */ CORBA::Long left, CORBA::Long top, CORBA::Long right, CORBA::Long bottom, CORBA::Long color, CORBA::Environment &_ev);
  virtual CORBA::Long DelRect(/* Server *this, */ CORBA::Long left, CORBA::Long top, CORBA::Long right, CORBA::Long bottom, CORBA::Environment &_ev);
  virtual CORBA::Long SetTurtle(/* Server *this, */ CORBA::Long x, CORBA::Long y, CORBA::Long angle, CORBA::Environment &_ev);
  virtual CORBA::Long GetTurtle(/* Server *this, */ ::CORBA::Long &x, ::CORBA::Long &y, ::CORBA::Long &angle, CORBA::Environment &_ev);

protected:
  Server(TAO_Stub *objref, TAO_ServantBase *_tao_servant = 0, CORBA::Boolean _tao_collocated = 0);
} ;


int flick_marshal_stub_Server(flick_marshal_stream_t _stream, const Server_ptr *_data);

int flick_unmarshal_stub_Server(flick_marshal_stream_t _stream, Server_ptr *_data);

void operator<<=(CORBA::Any &a, Server_ptr o);

CORBA::Boolean operator>>=(const CORBA::Any &a, Server_ptr &o);

extern CORBA::TypeCode_ptr _tc_Server;

#endif /* _turtle_server_client_h_ */
