#include "arrayez_-server.h"

/* This is the runtime type information */
char *flick_interface_parents_arrays[] = {
	"IDL:arrays:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
int flick_marshal_stub_arrays(flick_marshal_stream_t _stream, arrays *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdr_encode_IOR(khazana, *_data, 0, _flick_abort0);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_arrays(flick_marshal_stream_t _stream, arrays *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_decode_IOR(khazana, *_data, 1);
  return 0;
}

int flick_unmarshal_stub_arrays_swap(flick_marshal_stream_t _stream, arrays *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swap_decode_IOR(khazana, *_data, 1);
  return 0;
}

int flick_marshal_stub_arrays_arr8(flick_marshal_stream_t _stream, arrays_arr8 *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(32, _flick_abort3);
  flick_khazana_encode_new_chunk(32);
  flick_cdr_encode_bcopy(0, *_data, 32);
  flick_khazana_encode_end_chunk(32);
  flick_khazana_encode_end_glob(32);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_arrays_arr8(flick_marshal_stream_t _stream, arrays_arr8 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(32);
  flick_khazana_check_span(32, _flick_abort6);
  flick_khazana_decode_new_chunk(32);
  flick_cdr_decode_bcopy(0, *_data, 32);
  flick_khazana_decode_end_chunk(32);
  flick_khazana_decode_end_glob(32);
  return 0;
  {
  _flick_abort6:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_arrays_arr8_swap(flick_marshal_stream_t _stream, arrays_arr8 *_data)
{
  flick_unsigned32_t _t0_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(32);
  flick_khazana_check_span(8 * 4, _flick_abort9);
  for (_t0_array_iter = 0; _t0_array_iter < 8; _t0_array_iter++)
    {
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, (*_data)[_t0_array_iter], CORBA_long );
      flick_khazana_decode_end_chunk(4);
      continue;
    }
  flick_khazana_decode_end_glob(32);
  return 0;
  {
  _flick_abort9:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_arrays_arr256(flick_marshal_stream_t _stream, arrays_arr256 *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(1024, _flick_abort15);
  flick_khazana_encode_new_chunk(1024);
  flick_cdr_encode_bcopy(0, *_data, 1024);
  flick_khazana_encode_end_chunk(1024);
  flick_khazana_encode_end_glob(1024);
  return 0;
  {
  _flick_abort15:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_arrays_arr256(flick_marshal_stream_t _stream, arrays_arr256 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(1024);
  flick_khazana_check_span(1024, _flick_abort18);
  flick_khazana_decode_new_chunk(1024);
  flick_cdr_decode_bcopy(0, *_data, 1024);
  flick_khazana_decode_end_chunk(1024);
  flick_khazana_decode_end_glob(1024);
  return 0;
  {
  _flick_abort18:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_arrays_arr256_swap(flick_marshal_stream_t _stream, arrays_arr256 *_data)
{
  flick_unsigned32_t _t1_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(1024);
  flick_khazana_check_span(256 * 4, _flick_abort21);
  for (_t1_array_iter = 0; _t1_array_iter < 256; _t1_array_iter++)
    {
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, (*_data)[_t1_array_iter], CORBA_long );
      flick_khazana_decode_end_chunk(4);
      continue;
    }
  flick_khazana_decode_end_glob(1024);
  return 0;
  {
  _flick_abort21:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_arrays_arr8k(flick_marshal_stream_t _stream, arrays_arr8k *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(32768, _flick_abort27);
  flick_khazana_encode_new_chunk(32768);
  flick_cdr_encode_bcopy(0, *_data, 32768);
  flick_khazana_encode_end_chunk(32768);
  flick_khazana_encode_end_glob(32768);
  return 0;
  {
  _flick_abort27:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_arrays_arr8k(flick_marshal_stream_t _stream, arrays_arr8k *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(32768);
  flick_khazana_check_span(32768, _flick_abort30);
  flick_khazana_decode_new_chunk(32768);
  flick_cdr_decode_bcopy(0, *_data, 32768);
  flick_khazana_decode_end_chunk(32768);
  flick_khazana_decode_end_glob(32768);
  return 0;
  {
  _flick_abort30:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_arrays_arr8k_swap(flick_marshal_stream_t _stream, arrays_arr8k *_data)
{
  flick_unsigned32_t _t2_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(32768);
  flick_khazana_check_span(8192 * 4, _flick_abort33);
  for (_t2_array_iter = 0; _t2_array_iter < 8192; _t2_array_iter++)
    {
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, (*_data)[_t2_array_iter], CORBA_long );
      flick_khazana_decode_end_chunk(4);
      continue;
    }
  flick_khazana_decode_end_glob(32768);
  return 0;
  {
  _flick_abort33:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

flick_operation_success_t arrays_server(FLICK_TARGET _this_obj, flick_msg_t _in_msg, flick_msg_t *_out_msg)
{
  FLICK_BUFFER *_stream;
  flick_khazana_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t63_switch_tag;

    flick_khazana_decode_new_glob(16);
    flick_khazana_check_span(16, _flick_abort41);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t63_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t63_switch_tag)
      {
      case (unsigned int) 6:
        {
          unsigned int _t64_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t64_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t64_switch_tag)
            {
            case /* test */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
              {
                unsigned short int _t65_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t65_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t65_switch_tag)
                  {
                  case /* 8 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 14336):
                    {
                      {
                        arrays _obj;
                        unsigned int _t66_principal_len;
                        CORBA_long _return;
                        CORBA_long *_local_a;
                        CORBA_long _t67_storage[8];
                        flick_unsigned32_t _t68_array_iter;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t69_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort186);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t66_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t66_principal_len, _flick_abort186);
                        flick_khazana_decode_new_glob(_t66_principal_len);
                        flick_khazana_decode_new_chunk(_t66_principal_len);
                        flick_khazana_decode_end_chunk(_t66_principal_len);
                        flick_khazana_decode_end_glob(_t66_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(56);
                        _local_a = (CORBA_long *)_t67_storage;
                        for (_t68_array_iter = 0; _t68_array_iter < 8; _t68_array_iter++)
                          {
                            flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                            flick_khazana_check_span(4, _flick_abort190);
                            flick_cdr_swap_decode_signed32(0, _local_a[_t68_array_iter], CORBA_long );
                            flick_khazana_decode_end_chunk(4);
                            continue;
                            {
                            _flick_abort190:
                              goto _flick_abort186;
                            }
                          }
                        _ev = (CORBA_Environment *)(&_t69_storage);
                        flick_khazana_decode_end_glob(56);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = arrays_test8(_obj, _local_a, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort186);
                          flick_khazana_encode_new_glob(8, _flick_abort186);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort197);
                                break;
                                {
                                _flick_abort197:
                                  goto _flick_abort186;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort198);
                                flick_khazana_encode_end_glob(8);
                                break;
                                {
                                _flick_abort198:
                                  goto _flick_abort186;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort186:
                          goto _flick_abort185;
                        }
                      }
                      break;
                      {
                      _flick_abort185:
                        goto _flick_abort41;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort41);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t70_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t70_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t70_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t71_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t72_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t73_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort200);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t71_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t71_principal_len, _flick_abort200);
                        flick_khazana_decode_new_glob(_t71_principal_len);
                        flick_khazana_decode_new_chunk(_t71_principal_len);
                        flick_khazana_decode_end_chunk(_t71_principal_len);
                        flick_khazana_decode_end_glob(_t71_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort200);
                        flick_cdr_swap_decode_unsigned32(0, _t72_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t72_temp_string_len);
                        flick_khazana_check_span(1 * _t72_temp_string_len, _flick_abort200);
                        flick_khazana_decode_new_chunk(1 * _t72_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t72_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t72_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t73_storage);
                        _par = flick_interface_parents_arrays;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort200);
                          flick_khazana_encode_new_glob(5, _flick_abort200);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort208);
                                break;
                                {
                                _flick_abort208:
                                  goto _flick_abort200;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort209);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort209:
                                  goto _flick_abort200;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort200:
                          goto _flick_abort199;
                        }
                      }
                      break;
                      {
                      _flick_abort199:
                        goto _flick_abort41;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort41);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort41);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t74_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t74_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t74_switch_tag)
            {
            case /* test */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
              {
                unsigned int _t75_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t75_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t75_switch_tag)
                  {
                  case /* 256 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 842348032):
                    {
                      {
                        arrays _obj;
                        unsigned int _t76_principal_len;
                        CORBA_long _return;
                        CORBA_long *_local_a;
                        CORBA_long _t77_storage[256];
                        flick_unsigned32_t _t78_array_iter;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t79_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort211);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t76_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t76_principal_len, _flick_abort211);
                        flick_khazana_decode_new_glob(_t76_principal_len);
                        flick_khazana_decode_new_chunk(_t76_principal_len);
                        flick_khazana_decode_end_chunk(_t76_principal_len);
                        flick_khazana_decode_end_glob(_t76_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(1792);
                        _local_a = (CORBA_long *)_t77_storage;
                        for (_t78_array_iter = 0; _t78_array_iter < 256; _t78_array_iter++)
                          {
                            flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                            flick_khazana_check_span(4, _flick_abort215);
                            flick_cdr_swap_decode_signed32(0, _local_a[_t78_array_iter], CORBA_long );
                            flick_khazana_decode_end_chunk(4);
                            continue;
                            {
                            _flick_abort215:
                              goto _flick_abort211;
                            }
                          }
                        _ev = (CORBA_Environment *)(&_t79_storage);
                        flick_khazana_decode_end_glob(1792);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = arrays_test256(_obj, _local_a, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort211);
                          flick_khazana_encode_new_glob(8, _flick_abort211);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort222);
                                break;
                                {
                                _flick_abort222:
                                  goto _flick_abort211;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort223);
                                flick_khazana_encode_end_glob(8);
                                break;
                                {
                                _flick_abort223:
                                  goto _flick_abort211;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort211:
                          goto _flick_abort210;
                        }
                      }
                      break;
                      {
                      _flick_abort210:
                        goto _flick_abort41;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort41);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort41);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          unsigned int _t80_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t80_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t80_switch_tag)
            {
            case /* test */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
              {
                unsigned short int _t81_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t81_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t81_switch_tag)
                  {
                  case /* 8k */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 14443):
                    {
                      char _t82_switch_tag;

                      flick_khazana_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t82_switch_tag, char );
                      flick_khazana_decode_end_chunk(1);
                      switch ((char )_t82_switch_tag)
                        {
                        case 0:
                          {
                            {
                              arrays _obj;
                              unsigned int _t83_principal_len;
                              CORBA_long _return;
                              CORBA_long *_local_a;
                              CORBA_long _t84_storage[8192];
                              flick_unsigned32_t _t85_array_iter;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t86_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort225);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(5);
                              flick_cdr_swap_decode_unsigned32(1, _t83_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(5);
                              flick_khazana_decode_end_glob(16);
                              flick_khazana_check_span(_t83_principal_len, _flick_abort225);
                              flick_khazana_decode_new_glob(_t83_principal_len);
                              flick_khazana_decode_new_chunk(_t83_principal_len);
                              flick_khazana_decode_end_chunk(_t83_principal_len);
                              flick_khazana_decode_end_glob(_t83_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_khazana_decode_new_glob(57344);
                              _local_a = (CORBA_long *)_t84_storage;
                              for (_t85_array_iter = 0; _t85_array_iter < 8192; _t85_array_iter++)
                                {
                                  flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                                  flick_khazana_check_span(4, _flick_abort229);
                                  flick_cdr_swap_decode_signed32(0, _local_a[_t85_array_iter], CORBA_long );
                                  flick_khazana_decode_end_chunk(4);
                                  continue;
                                  {
                                  _flick_abort229:
                                    goto _flick_abort225;
                                  }
                                }
                              flick_khazana_decode_end_glob(57344);
                              _ev = (CORBA_Environment *)(&_t86_storage);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = arrays_test8k(_obj, _local_a, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort225);
                                flick_khazana_encode_new_glob(8, _flick_abort225);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _return, CORBA_long );
                                      flick_khazana_encode_end_chunk(4);
                                      flick_khazana_encode_end_glob(8);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(8);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort236);
                                      break;
                                      {
                                      _flick_abort236:
                                        goto _flick_abort225;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort237);
                                      flick_khazana_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort237:
                                        goto _flick_abort225;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort225:
                                goto _flick_abort224;
                              }
                            }
                            break;
                            {
                            _flick_abort224:
                              goto _flick_abort41;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort41);
                            flick_khazana_decode_end_glob(16);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort41);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort41);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort41);
          flick_khazana_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t21_switch_tag;

    flick_khazana_decode_new_glob(16);
    flick_khazana_check_span(16, _flick_abort41);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t21_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t21_switch_tag)
      {
      case (unsigned int) 6:
        {
          unsigned int _t22_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t22_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t22_switch_tag)
            {
            case /* test */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
              {
                unsigned short int _t23_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t23_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t23_switch_tag)
                  {
                  case /* 8 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 14336):
                    {
                      {
                        arrays _obj;
                        unsigned int _t24_principal_len;
                        CORBA_long _return;
                        CORBA_long *_local_a;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t25_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort88);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t24_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t24_principal_len, _flick_abort88);
                        flick_khazana_decode_new_glob(_t24_principal_len);
                        flick_khazana_decode_new_chunk(_t24_principal_len);
                        flick_khazana_decode_end_chunk(_t24_principal_len);
                        flick_khazana_decode_end_glob(_t24_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(35);
                        flick_khazana_decode_new_chunk_align(32, 2, 0, 0);
                        flick_khazana_check_span(32, _flick_abort88);
                        flick_cdr_decode_msgptr(0, _local_a, CORBA_long *);
                        _ev = (CORBA_Environment *)(&_t25_storage);
                        flick_khazana_decode_end_chunk(32);
                        flick_khazana_decode_end_glob(35);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = arrays_test8(_obj, _local_a, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort88);
                          flick_khazana_encode_new_glob(8, _flick_abort88);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort96);
                                break;
                                {
                                _flick_abort96:
                                  goto _flick_abort88;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort97);
                                flick_khazana_encode_end_glob(8);
                                break;
                                {
                                _flick_abort97:
                                  goto _flick_abort88;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort88:
                          goto _flick_abort87;
                        }
                      }
                      break;
                      {
                      _flick_abort87:
                        goto _flick_abort41;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort41);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t26_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t26_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t26_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t27_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t28_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t29_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort99);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t27_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t27_principal_len, _flick_abort99);
                        flick_khazana_decode_new_glob(_t27_principal_len);
                        flick_khazana_decode_new_chunk(_t27_principal_len);
                        flick_khazana_decode_end_chunk(_t27_principal_len);
                        flick_khazana_decode_end_glob(_t27_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort99);
                        flick_cdr_decode_unsigned32(0, _t28_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t28_temp_string_len);
                        flick_khazana_check_span(1 * _t28_temp_string_len, _flick_abort99);
                        flick_khazana_decode_new_chunk(1 * _t28_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t28_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t28_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t29_storage);
                        _par = flick_interface_parents_arrays;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort99);
                          flick_khazana_encode_new_glob(5, _flick_abort99);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort107);
                                break;
                                {
                                _flick_abort107:
                                  goto _flick_abort99;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort108);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort108:
                                  goto _flick_abort99;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort99:
                          goto _flick_abort98;
                        }
                      }
                      break;
                      {
                      _flick_abort98:
                        goto _flick_abort41;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort41);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort41);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t30_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t30_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t30_switch_tag)
            {
            case /* test */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
              {
                unsigned int _t31_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t31_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t31_switch_tag)
                  {
                  case /* 256 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 842348032):
                    {
                      {
                        arrays _obj;
                        unsigned int _t32_principal_len;
                        CORBA_long _return;
                        CORBA_long *_local_a;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t33_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort110);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t32_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t32_principal_len, _flick_abort110);
                        flick_khazana_decode_new_glob(_t32_principal_len);
                        flick_khazana_decode_new_chunk(_t32_principal_len);
                        flick_khazana_decode_end_chunk(_t32_principal_len);
                        flick_khazana_decode_end_glob(_t32_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(1027);
                        flick_khazana_decode_new_chunk_align(1024, 2, 0, 0);
                        flick_khazana_check_span(1024, _flick_abort110);
                        flick_cdr_decode_msgptr(0, _local_a, CORBA_long *);
                        _ev = (CORBA_Environment *)(&_t33_storage);
                        flick_khazana_decode_end_chunk(1024);
                        flick_khazana_decode_end_glob(1027);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = arrays_test256(_obj, _local_a, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort110);
                          flick_khazana_encode_new_glob(8, _flick_abort110);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort118);
                                break;
                                {
                                _flick_abort118:
                                  goto _flick_abort110;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort119);
                                flick_khazana_encode_end_glob(8);
                                break;
                                {
                                _flick_abort119:
                                  goto _flick_abort110;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort110:
                          goto _flick_abort109;
                        }
                      }
                      break;
                      {
                      _flick_abort109:
                        goto _flick_abort41;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort41);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort41);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          unsigned int _t34_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t34_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t34_switch_tag)
            {
            case /* test */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
              {
                unsigned short int _t35_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t35_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t35_switch_tag)
                  {
                  case /* 8k */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 14443):
                    {
                      char _t36_switch_tag;

                      flick_khazana_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t36_switch_tag, char );
                      flick_khazana_decode_end_chunk(1);
                      switch ((char )_t36_switch_tag)
                        {
                        case 0:
                          {
                            {
                              arrays _obj;
                              unsigned int _t37_principal_len;
                              CORBA_long _return;
                              CORBA_long *_local_a;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t38_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort121);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(5);
                              flick_cdr_decode_unsigned32(1, _t37_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(5);
                              flick_khazana_decode_end_glob(16);
                              flick_khazana_check_span(_t37_principal_len, _flick_abort121);
                              flick_khazana_decode_new_glob(_t37_principal_len);
                              flick_khazana_decode_new_chunk(_t37_principal_len);
                              flick_khazana_decode_end_chunk(_t37_principal_len);
                              flick_khazana_decode_end_glob(_t37_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_khazana_decode_new_glob(3);
                              flick_khazana_decode_new_chunk_align(32768, 2, 0, 0);
                              flick_khazana_check_span(32768, _flick_abort121);
                              flick_cdr_decode_msgptr(0, _local_a, CORBA_long *);
                              flick_khazana_decode_end_chunk(32768);
                              flick_khazana_decode_end_glob(3);
                              _ev = (CORBA_Environment *)(&_t38_storage);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = arrays_test8k(_obj, _local_a, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort121);
                                flick_khazana_encode_new_glob(8, _flick_abort121);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _return, CORBA_long );
                                      flick_khazana_encode_end_chunk(4);
                                      flick_khazana_encode_end_glob(8);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(8);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort129);
                                      break;
                                      {
                                      _flick_abort129:
                                        goto _flick_abort121;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort130);
                                      flick_khazana_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort130:
                                        goto _flick_abort121;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort121:
                                goto _flick_abort120;
                              }
                            }
                            break;
                            {
                            _flick_abort120:
                              goto _flick_abort41;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort41);
                            flick_khazana_decode_end_glob(16);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort41);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort41);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort41);
          flick_khazana_decode_end_glob(16);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort41:
    flick_corba_server_error(cdr, khazana, _flick_reaper, _flick_abort40);
  _flick_abort40:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

