#include "atomic_-server.h"

/* This is the runtime type information */
char *flick_interface_parents_Atomic_test[] = {
	"IDL:Atomic/test:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
int flick_marshal_stub_Atomic_test(flick_marshal_stream_t _stream, Atomic_test *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdr_encode_IOR(khazana, *_data, 0, _flick_abort0);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_Atomic_test(flick_marshal_stream_t _stream, Atomic_test *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_decode_IOR(khazana, *_data, 1);
  return 0;
}

int flick_unmarshal_stub_Atomic_test_swap(flick_marshal_stream_t _stream, Atomic_test *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swap_decode_IOR(khazana, *_data, 1);
  return 0;
}

flick_operation_success_t Atomic_test_server(FLICK_TARGET _this_obj, flick_msg_t _in_msg, flick_msg_t *_out_msg)
{
  FLICK_BUFFER *_stream;
  flick_khazana_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t168_switch_tag;

    flick_khazana_decode_new_glob(16);
    flick_khazana_check_span(16, _flick_abort5);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t168_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t168_switch_tag)
      {
      case (unsigned int) 6:
        {
          unsigned int _t169_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t169_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t169_switch_tag)
            {
            case /* Shor */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1399353202):
              {
                unsigned short int _t170_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t170_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t170_switch_tag)
                  {
                  case /* t */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29696):
                    {
                      {
                        Atomic_test _obj;
                        unsigned int _t171_principal_len;
                        CORBA_short _return;
                        CORBA_short _local_a;
                        CORBA_short *_local_b;
                        CORBA_short _t172_storage;
                        CORBA_short *_local_c;
                        CORBA_short _t173_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t174_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort285);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t171_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t171_principal_len, _flick_abort285);
                        flick_khazana_decode_new_glob(_t171_principal_len);
                        flick_khazana_decode_new_chunk(_t171_principal_len);
                        flick_khazana_decode_end_chunk(_t171_principal_len);
                        flick_khazana_decode_end_glob(_t171_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(5);
                        flick_khazana_decode_new_chunk_align(4, 1, 0, 0);
                        flick_khazana_check_span(4, _flick_abort285);
                        flick_cdr_swap_decode_signed16(0, _local_a, CORBA_short );
                        _local_b = (CORBA_short *)(&_t172_storage);
                        flick_cdr_swap_decode_signed16(2, *_local_b, CORBA_short );
                        _local_c = (CORBA_short *)(&_t173_storage);
                        _ev = (CORBA_Environment *)(&_t174_storage);
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(5);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = Atomic_test_Short(_obj, _local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort285);
                          flick_khazana_encode_new_glob(10, _flick_abort285);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(6);
                                flick_cdr_encode_signed16(0, _return, CORBA_short );
                                flick_cdr_encode_signed16(2, *_local_b, CORBA_short );
                                flick_cdr_encode_signed16(4, *_local_c, CORBA_short );
                                flick_khazana_encode_end_chunk(6);
                                flick_khazana_encode_end_glob(10);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(10);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort291);
                                break;
                                {
                                _flick_abort291:
                                  goto _flick_abort285;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort292);
                                flick_khazana_encode_end_glob(10);
                                break;
                                {
                                _flick_abort292:
                                  goto _flick_abort285;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort285:
                          goto _flick_abort284;
                        }
                      }
                      break;
                      {
                      _flick_abort284:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* ULon */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1431072622):
              {
                unsigned short int _t175_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t175_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t175_switch_tag)
                  {
                  case /* g */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 26368):
                    {
                      {
                        Atomic_test _obj;
                        unsigned int _t176_principal_len;
                        CORBA_unsigned_long _return;
                        CORBA_unsigned_long _local_a;
                        CORBA_unsigned_long *_local_b;
                        CORBA_unsigned_long _t177_storage;
                        CORBA_unsigned_long *_local_c;
                        CORBA_unsigned_long _t178_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t179_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort294);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t176_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t176_principal_len, _flick_abort294);
                        flick_khazana_decode_new_glob(_t176_principal_len);
                        flick_khazana_decode_new_chunk(_t176_principal_len);
                        flick_khazana_decode_end_chunk(_t176_principal_len);
                        flick_khazana_decode_end_glob(_t176_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(11);
                        flick_khazana_decode_new_chunk_align(8, 2, 0, 0);
                        flick_khazana_check_span(8, _flick_abort294);
                        flick_cdr_swap_decode_unsigned32(0, _local_a, CORBA_unsigned_long );
                        _local_b = (CORBA_unsigned_long *)(&_t177_storage);
                        flick_cdr_swap_decode_unsigned32(4, *_local_b, CORBA_unsigned_long );
                        _local_c = (CORBA_unsigned_long *)(&_t178_storage);
                        _ev = (CORBA_Environment *)(&_t179_storage);
                        flick_khazana_decode_end_chunk(8);
                        flick_khazana_decode_end_glob(11);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = Atomic_test_ULong(_obj, _local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort294);
                          flick_khazana_encode_new_glob(16, _flick_abort294);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(12);
                                flick_cdr_encode_unsigned32(0, _return, CORBA_unsigned_long );
                                flick_cdr_encode_unsigned32(4, *_local_b, CORBA_unsigned_long );
                                flick_cdr_encode_unsigned32(8, *_local_c, CORBA_unsigned_long );
                                flick_khazana_encode_end_chunk(12);
                                flick_khazana_encode_end_glob(16);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(16);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort300);
                                break;
                                {
                                _flick_abort300:
                                  goto _flick_abort294;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort301);
                                flick_khazana_encode_end_glob(16);
                                break;
                                {
                                _flick_abort301:
                                  goto _flick_abort294;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort294:
                          goto _flick_abort293;
                        }
                      }
                      break;
                      {
                      _flick_abort293:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* Floa */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1181511521):
              {
                unsigned short int _t180_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t180_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t180_switch_tag)
                  {
                  case /* t */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29696):
                    {
                      {
                        Atomic_test _obj;
                        unsigned int _t181_principal_len;
                        CORBA_float _return;
                        CORBA_float _local_a;
                        CORBA_float *_local_b;
                        CORBA_float _t182_storage;
                        CORBA_float *_local_c;
                        CORBA_float _t183_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t184_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort303);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t181_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t181_principal_len, _flick_abort303);
                        flick_khazana_decode_new_glob(_t181_principal_len);
                        flick_khazana_decode_new_chunk(_t181_principal_len);
                        flick_khazana_decode_end_chunk(_t181_principal_len);
                        flick_khazana_decode_end_glob(_t181_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0.000000;
                        flick_khazana_decode_new_glob(11);
                        flick_khazana_decode_new_chunk_align(8, 2, 0, 0);
                        flick_khazana_check_span(8, _flick_abort303);
                        flick_cdr_swap_decode_float32(0, _local_a, CORBA_float );
                        _local_b = (CORBA_float *)(&_t182_storage);
                        flick_cdr_swap_decode_float32(4, *_local_b, CORBA_float );
                        _local_c = (CORBA_float *)(&_t183_storage);
                        _ev = (CORBA_Environment *)(&_t184_storage);
                        flick_khazana_decode_end_chunk(8);
                        flick_khazana_decode_end_glob(11);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = Atomic_test_Float(_obj, _local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort303);
                          flick_khazana_encode_new_glob(16, _flick_abort303);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(12);
                                flick_cdr_encode_float32(0, _return, CORBA_float );
                                flick_cdr_encode_float32(4, *_local_b, CORBA_float );
                                flick_cdr_encode_float32(8, *_local_c, CORBA_float );
                                flick_khazana_encode_end_chunk(12);
                                flick_khazana_encode_end_glob(16);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(16);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort309);
                                break;
                                {
                                _flick_abort309:
                                  goto _flick_abort303;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort310);
                                flick_khazana_encode_end_glob(16);
                                break;
                                {
                                _flick_abort310:
                                  goto _flick_abort303;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort303:
                          goto _flick_abort302;
                        }
                      }
                      break;
                      {
                      _flick_abort302:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* Octe */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1331917925):
              {
                unsigned short int _t185_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t185_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t185_switch_tag)
                  {
                  case /* t */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29696):
                    {
                      {
                        Atomic_test _obj;
                        unsigned int _t186_principal_len;
                        CORBA_octet _return;
                        CORBA_octet _local_a;
                        CORBA_octet *_local_b;
                        CORBA_octet _t187_storage;
                        CORBA_octet *_local_c;
                        CORBA_octet _t188_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t189_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort312);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t186_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t186_principal_len + 2, _flick_abort312);
                        flick_khazana_decode_new_glob(_t186_principal_len);
                        flick_khazana_decode_new_chunk(_t186_principal_len);
                        flick_khazana_decode_end_chunk(_t186_principal_len);
                        flick_khazana_decode_end_glob(_t186_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(2);
                        flick_khazana_decode_new_chunk(2);
                        flick_cdr_swap_decode_unsigned8(0, _local_a, CORBA_octet );
                        _local_b = (CORBA_octet *)(&_t187_storage);
                        flick_cdr_swap_decode_unsigned8(1, *_local_b, CORBA_octet );
                        _local_c = (CORBA_octet *)(&_t188_storage);
                        _ev = (CORBA_Environment *)(&_t189_storage);
                        flick_khazana_decode_end_chunk(2);
                        flick_khazana_decode_end_glob(2);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = Atomic_test_Octet(_obj, _local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort312);
                          flick_khazana_encode_new_glob(7, _flick_abort312);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(3);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_octet );
                                flick_cdr_encode_unsigned8(1, *_local_b, CORBA_octet );
                                flick_cdr_encode_unsigned8(2, *_local_c, CORBA_octet );
                                flick_khazana_encode_end_chunk(3);
                                flick_khazana_encode_end_glob(7);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(7);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort318);
                                break;
                                {
                                _flick_abort318:
                                  goto _flick_abort312;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort319);
                                flick_khazana_encode_end_glob(7);
                                break;
                                {
                                _flick_abort319:
                                  goto _flick_abort312;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort312:
                          goto _flick_abort311;
                        }
                      }
                      break;
                      {
                      _flick_abort311:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t190_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t190_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t190_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t191_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t192_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t193_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort321);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t191_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t191_principal_len, _flick_abort321);
                        flick_khazana_decode_new_glob(_t191_principal_len);
                        flick_khazana_decode_new_chunk(_t191_principal_len);
                        flick_khazana_decode_end_chunk(_t191_principal_len);
                        flick_khazana_decode_end_glob(_t191_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort321);
                        flick_cdr_swap_decode_unsigned32(0, _t192_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t192_temp_string_len);
                        flick_khazana_check_span(1 * _t192_temp_string_len, _flick_abort321);
                        flick_khazana_decode_new_chunk(1 * _t192_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t192_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t192_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t193_storage);
                        _par = flick_interface_parents_Atomic_test;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort321);
                          flick_khazana_encode_new_glob(5, _flick_abort321);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort329);
                                break;
                                {
                                _flick_abort329:
                                  goto _flick_abort321;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort330);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort330:
                                  goto _flick_abort321;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort321:
                          goto _flick_abort320;
                        }
                      }
                      break;
                      {
                      _flick_abort320:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          unsigned int _t194_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t194_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t194_switch_tag)
            {
            case /* Long */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1282371175):
              {
                char _t195_switch_tag;

                flick_khazana_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t195_switch_tag, char );
                flick_khazana_decode_end_chunk(1);
                switch ((char )_t195_switch_tag)
                  {
                  case 0:
                    {
                      {
                        Atomic_test _obj;
                        unsigned int _t196_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_a;
                        CORBA_long *_local_b;
                        CORBA_long _t197_storage;
                        CORBA_long *_local_c;
                        CORBA_long _t198_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t199_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort332);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(7);
                        flick_cdr_swap_decode_unsigned32(3, _t196_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(7);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t196_principal_len, _flick_abort332);
                        flick_khazana_decode_new_glob(_t196_principal_len);
                        flick_khazana_decode_new_chunk(_t196_principal_len);
                        flick_khazana_decode_end_chunk(_t196_principal_len);
                        flick_khazana_decode_end_glob(_t196_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(11);
                        flick_khazana_decode_new_chunk_align(8, 2, 0, 0);
                        flick_khazana_check_span(8, _flick_abort332);
                        flick_cdr_swap_decode_signed32(0, _local_a, CORBA_long );
                        _local_b = (CORBA_long *)(&_t197_storage);
                        flick_cdr_swap_decode_signed32(4, *_local_b, CORBA_long );
                        _local_c = (CORBA_long *)(&_t198_storage);
                        _ev = (CORBA_Environment *)(&_t199_storage);
                        flick_khazana_decode_end_chunk(8);
                        flick_khazana_decode_end_glob(11);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = Atomic_test_Long(_obj, _local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort332);
                          flick_khazana_encode_new_glob(16, _flick_abort332);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(12);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_cdr_encode_signed32(4, *_local_b, CORBA_long );
                                flick_cdr_encode_signed32(8, *_local_c, CORBA_long );
                                flick_khazana_encode_end_chunk(12);
                                flick_khazana_encode_end_glob(16);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(16);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort338);
                                break;
                                {
                                _flick_abort338:
                                  goto _flick_abort332;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort339);
                                flick_khazana_encode_end_glob(16);
                                break;
                                {
                                _flick_abort339:
                                  goto _flick_abort332;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort332:
                          goto _flick_abort331;
                        }
                      }
                      break;
                      {
                      _flick_abort331:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* Char */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1130914162):
              {
                char _t200_switch_tag;

                flick_khazana_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t200_switch_tag, char );
                flick_khazana_decode_end_chunk(1);
                switch ((char )_t200_switch_tag)
                  {
                  case 0:
                    {
                      {
                        Atomic_test _obj;
                        unsigned int _t201_principal_len;
                        CORBA_char _return;
                        CORBA_char _local_a;
                        CORBA_char *_local_b;
                        CORBA_char _t202_storage;
                        CORBA_char *_local_c;
                        CORBA_char _t203_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t204_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort341);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(7);
                        flick_cdr_swap_decode_unsigned32(3, _t201_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(7);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t201_principal_len + 2, _flick_abort341);
                        flick_khazana_decode_new_glob(_t201_principal_len);
                        flick_khazana_decode_new_chunk(_t201_principal_len);
                        flick_khazana_decode_end_chunk(_t201_principal_len);
                        flick_khazana_decode_end_glob(_t201_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(2);
                        flick_khazana_decode_new_chunk(2);
                        flick_cdr_swap_decode_char8(0, _local_a, CORBA_char );
                        _local_b = (CORBA_char *)(&_t202_storage);
                        flick_cdr_swap_decode_char8(1, *_local_b, CORBA_char );
                        _local_c = (CORBA_char *)(&_t203_storage);
                        _ev = (CORBA_Environment *)(&_t204_storage);
                        flick_khazana_decode_end_chunk(2);
                        flick_khazana_decode_end_glob(2);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = Atomic_test_Char(_obj, _local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort341);
                          flick_khazana_encode_new_glob(7, _flick_abort341);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(3);
                                flick_cdr_encode_char8(0, _return, CORBA_char );
                                flick_cdr_encode_char8(1, *_local_b, CORBA_char );
                                flick_cdr_encode_char8(2, *_local_c, CORBA_char );
                                flick_khazana_encode_end_chunk(3);
                                flick_khazana_encode_end_glob(7);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(7);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort347);
                                break;
                                {
                                _flick_abort347:
                                  goto _flick_abort341;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort348);
                                flick_khazana_encode_end_glob(7);
                                break;
                                {
                                _flick_abort348:
                                  goto _flick_abort341;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort341:
                          goto _flick_abort340;
                        }
                      }
                      break;
                      {
                      _flick_abort340:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          unsigned int _t205_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t205_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t205_switch_tag)
            {
            case /* USho */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1431529583):
              {
                unsigned short int _t206_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t206_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t206_switch_tag)
                  {
                  case /* rt */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29300):
                    {
                      char _t207_switch_tag;

                      flick_khazana_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t207_switch_tag, char );
                      flick_khazana_decode_end_chunk(1);
                      switch ((char )_t207_switch_tag)
                        {
                        case 0:
                          {
                            {
                              Atomic_test _obj;
                              unsigned int _t208_principal_len;
                              CORBA_unsigned_short _return;
                              CORBA_unsigned_short _local_a;
                              CORBA_unsigned_short *_local_b;
                              CORBA_unsigned_short _t209_storage;
                              CORBA_unsigned_short *_local_c;
                              CORBA_unsigned_short _t210_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t211_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort350);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(5);
                              flick_cdr_swap_decode_unsigned32(1, _t208_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(5);
                              flick_khazana_decode_end_glob(16);
                              flick_khazana_check_span(_t208_principal_len, _flick_abort350);
                              flick_khazana_decode_new_glob(_t208_principal_len);
                              flick_khazana_decode_new_chunk(_t208_principal_len);
                              flick_khazana_decode_end_chunk(_t208_principal_len);
                              flick_khazana_decode_end_glob(_t208_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_khazana_decode_new_glob(5);
                              flick_khazana_decode_new_chunk_align(4, 1, 0, 0);
                              flick_khazana_check_span(4, _flick_abort350);
                              flick_cdr_swap_decode_unsigned16(0, _local_a, CORBA_unsigned_short );
                              _local_b = (CORBA_unsigned_short *)(&_t209_storage);
                              flick_cdr_swap_decode_unsigned16(2, *_local_b, CORBA_unsigned_short );
                              _local_c = (CORBA_unsigned_short *)(&_t210_storage);
                              _ev = (CORBA_Environment *)(&_t211_storage);
                              flick_khazana_decode_end_chunk(4);
                              flick_khazana_decode_end_glob(5);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = Atomic_test_UShort(_obj, _local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort350);
                                flick_khazana_encode_new_glob(10, _flick_abort350);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk(6);
                                      flick_cdr_encode_unsigned16(0, _return, CORBA_unsigned_short );
                                      flick_cdr_encode_unsigned16(2, *_local_b, CORBA_unsigned_short );
                                      flick_cdr_encode_unsigned16(4, *_local_c, CORBA_unsigned_short );
                                      flick_khazana_encode_end_chunk(6);
                                      flick_khazana_encode_end_glob(10);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(10);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort356);
                                      break;
                                      {
                                      _flick_abort356:
                                        goto _flick_abort350;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort357);
                                      flick_khazana_encode_end_glob(10);
                                      break;
                                      {
                                      _flick_abort357:
                                        goto _flick_abort350;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort350:
                                goto _flick_abort349;
                              }
                            }
                            break;
                            {
                            _flick_abort349:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_khazana_decode_end_glob(16);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* Doub */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1148155234):
              {
                unsigned short int _t212_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t212_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t212_switch_tag)
                  {
                  case /* le */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 27749):
                    {
                      char _t213_switch_tag;

                      flick_khazana_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t213_switch_tag, char );
                      flick_khazana_decode_end_chunk(1);
                      switch ((char )_t213_switch_tag)
                        {
                        case 0:
                          {
                            {
                              Atomic_test _obj;
                              unsigned int _t214_principal_len;
                              CORBA_double _return;
                              CORBA_double _local_a;
                              CORBA_double *_local_b;
                              CORBA_double _t215_storage;
                              CORBA_double *_local_c;
                              CORBA_double _t216_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t217_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort359);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(5);
                              flick_cdr_swap_decode_unsigned32(1, _t214_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(5);
                              flick_khazana_decode_end_glob(16);
                              flick_khazana_check_span(_t214_principal_len, _flick_abort359);
                              flick_khazana_decode_new_glob(_t214_principal_len);
                              flick_khazana_decode_new_chunk(_t214_principal_len);
                              flick_khazana_decode_end_chunk(_t214_principal_len);
                              flick_khazana_decode_end_glob(_t214_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0.000000;
                              flick_khazana_decode_new_glob(23);
                              flick_khazana_decode_new_chunk_align(16, 3, 0, 0);
                              flick_khazana_check_span(16, _flick_abort359);
                              flick_cdr_swap_decode_float64(0, _local_a, CORBA_double );
                              _local_b = (CORBA_double *)(&_t215_storage);
                              flick_cdr_swap_decode_float64(8, *_local_b, CORBA_double );
                              _local_c = (CORBA_double *)(&_t216_storage);
                              _ev = (CORBA_Environment *)(&_t217_storage);
                              flick_khazana_decode_end_chunk(16);
                              flick_khazana_decode_end_glob(23);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = Atomic_test_Double(_obj, _local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort359);
                                flick_khazana_encode_new_glob(32, _flick_abort359);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk_align(24, 3, 2, 0);
                                      flick_cdr_encode_float64(0, _return, CORBA_double );
                                      flick_cdr_encode_float64(8, *_local_b, CORBA_double );
                                      flick_cdr_encode_float64(16, *_local_c, CORBA_double );
                                      flick_khazana_encode_end_chunk(24);
                                      flick_khazana_encode_end_glob(32);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(32);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort365);
                                      break;
                                      {
                                      _flick_abort365:
                                        goto _flick_abort359;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort366);
                                      flick_khazana_encode_end_glob(32);
                                      break;
                                      {
                                      _flick_abort366:
                                        goto _flick_abort359;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort359:
                                goto _flick_abort358;
                              }
                            }
                            break;
                            {
                            _flick_abort358:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_khazana_decode_end_glob(16);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t218_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t218_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t218_switch_tag)
            {
            case /* Bool */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1114599276):
              {
                unsigned int _t219_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t219_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t219_switch_tag)
                  {
                  case /* ean */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1700883968):
                    {
                      {
                        Atomic_test _obj;
                        unsigned int _t220_principal_len;
                        CORBA_boolean _return;
                        CORBA_boolean _local_a;
                        CORBA_boolean *_local_b;
                        CORBA_boolean _t221_storage;
                        CORBA_boolean *_local_c;
                        CORBA_boolean _t222_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t223_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort368);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t220_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t220_principal_len + 2, _flick_abort368);
                        flick_khazana_decode_new_glob(_t220_principal_len);
                        flick_khazana_decode_new_chunk(_t220_principal_len);
                        flick_khazana_decode_end_chunk(_t220_principal_len);
                        flick_khazana_decode_end_glob(_t220_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(2);
                        flick_khazana_decode_new_chunk(2);
                        flick_cdr_swap_decode_unsigned8(0, _local_a, CORBA_boolean );
                        _local_b = (CORBA_boolean *)(&_t221_storage);
                        flick_cdr_swap_decode_unsigned8(1, *_local_b, CORBA_boolean );
                        _local_c = (CORBA_boolean *)(&_t222_storage);
                        _ev = (CORBA_Environment *)(&_t223_storage);
                        flick_khazana_decode_end_chunk(2);
                        flick_khazana_decode_end_glob(2);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = Atomic_test_Boolean(_obj, _local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort368);
                          flick_khazana_encode_new_glob(7, _flick_abort368);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(3);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_cdr_encode_unsigned8(1, *_local_b, CORBA_boolean );
                                flick_cdr_encode_unsigned8(2, *_local_c, CORBA_boolean );
                                flick_khazana_encode_end_chunk(3);
                                flick_khazana_encode_end_glob(7);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(7);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort374);
                                break;
                                {
                                _flick_abort374:
                                  goto _flick_abort368;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort375);
                                flick_khazana_encode_end_glob(7);
                                break;
                                {
                                _flick_abort375:
                                  goto _flick_abort368;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort368:
                          goto _flick_abort367;
                        }
                      }
                      break;
                      {
                      _flick_abort367:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
          flick_khazana_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t56_switch_tag;

    flick_khazana_decode_new_glob(16);
    flick_khazana_check_span(16, _flick_abort5);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t56_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t56_switch_tag)
      {
      case (unsigned int) 6:
        {
          unsigned int _t57_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t57_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t57_switch_tag)
            {
            case /* Shor */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1399353202):
              {
                unsigned short int _t58_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t58_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t58_switch_tag)
                  {
                  case /* t */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29696):
                    {
                      {
                        Atomic_test _obj;
                        unsigned int _t59_principal_len;
                        CORBA_short _return;
                        CORBA_short _local_a;
                        CORBA_short *_local_b;
                        CORBA_short _t60_storage;
                        CORBA_short *_local_c;
                        CORBA_short _t61_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t62_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort100);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t59_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t59_principal_len, _flick_abort100);
                        flick_khazana_decode_new_glob(_t59_principal_len);
                        flick_khazana_decode_new_chunk(_t59_principal_len);
                        flick_khazana_decode_end_chunk(_t59_principal_len);
                        flick_khazana_decode_end_glob(_t59_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(5);
                        flick_khazana_decode_new_chunk_align(4, 1, 0, 0);
                        flick_khazana_check_span(4, _flick_abort100);
                        flick_cdr_decode_signed16(0, _local_a, CORBA_short );
                        _local_b = (CORBA_short *)(&_t60_storage);
                        flick_cdr_decode_signed16(2, *_local_b, CORBA_short );
                        _local_c = (CORBA_short *)(&_t61_storage);
                        _ev = (CORBA_Environment *)(&_t62_storage);
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(5);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = Atomic_test_Short(_obj, _local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort100);
                          flick_khazana_encode_new_glob(10, _flick_abort100);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(6);
                                flick_cdr_encode_signed16(0, _return, CORBA_short );
                                flick_cdr_encode_signed16(2, *_local_b, CORBA_short );
                                flick_cdr_encode_signed16(4, *_local_c, CORBA_short );
                                flick_khazana_encode_end_chunk(6);
                                flick_khazana_encode_end_glob(10);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(10);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort106);
                                break;
                                {
                                _flick_abort106:
                                  goto _flick_abort100;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort107);
                                flick_khazana_encode_end_glob(10);
                                break;
                                {
                                _flick_abort107:
                                  goto _flick_abort100;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort100:
                          goto _flick_abort99;
                        }
                      }
                      break;
                      {
                      _flick_abort99:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* ULon */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1431072622):
              {
                unsigned short int _t63_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t63_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t63_switch_tag)
                  {
                  case /* g */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 26368):
                    {
                      {
                        Atomic_test _obj;
                        unsigned int _t64_principal_len;
                        CORBA_unsigned_long _return;
                        CORBA_unsigned_long _local_a;
                        CORBA_unsigned_long *_local_b;
                        CORBA_unsigned_long _t65_storage;
                        CORBA_unsigned_long *_local_c;
                        CORBA_unsigned_long _t66_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t67_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort109);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t64_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t64_principal_len, _flick_abort109);
                        flick_khazana_decode_new_glob(_t64_principal_len);
                        flick_khazana_decode_new_chunk(_t64_principal_len);
                        flick_khazana_decode_end_chunk(_t64_principal_len);
                        flick_khazana_decode_end_glob(_t64_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(11);
                        flick_khazana_decode_new_chunk_align(8, 2, 0, 0);
                        flick_khazana_check_span(8, _flick_abort109);
                        flick_cdr_decode_unsigned32(0, _local_a, CORBA_unsigned_long );
                        _local_b = (CORBA_unsigned_long *)(&_t65_storage);
                        flick_cdr_decode_unsigned32(4, *_local_b, CORBA_unsigned_long );
                        _local_c = (CORBA_unsigned_long *)(&_t66_storage);
                        _ev = (CORBA_Environment *)(&_t67_storage);
                        flick_khazana_decode_end_chunk(8);
                        flick_khazana_decode_end_glob(11);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = Atomic_test_ULong(_obj, _local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort109);
                          flick_khazana_encode_new_glob(16, _flick_abort109);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(12);
                                flick_cdr_encode_unsigned32(0, _return, CORBA_unsigned_long );
                                flick_cdr_encode_unsigned32(4, *_local_b, CORBA_unsigned_long );
                                flick_cdr_encode_unsigned32(8, *_local_c, CORBA_unsigned_long );
                                flick_khazana_encode_end_chunk(12);
                                flick_khazana_encode_end_glob(16);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(16);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort115);
                                break;
                                {
                                _flick_abort115:
                                  goto _flick_abort109;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort116);
                                flick_khazana_encode_end_glob(16);
                                break;
                                {
                                _flick_abort116:
                                  goto _flick_abort109;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort109:
                          goto _flick_abort108;
                        }
                      }
                      break;
                      {
                      _flick_abort108:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* Floa */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1181511521):
              {
                unsigned short int _t68_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t68_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t68_switch_tag)
                  {
                  case /* t */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29696):
                    {
                      {
                        Atomic_test _obj;
                        unsigned int _t69_principal_len;
                        CORBA_float _return;
                        CORBA_float _local_a;
                        CORBA_float *_local_b;
                        CORBA_float _t70_storage;
                        CORBA_float *_local_c;
                        CORBA_float _t71_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t72_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort118);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t69_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t69_principal_len, _flick_abort118);
                        flick_khazana_decode_new_glob(_t69_principal_len);
                        flick_khazana_decode_new_chunk(_t69_principal_len);
                        flick_khazana_decode_end_chunk(_t69_principal_len);
                        flick_khazana_decode_end_glob(_t69_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0.000000;
                        flick_khazana_decode_new_glob(11);
                        flick_khazana_decode_new_chunk_align(8, 2, 0, 0);
                        flick_khazana_check_span(8, _flick_abort118);
                        flick_cdr_decode_float32(0, _local_a, CORBA_float );
                        _local_b = (CORBA_float *)(&_t70_storage);
                        flick_cdr_decode_float32(4, *_local_b, CORBA_float );
                        _local_c = (CORBA_float *)(&_t71_storage);
                        _ev = (CORBA_Environment *)(&_t72_storage);
                        flick_khazana_decode_end_chunk(8);
                        flick_khazana_decode_end_glob(11);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = Atomic_test_Float(_obj, _local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort118);
                          flick_khazana_encode_new_glob(16, _flick_abort118);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(12);
                                flick_cdr_encode_float32(0, _return, CORBA_float );
                                flick_cdr_encode_float32(4, *_local_b, CORBA_float );
                                flick_cdr_encode_float32(8, *_local_c, CORBA_float );
                                flick_khazana_encode_end_chunk(12);
                                flick_khazana_encode_end_glob(16);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(16);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort124);
                                break;
                                {
                                _flick_abort124:
                                  goto _flick_abort118;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort125);
                                flick_khazana_encode_end_glob(16);
                                break;
                                {
                                _flick_abort125:
                                  goto _flick_abort118;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort118:
                          goto _flick_abort117;
                        }
                      }
                      break;
                      {
                      _flick_abort117:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* Octe */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1331917925):
              {
                unsigned short int _t73_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t73_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t73_switch_tag)
                  {
                  case /* t */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29696):
                    {
                      {
                        Atomic_test _obj;
                        unsigned int _t74_principal_len;
                        CORBA_octet _return;
                        CORBA_octet _local_a;
                        CORBA_octet *_local_b;
                        CORBA_octet _t75_storage;
                        CORBA_octet *_local_c;
                        CORBA_octet _t76_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t77_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort127);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t74_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t74_principal_len + 2, _flick_abort127);
                        flick_khazana_decode_new_glob(_t74_principal_len);
                        flick_khazana_decode_new_chunk(_t74_principal_len);
                        flick_khazana_decode_end_chunk(_t74_principal_len);
                        flick_khazana_decode_end_glob(_t74_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(2);
                        flick_khazana_decode_new_chunk(2);
                        flick_cdr_decode_unsigned8(0, _local_a, CORBA_octet );
                        _local_b = (CORBA_octet *)(&_t75_storage);
                        flick_cdr_decode_unsigned8(1, *_local_b, CORBA_octet );
                        _local_c = (CORBA_octet *)(&_t76_storage);
                        _ev = (CORBA_Environment *)(&_t77_storage);
                        flick_khazana_decode_end_chunk(2);
                        flick_khazana_decode_end_glob(2);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = Atomic_test_Octet(_obj, _local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort127);
                          flick_khazana_encode_new_glob(7, _flick_abort127);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(3);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_octet );
                                flick_cdr_encode_unsigned8(1, *_local_b, CORBA_octet );
                                flick_cdr_encode_unsigned8(2, *_local_c, CORBA_octet );
                                flick_khazana_encode_end_chunk(3);
                                flick_khazana_encode_end_glob(7);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(7);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort133);
                                break;
                                {
                                _flick_abort133:
                                  goto _flick_abort127;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort134);
                                flick_khazana_encode_end_glob(7);
                                break;
                                {
                                _flick_abort134:
                                  goto _flick_abort127;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort127:
                          goto _flick_abort126;
                        }
                      }
                      break;
                      {
                      _flick_abort126:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t78_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t78_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t78_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t79_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t80_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t81_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort136);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t79_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t79_principal_len, _flick_abort136);
                        flick_khazana_decode_new_glob(_t79_principal_len);
                        flick_khazana_decode_new_chunk(_t79_principal_len);
                        flick_khazana_decode_end_chunk(_t79_principal_len);
                        flick_khazana_decode_end_glob(_t79_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort136);
                        flick_cdr_decode_unsigned32(0, _t80_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t80_temp_string_len);
                        flick_khazana_check_span(1 * _t80_temp_string_len, _flick_abort136);
                        flick_khazana_decode_new_chunk(1 * _t80_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t80_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t80_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t81_storage);
                        _par = flick_interface_parents_Atomic_test;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort136);
                          flick_khazana_encode_new_glob(5, _flick_abort136);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort144);
                                break;
                                {
                                _flick_abort144:
                                  goto _flick_abort136;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort145);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort145:
                                  goto _flick_abort136;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort136:
                          goto _flick_abort135;
                        }
                      }
                      break;
                      {
                      _flick_abort135:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          unsigned int _t82_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t82_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t82_switch_tag)
            {
            case /* Long */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1282371175):
              {
                char _t83_switch_tag;

                flick_khazana_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t83_switch_tag, char );
                flick_khazana_decode_end_chunk(1);
                switch ((char )_t83_switch_tag)
                  {
                  case 0:
                    {
                      {
                        Atomic_test _obj;
                        unsigned int _t84_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_a;
                        CORBA_long *_local_b;
                        CORBA_long _t85_storage;
                        CORBA_long *_local_c;
                        CORBA_long _t86_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t87_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort147);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(7);
                        flick_cdr_decode_unsigned32(3, _t84_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(7);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t84_principal_len, _flick_abort147);
                        flick_khazana_decode_new_glob(_t84_principal_len);
                        flick_khazana_decode_new_chunk(_t84_principal_len);
                        flick_khazana_decode_end_chunk(_t84_principal_len);
                        flick_khazana_decode_end_glob(_t84_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(11);
                        flick_khazana_decode_new_chunk_align(8, 2, 0, 0);
                        flick_khazana_check_span(8, _flick_abort147);
                        flick_cdr_decode_signed32(0, _local_a, CORBA_long );
                        _local_b = (CORBA_long *)(&_t85_storage);
                        flick_cdr_decode_signed32(4, *_local_b, CORBA_long );
                        _local_c = (CORBA_long *)(&_t86_storage);
                        _ev = (CORBA_Environment *)(&_t87_storage);
                        flick_khazana_decode_end_chunk(8);
                        flick_khazana_decode_end_glob(11);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = Atomic_test_Long(_obj, _local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort147);
                          flick_khazana_encode_new_glob(16, _flick_abort147);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(12);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_cdr_encode_signed32(4, *_local_b, CORBA_long );
                                flick_cdr_encode_signed32(8, *_local_c, CORBA_long );
                                flick_khazana_encode_end_chunk(12);
                                flick_khazana_encode_end_glob(16);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(16);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort153);
                                break;
                                {
                                _flick_abort153:
                                  goto _flick_abort147;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort154);
                                flick_khazana_encode_end_glob(16);
                                break;
                                {
                                _flick_abort154:
                                  goto _flick_abort147;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort147:
                          goto _flick_abort146;
                        }
                      }
                      break;
                      {
                      _flick_abort146:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* Char */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1130914162):
              {
                char _t88_switch_tag;

                flick_khazana_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t88_switch_tag, char );
                flick_khazana_decode_end_chunk(1);
                switch ((char )_t88_switch_tag)
                  {
                  case 0:
                    {
                      {
                        Atomic_test _obj;
                        unsigned int _t89_principal_len;
                        CORBA_char _return;
                        CORBA_char _local_a;
                        CORBA_char *_local_b;
                        CORBA_char _t90_storage;
                        CORBA_char *_local_c;
                        CORBA_char _t91_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t92_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort156);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(7);
                        flick_cdr_decode_unsigned32(3, _t89_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(7);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t89_principal_len + 2, _flick_abort156);
                        flick_khazana_decode_new_glob(_t89_principal_len);
                        flick_khazana_decode_new_chunk(_t89_principal_len);
                        flick_khazana_decode_end_chunk(_t89_principal_len);
                        flick_khazana_decode_end_glob(_t89_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(2);
                        flick_khazana_decode_new_chunk(2);
                        flick_cdr_decode_char8(0, _local_a, CORBA_char );
                        _local_b = (CORBA_char *)(&_t90_storage);
                        flick_cdr_decode_char8(1, *_local_b, CORBA_char );
                        _local_c = (CORBA_char *)(&_t91_storage);
                        _ev = (CORBA_Environment *)(&_t92_storage);
                        flick_khazana_decode_end_chunk(2);
                        flick_khazana_decode_end_glob(2);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = Atomic_test_Char(_obj, _local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort156);
                          flick_khazana_encode_new_glob(7, _flick_abort156);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(3);
                                flick_cdr_encode_char8(0, _return, CORBA_char );
                                flick_cdr_encode_char8(1, *_local_b, CORBA_char );
                                flick_cdr_encode_char8(2, *_local_c, CORBA_char );
                                flick_khazana_encode_end_chunk(3);
                                flick_khazana_encode_end_glob(7);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(7);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort162);
                                break;
                                {
                                _flick_abort162:
                                  goto _flick_abort156;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort163);
                                flick_khazana_encode_end_glob(7);
                                break;
                                {
                                _flick_abort163:
                                  goto _flick_abort156;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort156:
                          goto _flick_abort155;
                        }
                      }
                      break;
                      {
                      _flick_abort155:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          unsigned int _t93_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t93_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t93_switch_tag)
            {
            case /* USho */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1431529583):
              {
                unsigned short int _t94_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t94_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t94_switch_tag)
                  {
                  case /* rt */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29300):
                    {
                      char _t95_switch_tag;

                      flick_khazana_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t95_switch_tag, char );
                      flick_khazana_decode_end_chunk(1);
                      switch ((char )_t95_switch_tag)
                        {
                        case 0:
                          {
                            {
                              Atomic_test _obj;
                              unsigned int _t96_principal_len;
                              CORBA_unsigned_short _return;
                              CORBA_unsigned_short _local_a;
                              CORBA_unsigned_short *_local_b;
                              CORBA_unsigned_short _t97_storage;
                              CORBA_unsigned_short *_local_c;
                              CORBA_unsigned_short _t98_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t99_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort165);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(5);
                              flick_cdr_decode_unsigned32(1, _t96_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(5);
                              flick_khazana_decode_end_glob(16);
                              flick_khazana_check_span(_t96_principal_len, _flick_abort165);
                              flick_khazana_decode_new_glob(_t96_principal_len);
                              flick_khazana_decode_new_chunk(_t96_principal_len);
                              flick_khazana_decode_end_chunk(_t96_principal_len);
                              flick_khazana_decode_end_glob(_t96_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_khazana_decode_new_glob(5);
                              flick_khazana_decode_new_chunk_align(4, 1, 0, 0);
                              flick_khazana_check_span(4, _flick_abort165);
                              flick_cdr_decode_unsigned16(0, _local_a, CORBA_unsigned_short );
                              _local_b = (CORBA_unsigned_short *)(&_t97_storage);
                              flick_cdr_decode_unsigned16(2, *_local_b, CORBA_unsigned_short );
                              _local_c = (CORBA_unsigned_short *)(&_t98_storage);
                              _ev = (CORBA_Environment *)(&_t99_storage);
                              flick_khazana_decode_end_chunk(4);
                              flick_khazana_decode_end_glob(5);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = Atomic_test_UShort(_obj, _local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort165);
                                flick_khazana_encode_new_glob(10, _flick_abort165);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk(6);
                                      flick_cdr_encode_unsigned16(0, _return, CORBA_unsigned_short );
                                      flick_cdr_encode_unsigned16(2, *_local_b, CORBA_unsigned_short );
                                      flick_cdr_encode_unsigned16(4, *_local_c, CORBA_unsigned_short );
                                      flick_khazana_encode_end_chunk(6);
                                      flick_khazana_encode_end_glob(10);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(10);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort171);
                                      break;
                                      {
                                      _flick_abort171:
                                        goto _flick_abort165;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort172);
                                      flick_khazana_encode_end_glob(10);
                                      break;
                                      {
                                      _flick_abort172:
                                        goto _flick_abort165;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort165:
                                goto _flick_abort164;
                              }
                            }
                            break;
                            {
                            _flick_abort164:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_khazana_decode_end_glob(16);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* Doub */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1148155234):
              {
                unsigned short int _t100_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t100_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t100_switch_tag)
                  {
                  case /* le */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 27749):
                    {
                      char _t101_switch_tag;

                      flick_khazana_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t101_switch_tag, char );
                      flick_khazana_decode_end_chunk(1);
                      switch ((char )_t101_switch_tag)
                        {
                        case 0:
                          {
                            {
                              Atomic_test _obj;
                              unsigned int _t102_principal_len;
                              CORBA_double _return;
                              CORBA_double _local_a;
                              CORBA_double *_local_b;
                              CORBA_double _t103_storage;
                              CORBA_double *_local_c;
                              CORBA_double _t104_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t105_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort174);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(5);
                              flick_cdr_decode_unsigned32(1, _t102_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(5);
                              flick_khazana_decode_end_glob(16);
                              flick_khazana_check_span(_t102_principal_len, _flick_abort174);
                              flick_khazana_decode_new_glob(_t102_principal_len);
                              flick_khazana_decode_new_chunk(_t102_principal_len);
                              flick_khazana_decode_end_chunk(_t102_principal_len);
                              flick_khazana_decode_end_glob(_t102_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0.000000;
                              flick_khazana_decode_new_glob(23);
                              flick_khazana_decode_new_chunk_align(16, 3, 0, 0);
                              flick_khazana_check_span(16, _flick_abort174);
                              flick_cdr_decode_float64(0, _local_a, CORBA_double );
                              _local_b = (CORBA_double *)(&_t103_storage);
                              flick_cdr_decode_float64(8, *_local_b, CORBA_double );
                              _local_c = (CORBA_double *)(&_t104_storage);
                              _ev = (CORBA_Environment *)(&_t105_storage);
                              flick_khazana_decode_end_chunk(16);
                              flick_khazana_decode_end_glob(23);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = Atomic_test_Double(_obj, _local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort174);
                                flick_khazana_encode_new_glob(32, _flick_abort174);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk_align(24, 3, 2, 0);
                                      flick_cdr_encode_float64(0, _return, CORBA_double );
                                      flick_cdr_encode_float64(8, *_local_b, CORBA_double );
                                      flick_cdr_encode_float64(16, *_local_c, CORBA_double );
                                      flick_khazana_encode_end_chunk(24);
                                      flick_khazana_encode_end_glob(32);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(32);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort180);
                                      break;
                                      {
                                      _flick_abort180:
                                        goto _flick_abort174;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort181);
                                      flick_khazana_encode_end_glob(32);
                                      break;
                                      {
                                      _flick_abort181:
                                        goto _flick_abort174;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort174:
                                goto _flick_abort173;
                              }
                            }
                            break;
                            {
                            _flick_abort173:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_khazana_decode_end_glob(16);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t106_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t106_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t106_switch_tag)
            {
            case /* Bool */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1114599276):
              {
                unsigned int _t107_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t107_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t107_switch_tag)
                  {
                  case /* ean */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1700883968):
                    {
                      {
                        Atomic_test _obj;
                        unsigned int _t108_principal_len;
                        CORBA_boolean _return;
                        CORBA_boolean _local_a;
                        CORBA_boolean *_local_b;
                        CORBA_boolean _t109_storage;
                        CORBA_boolean *_local_c;
                        CORBA_boolean _t110_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t111_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort183);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t108_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t108_principal_len + 2, _flick_abort183);
                        flick_khazana_decode_new_glob(_t108_principal_len);
                        flick_khazana_decode_new_chunk(_t108_principal_len);
                        flick_khazana_decode_end_chunk(_t108_principal_len);
                        flick_khazana_decode_end_glob(_t108_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(2);
                        flick_khazana_decode_new_chunk(2);
                        flick_cdr_decode_unsigned8(0, _local_a, CORBA_boolean );
                        _local_b = (CORBA_boolean *)(&_t109_storage);
                        flick_cdr_decode_unsigned8(1, *_local_b, CORBA_boolean );
                        _local_c = (CORBA_boolean *)(&_t110_storage);
                        _ev = (CORBA_Environment *)(&_t111_storage);
                        flick_khazana_decode_end_chunk(2);
                        flick_khazana_decode_end_glob(2);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = Atomic_test_Boolean(_obj, _local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort183);
                          flick_khazana_encode_new_glob(7, _flick_abort183);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(3);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_cdr_encode_unsigned8(1, *_local_b, CORBA_boolean );
                                flick_cdr_encode_unsigned8(2, *_local_c, CORBA_boolean );
                                flick_khazana_encode_end_chunk(3);
                                flick_khazana_encode_end_glob(7);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(7);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort189);
                                break;
                                {
                                _flick_abort189:
                                  goto _flick_abort183;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort190);
                                flick_khazana_encode_end_glob(7);
                                break;
                                {
                                _flick_abort190:
                                  goto _flick_abort183;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort183:
                          goto _flick_abort182;
                        }
                      }
                      break;
                      {
                      _flick_abort182:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
          flick_khazana_decode_end_glob(16);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort5:
    flick_corba_server_error(cdr, khazana, _flick_reaper, _flick_abort4);
  _flick_abort4:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

