#include "complex-server.h"

/* This is the runtime type information */
char *flick_interface_parents_PROGNAME[] = {
	"IDL:PROGNAME:1.0",
	0
};

char *flick_interface_parents_VERSNAME[] = {
	"IDL:VERSNAME:1.0",
	"IDL:PROGNAME:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
int flick_marshal_stub_person(flick_marshal_stream_t _stream, struct person *_data)
{
  flick_unsigned32_t _t0_temp_string_len;

  flick_cdr_stringlen(char *, _data->name, flick_unsigned32_t , _t0_temp_string_len);

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(205, _flick_abort0);
  flick_khazana_encode_new_chunk(4 + 1 * _t0_temp_string_len);
  flick_cdr_encode_unsigned32(0, _t0_temp_string_len, flick_unsigned32_t );
  if (_t0_temp_string_len > 201)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort0);
  flick_cdr_encode_bcopy(4, _data->name, 1 * _t0_temp_string_len);
  flick_khazana_encode_end_chunk(4 + 1 * _t0_temp_string_len);
  flick_khazana_encode_end_glob(205);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_person(flick_marshal_stream_t _stream, struct person *_data)
{
  flick_unsigned32_t _t1_temp_string_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(205);
  flick_khazana_check_span(4, _flick_abort3);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _t1_temp_string_len, flick_unsigned32_t );
  if (_t1_temp_string_len > 201)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort3);
  flick_khazana_decode_end_chunk(4);
  flick_khazana_check_span(1 * _t1_temp_string_len, _flick_abort3);
  flick_khazana_decode_new_chunk(1 * _t1_temp_string_len);
  {
    char *_t_alloc_ptr;

    _t_alloc_ptr = (char *)(sun_flick_alloc(_t1_temp_string_len * sizeof(char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort3);
    _data->name = _t_alloc_ptr;
  }
  flick_cdr_decode_bcopy(0, _data->name, 1 * _t1_temp_string_len);
  flick_khazana_decode_end_chunk(1 * _t1_temp_string_len);
  flick_khazana_decode_end_glob(205);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_person_swap(flick_marshal_stream_t _stream, struct person *_data)
{
  flick_unsigned32_t _t2_temp_string_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(205);
  flick_khazana_check_span(4, _flick_abort7);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _t2_temp_string_len, flick_unsigned32_t );
  if (_t2_temp_string_len > 201)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort7);
  flick_khazana_decode_end_chunk(4);
  flick_khazana_check_span(1 * _t2_temp_string_len, _flick_abort7);
  flick_khazana_decode_new_chunk(1 * _t2_temp_string_len);
  {
    char *_t_alloc_ptr;

    _t_alloc_ptr = (char *)(sun_flick_alloc(_t2_temp_string_len * sizeof(char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort7);
    _data->name = _t_alloc_ptr;
  }
  flick_cdr_swap_decode_bcopy(0, _data->name, 1 * _t2_temp_string_len);
  flick_khazana_decode_end_chunk(1 * _t2_temp_string_len);
  flick_khazana_decode_end_glob(205);
  return 0;
  {
  _flick_abort7:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_people(flick_marshal_stream_t _stream, people *_data)
{
  unsigned int _t6_array_iter;

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(4, _flick_abort11);
  flick_khazana_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->people_len, unsigned int );
  flick_khazana_encode_end_chunk(4);
  flick_khazana_encode_end_glob(4);
  flick_khazana_encode_new_glob(208 * _data->people_len, _flick_abort11);
  for (_t6_array_iter = 0; _t6_array_iter < _data->people_len; _t6_array_iter++)
    {
      flick_unsigned32_t _t8_temp_string_len;

      flick_cdr_stringlen(char *, _data->people_val[_t6_array_iter].name, flick_unsigned32_t , _t8_temp_string_len);

      flick_khazana_encode_new_chunk_align(4 + 1 * _t8_temp_string_len, 2, 0, 0);
      flick_cdr_encode_unsigned32(0, _t8_temp_string_len, flick_unsigned32_t );
      if (_t8_temp_string_len > 201)
        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort21);
      flick_cdr_encode_bcopy(4, _data->people_val[_t6_array_iter].name, 1 * _t8_temp_string_len);
      flick_khazana_encode_end_chunk(4 + 1 * _t8_temp_string_len);
      continue;
      {
      _flick_abort21:
        goto _flick_abort11;
      }
    }
  flick_khazana_encode_end_glob(208 * _data->people_len);
  return 0;
  {
  _flick_abort11:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_people(flick_marshal_stream_t _stream, people *_data)
{
  unsigned int _t12_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort27);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->people_len, unsigned int );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  flick_khazana_decode_new_glob(208 * _data->people_len);
  {
    struct person *_t_alloc_ptr;

    _t_alloc_ptr = (struct person *)(sun_flick_alloc(_data->people_len * sizeof(struct person )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort27);
    _data->people_val = _t_alloc_ptr;
  }
  for (_t12_array_iter = 0; _t12_array_iter < _data->people_len; _t12_array_iter++)
    {
      flick_unsigned32_t _t14_temp_string_len;

      flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
      flick_khazana_check_span(4, _flick_abort41);
      flick_cdr_decode_unsigned32(0, _t14_temp_string_len, flick_unsigned32_t );
      if (_t14_temp_string_len > 201)
        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort41);
      flick_khazana_decode_end_chunk(4);
      flick_khazana_check_span(1 * _t14_temp_string_len, _flick_abort41);
      flick_khazana_decode_new_chunk(1 * _t14_temp_string_len);
      {
        char *_t_alloc_ptr;

        _t_alloc_ptr = (char *)(sun_flick_alloc(_t14_temp_string_len * sizeof(char )));
        if (!_t_alloc_ptr)
          flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort41);
        _data->people_val[_t12_array_iter].name = _t_alloc_ptr;
      }
      flick_cdr_decode_bcopy(0, _data->people_val[_t12_array_iter].name, 1 * _t14_temp_string_len);
      flick_khazana_decode_end_chunk(1 * _t14_temp_string_len);
      continue;
      {
      _flick_abort51:
        _t12_array_iter--;
        sun_flick_free(_data->people_val[_t12_array_iter].name);
      _flick_abort41:
        if ((unsigned int )_t12_array_iter > 0)
          goto _flick_abort51;
        goto _flick_abort40;
      }
    }
  flick_khazana_decode_end_glob(208 * _data->people_len);
  return 0;
  {
  _flick_abort40:
    sun_flick_free(_data->people_val);
  _flick_abort27:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_people_swap(flick_marshal_stream_t _stream, people *_data)
{
  unsigned int _t18_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort54);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->people_len, unsigned int );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  flick_khazana_decode_new_glob(208 * _data->people_len);
  {
    struct person *_t_alloc_ptr;

    _t_alloc_ptr = (struct person *)(sun_flick_alloc(_data->people_len * sizeof(struct person )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort54);
    _data->people_val = _t_alloc_ptr;
  }
  for (_t18_array_iter = 0; _t18_array_iter < _data->people_len; _t18_array_iter++)
    {
      flick_unsigned32_t _t20_temp_string_len;

      flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
      flick_khazana_check_span(4, _flick_abort68);
      flick_cdr_swap_decode_unsigned32(0, _t20_temp_string_len, flick_unsigned32_t );
      if (_t20_temp_string_len > 201)
        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort68);
      flick_khazana_decode_end_chunk(4);
      flick_khazana_check_span(1 * _t20_temp_string_len, _flick_abort68);
      flick_khazana_decode_new_chunk(1 * _t20_temp_string_len);
      {
        char *_t_alloc_ptr;

        _t_alloc_ptr = (char *)(sun_flick_alloc(_t20_temp_string_len * sizeof(char )));
        if (!_t_alloc_ptr)
          flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort68);
        _data->people_val[_t18_array_iter].name = _t_alloc_ptr;
      }
      flick_cdr_swap_decode_bcopy(0, _data->people_val[_t18_array_iter].name, 1 * _t20_temp_string_len);
      flick_khazana_decode_end_chunk(1 * _t20_temp_string_len);
      continue;
      {
      _flick_abort78:
        _t18_array_iter--;
        sun_flick_free(_data->people_val[_t18_array_iter].name);
      _flick_abort68:
        if ((unsigned int )_t18_array_iter > 0)
          goto _flick_abort78;
        goto _flick_abort67;
      }
    }
  flick_khazana_decode_end_glob(208 * _data->people_len);
  return 0;
  {
  _flick_abort67:
    sun_flick_free(_data->people_val);
  _flick_abort54:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

flick_operation_success_t progname_2(FLICK_TARGET _this_obj, flick_msg_t _in_msg, flick_msg_t *_out_msg)
{
  FLICK_BUFFER *_stream;
  flick_khazana_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    signed int _t48_switch_tag;

    flick_khazana_decode_new_glob(8);
    flick_khazana_check_span(8, _flick_abort83);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_swap_decode_signed32(0, _t48_switch_tag, signed int );
    flick_khazana_decode_end_chunk(4);
    switch ((signed int )_t48_switch_tag)
      {
      case (signed int) 1:
        {
          {
            struct svc_req *_obj;
            unsigned int _t49_principal_len;
            void *_return;
            people *_local_arg;
            people _t50_storage;
            unsigned int _t54_array_iter;

            flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort162);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t49_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t49_principal_len, _flick_abort162);
            flick_khazana_decode_new_glob(_t49_principal_len);
            flick_khazana_decode_new_chunk(_t49_principal_len);
            flick_khazana_decode_end_chunk(_t49_principal_len);
            flick_khazana_decode_end_glob(_t49_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (people *)(&_t50_storage);
            flick_khazana_decode_new_glob(7);
            flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
            flick_khazana_check_span(4, _flick_abort162);
            flick_cdr_swap_decode_unsigned32(0, _local_arg->people_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(7);
            flick_khazana_decode_new_glob(208 * _local_arg->people_len);
            {
              struct person *_t_alloc_ptr;

              _t_alloc_ptr = (struct person *)(auto_flick_alloc(_local_arg->people_len * sizeof(struct person )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort162);
              _local_arg->people_val = _t_alloc_ptr;
            }
            for (_t54_array_iter = 0; _t54_array_iter < _local_arg->people_len; _t54_array_iter++)
              {
                flick_unsigned32_t _t56_temp_string_len;

                flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                flick_khazana_check_span(4, _flick_abort173);
                flick_cdr_swap_decode_unsigned32(0, _t56_temp_string_len, flick_unsigned32_t );
                if (_t56_temp_string_len > 201)
                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort173);
                flick_khazana_decode_end_chunk(4);
                flick_khazana_check_span(1 * _t56_temp_string_len, _flick_abort173);
                flick_khazana_decode_new_chunk(1 * _t56_temp_string_len);
                flick_cdr_swap_decode_msgptr(0, _local_arg->people_val[_t54_array_iter].name, char *);
                flick_khazana_decode_end_chunk(1 * _t56_temp_string_len);
                continue;
                {
                _flick_abort173:
                  goto _flick_abort172;
                }
              }
            flick_khazana_decode_end_glob(208 * _local_arg->people_len);
            flick_khazana_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op_2(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort172);
              flick_khazana_encode_new_glob(4, _flick_abort172);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_khazana_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_end_glob(4);
                    break;
                  }
                case -1:
                  {
                    flick_khazana_encode_end_glob(4);
                    flick_sun_encode_system_exception(flick_errno, cdr, khazana, _flick_abort184);
                    break;
                    {
                    _flick_abort184:
                      goto _flick_abort172;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort185);
                    flick_khazana_encode_end_glob(4);
                    break;
                    {
                    _flick_abort185:
                      goto _flick_abort172;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort172:
              auto_flick_free(_local_arg->people_val);
            _flick_abort162:
              goto _flick_abort161;
            }
          }
          break;
          {
          _flick_abort161:
            goto _flick_abort83;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort83);
          flick_khazana_decode_end_glob(8);
          break;
        }
      }
  }
  } else {
  {
    signed int _t30_switch_tag;

    flick_khazana_decode_new_glob(8);
    flick_khazana_check_span(8, _flick_abort83);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t30_switch_tag, signed int );
    flick_khazana_decode_end_chunk(4);
    switch ((signed int )_t30_switch_tag)
      {
      case (signed int) 1:
        {
          {
            struct svc_req *_obj;
            unsigned int _t31_principal_len;
            void *_return;
            people *_local_arg;
            people _t32_storage;
            unsigned int _t36_array_iter;

            flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort111);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t31_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t31_principal_len, _flick_abort111);
            flick_khazana_decode_new_glob(_t31_principal_len);
            flick_khazana_decode_new_chunk(_t31_principal_len);
            flick_khazana_decode_end_chunk(_t31_principal_len);
            flick_khazana_decode_end_glob(_t31_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (people *)(&_t32_storage);
            flick_khazana_decode_new_glob(7);
            flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
            flick_khazana_check_span(4, _flick_abort111);
            flick_cdr_decode_unsigned32(0, _local_arg->people_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(7);
            flick_khazana_decode_new_glob(208 * _local_arg->people_len);
            {
              struct person *_t_alloc_ptr;

              _t_alloc_ptr = (struct person *)(auto_flick_alloc(_local_arg->people_len * sizeof(struct person )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort111);
              _local_arg->people_val = _t_alloc_ptr;
            }
            for (_t36_array_iter = 0; _t36_array_iter < _local_arg->people_len; _t36_array_iter++)
              {
                flick_unsigned32_t _t38_temp_string_len;

                flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                flick_khazana_check_span(4, _flick_abort122);
                flick_cdr_decode_unsigned32(0, _t38_temp_string_len, flick_unsigned32_t );
                if (_t38_temp_string_len > 201)
                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort122);
                flick_khazana_decode_end_chunk(4);
                flick_khazana_check_span(1 * _t38_temp_string_len, _flick_abort122);
                flick_khazana_decode_new_chunk(1 * _t38_temp_string_len);
                flick_cdr_decode_msgptr(0, _local_arg->people_val[_t36_array_iter].name, char *);
                flick_khazana_decode_end_chunk(1 * _t38_temp_string_len);
                continue;
                {
                _flick_abort122:
                  goto _flick_abort121;
                }
              }
            flick_khazana_decode_end_glob(208 * _local_arg->people_len);
            flick_khazana_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op_2(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort121);
              flick_khazana_encode_new_glob(4, _flick_abort121);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_khazana_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_end_glob(4);
                    break;
                  }
                case -1:
                  {
                    flick_khazana_encode_end_glob(4);
                    flick_sun_encode_system_exception(flick_errno, cdr, khazana, _flick_abort133);
                    break;
                    {
                    _flick_abort133:
                      goto _flick_abort121;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort134);
                    flick_khazana_encode_end_glob(4);
                    break;
                    {
                    _flick_abort134:
                      goto _flick_abort121;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort121:
              auto_flick_free(_local_arg->people_val);
            _flick_abort111:
              goto _flick_abort110;
            }
          }
          break;
          {
          _flick_abort110:
            goto _flick_abort83;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort83);
          flick_khazana_decode_end_glob(8);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort83:
    flick_sun_server_error(cdr, khazana, _flick_reaper, _flick_abort82);
  _flick_abort82:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

