#include "corbastat-server.h"

/* This is the runtime type information */
char *flick_interface_parents_test[] = {
	"IDL:test:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
int flick_marshal_stub_my_ulong_t(flick_marshal_stream_t _stream, my_ulong_t *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(4, _flick_abort0);
  flick_khazana_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, *_data, CORBA_unsigned_long );
  flick_khazana_encode_end_chunk(4);
  flick_khazana_encode_end_glob(4);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_my_ulong_t(flick_marshal_stream_t _stream, my_ulong_t *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort1);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, *_data, CORBA_unsigned_long );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_my_ulong_t_swap(flick_marshal_stream_t _stream, my_ulong_t *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort2);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, *_data, CORBA_unsigned_long );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_my_dev_t(flick_marshal_stream_t _stream, my_dev_t *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(4, _flick_abort3);
  flick_khazana_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, *_data, my_ulong_t );
  flick_khazana_encode_end_chunk(4);
  flick_khazana_encode_end_glob(4);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_my_dev_t(flick_marshal_stream_t _stream, my_dev_t *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort4);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, *_data, my_ulong_t );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  return 0;
  {
  _flick_abort4:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_my_dev_t_swap(flick_marshal_stream_t _stream, my_dev_t *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort5);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, *_data, my_ulong_t );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  return 0;
  {
  _flick_abort5:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_my_ino_t(flick_marshal_stream_t _stream, my_ino_t *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(4, _flick_abort6);
  flick_khazana_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, *_data, my_ulong_t );
  flick_khazana_encode_end_chunk(4);
  flick_khazana_encode_end_glob(4);
  return 0;
  {
  _flick_abort6:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_my_ino_t(flick_marshal_stream_t _stream, my_ino_t *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort7);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, *_data, my_ulong_t );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  return 0;
  {
  _flick_abort7:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_my_ino_t_swap(flick_marshal_stream_t _stream, my_ino_t *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort8);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, *_data, my_ulong_t );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  return 0;
  {
  _flick_abort8:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_my_mode_t(flick_marshal_stream_t _stream, my_mode_t *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(4, _flick_abort9);
  flick_khazana_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, *_data, my_ulong_t );
  flick_khazana_encode_end_chunk(4);
  flick_khazana_encode_end_glob(4);
  return 0;
  {
  _flick_abort9:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_my_mode_t(flick_marshal_stream_t _stream, my_mode_t *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort10);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, *_data, my_ulong_t );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  return 0;
  {
  _flick_abort10:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_my_mode_t_swap(flick_marshal_stream_t _stream, my_mode_t *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort11);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, *_data, my_ulong_t );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  return 0;
  {
  _flick_abort11:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_my_nlink_t(flick_marshal_stream_t _stream, my_nlink_t *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(4, _flick_abort12);
  flick_khazana_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, *_data, my_ulong_t );
  flick_khazana_encode_end_chunk(4);
  flick_khazana_encode_end_glob(4);
  return 0;
  {
  _flick_abort12:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_my_nlink_t(flick_marshal_stream_t _stream, my_nlink_t *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort13);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, *_data, my_ulong_t );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  return 0;
  {
  _flick_abort13:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_my_nlink_t_swap(flick_marshal_stream_t _stream, my_nlink_t *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort14);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, *_data, my_ulong_t );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  return 0;
  {
  _flick_abort14:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_my_uid_t(flick_marshal_stream_t _stream, my_uid_t *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(4, _flick_abort15);
  flick_khazana_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, *_data, CORBA_long );
  flick_khazana_encode_end_chunk(4);
  flick_khazana_encode_end_glob(4);
  return 0;
  {
  _flick_abort15:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_my_uid_t(flick_marshal_stream_t _stream, my_uid_t *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort16);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, *_data, CORBA_long );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  return 0;
  {
  _flick_abort16:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_my_uid_t_swap(flick_marshal_stream_t _stream, my_uid_t *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort17);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, *_data, CORBA_long );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  return 0;
  {
  _flick_abort17:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_my_gid_t(flick_marshal_stream_t _stream, my_gid_t *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(4, _flick_abort18);
  flick_khazana_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, *_data, my_uid_t );
  flick_khazana_encode_end_chunk(4);
  flick_khazana_encode_end_glob(4);
  return 0;
  {
  _flick_abort18:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_my_gid_t(flick_marshal_stream_t _stream, my_gid_t *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort19);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, *_data, my_uid_t );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  return 0;
  {
  _flick_abort19:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_my_gid_t_swap(flick_marshal_stream_t _stream, my_gid_t *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort20);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, *_data, my_uid_t );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  return 0;
  {
  _flick_abort20:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_my_off_t(flick_marshal_stream_t _stream, my_off_t *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(4, _flick_abort21);
  flick_khazana_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, *_data, CORBA_long );
  flick_khazana_encode_end_chunk(4);
  flick_khazana_encode_end_glob(4);
  return 0;
  {
  _flick_abort21:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_my_off_t(flick_marshal_stream_t _stream, my_off_t *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort22);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, *_data, CORBA_long );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  return 0;
  {
  _flick_abort22:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_my_off_t_swap(flick_marshal_stream_t _stream, my_off_t *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort23);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, *_data, CORBA_long );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  return 0;
  {
  _flick_abort23:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_my_time_t(flick_marshal_stream_t _stream, my_time_t *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(4, _flick_abort24);
  flick_khazana_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, *_data, CORBA_long );
  flick_khazana_encode_end_chunk(4);
  flick_khazana_encode_end_glob(4);
  return 0;
  {
  _flick_abort24:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_my_time_t(flick_marshal_stream_t _stream, my_time_t *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort25);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, *_data, CORBA_long );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  return 0;
  {
  _flick_abort25:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_my_time_t_swap(flick_marshal_stream_t _stream, my_time_t *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort26);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, *_data, CORBA_long );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  return 0;
  {
  _flick_abort26:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_my_timespec(flick_marshal_stream_t _stream, struct my_timespec *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(8, _flick_abort27);
  flick_khazana_encode_new_chunk(8);
  flick_cdr_encode_signed32(0, _data->my_tv_sec, CORBA_long );
  flick_cdr_encode_signed32(4, _data->my_tv_nsec, CORBA_long );
  flick_khazana_encode_end_chunk(8);
  flick_khazana_encode_end_glob(8);
  return 0;
  {
  _flick_abort27:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_my_timespec(flick_marshal_stream_t _stream, struct my_timespec *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(8);
  flick_khazana_check_span(8, _flick_abort28);
  flick_khazana_decode_new_chunk(8);
  flick_cdr_decode_signed32(0, _data->my_tv_sec, CORBA_long );
  flick_cdr_decode_signed32(4, _data->my_tv_nsec, CORBA_long );
  flick_khazana_decode_end_chunk(8);
  flick_khazana_decode_end_glob(8);
  return 0;
  {
  _flick_abort28:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_my_timespec_swap(flick_marshal_stream_t _stream, struct my_timespec *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(8);
  flick_khazana_check_span(8, _flick_abort29);
  flick_khazana_decode_new_chunk(8);
  flick_cdr_swap_decode_signed32(0, _data->my_tv_sec, CORBA_long );
  flick_cdr_swap_decode_signed32(4, _data->my_tv_nsec, CORBA_long );
  flick_khazana_decode_end_chunk(8);
  flick_khazana_decode_end_glob(8);
  return 0;
  {
  _flick_abort29:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_my_timestruc_t(flick_marshal_stream_t _stream, my_timestruc_t *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(8, _flick_abort30);
  flick_khazana_encode_new_chunk(8);
  flick_cdr_encode_signed32(0, _data->my_tv_sec, CORBA_long );
  flick_cdr_encode_signed32(4, _data->my_tv_nsec, CORBA_long );
  flick_khazana_encode_end_chunk(8);
  flick_khazana_encode_end_glob(8);
  return 0;
  {
  _flick_abort30:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_my_timestruc_t(flick_marshal_stream_t _stream, my_timestruc_t *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(8);
  flick_khazana_check_span(8, _flick_abort31);
  flick_khazana_decode_new_chunk(8);
  flick_cdr_decode_signed32(0, _data->my_tv_sec, CORBA_long );
  flick_cdr_decode_signed32(4, _data->my_tv_nsec, CORBA_long );
  flick_khazana_decode_end_chunk(8);
  flick_khazana_decode_end_glob(8);
  return 0;
  {
  _flick_abort31:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_my_timestruc_t_swap(flick_marshal_stream_t _stream, my_timestruc_t *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(8);
  flick_khazana_check_span(8, _flick_abort32);
  flick_khazana_decode_new_chunk(8);
  flick_cdr_swap_decode_signed32(0, _data->my_tv_sec, CORBA_long );
  flick_cdr_swap_decode_signed32(4, _data->my_tv_nsec, CORBA_long );
  flick_khazana_decode_end_chunk(8);
  flick_khazana_decode_end_glob(8);
  return 0;
  {
  _flick_abort32:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_test(flick_marshal_stream_t _stream, test *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdr_encode_IOR(khazana, *_data, 0, _flick_abort33);
  return 0;
  {
  _flick_abort33:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_test(flick_marshal_stream_t _stream, test *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_decode_IOR(khazana, *_data, 1);
  return 0;
}

int flick_unmarshal_stub_test_swap(flick_marshal_stream_t _stream, test *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swap_decode_IOR(khazana, *_data, 1);
  return 0;
}

int flick_marshal_stub_test_my_stat(flick_marshal_stream_t _stream, struct test_my_stat *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(136, _flick_abort36);
  flick_khazana_encode_new_chunk(136);
  flick_cdr_encode_unsigned32(0, _data->st_dev, my_ulong_t );
  flick_cdr_encode_bcopy(4, _data->st_pad1, 12);
  flick_cdr_encode_unsigned32(16, _data->st_ino, my_ulong_t );
  flick_cdr_encode_unsigned32(20, _data->st_mode, my_ulong_t );
  flick_cdr_encode_unsigned32(24, _data->st_nlink, my_ulong_t );
  flick_cdr_encode_signed32(28, _data->st_uid, CORBA_long );
  flick_cdr_encode_signed32(32, _data->st_gid, my_uid_t );
  flick_cdr_encode_unsigned32(36, _data->st_rdev, my_ulong_t );
  flick_cdr_encode_bcopy(40, _data->st_pad2, 8);
  flick_cdr_encode_signed32(48, _data->st_size, CORBA_long );
  flick_cdr_encode_signed32(52, _data->st_pad3, CORBA_long );
  flick_cdr_encode_signed32(56, _data->st_atime.my_tv_sec, CORBA_long );
  flick_cdr_encode_signed32(60, _data->st_atime.my_tv_nsec, CORBA_long );
  flick_cdr_encode_signed32(64, _data->st_mtime.my_tv_sec, CORBA_long );
  flick_cdr_encode_signed32(68, _data->st_mtime.my_tv_nsec, CORBA_long );
  flick_cdr_encode_signed32(72, _data->st_ctime.my_tv_sec, CORBA_long );
  flick_cdr_encode_signed32(76, _data->st_ctime.my_tv_nsec, CORBA_long );
  flick_cdr_encode_signed32(80, _data->st_blksize, CORBA_long );
  flick_cdr_encode_signed32(84, _data->st_blocks, CORBA_long );
  flick_cdr_encode_bcopy(88, _data->st_fstype, 16);
  flick_cdr_encode_bcopy(104, _data->st_pad4, 32);
  flick_khazana_encode_end_chunk(136);
  flick_khazana_encode_end_glob(136);
  return 0;
  {
  _flick_abort36:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_test_my_stat(flick_marshal_stream_t _stream, struct test_my_stat *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(136);
  flick_khazana_check_span(136, _flick_abort45);
  flick_khazana_decode_new_chunk(136);
  flick_cdr_decode_unsigned32(0, _data->st_dev, my_ulong_t );
  flick_cdr_decode_bcopy(4, _data->st_pad1, 12);
  flick_cdr_decode_unsigned32(16, _data->st_ino, my_ulong_t );
  flick_cdr_decode_unsigned32(20, _data->st_mode, my_ulong_t );
  flick_cdr_decode_unsigned32(24, _data->st_nlink, my_ulong_t );
  flick_cdr_decode_signed32(28, _data->st_uid, CORBA_long );
  flick_cdr_decode_signed32(32, _data->st_gid, my_uid_t );
  flick_cdr_decode_unsigned32(36, _data->st_rdev, my_ulong_t );
  flick_cdr_decode_bcopy(40, _data->st_pad2, 8);
  flick_cdr_decode_signed32(48, _data->st_size, CORBA_long );
  flick_cdr_decode_signed32(52, _data->st_pad3, CORBA_long );
  flick_cdr_decode_signed32(56, _data->st_atime.my_tv_sec, CORBA_long );
  flick_cdr_decode_signed32(60, _data->st_atime.my_tv_nsec, CORBA_long );
  flick_cdr_decode_signed32(64, _data->st_mtime.my_tv_sec, CORBA_long );
  flick_cdr_decode_signed32(68, _data->st_mtime.my_tv_nsec, CORBA_long );
  flick_cdr_decode_signed32(72, _data->st_ctime.my_tv_sec, CORBA_long );
  flick_cdr_decode_signed32(76, _data->st_ctime.my_tv_nsec, CORBA_long );
  flick_cdr_decode_signed32(80, _data->st_blksize, CORBA_long );
  flick_cdr_decode_signed32(84, _data->st_blocks, CORBA_long );
  flick_cdr_decode_bcopy(88, _data->st_fstype, 16);
  flick_cdr_decode_bcopy(104, _data->st_pad4, 32);
  flick_khazana_decode_end_chunk(136);
  flick_khazana_decode_end_glob(136);
  return 0;
  {
  _flick_abort45:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_test_my_stat_swap(flick_marshal_stream_t _stream, struct test_my_stat *_data)
{
  flick_unsigned32_t _t0_array_iter;
  flick_unsigned32_t _t1_array_iter;
  flick_unsigned32_t _t2_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(136);
  flick_khazana_check_span(3 * 4 + (2 * 4 + 8 * 4) + 84, _flick_abort54);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->st_dev, my_ulong_t );
  flick_khazana_decode_end_chunk(4);
  for (_t0_array_iter = 0; _t0_array_iter < 3; _t0_array_iter++)
    {
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->st_pad1[_t0_array_iter], CORBA_long );
      flick_khazana_decode_end_chunk(4);
      continue;
    }
  flick_khazana_decode_new_chunk(24);
  flick_cdr_swap_decode_unsigned32(0, _data->st_ino, my_ulong_t );
  flick_cdr_swap_decode_unsigned32(4, _data->st_mode, my_ulong_t );
  flick_cdr_swap_decode_unsigned32(8, _data->st_nlink, my_ulong_t );
  flick_cdr_swap_decode_signed32(12, _data->st_uid, CORBA_long );
  flick_cdr_swap_decode_signed32(16, _data->st_gid, my_uid_t );
  flick_cdr_swap_decode_unsigned32(20, _data->st_rdev, my_ulong_t );
  flick_khazana_decode_end_chunk(24);
  for (_t1_array_iter = 0; _t1_array_iter < 2; _t1_array_iter++)
    {
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->st_pad2[_t1_array_iter], CORBA_long );
      flick_khazana_decode_end_chunk(4);
      continue;
    }
  flick_khazana_decode_new_chunk(56);
  flick_cdr_swap_decode_signed32(0, _data->st_size, CORBA_long );
  flick_cdr_swap_decode_signed32(4, _data->st_pad3, CORBA_long );
  flick_cdr_swap_decode_signed32(8, _data->st_atime.my_tv_sec, CORBA_long );
  flick_cdr_swap_decode_signed32(12, _data->st_atime.my_tv_nsec, CORBA_long );
  flick_cdr_swap_decode_signed32(16, _data->st_mtime.my_tv_sec, CORBA_long );
  flick_cdr_swap_decode_signed32(20, _data->st_mtime.my_tv_nsec, CORBA_long );
  flick_cdr_swap_decode_signed32(24, _data->st_ctime.my_tv_sec, CORBA_long );
  flick_cdr_swap_decode_signed32(28, _data->st_ctime.my_tv_nsec, CORBA_long );
  flick_cdr_swap_decode_signed32(32, _data->st_blksize, CORBA_long );
  flick_cdr_swap_decode_signed32(36, _data->st_blocks, CORBA_long );
  flick_cdr_swap_decode_bcopy(40, _data->st_fstype, 16);
  flick_khazana_decode_end_chunk(56);
  for (_t2_array_iter = 0; _t2_array_iter < 8; _t2_array_iter++)
    {
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->st_pad4[_t2_array_iter], CORBA_long );
      flick_khazana_decode_end_chunk(4);
      continue;
    }
  flick_khazana_decode_end_glob(136);
  return 0;
  {
  _flick_abort54:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_test_entry(flick_marshal_stream_t _stream, struct test_entry *_data)
{
  flick_unsigned32_t _t3_temp_string_len;

  flick_cdr_stringlen(CORBA_char *, _data->filename, flick_unsigned32_t , _t3_temp_string_len);

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(399, _flick_abort72);
  flick_khazana_encode_new_chunk(4 + 1 * _t3_temp_string_len);
  flick_cdr_encode_unsigned32(0, _t3_temp_string_len, flick_unsigned32_t );
  if (_t3_temp_string_len > 256)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort72);
  flick_cdr_encode_bcopy(4, _data->filename, 1 * _t3_temp_string_len);
  CORBA_flick_free(_data->filename);
  flick_khazana_encode_end_chunk(4 + 1 * _t3_temp_string_len);
  flick_khazana_encode_new_chunk_align(136, 2, 0, 0);
  flick_cdr_encode_unsigned32(0, _data->info.st_dev, my_ulong_t );
  flick_cdr_encode_bcopy(4, _data->info.st_pad1, 12);
  flick_cdr_encode_unsigned32(16, _data->info.st_ino, my_ulong_t );
  flick_cdr_encode_unsigned32(20, _data->info.st_mode, my_ulong_t );
  flick_cdr_encode_unsigned32(24, _data->info.st_nlink, my_ulong_t );
  flick_cdr_encode_signed32(28, _data->info.st_uid, CORBA_long );
  flick_cdr_encode_signed32(32, _data->info.st_gid, my_uid_t );
  flick_cdr_encode_unsigned32(36, _data->info.st_rdev, my_ulong_t );
  flick_cdr_encode_bcopy(40, _data->info.st_pad2, 8);
  flick_cdr_encode_signed32(48, _data->info.st_size, CORBA_long );
  flick_cdr_encode_signed32(52, _data->info.st_pad3, CORBA_long );
  flick_cdr_encode_signed32(56, _data->info.st_atime.my_tv_sec, CORBA_long );
  flick_cdr_encode_signed32(60, _data->info.st_atime.my_tv_nsec, CORBA_long );
  flick_cdr_encode_signed32(64, _data->info.st_mtime.my_tv_sec, CORBA_long );
  flick_cdr_encode_signed32(68, _data->info.st_mtime.my_tv_nsec, CORBA_long );
  flick_cdr_encode_signed32(72, _data->info.st_ctime.my_tv_sec, CORBA_long );
  flick_cdr_encode_signed32(76, _data->info.st_ctime.my_tv_nsec, CORBA_long );
  flick_cdr_encode_signed32(80, _data->info.st_blksize, CORBA_long );
  flick_cdr_encode_signed32(84, _data->info.st_blocks, CORBA_long );
  flick_cdr_encode_bcopy(88, _data->info.st_fstype, 16);
  flick_cdr_encode_bcopy(104, _data->info.st_pad4, 32);
  flick_khazana_encode_end_chunk(136);
  flick_khazana_encode_end_glob(399);
  return 0;
  {
  _flick_abort72:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_test_entry(flick_marshal_stream_t _stream, struct test_entry *_data)
{
  flick_unsigned32_t _t4_temp_string_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(399);
  flick_khazana_check_span(4, _flick_abort83);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _t4_temp_string_len, flick_unsigned32_t );
  if (_t4_temp_string_len > 256)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort83);
  flick_khazana_decode_end_chunk(4);
  flick_khazana_check_span(1 * _t4_temp_string_len, _flick_abort83);
  flick_khazana_decode_new_chunk(1 * _t4_temp_string_len);
  {
    CORBA_char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(256 * sizeof(CORBA_char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort83);
    _data->filename = _t_alloc_ptr;
  }
  flick_cdr_decode_bcopy(0, _data->filename, 1 * _t4_temp_string_len);
  flick_khazana_decode_end_chunk(1 * _t4_temp_string_len);
  flick_khazana_decode_new_chunk_align(136, 2, 0, 0);
  flick_khazana_check_span(136, _flick_abort86);
  flick_cdr_decode_unsigned32(0, _data->info.st_dev, my_ulong_t );
  flick_cdr_decode_bcopy(4, _data->info.st_pad1, 12);
  flick_cdr_decode_unsigned32(16, _data->info.st_ino, my_ulong_t );
  flick_cdr_decode_unsigned32(20, _data->info.st_mode, my_ulong_t );
  flick_cdr_decode_unsigned32(24, _data->info.st_nlink, my_ulong_t );
  flick_cdr_decode_signed32(28, _data->info.st_uid, CORBA_long );
  flick_cdr_decode_signed32(32, _data->info.st_gid, my_uid_t );
  flick_cdr_decode_unsigned32(36, _data->info.st_rdev, my_ulong_t );
  flick_cdr_decode_bcopy(40, _data->info.st_pad2, 8);
  flick_cdr_decode_signed32(48, _data->info.st_size, CORBA_long );
  flick_cdr_decode_signed32(52, _data->info.st_pad3, CORBA_long );
  flick_cdr_decode_signed32(56, _data->info.st_atime.my_tv_sec, CORBA_long );
  flick_cdr_decode_signed32(60, _data->info.st_atime.my_tv_nsec, CORBA_long );
  flick_cdr_decode_signed32(64, _data->info.st_mtime.my_tv_sec, CORBA_long );
  flick_cdr_decode_signed32(68, _data->info.st_mtime.my_tv_nsec, CORBA_long );
  flick_cdr_decode_signed32(72, _data->info.st_ctime.my_tv_sec, CORBA_long );
  flick_cdr_decode_signed32(76, _data->info.st_ctime.my_tv_nsec, CORBA_long );
  flick_cdr_decode_signed32(80, _data->info.st_blksize, CORBA_long );
  flick_cdr_decode_signed32(84, _data->info.st_blocks, CORBA_long );
  flick_cdr_decode_bcopy(88, _data->info.st_fstype, 16);
  flick_cdr_decode_bcopy(104, _data->info.st_pad4, 32);
  flick_khazana_decode_end_chunk(136);
  flick_khazana_decode_end_glob(399);
  return 0;
  {
  _flick_abort86:
    CORBA_flick_free(_data->filename);
  _flick_abort83:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_test_entry_swap(flick_marshal_stream_t _stream, struct test_entry *_data)
{
  flick_unsigned32_t _t5_temp_string_len;
  flick_unsigned32_t _t6_array_iter;
  flick_unsigned32_t _t7_array_iter;
  flick_unsigned32_t _t8_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(399);
  flick_khazana_check_span(4, _flick_abort95);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _t5_temp_string_len, flick_unsigned32_t );
  if (_t5_temp_string_len > 256)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort95);
  flick_khazana_decode_end_chunk(4);
  flick_khazana_check_span(1 * _t5_temp_string_len, _flick_abort95);
  flick_khazana_decode_new_chunk(1 * _t5_temp_string_len);
  {
    CORBA_char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(256 * sizeof(CORBA_char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort95);
    _data->filename = _t_alloc_ptr;
  }
  flick_cdr_swap_decode_bcopy(0, _data->filename, 1 * _t5_temp_string_len);
  flick_khazana_decode_end_chunk(1 * _t5_temp_string_len);
  flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
  flick_khazana_check_span(3 * 4 + (2 * 4 + 8 * 4) + 84, _flick_abort98);
  flick_cdr_swap_decode_unsigned32(0, _data->info.st_dev, my_ulong_t );
  flick_khazana_decode_end_chunk(4);
  for (_t6_array_iter = 0; _t6_array_iter < 3; _t6_array_iter++)
    {
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->info.st_pad1[_t6_array_iter], CORBA_long );
      flick_khazana_decode_end_chunk(4);
      continue;
    }
  flick_khazana_decode_new_chunk(24);
  flick_cdr_swap_decode_unsigned32(0, _data->info.st_ino, my_ulong_t );
  flick_cdr_swap_decode_unsigned32(4, _data->info.st_mode, my_ulong_t );
  flick_cdr_swap_decode_unsigned32(8, _data->info.st_nlink, my_ulong_t );
  flick_cdr_swap_decode_signed32(12, _data->info.st_uid, CORBA_long );
  flick_cdr_swap_decode_signed32(16, _data->info.st_gid, my_uid_t );
  flick_cdr_swap_decode_unsigned32(20, _data->info.st_rdev, my_ulong_t );
  flick_khazana_decode_end_chunk(24);
  for (_t7_array_iter = 0; _t7_array_iter < 2; _t7_array_iter++)
    {
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->info.st_pad2[_t7_array_iter], CORBA_long );
      flick_khazana_decode_end_chunk(4);
      continue;
    }
  flick_khazana_decode_new_chunk(56);
  flick_cdr_swap_decode_signed32(0, _data->info.st_size, CORBA_long );
  flick_cdr_swap_decode_signed32(4, _data->info.st_pad3, CORBA_long );
  flick_cdr_swap_decode_signed32(8, _data->info.st_atime.my_tv_sec, CORBA_long );
  flick_cdr_swap_decode_signed32(12, _data->info.st_atime.my_tv_nsec, CORBA_long );
  flick_cdr_swap_decode_signed32(16, _data->info.st_mtime.my_tv_sec, CORBA_long );
  flick_cdr_swap_decode_signed32(20, _data->info.st_mtime.my_tv_nsec, CORBA_long );
  flick_cdr_swap_decode_signed32(24, _data->info.st_ctime.my_tv_sec, CORBA_long );
  flick_cdr_swap_decode_signed32(28, _data->info.st_ctime.my_tv_nsec, CORBA_long );
  flick_cdr_swap_decode_signed32(32, _data->info.st_blksize, CORBA_long );
  flick_cdr_swap_decode_signed32(36, _data->info.st_blocks, CORBA_long );
  flick_cdr_swap_decode_bcopy(40, _data->info.st_fstype, 16);
  flick_khazana_decode_end_chunk(56);
  for (_t8_array_iter = 0; _t8_array_iter < 8; _t8_array_iter++)
    {
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->info.st_pad4[_t8_array_iter], CORBA_long );
      flick_khazana_decode_end_chunk(4);
      continue;
    }
  flick_khazana_decode_end_glob(399);
  return 0;
  {
  _flick_abort98:
    CORBA_flick_free(_data->filename);
  _flick_abort95:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_test_inner(flick_marshal_stream_t _stream, struct test_inner *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(8, _flick_abort116);
  flick_khazana_encode_new_chunk(8);
  flick_cdr_encode_signed32(0, _data->a, CORBA_long );
  flick_cdr_encode_signed32(4, _data->b, CORBA_long );
  flick_khazana_encode_end_chunk(8);
  flick_khazana_encode_end_glob(8);
  return 0;
  {
  _flick_abort116:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_test_inner(flick_marshal_stream_t _stream, struct test_inner *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(8);
  flick_khazana_check_span(8, _flick_abort117);
  flick_khazana_decode_new_chunk(8);
  flick_cdr_decode_signed32(0, _data->a, CORBA_long );
  flick_cdr_decode_signed32(4, _data->b, CORBA_long );
  flick_khazana_decode_end_chunk(8);
  flick_khazana_decode_end_glob(8);
  return 0;
  {
  _flick_abort117:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_test_inner_swap(flick_marshal_stream_t _stream, struct test_inner *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(8);
  flick_khazana_check_span(8, _flick_abort118);
  flick_khazana_decode_new_chunk(8);
  flick_cdr_swap_decode_signed32(0, _data->a, CORBA_long );
  flick_cdr_swap_decode_signed32(4, _data->b, CORBA_long );
  flick_khazana_decode_end_chunk(8);
  flick_khazana_decode_end_glob(8);
  return 0;
  {
  _flick_abort118:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_test_outer(flick_marshal_stream_t _stream, struct test_outer *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(16, _flick_abort119);
  flick_khazana_encode_new_chunk(16);
  flick_cdr_encode_signed32(0, _data->a.a, CORBA_long );
  flick_cdr_encode_signed32(4, _data->a.b, CORBA_long );
  flick_cdr_encode_signed32(8, _data->b.a, CORBA_long );
  flick_cdr_encode_signed32(12, _data->b.b, CORBA_long );
  flick_khazana_encode_end_chunk(16);
  flick_khazana_encode_end_glob(16);
  return 0;
  {
  _flick_abort119:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_test_outer(flick_marshal_stream_t _stream, struct test_outer *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(16);
  flick_khazana_check_span(16, _flick_abort120);
  flick_khazana_decode_new_chunk(16);
  flick_cdr_decode_signed32(0, _data->a.a, CORBA_long );
  flick_cdr_decode_signed32(4, _data->a.b, CORBA_long );
  flick_cdr_decode_signed32(8, _data->b.a, CORBA_long );
  flick_cdr_decode_signed32(12, _data->b.b, CORBA_long );
  flick_khazana_decode_end_chunk(16);
  flick_khazana_decode_end_glob(16);
  return 0;
  {
  _flick_abort120:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_test_outer_swap(flick_marshal_stream_t _stream, struct test_outer *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(16);
  flick_khazana_check_span(16, _flick_abort121);
  flick_khazana_decode_new_chunk(16);
  flick_cdr_swap_decode_signed32(0, _data->a.a, CORBA_long );
  flick_cdr_swap_decode_signed32(4, _data->a.b, CORBA_long );
  flick_cdr_swap_decode_signed32(8, _data->b.a, CORBA_long );
  flick_cdr_swap_decode_signed32(12, _data->b.b, CORBA_long );
  flick_khazana_decode_end_chunk(16);
  flick_khazana_decode_end_glob(16);
  return 0;
  {
  _flick_abort121:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_test_directory(flick_marshal_stream_t _stream, test_directory *_data)
{
  CORBA_unsigned_long _t12_array_iter;

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(4, _flick_abort122);
  flick_khazana_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  flick_khazana_encode_end_chunk(4);
  flick_khazana_encode_end_glob(4);
  for (_t12_array_iter = 0; _t12_array_iter < _data->_length; _t12_array_iter++)
    {
      flick_unsigned32_t _t14_temp_string_len;

      flick_cdr_stringlen(CORBA_char *, _data->_buffer[_t12_array_iter].filename, flick_unsigned32_t , _t14_temp_string_len);

      flick_khazana_encode_new_glob(399, _flick_abort156);
      flick_khazana_encode_new_chunk(4 + 1 * _t14_temp_string_len);
      flick_cdr_encode_unsigned32(0, _t14_temp_string_len, flick_unsigned32_t );
      if (_t14_temp_string_len > 256)
        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort156);
      flick_cdr_encode_bcopy(4, _data->_buffer[_t12_array_iter].filename, 1 * _t14_temp_string_len);
      CORBA_flick_free(_data->_buffer[_t12_array_iter].filename);
      flick_khazana_encode_end_chunk(4 + 1 * _t14_temp_string_len);
      flick_khazana_encode_new_chunk_align(136, 2, 0, 0);
      flick_cdr_encode_unsigned32(0, _data->_buffer[_t12_array_iter].info.st_dev, my_ulong_t );
      flick_cdr_encode_bcopy(4, _data->_buffer[_t12_array_iter].info.st_pad1, 12);
      flick_cdr_encode_unsigned32(16, _data->_buffer[_t12_array_iter].info.st_ino, my_ulong_t );
      flick_cdr_encode_unsigned32(20, _data->_buffer[_t12_array_iter].info.st_mode, my_ulong_t );
      flick_cdr_encode_unsigned32(24, _data->_buffer[_t12_array_iter].info.st_nlink, my_ulong_t );
      flick_cdr_encode_signed32(28, _data->_buffer[_t12_array_iter].info.st_uid, CORBA_long );
      flick_cdr_encode_signed32(32, _data->_buffer[_t12_array_iter].info.st_gid, my_uid_t );
      flick_cdr_encode_unsigned32(36, _data->_buffer[_t12_array_iter].info.st_rdev, my_ulong_t );
      flick_cdr_encode_bcopy(40, _data->_buffer[_t12_array_iter].info.st_pad2, 8);
      flick_cdr_encode_signed32(48, _data->_buffer[_t12_array_iter].info.st_size, CORBA_long );
      flick_cdr_encode_signed32(52, _data->_buffer[_t12_array_iter].info.st_pad3, CORBA_long );
      flick_cdr_encode_signed32(56, _data->_buffer[_t12_array_iter].info.st_atime.my_tv_sec, CORBA_long );
      flick_cdr_encode_signed32(60, _data->_buffer[_t12_array_iter].info.st_atime.my_tv_nsec, CORBA_long );
      flick_cdr_encode_signed32(64, _data->_buffer[_t12_array_iter].info.st_mtime.my_tv_sec, CORBA_long );
      flick_cdr_encode_signed32(68, _data->_buffer[_t12_array_iter].info.st_mtime.my_tv_nsec, CORBA_long );
      flick_cdr_encode_signed32(72, _data->_buffer[_t12_array_iter].info.st_ctime.my_tv_sec, CORBA_long );
      flick_cdr_encode_signed32(76, _data->_buffer[_t12_array_iter].info.st_ctime.my_tv_nsec, CORBA_long );
      flick_cdr_encode_signed32(80, _data->_buffer[_t12_array_iter].info.st_blksize, CORBA_long );
      flick_cdr_encode_signed32(84, _data->_buffer[_t12_array_iter].info.st_blocks, CORBA_long );
      flick_cdr_encode_bcopy(88, _data->_buffer[_t12_array_iter].info.st_fstype, 16);
      flick_cdr_encode_bcopy(104, _data->_buffer[_t12_array_iter].info.st_pad4, 32);
      flick_khazana_encode_end_chunk(136);
      flick_khazana_encode_end_glob(399);
      continue;
      {
      _flick_abort156:
        goto _flick_abort122;
      }
    }
  if (_data->_release)
    CORBA_flick_free(_data->_buffer);
  _data->_maximum = 0;
  _data->_release = 0;
  return 0;
  {
  _flick_abort122:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_test_directory(flick_marshal_stream_t _stream, test_directory *_data)
{
  CORBA_unsigned_long _t18_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort178);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  {
    struct test_entry *_t_alloc_ptr;

    _t_alloc_ptr = (struct test_entry *)(CORBA_flick_alloc(_data->_length * sizeof(struct test_entry )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort178);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = _data->_length;
    _data->_release = 1;
  }
  for (_t18_array_iter = 0; _t18_array_iter < _data->_length; _t18_array_iter++)
    {
      flick_unsigned32_t _t20_temp_string_len;

      flick_khazana_decode_new_glob(399);
      flick_khazana_check_span(4, _flick_abort216);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _t20_temp_string_len, flick_unsigned32_t );
      if (_t20_temp_string_len > 256)
        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort216);
      flick_khazana_decode_end_chunk(4);
      flick_khazana_check_span(1 * _t20_temp_string_len, _flick_abort216);
      flick_khazana_decode_new_chunk(1 * _t20_temp_string_len);
      {
        CORBA_char *_t_alloc_ptr;

        _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(256 * sizeof(CORBA_char )));
        if (!_t_alloc_ptr)
          flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort216);
        _data->_buffer[_t18_array_iter].filename = _t_alloc_ptr;
      }
      flick_cdr_decode_bcopy(0, _data->_buffer[_t18_array_iter].filename, 1 * _t20_temp_string_len);
      flick_khazana_decode_end_chunk(1 * _t20_temp_string_len);
      flick_khazana_decode_new_chunk_align(136, 2, 0, 0);
      flick_khazana_check_span(136, _flick_abort231);
      flick_cdr_decode_unsigned32(0, _data->_buffer[_t18_array_iter].info.st_dev, my_ulong_t );
      flick_cdr_decode_bcopy(4, _data->_buffer[_t18_array_iter].info.st_pad1, 12);
      flick_cdr_decode_unsigned32(16, _data->_buffer[_t18_array_iter].info.st_ino, my_ulong_t );
      flick_cdr_decode_unsigned32(20, _data->_buffer[_t18_array_iter].info.st_mode, my_ulong_t );
      flick_cdr_decode_unsigned32(24, _data->_buffer[_t18_array_iter].info.st_nlink, my_ulong_t );
      flick_cdr_decode_signed32(28, _data->_buffer[_t18_array_iter].info.st_uid, CORBA_long );
      flick_cdr_decode_signed32(32, _data->_buffer[_t18_array_iter].info.st_gid, my_uid_t );
      flick_cdr_decode_unsigned32(36, _data->_buffer[_t18_array_iter].info.st_rdev, my_ulong_t );
      flick_cdr_decode_bcopy(40, _data->_buffer[_t18_array_iter].info.st_pad2, 8);
      flick_cdr_decode_signed32(48, _data->_buffer[_t18_array_iter].info.st_size, CORBA_long );
      flick_cdr_decode_signed32(52, _data->_buffer[_t18_array_iter].info.st_pad3, CORBA_long );
      flick_cdr_decode_signed32(56, _data->_buffer[_t18_array_iter].info.st_atime.my_tv_sec, CORBA_long );
      flick_cdr_decode_signed32(60, _data->_buffer[_t18_array_iter].info.st_atime.my_tv_nsec, CORBA_long );
      flick_cdr_decode_signed32(64, _data->_buffer[_t18_array_iter].info.st_mtime.my_tv_sec, CORBA_long );
      flick_cdr_decode_signed32(68, _data->_buffer[_t18_array_iter].info.st_mtime.my_tv_nsec, CORBA_long );
      flick_cdr_decode_signed32(72, _data->_buffer[_t18_array_iter].info.st_ctime.my_tv_sec, CORBA_long );
      flick_cdr_decode_signed32(76, _data->_buffer[_t18_array_iter].info.st_ctime.my_tv_nsec, CORBA_long );
      flick_cdr_decode_signed32(80, _data->_buffer[_t18_array_iter].info.st_blksize, CORBA_long );
      flick_cdr_decode_signed32(84, _data->_buffer[_t18_array_iter].info.st_blocks, CORBA_long );
      flick_cdr_decode_bcopy(88, _data->_buffer[_t18_array_iter].info.st_fstype, 16);
      flick_cdr_decode_bcopy(104, _data->_buffer[_t18_array_iter].info.st_pad4, 32);
      flick_khazana_decode_end_chunk(136);
      flick_khazana_decode_end_glob(399);
      continue;
      {
      _flick_abort242:
        _t18_array_iter--;
      _flick_abort231:
        CORBA_flick_free(_data->_buffer[_t18_array_iter].filename);
      _flick_abort216:
        if ((unsigned int )_t18_array_iter > 0)
          goto _flick_abort242;
        goto _flick_abort215;
      }
    }
  return 0;
  {
  _flick_abort215:
    CORBA_flick_free(_data->_buffer);
  _flick_abort178:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_test_directory_swap(flick_marshal_stream_t _stream, test_directory *_data)
{
  CORBA_unsigned_long _t33_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort245);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  {
    struct test_entry *_t_alloc_ptr;

    _t_alloc_ptr = (struct test_entry *)(CORBA_flick_alloc(_data->_length * sizeof(struct test_entry )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort245);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = _data->_length;
    _data->_release = 1;
  }
  for (_t33_array_iter = 0; _t33_array_iter < _data->_length; _t33_array_iter++)
    {
      flick_unsigned32_t _t38_temp_string_len;
      flick_unsigned32_t _t39_array_iter;
      flick_unsigned32_t _t40_array_iter;
      flick_unsigned32_t _t41_array_iter;

      flick_khazana_decode_new_glob(399);
      flick_khazana_check_span(4, _flick_abort310);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _t38_temp_string_len, flick_unsigned32_t );
      if (_t38_temp_string_len > 256)
        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort310);
      flick_khazana_decode_end_chunk(4);
      flick_khazana_check_span(1 * _t38_temp_string_len, _flick_abort310);
      flick_khazana_decode_new_chunk(1 * _t38_temp_string_len);
      {
        CORBA_char *_t_alloc_ptr;

        _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(256 * sizeof(CORBA_char )));
        if (!_t_alloc_ptr)
          flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort310);
        _data->_buffer[_t33_array_iter].filename = _t_alloc_ptr;
      }
      flick_cdr_swap_decode_bcopy(0, _data->_buffer[_t33_array_iter].filename, 1 * _t38_temp_string_len);
      flick_khazana_decode_end_chunk(1 * _t38_temp_string_len);
      flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
      flick_khazana_check_span(3 * 4 + (2 * 4 + 8 * 4) + 84, _flick_abort334);
      flick_cdr_swap_decode_unsigned32(0, _data->_buffer[_t33_array_iter].info.st_dev, my_ulong_t );
      flick_khazana_decode_end_chunk(4);
      for (_t39_array_iter = 0; _t39_array_iter < 3; _t39_array_iter++)
        {
          flick_khazana_decode_new_chunk(4);
          flick_cdr_swap_decode_signed32(0, _data->_buffer[_t33_array_iter].info.st_pad1[_t39_array_iter], CORBA_long );
          flick_khazana_decode_end_chunk(4);
          continue;
        }
      flick_khazana_decode_new_chunk(24);
      flick_cdr_swap_decode_unsigned32(0, _data->_buffer[_t33_array_iter].info.st_ino, my_ulong_t );
      flick_cdr_swap_decode_unsigned32(4, _data->_buffer[_t33_array_iter].info.st_mode, my_ulong_t );
      flick_cdr_swap_decode_unsigned32(8, _data->_buffer[_t33_array_iter].info.st_nlink, my_ulong_t );
      flick_cdr_swap_decode_signed32(12, _data->_buffer[_t33_array_iter].info.st_uid, CORBA_long );
      flick_cdr_swap_decode_signed32(16, _data->_buffer[_t33_array_iter].info.st_gid, my_uid_t );
      flick_cdr_swap_decode_unsigned32(20, _data->_buffer[_t33_array_iter].info.st_rdev, my_ulong_t );
      flick_khazana_decode_end_chunk(24);
      for (_t40_array_iter = 0; _t40_array_iter < 2; _t40_array_iter++)
        {
          flick_khazana_decode_new_chunk(4);
          flick_cdr_swap_decode_signed32(0, _data->_buffer[_t33_array_iter].info.st_pad2[_t40_array_iter], CORBA_long );
          flick_khazana_decode_end_chunk(4);
          continue;
        }
      flick_khazana_decode_new_chunk(56);
      flick_cdr_swap_decode_signed32(0, _data->_buffer[_t33_array_iter].info.st_size, CORBA_long );
      flick_cdr_swap_decode_signed32(4, _data->_buffer[_t33_array_iter].info.st_pad3, CORBA_long );
      flick_cdr_swap_decode_signed32(8, _data->_buffer[_t33_array_iter].info.st_atime.my_tv_sec, CORBA_long );
      flick_cdr_swap_decode_signed32(12, _data->_buffer[_t33_array_iter].info.st_atime.my_tv_nsec, CORBA_long );
      flick_cdr_swap_decode_signed32(16, _data->_buffer[_t33_array_iter].info.st_mtime.my_tv_sec, CORBA_long );
      flick_cdr_swap_decode_signed32(20, _data->_buffer[_t33_array_iter].info.st_mtime.my_tv_nsec, CORBA_long );
      flick_cdr_swap_decode_signed32(24, _data->_buffer[_t33_array_iter].info.st_ctime.my_tv_sec, CORBA_long );
      flick_cdr_swap_decode_signed32(28, _data->_buffer[_t33_array_iter].info.st_ctime.my_tv_nsec, CORBA_long );
      flick_cdr_swap_decode_signed32(32, _data->_buffer[_t33_array_iter].info.st_blksize, CORBA_long );
      flick_cdr_swap_decode_signed32(36, _data->_buffer[_t33_array_iter].info.st_blocks, CORBA_long );
      flick_cdr_swap_decode_bcopy(40, _data->_buffer[_t33_array_iter].info.st_fstype, 16);
      flick_khazana_decode_end_chunk(56);
      for (_t41_array_iter = 0; _t41_array_iter < 8; _t41_array_iter++)
        {
          flick_khazana_decode_new_chunk(4);
          flick_cdr_swap_decode_signed32(0, _data->_buffer[_t33_array_iter].info.st_pad4[_t41_array_iter], CORBA_long );
          flick_khazana_decode_end_chunk(4);
          continue;
        }
      flick_khazana_decode_end_glob(399);
      continue;
      {
      _flick_abort354:
        _t33_array_iter--;
      _flick_abort334:
        CORBA_flick_free(_data->_buffer[_t33_array_iter].filename);
      _flick_abort310:
        if ((unsigned int )_t33_array_iter > 0)
          goto _flick_abort354;
        goto _flick_abort309;
      }
    }
  return 0;
  {
  _flick_abort309:
    CORBA_flick_free(_data->_buffer);
  _flick_abort245:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_test_longlist(flick_marshal_stream_t _stream, test_longlist *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(4, _flick_abort357);
  flick_khazana_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  flick_khazana_encode_end_chunk(4);
  flick_khazana_encode_end_glob(4);
  flick_khazana_encode_new_glob(4 * _data->_length, _flick_abort357);
  flick_khazana_encode_new_chunk(4 * _data->_length);
  flick_cdr_encode_bcopy(0, _data->_buffer, 4 * _data->_length);
  if (_data->_release)
    CORBA_flick_free(_data->_buffer);
  _data->_maximum = 0;
  _data->_release = 0;
  flick_khazana_encode_end_chunk(4 * _data->_length);
  flick_khazana_encode_end_glob(4 * _data->_length);
  return 0;
  {
  _flick_abort357:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_test_longlist(flick_marshal_stream_t _stream, test_longlist *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort360);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  flick_khazana_decode_new_glob(4 * _data->_length);
  flick_khazana_check_span(4 * _data->_length, _flick_abort360);
  flick_khazana_decode_new_chunk(4 * _data->_length);
  {
    CORBA_long *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_long *)(CORBA_flick_alloc(_data->_length * sizeof(CORBA_long )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort360);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = _data->_length;
    _data->_release = 1;
  }
  flick_cdr_decode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_khazana_decode_end_chunk(4 * _data->_length);
  flick_khazana_decode_end_glob(4 * _data->_length);
  return 0;
  {
  _flick_abort360:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_test_longlist_swap(flick_marshal_stream_t _stream, test_longlist *_data)
{
  CORBA_unsigned_long _t42_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort364);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  flick_khazana_decode_new_glob(4 * _data->_length);
  {
    CORBA_long *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_long *)(CORBA_flick_alloc(_data->_length * sizeof(CORBA_long )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort364);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = _data->_length;
    _data->_release = 1;
  }
  flick_khazana_check_span(_data->_length * 4, _flick_abort368);
  for (_t42_array_iter = 0; _t42_array_iter < _data->_length; _t42_array_iter++)
    {
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->_buffer[_t42_array_iter], CORBA_long );
      flick_khazana_decode_end_chunk(4);
      continue;
    }
  flick_khazana_decode_end_glob(4 * _data->_length);
  return 0;
  {
  _flick_abort368:
    CORBA_flick_free(_data->_buffer);
  _flick_abort364:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_test_structlist(flick_marshal_stream_t _stream, test_structlist *_data)
{
  CORBA_unsigned_long _t43_array_iter;

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(4, _flick_abort371);
  flick_khazana_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  flick_khazana_encode_end_chunk(4);
  flick_khazana_encode_end_glob(4);
  flick_khazana_encode_new_glob(16 * _data->_length, _flick_abort371);
  for (_t43_array_iter = 0; _t43_array_iter < _data->_length; _t43_array_iter++)
    {
      flick_khazana_encode_new_chunk(16);
      flick_cdr_encode_signed32(0, _data->_buffer[_t43_array_iter].a.a, CORBA_long );
      flick_cdr_encode_signed32(4, _data->_buffer[_t43_array_iter].a.b, CORBA_long );
      flick_cdr_encode_signed32(8, _data->_buffer[_t43_array_iter].b.a, CORBA_long );
      flick_cdr_encode_signed32(12, _data->_buffer[_t43_array_iter].b.b, CORBA_long );
      flick_khazana_encode_end_chunk(16);
      continue;
    }
  if (_data->_release)
    CORBA_flick_free(_data->_buffer);
  _data->_maximum = 0;
  _data->_release = 0;
  flick_khazana_encode_end_glob(16 * _data->_length);
  return 0;
  {
  _flick_abort371:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_test_structlist(flick_marshal_stream_t _stream, test_structlist *_data)
{
  CORBA_unsigned_long _t44_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort377);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  flick_khazana_decode_new_glob(16 * _data->_length);
  {
    struct test_outer *_t_alloc_ptr;

    _t_alloc_ptr = (struct test_outer *)(CORBA_flick_alloc(_data->_length * sizeof(struct test_outer )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort377);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = _data->_length;
    _data->_release = 1;
  }
  flick_khazana_check_span(_data->_length * 16, _flick_abort381);
  for (_t44_array_iter = 0; _t44_array_iter < _data->_length; _t44_array_iter++)
    {
      flick_khazana_decode_new_chunk(16);
      flick_cdr_decode_signed32(0, _data->_buffer[_t44_array_iter].a.a, CORBA_long );
      flick_cdr_decode_signed32(4, _data->_buffer[_t44_array_iter].a.b, CORBA_long );
      flick_cdr_decode_signed32(8, _data->_buffer[_t44_array_iter].b.a, CORBA_long );
      flick_cdr_decode_signed32(12, _data->_buffer[_t44_array_iter].b.b, CORBA_long );
      flick_khazana_decode_end_chunk(16);
      continue;
    }
  flick_khazana_decode_end_glob(16 * _data->_length);
  return 0;
  {
  _flick_abort381:
    CORBA_flick_free(_data->_buffer);
  _flick_abort377:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_test_structlist_swap(flick_marshal_stream_t _stream, test_structlist *_data)
{
  CORBA_unsigned_long _t45_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort384);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  flick_khazana_decode_new_glob(16 * _data->_length);
  {
    struct test_outer *_t_alloc_ptr;

    _t_alloc_ptr = (struct test_outer *)(CORBA_flick_alloc(_data->_length * sizeof(struct test_outer )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort384);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = _data->_length;
    _data->_release = 1;
  }
  flick_khazana_check_span(_data->_length * 16, _flick_abort388);
  for (_t45_array_iter = 0; _t45_array_iter < _data->_length; _t45_array_iter++)
    {
      flick_khazana_decode_new_chunk(16);
      flick_cdr_swap_decode_signed32(0, _data->_buffer[_t45_array_iter].a.a, CORBA_long );
      flick_cdr_swap_decode_signed32(4, _data->_buffer[_t45_array_iter].a.b, CORBA_long );
      flick_cdr_swap_decode_signed32(8, _data->_buffer[_t45_array_iter].b.a, CORBA_long );
      flick_cdr_swap_decode_signed32(12, _data->_buffer[_t45_array_iter].b.b, CORBA_long );
      flick_khazana_decode_end_chunk(16);
      continue;
    }
  flick_khazana_decode_end_glob(16 * _data->_length);
  return 0;
  {
  _flick_abort388:
    CORBA_flick_free(_data->_buffer);
  _flick_abort384:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

flick_operation_success_t test_server(FLICK_TARGET _this_obj, flick_msg_t _in_msg, flick_msg_t *_out_msg)
{
  FLICK_BUFFER *_stream;
  flick_khazana_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t134_switch_tag;

    flick_khazana_decode_new_glob(16);
    flick_khazana_check_span(12, _flick_abort393);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t134_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t134_switch_tag)
      {
      case (unsigned int) 4:
        {
          unsigned int _t135_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t135_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t135_switch_tag)
            {
            case /* dir */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1684632064):
              {
                {
                  test _obj;
                  unsigned int _t136_principal_len;
                  CORBA_long _return;
                  test_directory *_local_entries;
                  test_directory _t137_storage;
                  CORBA_unsigned_long _t150_array_iter;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t159_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort752);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t136_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t136_principal_len, _flick_abort752);
                  flick_khazana_decode_new_glob(_t136_principal_len);
                  flick_khazana_decode_new_chunk(_t136_principal_len);
                  flick_khazana_decode_end_chunk(_t136_principal_len);
                  flick_khazana_decode_end_glob(_t136_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  _local_entries = (test_directory *)(&_t137_storage);
                  flick_khazana_decode_new_glob(7);
                  flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                  flick_khazana_check_span(4, _flick_abort752);
                  flick_cdr_swap_decode_unsigned32(0, _local_entries->_length, CORBA_unsigned_long );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(7);
                  {
                    struct test_entry *_t_alloc_ptr;

                    _t_alloc_ptr = (struct test_entry *)(auto_flick_alloc(_local_entries->_length * sizeof(struct test_entry )));
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort752);
                    _local_entries->_buffer = _t_alloc_ptr;
                    _local_entries->_maximum = _local_entries->_length;
                    _local_entries->_release = 1;
                  }
                  for (_t150_array_iter = 0; _t150_array_iter < _local_entries->_length; _t150_array_iter++)
                    {
                      flick_unsigned32_t _t155_temp_string_len;
                      flick_unsigned32_t _t156_array_iter;
                      flick_unsigned32_t _t157_array_iter;
                      flick_unsigned32_t _t158_array_iter;

                      flick_khazana_decode_new_glob(399);
                      flick_khazana_check_span(4, _flick_abort814);
                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_swap_decode_unsigned32(0, _t155_temp_string_len, flick_unsigned32_t );
                      if (_t155_temp_string_len > 256)
                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort814);
                      flick_khazana_decode_end_chunk(4);
                      flick_khazana_check_span(1 * _t155_temp_string_len, _flick_abort814);
                      flick_khazana_decode_new_chunk(1 * _t155_temp_string_len);
                      flick_cdr_swap_decode_msgptr(0, _local_entries->_buffer[_t150_array_iter].filename, CORBA_char *);
                      flick_khazana_decode_end_chunk(1 * _t155_temp_string_len);
                      flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                      flick_khazana_check_span(3 * 4 + (2 * 4 + 8 * 4) + 84, _flick_abort814);
                      flick_cdr_swap_decode_unsigned32(0, _local_entries->_buffer[_t150_array_iter].info.st_dev, my_ulong_t );
                      flick_khazana_decode_end_chunk(4);
                      for (_t156_array_iter = 0; _t156_array_iter < 3; _t156_array_iter++)
                        {
                          flick_khazana_decode_new_chunk(4);
                          flick_cdr_swap_decode_signed32(0, _local_entries->_buffer[_t150_array_iter].info.st_pad1[_t156_array_iter], CORBA_long );
                          flick_khazana_decode_end_chunk(4);
                          continue;
                        }
                      flick_khazana_decode_new_chunk(24);
                      flick_cdr_swap_decode_unsigned32(0, _local_entries->_buffer[_t150_array_iter].info.st_ino, my_ulong_t );
                      flick_cdr_swap_decode_unsigned32(4, _local_entries->_buffer[_t150_array_iter].info.st_mode, my_ulong_t );
                      flick_cdr_swap_decode_unsigned32(8, _local_entries->_buffer[_t150_array_iter].info.st_nlink, my_ulong_t );
                      flick_cdr_swap_decode_signed32(12, _local_entries->_buffer[_t150_array_iter].info.st_uid, CORBA_long );
                      flick_cdr_swap_decode_signed32(16, _local_entries->_buffer[_t150_array_iter].info.st_gid, my_uid_t );
                      flick_cdr_swap_decode_unsigned32(20, _local_entries->_buffer[_t150_array_iter].info.st_rdev, my_ulong_t );
                      flick_khazana_decode_end_chunk(24);
                      for (_t157_array_iter = 0; _t157_array_iter < 2; _t157_array_iter++)
                        {
                          flick_khazana_decode_new_chunk(4);
                          flick_cdr_swap_decode_signed32(0, _local_entries->_buffer[_t150_array_iter].info.st_pad2[_t157_array_iter], CORBA_long );
                          flick_khazana_decode_end_chunk(4);
                          continue;
                        }
                      flick_khazana_decode_new_chunk(56);
                      flick_cdr_swap_decode_signed32(0, _local_entries->_buffer[_t150_array_iter].info.st_size, CORBA_long );
                      flick_cdr_swap_decode_signed32(4, _local_entries->_buffer[_t150_array_iter].info.st_pad3, CORBA_long );
                      flick_cdr_swap_decode_signed32(8, _local_entries->_buffer[_t150_array_iter].info.st_atime.my_tv_sec, CORBA_long );
                      flick_cdr_swap_decode_signed32(12, _local_entries->_buffer[_t150_array_iter].info.st_atime.my_tv_nsec, CORBA_long );
                      flick_cdr_swap_decode_signed32(16, _local_entries->_buffer[_t150_array_iter].info.st_mtime.my_tv_sec, CORBA_long );
                      flick_cdr_swap_decode_signed32(20, _local_entries->_buffer[_t150_array_iter].info.st_mtime.my_tv_nsec, CORBA_long );
                      flick_cdr_swap_decode_signed32(24, _local_entries->_buffer[_t150_array_iter].info.st_ctime.my_tv_sec, CORBA_long );
                      flick_cdr_swap_decode_signed32(28, _local_entries->_buffer[_t150_array_iter].info.st_ctime.my_tv_nsec, CORBA_long );
                      flick_cdr_swap_decode_signed32(32, _local_entries->_buffer[_t150_array_iter].info.st_blksize, CORBA_long );
                      flick_cdr_swap_decode_signed32(36, _local_entries->_buffer[_t150_array_iter].info.st_blocks, CORBA_long );
                      flick_cdr_swap_decode_bcopy(40, _local_entries->_buffer[_t150_array_iter].info.st_fstype, 16);
                      flick_khazana_decode_end_chunk(56);
                      for (_t158_array_iter = 0; _t158_array_iter < 8; _t158_array_iter++)
                        {
                          flick_khazana_decode_new_chunk(4);
                          flick_cdr_swap_decode_signed32(0, _local_entries->_buffer[_t150_array_iter].info.st_pad4[_t158_array_iter], CORBA_long );
                          flick_khazana_decode_end_chunk(4);
                          continue;
                        }
                      flick_khazana_decode_end_glob(399);
                      continue;
                      {
                      _flick_abort814:
                        goto _flick_abort813;
                      }
                    }
                  _ev = (CORBA_Environment *)(&_t159_storage);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = test_dir(_obj, _local_entries, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort813);
                    flick_khazana_encode_new_glob(8, _flick_abort813);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _return, CORBA_long );
                          flick_khazana_encode_end_chunk(4);
                          flick_khazana_encode_end_glob(8);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(8);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort859);
                          break;
                          {
                          _flick_abort859:
                            goto _flick_abort813;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort860);
                          flick_khazana_encode_end_glob(8);
                          break;
                          {
                          _flick_abort860:
                            goto _flick_abort813;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort813:
                    auto_flick_free(_local_entries->_buffer);
                  _flick_abort752:
                    goto _flick_abort751;
                  }
                }
                break;
                {
                _flick_abort751:
                  goto _flick_abort393;
                }
              }
            case /* lng */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1819174656):
              {
                {
                  test _obj;
                  unsigned int _t160_principal_len;
                  CORBA_long _return;
                  test_longlist *_local_entries;
                  test_longlist _t161_storage;
                  CORBA_unsigned_long _t162_array_iter;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t163_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort862);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t160_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t160_principal_len, _flick_abort862);
                  flick_khazana_decode_new_glob(_t160_principal_len);
                  flick_khazana_decode_new_chunk(_t160_principal_len);
                  flick_khazana_decode_end_chunk(_t160_principal_len);
                  flick_khazana_decode_end_glob(_t160_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  _local_entries = (test_longlist *)(&_t161_storage);
                  flick_khazana_decode_new_glob(7);
                  flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                  flick_khazana_check_span(4, _flick_abort862);
                  flick_cdr_swap_decode_unsigned32(0, _local_entries->_length, CORBA_unsigned_long );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(7);
                  flick_khazana_decode_new_glob(4 * _local_entries->_length);
                  {
                    CORBA_long *_t_alloc_ptr;

                    _t_alloc_ptr = (CORBA_long *)(auto_flick_alloc(_local_entries->_length * sizeof(CORBA_long )));
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort862);
                    _local_entries->_buffer = _t_alloc_ptr;
                    _local_entries->_maximum = _local_entries->_length;
                    _local_entries->_release = 1;
                  }
                  flick_khazana_check_span(_local_entries->_length * 4, _flick_abort866);
                  for (_t162_array_iter = 0; _t162_array_iter < _local_entries->_length; _t162_array_iter++)
                    {
                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_swap_decode_signed32(0, _local_entries->_buffer[_t162_array_iter], CORBA_long );
                      flick_khazana_decode_end_chunk(4);
                      continue;
                    }
                  flick_khazana_decode_end_glob(4 * _local_entries->_length);
                  _ev = (CORBA_Environment *)(&_t163_storage);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = test_lng(_obj, _local_entries, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort866);
                    flick_khazana_encode_new_glob(8, _flick_abort866);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _return, CORBA_long );
                          flick_khazana_encode_end_chunk(4);
                          flick_khazana_encode_end_glob(8);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(8);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort874);
                          break;
                          {
                          _flick_abort874:
                            goto _flick_abort866;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort875);
                          flick_khazana_encode_end_glob(8);
                          break;
                          {
                          _flick_abort875:
                            goto _flick_abort866;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort866:
                    auto_flick_free(_local_entries->_buffer);
                  _flick_abort862:
                    goto _flick_abort861;
                  }
                }
                break;
                {
                _flick_abort861:
                  goto _flick_abort393;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort393);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t164_switch_tag;

          flick_khazana_check_span(12, _flick_abort393);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t164_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t164_switch_tag)
            {
            case /* strc */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1937011299):
              {
                unsigned short int _t165_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t165_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t165_switch_tag)
                  {
                  case /* t */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29696):
                    {
                      {
                        test _obj;
                        unsigned int _t166_principal_len;
                        CORBA_long _return;
                        test_structlist *_local_entries;
                        test_structlist _t167_storage;
                        CORBA_unsigned_long _t168_array_iter;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t169_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort877);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t166_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t166_principal_len, _flick_abort877);
                        flick_khazana_decode_new_glob(_t166_principal_len);
                        flick_khazana_decode_new_chunk(_t166_principal_len);
                        flick_khazana_decode_end_chunk(_t166_principal_len);
                        flick_khazana_decode_end_glob(_t166_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        _local_entries = (test_structlist *)(&_t167_storage);
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort877);
                        flick_cdr_swap_decode_unsigned32(0, _local_entries->_length, CORBA_unsigned_long );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(16 * _local_entries->_length);
                        {
                          struct test_outer *_t_alloc_ptr;

                          _t_alloc_ptr = (struct test_outer *)(auto_flick_alloc(_local_entries->_length * sizeof(struct test_outer )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort877);
                          _local_entries->_buffer = _t_alloc_ptr;
                          _local_entries->_maximum = _local_entries->_length;
                          _local_entries->_release = 1;
                        }
                        flick_khazana_check_span(_local_entries->_length * 16, _flick_abort881);
                        for (_t168_array_iter = 0; _t168_array_iter < _local_entries->_length; _t168_array_iter++)
                          {
                            flick_khazana_decode_new_chunk(16);
                            flick_cdr_swap_decode_signed32(0, _local_entries->_buffer[_t168_array_iter].a.a, CORBA_long );
                            flick_cdr_swap_decode_signed32(4, _local_entries->_buffer[_t168_array_iter].a.b, CORBA_long );
                            flick_cdr_swap_decode_signed32(8, _local_entries->_buffer[_t168_array_iter].b.a, CORBA_long );
                            flick_cdr_swap_decode_signed32(12, _local_entries->_buffer[_t168_array_iter].b.b, CORBA_long );
                            flick_khazana_decode_end_chunk(16);
                            continue;
                          }
                        flick_khazana_decode_end_glob(16 * _local_entries->_length);
                        _ev = (CORBA_Environment *)(&_t169_storage);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = test_strct(_obj, _local_entries, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort881);
                          flick_khazana_encode_new_glob(8, _flick_abort881);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort889);
                                break;
                                {
                                _flick_abort889:
                                  goto _flick_abort881;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort890);
                                flick_khazana_encode_end_glob(8);
                                break;
                                {
                                _flick_abort890:
                                  goto _flick_abort881;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort881:
                          auto_flick_free(_local_entries->_buffer);
                        _flick_abort877:
                          goto _flick_abort876;
                        }
                      }
                      break;
                      {
                      _flick_abort876:
                        goto _flick_abort393;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort393);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t170_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t170_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t170_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t171_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t172_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t173_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort892);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t171_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t171_principal_len, _flick_abort892);
                        flick_khazana_decode_new_glob(_t171_principal_len);
                        flick_khazana_decode_new_chunk(_t171_principal_len);
                        flick_khazana_decode_end_chunk(_t171_principal_len);
                        flick_khazana_decode_end_glob(_t171_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort892);
                        flick_cdr_swap_decode_unsigned32(0, _t172_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t172_temp_string_len);
                        flick_khazana_check_span(1 * _t172_temp_string_len, _flick_abort892);
                        flick_khazana_decode_new_chunk(1 * _t172_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t172_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t172_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t173_storage);
                        _par = flick_interface_parents_test;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort892);
                          flick_khazana_encode_new_glob(5, _flick_abort892);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort900);
                                break;
                                {
                                _flick_abort900:
                                  goto _flick_abort892;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort901);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort901:
                                  goto _flick_abort892;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort892:
                          goto _flick_abort891;
                        }
                      }
                      break;
                      {
                      _flick_abort891:
                        goto _flick_abort393;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort393);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort393);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort393);
          flick_khazana_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t70_switch_tag;

    flick_khazana_decode_new_glob(16);
    flick_khazana_check_span(12, _flick_abort393);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t70_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t70_switch_tag)
      {
      case (unsigned int) 4:
        {
          unsigned int _t71_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t71_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t71_switch_tag)
            {
            case /* dir */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1684632064):
              {
                {
                  test _obj;
                  unsigned int _t72_principal_len;
                  CORBA_long _return;
                  test_directory *_local_entries;
                  test_directory _t73_storage;
                  CORBA_unsigned_long _t77_array_iter;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t80_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort498);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t72_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t72_principal_len, _flick_abort498);
                  flick_khazana_decode_new_glob(_t72_principal_len);
                  flick_khazana_decode_new_chunk(_t72_principal_len);
                  flick_khazana_decode_end_chunk(_t72_principal_len);
                  flick_khazana_decode_end_glob(_t72_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  _local_entries = (test_directory *)(&_t73_storage);
                  flick_khazana_decode_new_glob(7);
                  flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                  flick_khazana_check_span(4, _flick_abort498);
                  flick_cdr_decode_unsigned32(0, _local_entries->_length, CORBA_unsigned_long );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(7);
                  {
                    struct test_entry *_t_alloc_ptr;

                    _t_alloc_ptr = (struct test_entry *)(auto_flick_alloc(_local_entries->_length * sizeof(struct test_entry )));
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort498);
                    _local_entries->_buffer = _t_alloc_ptr;
                    _local_entries->_maximum = _local_entries->_length;
                    _local_entries->_release = 1;
                  }
                  for (_t77_array_iter = 0; _t77_array_iter < _local_entries->_length; _t77_array_iter++)
                    {
                      flick_unsigned32_t _t79_temp_string_len;

                      flick_khazana_decode_new_glob(399);
                      flick_khazana_check_span(4, _flick_abort533);
                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t79_temp_string_len, flick_unsigned32_t );
                      if (_t79_temp_string_len > 256)
                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort533);
                      flick_khazana_decode_end_chunk(4);
                      flick_khazana_check_span(1 * _t79_temp_string_len, _flick_abort533);
                      flick_khazana_decode_new_chunk(1 * _t79_temp_string_len);
                      flick_cdr_decode_msgptr(0, _local_entries->_buffer[_t77_array_iter].filename, CORBA_char *);
                      flick_khazana_decode_end_chunk(1 * _t79_temp_string_len);
                      flick_khazana_decode_new_chunk_align(136, 2, 0, 0);
                      flick_khazana_check_span(136, _flick_abort533);
                      flick_cdr_decode_unsigned32(0, _local_entries->_buffer[_t77_array_iter].info.st_dev, my_ulong_t );
                      flick_cdr_decode_bcopy(4, _local_entries->_buffer[_t77_array_iter].info.st_pad1, 12);
                      flick_cdr_decode_unsigned32(16, _local_entries->_buffer[_t77_array_iter].info.st_ino, my_ulong_t );
                      flick_cdr_decode_unsigned32(20, _local_entries->_buffer[_t77_array_iter].info.st_mode, my_ulong_t );
                      flick_cdr_decode_unsigned32(24, _local_entries->_buffer[_t77_array_iter].info.st_nlink, my_ulong_t );
                      flick_cdr_decode_signed32(28, _local_entries->_buffer[_t77_array_iter].info.st_uid, CORBA_long );
                      flick_cdr_decode_signed32(32, _local_entries->_buffer[_t77_array_iter].info.st_gid, my_uid_t );
                      flick_cdr_decode_unsigned32(36, _local_entries->_buffer[_t77_array_iter].info.st_rdev, my_ulong_t );
                      flick_cdr_decode_bcopy(40, _local_entries->_buffer[_t77_array_iter].info.st_pad2, 8);
                      flick_cdr_decode_signed32(48, _local_entries->_buffer[_t77_array_iter].info.st_size, CORBA_long );
                      flick_cdr_decode_signed32(52, _local_entries->_buffer[_t77_array_iter].info.st_pad3, CORBA_long );
                      flick_cdr_decode_signed32(56, _local_entries->_buffer[_t77_array_iter].info.st_atime.my_tv_sec, CORBA_long );
                      flick_cdr_decode_signed32(60, _local_entries->_buffer[_t77_array_iter].info.st_atime.my_tv_nsec, CORBA_long );
                      flick_cdr_decode_signed32(64, _local_entries->_buffer[_t77_array_iter].info.st_mtime.my_tv_sec, CORBA_long );
                      flick_cdr_decode_signed32(68, _local_entries->_buffer[_t77_array_iter].info.st_mtime.my_tv_nsec, CORBA_long );
                      flick_cdr_decode_signed32(72, _local_entries->_buffer[_t77_array_iter].info.st_ctime.my_tv_sec, CORBA_long );
                      flick_cdr_decode_signed32(76, _local_entries->_buffer[_t77_array_iter].info.st_ctime.my_tv_nsec, CORBA_long );
                      flick_cdr_decode_signed32(80, _local_entries->_buffer[_t77_array_iter].info.st_blksize, CORBA_long );
                      flick_cdr_decode_signed32(84, _local_entries->_buffer[_t77_array_iter].info.st_blocks, CORBA_long );
                      flick_cdr_decode_bcopy(88, _local_entries->_buffer[_t77_array_iter].info.st_fstype, 16);
                      flick_cdr_decode_bcopy(104, _local_entries->_buffer[_t77_array_iter].info.st_pad4, 32);
                      flick_khazana_decode_end_chunk(136);
                      flick_khazana_decode_end_glob(399);
                      continue;
                      {
                      _flick_abort533:
                        goto _flick_abort532;
                      }
                    }
                  _ev = (CORBA_Environment *)(&_t80_storage);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = test_dir(_obj, _local_entries, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort532);
                    flick_khazana_encode_new_glob(8, _flick_abort532);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _return, CORBA_long );
                          flick_khazana_encode_end_chunk(4);
                          flick_khazana_encode_end_glob(8);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(8);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort560);
                          break;
                          {
                          _flick_abort560:
                            goto _flick_abort532;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort561);
                          flick_khazana_encode_end_glob(8);
                          break;
                          {
                          _flick_abort561:
                            goto _flick_abort532;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort532:
                    auto_flick_free(_local_entries->_buffer);
                  _flick_abort498:
                    goto _flick_abort497;
                  }
                }
                break;
                {
                _flick_abort497:
                  goto _flick_abort393;
                }
              }
            case /* lng */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1819174656):
              {
                {
                  test _obj;
                  unsigned int _t81_principal_len;
                  CORBA_long _return;
                  test_longlist *_local_entries;
                  test_longlist _t82_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t83_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort563);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t81_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t81_principal_len, _flick_abort563);
                  flick_khazana_decode_new_glob(_t81_principal_len);
                  flick_khazana_decode_new_chunk(_t81_principal_len);
                  flick_khazana_decode_end_chunk(_t81_principal_len);
                  flick_khazana_decode_end_glob(_t81_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  _local_entries = (test_longlist *)(&_t82_storage);
                  flick_khazana_decode_new_glob(7);
                  flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                  flick_khazana_check_span(4, _flick_abort563);
                  flick_cdr_decode_unsigned32(0, _local_entries->_length, CORBA_unsigned_long );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(7);
                  flick_khazana_decode_new_glob(4 * _local_entries->_length);
                  flick_khazana_check_span(4 * _local_entries->_length, _flick_abort563);
                  flick_khazana_decode_new_chunk(4 * _local_entries->_length);
                  flick_cdr_decode_msgptr(0, _local_entries->_buffer, CORBA_long *);
                  _local_entries->_maximum = _local_entries->_length;
                  _local_entries->_release = 0;
                  flick_khazana_decode_end_chunk(4 * _local_entries->_length);
                  flick_khazana_decode_end_glob(4 * _local_entries->_length);
                  _ev = (CORBA_Environment *)(&_t83_storage);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = test_lng(_obj, _local_entries, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort563);
                    flick_khazana_encode_new_glob(8, _flick_abort563);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _return, CORBA_long );
                          flick_khazana_encode_end_chunk(4);
                          flick_khazana_encode_end_glob(8);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(8);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort571);
                          break;
                          {
                          _flick_abort571:
                            goto _flick_abort563;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort572);
                          flick_khazana_encode_end_glob(8);
                          break;
                          {
                          _flick_abort572:
                            goto _flick_abort563;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort563:
                    goto _flick_abort562;
                  }
                }
                break;
                {
                _flick_abort562:
                  goto _flick_abort393;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort393);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t84_switch_tag;

          flick_khazana_check_span(12, _flick_abort393);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t84_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t84_switch_tag)
            {
            case /* strc */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1937011299):
              {
                unsigned short int _t85_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t85_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t85_switch_tag)
                  {
                  case /* t */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29696):
                    {
                      {
                        test _obj;
                        unsigned int _t86_principal_len;
                        CORBA_long _return;
                        test_structlist *_local_entries;
                        test_structlist _t87_storage;
                        CORBA_unsigned_long _t88_array_iter;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t89_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort574);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t86_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t86_principal_len, _flick_abort574);
                        flick_khazana_decode_new_glob(_t86_principal_len);
                        flick_khazana_decode_new_chunk(_t86_principal_len);
                        flick_khazana_decode_end_chunk(_t86_principal_len);
                        flick_khazana_decode_end_glob(_t86_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        _local_entries = (test_structlist *)(&_t87_storage);
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort574);
                        flick_cdr_decode_unsigned32(0, _local_entries->_length, CORBA_unsigned_long );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(16 * _local_entries->_length);
                        {
                          struct test_outer *_t_alloc_ptr;

                          _t_alloc_ptr = (struct test_outer *)(auto_flick_alloc(_local_entries->_length * sizeof(struct test_outer )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort574);
                          _local_entries->_buffer = _t_alloc_ptr;
                          _local_entries->_maximum = _local_entries->_length;
                          _local_entries->_release = 1;
                        }
                        flick_khazana_check_span(_local_entries->_length * 16, _flick_abort578);
                        for (_t88_array_iter = 0; _t88_array_iter < _local_entries->_length; _t88_array_iter++)
                          {
                            flick_khazana_decode_new_chunk(16);
                            flick_cdr_decode_signed32(0, _local_entries->_buffer[_t88_array_iter].a.a, CORBA_long );
                            flick_cdr_decode_signed32(4, _local_entries->_buffer[_t88_array_iter].a.b, CORBA_long );
                            flick_cdr_decode_signed32(8, _local_entries->_buffer[_t88_array_iter].b.a, CORBA_long );
                            flick_cdr_decode_signed32(12, _local_entries->_buffer[_t88_array_iter].b.b, CORBA_long );
                            flick_khazana_decode_end_chunk(16);
                            continue;
                          }
                        flick_khazana_decode_end_glob(16 * _local_entries->_length);
                        _ev = (CORBA_Environment *)(&_t89_storage);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = test_strct(_obj, _local_entries, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort578);
                          flick_khazana_encode_new_glob(8, _flick_abort578);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort586);
                                break;
                                {
                                _flick_abort586:
                                  goto _flick_abort578;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort587);
                                flick_khazana_encode_end_glob(8);
                                break;
                                {
                                _flick_abort587:
                                  goto _flick_abort578;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort578:
                          auto_flick_free(_local_entries->_buffer);
                        _flick_abort574:
                          goto _flick_abort573;
                        }
                      }
                      break;
                      {
                      _flick_abort573:
                        goto _flick_abort393;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort393);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t90_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t90_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t90_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t91_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t92_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t93_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort589);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t91_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t91_principal_len, _flick_abort589);
                        flick_khazana_decode_new_glob(_t91_principal_len);
                        flick_khazana_decode_new_chunk(_t91_principal_len);
                        flick_khazana_decode_end_chunk(_t91_principal_len);
                        flick_khazana_decode_end_glob(_t91_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort589);
                        flick_cdr_decode_unsigned32(0, _t92_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t92_temp_string_len);
                        flick_khazana_check_span(1 * _t92_temp_string_len, _flick_abort589);
                        flick_khazana_decode_new_chunk(1 * _t92_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t92_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t92_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t93_storage);
                        _par = flick_interface_parents_test;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort589);
                          flick_khazana_encode_new_glob(5, _flick_abort589);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort597);
                                break;
                                {
                                _flick_abort597:
                                  goto _flick_abort589;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort598);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort598:
                                  goto _flick_abort589;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort589:
                          goto _flick_abort588;
                        }
                      }
                      break;
                      {
                      _flick_abort588:
                        goto _flick_abort393;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort393);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort393);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort393);
          flick_khazana_decode_end_glob(16);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort393:
    flick_corba_server_error(cdr, khazana, _flick_reaper, _flick_abort392);
  _flick_abort392:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

