#include "module-server.h"

/* This is the runtime type information */
char *flick_interface_parents_mod1_mod2_ex1[] = {
	"IDL:mod1/mod2/ex1:1.0",
	0
};

char *flick_interface_parents_mod1_mod2_ex2[] = {
	"IDL:mod1/mod2/ex2:1.0",
	"IDL:mod1/mod2/ex1:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
int flick_marshal_stub_mod1_mod2_ex1(flick_marshal_stream_t _stream, mod1_mod2_ex1 *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdr_encode_IOR(khazana, *_data, 0, _flick_abort0);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_mod1_mod2_ex1(flick_marshal_stream_t _stream, mod1_mod2_ex1 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_decode_IOR(khazana, *_data, 1);
  return 0;
}

int flick_unmarshal_stub_mod1_mod2_ex1_swap(flick_marshal_stream_t _stream, mod1_mod2_ex1 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swap_decode_IOR(khazana, *_data, 1);
  return 0;
}

flick_operation_success_t mod1_mod2_ex1_server(FLICK_TARGET _this_obj, flick_msg_t _in_msg, flick_msg_t *_out_msg)
{
  FLICK_BUFFER *_stream;
  flick_khazana_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t57_switch_tag;

    flick_khazana_decode_new_glob(16);
    flick_khazana_check_span(12, _flick_abort5);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t57_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t57_switch_tag)
      {
      case (unsigned int) 3:
        {
          unsigned short int _t58_switch_tag;

          flick_khazana_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t58_switch_tag, unsigned short int );
          flick_khazana_decode_end_chunk(2);
          switch ((unsigned short int )_t58_switch_tag)
            {
            case /* m1 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 27953):
              {
                char _t59_switch_tag;

                flick_khazana_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t59_switch_tag, char );
                flick_khazana_decode_end_chunk(1);
                switch ((char )_t59_switch_tag)
                  {
                  case 0:
                    {
                      {
                        mod1_mod2_ex1 _obj;
                        unsigned int _t60_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_a;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t61_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort150);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(5);
                        flick_cdr_swap_decode_unsigned32(1, _t60_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(5);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t60_principal_len, _flick_abort150);
                        flick_khazana_decode_new_glob(_t60_principal_len);
                        flick_khazana_decode_new_chunk(_t60_principal_len);
                        flick_khazana_decode_end_chunk(_t60_principal_len);
                        flick_khazana_decode_end_glob(_t60_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort150);
                        flick_cdr_swap_decode_signed32(0, _local_a, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t61_storage);
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = mod1_mod2_ex1_m1(_obj, _local_a, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort150);
                          flick_khazana_encode_new_glob(8, _flick_abort150);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort156);
                                break;
                                {
                                _flick_abort156:
                                  goto _flick_abort150;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort157);
                                flick_khazana_encode_end_glob(8);
                                break;
                                {
                                _flick_abort157:
                                  goto _flick_abort150;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort150:
                          goto _flick_abort149;
                        }
                      }
                      break;
                      {
                      _flick_abort149:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t62_switch_tag;

          flick_khazana_check_span(12, _flick_abort5);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t62_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t62_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t63_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t63_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t63_switch_tag)
                  {
                  case /* _l1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600925952):
                    {
                      {
                        mod1_mod2_ex1 _obj;
                        unsigned int _t64_principal_len;
                        CORBA_long _return;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t65_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort159);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t64_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t64_principal_len, _flick_abort159);
                        flick_khazana_decode_new_glob(_t64_principal_len);
                        flick_khazana_decode_new_chunk(_t64_principal_len);
                        flick_khazana_decode_end_chunk(_t64_principal_len);
                        flick_khazana_decode_end_glob(_t64_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        _ev = (CORBA_Environment *)(&_t65_storage);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = mod1_mod2_ex1__get_l1(_obj, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort159);
                          flick_khazana_encode_new_glob(8, _flick_abort159);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort165);
                                break;
                                {
                                _flick_abort165:
                                  goto _flick_abort159;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort166);
                                flick_khazana_encode_end_glob(8);
                                break;
                                {
                                _flick_abort166:
                                  goto _flick_abort159;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort159:
                          goto _flick_abort158;
                        }
                      }
                      break;
                      {
                      _flick_abort158:
                        goto _flick_abort5;
                      }
                    }
                  case /* _l2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600926208):
                    {
                      {
                        mod1_mod2_ex1 _obj;
                        unsigned int _t66_principal_len;
                        CORBA_long _return;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t67_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort168);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t66_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t66_principal_len, _flick_abort168);
                        flick_khazana_decode_new_glob(_t66_principal_len);
                        flick_khazana_decode_new_chunk(_t66_principal_len);
                        flick_khazana_decode_end_chunk(_t66_principal_len);
                        flick_khazana_decode_end_glob(_t66_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        _ev = (CORBA_Environment *)(&_t67_storage);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = mod1_mod2_ex1__get_l2(_obj, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort168);
                          flick_khazana_encode_new_glob(8, _flick_abort168);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort174);
                                break;
                                {
                                _flick_abort174:
                                  goto _flick_abort168;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort175);
                                flick_khazana_encode_end_glob(8);
                                break;
                                {
                                _flick_abort175:
                                  goto _flick_abort168;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort168:
                          goto _flick_abort167;
                        }
                      }
                      break;
                      {
                      _flick_abort167:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t68_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t68_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t68_switch_tag)
                  {
                  case /* _l1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600925952):
                    {
                      {
                        mod1_mod2_ex1 _obj;
                        unsigned int _t69_principal_len;
                        CORBA_long _local_l1;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t70_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort177);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t69_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t69_principal_len, _flick_abort177);
                        flick_khazana_decode_new_glob(_t69_principal_len);
                        flick_khazana_decode_new_chunk(_t69_principal_len);
                        flick_khazana_decode_end_chunk(_t69_principal_len);
                        flick_khazana_decode_end_glob(_t69_principal_len);
                        /* Begin decode phase on parameters */
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort177);
                        flick_cdr_swap_decode_signed32(0, _local_l1, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t70_storage);
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        mod1_mod2_ex1__set_l1(_obj, _local_l1, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort177);
                          flick_khazana_encode_new_glob(4, _flick_abort177);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_end_glob(4);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(4);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort183);
                                break;
                                {
                                _flick_abort183:
                                  goto _flick_abort177;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort184);
                                flick_khazana_encode_end_glob(4);
                                break;
                                {
                                _flick_abort184:
                                  goto _flick_abort177;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort177:
                          goto _flick_abort176;
                        }
                      }
                      break;
                      {
                      _flick_abort176:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t71_switch_tag;

          flick_khazana_check_span(12, _flick_abort5);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t71_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t71_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t72_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t72_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t72_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t73_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t74_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t75_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort186);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t73_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t73_principal_len, _flick_abort186);
                        flick_khazana_decode_new_glob(_t73_principal_len);
                        flick_khazana_decode_new_chunk(_t73_principal_len);
                        flick_khazana_decode_end_chunk(_t73_principal_len);
                        flick_khazana_decode_end_glob(_t73_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort186);
                        flick_cdr_swap_decode_unsigned32(0, _t74_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t74_temp_string_len);
                        flick_khazana_check_span(1 * _t74_temp_string_len, _flick_abort186);
                        flick_khazana_decode_new_chunk(1 * _t74_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t74_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t74_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t75_storage);
                        _par = flick_interface_parents_mod1_mod2_ex1;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort186);
                          flick_khazana_encode_new_glob(5, _flick_abort186);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort194);
                                break;
                                {
                                _flick_abort194:
                                  goto _flick_abort186;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort195);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort195:
                                  goto _flick_abort186;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort186:
                          goto _flick_abort185;
                        }
                      }
                      break;
                      {
                      _flick_abort185:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
          flick_khazana_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t19_switch_tag;

    flick_khazana_decode_new_glob(16);
    flick_khazana_check_span(12, _flick_abort5);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t19_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t19_switch_tag)
      {
      case (unsigned int) 3:
        {
          unsigned short int _t20_switch_tag;

          flick_khazana_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t20_switch_tag, unsigned short int );
          flick_khazana_decode_end_chunk(2);
          switch ((unsigned short int )_t20_switch_tag)
            {
            case /* m1 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 27953):
              {
                char _t21_switch_tag;

                flick_khazana_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t21_switch_tag, char );
                flick_khazana_decode_end_chunk(1);
                switch ((char )_t21_switch_tag)
                  {
                  case 0:
                    {
                      {
                        mod1_mod2_ex1 _obj;
                        unsigned int _t22_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_a;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t23_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort55);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(5);
                        flick_cdr_decode_unsigned32(1, _t22_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(5);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t22_principal_len, _flick_abort55);
                        flick_khazana_decode_new_glob(_t22_principal_len);
                        flick_khazana_decode_new_chunk(_t22_principal_len);
                        flick_khazana_decode_end_chunk(_t22_principal_len);
                        flick_khazana_decode_end_glob(_t22_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort55);
                        flick_cdr_decode_signed32(0, _local_a, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t23_storage);
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = mod1_mod2_ex1_m1(_obj, _local_a, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort55);
                          flick_khazana_encode_new_glob(8, _flick_abort55);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort61);
                                break;
                                {
                                _flick_abort61:
                                  goto _flick_abort55;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort62);
                                flick_khazana_encode_end_glob(8);
                                break;
                                {
                                _flick_abort62:
                                  goto _flick_abort55;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort55:
                          goto _flick_abort54;
                        }
                      }
                      break;
                      {
                      _flick_abort54:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t24_switch_tag;

          flick_khazana_check_span(12, _flick_abort5);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t24_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t24_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t25_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t25_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t25_switch_tag)
                  {
                  case /* _l1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600925952):
                    {
                      {
                        mod1_mod2_ex1 _obj;
                        unsigned int _t26_principal_len;
                        CORBA_long _return;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t27_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort64);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t26_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t26_principal_len, _flick_abort64);
                        flick_khazana_decode_new_glob(_t26_principal_len);
                        flick_khazana_decode_new_chunk(_t26_principal_len);
                        flick_khazana_decode_end_chunk(_t26_principal_len);
                        flick_khazana_decode_end_glob(_t26_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        _ev = (CORBA_Environment *)(&_t27_storage);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = mod1_mod2_ex1__get_l1(_obj, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort64);
                          flick_khazana_encode_new_glob(8, _flick_abort64);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort70);
                                break;
                                {
                                _flick_abort70:
                                  goto _flick_abort64;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort71);
                                flick_khazana_encode_end_glob(8);
                                break;
                                {
                                _flick_abort71:
                                  goto _flick_abort64;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort64:
                          goto _flick_abort63;
                        }
                      }
                      break;
                      {
                      _flick_abort63:
                        goto _flick_abort5;
                      }
                    }
                  case /* _l2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600926208):
                    {
                      {
                        mod1_mod2_ex1 _obj;
                        unsigned int _t28_principal_len;
                        CORBA_long _return;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t29_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort73);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t28_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t28_principal_len, _flick_abort73);
                        flick_khazana_decode_new_glob(_t28_principal_len);
                        flick_khazana_decode_new_chunk(_t28_principal_len);
                        flick_khazana_decode_end_chunk(_t28_principal_len);
                        flick_khazana_decode_end_glob(_t28_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        _ev = (CORBA_Environment *)(&_t29_storage);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = mod1_mod2_ex1__get_l2(_obj, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort73);
                          flick_khazana_encode_new_glob(8, _flick_abort73);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort79);
                                break;
                                {
                                _flick_abort79:
                                  goto _flick_abort73;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort80);
                                flick_khazana_encode_end_glob(8);
                                break;
                                {
                                _flick_abort80:
                                  goto _flick_abort73;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort73:
                          goto _flick_abort72;
                        }
                      }
                      break;
                      {
                      _flick_abort72:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t30_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t30_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t30_switch_tag)
                  {
                  case /* _l1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600925952):
                    {
                      {
                        mod1_mod2_ex1 _obj;
                        unsigned int _t31_principal_len;
                        CORBA_long _local_l1;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t32_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort82);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t31_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t31_principal_len, _flick_abort82);
                        flick_khazana_decode_new_glob(_t31_principal_len);
                        flick_khazana_decode_new_chunk(_t31_principal_len);
                        flick_khazana_decode_end_chunk(_t31_principal_len);
                        flick_khazana_decode_end_glob(_t31_principal_len);
                        /* Begin decode phase on parameters */
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort82);
                        flick_cdr_decode_signed32(0, _local_l1, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t32_storage);
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        mod1_mod2_ex1__set_l1(_obj, _local_l1, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort82);
                          flick_khazana_encode_new_glob(4, _flick_abort82);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_end_glob(4);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(4);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort88);
                                break;
                                {
                                _flick_abort88:
                                  goto _flick_abort82;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort89);
                                flick_khazana_encode_end_glob(4);
                                break;
                                {
                                _flick_abort89:
                                  goto _flick_abort82;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort82:
                          goto _flick_abort81;
                        }
                      }
                      break;
                      {
                      _flick_abort81:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t33_switch_tag;

          flick_khazana_check_span(12, _flick_abort5);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t33_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t33_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t34_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t34_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t34_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t35_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t36_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t37_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort91);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t35_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t35_principal_len, _flick_abort91);
                        flick_khazana_decode_new_glob(_t35_principal_len);
                        flick_khazana_decode_new_chunk(_t35_principal_len);
                        flick_khazana_decode_end_chunk(_t35_principal_len);
                        flick_khazana_decode_end_glob(_t35_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort91);
                        flick_cdr_decode_unsigned32(0, _t36_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t36_temp_string_len);
                        flick_khazana_check_span(1 * _t36_temp_string_len, _flick_abort91);
                        flick_khazana_decode_new_chunk(1 * _t36_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t36_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t36_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t37_storage);
                        _par = flick_interface_parents_mod1_mod2_ex1;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort91);
                          flick_khazana_encode_new_glob(5, _flick_abort91);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort99);
                                break;
                                {
                                _flick_abort99:
                                  goto _flick_abort91;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort100);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort100:
                                  goto _flick_abort91;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort91:
                          goto _flick_abort90;
                        }
                      }
                      break;
                      {
                      _flick_abort90:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
          flick_khazana_decode_end_glob(16);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort5:
    flick_corba_server_error(cdr, khazana, _flick_reaper, _flick_abort4);
  _flick_abort4:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

int flick_marshal_stub_mod1_mod2_ex2(flick_marshal_stream_t _stream, mod1_mod2_ex2 *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdr_encode_IOR(khazana, *_data, 0, _flick_abort196);
  return 0;
  {
  _flick_abort196:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_mod1_mod2_ex2(flick_marshal_stream_t _stream, mod1_mod2_ex2 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_decode_IOR(khazana, *_data, 1);
  return 0;
}

int flick_unmarshal_stub_mod1_mod2_ex2_swap(flick_marshal_stream_t _stream, mod1_mod2_ex2 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swap_decode_IOR(khazana, *_data, 1);
  return 0;
}

flick_operation_success_t mod1_mod2_ex2_server(FLICK_TARGET _this_obj, flick_msg_t _in_msg, flick_msg_t *_out_msg)
{
  FLICK_BUFFER *_stream;
  flick_khazana_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t157_switch_tag;

    flick_khazana_decode_new_glob(16);
    flick_khazana_check_span(12, _flick_abort201);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t157_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t157_switch_tag)
      {
      case (unsigned int) 3:
        {
          unsigned short int _t158_switch_tag;

          flick_khazana_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t158_switch_tag, unsigned short int );
          flick_khazana_decode_end_chunk(2);
          switch ((unsigned short int )_t158_switch_tag)
            {
            case /* m2 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 27954):
              {
                char _t159_switch_tag;

                flick_khazana_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t159_switch_tag, char );
                flick_khazana_decode_end_chunk(1);
                switch ((char )_t159_switch_tag)
                  {
                  case 0:
                    {
                      {
                        mod1_mod2_ex2 _obj;
                        unsigned int _t160_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_a;
                        CORBA_long *_local_b;
                        CORBA_long _t161_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t162_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort427);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(5);
                        flick_cdr_swap_decode_unsigned32(1, _t160_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(5);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t160_principal_len, _flick_abort427);
                        flick_khazana_decode_new_glob(_t160_principal_len);
                        flick_khazana_decode_new_chunk(_t160_principal_len);
                        flick_khazana_decode_end_chunk(_t160_principal_len);
                        flick_khazana_decode_end_glob(_t160_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort427);
                        flick_cdr_swap_decode_signed32(0, _local_a, CORBA_long );
                        _local_b = (CORBA_long *)(&_t161_storage);
                        _ev = (CORBA_Environment *)(&_t162_storage);
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = mod1_mod2_ex2_m2(_obj, _local_a, _local_b, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort427);
                          flick_khazana_encode_new_glob(12, _flick_abort427);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(8);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_cdr_encode_signed32(4, *_local_b, CORBA_long );
                                flick_khazana_encode_end_chunk(8);
                                flick_khazana_encode_end_glob(12);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(12);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort433);
                                break;
                                {
                                _flick_abort433:
                                  goto _flick_abort427;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort434);
                                flick_khazana_encode_end_glob(12);
                                break;
                                {
                                _flick_abort434:
                                  goto _flick_abort427;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort427:
                          goto _flick_abort426;
                        }
                      }
                      break;
                      {
                      _flick_abort426:
                        goto _flick_abort201;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* m1 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 27953):
              {
                char _t163_switch_tag;

                flick_khazana_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t163_switch_tag, char );
                flick_khazana_decode_end_chunk(1);
                switch ((char )_t163_switch_tag)
                  {
                  case 0:
                    {
                      {
                        mod1_mod2_ex2 _obj;
                        unsigned int _t164_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_a;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t165_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort436);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(5);
                        flick_cdr_swap_decode_unsigned32(1, _t164_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(5);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t164_principal_len, _flick_abort436);
                        flick_khazana_decode_new_glob(_t164_principal_len);
                        flick_khazana_decode_new_chunk(_t164_principal_len);
                        flick_khazana_decode_end_chunk(_t164_principal_len);
                        flick_khazana_decode_end_glob(_t164_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort436);
                        flick_cdr_swap_decode_signed32(0, _local_a, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t165_storage);
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = mod1_mod2_ex2_m1(_obj, _local_a, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort436);
                          flick_khazana_encode_new_glob(8, _flick_abort436);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort442);
                                break;
                                {
                                _flick_abort442:
                                  goto _flick_abort436;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort443);
                                flick_khazana_encode_end_glob(8);
                                break;
                                {
                                _flick_abort443:
                                  goto _flick_abort436;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort436:
                          goto _flick_abort435;
                        }
                      }
                      break;
                      {
                      _flick_abort435:
                        goto _flick_abort201;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t166_switch_tag;

          flick_khazana_check_span(12, _flick_abort201);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t166_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t166_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t167_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t167_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t167_switch_tag)
                  {
                  case /* _l3 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600926464):
                    {
                      {
                        mod1_mod2_ex2 _obj;
                        unsigned int _t168_principal_len;
                        CORBA_long _return;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t169_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort445);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t168_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t168_principal_len, _flick_abort445);
                        flick_khazana_decode_new_glob(_t168_principal_len);
                        flick_khazana_decode_new_chunk(_t168_principal_len);
                        flick_khazana_decode_end_chunk(_t168_principal_len);
                        flick_khazana_decode_end_glob(_t168_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        _ev = (CORBA_Environment *)(&_t169_storage);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = mod1_mod2_ex2__get_l3(_obj, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort445);
                          flick_khazana_encode_new_glob(8, _flick_abort445);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort451);
                                break;
                                {
                                _flick_abort451:
                                  goto _flick_abort445;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort452);
                                flick_khazana_encode_end_glob(8);
                                break;
                                {
                                _flick_abort452:
                                  goto _flick_abort445;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort445:
                          goto _flick_abort444;
                        }
                      }
                      break;
                      {
                      _flick_abort444:
                        goto _flick_abort201;
                      }
                    }
                  case /* _l1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600925952):
                    {
                      {
                        mod1_mod2_ex2 _obj;
                        unsigned int _t170_principal_len;
                        CORBA_long _return;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t171_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort454);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t170_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t170_principal_len, _flick_abort454);
                        flick_khazana_decode_new_glob(_t170_principal_len);
                        flick_khazana_decode_new_chunk(_t170_principal_len);
                        flick_khazana_decode_end_chunk(_t170_principal_len);
                        flick_khazana_decode_end_glob(_t170_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        _ev = (CORBA_Environment *)(&_t171_storage);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = mod1_mod2_ex2__get_l1(_obj, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort454);
                          flick_khazana_encode_new_glob(8, _flick_abort454);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort460);
                                break;
                                {
                                _flick_abort460:
                                  goto _flick_abort454;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort461);
                                flick_khazana_encode_end_glob(8);
                                break;
                                {
                                _flick_abort461:
                                  goto _flick_abort454;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort454:
                          goto _flick_abort453;
                        }
                      }
                      break;
                      {
                      _flick_abort453:
                        goto _flick_abort201;
                      }
                    }
                  case /* _l2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600926208):
                    {
                      {
                        mod1_mod2_ex2 _obj;
                        unsigned int _t172_principal_len;
                        CORBA_long _return;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t173_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort463);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t172_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t172_principal_len, _flick_abort463);
                        flick_khazana_decode_new_glob(_t172_principal_len);
                        flick_khazana_decode_new_chunk(_t172_principal_len);
                        flick_khazana_decode_end_chunk(_t172_principal_len);
                        flick_khazana_decode_end_glob(_t172_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        _ev = (CORBA_Environment *)(&_t173_storage);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = mod1_mod2_ex2__get_l2(_obj, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort463);
                          flick_khazana_encode_new_glob(8, _flick_abort463);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort469);
                                break;
                                {
                                _flick_abort469:
                                  goto _flick_abort463;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort470);
                                flick_khazana_encode_end_glob(8);
                                break;
                                {
                                _flick_abort470:
                                  goto _flick_abort463;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort463:
                          goto _flick_abort462;
                        }
                      }
                      break;
                      {
                      _flick_abort462:
                        goto _flick_abort201;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t174_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t174_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t174_switch_tag)
                  {
                  case /* _l3 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600926464):
                    {
                      {
                        mod1_mod2_ex2 _obj;
                        unsigned int _t175_principal_len;
                        CORBA_long _local_l3;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t176_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort472);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t175_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t175_principal_len, _flick_abort472);
                        flick_khazana_decode_new_glob(_t175_principal_len);
                        flick_khazana_decode_new_chunk(_t175_principal_len);
                        flick_khazana_decode_end_chunk(_t175_principal_len);
                        flick_khazana_decode_end_glob(_t175_principal_len);
                        /* Begin decode phase on parameters */
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort472);
                        flick_cdr_swap_decode_signed32(0, _local_l3, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t176_storage);
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        mod1_mod2_ex2__set_l3(_obj, _local_l3, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort472);
                          flick_khazana_encode_new_glob(4, _flick_abort472);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_end_glob(4);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(4);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort478);
                                break;
                                {
                                _flick_abort478:
                                  goto _flick_abort472;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort479);
                                flick_khazana_encode_end_glob(4);
                                break;
                                {
                                _flick_abort479:
                                  goto _flick_abort472;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort472:
                          goto _flick_abort471;
                        }
                      }
                      break;
                      {
                      _flick_abort471:
                        goto _flick_abort201;
                      }
                    }
                  case /* _l1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600925952):
                    {
                      {
                        mod1_mod2_ex2 _obj;
                        unsigned int _t177_principal_len;
                        CORBA_long _local_l1;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t178_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort481);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t177_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t177_principal_len, _flick_abort481);
                        flick_khazana_decode_new_glob(_t177_principal_len);
                        flick_khazana_decode_new_chunk(_t177_principal_len);
                        flick_khazana_decode_end_chunk(_t177_principal_len);
                        flick_khazana_decode_end_glob(_t177_principal_len);
                        /* Begin decode phase on parameters */
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort481);
                        flick_cdr_swap_decode_signed32(0, _local_l1, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t178_storage);
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        mod1_mod2_ex2__set_l1(_obj, _local_l1, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort481);
                          flick_khazana_encode_new_glob(4, _flick_abort481);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_end_glob(4);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(4);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort487);
                                break;
                                {
                                _flick_abort487:
                                  goto _flick_abort481;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort488);
                                flick_khazana_encode_end_glob(4);
                                break;
                                {
                                _flick_abort488:
                                  goto _flick_abort481;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort481:
                          goto _flick_abort480;
                        }
                      }
                      break;
                      {
                      _flick_abort480:
                        goto _flick_abort201;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t179_switch_tag;

          flick_khazana_check_span(12, _flick_abort201);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t179_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t179_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t180_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t180_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t180_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t181_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t182_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t183_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort490);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t181_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t181_principal_len, _flick_abort490);
                        flick_khazana_decode_new_glob(_t181_principal_len);
                        flick_khazana_decode_new_chunk(_t181_principal_len);
                        flick_khazana_decode_end_chunk(_t181_principal_len);
                        flick_khazana_decode_end_glob(_t181_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort490);
                        flick_cdr_swap_decode_unsigned32(0, _t182_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t182_temp_string_len);
                        flick_khazana_check_span(1 * _t182_temp_string_len, _flick_abort490);
                        flick_khazana_decode_new_chunk(1 * _t182_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t182_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t182_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t183_storage);
                        _par = flick_interface_parents_mod1_mod2_ex2;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort490);
                          flick_khazana_encode_new_glob(5, _flick_abort490);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort498);
                                break;
                                {
                                _flick_abort498:
                                  goto _flick_abort490;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort499);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort499:
                                  goto _flick_abort490;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort490:
                          goto _flick_abort489;
                        }
                      }
                      break;
                      {
                      _flick_abort489:
                        goto _flick_abort201;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
          flick_khazana_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t103_switch_tag;

    flick_khazana_decode_new_glob(16);
    flick_khazana_check_span(12, _flick_abort201);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t103_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t103_switch_tag)
      {
      case (unsigned int) 3:
        {
          unsigned short int _t104_switch_tag;

          flick_khazana_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t104_switch_tag, unsigned short int );
          flick_khazana_decode_end_chunk(2);
          switch ((unsigned short int )_t104_switch_tag)
            {
            case /* m2 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 27954):
              {
                char _t105_switch_tag;

                flick_khazana_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t105_switch_tag, char );
                flick_khazana_decode_end_chunk(1);
                switch ((char )_t105_switch_tag)
                  {
                  case 0:
                    {
                      {
                        mod1_mod2_ex2 _obj;
                        unsigned int _t106_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_a;
                        CORBA_long *_local_b;
                        CORBA_long _t107_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t108_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort278);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(5);
                        flick_cdr_decode_unsigned32(1, _t106_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(5);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t106_principal_len, _flick_abort278);
                        flick_khazana_decode_new_glob(_t106_principal_len);
                        flick_khazana_decode_new_chunk(_t106_principal_len);
                        flick_khazana_decode_end_chunk(_t106_principal_len);
                        flick_khazana_decode_end_glob(_t106_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort278);
                        flick_cdr_decode_signed32(0, _local_a, CORBA_long );
                        _local_b = (CORBA_long *)(&_t107_storage);
                        _ev = (CORBA_Environment *)(&_t108_storage);
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = mod1_mod2_ex2_m2(_obj, _local_a, _local_b, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort278);
                          flick_khazana_encode_new_glob(12, _flick_abort278);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(8);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_cdr_encode_signed32(4, *_local_b, CORBA_long );
                                flick_khazana_encode_end_chunk(8);
                                flick_khazana_encode_end_glob(12);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(12);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort284);
                                break;
                                {
                                _flick_abort284:
                                  goto _flick_abort278;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort285);
                                flick_khazana_encode_end_glob(12);
                                break;
                                {
                                _flick_abort285:
                                  goto _flick_abort278;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort278:
                          goto _flick_abort277;
                        }
                      }
                      break;
                      {
                      _flick_abort277:
                        goto _flick_abort201;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* m1 */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 27953):
              {
                char _t109_switch_tag;

                flick_khazana_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t109_switch_tag, char );
                flick_khazana_decode_end_chunk(1);
                switch ((char )_t109_switch_tag)
                  {
                  case 0:
                    {
                      {
                        mod1_mod2_ex2 _obj;
                        unsigned int _t110_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_a;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t111_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort287);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(5);
                        flick_cdr_decode_unsigned32(1, _t110_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(5);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t110_principal_len, _flick_abort287);
                        flick_khazana_decode_new_glob(_t110_principal_len);
                        flick_khazana_decode_new_chunk(_t110_principal_len);
                        flick_khazana_decode_end_chunk(_t110_principal_len);
                        flick_khazana_decode_end_glob(_t110_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort287);
                        flick_cdr_decode_signed32(0, _local_a, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t111_storage);
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = mod1_mod2_ex2_m1(_obj, _local_a, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort287);
                          flick_khazana_encode_new_glob(8, _flick_abort287);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort293);
                                break;
                                {
                                _flick_abort293:
                                  goto _flick_abort287;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort294);
                                flick_khazana_encode_end_glob(8);
                                break;
                                {
                                _flick_abort294:
                                  goto _flick_abort287;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort287:
                          goto _flick_abort286;
                        }
                      }
                      break;
                      {
                      _flick_abort286:
                        goto _flick_abort201;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t112_switch_tag;

          flick_khazana_check_span(12, _flick_abort201);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t112_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t112_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t113_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t113_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t113_switch_tag)
                  {
                  case /* _l3 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600926464):
                    {
                      {
                        mod1_mod2_ex2 _obj;
                        unsigned int _t114_principal_len;
                        CORBA_long _return;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t115_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort296);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t114_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t114_principal_len, _flick_abort296);
                        flick_khazana_decode_new_glob(_t114_principal_len);
                        flick_khazana_decode_new_chunk(_t114_principal_len);
                        flick_khazana_decode_end_chunk(_t114_principal_len);
                        flick_khazana_decode_end_glob(_t114_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        _ev = (CORBA_Environment *)(&_t115_storage);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = mod1_mod2_ex2__get_l3(_obj, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort296);
                          flick_khazana_encode_new_glob(8, _flick_abort296);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort302);
                                break;
                                {
                                _flick_abort302:
                                  goto _flick_abort296;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort303);
                                flick_khazana_encode_end_glob(8);
                                break;
                                {
                                _flick_abort303:
                                  goto _flick_abort296;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort296:
                          goto _flick_abort295;
                        }
                      }
                      break;
                      {
                      _flick_abort295:
                        goto _flick_abort201;
                      }
                    }
                  case /* _l1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600925952):
                    {
                      {
                        mod1_mod2_ex2 _obj;
                        unsigned int _t116_principal_len;
                        CORBA_long _return;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t117_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort305);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t116_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t116_principal_len, _flick_abort305);
                        flick_khazana_decode_new_glob(_t116_principal_len);
                        flick_khazana_decode_new_chunk(_t116_principal_len);
                        flick_khazana_decode_end_chunk(_t116_principal_len);
                        flick_khazana_decode_end_glob(_t116_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        _ev = (CORBA_Environment *)(&_t117_storage);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = mod1_mod2_ex2__get_l1(_obj, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort305);
                          flick_khazana_encode_new_glob(8, _flick_abort305);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort311);
                                break;
                                {
                                _flick_abort311:
                                  goto _flick_abort305;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort312);
                                flick_khazana_encode_end_glob(8);
                                break;
                                {
                                _flick_abort312:
                                  goto _flick_abort305;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort305:
                          goto _flick_abort304;
                        }
                      }
                      break;
                      {
                      _flick_abort304:
                        goto _flick_abort201;
                      }
                    }
                  case /* _l2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600926208):
                    {
                      {
                        mod1_mod2_ex2 _obj;
                        unsigned int _t118_principal_len;
                        CORBA_long _return;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t119_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort314);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t118_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t118_principal_len, _flick_abort314);
                        flick_khazana_decode_new_glob(_t118_principal_len);
                        flick_khazana_decode_new_chunk(_t118_principal_len);
                        flick_khazana_decode_end_chunk(_t118_principal_len);
                        flick_khazana_decode_end_glob(_t118_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        _ev = (CORBA_Environment *)(&_t119_storage);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = mod1_mod2_ex2__get_l2(_obj, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort314);
                          flick_khazana_encode_new_glob(8, _flick_abort314);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort320);
                                break;
                                {
                                _flick_abort320:
                                  goto _flick_abort314;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort321);
                                flick_khazana_encode_end_glob(8);
                                break;
                                {
                                _flick_abort321:
                                  goto _flick_abort314;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort314:
                          goto _flick_abort313;
                        }
                      }
                      break;
                      {
                      _flick_abort313:
                        goto _flick_abort201;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t120_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t120_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t120_switch_tag)
                  {
                  case /* _l3 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600926464):
                    {
                      {
                        mod1_mod2_ex2 _obj;
                        unsigned int _t121_principal_len;
                        CORBA_long _local_l3;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t122_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort323);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t121_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t121_principal_len, _flick_abort323);
                        flick_khazana_decode_new_glob(_t121_principal_len);
                        flick_khazana_decode_new_chunk(_t121_principal_len);
                        flick_khazana_decode_end_chunk(_t121_principal_len);
                        flick_khazana_decode_end_glob(_t121_principal_len);
                        /* Begin decode phase on parameters */
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort323);
                        flick_cdr_decode_signed32(0, _local_l3, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t122_storage);
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        mod1_mod2_ex2__set_l3(_obj, _local_l3, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort323);
                          flick_khazana_encode_new_glob(4, _flick_abort323);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_end_glob(4);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(4);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort329);
                                break;
                                {
                                _flick_abort329:
                                  goto _flick_abort323;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort330);
                                flick_khazana_encode_end_glob(4);
                                break;
                                {
                                _flick_abort330:
                                  goto _flick_abort323;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort323:
                          goto _flick_abort322;
                        }
                      }
                      break;
                      {
                      _flick_abort322:
                        goto _flick_abort201;
                      }
                    }
                  case /* _l1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600925952):
                    {
                      {
                        mod1_mod2_ex2 _obj;
                        unsigned int _t123_principal_len;
                        CORBA_long _local_l1;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t124_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort332);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t123_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t123_principal_len, _flick_abort332);
                        flick_khazana_decode_new_glob(_t123_principal_len);
                        flick_khazana_decode_new_chunk(_t123_principal_len);
                        flick_khazana_decode_end_chunk(_t123_principal_len);
                        flick_khazana_decode_end_glob(_t123_principal_len);
                        /* Begin decode phase on parameters */
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort332);
                        flick_cdr_decode_signed32(0, _local_l1, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t124_storage);
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        mod1_mod2_ex2__set_l1(_obj, _local_l1, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort332);
                          flick_khazana_encode_new_glob(4, _flick_abort332);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_end_glob(4);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(4);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort338);
                                break;
                                {
                                _flick_abort338:
                                  goto _flick_abort332;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort339);
                                flick_khazana_encode_end_glob(4);
                                break;
                                {
                                _flick_abort339:
                                  goto _flick_abort332;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort332:
                          goto _flick_abort331;
                        }
                      }
                      break;
                      {
                      _flick_abort331:
                        goto _flick_abort201;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t125_switch_tag;

          flick_khazana_check_span(12, _flick_abort201);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t125_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t125_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t126_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t126_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t126_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t127_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t128_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t129_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort341);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t127_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t127_principal_len, _flick_abort341);
                        flick_khazana_decode_new_glob(_t127_principal_len);
                        flick_khazana_decode_new_chunk(_t127_principal_len);
                        flick_khazana_decode_end_chunk(_t127_principal_len);
                        flick_khazana_decode_end_glob(_t127_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort341);
                        flick_cdr_decode_unsigned32(0, _t128_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t128_temp_string_len);
                        flick_khazana_check_span(1 * _t128_temp_string_len, _flick_abort341);
                        flick_khazana_decode_new_chunk(1 * _t128_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t128_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t128_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t129_storage);
                        _par = flick_interface_parents_mod1_mod2_ex2;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort341);
                          flick_khazana_encode_new_glob(5, _flick_abort341);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort349);
                                break;
                                {
                                _flick_abort349:
                                  goto _flick_abort341;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort350);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort350:
                                  goto _flick_abort341;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort341:
                          goto _flick_abort340;
                        }
                      }
                      break;
                      {
                      _flick_abort340:
                        goto _flick_abort201;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort201);
          flick_khazana_decode_end_glob(16);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort201:
    flick_corba_server_error(cdr, khazana, _flick_reaper, _flick_abort200);
  _flick_abort200:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

