#include "oneway-server.h"

/* This is the runtime type information */
char *flick_interface_parents_onewaytest[] = {
	"IDL:onewaytest:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
int flick_marshal_stub_onewaytest(flick_marshal_stream_t _stream, onewaytest *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdr_encode_IOR(khazana, *_data, 0, _flick_abort0);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_onewaytest(flick_marshal_stream_t _stream, onewaytest *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_decode_IOR(khazana, *_data, 1);
  return 0;
}

int flick_unmarshal_stub_onewaytest_swap(flick_marshal_stream_t _stream, onewaytest *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swap_decode_IOR(khazana, *_data, 1);
  return 0;
}

flick_operation_success_t onewaytest_server(FLICK_TARGET _this_obj, flick_msg_t _in_msg, flick_msg_t *_out_msg)
{
  FLICK_BUFFER *_stream;
  flick_khazana_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t162_switch_tag;

    flick_khazana_decode_new_glob(24);
    flick_khazana_check_span(16, _flick_abort5);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t162_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t162_switch_tag)
      {
      case (unsigned int) 10:
        {
          unsigned int _t163_switch_tag;

          flick_khazana_check_span(16, _flick_abort5);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t163_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t163_switch_tag)
            {
            case /* shor */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1936224114):
              {
                unsigned int _t164_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t164_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t164_switch_tag)
                  {
                  case /* tlon */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953263470):
                    {
                      unsigned short int _t165_switch_tag;

                      flick_khazana_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t165_switch_tag, unsigned short int );
                      flick_khazana_decode_end_chunk(2);
                      switch ((unsigned short int )_t165_switch_tag)
                        {
                        case /* g */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 26368):
                          {
                            {
                              onewaytest _obj;
                              unsigned int _t166_principal_len;
                              CORBA_short _return;
                              CORBA_long *_local_x;
                              CORBA_long _t167_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t168_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort240);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t166_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(6);
                              flick_khazana_decode_end_glob(24);
                              flick_khazana_check_span(_t166_principal_len, _flick_abort240);
                              flick_khazana_decode_new_glob(_t166_principal_len);
                              flick_khazana_decode_new_chunk(_t166_principal_len);
                              flick_khazana_decode_end_chunk(_t166_principal_len);
                              flick_khazana_decode_end_glob(_t166_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              _local_x = (CORBA_long *)(&_t167_storage);
                              flick_khazana_decode_new_glob(7);
                              flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                              flick_khazana_check_span(4, _flick_abort240);
                              flick_cdr_swap_decode_signed32(0, *_local_x, CORBA_long );
                              _ev = (CORBA_Environment *)(&_t168_storage);
                              flick_khazana_decode_end_chunk(4);
                              flick_khazana_decode_end_glob(7);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = onewaytest_shortlong(_obj, _local_x, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort240);
                                flick_khazana_encode_new_glob(12, _flick_abort240);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk(8);
                                      flick_cdr_encode_signed16(0, _return, CORBA_short );
                                      flick_cdr_encode_signed32(4, *_local_x, CORBA_long );
                                      flick_khazana_encode_end_chunk(8);
                                      flick_khazana_encode_end_glob(12);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(12);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort246);
                                      break;
                                      {
                                      _flick_abort246:
                                        goto _flick_abort240;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort247);
                                      flick_khazana_encode_end_glob(12);
                                      break;
                                      {
                                      _flick_abort247:
                                        goto _flick_abort240;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort240:
                                goto _flick_abort239;
                              }
                            }
                            break;
                            {
                            _flick_abort239:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_khazana_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_khazana_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_khazana_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          unsigned int _t169_switch_tag;

          flick_khazana_check_span(16, _flick_abort5);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t169_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t169_switch_tag)
            {
            case /* void */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1987012964):
              {
                unsigned int _t170_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t170_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t170_switch_tag)
                  {
                  case /* long */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1819242087):
                    {
                      char _t171_switch_tag;

                      flick_khazana_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t171_switch_tag, char );
                      flick_khazana_decode_end_chunk(1);
                      switch ((char )_t171_switch_tag)
                        {
                        case 0:
                          {
                            {
                              onewaytest _obj;
                              unsigned int _t172_principal_len;
                              CORBA_long _local_x;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t173_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort249);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(7);
                              flick_cdr_swap_decode_unsigned32(3, _t172_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(7);
                              flick_khazana_decode_end_glob(24);
                              flick_khazana_check_span(_t172_principal_len, _flick_abort249);
                              flick_khazana_decode_new_glob(_t172_principal_len);
                              flick_khazana_decode_new_chunk(_t172_principal_len);
                              flick_khazana_decode_end_chunk(_t172_principal_len);
                              flick_khazana_decode_end_glob(_t172_principal_len);
                              /* Begin decode phase on parameters */
                              flick_khazana_decode_new_glob(7);
                              flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                              flick_khazana_check_span(4, _flick_abort249);
                              flick_cdr_swap_decode_signed32(0, _local_x, CORBA_long );
                              _ev = (CORBA_Environment *)(&_t173_storage);
                              flick_khazana_decode_end_chunk(4);
                              flick_khazana_decode_end_glob(7);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              onewaytest_voidlong(_obj, _local_x, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort249);
                                flick_khazana_encode_new_glob(4, _flick_abort249);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_end_glob(4);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(4);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort255);
                                      break;
                                      {
                                      _flick_abort255:
                                        goto _flick_abort249;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort256);
                                      flick_khazana_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort256:
                                        goto _flick_abort249;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort249:
                                goto _flick_abort248;
                              }
                            }
                            break;
                            {
                            _flick_abort248:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_khazana_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_khazana_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_khazana_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          unsigned int _t174_switch_tag;

          flick_khazana_check_span(16, _flick_abort5);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t174_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t174_switch_tag)
            {
            case /* onew */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869505911):
              {
                unsigned int _t175_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t175_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t175_switch_tag)
                  {
                  case /* aylo */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635347567):
                    {
                      unsigned short int _t176_switch_tag;

                      flick_khazana_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t176_switch_tag, unsigned short int );
                      flick_khazana_decode_end_chunk(2);
                      switch ((unsigned short int )_t176_switch_tag)
                        {
                        case /* ng */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28263):
                          {
                            char _t177_switch_tag;

                            flick_khazana_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t177_switch_tag, char );
                            flick_khazana_decode_end_chunk(1);
                            switch ((char )_t177_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    onewaytest _obj;
                                    unsigned int _t178_principal_len;
                                    CORBA_long _local_x;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t179_storage;

                                    flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort258);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_khazana_decode_new_chunk(5);
                                    flick_cdr_swap_decode_unsigned32(1, _t178_principal_len, unsigned int );
                                    flick_khazana_decode_end_chunk(5);
                                    flick_khazana_decode_end_glob(24);
                                    flick_khazana_check_span(_t178_principal_len, _flick_abort258);
                                    flick_khazana_decode_new_glob(_t178_principal_len);
                                    flick_khazana_decode_new_chunk(_t178_principal_len);
                                    flick_khazana_decode_end_chunk(_t178_principal_len);
                                    flick_khazana_decode_end_glob(_t178_principal_len);
                                    /* Begin decode phase on parameters */
                                    flick_khazana_decode_new_glob(7);
                                    flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_khazana_check_span(4, _flick_abort258);
                                    flick_cdr_swap_decode_signed32(0, _local_x, CORBA_long );
                                    _ev = (CORBA_Environment *)(&_t179_storage);
                                    flick_khazana_decode_end_chunk(4);
                                    flick_khazana_decode_end_glob(7);
                                    flick_khazana_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    onewaytest_onewaylong(_obj, _local_x, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    return FLICK_OPERATION_SUCCESS_NOREPLY;
                                    break;
                                    {
                                    _flick_abort258:
                                      goto _flick_abort257;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort257:
                                    goto _flick_abort5;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                                  flick_khazana_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_khazana_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_khazana_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            case /* long */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1819242087):
              {
                unsigned int _t180_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t180_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t180_switch_tag)
                  {
                  case /* stri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1937011305):
                    {
                      unsigned short int _t181_switch_tag;

                      flick_khazana_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t181_switch_tag, unsigned short int );
                      flick_khazana_decode_end_chunk(2);
                      switch ((unsigned short int )_t181_switch_tag)
                        {
                        case /* ng */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28263):
                          {
                            char _t182_switch_tag;

                            flick_khazana_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t182_switch_tag, char );
                            flick_khazana_decode_end_chunk(1);
                            switch ((char )_t182_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    onewaytest _obj;
                                    unsigned int _t183_principal_len;
                                    CORBA_long _return;
                                    CORBA_char **_local_x;
                                    CORBA_char *_t184_storage;
                                    flick_unsigned32_t _t185_temp_string_len;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t186_storage;

                                    flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort260);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_khazana_decode_new_chunk(5);
                                    flick_cdr_swap_decode_unsigned32(1, _t183_principal_len, unsigned int );
                                    flick_khazana_decode_end_chunk(5);
                                    flick_khazana_decode_end_glob(24);
                                    flick_khazana_check_span(_t183_principal_len, _flick_abort260);
                                    flick_khazana_decode_new_glob(_t183_principal_len);
                                    flick_khazana_decode_new_chunk(_t183_principal_len);
                                    flick_khazana_decode_end_chunk(_t183_principal_len);
                                    flick_khazana_decode_end_glob(_t183_principal_len);
                                    /* Begin decode phase on parameters */
                                    _return = 0;
                                    _local_x = (CORBA_char **)(&_t184_storage);
                                    flick_khazana_decode_new_glob(7);
                                    flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_khazana_check_span(4, _flick_abort260);
                                    flick_cdr_swap_decode_unsigned32(0, _t185_temp_string_len, flick_unsigned32_t );
                                    flick_khazana_decode_end_chunk(4);
                                    flick_khazana_decode_end_glob(7);
                                    flick_khazana_decode_new_glob(1 * _t185_temp_string_len);
                                    flick_khazana_check_span(1 * _t185_temp_string_len, _flick_abort260);
                                    flick_khazana_decode_new_chunk(1 * _t185_temp_string_len);
                                    {
                                      CORBA_char *_t_alloc_ptr;

                                      _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t185_temp_string_len * sizeof(CORBA_char )));
                                      if (!_t_alloc_ptr)
                                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort260);
                                      *_local_x = _t_alloc_ptr;
                                    }
                                    flick_cdr_swap_decode_bcopy(0, *_local_x, 1 * _t185_temp_string_len);
                                    flick_khazana_decode_end_chunk(1 * _t185_temp_string_len);
                                    flick_khazana_decode_end_glob(1 * _t185_temp_string_len);
                                    _ev = (CORBA_Environment *)(&_t186_storage);
                                    flick_khazana_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = onewaytest_longstring(_obj, _local_x, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_khazana_server_start_encode();
                                    {
                                      flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort263);
                                      flick_khazana_encode_new_glob(12, _flick_abort263);
                                      flick_khazana_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_khazana_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            flick_unsigned32_t _t188_temp_string_len;

                                            flick_cdr_stringlen(CORBA_char *, *_local_x, flick_unsigned32_t , _t188_temp_string_len);

                                            /* Begin encode phase on parameters */
                                            flick_khazana_encode_new_chunk(8);
                                            flick_cdr_encode_signed32(0, _return, CORBA_long );
                                            flick_cdr_encode_unsigned32(4, _t188_temp_string_len, flick_unsigned32_t );
                                            flick_khazana_encode_end_chunk(8);
                                            flick_khazana_encode_end_glob(12);
                                            flick_khazana_encode_new_glob(1 * _t188_temp_string_len, _flick_abort270);
                                            flick_khazana_encode_new_chunk(1 * _t188_temp_string_len);
                                            flick_cdr_encode_bcopy(0, *_local_x, 1 * _t188_temp_string_len);
                                            CORBA_flick_free(*_local_x);
                                            *_local_x = 0;
                                            flick_khazana_encode_end_chunk(1 * _t188_temp_string_len);
                                            flick_khazana_encode_end_glob(1 * _t188_temp_string_len);
                                            break;
                                            {
                                            _flick_abort270:
                                              goto _flick_abort263;
                                            }
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_khazana_encode_end_glob(12);
                                            flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort273);
                                            break;
                                            {
                                            _flick_abort273:
                                              goto _flick_abort263;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort274);
                                            flick_khazana_encode_end_glob(12);
                                            break;
                                            {
                                            _flick_abort274:
                                              goto _flick_abort263;
                                            }
                                          }
                                        }
                                    }
                                    flick_khazana_server_end_encode();
                                    break;
                                    {
                                    _flick_abort263:
                                      CORBA_flick_free(*_local_x);
                                    _flick_abort260:
                                      goto _flick_abort259;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort259:
                                    goto _flick_abort5;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                                  flick_khazana_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_khazana_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_khazana_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            case /* stri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1937011305):
              {
                unsigned int _t189_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t189_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t189_switch_tag)
                  {
                  case /* nglo */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1852271727):
                    {
                      unsigned short int _t190_switch_tag;

                      flick_khazana_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t190_switch_tag, unsigned short int );
                      flick_khazana_decode_end_chunk(2);
                      switch ((unsigned short int )_t190_switch_tag)
                        {
                        case /* ng */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28263):
                          {
                            char _t191_switch_tag;

                            flick_khazana_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t191_switch_tag, char );
                            flick_khazana_decode_end_chunk(1);
                            switch ((char )_t191_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    onewaytest _obj;
                                    unsigned int _t192_principal_len;
                                    CORBA_char *_return;
                                    CORBA_long *_local_x;
                                    CORBA_long _t193_storage;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t194_storage;

                                    flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort276);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_khazana_decode_new_chunk(5);
                                    flick_cdr_swap_decode_unsigned32(1, _t192_principal_len, unsigned int );
                                    flick_khazana_decode_end_chunk(5);
                                    flick_khazana_decode_end_glob(24);
                                    flick_khazana_check_span(_t192_principal_len, _flick_abort276);
                                    flick_khazana_decode_new_glob(_t192_principal_len);
                                    flick_khazana_decode_new_chunk(_t192_principal_len);
                                    flick_khazana_decode_end_chunk(_t192_principal_len);
                                    flick_khazana_decode_end_glob(_t192_principal_len);
                                    /* Begin decode phase on parameters */
                                    _return = 0;
                                    _local_x = (CORBA_long *)(&_t193_storage);
                                    _ev = (CORBA_Environment *)(&_t194_storage);
                                    flick_khazana_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = onewaytest_stringlong(_obj, _local_x, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_khazana_server_start_encode();
                                    {
                                      flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort276);
                                      flick_khazana_encode_new_glob(8, _flick_abort276);
                                      flick_khazana_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_khazana_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            flick_unsigned32_t _t196_temp_string_len;

                                            flick_cdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t196_temp_string_len);

                                            /* Begin encode phase on parameters */
                                            flick_khazana_encode_new_chunk(4);
                                            flick_cdr_encode_unsigned32(0, _t196_temp_string_len, flick_unsigned32_t );
                                            flick_khazana_encode_end_chunk(4);
                                            flick_khazana_encode_end_glob(8);
                                            flick_khazana_encode_new_glob(1 * _t196_temp_string_len, _flick_abort283);
                                            flick_khazana_encode_new_chunk(1 * _t196_temp_string_len);
                                            flick_cdr_encode_bcopy(0, _return, 1 * _t196_temp_string_len);
                                            CORBA_flick_free(_return);
                                            _return = 0;
                                            flick_khazana_encode_end_chunk(1 * _t196_temp_string_len);
                                            flick_khazana_encode_end_glob(1 * _t196_temp_string_len);
                                            flick_khazana_encode_new_glob(7, _flick_abort283);
                                            flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
                                            flick_cdr_encode_signed32(0, *_local_x, CORBA_long );
                                            flick_khazana_encode_end_chunk(4);
                                            flick_khazana_encode_end_glob(7);
                                            break;
                                            {
                                            _flick_abort283:
                                              goto _flick_abort276;
                                            }
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_khazana_encode_end_glob(8);
                                            flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort286);
                                            break;
                                            {
                                            _flick_abort286:
                                              goto _flick_abort276;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort287);
                                            flick_khazana_encode_end_glob(8);
                                            break;
                                            {
                                            _flick_abort287:
                                              goto _flick_abort276;
                                            }
                                          }
                                        }
                                    }
                                    flick_khazana_server_end_encode();
                                    break;
                                    {
                                    _flick_abort276:
                                      goto _flick_abort275;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort275:
                                    goto _flick_abort5;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                                  flick_khazana_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_khazana_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_khazana_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_khazana_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 13:
        {
          unsigned int _t197_switch_tag;

          flick_khazana_check_span(20, _flick_abort5);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t197_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t197_switch_tag)
            {
            case /* onew */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869505911):
              {
                unsigned int _t198_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t198_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t198_switch_tag)
                  {
                  case /* ayst */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635349364):
                    {
                      unsigned int _t199_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t199_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t199_switch_tag)
                        {
                        case /* ring */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1919512167):
                          {
                            char _t200_switch_tag;

                            flick_khazana_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t200_switch_tag, char );
                            flick_khazana_decode_end_chunk(1);
                            switch ((char )_t200_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    onewaytest _obj;
                                    unsigned int _t201_principal_len;
                                    CORBA_char *_local_x;
                                    flick_unsigned32_t _t202_temp_string_len;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t203_storage;

                                    flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort289);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_khazana_decode_new_chunk(7);
                                    flick_cdr_swap_decode_unsigned32(3, _t201_principal_len, unsigned int );
                                    flick_khazana_decode_end_chunk(7);
                                    flick_khazana_decode_end_glob(24);
                                    flick_khazana_check_span(_t201_principal_len, _flick_abort289);
                                    flick_khazana_decode_new_glob(_t201_principal_len);
                                    flick_khazana_decode_new_chunk(_t201_principal_len);
                                    flick_khazana_decode_end_chunk(_t201_principal_len);
                                    flick_khazana_decode_end_glob(_t201_principal_len);
                                    /* Begin decode phase on parameters */
                                    flick_khazana_decode_new_glob(7);
                                    flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_khazana_check_span(4, _flick_abort289);
                                    flick_cdr_swap_decode_unsigned32(0, _t202_temp_string_len, flick_unsigned32_t );
                                    flick_khazana_decode_end_chunk(4);
                                    flick_khazana_decode_end_glob(7);
                                    flick_khazana_decode_new_glob(1 * _t202_temp_string_len);
                                    flick_khazana_check_span(1 * _t202_temp_string_len, _flick_abort289);
                                    flick_khazana_decode_new_chunk(1 * _t202_temp_string_len);
                                    flick_cdr_swap_decode_msgptr(0, _local_x, CORBA_char *);
                                    flick_khazana_decode_end_chunk(1 * _t202_temp_string_len);
                                    flick_khazana_decode_end_glob(1 * _t202_temp_string_len);
                                    _ev = (CORBA_Environment *)(&_t203_storage);
                                    flick_khazana_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    onewaytest_onewaystring(_obj, _local_x, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    return FLICK_OPERATION_SUCCESS_NOREPLY;
                                    break;
                                    {
                                    _flick_abort289:
                                      goto _flick_abort288;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort288:
                                    goto _flick_abort5;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                                  flick_khazana_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_khazana_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_khazana_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            case /* stri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1937011305):
              {
                unsigned int _t204_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t204_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t204_switch_tag)
                  {
                  case /* ngre */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1852273253):
                    {
                      unsigned int _t205_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t205_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t205_switch_tag)
                        {
                        case /* turn */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953854062):
                          {
                            char _t206_switch_tag;

                            flick_khazana_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t206_switch_tag, char );
                            flick_khazana_decode_end_chunk(1);
                            switch ((char )_t206_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    onewaytest _obj;
                                    unsigned int _t207_principal_len;
                                    CORBA_char *_return;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t208_storage;

                                    flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort293);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_khazana_decode_new_chunk(7);
                                    flick_cdr_swap_decode_unsigned32(3, _t207_principal_len, unsigned int );
                                    flick_khazana_decode_end_chunk(7);
                                    flick_khazana_decode_end_glob(24);
                                    flick_khazana_check_span(_t207_principal_len, _flick_abort293);
                                    flick_khazana_decode_new_glob(_t207_principal_len);
                                    flick_khazana_decode_new_chunk(_t207_principal_len);
                                    flick_khazana_decode_end_chunk(_t207_principal_len);
                                    flick_khazana_decode_end_glob(_t207_principal_len);
                                    /* Begin decode phase on parameters */
                                    _return = 0;
                                    _ev = (CORBA_Environment *)(&_t208_storage);
                                    flick_khazana_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = onewaytest_stringreturn(_obj, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_khazana_server_start_encode();
                                    {
                                      flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort293);
                                      flick_khazana_encode_new_glob(8, _flick_abort293);
                                      flick_khazana_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_khazana_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            flick_unsigned32_t _t210_temp_string_len;

                                            flick_cdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t210_temp_string_len);

                                            /* Begin encode phase on parameters */
                                            flick_khazana_encode_new_chunk(4);
                                            flick_cdr_encode_unsigned32(0, _t210_temp_string_len, flick_unsigned32_t );
                                            flick_khazana_encode_end_chunk(4);
                                            flick_khazana_encode_end_glob(8);
                                            flick_khazana_encode_new_glob(1 * _t210_temp_string_len, _flick_abort300);
                                            flick_khazana_encode_new_chunk(1 * _t210_temp_string_len);
                                            flick_cdr_encode_bcopy(0, _return, 1 * _t210_temp_string_len);
                                            CORBA_flick_free(_return);
                                            _return = 0;
                                            flick_khazana_encode_end_chunk(1 * _t210_temp_string_len);
                                            flick_khazana_encode_end_glob(1 * _t210_temp_string_len);
                                            break;
                                            {
                                            _flick_abort300:
                                              goto _flick_abort293;
                                            }
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_khazana_encode_end_glob(8);
                                            flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort303);
                                            break;
                                            {
                                            _flick_abort303:
                                              goto _flick_abort293;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort304);
                                            flick_khazana_encode_end_glob(8);
                                            break;
                                            {
                                            _flick_abort304:
                                              goto _flick_abort293;
                                            }
                                          }
                                        }
                                    }
                                    flick_khazana_server_end_encode();
                                    break;
                                    {
                                    _flick_abort293:
                                      goto _flick_abort292;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort292:
                                    goto _flick_abort5;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                                  flick_khazana_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_khazana_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_khazana_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_khazana_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t211_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t211_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t211_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t212_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t212_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t212_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t213_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t214_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t215_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort306);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t213_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(24);
                        flick_khazana_check_span(_t213_principal_len, _flick_abort306);
                        flick_khazana_decode_new_glob(_t213_principal_len);
                        flick_khazana_decode_new_chunk(_t213_principal_len);
                        flick_khazana_decode_end_chunk(_t213_principal_len);
                        flick_khazana_decode_end_glob(_t213_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort306);
                        flick_cdr_swap_decode_unsigned32(0, _t214_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t214_temp_string_len);
                        flick_khazana_check_span(1 * _t214_temp_string_len, _flick_abort306);
                        flick_khazana_decode_new_chunk(1 * _t214_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t214_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t214_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t215_storage);
                        _par = flick_interface_parents_onewaytest;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort306);
                          flick_khazana_encode_new_glob(5, _flick_abort306);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort314);
                                break;
                                {
                                _flick_abort314:
                                  goto _flick_abort306;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort315);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort315:
                                  goto _flick_abort306;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort306:
                          goto _flick_abort305;
                        }
                      }
                      break;
                      {
                      _flick_abort305:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_khazana_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_khazana_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
          flick_khazana_decode_end_glob(24);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t54_switch_tag;

    flick_khazana_decode_new_glob(24);
    flick_khazana_check_span(16, _flick_abort5);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t54_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t54_switch_tag)
      {
      case (unsigned int) 10:
        {
          unsigned int _t55_switch_tag;

          flick_khazana_check_span(16, _flick_abort5);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t55_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t55_switch_tag)
            {
            case /* shor */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1936224114):
              {
                unsigned int _t56_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t56_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t56_switch_tag)
                  {
                  case /* tlon */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953263470):
                    {
                      unsigned short int _t57_switch_tag;

                      flick_khazana_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t57_switch_tag, unsigned short int );
                      flick_khazana_decode_end_chunk(2);
                      switch ((unsigned short int )_t57_switch_tag)
                        {
                        case /* g */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 26368):
                          {
                            {
                              onewaytest _obj;
                              unsigned int _t58_principal_len;
                              CORBA_short _return;
                              CORBA_long *_local_x;
                              CORBA_long _t59_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t60_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort85);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t58_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(6);
                              flick_khazana_decode_end_glob(24);
                              flick_khazana_check_span(_t58_principal_len, _flick_abort85);
                              flick_khazana_decode_new_glob(_t58_principal_len);
                              flick_khazana_decode_new_chunk(_t58_principal_len);
                              flick_khazana_decode_end_chunk(_t58_principal_len);
                              flick_khazana_decode_end_glob(_t58_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              _local_x = (CORBA_long *)(&_t59_storage);
                              flick_khazana_decode_new_glob(7);
                              flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                              flick_khazana_check_span(4, _flick_abort85);
                              flick_cdr_decode_signed32(0, *_local_x, CORBA_long );
                              _ev = (CORBA_Environment *)(&_t60_storage);
                              flick_khazana_decode_end_chunk(4);
                              flick_khazana_decode_end_glob(7);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = onewaytest_shortlong(_obj, _local_x, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort85);
                                flick_khazana_encode_new_glob(12, _flick_abort85);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk(8);
                                      flick_cdr_encode_signed16(0, _return, CORBA_short );
                                      flick_cdr_encode_signed32(4, *_local_x, CORBA_long );
                                      flick_khazana_encode_end_chunk(8);
                                      flick_khazana_encode_end_glob(12);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(12);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort91);
                                      break;
                                      {
                                      _flick_abort91:
                                        goto _flick_abort85;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort92);
                                      flick_khazana_encode_end_glob(12);
                                      break;
                                      {
                                      _flick_abort92:
                                        goto _flick_abort85;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort85:
                                goto _flick_abort84;
                              }
                            }
                            break;
                            {
                            _flick_abort84:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_khazana_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_khazana_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_khazana_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          unsigned int _t61_switch_tag;

          flick_khazana_check_span(16, _flick_abort5);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t61_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t61_switch_tag)
            {
            case /* void */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1987012964):
              {
                unsigned int _t62_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t62_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t62_switch_tag)
                  {
                  case /* long */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1819242087):
                    {
                      char _t63_switch_tag;

                      flick_khazana_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t63_switch_tag, char );
                      flick_khazana_decode_end_chunk(1);
                      switch ((char )_t63_switch_tag)
                        {
                        case 0:
                          {
                            {
                              onewaytest _obj;
                              unsigned int _t64_principal_len;
                              CORBA_long _local_x;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t65_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort94);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(7);
                              flick_cdr_decode_unsigned32(3, _t64_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(7);
                              flick_khazana_decode_end_glob(24);
                              flick_khazana_check_span(_t64_principal_len, _flick_abort94);
                              flick_khazana_decode_new_glob(_t64_principal_len);
                              flick_khazana_decode_new_chunk(_t64_principal_len);
                              flick_khazana_decode_end_chunk(_t64_principal_len);
                              flick_khazana_decode_end_glob(_t64_principal_len);
                              /* Begin decode phase on parameters */
                              flick_khazana_decode_new_glob(7);
                              flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                              flick_khazana_check_span(4, _flick_abort94);
                              flick_cdr_decode_signed32(0, _local_x, CORBA_long );
                              _ev = (CORBA_Environment *)(&_t65_storage);
                              flick_khazana_decode_end_chunk(4);
                              flick_khazana_decode_end_glob(7);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              onewaytest_voidlong(_obj, _local_x, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort94);
                                flick_khazana_encode_new_glob(4, _flick_abort94);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_end_glob(4);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(4);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort100);
                                      break;
                                      {
                                      _flick_abort100:
                                        goto _flick_abort94;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort101);
                                      flick_khazana_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort101:
                                        goto _flick_abort94;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort94:
                                goto _flick_abort93;
                              }
                            }
                            break;
                            {
                            _flick_abort93:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_khazana_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_khazana_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_khazana_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          unsigned int _t66_switch_tag;

          flick_khazana_check_span(16, _flick_abort5);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t66_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t66_switch_tag)
            {
            case /* onew */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869505911):
              {
                unsigned int _t67_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t67_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t67_switch_tag)
                  {
                  case /* aylo */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635347567):
                    {
                      unsigned short int _t68_switch_tag;

                      flick_khazana_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t68_switch_tag, unsigned short int );
                      flick_khazana_decode_end_chunk(2);
                      switch ((unsigned short int )_t68_switch_tag)
                        {
                        case /* ng */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28263):
                          {
                            char _t69_switch_tag;

                            flick_khazana_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t69_switch_tag, char );
                            flick_khazana_decode_end_chunk(1);
                            switch ((char )_t69_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    onewaytest _obj;
                                    unsigned int _t70_principal_len;
                                    CORBA_long _local_x;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t71_storage;

                                    flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort103);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_khazana_decode_new_chunk(5);
                                    flick_cdr_decode_unsigned32(1, _t70_principal_len, unsigned int );
                                    flick_khazana_decode_end_chunk(5);
                                    flick_khazana_decode_end_glob(24);
                                    flick_khazana_check_span(_t70_principal_len, _flick_abort103);
                                    flick_khazana_decode_new_glob(_t70_principal_len);
                                    flick_khazana_decode_new_chunk(_t70_principal_len);
                                    flick_khazana_decode_end_chunk(_t70_principal_len);
                                    flick_khazana_decode_end_glob(_t70_principal_len);
                                    /* Begin decode phase on parameters */
                                    flick_khazana_decode_new_glob(7);
                                    flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_khazana_check_span(4, _flick_abort103);
                                    flick_cdr_decode_signed32(0, _local_x, CORBA_long );
                                    _ev = (CORBA_Environment *)(&_t71_storage);
                                    flick_khazana_decode_end_chunk(4);
                                    flick_khazana_decode_end_glob(7);
                                    flick_khazana_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    onewaytest_onewaylong(_obj, _local_x, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    return FLICK_OPERATION_SUCCESS_NOREPLY;
                                    break;
                                    {
                                    _flick_abort103:
                                      goto _flick_abort102;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort102:
                                    goto _flick_abort5;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                                  flick_khazana_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_khazana_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_khazana_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            case /* long */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1819242087):
              {
                unsigned int _t72_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t72_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t72_switch_tag)
                  {
                  case /* stri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1937011305):
                    {
                      unsigned short int _t73_switch_tag;

                      flick_khazana_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t73_switch_tag, unsigned short int );
                      flick_khazana_decode_end_chunk(2);
                      switch ((unsigned short int )_t73_switch_tag)
                        {
                        case /* ng */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28263):
                          {
                            char _t74_switch_tag;

                            flick_khazana_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t74_switch_tag, char );
                            flick_khazana_decode_end_chunk(1);
                            switch ((char )_t74_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    onewaytest _obj;
                                    unsigned int _t75_principal_len;
                                    CORBA_long _return;
                                    CORBA_char **_local_x;
                                    CORBA_char *_t76_storage;
                                    flick_unsigned32_t _t77_temp_string_len;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t78_storage;

                                    flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort105);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_khazana_decode_new_chunk(5);
                                    flick_cdr_decode_unsigned32(1, _t75_principal_len, unsigned int );
                                    flick_khazana_decode_end_chunk(5);
                                    flick_khazana_decode_end_glob(24);
                                    flick_khazana_check_span(_t75_principal_len, _flick_abort105);
                                    flick_khazana_decode_new_glob(_t75_principal_len);
                                    flick_khazana_decode_new_chunk(_t75_principal_len);
                                    flick_khazana_decode_end_chunk(_t75_principal_len);
                                    flick_khazana_decode_end_glob(_t75_principal_len);
                                    /* Begin decode phase on parameters */
                                    _return = 0;
                                    _local_x = (CORBA_char **)(&_t76_storage);
                                    flick_khazana_decode_new_glob(7);
                                    flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_khazana_check_span(4, _flick_abort105);
                                    flick_cdr_decode_unsigned32(0, _t77_temp_string_len, flick_unsigned32_t );
                                    flick_khazana_decode_end_chunk(4);
                                    flick_khazana_decode_end_glob(7);
                                    flick_khazana_decode_new_glob(1 * _t77_temp_string_len);
                                    flick_khazana_check_span(1 * _t77_temp_string_len, _flick_abort105);
                                    flick_khazana_decode_new_chunk(1 * _t77_temp_string_len);
                                    {
                                      CORBA_char *_t_alloc_ptr;

                                      _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(_t77_temp_string_len * sizeof(CORBA_char )));
                                      if (!_t_alloc_ptr)
                                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort105);
                                      *_local_x = _t_alloc_ptr;
                                    }
                                    flick_cdr_decode_bcopy(0, *_local_x, 1 * _t77_temp_string_len);
                                    flick_khazana_decode_end_chunk(1 * _t77_temp_string_len);
                                    flick_khazana_decode_end_glob(1 * _t77_temp_string_len);
                                    _ev = (CORBA_Environment *)(&_t78_storage);
                                    flick_khazana_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = onewaytest_longstring(_obj, _local_x, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_khazana_server_start_encode();
                                    {
                                      flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort108);
                                      flick_khazana_encode_new_glob(12, _flick_abort108);
                                      flick_khazana_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_khazana_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            flick_unsigned32_t _t80_temp_string_len;

                                            flick_cdr_stringlen(CORBA_char *, *_local_x, flick_unsigned32_t , _t80_temp_string_len);

                                            /* Begin encode phase on parameters */
                                            flick_khazana_encode_new_chunk(8);
                                            flick_cdr_encode_signed32(0, _return, CORBA_long );
                                            flick_cdr_encode_unsigned32(4, _t80_temp_string_len, flick_unsigned32_t );
                                            flick_khazana_encode_end_chunk(8);
                                            flick_khazana_encode_end_glob(12);
                                            flick_khazana_encode_new_glob(1 * _t80_temp_string_len, _flick_abort115);
                                            flick_khazana_encode_new_chunk(1 * _t80_temp_string_len);
                                            flick_cdr_encode_bcopy(0, *_local_x, 1 * _t80_temp_string_len);
                                            CORBA_flick_free(*_local_x);
                                            *_local_x = 0;
                                            flick_khazana_encode_end_chunk(1 * _t80_temp_string_len);
                                            flick_khazana_encode_end_glob(1 * _t80_temp_string_len);
                                            break;
                                            {
                                            _flick_abort115:
                                              goto _flick_abort108;
                                            }
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_khazana_encode_end_glob(12);
                                            flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort118);
                                            break;
                                            {
                                            _flick_abort118:
                                              goto _flick_abort108;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort119);
                                            flick_khazana_encode_end_glob(12);
                                            break;
                                            {
                                            _flick_abort119:
                                              goto _flick_abort108;
                                            }
                                          }
                                        }
                                    }
                                    flick_khazana_server_end_encode();
                                    break;
                                    {
                                    _flick_abort108:
                                      CORBA_flick_free(*_local_x);
                                    _flick_abort105:
                                      goto _flick_abort104;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort104:
                                    goto _flick_abort5;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                                  flick_khazana_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_khazana_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_khazana_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            case /* stri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1937011305):
              {
                unsigned int _t81_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t81_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t81_switch_tag)
                  {
                  case /* nglo */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1852271727):
                    {
                      unsigned short int _t82_switch_tag;

                      flick_khazana_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t82_switch_tag, unsigned short int );
                      flick_khazana_decode_end_chunk(2);
                      switch ((unsigned short int )_t82_switch_tag)
                        {
                        case /* ng */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28263):
                          {
                            char _t83_switch_tag;

                            flick_khazana_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t83_switch_tag, char );
                            flick_khazana_decode_end_chunk(1);
                            switch ((char )_t83_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    onewaytest _obj;
                                    unsigned int _t84_principal_len;
                                    CORBA_char *_return;
                                    CORBA_long *_local_x;
                                    CORBA_long _t85_storage;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t86_storage;

                                    flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort121);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_khazana_decode_new_chunk(5);
                                    flick_cdr_decode_unsigned32(1, _t84_principal_len, unsigned int );
                                    flick_khazana_decode_end_chunk(5);
                                    flick_khazana_decode_end_glob(24);
                                    flick_khazana_check_span(_t84_principal_len, _flick_abort121);
                                    flick_khazana_decode_new_glob(_t84_principal_len);
                                    flick_khazana_decode_new_chunk(_t84_principal_len);
                                    flick_khazana_decode_end_chunk(_t84_principal_len);
                                    flick_khazana_decode_end_glob(_t84_principal_len);
                                    /* Begin decode phase on parameters */
                                    _return = 0;
                                    _local_x = (CORBA_long *)(&_t85_storage);
                                    _ev = (CORBA_Environment *)(&_t86_storage);
                                    flick_khazana_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = onewaytest_stringlong(_obj, _local_x, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_khazana_server_start_encode();
                                    {
                                      flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort121);
                                      flick_khazana_encode_new_glob(8, _flick_abort121);
                                      flick_khazana_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_khazana_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            flick_unsigned32_t _t88_temp_string_len;

                                            flick_cdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t88_temp_string_len);

                                            /* Begin encode phase on parameters */
                                            flick_khazana_encode_new_chunk(4);
                                            flick_cdr_encode_unsigned32(0, _t88_temp_string_len, flick_unsigned32_t );
                                            flick_khazana_encode_end_chunk(4);
                                            flick_khazana_encode_end_glob(8);
                                            flick_khazana_encode_new_glob(1 * _t88_temp_string_len, _flick_abort128);
                                            flick_khazana_encode_new_chunk(1 * _t88_temp_string_len);
                                            flick_cdr_encode_bcopy(0, _return, 1 * _t88_temp_string_len);
                                            CORBA_flick_free(_return);
                                            _return = 0;
                                            flick_khazana_encode_end_chunk(1 * _t88_temp_string_len);
                                            flick_khazana_encode_end_glob(1 * _t88_temp_string_len);
                                            flick_khazana_encode_new_glob(7, _flick_abort128);
                                            flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
                                            flick_cdr_encode_signed32(0, *_local_x, CORBA_long );
                                            flick_khazana_encode_end_chunk(4);
                                            flick_khazana_encode_end_glob(7);
                                            break;
                                            {
                                            _flick_abort128:
                                              goto _flick_abort121;
                                            }
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_khazana_encode_end_glob(8);
                                            flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort131);
                                            break;
                                            {
                                            _flick_abort131:
                                              goto _flick_abort121;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort132);
                                            flick_khazana_encode_end_glob(8);
                                            break;
                                            {
                                            _flick_abort132:
                                              goto _flick_abort121;
                                            }
                                          }
                                        }
                                    }
                                    flick_khazana_server_end_encode();
                                    break;
                                    {
                                    _flick_abort121:
                                      goto _flick_abort120;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort120:
                                    goto _flick_abort5;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                                  flick_khazana_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_khazana_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_khazana_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_khazana_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 13:
        {
          unsigned int _t89_switch_tag;

          flick_khazana_check_span(20, _flick_abort5);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t89_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t89_switch_tag)
            {
            case /* onew */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869505911):
              {
                unsigned int _t90_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t90_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t90_switch_tag)
                  {
                  case /* ayst */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635349364):
                    {
                      unsigned int _t91_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t91_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t91_switch_tag)
                        {
                        case /* ring */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1919512167):
                          {
                            char _t92_switch_tag;

                            flick_khazana_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t92_switch_tag, char );
                            flick_khazana_decode_end_chunk(1);
                            switch ((char )_t92_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    onewaytest _obj;
                                    unsigned int _t93_principal_len;
                                    CORBA_char *_local_x;
                                    flick_unsigned32_t _t94_temp_string_len;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t95_storage;

                                    flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort134);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_khazana_decode_new_chunk(7);
                                    flick_cdr_decode_unsigned32(3, _t93_principal_len, unsigned int );
                                    flick_khazana_decode_end_chunk(7);
                                    flick_khazana_decode_end_glob(24);
                                    flick_khazana_check_span(_t93_principal_len, _flick_abort134);
                                    flick_khazana_decode_new_glob(_t93_principal_len);
                                    flick_khazana_decode_new_chunk(_t93_principal_len);
                                    flick_khazana_decode_end_chunk(_t93_principal_len);
                                    flick_khazana_decode_end_glob(_t93_principal_len);
                                    /* Begin decode phase on parameters */
                                    flick_khazana_decode_new_glob(7);
                                    flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_khazana_check_span(4, _flick_abort134);
                                    flick_cdr_decode_unsigned32(0, _t94_temp_string_len, flick_unsigned32_t );
                                    flick_khazana_decode_end_chunk(4);
                                    flick_khazana_decode_end_glob(7);
                                    flick_khazana_decode_new_glob(1 * _t94_temp_string_len);
                                    flick_khazana_check_span(1 * _t94_temp_string_len, _flick_abort134);
                                    flick_khazana_decode_new_chunk(1 * _t94_temp_string_len);
                                    flick_cdr_decode_msgptr(0, _local_x, CORBA_char *);
                                    flick_khazana_decode_end_chunk(1 * _t94_temp_string_len);
                                    flick_khazana_decode_end_glob(1 * _t94_temp_string_len);
                                    _ev = (CORBA_Environment *)(&_t95_storage);
                                    flick_khazana_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    onewaytest_onewaystring(_obj, _local_x, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    return FLICK_OPERATION_SUCCESS_NOREPLY;
                                    break;
                                    {
                                    _flick_abort134:
                                      goto _flick_abort133;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort133:
                                    goto _flick_abort5;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                                  flick_khazana_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_khazana_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_khazana_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            case /* stri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1937011305):
              {
                unsigned int _t96_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t96_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t96_switch_tag)
                  {
                  case /* ngre */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1852273253):
                    {
                      unsigned int _t97_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t97_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t97_switch_tag)
                        {
                        case /* turn */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953854062):
                          {
                            char _t98_switch_tag;

                            flick_khazana_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t98_switch_tag, char );
                            flick_khazana_decode_end_chunk(1);
                            switch ((char )_t98_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    onewaytest _obj;
                                    unsigned int _t99_principal_len;
                                    CORBA_char *_return;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t100_storage;

                                    flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort138);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_khazana_decode_new_chunk(7);
                                    flick_cdr_decode_unsigned32(3, _t99_principal_len, unsigned int );
                                    flick_khazana_decode_end_chunk(7);
                                    flick_khazana_decode_end_glob(24);
                                    flick_khazana_check_span(_t99_principal_len, _flick_abort138);
                                    flick_khazana_decode_new_glob(_t99_principal_len);
                                    flick_khazana_decode_new_chunk(_t99_principal_len);
                                    flick_khazana_decode_end_chunk(_t99_principal_len);
                                    flick_khazana_decode_end_glob(_t99_principal_len);
                                    /* Begin decode phase on parameters */
                                    _return = 0;
                                    _ev = (CORBA_Environment *)(&_t100_storage);
                                    flick_khazana_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = onewaytest_stringreturn(_obj, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_khazana_server_start_encode();
                                    {
                                      flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort138);
                                      flick_khazana_encode_new_glob(8, _flick_abort138);
                                      flick_khazana_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_khazana_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            flick_unsigned32_t _t102_temp_string_len;

                                            flick_cdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t102_temp_string_len);

                                            /* Begin encode phase on parameters */
                                            flick_khazana_encode_new_chunk(4);
                                            flick_cdr_encode_unsigned32(0, _t102_temp_string_len, flick_unsigned32_t );
                                            flick_khazana_encode_end_chunk(4);
                                            flick_khazana_encode_end_glob(8);
                                            flick_khazana_encode_new_glob(1 * _t102_temp_string_len, _flick_abort145);
                                            flick_khazana_encode_new_chunk(1 * _t102_temp_string_len);
                                            flick_cdr_encode_bcopy(0, _return, 1 * _t102_temp_string_len);
                                            CORBA_flick_free(_return);
                                            _return = 0;
                                            flick_khazana_encode_end_chunk(1 * _t102_temp_string_len);
                                            flick_khazana_encode_end_glob(1 * _t102_temp_string_len);
                                            break;
                                            {
                                            _flick_abort145:
                                              goto _flick_abort138;
                                            }
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_khazana_encode_end_glob(8);
                                            flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort148);
                                            break;
                                            {
                                            _flick_abort148:
                                              goto _flick_abort138;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort149);
                                            flick_khazana_encode_end_glob(8);
                                            break;
                                            {
                                            _flick_abort149:
                                              goto _flick_abort138;
                                            }
                                          }
                                        }
                                    }
                                    flick_khazana_server_end_encode();
                                    break;
                                    {
                                    _flick_abort138:
                                      goto _flick_abort137;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort137:
                                    goto _flick_abort5;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                                  flick_khazana_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_khazana_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_khazana_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_khazana_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t103_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t103_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t103_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t104_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t104_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t104_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t105_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t106_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t107_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort151);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t105_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(24);
                        flick_khazana_check_span(_t105_principal_len, _flick_abort151);
                        flick_khazana_decode_new_glob(_t105_principal_len);
                        flick_khazana_decode_new_chunk(_t105_principal_len);
                        flick_khazana_decode_end_chunk(_t105_principal_len);
                        flick_khazana_decode_end_glob(_t105_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort151);
                        flick_cdr_decode_unsigned32(0, _t106_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t106_temp_string_len);
                        flick_khazana_check_span(1 * _t106_temp_string_len, _flick_abort151);
                        flick_khazana_decode_new_chunk(1 * _t106_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t106_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t106_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t107_storage);
                        _par = flick_interface_parents_onewaytest;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort151);
                          flick_khazana_encode_new_glob(5, _flick_abort151);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort159);
                                break;
                                {
                                _flick_abort159:
                                  goto _flick_abort151;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort160);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort160:
                                  goto _flick_abort151;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort151:
                          goto _flick_abort150;
                        }
                      }
                      break;
                      {
                      _flick_abort150:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_khazana_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_khazana_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
          flick_khazana_decode_end_glob(24);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort5:
    flick_corba_server_error(cdr, khazana, _flick_reaper, _flick_abort4);
  _flick_abort4:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

