#include "optional-7-server.h"

/* This is the runtime type information */
char *flick_interface_parents_PROG[] = {
	"IDL:PROG:1.0",
	0
};

char *flick_interface_parents_VERS[] = {
	"IDL:VERS:1.0",
	"IDL:PROG:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
int flick_marshal_stub_int_list(flick_marshal_stream_t _stream, int_list *_data)
{
  flick_unsigned32_t _t0_temp_array_len;

  flick_sun_ptr_not_nil(struct int_node *, *_data, flick_unsigned32_t , _t0_temp_array_len);

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(8, _flick_abort0);
  flick_khazana_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _t0_temp_array_len, flick_unsigned32_t );
  flick_khazana_encode_end_chunk(4);
  if (_t0_temp_array_len)
    {
      flick_khazana_encode_new_chunk(4);
      flick_cdr_encode_signed32(0, (*_data)->value, int );
      flick_khazana_encode_end_chunk(4);
      flick_khazana_encode_end_glob(8);
      if (flick_marshal_stub_int_list(_stream, &(*_data)->next))
        goto _flick_abort4;
      goto _flick_label1;
      {
      _flick_abort4:
        goto _flick_abort0;
      }
    }
  else
    {
      flick_khazana_encode_end_glob(8);
      goto _flick_label1;
    }
_flick_label1:
  ;
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_int_list(flick_marshal_stream_t _stream, int_list *_data)
{
  flick_unsigned32_t _t1_temp_array_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(8);
  flick_khazana_check_span(4, _flick_abort6);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _t1_temp_array_len, flick_unsigned32_t );
  flick_khazana_decode_end_chunk(4);
  if (_t1_temp_array_len)
    {
      {
        struct int_node *_t_alloc_ptr;

        _t_alloc_ptr = (struct int_node *)(sun_flick_alloc(sizeof(struct int_node )));
        if (!_t_alloc_ptr)
          flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort12);
        *_data = _t_alloc_ptr;
      }
      flick_khazana_check_span(4, _flick_abort13);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, (*_data)->value, int );
      flick_khazana_decode_end_chunk(4);
      flick_khazana_decode_end_glob(8);
      if (flick_unmarshal_stub_int_list(_stream, &(*_data)->next))
        goto _flick_abort13;
      goto _flick_label3;
      {
      _flick_abort13:
        sun_flick_free(*_data);
      _flick_abort12:
        goto _flick_abort6;
      }
    }
  else
    {
      *_data = 0;
      flick_khazana_decode_end_glob(8);
      goto _flick_label3;
      {
        goto _flick_abort6;
      }
    }
_flick_label3:
  ;
  return 0;
  {
  _flick_abort6:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_int_list_swap(flick_marshal_stream_t _stream, int_list *_data)
{
  flick_unsigned32_t _t2_temp_array_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(8);
  flick_khazana_check_span(4, _flick_abort16);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _t2_temp_array_len, flick_unsigned32_t );
  flick_khazana_decode_end_chunk(4);
  if (_t2_temp_array_len)
    {
      {
        struct int_node *_t_alloc_ptr;

        _t_alloc_ptr = (struct int_node *)(sun_flick_alloc(sizeof(struct int_node )));
        if (!_t_alloc_ptr)
          flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort22);
        *_data = _t_alloc_ptr;
      }
      flick_khazana_check_span(4, _flick_abort23);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, (*_data)->value, int );
      flick_khazana_decode_end_chunk(4);
      flick_khazana_decode_end_glob(8);
      if (flick_unmarshal_stub_int_list_swap(_stream, &(*_data)->next))
        goto _flick_abort23;
      goto _flick_label5;
      {
      _flick_abort23:
        sun_flick_free(*_data);
      _flick_abort22:
        goto _flick_abort16;
      }
    }
  else
    {
      *_data = 0;
      flick_khazana_decode_end_glob(8);
      goto _flick_label5;
      {
        goto _flick_abort16;
      }
    }
_flick_label5:
  ;
  return 0;
  {
  _flick_abort16:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_int_node(flick_marshal_stream_t _stream, struct int_node *_data)
{
  flick_unsigned32_t _t3_temp_array_len;

  flick_sun_ptr_not_nil(struct int_node *, _data->next, flick_unsigned32_t , _t3_temp_array_len);

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(8, _flick_abort26);
  flick_khazana_encode_new_chunk(8);
  flick_cdr_encode_signed32(0, _data->value, int );
  flick_cdr_encode_unsigned32(4, _t3_temp_array_len, flick_unsigned32_t );
  flick_khazana_encode_end_chunk(8);
  if (_t3_temp_array_len)
    {
      flick_khazana_encode_end_glob(8);
      if (flick_marshal_stub_int_node(_stream, _data->next))
        goto _flick_abort30;
      goto _flick_label7;
      {
      _flick_abort30:
        goto _flick_abort26;
      }
    }
  else
    {
      flick_khazana_encode_end_glob(8);
      goto _flick_label7;
    }
_flick_label7:
  ;
  return 0;
  {
  _flick_abort26:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_int_node(flick_marshal_stream_t _stream, struct int_node *_data)
{
  flick_unsigned32_t _t4_temp_array_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(8);
  flick_khazana_check_span(8, _flick_abort32);
  flick_khazana_decode_new_chunk(8);
  flick_cdr_decode_signed32(0, _data->value, int );
  flick_cdr_decode_unsigned32(4, _t4_temp_array_len, flick_unsigned32_t );
  flick_khazana_decode_end_chunk(8);
  if (_t4_temp_array_len)
    {
      {
        struct int_node *_t_alloc_ptr;

        _t_alloc_ptr = (struct int_node *)(sun_flick_alloc(sizeof(struct int_node )));
        if (!_t_alloc_ptr)
          flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort38);
        _data->next = _t_alloc_ptr;
      }
      flick_khazana_decode_end_glob(8);
      if (flick_unmarshal_stub_int_node(_stream, _data->next))
        goto _flick_abort39;
      goto _flick_label9;
      {
      _flick_abort39:
        sun_flick_free(_data->next);
      _flick_abort38:
        goto _flick_abort32;
      }
    }
  else
    {
      _data->next = 0;
      flick_khazana_decode_end_glob(8);
      goto _flick_label9;
      {
        goto _flick_abort32;
      }
    }
_flick_label9:
  ;
  return 0;
  {
  _flick_abort32:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_int_node_swap(flick_marshal_stream_t _stream, struct int_node *_data)
{
  flick_unsigned32_t _t5_temp_array_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(8);
  flick_khazana_check_span(8, _flick_abort42);
  flick_khazana_decode_new_chunk(8);
  flick_cdr_swap_decode_signed32(0, _data->value, int );
  flick_cdr_swap_decode_unsigned32(4, _t5_temp_array_len, flick_unsigned32_t );
  flick_khazana_decode_end_chunk(8);
  if (_t5_temp_array_len)
    {
      {
        struct int_node *_t_alloc_ptr;

        _t_alloc_ptr = (struct int_node *)(sun_flick_alloc(sizeof(struct int_node )));
        if (!_t_alloc_ptr)
          flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort48);
        _data->next = _t_alloc_ptr;
      }
      flick_khazana_decode_end_glob(8);
      if (flick_unmarshal_stub_int_node_swap(_stream, _data->next))
        goto _flick_abort49;
      goto _flick_label11;
      {
      _flick_abort49:
        sun_flick_free(_data->next);
      _flick_abort48:
        goto _flick_abort42;
      }
    }
  else
    {
      _data->next = 0;
      flick_khazana_decode_end_glob(8);
      goto _flick_label11;
      {
        goto _flick_abort42;
      }
    }
_flick_label11:
  ;
  return 0;
  {
  _flick_abort42:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

flick_operation_success_t prog_2(FLICK_TARGET _this_obj, flick_msg_t _in_msg, flick_msg_t *_out_msg)
{
  FLICK_BUFFER *_stream;
  flick_khazana_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    signed int _t30_switch_tag;

    flick_khazana_decode_new_glob(8);
    flick_khazana_check_span(8, _flick_abort54);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_swap_decode_signed32(0, _t30_switch_tag, signed int );
    flick_khazana_decode_end_chunk(4);
    switch ((signed int )_t30_switch_tag)
      {
      case (signed int) 1:
        {
          {
            struct svc_req *_obj;
            unsigned int _t31_principal_len;
            int_list *_return;
            int_list *_local_arg;
            int_list _t32_storage;
            flick_unsigned32_t _t33_temp_array_len;

            flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort130);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t31_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t31_principal_len, _flick_abort130);
            flick_khazana_decode_new_glob(_t31_principal_len);
            flick_khazana_decode_new_chunk(_t31_principal_len);
            flick_khazana_decode_end_chunk(_t31_principal_len);
            flick_khazana_decode_end_glob(_t31_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (int_list *)(&_t32_storage);
            flick_khazana_decode_new_glob(11);
            flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
            flick_khazana_check_span(4, _flick_abort130);
            flick_cdr_swap_decode_unsigned32(0, _t33_temp_array_len, flick_unsigned32_t );
            flick_khazana_decode_end_chunk(4);
            if (_t33_temp_array_len)
              {
                struct int_node _t35_storage;

                *_local_arg = (struct int_node *)(&_t35_storage);
                flick_khazana_check_span(4, _flick_abort134);
                flick_khazana_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, (*_local_arg)->value, int );
                flick_khazana_decode_end_chunk(4);
                flick_khazana_decode_end_glob(11);
                if (flick_unmarshal_stub_int_list_swap(_stream, &(*_local_arg)->next))
                  goto _flick_abort134;
                goto _flick_label31;
                {
                _flick_abort134:
                  goto _flick_abort130;
                }
              }
            else
              {
                *_local_arg = 0;
                flick_khazana_decode_end_glob(11);
                goto _flick_label31;
              }
          _flick_label31:
            ;
            flick_khazana_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op_2(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort130);
              flick_khazana_encode_new_glob(12, _flick_abort130);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_khazana_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    flick_unsigned32_t _t37_temp_array_len;

                    flick_sun_ptr_not_nil(struct int_node *, *_return, flick_unsigned32_t , _t37_temp_array_len);

                    /* Begin encode phase on parameters */
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_unsigned32(0, _t37_temp_array_len, flick_unsigned32_t );
                    flick_khazana_encode_end_chunk(4);
                    if (_t37_temp_array_len)
                      {
                        flick_khazana_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, (*_return)->value, int );
                        flick_khazana_encode_end_chunk(4);
                        flick_khazana_encode_end_glob(12);
                        if (flick_marshal_stub_int_list(_stream, &(*_return)->next))
                          goto _flick_abort149;
                        goto _flick_label35;
                        {
                        _flick_abort149:
                          goto _flick_abort145;
                        }
                      }
                    else
                      {
                        flick_khazana_encode_end_glob(12);
                        goto _flick_label35;
                      }
                  _flick_label35:
                    ;
                    break;
                    {
                    _flick_abort145:
                      goto _flick_abort130;
                    }
                  }
                case -1:
                  {
                    flick_khazana_encode_end_glob(12);
                    flick_sun_encode_system_exception(flick_errno, cdr, khazana, _flick_abort151);
                    break;
                    {
                    _flick_abort151:
                      goto _flick_abort130;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort152);
                    flick_khazana_encode_end_glob(12);
                    break;
                    {
                    _flick_abort152:
                      goto _flick_abort130;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort130:
              goto _flick_abort129;
            }
          }
          break;
          {
          _flick_abort129:
            goto _flick_abort54;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort54);
          flick_khazana_decode_end_glob(8);
          break;
        }
      }
  }
  } else {
  {
    signed int _t14_switch_tag;

    flick_khazana_decode_new_glob(8);
    flick_khazana_check_span(8, _flick_abort54);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t14_switch_tag, signed int );
    flick_khazana_decode_end_chunk(4);
    switch ((signed int )_t14_switch_tag)
      {
      case (signed int) 1:
        {
          {
            struct svc_req *_obj;
            unsigned int _t15_principal_len;
            int_list *_return;
            int_list *_local_arg;
            int_list _t16_storage;
            flick_unsigned32_t _t17_temp_array_len;

            flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort81);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t15_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t15_principal_len, _flick_abort81);
            flick_khazana_decode_new_glob(_t15_principal_len);
            flick_khazana_decode_new_chunk(_t15_principal_len);
            flick_khazana_decode_end_chunk(_t15_principal_len);
            flick_khazana_decode_end_glob(_t15_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (int_list *)(&_t16_storage);
            flick_khazana_decode_new_glob(11);
            flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
            flick_khazana_check_span(4, _flick_abort81);
            flick_cdr_decode_unsigned32(0, _t17_temp_array_len, flick_unsigned32_t );
            flick_khazana_decode_end_chunk(4);
            if (_t17_temp_array_len)
              {
                struct int_node _t19_storage;

                *_local_arg = (struct int_node *)(&_t19_storage);
                flick_khazana_check_span(4, _flick_abort85);
                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_signed32(0, (*_local_arg)->value, int );
                flick_khazana_decode_end_chunk(4);
                flick_khazana_decode_end_glob(11);
                if (flick_unmarshal_stub_int_list(_stream, &(*_local_arg)->next))
                  goto _flick_abort85;
                goto _flick_label19;
                {
                _flick_abort85:
                  goto _flick_abort81;
                }
              }
            else
              {
                *_local_arg = 0;
                flick_khazana_decode_end_glob(11);
                goto _flick_label19;
              }
          _flick_label19:
            ;
            flick_khazana_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op_2(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort81);
              flick_khazana_encode_new_glob(12, _flick_abort81);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_khazana_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    flick_unsigned32_t _t21_temp_array_len;

                    flick_sun_ptr_not_nil(struct int_node *, *_return, flick_unsigned32_t , _t21_temp_array_len);

                    /* Begin encode phase on parameters */
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_unsigned32(0, _t21_temp_array_len, flick_unsigned32_t );
                    flick_khazana_encode_end_chunk(4);
                    if (_t21_temp_array_len)
                      {
                        flick_khazana_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, (*_return)->value, int );
                        flick_khazana_encode_end_chunk(4);
                        flick_khazana_encode_end_glob(12);
                        if (flick_marshal_stub_int_list(_stream, &(*_return)->next))
                          goto _flick_abort100;
                        goto _flick_label23;
                        {
                        _flick_abort100:
                          goto _flick_abort96;
                        }
                      }
                    else
                      {
                        flick_khazana_encode_end_glob(12);
                        goto _flick_label23;
                      }
                  _flick_label23:
                    ;
                    break;
                    {
                    _flick_abort96:
                      goto _flick_abort81;
                    }
                  }
                case -1:
                  {
                    flick_khazana_encode_end_glob(12);
                    flick_sun_encode_system_exception(flick_errno, cdr, khazana, _flick_abort102);
                    break;
                    {
                    _flick_abort102:
                      goto _flick_abort81;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort103);
                    flick_khazana_encode_end_glob(12);
                    break;
                    {
                    _flick_abort103:
                      goto _flick_abort81;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort81:
              goto _flick_abort80;
            }
          }
          break;
          {
          _flick_abort80:
            goto _flick_abort54;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort54);
          flick_khazana_decode_end_glob(8);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort54:
    flick_sun_server_error(cdr, khazana, _flick_reaper, _flick_abort53);
  _flick_abort53:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

