#include "program-2-server.h"

/* This is the runtime type information */
char *flick_interface_parents_PROGNAME[] = {
	"IDL:PROGNAME:1.0",
	0
};

char *flick_interface_parents_VERSNAME[] = {
	"IDL:VERSNAME:1.0",
	"IDL:PROGNAME:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
int flick_marshal_stub_parm(flick_marshal_stream_t _stream, struct parm *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(4, _flick_abort0);
  flick_khazana_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->data.data_len, unsigned int );
  flick_khazana_encode_end_chunk(4);
  flick_khazana_encode_end_glob(4);
  flick_khazana_encode_new_glob(4 * _data->data.data_len, _flick_abort0);
  if (_data->data.data_len > 100000)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort0);
  flick_khazana_encode_new_chunk(4 * _data->data.data_len);
  flick_cdr_encode_bcopy(0, _data->data.data_val, 4 * _data->data.data_len);
  flick_khazana_encode_end_chunk(4 * _data->data.data_len);
  flick_khazana_encode_end_glob(4 * _data->data.data_len);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_parm(flick_marshal_stream_t _stream, struct parm *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort3);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->data.data_len, unsigned int );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  flick_khazana_decode_new_glob(4 * _data->data.data_len);
  if (_data->data.data_len > 100000)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort3);
  flick_khazana_check_span(4 * _data->data.data_len, _flick_abort3);
  flick_khazana_decode_new_chunk(4 * _data->data.data_len);
  {
    int *_t_alloc_ptr;

    _t_alloc_ptr = (int *)(sun_flick_alloc(_data->data.data_len * sizeof(int )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort3);
    _data->data.data_val = _t_alloc_ptr;
  }
  flick_cdr_decode_bcopy(0, _data->data.data_val, 4 * _data->data.data_len);
  flick_khazana_decode_end_chunk(4 * _data->data.data_len);
  flick_khazana_decode_end_glob(4 * _data->data.data_len);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_parm_swap(flick_marshal_stream_t _stream, struct parm *_data)
{
  unsigned int _t0_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort7);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->data.data_len, unsigned int );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  flick_khazana_decode_new_glob(4 * _data->data.data_len);
  if (_data->data.data_len > 100000)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort7);
  {
    int *_t_alloc_ptr;

    _t_alloc_ptr = (int *)(sun_flick_alloc(_data->data.data_len * sizeof(int )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort7);
    _data->data.data_val = _t_alloc_ptr;
  }
  flick_khazana_check_span(_data->data.data_len * 4, _flick_abort11);
  for (_t0_array_iter = 0; _t0_array_iter < _data->data.data_len; _t0_array_iter++)
    {
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->data.data_val[_t0_array_iter], int );
      flick_khazana_decode_end_chunk(4);
      continue;
    }
  flick_khazana_decode_end_glob(4 * _data->data.data_len);
  return 0;
  {
  _flick_abort11:
    sun_flick_free(_data->data.data_val);
  _flick_abort7:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

flick_operation_success_t progname_1(FLICK_TARGET _this_obj, flick_msg_t _in_msg, flick_msg_t *_out_msg)
{
  FLICK_BUFFER *_stream;
  flick_khazana_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    signed int _t11_switch_tag;

    flick_khazana_decode_new_glob(8);
    flick_khazana_check_span(8, _flick_abort16);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_swap_decode_signed32(0, _t11_switch_tag, signed int );
    flick_khazana_decode_end_chunk(4);
    switch ((signed int )_t11_switch_tag)
      {
      case (signed int) 10:
        {
          {
            struct svc_req *_obj;
            unsigned int _t12_principal_len;
            int *_return;
            struct parm *_local_arg;
            struct parm _t13_storage;
            unsigned int _t14_array_iter;

            flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort57);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t12_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t12_principal_len, _flick_abort57);
            flick_khazana_decode_new_glob(_t12_principal_len);
            flick_khazana_decode_new_chunk(_t12_principal_len);
            flick_khazana_decode_end_chunk(_t12_principal_len);
            flick_khazana_decode_end_glob(_t12_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (struct parm *)(&_t13_storage);
            flick_khazana_decode_new_glob(7);
            flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
            flick_khazana_check_span(4, _flick_abort57);
            flick_cdr_swap_decode_unsigned32(0, _local_arg->data.data_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(7);
            flick_khazana_decode_new_glob(4 * _local_arg->data.data_len);
            if (_local_arg->data.data_len > 100000)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort57);
            {
              int *_t_alloc_ptr;

              _t_alloc_ptr = (int *)(auto_flick_alloc(_local_arg->data.data_len * sizeof(int )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort57);
              _local_arg->data.data_val = _t_alloc_ptr;
            }
            flick_khazana_check_span(_local_arg->data.data_len * 4, _flick_abort61);
            for (_t14_array_iter = 0; _t14_array_iter < _local_arg->data.data_len; _t14_array_iter++)
              {
                flick_khazana_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, _local_arg->data.data_val[_t14_array_iter], int );
                flick_khazana_decode_end_chunk(4);
                continue;
              }
            flick_khazana_decode_end_glob(4 * _local_arg->data.data_len);
            flick_khazana_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op_1(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort61);
              flick_khazana_encode_new_glob(8, _flick_abort61);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_khazana_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_return, int );
                    flick_khazana_encode_end_chunk(4);
                    flick_khazana_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_khazana_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, khazana, _flick_abort69);
                    break;
                    {
                    _flick_abort69:
                      goto _flick_abort61;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort70);
                    flick_khazana_encode_end_glob(8);
                    break;
                    {
                    _flick_abort70:
                      goto _flick_abort61;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort61:
              auto_flick_free(_local_arg->data.data_val);
            _flick_abort57:
              goto _flick_abort56;
            }
          }
          break;
          {
          _flick_abort56:
            goto _flick_abort16;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort16);
          flick_khazana_decode_end_glob(8);
          break;
        }
      }
  }
  } else {
  {
    signed int _t4_switch_tag;

    flick_khazana_decode_new_glob(8);
    flick_khazana_check_span(8, _flick_abort16);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t4_switch_tag, signed int );
    flick_khazana_decode_end_chunk(4);
    switch ((signed int )_t4_switch_tag)
      {
      case (signed int) 10:
        {
          {
            struct svc_req *_obj;
            unsigned int _t5_principal_len;
            int *_return;
            struct parm *_local_arg;
            struct parm _t6_storage;

            flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort30);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t5_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t5_principal_len, _flick_abort30);
            flick_khazana_decode_new_glob(_t5_principal_len);
            flick_khazana_decode_new_chunk(_t5_principal_len);
            flick_khazana_decode_end_chunk(_t5_principal_len);
            flick_khazana_decode_end_glob(_t5_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (struct parm *)(&_t6_storage);
            flick_khazana_decode_new_glob(7);
            flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
            flick_khazana_check_span(4, _flick_abort30);
            flick_cdr_decode_unsigned32(0, _local_arg->data.data_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(7);
            flick_khazana_decode_new_glob(4 * _local_arg->data.data_len);
            if (_local_arg->data.data_len > 100000)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort30);
            flick_khazana_check_span(4 * _local_arg->data.data_len, _flick_abort30);
            flick_khazana_decode_new_chunk(4 * _local_arg->data.data_len);
            flick_cdr_decode_msgptr(0, _local_arg->data.data_val, int *);
            flick_khazana_decode_end_chunk(4 * _local_arg->data.data_len);
            flick_khazana_decode_end_glob(4 * _local_arg->data.data_len);
            flick_khazana_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op_1(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort30);
              flick_khazana_encode_new_glob(8, _flick_abort30);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_khazana_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_return, int );
                    flick_khazana_encode_end_chunk(4);
                    flick_khazana_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_khazana_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, khazana, _flick_abort38);
                    break;
                    {
                    _flick_abort38:
                      goto _flick_abort30;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort39);
                    flick_khazana_encode_end_glob(8);
                    break;
                    {
                    _flick_abort39:
                      goto _flick_abort30;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort30:
              goto _flick_abort29;
            }
          }
          break;
          {
          _flick_abort29:
            goto _flick_abort16;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort16);
          flick_khazana_decode_end_glob(8);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort16:
    flick_sun_server_error(cdr, khazana, _flick_reaper, _flick_abort15);
  _flick_abort15:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

