#include "program-6-server.h"

/* This is the runtime type information */
char *flick_interface_parents_MATH[] = {
	"IDL:MATH:1.0",
	0
};

char *flick_interface_parents_ONE[] = {
	"IDL:ONE:1.0",
	"IDL:MATH:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
int flick_marshal_stub_sa(flick_marshal_stream_t _stream, struct sa *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(8, _flick_abort0);
  flick_khazana_encode_new_chunk(8);
  flick_cdr_encode_signed32(0, _data->a, int );
  flick_cdr_encode_signed32(4, _data->b, int );
  flick_khazana_encode_end_chunk(8);
  flick_khazana_encode_end_glob(8);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_sa(flick_marshal_stream_t _stream, struct sa *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(8);
  flick_khazana_check_span(8, _flick_abort1);
  flick_khazana_decode_new_chunk(8);
  flick_cdr_decode_signed32(0, _data->a, int );
  flick_cdr_decode_signed32(4, _data->b, int );
  flick_khazana_decode_end_chunk(8);
  flick_khazana_decode_end_glob(8);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_sa_swap(flick_marshal_stream_t _stream, struct sa *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(8);
  flick_khazana_check_span(8, _flick_abort2);
  flick_khazana_decode_new_chunk(8);
  flick_cdr_swap_decode_signed32(0, _data->a, int );
  flick_cdr_swap_decode_signed32(4, _data->b, int );
  flick_khazana_decode_end_chunk(8);
  flick_khazana_decode_end_glob(8);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_sb(flick_marshal_stream_t _stream, struct sb *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(16, _flick_abort3);
  flick_khazana_encode_new_chunk(16);
  flick_cdr_encode_signed32(0, _data->a.a, int );
  flick_cdr_encode_signed32(4, _data->a.b, int );
  flick_cdr_encode_signed32(8, _data->b.a, int );
  flick_cdr_encode_signed32(12, _data->b.b, int );
  flick_khazana_encode_end_chunk(16);
  flick_khazana_encode_end_glob(16);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_sb(flick_marshal_stream_t _stream, struct sb *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(16);
  flick_khazana_check_span(16, _flick_abort4);
  flick_khazana_decode_new_chunk(16);
  flick_cdr_decode_signed32(0, _data->a.a, int );
  flick_cdr_decode_signed32(4, _data->a.b, int );
  flick_cdr_decode_signed32(8, _data->b.a, int );
  flick_cdr_decode_signed32(12, _data->b.b, int );
  flick_khazana_decode_end_chunk(16);
  flick_khazana_decode_end_glob(16);
  return 0;
  {
  _flick_abort4:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_sb_swap(flick_marshal_stream_t _stream, struct sb *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(16);
  flick_khazana_check_span(16, _flick_abort5);
  flick_khazana_decode_new_chunk(16);
  flick_cdr_swap_decode_signed32(0, _data->a.a, int );
  flick_cdr_swap_decode_signed32(4, _data->a.b, int );
  flick_cdr_swap_decode_signed32(8, _data->b.a, int );
  flick_cdr_swap_decode_signed32(12, _data->b.b, int );
  flick_khazana_decode_end_chunk(16);
  flick_khazana_decode_end_glob(16);
  return 0;
  {
  _flick_abort5:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_long_list(flick_marshal_stream_t _stream, long_list *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(4, _flick_abort6);
  flick_khazana_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->long_list_len, unsigned int );
  flick_khazana_encode_end_chunk(4);
  flick_khazana_encode_end_glob(4);
  flick_khazana_encode_new_glob(4 * _data->long_list_len, _flick_abort6);
  flick_khazana_encode_new_chunk(4 * _data->long_list_len);
  flick_cdr_encode_bcopy(0, _data->long_list_val, 4 * _data->long_list_len);
  flick_khazana_encode_end_chunk(4 * _data->long_list_len);
  flick_khazana_encode_end_glob(4 * _data->long_list_len);
  return 0;
  {
  _flick_abort6:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_long_list(flick_marshal_stream_t _stream, long_list *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort9);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->long_list_len, unsigned int );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  flick_khazana_decode_new_glob(4 * _data->long_list_len);
  flick_khazana_check_span(4 * _data->long_list_len, _flick_abort9);
  flick_khazana_decode_new_chunk(4 * _data->long_list_len);
  {
    int *_t_alloc_ptr;

    _t_alloc_ptr = (int *)(sun_flick_alloc(_data->long_list_len * sizeof(int )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort9);
    _data->long_list_val = _t_alloc_ptr;
  }
  flick_cdr_decode_bcopy(0, _data->long_list_val, 4 * _data->long_list_len);
  flick_khazana_decode_end_chunk(4 * _data->long_list_len);
  flick_khazana_decode_end_glob(4 * _data->long_list_len);
  return 0;
  {
  _flick_abort9:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_long_list_swap(flick_marshal_stream_t _stream, long_list *_data)
{
  unsigned int _t0_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort13);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->long_list_len, unsigned int );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  flick_khazana_decode_new_glob(4 * _data->long_list_len);
  {
    int *_t_alloc_ptr;

    _t_alloc_ptr = (int *)(sun_flick_alloc(_data->long_list_len * sizeof(int )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort13);
    _data->long_list_val = _t_alloc_ptr;
  }
  flick_khazana_check_span(_data->long_list_len * 4, _flick_abort17);
  for (_t0_array_iter = 0; _t0_array_iter < _data->long_list_len; _t0_array_iter++)
    {
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->long_list_val[_t0_array_iter], int );
      flick_khazana_decode_end_chunk(4);
      continue;
    }
  flick_khazana_decode_end_glob(4 * _data->long_list_len);
  return 0;
  {
  _flick_abort17:
    sun_flick_free(_data->long_list_val);
  _flick_abort13:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_sb_list(flick_marshal_stream_t _stream, sb_list *_data)
{
  unsigned int _t1_array_iter;

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(4, _flick_abort20);
  flick_khazana_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->sb_list_len, unsigned int );
  flick_khazana_encode_end_chunk(4);
  flick_khazana_encode_end_glob(4);
  flick_khazana_encode_new_glob(16 * _data->sb_list_len, _flick_abort20);
  for (_t1_array_iter = 0; _t1_array_iter < _data->sb_list_len; _t1_array_iter++)
    {
      flick_khazana_encode_new_chunk(16);
      flick_cdr_encode_signed32(0, _data->sb_list_val[_t1_array_iter].a.a, int );
      flick_cdr_encode_signed32(4, _data->sb_list_val[_t1_array_iter].a.b, int );
      flick_cdr_encode_signed32(8, _data->sb_list_val[_t1_array_iter].b.a, int );
      flick_cdr_encode_signed32(12, _data->sb_list_val[_t1_array_iter].b.b, int );
      flick_khazana_encode_end_chunk(16);
      continue;
    }
  flick_khazana_encode_end_glob(16 * _data->sb_list_len);
  return 0;
  {
  _flick_abort20:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_sb_list(flick_marshal_stream_t _stream, sb_list *_data)
{
  unsigned int _t2_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort26);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->sb_list_len, unsigned int );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  flick_khazana_decode_new_glob(16 * _data->sb_list_len);
  {
    struct sb *_t_alloc_ptr;

    _t_alloc_ptr = (struct sb *)(sun_flick_alloc(_data->sb_list_len * sizeof(struct sb )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort26);
    _data->sb_list_val = _t_alloc_ptr;
  }
  flick_khazana_check_span(_data->sb_list_len * 16, _flick_abort30);
  for (_t2_array_iter = 0; _t2_array_iter < _data->sb_list_len; _t2_array_iter++)
    {
      flick_khazana_decode_new_chunk(16);
      flick_cdr_decode_signed32(0, _data->sb_list_val[_t2_array_iter].a.a, int );
      flick_cdr_decode_signed32(4, _data->sb_list_val[_t2_array_iter].a.b, int );
      flick_cdr_decode_signed32(8, _data->sb_list_val[_t2_array_iter].b.a, int );
      flick_cdr_decode_signed32(12, _data->sb_list_val[_t2_array_iter].b.b, int );
      flick_khazana_decode_end_chunk(16);
      continue;
    }
  flick_khazana_decode_end_glob(16 * _data->sb_list_len);
  return 0;
  {
  _flick_abort30:
    sun_flick_free(_data->sb_list_val);
  _flick_abort26:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_sb_list_swap(flick_marshal_stream_t _stream, sb_list *_data)
{
  unsigned int _t3_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort33);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->sb_list_len, unsigned int );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  flick_khazana_decode_new_glob(16 * _data->sb_list_len);
  {
    struct sb *_t_alloc_ptr;

    _t_alloc_ptr = (struct sb *)(sun_flick_alloc(_data->sb_list_len * sizeof(struct sb )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort33);
    _data->sb_list_val = _t_alloc_ptr;
  }
  flick_khazana_check_span(_data->sb_list_len * 16, _flick_abort37);
  for (_t3_array_iter = 0; _t3_array_iter < _data->sb_list_len; _t3_array_iter++)
    {
      flick_khazana_decode_new_chunk(16);
      flick_cdr_swap_decode_signed32(0, _data->sb_list_val[_t3_array_iter].a.a, int );
      flick_cdr_swap_decode_signed32(4, _data->sb_list_val[_t3_array_iter].a.b, int );
      flick_cdr_swap_decode_signed32(8, _data->sb_list_val[_t3_array_iter].b.a, int );
      flick_cdr_swap_decode_signed32(12, _data->sb_list_val[_t3_array_iter].b.b, int );
      flick_khazana_decode_end_chunk(16);
      continue;
    }
  flick_khazana_decode_end_glob(16 * _data->sb_list_len);
  return 0;
  {
  _flick_abort37:
    sun_flick_free(_data->sb_list_val);
  _flick_abort33:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

flick_operation_success_t math_50(FLICK_TARGET _this_obj, flick_msg_t _in_msg, flick_msg_t *_out_msg)
{
  FLICK_BUFFER *_stream;
  flick_khazana_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    signed int _t23_switch_tag;

    flick_khazana_decode_new_glob(8);
    flick_khazana_check_span(8, _flick_abort42);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_swap_decode_signed32(0, _t23_switch_tag, signed int );
    flick_khazana_decode_end_chunk(4);
    switch ((signed int )_t23_switch_tag)
      {
      case (signed int) 7:
        {
          {
            struct svc_req *_obj;
            unsigned int _t24_principal_len;
            int *_return;
            long_list *_local_arg;
            long_list _t25_storage;
            unsigned int _t26_array_iter;

            flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort128);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t24_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t24_principal_len, _flick_abort128);
            flick_khazana_decode_new_glob(_t24_principal_len);
            flick_khazana_decode_new_chunk(_t24_principal_len);
            flick_khazana_decode_end_chunk(_t24_principal_len);
            flick_khazana_decode_end_glob(_t24_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (long_list *)(&_t25_storage);
            flick_khazana_decode_new_glob(7);
            flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
            flick_khazana_check_span(4, _flick_abort128);
            flick_cdr_swap_decode_unsigned32(0, _local_arg->long_list_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(7);
            flick_khazana_decode_new_glob(4 * _local_arg->long_list_len);
            {
              int *_t_alloc_ptr;

              _t_alloc_ptr = (int *)(auto_flick_alloc(_local_arg->long_list_len * sizeof(int )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort128);
              _local_arg->long_list_val = _t_alloc_ptr;
            }
            flick_khazana_check_span(_local_arg->long_list_len * 4, _flick_abort132);
            for (_t26_array_iter = 0; _t26_array_iter < _local_arg->long_list_len; _t26_array_iter++)
              {
                flick_khazana_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, _local_arg->long_list_val[_t26_array_iter], int );
                flick_khazana_decode_end_chunk(4);
                continue;
              }
            flick_khazana_decode_end_glob(4 * _local_arg->long_list_len);
            flick_khazana_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = long_test_50(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort132);
              flick_khazana_encode_new_glob(8, _flick_abort132);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_khazana_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_return, int );
                    flick_khazana_encode_end_chunk(4);
                    flick_khazana_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_khazana_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, khazana, _flick_abort140);
                    break;
                    {
                    _flick_abort140:
                      goto _flick_abort132;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort141);
                    flick_khazana_encode_end_glob(8);
                    break;
                    {
                    _flick_abort141:
                      goto _flick_abort132;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort132:
              auto_flick_free(_local_arg->long_list_val);
            _flick_abort128:
              goto _flick_abort127;
            }
          }
          break;
          {
          _flick_abort127:
            goto _flick_abort42;
          }
        }
      case (signed int) 8:
        {
          {
            struct svc_req *_obj;
            unsigned int _t27_principal_len;
            int *_return;
            sb_list *_local_arg;
            sb_list _t28_storage;
            unsigned int _t29_array_iter;

            flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort143);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t27_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t27_principal_len, _flick_abort143);
            flick_khazana_decode_new_glob(_t27_principal_len);
            flick_khazana_decode_new_chunk(_t27_principal_len);
            flick_khazana_decode_end_chunk(_t27_principal_len);
            flick_khazana_decode_end_glob(_t27_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (sb_list *)(&_t28_storage);
            flick_khazana_decode_new_glob(7);
            flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
            flick_khazana_check_span(4, _flick_abort143);
            flick_cdr_swap_decode_unsigned32(0, _local_arg->sb_list_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(7);
            flick_khazana_decode_new_glob(16 * _local_arg->sb_list_len);
            {
              struct sb *_t_alloc_ptr;

              _t_alloc_ptr = (struct sb *)(auto_flick_alloc(_local_arg->sb_list_len * sizeof(struct sb )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort143);
              _local_arg->sb_list_val = _t_alloc_ptr;
            }
            flick_khazana_check_span(_local_arg->sb_list_len * 16, _flick_abort147);
            for (_t29_array_iter = 0; _t29_array_iter < _local_arg->sb_list_len; _t29_array_iter++)
              {
                flick_khazana_decode_new_chunk(16);
                flick_cdr_swap_decode_signed32(0, _local_arg->sb_list_val[_t29_array_iter].a.a, int );
                flick_cdr_swap_decode_signed32(4, _local_arg->sb_list_val[_t29_array_iter].a.b, int );
                flick_cdr_swap_decode_signed32(8, _local_arg->sb_list_val[_t29_array_iter].b.a, int );
                flick_cdr_swap_decode_signed32(12, _local_arg->sb_list_val[_t29_array_iter].b.b, int );
                flick_khazana_decode_end_chunk(16);
                continue;
              }
            flick_khazana_decode_end_glob(16 * _local_arg->sb_list_len);
            flick_khazana_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = sb_test_50(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort147);
              flick_khazana_encode_new_glob(8, _flick_abort147);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_khazana_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_return, int );
                    flick_khazana_encode_end_chunk(4);
                    flick_khazana_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_khazana_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, khazana, _flick_abort155);
                    break;
                    {
                    _flick_abort155:
                      goto _flick_abort147;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort156);
                    flick_khazana_encode_end_glob(8);
                    break;
                    {
                    _flick_abort156:
                      goto _flick_abort147;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort147:
              auto_flick_free(_local_arg->sb_list_val);
            _flick_abort143:
              goto _flick_abort142;
            }
          }
          break;
          {
          _flick_abort142:
            goto _flick_abort42;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort42);
          flick_khazana_decode_end_glob(8);
          break;
        }
      }
  }
  } else {
  {
    signed int _t10_switch_tag;

    flick_khazana_decode_new_glob(8);
    flick_khazana_check_span(8, _flick_abort42);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t10_switch_tag, signed int );
    flick_khazana_decode_end_chunk(4);
    switch ((signed int )_t10_switch_tag)
      {
      case (signed int) 7:
        {
          {
            struct svc_req *_obj;
            unsigned int _t11_principal_len;
            int *_return;
            long_list *_local_arg;
            long_list _t12_storage;

            flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort71);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t11_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t11_principal_len, _flick_abort71);
            flick_khazana_decode_new_glob(_t11_principal_len);
            flick_khazana_decode_new_chunk(_t11_principal_len);
            flick_khazana_decode_end_chunk(_t11_principal_len);
            flick_khazana_decode_end_glob(_t11_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (long_list *)(&_t12_storage);
            flick_khazana_decode_new_glob(7);
            flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
            flick_khazana_check_span(4, _flick_abort71);
            flick_cdr_decode_unsigned32(0, _local_arg->long_list_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(7);
            flick_khazana_decode_new_glob(4 * _local_arg->long_list_len);
            flick_khazana_check_span(4 * _local_arg->long_list_len, _flick_abort71);
            flick_khazana_decode_new_chunk(4 * _local_arg->long_list_len);
            flick_cdr_decode_msgptr(0, _local_arg->long_list_val, int *);
            flick_khazana_decode_end_chunk(4 * _local_arg->long_list_len);
            flick_khazana_decode_end_glob(4 * _local_arg->long_list_len);
            flick_khazana_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = long_test_50(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort71);
              flick_khazana_encode_new_glob(8, _flick_abort71);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_khazana_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_return, int );
                    flick_khazana_encode_end_chunk(4);
                    flick_khazana_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_khazana_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, khazana, _flick_abort79);
                    break;
                    {
                    _flick_abort79:
                      goto _flick_abort71;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort80);
                    flick_khazana_encode_end_glob(8);
                    break;
                    {
                    _flick_abort80:
                      goto _flick_abort71;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort71:
              goto _flick_abort70;
            }
          }
          break;
          {
          _flick_abort70:
            goto _flick_abort42;
          }
        }
      case (signed int) 8:
        {
          {
            struct svc_req *_obj;
            unsigned int _t13_principal_len;
            int *_return;
            sb_list *_local_arg;
            sb_list _t14_storage;
            unsigned int _t15_array_iter;

            flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort82);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t13_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t13_principal_len, _flick_abort82);
            flick_khazana_decode_new_glob(_t13_principal_len);
            flick_khazana_decode_new_chunk(_t13_principal_len);
            flick_khazana_decode_end_chunk(_t13_principal_len);
            flick_khazana_decode_end_glob(_t13_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (sb_list *)(&_t14_storage);
            flick_khazana_decode_new_glob(7);
            flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
            flick_khazana_check_span(4, _flick_abort82);
            flick_cdr_decode_unsigned32(0, _local_arg->sb_list_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(7);
            flick_khazana_decode_new_glob(16 * _local_arg->sb_list_len);
            {
              struct sb *_t_alloc_ptr;

              _t_alloc_ptr = (struct sb *)(auto_flick_alloc(_local_arg->sb_list_len * sizeof(struct sb )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort82);
              _local_arg->sb_list_val = _t_alloc_ptr;
            }
            flick_khazana_check_span(_local_arg->sb_list_len * 16, _flick_abort86);
            for (_t15_array_iter = 0; _t15_array_iter < _local_arg->sb_list_len; _t15_array_iter++)
              {
                flick_khazana_decode_new_chunk(16);
                flick_cdr_decode_signed32(0, _local_arg->sb_list_val[_t15_array_iter].a.a, int );
                flick_cdr_decode_signed32(4, _local_arg->sb_list_val[_t15_array_iter].a.b, int );
                flick_cdr_decode_signed32(8, _local_arg->sb_list_val[_t15_array_iter].b.a, int );
                flick_cdr_decode_signed32(12, _local_arg->sb_list_val[_t15_array_iter].b.b, int );
                flick_khazana_decode_end_chunk(16);
                continue;
              }
            flick_khazana_decode_end_glob(16 * _local_arg->sb_list_len);
            flick_khazana_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = sb_test_50(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort86);
              flick_khazana_encode_new_glob(8, _flick_abort86);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_khazana_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_return, int );
                    flick_khazana_encode_end_chunk(4);
                    flick_khazana_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_khazana_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, khazana, _flick_abort94);
                    break;
                    {
                    _flick_abort94:
                      goto _flick_abort86;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort95);
                    flick_khazana_encode_end_glob(8);
                    break;
                    {
                    _flick_abort95:
                      goto _flick_abort86;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort86:
              auto_flick_free(_local_arg->sb_list_val);
            _flick_abort82:
              goto _flick_abort81;
            }
          }
          break;
          {
          _flick_abort81:
            goto _flick_abort42;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort42);
          flick_khazana_decode_end_glob(8);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort42:
    flick_sun_server_error(cdr, khazana, _flick_reaper, _flick_abort41);
  _flick_abort41:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

