#include "struct-server.h"

/* This is the runtime type information */
char *flick_interface_parents_foo[] = {
	"IDL:foo:1.0",
	0
};

char *flick_interface_parents_foo2[] = {
	"IDL:foo2:1.0",
	"IDL:foo:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
int flick_marshal_stub_bar(flick_marshal_stream_t _stream, struct bar *_data)
{
  flick_unsigned32_t _t0_temp_string_len;

  flick_cdr_stringlen(CORBA_char *, _data->b3, flick_unsigned32_t , _t0_temp_string_len);

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(33, _flick_abort0);
  flick_khazana_encode_new_chunk(12 + 1 * _t0_temp_string_len);
  flick_cdr_encode_signed32(0, _data->b1, CORBA_long );
  flick_cdr_encode_signed32(4, _data->b2, CORBA_long );
  flick_cdr_encode_unsigned32(8, _t0_temp_string_len, flick_unsigned32_t );
  if (_t0_temp_string_len > 21)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort0);
  flick_cdr_encode_bcopy(12, _data->b3, 1 * _t0_temp_string_len);
  CORBA_flick_free(_data->b3);
  flick_khazana_encode_end_chunk(12 + 1 * _t0_temp_string_len);
  flick_khazana_encode_end_glob(33);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_bar(flick_marshal_stream_t _stream, struct bar *_data)
{
  flick_unsigned32_t _t1_temp_string_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(33);
  flick_khazana_check_span(12, _flick_abort3);
  flick_khazana_decode_new_chunk(12);
  flick_cdr_decode_signed32(0, _data->b1, CORBA_long );
  flick_cdr_decode_signed32(4, _data->b2, CORBA_long );
  flick_cdr_decode_unsigned32(8, _t1_temp_string_len, flick_unsigned32_t );
  if (_t1_temp_string_len > 21)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort3);
  flick_khazana_decode_end_chunk(12);
  flick_khazana_check_span(1 * _t1_temp_string_len, _flick_abort3);
  flick_khazana_decode_new_chunk(1 * _t1_temp_string_len);
  {
    CORBA_char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(21 * sizeof(CORBA_char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort3);
    _data->b3 = _t_alloc_ptr;
  }
  flick_cdr_decode_bcopy(0, _data->b3, 1 * _t1_temp_string_len);
  flick_khazana_decode_end_chunk(1 * _t1_temp_string_len);
  flick_khazana_decode_end_glob(33);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_bar_swap(flick_marshal_stream_t _stream, struct bar *_data)
{
  flick_unsigned32_t _t2_temp_string_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(33);
  flick_khazana_check_span(12, _flick_abort7);
  flick_khazana_decode_new_chunk(12);
  flick_cdr_swap_decode_signed32(0, _data->b1, CORBA_long );
  flick_cdr_swap_decode_signed32(4, _data->b2, CORBA_long );
  flick_cdr_swap_decode_unsigned32(8, _t2_temp_string_len, flick_unsigned32_t );
  if (_t2_temp_string_len > 21)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort7);
  flick_khazana_decode_end_chunk(12);
  flick_khazana_check_span(1 * _t2_temp_string_len, _flick_abort7);
  flick_khazana_decode_new_chunk(1 * _t2_temp_string_len);
  {
    CORBA_char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(21 * sizeof(CORBA_char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort7);
    _data->b3 = _t_alloc_ptr;
  }
  flick_cdr_swap_decode_bcopy(0, _data->b3, 1 * _t2_temp_string_len);
  flick_khazana_decode_end_chunk(1 * _t2_temp_string_len);
  flick_khazana_decode_end_glob(33);
  return 0;
  {
  _flick_abort7:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_bar2(flick_marshal_stream_t _stream, struct bar2 *_data)
{
  flick_unsigned32_t _t3_temp_string_len;

  flick_cdr_stringlen(CORBA_char *, _data->b4.b3, flick_unsigned32_t , _t3_temp_string_len);

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(37, _flick_abort11);
  flick_khazana_encode_new_chunk(16 + 1 * _t3_temp_string_len);
  flick_cdr_encode_signed32(0, _data->b3, CORBA_long );
  flick_cdr_encode_signed32(4, _data->b4.b1, CORBA_long );
  flick_cdr_encode_signed32(8, _data->b4.b2, CORBA_long );
  flick_cdr_encode_unsigned32(12, _t3_temp_string_len, flick_unsigned32_t );
  if (_t3_temp_string_len > 21)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort11);
  flick_cdr_encode_bcopy(16, _data->b4.b3, 1 * _t3_temp_string_len);
  CORBA_flick_free(_data->b4.b3);
  flick_khazana_encode_end_chunk(16 + 1 * _t3_temp_string_len);
  flick_khazana_encode_end_glob(37);
  return 0;
  {
  _flick_abort11:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_bar2(flick_marshal_stream_t _stream, struct bar2 *_data)
{
  flick_unsigned32_t _t4_temp_string_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(37);
  flick_khazana_check_span(16, _flick_abort14);
  flick_khazana_decode_new_chunk(16);
  flick_cdr_decode_signed32(0, _data->b3, CORBA_long );
  flick_cdr_decode_signed32(4, _data->b4.b1, CORBA_long );
  flick_cdr_decode_signed32(8, _data->b4.b2, CORBA_long );
  flick_cdr_decode_unsigned32(12, _t4_temp_string_len, flick_unsigned32_t );
  if (_t4_temp_string_len > 21)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort14);
  flick_khazana_decode_end_chunk(16);
  flick_khazana_check_span(1 * _t4_temp_string_len, _flick_abort14);
  flick_khazana_decode_new_chunk(1 * _t4_temp_string_len);
  {
    CORBA_char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(21 * sizeof(CORBA_char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort14);
    _data->b4.b3 = _t_alloc_ptr;
  }
  flick_cdr_decode_bcopy(0, _data->b4.b3, 1 * _t4_temp_string_len);
  flick_khazana_decode_end_chunk(1 * _t4_temp_string_len);
  flick_khazana_decode_end_glob(37);
  return 0;
  {
  _flick_abort14:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_bar2_swap(flick_marshal_stream_t _stream, struct bar2 *_data)
{
  flick_unsigned32_t _t5_temp_string_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(37);
  flick_khazana_check_span(16, _flick_abort18);
  flick_khazana_decode_new_chunk(16);
  flick_cdr_swap_decode_signed32(0, _data->b3, CORBA_long );
  flick_cdr_swap_decode_signed32(4, _data->b4.b1, CORBA_long );
  flick_cdr_swap_decode_signed32(8, _data->b4.b2, CORBA_long );
  flick_cdr_swap_decode_unsigned32(12, _t5_temp_string_len, flick_unsigned32_t );
  if (_t5_temp_string_len > 21)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort18);
  flick_khazana_decode_end_chunk(16);
  flick_khazana_check_span(1 * _t5_temp_string_len, _flick_abort18);
  flick_khazana_decode_new_chunk(1 * _t5_temp_string_len);
  {
    CORBA_char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(21 * sizeof(CORBA_char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort18);
    _data->b4.b3 = _t_alloc_ptr;
  }
  flick_cdr_swap_decode_bcopy(0, _data->b4.b3, 1 * _t5_temp_string_len);
  flick_khazana_decode_end_chunk(1 * _t5_temp_string_len);
  flick_khazana_decode_end_glob(37);
  return 0;
  {
  _flick_abort18:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_bar3(flick_marshal_stream_t _stream, struct bar3 *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(12, _flick_abort22);
  flick_khazana_encode_new_chunk(12);
  flick_cdr_encode_signed32(0, _data->b1, CORBA_long );
  flick_cdr_encode_signed32(4, _data->b2, CORBA_long );
  flick_cdr_encode_signed32(8, _data->b3, CORBA_long );
  flick_khazana_encode_end_chunk(12);
  flick_khazana_encode_end_glob(12);
  return 0;
  {
  _flick_abort22:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_bar3(flick_marshal_stream_t _stream, struct bar3 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(12);
  flick_khazana_check_span(12, _flick_abort23);
  flick_khazana_decode_new_chunk(12);
  flick_cdr_decode_signed32(0, _data->b1, CORBA_long );
  flick_cdr_decode_signed32(4, _data->b2, CORBA_long );
  flick_cdr_decode_signed32(8, _data->b3, CORBA_long );
  flick_khazana_decode_end_chunk(12);
  flick_khazana_decode_end_glob(12);
  return 0;
  {
  _flick_abort23:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_bar3_swap(flick_marshal_stream_t _stream, struct bar3 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(12);
  flick_khazana_check_span(12, _flick_abort24);
  flick_khazana_decode_new_chunk(12);
  flick_cdr_swap_decode_signed32(0, _data->b1, CORBA_long );
  flick_cdr_swap_decode_signed32(4, _data->b2, CORBA_long );
  flick_cdr_swap_decode_signed32(8, _data->b3, CORBA_long );
  flick_khazana_decode_end_chunk(12);
  flick_khazana_decode_end_glob(12);
  return 0;
  {
  _flick_abort24:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_bar4(flick_marshal_stream_t _stream, struct bar4 *_data)
{
  flick_unsigned32_t _t6_temp_string_len;

  flick_cdr_stringlen(CORBA_char *, _data->b2.b4.b3, flick_unsigned32_t , _t6_temp_string_len);

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(64, _flick_abort25);
  flick_khazana_encode_new_chunk(20 + 1 * _t6_temp_string_len);
  flick_cdr_encode_signed32(0, _data->b1, CORBA_long );
  flick_cdr_encode_signed32(4, _data->b2.b3, CORBA_long );
  flick_cdr_encode_signed32(8, _data->b2.b4.b1, CORBA_long );
  flick_cdr_encode_signed32(12, _data->b2.b4.b2, CORBA_long );
  flick_cdr_encode_unsigned32(16, _t6_temp_string_len, flick_unsigned32_t );
  if (_t6_temp_string_len > 21)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort25);
  flick_cdr_encode_bcopy(20, _data->b2.b4.b3, 1 * _t6_temp_string_len);
  CORBA_flick_free(_data->b2.b4.b3);
  flick_khazana_encode_end_chunk(20 + 1 * _t6_temp_string_len);
  flick_khazana_encode_new_chunk_align(20, 2, 0, 0);
  flick_cdr_encode_signed32(0, _data->b3, CORBA_long );
  flick_cdr_encode_signed32(4, _data->b4.b1, CORBA_long );
  flick_cdr_encode_signed32(8, _data->b4.b2, CORBA_long );
  flick_cdr_encode_signed32(12, _data->b4.b3, CORBA_long );
  flick_cdr_encode_signed32(16, _data->b5, CORBA_long );
  flick_khazana_encode_end_chunk(20);
  flick_khazana_encode_end_glob(64);
  return 0;
  {
  _flick_abort25:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_bar4(flick_marshal_stream_t _stream, struct bar4 *_data)
{
  flick_unsigned32_t _t7_temp_string_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(64);
  flick_khazana_check_span(20, _flick_abort28);
  flick_khazana_decode_new_chunk(20);
  flick_cdr_decode_signed32(0, _data->b1, CORBA_long );
  flick_cdr_decode_signed32(4, _data->b2.b3, CORBA_long );
  flick_cdr_decode_signed32(8, _data->b2.b4.b1, CORBA_long );
  flick_cdr_decode_signed32(12, _data->b2.b4.b2, CORBA_long );
  flick_cdr_decode_unsigned32(16, _t7_temp_string_len, flick_unsigned32_t );
  if (_t7_temp_string_len > 21)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort28);
  flick_khazana_decode_end_chunk(20);
  flick_khazana_check_span(1 * _t7_temp_string_len, _flick_abort28);
  flick_khazana_decode_new_chunk(1 * _t7_temp_string_len);
  {
    CORBA_char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(21 * sizeof(CORBA_char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort28);
    _data->b2.b4.b3 = _t_alloc_ptr;
  }
  flick_cdr_decode_bcopy(0, _data->b2.b4.b3, 1 * _t7_temp_string_len);
  flick_khazana_decode_end_chunk(1 * _t7_temp_string_len);
  flick_khazana_decode_new_chunk_align(20, 2, 0, 0);
  flick_khazana_check_span(20, _flick_abort31);
  flick_cdr_decode_signed32(0, _data->b3, CORBA_long );
  flick_cdr_decode_signed32(4, _data->b4.b1, CORBA_long );
  flick_cdr_decode_signed32(8, _data->b4.b2, CORBA_long );
  flick_cdr_decode_signed32(12, _data->b4.b3, CORBA_long );
  flick_cdr_decode_signed32(16, _data->b5, CORBA_long );
  flick_khazana_decode_end_chunk(20);
  flick_khazana_decode_end_glob(64);
  return 0;
  {
  _flick_abort31:
    CORBA_flick_free(_data->b2.b4.b3);
  _flick_abort28:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_bar4_swap(flick_marshal_stream_t _stream, struct bar4 *_data)
{
  flick_unsigned32_t _t8_temp_string_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(64);
  flick_khazana_check_span(20, _flick_abort32);
  flick_khazana_decode_new_chunk(20);
  flick_cdr_swap_decode_signed32(0, _data->b1, CORBA_long );
  flick_cdr_swap_decode_signed32(4, _data->b2.b3, CORBA_long );
  flick_cdr_swap_decode_signed32(8, _data->b2.b4.b1, CORBA_long );
  flick_cdr_swap_decode_signed32(12, _data->b2.b4.b2, CORBA_long );
  flick_cdr_swap_decode_unsigned32(16, _t8_temp_string_len, flick_unsigned32_t );
  if (_t8_temp_string_len > 21)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort32);
  flick_khazana_decode_end_chunk(20);
  flick_khazana_check_span(1 * _t8_temp_string_len, _flick_abort32);
  flick_khazana_decode_new_chunk(1 * _t8_temp_string_len);
  {
    CORBA_char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(21 * sizeof(CORBA_char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort32);
    _data->b2.b4.b3 = _t_alloc_ptr;
  }
  flick_cdr_swap_decode_bcopy(0, _data->b2.b4.b3, 1 * _t8_temp_string_len);
  flick_khazana_decode_end_chunk(1 * _t8_temp_string_len);
  flick_khazana_decode_new_chunk_align(20, 2, 0, 0);
  flick_khazana_check_span(20, _flick_abort35);
  flick_cdr_swap_decode_signed32(0, _data->b3, CORBA_long );
  flick_cdr_swap_decode_signed32(4, _data->b4.b1, CORBA_long );
  flick_cdr_swap_decode_signed32(8, _data->b4.b2, CORBA_long );
  flick_cdr_swap_decode_signed32(12, _data->b4.b3, CORBA_long );
  flick_cdr_swap_decode_signed32(16, _data->b5, CORBA_long );
  flick_khazana_decode_end_chunk(20);
  flick_khazana_decode_end_glob(64);
  return 0;
  {
  _flick_abort35:
    CORBA_flick_free(_data->b2.b4.b3);
  _flick_abort32:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_foo(flick_marshal_stream_t _stream, foo *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdr_encode_IOR(khazana, *_data, 0, _flick_abort36);
  return 0;
  {
  _flick_abort36:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_foo(flick_marshal_stream_t _stream, foo *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_decode_IOR(khazana, *_data, 1);
  return 0;
}

int flick_unmarshal_stub_foo_swap(flick_marshal_stream_t _stream, foo *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swap_decode_IOR(khazana, *_data, 1);
  return 0;
}

flick_operation_success_t foo_server(FLICK_TARGET _this_obj, flick_msg_t _in_msg, flick_msg_t *_out_msg)
{
  FLICK_BUFFER *_stream;
  flick_khazana_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t54_switch_tag;

    flick_khazana_decode_new_glob(16);
    flick_khazana_check_span(12, _flick_abort41);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t54_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t54_switch_tag)
      {
      case (unsigned int) 3:
        {
          unsigned short int _t55_switch_tag;

          flick_khazana_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t55_switch_tag, unsigned short int );
          flick_khazana_decode_end_chunk(2);
          switch ((unsigned short int )_t55_switch_tag)
            {
            case /* op */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28528):
              {
                char _t56_switch_tag;

                flick_khazana_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t56_switch_tag, char );
                flick_khazana_decode_end_chunk(1);
                switch ((char )_t56_switch_tag)
                  {
                  case 0:
                    {
                      {
                        foo _obj;
                        unsigned int _t57_principal_len;
                        CORBA_long _return;
                        struct bar *_local_a;
                        struct bar _t58_storage;
                        flick_unsigned32_t _t59_temp_string_len;
                        struct bar2 **_local_b;
                        struct bar2 *_t60_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t61_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort123);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(5);
                        flick_cdr_swap_decode_unsigned32(1, _t57_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(5);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t57_principal_len, _flick_abort123);
                        flick_khazana_decode_new_glob(_t57_principal_len);
                        flick_khazana_decode_new_chunk(_t57_principal_len);
                        flick_khazana_decode_end_chunk(_t57_principal_len);
                        flick_khazana_decode_end_glob(_t57_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        _local_a = (struct bar *)(&_t58_storage);
                        flick_khazana_decode_new_glob(36);
                        flick_khazana_decode_new_chunk_align(12, 2, 0, 0);
                        flick_khazana_check_span(12, _flick_abort123);
                        flick_cdr_swap_decode_signed32(0, _local_a->b1, CORBA_long );
                        flick_cdr_swap_decode_signed32(4, _local_a->b2, CORBA_long );
                        flick_cdr_swap_decode_unsigned32(8, _t59_temp_string_len, flick_unsigned32_t );
                        if (_t59_temp_string_len > 21)
                          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort123);
                        flick_khazana_decode_end_chunk(12);
                        flick_khazana_check_span(1 * _t59_temp_string_len, _flick_abort123);
                        flick_khazana_decode_new_chunk(1 * _t59_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_a->b3, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t59_temp_string_len);
                        _local_b = (struct bar2 **)(&_t60_storage);
                        _ev = (CORBA_Environment *)(&_t61_storage);
                        flick_khazana_decode_end_glob(36);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = foo_op(_obj, _local_a, _local_b, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort123);
                          flick_khazana_encode_new_glob(45, _flick_abort123);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                flick_unsigned32_t _t63_temp_string_len;

                                flick_cdr_stringlen(CORBA_char *, (*_local_b)->b4.b3, flick_unsigned32_t , _t63_temp_string_len);

                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(20 + 1 * _t63_temp_string_len);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_cdr_encode_signed32(4, (*_local_b)->b3, CORBA_long );
                                flick_cdr_encode_signed32(8, (*_local_b)->b4.b1, CORBA_long );
                                flick_cdr_encode_signed32(12, (*_local_b)->b4.b2, CORBA_long );
                                flick_cdr_encode_unsigned32(16, _t63_temp_string_len, flick_unsigned32_t );
                                if (_t63_temp_string_len > 21)
                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort132);
                                flick_cdr_encode_bcopy(20, (*_local_b)->b4.b3, 1 * _t63_temp_string_len);
                                CORBA_flick_free((*_local_b)->b4.b3);
                                (*_local_b)->b4.b3 = 0;
                                flick_khazana_encode_end_chunk(20 + 1 * _t63_temp_string_len);
                                CORBA_flick_free(*_local_b);
                                *_local_b = 0;
                                flick_khazana_encode_end_glob(45);
                                break;
                                {
                                _flick_abort132:
                                  goto _flick_abort123;
                                }
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(45);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort135);
                                break;
                                {
                                _flick_abort135:
                                  goto _flick_abort123;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort136);
                                flick_khazana_encode_end_glob(45);
                                break;
                                {
                                _flick_abort136:
                                  goto _flick_abort123;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort123:
                          goto _flick_abort122;
                        }
                      }
                      break;
                      {
                      _flick_abort122:
                        goto _flick_abort41;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort41);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort41);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t64_switch_tag;

          flick_khazana_check_span(12, _flick_abort41);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t64_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t64_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t65_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t65_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t65_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t66_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t67_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t68_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort138);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t66_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t66_principal_len, _flick_abort138);
                        flick_khazana_decode_new_glob(_t66_principal_len);
                        flick_khazana_decode_new_chunk(_t66_principal_len);
                        flick_khazana_decode_end_chunk(_t66_principal_len);
                        flick_khazana_decode_end_glob(_t66_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort138);
                        flick_cdr_swap_decode_unsigned32(0, _t67_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t67_temp_string_len);
                        flick_khazana_check_span(1 * _t67_temp_string_len, _flick_abort138);
                        flick_khazana_decode_new_chunk(1 * _t67_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t67_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t67_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t68_storage);
                        _par = flick_interface_parents_foo;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort138);
                          flick_khazana_encode_new_glob(5, _flick_abort138);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort146);
                                break;
                                {
                                _flick_abort146:
                                  goto _flick_abort138;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort147);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort147:
                                  goto _flick_abort138;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort138:
                          goto _flick_abort137;
                        }
                      }
                      break;
                      {
                      _flick_abort137:
                        goto _flick_abort41;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort41);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort41);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort41);
          flick_khazana_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t24_switch_tag;

    flick_khazana_decode_new_glob(16);
    flick_khazana_check_span(12, _flick_abort41);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t24_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t24_switch_tag)
      {
      case (unsigned int) 3:
        {
          unsigned short int _t25_switch_tag;

          flick_khazana_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t25_switch_tag, unsigned short int );
          flick_khazana_decode_end_chunk(2);
          switch ((unsigned short int )_t25_switch_tag)
            {
            case /* op */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28528):
              {
                char _t26_switch_tag;

                flick_khazana_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t26_switch_tag, char );
                flick_khazana_decode_end_chunk(1);
                switch ((char )_t26_switch_tag)
                  {
                  case 0:
                    {
                      {
                        foo _obj;
                        unsigned int _t27_principal_len;
                        CORBA_long _return;
                        struct bar *_local_a;
                        struct bar _t28_storage;
                        flick_unsigned32_t _t29_temp_string_len;
                        struct bar2 **_local_b;
                        struct bar2 *_t30_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t31_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort70);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(5);
                        flick_cdr_decode_unsigned32(1, _t27_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(5);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t27_principal_len, _flick_abort70);
                        flick_khazana_decode_new_glob(_t27_principal_len);
                        flick_khazana_decode_new_chunk(_t27_principal_len);
                        flick_khazana_decode_end_chunk(_t27_principal_len);
                        flick_khazana_decode_end_glob(_t27_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        _local_a = (struct bar *)(&_t28_storage);
                        flick_khazana_decode_new_glob(36);
                        flick_khazana_decode_new_chunk_align(12, 2, 0, 0);
                        flick_khazana_check_span(12, _flick_abort70);
                        flick_cdr_decode_signed32(0, _local_a->b1, CORBA_long );
                        flick_cdr_decode_signed32(4, _local_a->b2, CORBA_long );
                        flick_cdr_decode_unsigned32(8, _t29_temp_string_len, flick_unsigned32_t );
                        if (_t29_temp_string_len > 21)
                          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort70);
                        flick_khazana_decode_end_chunk(12);
                        flick_khazana_check_span(1 * _t29_temp_string_len, _flick_abort70);
                        flick_khazana_decode_new_chunk(1 * _t29_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_a->b3, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t29_temp_string_len);
                        _local_b = (struct bar2 **)(&_t30_storage);
                        _ev = (CORBA_Environment *)(&_t31_storage);
                        flick_khazana_decode_end_glob(36);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = foo_op(_obj, _local_a, _local_b, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort70);
                          flick_khazana_encode_new_glob(45, _flick_abort70);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                flick_unsigned32_t _t33_temp_string_len;

                                flick_cdr_stringlen(CORBA_char *, (*_local_b)->b4.b3, flick_unsigned32_t , _t33_temp_string_len);

                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(20 + 1 * _t33_temp_string_len);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_cdr_encode_signed32(4, (*_local_b)->b3, CORBA_long );
                                flick_cdr_encode_signed32(8, (*_local_b)->b4.b1, CORBA_long );
                                flick_cdr_encode_signed32(12, (*_local_b)->b4.b2, CORBA_long );
                                flick_cdr_encode_unsigned32(16, _t33_temp_string_len, flick_unsigned32_t );
                                if (_t33_temp_string_len > 21)
                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort79);
                                flick_cdr_encode_bcopy(20, (*_local_b)->b4.b3, 1 * _t33_temp_string_len);
                                CORBA_flick_free((*_local_b)->b4.b3);
                                (*_local_b)->b4.b3 = 0;
                                flick_khazana_encode_end_chunk(20 + 1 * _t33_temp_string_len);
                                CORBA_flick_free(*_local_b);
                                *_local_b = 0;
                                flick_khazana_encode_end_glob(45);
                                break;
                                {
                                _flick_abort79:
                                  goto _flick_abort70;
                                }
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(45);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort82);
                                break;
                                {
                                _flick_abort82:
                                  goto _flick_abort70;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort83);
                                flick_khazana_encode_end_glob(45);
                                break;
                                {
                                _flick_abort83:
                                  goto _flick_abort70;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort70:
                          goto _flick_abort69;
                        }
                      }
                      break;
                      {
                      _flick_abort69:
                        goto _flick_abort41;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort41);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort41);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t34_switch_tag;

          flick_khazana_check_span(12, _flick_abort41);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t34_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t34_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t35_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t35_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t35_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t36_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t37_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t38_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort85);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t36_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t36_principal_len, _flick_abort85);
                        flick_khazana_decode_new_glob(_t36_principal_len);
                        flick_khazana_decode_new_chunk(_t36_principal_len);
                        flick_khazana_decode_end_chunk(_t36_principal_len);
                        flick_khazana_decode_end_glob(_t36_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort85);
                        flick_cdr_decode_unsigned32(0, _t37_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t37_temp_string_len);
                        flick_khazana_check_span(1 * _t37_temp_string_len, _flick_abort85);
                        flick_khazana_decode_new_chunk(1 * _t37_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t37_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t37_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t38_storage);
                        _par = flick_interface_parents_foo;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort85);
                          flick_khazana_encode_new_glob(5, _flick_abort85);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort93);
                                break;
                                {
                                _flick_abort93:
                                  goto _flick_abort85;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort94);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort94:
                                  goto _flick_abort85;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort85:
                          goto _flick_abort84;
                        }
                      }
                      break;
                      {
                      _flick_abort84:
                        goto _flick_abort41;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort41);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort41);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort41);
          flick_khazana_decode_end_glob(16);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort41:
    flick_corba_server_error(cdr, khazana, _flick_reaper, _flick_abort40);
  _flick_abort40:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

int flick_marshal_stub_foo2(flick_marshal_stream_t _stream, foo2 *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdr_encode_IOR(khazana, *_data, 0, _flick_abort148);
  return 0;
  {
  _flick_abort148:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_foo2(flick_marshal_stream_t _stream, foo2 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_decode_IOR(khazana, *_data, 1);
  return 0;
}

int flick_unmarshal_stub_foo2_swap(flick_marshal_stream_t _stream, foo2 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swap_decode_IOR(khazana, *_data, 1);
  return 0;
}

flick_operation_success_t foo2_server(FLICK_TARGET _this_obj, flick_msg_t _in_msg, flick_msg_t *_out_msg)
{
  FLICK_BUFFER *_stream;
  flick_khazana_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t144_switch_tag;

    flick_khazana_decode_new_glob(16);
    flick_khazana_check_span(12, _flick_abort153);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t144_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t144_switch_tag)
      {
      case (unsigned int) 4:
        {
          unsigned int _t145_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t145_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t145_switch_tag)
            {
            case /* op2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623808):
              {
                {
                  foo2 _obj;
                  unsigned int _t146_principal_len;
                  struct bar *_return;
                  struct bar2 *_local_a;
                  struct bar2 _t147_storage;
                  flick_unsigned32_t _t148_temp_string_len;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t149_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort307);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t146_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t146_principal_len, _flick_abort307);
                  flick_khazana_decode_new_glob(_t146_principal_len);
                  flick_khazana_decode_new_chunk(_t146_principal_len);
                  flick_khazana_decode_end_chunk(_t146_principal_len);
                  flick_khazana_decode_end_glob(_t146_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  _local_a = (struct bar2 *)(&_t147_storage);
                  flick_khazana_decode_new_glob(40);
                  flick_khazana_decode_new_chunk_align(16, 2, 0, 0);
                  flick_khazana_check_span(16, _flick_abort307);
                  flick_cdr_swap_decode_signed32(0, _local_a->b3, CORBA_long );
                  flick_cdr_swap_decode_signed32(4, _local_a->b4.b1, CORBA_long );
                  flick_cdr_swap_decode_signed32(8, _local_a->b4.b2, CORBA_long );
                  flick_cdr_swap_decode_unsigned32(12, _t148_temp_string_len, flick_unsigned32_t );
                  if (_t148_temp_string_len > 21)
                    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort307);
                  flick_khazana_decode_end_chunk(16);
                  flick_khazana_check_span(1 * _t148_temp_string_len, _flick_abort307);
                  flick_khazana_decode_new_chunk(1 * _t148_temp_string_len);
                  flick_cdr_swap_decode_msgptr(0, _local_a->b4.b3, CORBA_char *);
                  flick_khazana_decode_end_chunk(1 * _t148_temp_string_len);
                  _ev = (CORBA_Environment *)(&_t149_storage);
                  flick_khazana_decode_end_glob(40);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = foo2_op2(_obj, _local_a, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort307);
                    flick_khazana_encode_new_glob(37, _flick_abort307);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          flick_unsigned32_t _t151_temp_string_len;

                          flick_cdr_stringlen(CORBA_char *, _return->b3, flick_unsigned32_t , _t151_temp_string_len);

                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(12 + 1 * _t151_temp_string_len);
                          flick_cdr_encode_signed32(0, _return->b1, CORBA_long );
                          flick_cdr_encode_signed32(4, _return->b2, CORBA_long );
                          flick_cdr_encode_unsigned32(8, _t151_temp_string_len, flick_unsigned32_t );
                          if (_t151_temp_string_len > 21)
                            flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort316);
                          flick_cdr_encode_bcopy(12, _return->b3, 1 * _t151_temp_string_len);
                          CORBA_flick_free(_return->b3);
                          _return->b3 = 0;
                          flick_khazana_encode_end_chunk(12 + 1 * _t151_temp_string_len);
                          CORBA_flick_free(_return);
                          _return = 0;
                          flick_khazana_encode_end_glob(37);
                          break;
                          {
                          _flick_abort316:
                            goto _flick_abort307;
                          }
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(37);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort319);
                          break;
                          {
                          _flick_abort319:
                            goto _flick_abort307;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort320);
                          flick_khazana_encode_end_glob(37);
                          break;
                          {
                          _flick_abort320:
                            goto _flick_abort307;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort307:
                    goto _flick_abort306;
                  }
                }
                break;
                {
                _flick_abort306:
                  goto _flick_abort153;
                }
              }
            case /* op3 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624064):
              {
                {
                  foo2 _obj;
                  unsigned int _t152_principal_len;
                  CORBA_long _return;
                  CORBA_long _local_a;
                  CORBA_char *_local_b;
                  CORBA_char _t153_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t154_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort322);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t152_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t152_principal_len, _flick_abort322);
                  flick_khazana_decode_new_glob(_t152_principal_len);
                  flick_khazana_decode_new_chunk(_t152_principal_len);
                  flick_khazana_decode_end_chunk(_t152_principal_len);
                  flick_khazana_decode_end_glob(_t152_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_khazana_decode_new_glob(7);
                  flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                  flick_khazana_check_span(4, _flick_abort322);
                  flick_cdr_swap_decode_signed32(0, _local_a, CORBA_long );
                  _local_b = (CORBA_char *)(&_t153_storage);
                  _ev = (CORBA_Environment *)(&_t154_storage);
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(7);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = foo2_op3(_obj, _local_a, _local_b, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort322);
                    flick_khazana_encode_new_glob(9, _flick_abort322);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(5);
                          flick_cdr_encode_signed32(0, _return, CORBA_long );
                          flick_cdr_encode_char8(4, *_local_b, CORBA_char );
                          flick_khazana_encode_end_chunk(5);
                          flick_khazana_encode_end_glob(9);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(9);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort328);
                          break;
                          {
                          _flick_abort328:
                            goto _flick_abort322;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort329);
                          flick_khazana_encode_end_glob(9);
                          break;
                          {
                          _flick_abort329:
                            goto _flick_abort322;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort322:
                    goto _flick_abort321;
                  }
                }
                break;
                {
                _flick_abort321:
                  goto _flick_abort153;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort153);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 3:
        {
          unsigned short int _t155_switch_tag;

          flick_khazana_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t155_switch_tag, unsigned short int );
          flick_khazana_decode_end_chunk(2);
          switch ((unsigned short int )_t155_switch_tag)
            {
            case /* op */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28528):
              {
                char _t156_switch_tag;

                flick_khazana_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t156_switch_tag, char );
                flick_khazana_decode_end_chunk(1);
                switch ((char )_t156_switch_tag)
                  {
                  case 0:
                    {
                      {
                        foo2 _obj;
                        unsigned int _t157_principal_len;
                        CORBA_long _return;
                        struct bar *_local_a;
                        struct bar _t158_storage;
                        flick_unsigned32_t _t159_temp_string_len;
                        struct bar2 **_local_b;
                        struct bar2 *_t160_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t161_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort331);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(5);
                        flick_cdr_swap_decode_unsigned32(1, _t157_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(5);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t157_principal_len, _flick_abort331);
                        flick_khazana_decode_new_glob(_t157_principal_len);
                        flick_khazana_decode_new_chunk(_t157_principal_len);
                        flick_khazana_decode_end_chunk(_t157_principal_len);
                        flick_khazana_decode_end_glob(_t157_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        _local_a = (struct bar *)(&_t158_storage);
                        flick_khazana_decode_new_glob(36);
                        flick_khazana_decode_new_chunk_align(12, 2, 0, 0);
                        flick_khazana_check_span(12, _flick_abort331);
                        flick_cdr_swap_decode_signed32(0, _local_a->b1, CORBA_long );
                        flick_cdr_swap_decode_signed32(4, _local_a->b2, CORBA_long );
                        flick_cdr_swap_decode_unsigned32(8, _t159_temp_string_len, flick_unsigned32_t );
                        if (_t159_temp_string_len > 21)
                          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort331);
                        flick_khazana_decode_end_chunk(12);
                        flick_khazana_check_span(1 * _t159_temp_string_len, _flick_abort331);
                        flick_khazana_decode_new_chunk(1 * _t159_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_a->b3, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t159_temp_string_len);
                        _local_b = (struct bar2 **)(&_t160_storage);
                        _ev = (CORBA_Environment *)(&_t161_storage);
                        flick_khazana_decode_end_glob(36);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = foo2_op(_obj, _local_a, _local_b, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort331);
                          flick_khazana_encode_new_glob(45, _flick_abort331);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                flick_unsigned32_t _t163_temp_string_len;

                                flick_cdr_stringlen(CORBA_char *, (*_local_b)->b4.b3, flick_unsigned32_t , _t163_temp_string_len);

                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(20 + 1 * _t163_temp_string_len);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_cdr_encode_signed32(4, (*_local_b)->b3, CORBA_long );
                                flick_cdr_encode_signed32(8, (*_local_b)->b4.b1, CORBA_long );
                                flick_cdr_encode_signed32(12, (*_local_b)->b4.b2, CORBA_long );
                                flick_cdr_encode_unsigned32(16, _t163_temp_string_len, flick_unsigned32_t );
                                if (_t163_temp_string_len > 21)
                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort340);
                                flick_cdr_encode_bcopy(20, (*_local_b)->b4.b3, 1 * _t163_temp_string_len);
                                CORBA_flick_free((*_local_b)->b4.b3);
                                (*_local_b)->b4.b3 = 0;
                                flick_khazana_encode_end_chunk(20 + 1 * _t163_temp_string_len);
                                CORBA_flick_free(*_local_b);
                                *_local_b = 0;
                                flick_khazana_encode_end_glob(45);
                                break;
                                {
                                _flick_abort340:
                                  goto _flick_abort331;
                                }
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(45);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort343);
                                break;
                                {
                                _flick_abort343:
                                  goto _flick_abort331;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort344);
                                flick_khazana_encode_end_glob(45);
                                break;
                                {
                                _flick_abort344:
                                  goto _flick_abort331;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort331:
                          goto _flick_abort330;
                        }
                      }
                      break;
                      {
                      _flick_abort330:
                        goto _flick_abort153;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort153);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort153);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t164_switch_tag;

          flick_khazana_check_span(12, _flick_abort153);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t164_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t164_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t165_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t165_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t165_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t166_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t167_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t168_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort346);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t166_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t166_principal_len, _flick_abort346);
                        flick_khazana_decode_new_glob(_t166_principal_len);
                        flick_khazana_decode_new_chunk(_t166_principal_len);
                        flick_khazana_decode_end_chunk(_t166_principal_len);
                        flick_khazana_decode_end_glob(_t166_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort346);
                        flick_cdr_swap_decode_unsigned32(0, _t167_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t167_temp_string_len);
                        flick_khazana_check_span(1 * _t167_temp_string_len, _flick_abort346);
                        flick_khazana_decode_new_chunk(1 * _t167_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t167_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t167_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t168_storage);
                        _par = flick_interface_parents_foo2;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort346);
                          flick_khazana_encode_new_glob(5, _flick_abort346);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort354);
                                break;
                                {
                                _flick_abort354:
                                  goto _flick_abort346;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort355);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort355:
                                  goto _flick_abort346;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort346:
                          goto _flick_abort345;
                        }
                      }
                      break;
                      {
                      _flick_abort345:
                        goto _flick_abort153;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort153);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort153);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort153);
          flick_khazana_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t94_switch_tag;

    flick_khazana_decode_new_glob(16);
    flick_khazana_check_span(12, _flick_abort153);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t94_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t94_switch_tag)
      {
      case (unsigned int) 4:
        {
          unsigned int _t95_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t95_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t95_switch_tag)
            {
            case /* op2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623808):
              {
                {
                  foo2 _obj;
                  unsigned int _t96_principal_len;
                  struct bar *_return;
                  struct bar2 *_local_a;
                  struct bar2 _t97_storage;
                  flick_unsigned32_t _t98_temp_string_len;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t99_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort206);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t96_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t96_principal_len, _flick_abort206);
                  flick_khazana_decode_new_glob(_t96_principal_len);
                  flick_khazana_decode_new_chunk(_t96_principal_len);
                  flick_khazana_decode_end_chunk(_t96_principal_len);
                  flick_khazana_decode_end_glob(_t96_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  _local_a = (struct bar2 *)(&_t97_storage);
                  flick_khazana_decode_new_glob(40);
                  flick_khazana_decode_new_chunk_align(16, 2, 0, 0);
                  flick_khazana_check_span(16, _flick_abort206);
                  flick_cdr_decode_signed32(0, _local_a->b3, CORBA_long );
                  flick_cdr_decode_signed32(4, _local_a->b4.b1, CORBA_long );
                  flick_cdr_decode_signed32(8, _local_a->b4.b2, CORBA_long );
                  flick_cdr_decode_unsigned32(12, _t98_temp_string_len, flick_unsigned32_t );
                  if (_t98_temp_string_len > 21)
                    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort206);
                  flick_khazana_decode_end_chunk(16);
                  flick_khazana_check_span(1 * _t98_temp_string_len, _flick_abort206);
                  flick_khazana_decode_new_chunk(1 * _t98_temp_string_len);
                  flick_cdr_decode_msgptr(0, _local_a->b4.b3, CORBA_char *);
                  flick_khazana_decode_end_chunk(1 * _t98_temp_string_len);
                  _ev = (CORBA_Environment *)(&_t99_storage);
                  flick_khazana_decode_end_glob(40);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = foo2_op2(_obj, _local_a, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort206);
                    flick_khazana_encode_new_glob(37, _flick_abort206);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          flick_unsigned32_t _t101_temp_string_len;

                          flick_cdr_stringlen(CORBA_char *, _return->b3, flick_unsigned32_t , _t101_temp_string_len);

                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(12 + 1 * _t101_temp_string_len);
                          flick_cdr_encode_signed32(0, _return->b1, CORBA_long );
                          flick_cdr_encode_signed32(4, _return->b2, CORBA_long );
                          flick_cdr_encode_unsigned32(8, _t101_temp_string_len, flick_unsigned32_t );
                          if (_t101_temp_string_len > 21)
                            flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort215);
                          flick_cdr_encode_bcopy(12, _return->b3, 1 * _t101_temp_string_len);
                          CORBA_flick_free(_return->b3);
                          _return->b3 = 0;
                          flick_khazana_encode_end_chunk(12 + 1 * _t101_temp_string_len);
                          CORBA_flick_free(_return);
                          _return = 0;
                          flick_khazana_encode_end_glob(37);
                          break;
                          {
                          _flick_abort215:
                            goto _flick_abort206;
                          }
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(37);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort218);
                          break;
                          {
                          _flick_abort218:
                            goto _flick_abort206;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort219);
                          flick_khazana_encode_end_glob(37);
                          break;
                          {
                          _flick_abort219:
                            goto _flick_abort206;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort206:
                    goto _flick_abort205;
                  }
                }
                break;
                {
                _flick_abort205:
                  goto _flick_abort153;
                }
              }
            case /* op3 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624064):
              {
                {
                  foo2 _obj;
                  unsigned int _t102_principal_len;
                  CORBA_long _return;
                  CORBA_long _local_a;
                  CORBA_char *_local_b;
                  CORBA_char _t103_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t104_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort221);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t102_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t102_principal_len, _flick_abort221);
                  flick_khazana_decode_new_glob(_t102_principal_len);
                  flick_khazana_decode_new_chunk(_t102_principal_len);
                  flick_khazana_decode_end_chunk(_t102_principal_len);
                  flick_khazana_decode_end_glob(_t102_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_khazana_decode_new_glob(7);
                  flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                  flick_khazana_check_span(4, _flick_abort221);
                  flick_cdr_decode_signed32(0, _local_a, CORBA_long );
                  _local_b = (CORBA_char *)(&_t103_storage);
                  _ev = (CORBA_Environment *)(&_t104_storage);
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(7);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = foo2_op3(_obj, _local_a, _local_b, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort221);
                    flick_khazana_encode_new_glob(9, _flick_abort221);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(5);
                          flick_cdr_encode_signed32(0, _return, CORBA_long );
                          flick_cdr_encode_char8(4, *_local_b, CORBA_char );
                          flick_khazana_encode_end_chunk(5);
                          flick_khazana_encode_end_glob(9);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(9);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort227);
                          break;
                          {
                          _flick_abort227:
                            goto _flick_abort221;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort228);
                          flick_khazana_encode_end_glob(9);
                          break;
                          {
                          _flick_abort228:
                            goto _flick_abort221;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort221:
                    goto _flick_abort220;
                  }
                }
                break;
                {
                _flick_abort220:
                  goto _flick_abort153;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort153);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 3:
        {
          unsigned short int _t105_switch_tag;

          flick_khazana_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t105_switch_tag, unsigned short int );
          flick_khazana_decode_end_chunk(2);
          switch ((unsigned short int )_t105_switch_tag)
            {
            case /* op */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28528):
              {
                char _t106_switch_tag;

                flick_khazana_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t106_switch_tag, char );
                flick_khazana_decode_end_chunk(1);
                switch ((char )_t106_switch_tag)
                  {
                  case 0:
                    {
                      {
                        foo2 _obj;
                        unsigned int _t107_principal_len;
                        CORBA_long _return;
                        struct bar *_local_a;
                        struct bar _t108_storage;
                        flick_unsigned32_t _t109_temp_string_len;
                        struct bar2 **_local_b;
                        struct bar2 *_t110_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t111_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort230);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(5);
                        flick_cdr_decode_unsigned32(1, _t107_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(5);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t107_principal_len, _flick_abort230);
                        flick_khazana_decode_new_glob(_t107_principal_len);
                        flick_khazana_decode_new_chunk(_t107_principal_len);
                        flick_khazana_decode_end_chunk(_t107_principal_len);
                        flick_khazana_decode_end_glob(_t107_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        _local_a = (struct bar *)(&_t108_storage);
                        flick_khazana_decode_new_glob(36);
                        flick_khazana_decode_new_chunk_align(12, 2, 0, 0);
                        flick_khazana_check_span(12, _flick_abort230);
                        flick_cdr_decode_signed32(0, _local_a->b1, CORBA_long );
                        flick_cdr_decode_signed32(4, _local_a->b2, CORBA_long );
                        flick_cdr_decode_unsigned32(8, _t109_temp_string_len, flick_unsigned32_t );
                        if (_t109_temp_string_len > 21)
                          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort230);
                        flick_khazana_decode_end_chunk(12);
                        flick_khazana_check_span(1 * _t109_temp_string_len, _flick_abort230);
                        flick_khazana_decode_new_chunk(1 * _t109_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_a->b3, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t109_temp_string_len);
                        _local_b = (struct bar2 **)(&_t110_storage);
                        _ev = (CORBA_Environment *)(&_t111_storage);
                        flick_khazana_decode_end_glob(36);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = foo2_op(_obj, _local_a, _local_b, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort230);
                          flick_khazana_encode_new_glob(45, _flick_abort230);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                flick_unsigned32_t _t113_temp_string_len;

                                flick_cdr_stringlen(CORBA_char *, (*_local_b)->b4.b3, flick_unsigned32_t , _t113_temp_string_len);

                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(20 + 1 * _t113_temp_string_len);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_cdr_encode_signed32(4, (*_local_b)->b3, CORBA_long );
                                flick_cdr_encode_signed32(8, (*_local_b)->b4.b1, CORBA_long );
                                flick_cdr_encode_signed32(12, (*_local_b)->b4.b2, CORBA_long );
                                flick_cdr_encode_unsigned32(16, _t113_temp_string_len, flick_unsigned32_t );
                                if (_t113_temp_string_len > 21)
                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort239);
                                flick_cdr_encode_bcopy(20, (*_local_b)->b4.b3, 1 * _t113_temp_string_len);
                                CORBA_flick_free((*_local_b)->b4.b3);
                                (*_local_b)->b4.b3 = 0;
                                flick_khazana_encode_end_chunk(20 + 1 * _t113_temp_string_len);
                                CORBA_flick_free(*_local_b);
                                *_local_b = 0;
                                flick_khazana_encode_end_glob(45);
                                break;
                                {
                                _flick_abort239:
                                  goto _flick_abort230;
                                }
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(45);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort242);
                                break;
                                {
                                _flick_abort242:
                                  goto _flick_abort230;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort243);
                                flick_khazana_encode_end_glob(45);
                                break;
                                {
                                _flick_abort243:
                                  goto _flick_abort230;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort230:
                          goto _flick_abort229;
                        }
                      }
                      break;
                      {
                      _flick_abort229:
                        goto _flick_abort153;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort153);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort153);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t114_switch_tag;

          flick_khazana_check_span(12, _flick_abort153);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t114_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t114_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t115_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t115_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t115_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t116_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t117_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t118_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort245);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t116_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t116_principal_len, _flick_abort245);
                        flick_khazana_decode_new_glob(_t116_principal_len);
                        flick_khazana_decode_new_chunk(_t116_principal_len);
                        flick_khazana_decode_end_chunk(_t116_principal_len);
                        flick_khazana_decode_end_glob(_t116_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort245);
                        flick_cdr_decode_unsigned32(0, _t117_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t117_temp_string_len);
                        flick_khazana_check_span(1 * _t117_temp_string_len, _flick_abort245);
                        flick_khazana_decode_new_chunk(1 * _t117_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t117_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t117_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t118_storage);
                        _par = flick_interface_parents_foo2;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort245);
                          flick_khazana_encode_new_glob(5, _flick_abort245);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort253);
                                break;
                                {
                                _flick_abort253:
                                  goto _flick_abort245;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort254);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort254:
                                  goto _flick_abort245;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort245:
                          goto _flick_abort244;
                        }
                      }
                      break;
                      {
                      _flick_abort244:
                        goto _flick_abort153;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort153);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort153);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort153);
          flick_khazana_decode_end_glob(16);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort153:
    flick_corba_server_error(cdr, khazana, _flick_reaper, _flick_abort152);
  _flick_abort152:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

int flick_marshal_stub_Coord(flick_marshal_stream_t _stream, Coord *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(2, _flick_abort356);
  flick_khazana_encode_new_chunk(2);
  flick_cdr_encode_unsigned16(0, *_data, CORBA_unsigned_short );
  flick_khazana_encode_end_chunk(2);
  flick_khazana_encode_end_glob(2);
  return 0;
  {
  _flick_abort356:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_Coord(flick_marshal_stream_t _stream, Coord *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(2);
  flick_khazana_check_span(2, _flick_abort357);
  flick_khazana_decode_new_chunk(2);
  flick_cdr_decode_unsigned16(0, *_data, CORBA_unsigned_short );
  flick_khazana_decode_end_chunk(2);
  flick_khazana_decode_end_glob(2);
  return 0;
  {
  _flick_abort357:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_Coord_swap(flick_marshal_stream_t _stream, Coord *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(2);
  flick_khazana_check_span(2, _flick_abort358);
  flick_khazana_decode_new_chunk(2);
  flick_cdr_swap_decode_unsigned16(0, *_data, CORBA_unsigned_short );
  flick_khazana_decode_end_chunk(2);
  flick_khazana_decode_end_glob(2);
  return 0;
  {
  _flick_abort358:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_CellPos(flick_marshal_stream_t _stream, struct CellPos *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(4, _flick_abort359);
  flick_khazana_encode_new_chunk(4);
  flick_cdr_encode_unsigned16(0, _data->row, CORBA_unsigned_short );
  flick_cdr_encode_unsigned16(2, _data->col, CORBA_unsigned_short );
  flick_khazana_encode_end_chunk(4);
  flick_khazana_encode_end_glob(4);
  return 0;
  {
  _flick_abort359:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_CellPos(flick_marshal_stream_t _stream, struct CellPos *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort360);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_decode_unsigned16(0, _data->row, CORBA_unsigned_short );
  flick_cdr_decode_unsigned16(2, _data->col, CORBA_unsigned_short );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  return 0;
  {
  _flick_abort360:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_CellPos_swap(flick_marshal_stream_t _stream, struct CellPos *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort361);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned16(0, _data->row, CORBA_unsigned_short );
  flick_cdr_swap_decode_unsigned16(2, _data->col, CORBA_unsigned_short );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  return 0;
  {
  _flick_abort361:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_CellPos2(flick_marshal_stream_t _stream, struct CellPos2 *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(4, _flick_abort362);
  flick_khazana_encode_new_chunk(4);
  flick_cdr_encode_unsigned16(0, _data->row, CORBA_unsigned_short );
  flick_cdr_encode_unsigned16(2, _data->col, CORBA_unsigned_short );
  flick_khazana_encode_end_chunk(4);
  flick_khazana_encode_end_glob(4);
  return 0;
  {
  _flick_abort362:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_CellPos2(flick_marshal_stream_t _stream, struct CellPos2 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort363);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_decode_unsigned16(0, _data->row, CORBA_unsigned_short );
  flick_cdr_decode_unsigned16(2, _data->col, CORBA_unsigned_short );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  return 0;
  {
  _flick_abort363:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_CellPos2_swap(flick_marshal_stream_t _stream, struct CellPos2 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort364);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned16(0, _data->row, CORBA_unsigned_short );
  flick_cdr_swap_decode_unsigned16(2, _data->col, CORBA_unsigned_short );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  return 0;
  {
  _flick_abort364:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_CellPos3(flick_marshal_stream_t _stream, struct CellPos3 *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(6, _flick_abort365);
  flick_khazana_encode_new_chunk(6);
  flick_cdr_encode_unsigned16(0, _data->row, CORBA_unsigned_short );
  flick_cdr_encode_unsigned16(2, _data->col, CORBA_unsigned_short );
  flick_cdr_encode_unsigned16(4, _data->col2, CORBA_unsigned_short );
  flick_khazana_encode_end_chunk(6);
  flick_khazana_encode_end_glob(6);
  return 0;
  {
  _flick_abort365:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_CellPos3(flick_marshal_stream_t _stream, struct CellPos3 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(6);
  flick_khazana_check_span(6, _flick_abort366);
  flick_khazana_decode_new_chunk(6);
  flick_cdr_decode_unsigned16(0, _data->row, CORBA_unsigned_short );
  flick_cdr_decode_unsigned16(2, _data->col, CORBA_unsigned_short );
  flick_cdr_decode_unsigned16(4, _data->col2, CORBA_unsigned_short );
  flick_khazana_decode_end_chunk(6);
  flick_khazana_decode_end_glob(6);
  return 0;
  {
  _flick_abort366:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_CellPos3_swap(flick_marshal_stream_t _stream, struct CellPos3 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(6);
  flick_khazana_check_span(6, _flick_abort367);
  flick_khazana_decode_new_chunk(6);
  flick_cdr_swap_decode_unsigned16(0, _data->row, CORBA_unsigned_short );
  flick_cdr_swap_decode_unsigned16(2, _data->col, CORBA_unsigned_short );
  flick_cdr_swap_decode_unsigned16(4, _data->col2, CORBA_unsigned_short );
  flick_khazana_decode_end_chunk(6);
  flick_khazana_decode_end_glob(6);
  return 0;
  {
  _flick_abort367:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

