#include "structnest_-server.h"

/* This is the runtime type information */
char *flick_interface_parents_test[] = {
	"IDL:test:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
int flick_marshal_stub_a_b_q(flick_marshal_stream_t _stream, struct a_b_q *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(8, _flick_abort0);
  flick_khazana_encode_new_chunk(8);
  flick_cdr_encode_unsigned8(0, _data->c, CORBA_boolean );
  flick_cdr_encode_signed32(4, _data->d, CORBA_long );
  flick_khazana_encode_end_chunk(8);
  flick_khazana_encode_end_glob(8);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_a_b_q(flick_marshal_stream_t _stream, struct a_b_q *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(8);
  flick_khazana_check_span(8, _flick_abort1);
  flick_khazana_decode_new_chunk(8);
  flick_cdr_decode_unsigned8(0, _data->c, CORBA_boolean );
  flick_cdr_decode_signed32(4, _data->d, CORBA_long );
  flick_khazana_decode_end_chunk(8);
  flick_khazana_decode_end_glob(8);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_a_b_q_swap(flick_marshal_stream_t _stream, struct a_b_q *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(8);
  flick_khazana_check_span(8, _flick_abort2);
  flick_khazana_decode_new_chunk(8);
  flick_cdr_swap_decode_unsigned8(0, _data->c, CORBA_boolean );
  flick_cdr_swap_decode_signed32(4, _data->d, CORBA_long );
  flick_khazana_decode_end_chunk(8);
  flick_khazana_decode_end_glob(8);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_a_b(flick_marshal_stream_t _stream, struct a_b *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(16, _flick_abort3);
  flick_khazana_encode_new_chunk(16);
  flick_cdr_encode_signed16(0, _data->c, CORBA_short );
  flick_cdr_encode_char8(2, _data->d, CORBA_char );
  flick_cdr_encode_unsigned8(3, _data->e.c, CORBA_boolean );
  flick_cdr_encode_signed32(4, _data->e.d, CORBA_long );
  flick_cdr_encode_signed16(8, _data->f, CORBA_short );
  flick_cdr_encode_unsigned8(10, _data->g.c, CORBA_boolean );
  flick_cdr_encode_signed32(12, _data->g.d, CORBA_long );
  flick_khazana_encode_end_chunk(16);
  flick_khazana_encode_end_glob(16);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_a_b(flick_marshal_stream_t _stream, struct a_b *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(16);
  flick_khazana_check_span(16, _flick_abort4);
  flick_khazana_decode_new_chunk(16);
  flick_cdr_decode_signed16(0, _data->c, CORBA_short );
  flick_cdr_decode_char8(2, _data->d, CORBA_char );
  flick_cdr_decode_unsigned8(3, _data->e.c, CORBA_boolean );
  flick_cdr_decode_signed32(4, _data->e.d, CORBA_long );
  flick_cdr_decode_signed16(8, _data->f, CORBA_short );
  flick_cdr_decode_unsigned8(10, _data->g.c, CORBA_boolean );
  flick_cdr_decode_signed32(12, _data->g.d, CORBA_long );
  flick_khazana_decode_end_chunk(16);
  flick_khazana_decode_end_glob(16);
  return 0;
  {
  _flick_abort4:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_a_b_swap(flick_marshal_stream_t _stream, struct a_b *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(16);
  flick_khazana_check_span(16, _flick_abort5);
  flick_khazana_decode_new_chunk(16);
  flick_cdr_swap_decode_signed16(0, _data->c, CORBA_short );
  flick_cdr_swap_decode_char8(2, _data->d, CORBA_char );
  flick_cdr_swap_decode_unsigned8(3, _data->e.c, CORBA_boolean );
  flick_cdr_swap_decode_signed32(4, _data->e.d, CORBA_long );
  flick_cdr_swap_decode_signed16(8, _data->f, CORBA_short );
  flick_cdr_swap_decode_unsigned8(10, _data->g.c, CORBA_boolean );
  flick_cdr_swap_decode_signed32(12, _data->g.d, CORBA_long );
  flick_khazana_decode_end_chunk(16);
  flick_khazana_decode_end_glob(16);
  return 0;
  {
  _flick_abort5:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_a_q(flick_marshal_stream_t _stream, struct a_q *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(16, _flick_abort6);
  flick_khazana_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, _data->a, CORBA_short );
  flick_khazana_encode_end_chunk(2);
  flick_khazana_encode_new_chunk_align(8, 3, 2, 2);
  flick_cdr_encode_float64(0, _data->b, CORBA_double );
  flick_khazana_encode_end_chunk(8);
  flick_khazana_encode_end_glob(16);
  return 0;
  {
  _flick_abort6:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_a_q(flick_marshal_stream_t _stream, struct a_q *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(16);
  flick_khazana_check_span(2, _flick_abort7);
  flick_khazana_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, _data->a, CORBA_short );
  flick_khazana_decode_end_chunk(2);
  flick_khazana_decode_new_chunk_align(8, 3, 2, 2);
  flick_khazana_check_span(8, _flick_abort7);
  flick_cdr_decode_float64(0, _data->b, CORBA_double );
  flick_khazana_decode_end_chunk(8);
  flick_khazana_decode_end_glob(16);
  return 0;
  {
  _flick_abort7:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_a_q_swap(flick_marshal_stream_t _stream, struct a_q *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(16);
  flick_khazana_check_span(2, _flick_abort8);
  flick_khazana_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->a, CORBA_short );
  flick_khazana_decode_end_chunk(2);
  flick_khazana_decode_new_chunk_align(8, 3, 2, 2);
  flick_khazana_check_span(8, _flick_abort8);
  flick_cdr_swap_decode_float64(0, _data->b, CORBA_double );
  flick_khazana_decode_end_chunk(8);
  flick_khazana_decode_end_glob(16);
  return 0;
  {
  _flick_abort8:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_a_z_zz(flick_marshal_stream_t _stream, struct a_z_zz *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(16, _flick_abort9);
  flick_khazana_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, _data->a.a, CORBA_short );
  flick_khazana_encode_end_chunk(2);
  flick_khazana_encode_new_chunk_align(8, 3, 2, 2);
  flick_cdr_encode_float64(0, _data->a.b, CORBA_double );
  flick_khazana_encode_end_chunk(8);
  flick_khazana_encode_end_glob(16);
  return 0;
  {
  _flick_abort9:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_a_z_zz(flick_marshal_stream_t _stream, struct a_z_zz *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(16);
  flick_khazana_check_span(2, _flick_abort10);
  flick_khazana_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, _data->a.a, CORBA_short );
  flick_khazana_decode_end_chunk(2);
  flick_khazana_decode_new_chunk_align(8, 3, 2, 2);
  flick_khazana_check_span(8, _flick_abort10);
  flick_cdr_decode_float64(0, _data->a.b, CORBA_double );
  flick_khazana_decode_end_chunk(8);
  flick_khazana_decode_end_glob(16);
  return 0;
  {
  _flick_abort10:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_a_z_zz_swap(flick_marshal_stream_t _stream, struct a_z_zz *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(16);
  flick_khazana_check_span(2, _flick_abort11);
  flick_khazana_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->a.a, CORBA_short );
  flick_khazana_decode_end_chunk(2);
  flick_khazana_decode_new_chunk_align(8, 3, 2, 2);
  flick_khazana_check_span(8, _flick_abort11);
  flick_cdr_swap_decode_float64(0, _data->a.b, CORBA_double );
  flick_khazana_decode_end_chunk(8);
  flick_khazana_decode_end_glob(16);
  return 0;
  {
  _flick_abort11:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_a_z(flick_marshal_stream_t _stream, struct a_z *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(32, _flick_abort12);
  flick_khazana_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, _data->b.a.a, CORBA_short );
  flick_khazana_encode_end_chunk(2);
  flick_khazana_encode_new_chunk_align(24, 3, 2, 2);
  flick_cdr_encode_float64(0, _data->b.a.b, CORBA_double );
  flick_cdr_encode_signed16(8, _data->m.a, CORBA_short );
  flick_cdr_encode_float64(16, _data->m.b, CORBA_double );
  flick_khazana_encode_end_chunk(24);
  flick_khazana_encode_end_glob(32);
  return 0;
  {
  _flick_abort12:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_a_z(flick_marshal_stream_t _stream, struct a_z *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(32);
  flick_khazana_check_span(2, _flick_abort13);
  flick_khazana_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, _data->b.a.a, CORBA_short );
  flick_khazana_decode_end_chunk(2);
  flick_khazana_decode_new_chunk_align(24, 3, 2, 2);
  flick_khazana_check_span(24, _flick_abort13);
  flick_cdr_decode_float64(0, _data->b.a.b, CORBA_double );
  flick_cdr_decode_signed16(8, _data->m.a, CORBA_short );
  flick_cdr_decode_float64(16, _data->m.b, CORBA_double );
  flick_khazana_decode_end_chunk(24);
  flick_khazana_decode_end_glob(32);
  return 0;
  {
  _flick_abort13:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_a_z_swap(flick_marshal_stream_t _stream, struct a_z *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(32);
  flick_khazana_check_span(2, _flick_abort14);
  flick_khazana_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->b.a.a, CORBA_short );
  flick_khazana_decode_end_chunk(2);
  flick_khazana_decode_new_chunk_align(24, 3, 2, 2);
  flick_khazana_check_span(24, _flick_abort14);
  flick_cdr_swap_decode_float64(0, _data->b.a.b, CORBA_double );
  flick_cdr_swap_decode_signed16(8, _data->m.a, CORBA_short );
  flick_cdr_swap_decode_float64(16, _data->m.b, CORBA_double );
  flick_khazana_decode_end_chunk(24);
  flick_khazana_decode_end_glob(32);
  return 0;
  {
  _flick_abort14:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_a(flick_marshal_stream_t _stream, struct a *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(96, _flick_abort15);
  flick_khazana_encode_new_chunk(18);
  flick_cdr_encode_signed16(0, _data->e.c, CORBA_short );
  flick_cdr_encode_char8(2, _data->e.d, CORBA_char );
  flick_cdr_encode_unsigned8(3, _data->e.e.c, CORBA_boolean );
  flick_cdr_encode_signed32(4, _data->e.e.d, CORBA_long );
  flick_cdr_encode_signed16(8, _data->e.f, CORBA_short );
  flick_cdr_encode_unsigned8(10, _data->e.g.c, CORBA_boolean );
  flick_cdr_encode_signed32(12, _data->e.g.d, CORBA_long );
  flick_cdr_encode_signed16(16, _data->h.a, CORBA_short );
  flick_khazana_encode_end_chunk(18);
  flick_khazana_encode_new_chunk_align(72, 3, 2, 2);
  flick_cdr_encode_float64(0, _data->h.b, CORBA_double );
  flick_cdr_encode_signed16(8, _data->j.b.a.a, CORBA_short );
  flick_cdr_encode_float64(16, _data->j.b.a.b, CORBA_double );
  flick_cdr_encode_signed16(24, _data->j.m.a, CORBA_short );
  flick_cdr_encode_float64(32, _data->j.m.b, CORBA_double );
  flick_cdr_encode_float32(40, _data->f, CORBA_float );
  flick_cdr_encode_signed16(44, _data->g.c, CORBA_short );
  flick_cdr_encode_char8(46, _data->g.d, CORBA_char );
  flick_cdr_encode_unsigned8(47, _data->g.e.c, CORBA_boolean );
  flick_cdr_encode_signed32(48, _data->g.e.d, CORBA_long );
  flick_cdr_encode_signed16(52, _data->g.f, CORBA_short );
  flick_cdr_encode_unsigned8(54, _data->g.g.c, CORBA_boolean );
  flick_cdr_encode_signed32(56, _data->g.g.d, CORBA_long );
  flick_cdr_encode_signed16(60, _data->i.a, CORBA_short );
  flick_cdr_encode_float64(64, _data->i.b, CORBA_double );
  flick_khazana_encode_end_chunk(72);
  flick_khazana_encode_end_glob(96);
  return 0;
  {
  _flick_abort15:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_a(flick_marshal_stream_t _stream, struct a *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(96);
  flick_khazana_check_span(18, _flick_abort16);
  flick_khazana_decode_new_chunk(18);
  flick_cdr_decode_signed16(0, _data->e.c, CORBA_short );
  flick_cdr_decode_char8(2, _data->e.d, CORBA_char );
  flick_cdr_decode_unsigned8(3, _data->e.e.c, CORBA_boolean );
  flick_cdr_decode_signed32(4, _data->e.e.d, CORBA_long );
  flick_cdr_decode_signed16(8, _data->e.f, CORBA_short );
  flick_cdr_decode_unsigned8(10, _data->e.g.c, CORBA_boolean );
  flick_cdr_decode_signed32(12, _data->e.g.d, CORBA_long );
  flick_cdr_decode_signed16(16, _data->h.a, CORBA_short );
  flick_khazana_decode_end_chunk(18);
  flick_khazana_decode_new_chunk_align(72, 3, 2, 2);
  flick_khazana_check_span(72, _flick_abort16);
  flick_cdr_decode_float64(0, _data->h.b, CORBA_double );
  flick_cdr_decode_signed16(8, _data->j.b.a.a, CORBA_short );
  flick_cdr_decode_float64(16, _data->j.b.a.b, CORBA_double );
  flick_cdr_decode_signed16(24, _data->j.m.a, CORBA_short );
  flick_cdr_decode_float64(32, _data->j.m.b, CORBA_double );
  flick_cdr_decode_float32(40, _data->f, CORBA_float );
  flick_cdr_decode_signed16(44, _data->g.c, CORBA_short );
  flick_cdr_decode_char8(46, _data->g.d, CORBA_char );
  flick_cdr_decode_unsigned8(47, _data->g.e.c, CORBA_boolean );
  flick_cdr_decode_signed32(48, _data->g.e.d, CORBA_long );
  flick_cdr_decode_signed16(52, _data->g.f, CORBA_short );
  flick_cdr_decode_unsigned8(54, _data->g.g.c, CORBA_boolean );
  flick_cdr_decode_signed32(56, _data->g.g.d, CORBA_long );
  flick_cdr_decode_signed16(60, _data->i.a, CORBA_short );
  flick_cdr_decode_float64(64, _data->i.b, CORBA_double );
  flick_khazana_decode_end_chunk(72);
  flick_khazana_decode_end_glob(96);
  return 0;
  {
  _flick_abort16:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_a_swap(flick_marshal_stream_t _stream, struct a *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(96);
  flick_khazana_check_span(18, _flick_abort17);
  flick_khazana_decode_new_chunk(18);
  flick_cdr_swap_decode_signed16(0, _data->e.c, CORBA_short );
  flick_cdr_swap_decode_char8(2, _data->e.d, CORBA_char );
  flick_cdr_swap_decode_unsigned8(3, _data->e.e.c, CORBA_boolean );
  flick_cdr_swap_decode_signed32(4, _data->e.e.d, CORBA_long );
  flick_cdr_swap_decode_signed16(8, _data->e.f, CORBA_short );
  flick_cdr_swap_decode_unsigned8(10, _data->e.g.c, CORBA_boolean );
  flick_cdr_swap_decode_signed32(12, _data->e.g.d, CORBA_long );
  flick_cdr_swap_decode_signed16(16, _data->h.a, CORBA_short );
  flick_khazana_decode_end_chunk(18);
  flick_khazana_decode_new_chunk_align(72, 3, 2, 2);
  flick_khazana_check_span(72, _flick_abort17);
  flick_cdr_swap_decode_float64(0, _data->h.b, CORBA_double );
  flick_cdr_swap_decode_signed16(8, _data->j.b.a.a, CORBA_short );
  flick_cdr_swap_decode_float64(16, _data->j.b.a.b, CORBA_double );
  flick_cdr_swap_decode_signed16(24, _data->j.m.a, CORBA_short );
  flick_cdr_swap_decode_float64(32, _data->j.m.b, CORBA_double );
  flick_cdr_swap_decode_float32(40, _data->f, CORBA_float );
  flick_cdr_swap_decode_signed16(44, _data->g.c, CORBA_short );
  flick_cdr_swap_decode_char8(46, _data->g.d, CORBA_char );
  flick_cdr_swap_decode_unsigned8(47, _data->g.e.c, CORBA_boolean );
  flick_cdr_swap_decode_signed32(48, _data->g.e.d, CORBA_long );
  flick_cdr_swap_decode_signed16(52, _data->g.f, CORBA_short );
  flick_cdr_swap_decode_unsigned8(54, _data->g.g.c, CORBA_boolean );
  flick_cdr_swap_decode_signed32(56, _data->g.g.d, CORBA_long );
  flick_cdr_swap_decode_signed16(60, _data->i.a, CORBA_short );
  flick_cdr_swap_decode_float64(64, _data->i.b, CORBA_double );
  flick_khazana_decode_end_chunk(72);
  flick_khazana_decode_end_glob(96);
  return 0;
  {
  _flick_abort17:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_b(flick_marshal_stream_t _stream, struct b *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(17, _flick_abort18);
  flick_khazana_encode_new_chunk(17);
  flick_cdr_encode_signed16(0, _data->c.c, CORBA_short );
  flick_cdr_encode_char8(2, _data->c.d, CORBA_char );
  flick_cdr_encode_unsigned8(3, _data->c.e.c, CORBA_boolean );
  flick_cdr_encode_signed32(4, _data->c.e.d, CORBA_long );
  flick_cdr_encode_signed16(8, _data->c.f, CORBA_short );
  flick_cdr_encode_unsigned8(10, _data->c.g.c, CORBA_boolean );
  flick_cdr_encode_signed32(12, _data->c.g.d, CORBA_long );
  flick_cdr_encode_char8(16, _data->d, CORBA_char );
  flick_khazana_encode_end_chunk(17);
  flick_khazana_encode_end_glob(17);
  return 0;
  {
  _flick_abort18:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_b(flick_marshal_stream_t _stream, struct b *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(17);
  flick_khazana_check_span(17, _flick_abort19);
  flick_khazana_decode_new_chunk(17);
  flick_cdr_decode_signed16(0, _data->c.c, CORBA_short );
  flick_cdr_decode_char8(2, _data->c.d, CORBA_char );
  flick_cdr_decode_unsigned8(3, _data->c.e.c, CORBA_boolean );
  flick_cdr_decode_signed32(4, _data->c.e.d, CORBA_long );
  flick_cdr_decode_signed16(8, _data->c.f, CORBA_short );
  flick_cdr_decode_unsigned8(10, _data->c.g.c, CORBA_boolean );
  flick_cdr_decode_signed32(12, _data->c.g.d, CORBA_long );
  flick_cdr_decode_char8(16, _data->d, CORBA_char );
  flick_khazana_decode_end_chunk(17);
  flick_khazana_decode_end_glob(17);
  return 0;
  {
  _flick_abort19:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_b_swap(flick_marshal_stream_t _stream, struct b *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(17);
  flick_khazana_check_span(17, _flick_abort20);
  flick_khazana_decode_new_chunk(17);
  flick_cdr_swap_decode_signed16(0, _data->c.c, CORBA_short );
  flick_cdr_swap_decode_char8(2, _data->c.d, CORBA_char );
  flick_cdr_swap_decode_unsigned8(3, _data->c.e.c, CORBA_boolean );
  flick_cdr_swap_decode_signed32(4, _data->c.e.d, CORBA_long );
  flick_cdr_swap_decode_signed16(8, _data->c.f, CORBA_short );
  flick_cdr_swap_decode_unsigned8(10, _data->c.g.c, CORBA_boolean );
  flick_cdr_swap_decode_signed32(12, _data->c.g.d, CORBA_long );
  flick_cdr_swap_decode_char8(16, _data->d, CORBA_char );
  flick_khazana_decode_end_chunk(17);
  flick_khazana_decode_end_glob(17);
  return 0;
  {
  _flick_abort20:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_test(flick_marshal_stream_t _stream, test *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdr_encode_IOR(khazana, *_data, 0, _flick_abort21);
  return 0;
  {
  _flick_abort21:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_test(flick_marshal_stream_t _stream, test *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_decode_IOR(khazana, *_data, 1);
  return 0;
}

int flick_unmarshal_stub_test_swap(flick_marshal_stream_t _stream, test *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swap_decode_IOR(khazana, *_data, 1);
  return 0;
}

flick_operation_success_t test_server(FLICK_TARGET _this_obj, flick_msg_t _in_msg, flick_msg_t *_out_msg)
{
  FLICK_BUFFER *_stream;
  flick_khazana_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t33_switch_tag;

    flick_khazana_decode_new_glob(16);
    flick_khazana_check_span(16, _flick_abort26);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t33_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t33_switch_tag)
      {
      case (unsigned int) 8:
        {
          unsigned int _t34_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t34_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t34_switch_tag)
            {
            case /* Copy */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1131376761):
              {
                unsigned int _t35_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t35_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t35_switch_tag)
                  {
                  case /* Add */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1097098240):
                    {
                      {
                        test _obj;
                        unsigned int _t36_principal_len;
                        struct b _return;
                        struct a *_local_s1;
                        struct a _t37_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t38_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort90);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t36_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t36_principal_len, _flick_abort90);
                        flick_khazana_decode_new_glob(_t36_principal_len);
                        flick_khazana_decode_new_chunk(_t36_principal_len);
                        flick_khazana_decode_end_chunk(_t36_principal_len);
                        flick_khazana_decode_end_glob(_t36_principal_len);
                        /* Begin decode phase on parameters */
                        _local_s1 = (struct a *)(&_t37_storage);
                        flick_khazana_decode_new_glob(99);
                        flick_khazana_decode_new_chunk_align(4, 1, 0, 0);
                        flick_khazana_check_span(4, _flick_abort90);
                        flick_cdr_swap_decode_signed16(0, _local_s1->e.c, CORBA_short );
                        flick_cdr_swap_decode_char8(2, _local_s1->e.d, CORBA_char );
                        flick_cdr_swap_decode_unsigned8(3, _local_s1->e.e.c, CORBA_boolean );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_new_chunk_align(14, 2, 1, 0);
                        flick_khazana_check_span(14, _flick_abort90);
                        flick_cdr_swap_decode_signed32(0, _local_s1->e.e.d, CORBA_long );
                        flick_cdr_swap_decode_signed16(4, _local_s1->e.f, CORBA_short );
                        flick_cdr_swap_decode_unsigned8(6, _local_s1->e.g.c, CORBA_boolean );
                        flick_cdr_swap_decode_signed32(8, _local_s1->e.g.d, CORBA_long );
                        flick_cdr_swap_decode_signed16(12, _local_s1->h.a, CORBA_short );
                        flick_khazana_decode_end_chunk(14);
                        flick_khazana_decode_new_chunk_align(72, 3, 2, 2);
                        flick_khazana_check_span(72, _flick_abort90);
                        flick_cdr_swap_decode_float64(0, _local_s1->h.b, CORBA_double );
                        flick_cdr_swap_decode_signed16(8, _local_s1->j.b.a.a, CORBA_short );
                        flick_cdr_swap_decode_float64(16, _local_s1->j.b.a.b, CORBA_double );
                        flick_cdr_swap_decode_signed16(24, _local_s1->j.m.a, CORBA_short );
                        flick_cdr_swap_decode_float64(32, _local_s1->j.m.b, CORBA_double );
                        flick_cdr_swap_decode_float32(40, _local_s1->f, CORBA_float );
                        flick_cdr_swap_decode_signed16(44, _local_s1->g.c, CORBA_short );
                        flick_cdr_swap_decode_char8(46, _local_s1->g.d, CORBA_char );
                        flick_cdr_swap_decode_unsigned8(47, _local_s1->g.e.c, CORBA_boolean );
                        flick_cdr_swap_decode_signed32(48, _local_s1->g.e.d, CORBA_long );
                        flick_cdr_swap_decode_signed16(52, _local_s1->g.f, CORBA_short );
                        flick_cdr_swap_decode_unsigned8(54, _local_s1->g.g.c, CORBA_boolean );
                        flick_cdr_swap_decode_signed32(56, _local_s1->g.g.d, CORBA_long );
                        flick_cdr_swap_decode_signed16(60, _local_s1->i.a, CORBA_short );
                        flick_cdr_swap_decode_float64(64, _local_s1->i.b, CORBA_double );
                        _ev = (CORBA_Environment *)(&_t38_storage);
                        flick_khazana_decode_end_chunk(72);
                        flick_khazana_decode_end_glob(99);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = test_CopyAdd(_obj, _local_s1, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort90);
                          flick_khazana_encode_new_glob(21, _flick_abort90);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(17);
                                flick_cdr_encode_signed16(0, _return.c.c, CORBA_short );
                                flick_cdr_encode_char8(2, _return.c.d, CORBA_char );
                                flick_cdr_encode_unsigned8(3, _return.c.e.c, CORBA_boolean );
                                flick_cdr_encode_signed32(4, _return.c.e.d, CORBA_long );
                                flick_cdr_encode_signed16(8, _return.c.f, CORBA_short );
                                flick_cdr_encode_unsigned8(10, _return.c.g.c, CORBA_boolean );
                                flick_cdr_encode_signed32(12, _return.c.g.d, CORBA_long );
                                flick_cdr_encode_char8(16, _return.d, CORBA_char );
                                flick_khazana_encode_end_chunk(17);
                                flick_khazana_encode_end_glob(21);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(21);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort96);
                                break;
                                {
                                _flick_abort96:
                                  goto _flick_abort90;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort97);
                                flick_khazana_encode_end_glob(21);
                                break;
                                {
                                _flick_abort97:
                                  goto _flick_abort90;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort90:
                          goto _flick_abort89;
                        }
                      }
                      break;
                      {
                      _flick_abort89:
                        goto _flick_abort26;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort26);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort26);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t39_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t39_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t39_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t40_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t40_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t40_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t41_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t42_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t43_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort99);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t41_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t41_principal_len, _flick_abort99);
                        flick_khazana_decode_new_glob(_t41_principal_len);
                        flick_khazana_decode_new_chunk(_t41_principal_len);
                        flick_khazana_decode_end_chunk(_t41_principal_len);
                        flick_khazana_decode_end_glob(_t41_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort99);
                        flick_cdr_swap_decode_unsigned32(0, _t42_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t42_temp_string_len);
                        flick_khazana_check_span(1 * _t42_temp_string_len, _flick_abort99);
                        flick_khazana_decode_new_chunk(1 * _t42_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t42_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t42_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t43_storage);
                        _par = flick_interface_parents_test;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort99);
                          flick_khazana_encode_new_glob(5, _flick_abort99);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort107);
                                break;
                                {
                                _flick_abort107:
                                  goto _flick_abort99;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort108);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort108:
                                  goto _flick_abort99;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort99:
                          goto _flick_abort98;
                        }
                      }
                      break;
                      {
                      _flick_abort98:
                        goto _flick_abort26;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort26);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort26);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort26);
          flick_khazana_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t11_switch_tag;

    flick_khazana_decode_new_glob(16);
    flick_khazana_check_span(16, _flick_abort26);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t11_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t11_switch_tag)
      {
      case (unsigned int) 8:
        {
          unsigned int _t12_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t12_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t12_switch_tag)
            {
            case /* Copy */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1131376761):
              {
                unsigned int _t13_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t13_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t13_switch_tag)
                  {
                  case /* Add */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1097098240):
                    {
                      {
                        test _obj;
                        unsigned int _t14_principal_len;
                        struct b _return;
                        struct a *_local_s1;
                        struct a _t15_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t16_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort49);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t14_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t14_principal_len, _flick_abort49);
                        flick_khazana_decode_new_glob(_t14_principal_len);
                        flick_khazana_decode_new_chunk(_t14_principal_len);
                        flick_khazana_decode_end_chunk(_t14_principal_len);
                        flick_khazana_decode_end_glob(_t14_principal_len);
                        /* Begin decode phase on parameters */
                        _local_s1 = (struct a *)(&_t15_storage);
                        flick_khazana_decode_new_glob(99);
                        flick_khazana_decode_new_chunk_align(4, 1, 0, 0);
                        flick_khazana_check_span(4, _flick_abort49);
                        flick_cdr_decode_signed16(0, _local_s1->e.c, CORBA_short );
                        flick_cdr_decode_char8(2, _local_s1->e.d, CORBA_char );
                        flick_cdr_decode_unsigned8(3, _local_s1->e.e.c, CORBA_boolean );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_new_chunk_align(14, 2, 1, 0);
                        flick_khazana_check_span(14, _flick_abort49);
                        flick_cdr_decode_signed32(0, _local_s1->e.e.d, CORBA_long );
                        flick_cdr_decode_signed16(4, _local_s1->e.f, CORBA_short );
                        flick_cdr_decode_unsigned8(6, _local_s1->e.g.c, CORBA_boolean );
                        flick_cdr_decode_signed32(8, _local_s1->e.g.d, CORBA_long );
                        flick_cdr_decode_signed16(12, _local_s1->h.a, CORBA_short );
                        flick_khazana_decode_end_chunk(14);
                        flick_khazana_decode_new_chunk_align(72, 3, 2, 2);
                        flick_khazana_check_span(72, _flick_abort49);
                        flick_cdr_decode_float64(0, _local_s1->h.b, CORBA_double );
                        flick_cdr_decode_signed16(8, _local_s1->j.b.a.a, CORBA_short );
                        flick_cdr_decode_float64(16, _local_s1->j.b.a.b, CORBA_double );
                        flick_cdr_decode_signed16(24, _local_s1->j.m.a, CORBA_short );
                        flick_cdr_decode_float64(32, _local_s1->j.m.b, CORBA_double );
                        flick_cdr_decode_float32(40, _local_s1->f, CORBA_float );
                        flick_cdr_decode_signed16(44, _local_s1->g.c, CORBA_short );
                        flick_cdr_decode_char8(46, _local_s1->g.d, CORBA_char );
                        flick_cdr_decode_unsigned8(47, _local_s1->g.e.c, CORBA_boolean );
                        flick_cdr_decode_signed32(48, _local_s1->g.e.d, CORBA_long );
                        flick_cdr_decode_signed16(52, _local_s1->g.f, CORBA_short );
                        flick_cdr_decode_unsigned8(54, _local_s1->g.g.c, CORBA_boolean );
                        flick_cdr_decode_signed32(56, _local_s1->g.g.d, CORBA_long );
                        flick_cdr_decode_signed16(60, _local_s1->i.a, CORBA_short );
                        flick_cdr_decode_float64(64, _local_s1->i.b, CORBA_double );
                        _ev = (CORBA_Environment *)(&_t16_storage);
                        flick_khazana_decode_end_chunk(72);
                        flick_khazana_decode_end_glob(99);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = test_CopyAdd(_obj, _local_s1, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort49);
                          flick_khazana_encode_new_glob(21, _flick_abort49);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(17);
                                flick_cdr_encode_signed16(0, _return.c.c, CORBA_short );
                                flick_cdr_encode_char8(2, _return.c.d, CORBA_char );
                                flick_cdr_encode_unsigned8(3, _return.c.e.c, CORBA_boolean );
                                flick_cdr_encode_signed32(4, _return.c.e.d, CORBA_long );
                                flick_cdr_encode_signed16(8, _return.c.f, CORBA_short );
                                flick_cdr_encode_unsigned8(10, _return.c.g.c, CORBA_boolean );
                                flick_cdr_encode_signed32(12, _return.c.g.d, CORBA_long );
                                flick_cdr_encode_char8(16, _return.d, CORBA_char );
                                flick_khazana_encode_end_chunk(17);
                                flick_khazana_encode_end_glob(21);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(21);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort55);
                                break;
                                {
                                _flick_abort55:
                                  goto _flick_abort49;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort56);
                                flick_khazana_encode_end_glob(21);
                                break;
                                {
                                _flick_abort56:
                                  goto _flick_abort49;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort49:
                          goto _flick_abort48;
                        }
                      }
                      break;
                      {
                      _flick_abort48:
                        goto _flick_abort26;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort26);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort26);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t17_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t17_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t17_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t18_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t18_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t18_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t19_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t20_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t21_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort58);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t19_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t19_principal_len, _flick_abort58);
                        flick_khazana_decode_new_glob(_t19_principal_len);
                        flick_khazana_decode_new_chunk(_t19_principal_len);
                        flick_khazana_decode_end_chunk(_t19_principal_len);
                        flick_khazana_decode_end_glob(_t19_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort58);
                        flick_cdr_decode_unsigned32(0, _t20_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t20_temp_string_len);
                        flick_khazana_check_span(1 * _t20_temp_string_len, _flick_abort58);
                        flick_khazana_decode_new_chunk(1 * _t20_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t20_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t20_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t21_storage);
                        _par = flick_interface_parents_test;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort58);
                          flick_khazana_encode_new_glob(5, _flick_abort58);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort66);
                                break;
                                {
                                _flick_abort66:
                                  goto _flick_abort58;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort67);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort67:
                                  goto _flick_abort58;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort58:
                          goto _flick_abort57;
                        }
                      }
                      break;
                      {
                      _flick_abort57:
                        goto _flick_abort26;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort26);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort26);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort26);
          flick_khazana_decode_end_glob(16);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort26:
    flick_corba_server_error(cdr, khazana, _flick_reaper, _flick_abort25);
  _flick_abort25:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

