#include "structnestez_-server.h"

/* This is the runtime type information */
char *flick_interface_parents_test[] = {
	"IDL:test:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
int flick_marshal_stub_a(flick_marshal_stream_t _stream, struct a *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(2, _flick_abort0);
  flick_khazana_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, _data->f, CORBA_short );
  flick_khazana_encode_end_chunk(2);
  flick_khazana_encode_end_glob(2);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_a(flick_marshal_stream_t _stream, struct a *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(2);
  flick_khazana_check_span(2, _flick_abort1);
  flick_khazana_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, _data->f, CORBA_short );
  flick_khazana_decode_end_chunk(2);
  flick_khazana_decode_end_glob(2);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_a_swap(flick_marshal_stream_t _stream, struct a *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(2);
  flick_khazana_check_span(2, _flick_abort2);
  flick_khazana_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->f, CORBA_short );
  flick_khazana_decode_end_chunk(2);
  flick_khazana_decode_end_glob(2);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_b(flick_marshal_stream_t _stream, struct b *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(2, _flick_abort3);
  flick_khazana_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, _data->f.f, CORBA_short );
  flick_khazana_encode_end_chunk(2);
  flick_khazana_encode_end_glob(2);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_b(flick_marshal_stream_t _stream, struct b *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(2);
  flick_khazana_check_span(2, _flick_abort4);
  flick_khazana_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, _data->f.f, CORBA_short );
  flick_khazana_decode_end_chunk(2);
  flick_khazana_decode_end_glob(2);
  return 0;
  {
  _flick_abort4:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_b_swap(flick_marshal_stream_t _stream, struct b *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(2);
  flick_khazana_check_span(2, _flick_abort5);
  flick_khazana_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->f.f, CORBA_short );
  flick_khazana_decode_end_chunk(2);
  flick_khazana_decode_end_glob(2);
  return 0;
  {
  _flick_abort5:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_bar_foo(flick_marshal_stream_t _stream, struct bar_foo *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(2, _flick_abort6);
  flick_khazana_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, _data->f, CORBA_short );
  flick_khazana_encode_end_chunk(2);
  flick_khazana_encode_end_glob(2);
  return 0;
  {
  _flick_abort6:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_bar_foo(flick_marshal_stream_t _stream, struct bar_foo *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(2);
  flick_khazana_check_span(2, _flick_abort7);
  flick_khazana_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, _data->f, CORBA_short );
  flick_khazana_decode_end_chunk(2);
  flick_khazana_decode_end_glob(2);
  return 0;
  {
  _flick_abort7:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_bar_foo_swap(flick_marshal_stream_t _stream, struct bar_foo *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(2);
  flick_khazana_check_span(2, _flick_abort8);
  flick_khazana_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->f, CORBA_short );
  flick_khazana_decode_end_chunk(2);
  flick_khazana_decode_end_glob(2);
  return 0;
  {
  _flick_abort8:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_bar(flick_marshal_stream_t _stream, struct bar *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(2, _flick_abort9);
  flick_khazana_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, _data->f.f, CORBA_short );
  flick_khazana_encode_end_chunk(2);
  flick_khazana_encode_end_glob(2);
  return 0;
  {
  _flick_abort9:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_bar(flick_marshal_stream_t _stream, struct bar *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(2);
  flick_khazana_check_span(2, _flick_abort10);
  flick_khazana_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, _data->f.f, CORBA_short );
  flick_khazana_decode_end_chunk(2);
  flick_khazana_decode_end_glob(2);
  return 0;
  {
  _flick_abort10:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_bar_swap(flick_marshal_stream_t _stream, struct bar *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(2);
  flick_khazana_check_span(2, _flick_abort11);
  flick_khazana_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->f.f, CORBA_short );
  flick_khazana_decode_end_chunk(2);
  flick_khazana_decode_end_glob(2);
  return 0;
  {
  _flick_abort11:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_test(flick_marshal_stream_t _stream, test *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdr_encode_IOR(khazana, *_data, 0, _flick_abort12);
  return 0;
  {
  _flick_abort12:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_test(flick_marshal_stream_t _stream, test *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_decode_IOR(khazana, *_data, 1);
  return 0;
}

int flick_unmarshal_stub_test_swap(flick_marshal_stream_t _stream, test *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swap_decode_IOR(khazana, *_data, 1);
  return 0;
}

flick_operation_success_t test_server(FLICK_TARGET _this_obj, flick_msg_t _in_msg, flick_msg_t *_out_msg)
{
  FLICK_BUFFER *_stream;
  flick_khazana_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t45_switch_tag;

    flick_khazana_decode_new_glob(16);
    flick_khazana_check_span(12, _flick_abort17);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t45_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t45_switch_tag)
      {
      case (unsigned int) 3:
        {
          unsigned short int _t46_switch_tag;

          flick_khazana_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t46_switch_tag, unsigned short int );
          flick_khazana_decode_end_chunk(2);
          switch ((unsigned short int )_t46_switch_tag)
            {
            case /* op */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28528):
              {
                char _t47_switch_tag;

                flick_khazana_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t47_switch_tag, char );
                flick_khazana_decode_end_chunk(1);
                switch ((char )_t47_switch_tag)
                  {
                  case 0:
                    {
                      {
                        test _obj;
                        unsigned int _t48_principal_len;
                        struct bar _return;
                        struct bar *_local_arg;
                        struct bar _t49_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t50_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort108);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(5);
                        flick_cdr_swap_decode_unsigned32(1, _t48_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(5);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t48_principal_len, _flick_abort108);
                        flick_khazana_decode_new_glob(_t48_principal_len);
                        flick_khazana_decode_new_chunk(_t48_principal_len);
                        flick_khazana_decode_end_chunk(_t48_principal_len);
                        flick_khazana_decode_end_glob(_t48_principal_len);
                        /* Begin decode phase on parameters */
                        _local_arg = (struct bar *)(&_t49_storage);
                        flick_khazana_decode_new_glob(3);
                        flick_khazana_decode_new_chunk_align(2, 1, 0, 0);
                        flick_khazana_check_span(2, _flick_abort108);
                        flick_cdr_swap_decode_signed16(0, _local_arg->f.f, CORBA_short );
                        _ev = (CORBA_Environment *)(&_t50_storage);
                        flick_khazana_decode_end_chunk(2);
                        flick_khazana_decode_end_glob(3);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = test_op(_obj, _local_arg, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort108);
                          flick_khazana_encode_new_glob(6, _flick_abort108);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(2);
                                flick_cdr_encode_signed16(0, _return.f.f, CORBA_short );
                                flick_khazana_encode_end_chunk(2);
                                flick_khazana_encode_end_glob(6);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(6);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort114);
                                break;
                                {
                                _flick_abort114:
                                  goto _flick_abort108;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort115);
                                flick_khazana_encode_end_glob(6);
                                break;
                                {
                                _flick_abort115:
                                  goto _flick_abort108;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort108:
                          goto _flick_abort107;
                        }
                      }
                      break;
                      {
                      _flick_abort107:
                        goto _flick_abort17;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 4:
        {
          unsigned int _t51_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t51_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t51_switch_tag)
            {
            case /* op2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623808):
              {
                {
                  test _obj;
                  unsigned int _t52_principal_len;
                  struct b _return;
                  struct b *_local_arg;
                  struct b _t53_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t54_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort117);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t52_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t52_principal_len, _flick_abort117);
                  flick_khazana_decode_new_glob(_t52_principal_len);
                  flick_khazana_decode_new_chunk(_t52_principal_len);
                  flick_khazana_decode_end_chunk(_t52_principal_len);
                  flick_khazana_decode_end_glob(_t52_principal_len);
                  /* Begin decode phase on parameters */
                  _local_arg = (struct b *)(&_t53_storage);
                  flick_khazana_decode_new_glob(3);
                  flick_khazana_decode_new_chunk_align(2, 1, 0, 0);
                  flick_khazana_check_span(2, _flick_abort117);
                  flick_cdr_swap_decode_signed16(0, _local_arg->f.f, CORBA_short );
                  _ev = (CORBA_Environment *)(&_t54_storage);
                  flick_khazana_decode_end_chunk(2);
                  flick_khazana_decode_end_glob(3);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = test_op2(_obj, _local_arg, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort117);
                    flick_khazana_encode_new_glob(6, _flick_abort117);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(2);
                          flick_cdr_encode_signed16(0, _return.f.f, CORBA_short );
                          flick_khazana_encode_end_chunk(2);
                          flick_khazana_encode_end_glob(6);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(6);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort123);
                          break;
                          {
                          _flick_abort123:
                            goto _flick_abort117;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort124);
                          flick_khazana_encode_end_glob(6);
                          break;
                          {
                          _flick_abort124:
                            goto _flick_abort117;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort117:
                    goto _flick_abort116;
                  }
                }
                break;
                {
                _flick_abort116:
                  goto _flick_abort17;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t55_switch_tag;

          flick_khazana_check_span(12, _flick_abort17);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t55_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t55_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t56_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t56_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t56_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t57_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t58_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t59_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort126);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t57_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t57_principal_len, _flick_abort126);
                        flick_khazana_decode_new_glob(_t57_principal_len);
                        flick_khazana_decode_new_chunk(_t57_principal_len);
                        flick_khazana_decode_end_chunk(_t57_principal_len);
                        flick_khazana_decode_end_glob(_t57_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort126);
                        flick_cdr_swap_decode_unsigned32(0, _t58_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t58_temp_string_len);
                        flick_khazana_check_span(1 * _t58_temp_string_len, _flick_abort126);
                        flick_khazana_decode_new_chunk(1 * _t58_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t58_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t58_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t59_storage);
                        _par = flick_interface_parents_test;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort126);
                          flick_khazana_encode_new_glob(5, _flick_abort126);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort134);
                                break;
                                {
                                _flick_abort134:
                                  goto _flick_abort126;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort135);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort135:
                                  goto _flick_abort126;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort126:
                          goto _flick_abort125;
                        }
                      }
                      break;
                      {
                      _flick_abort125:
                        goto _flick_abort17;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
          flick_khazana_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t15_switch_tag;

    flick_khazana_decode_new_glob(16);
    flick_khazana_check_span(12, _flick_abort17);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t15_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t15_switch_tag)
      {
      case (unsigned int) 3:
        {
          unsigned short int _t16_switch_tag;

          flick_khazana_decode_new_chunk(2);
          flick_cdr_decode_unsigned16(0, _t16_switch_tag, unsigned short int );
          flick_khazana_decode_end_chunk(2);
          switch ((unsigned short int )_t16_switch_tag)
            {
            case /* op */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28528):
              {
                char _t17_switch_tag;

                flick_khazana_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t17_switch_tag, char );
                flick_khazana_decode_end_chunk(1);
                switch ((char )_t17_switch_tag)
                  {
                  case 0:
                    {
                      {
                        test _obj;
                        unsigned int _t18_principal_len;
                        struct bar _return;
                        struct bar *_local_arg;
                        struct bar _t19_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t20_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort49);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(5);
                        flick_cdr_decode_unsigned32(1, _t18_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(5);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t18_principal_len, _flick_abort49);
                        flick_khazana_decode_new_glob(_t18_principal_len);
                        flick_khazana_decode_new_chunk(_t18_principal_len);
                        flick_khazana_decode_end_chunk(_t18_principal_len);
                        flick_khazana_decode_end_glob(_t18_principal_len);
                        /* Begin decode phase on parameters */
                        _local_arg = (struct bar *)(&_t19_storage);
                        flick_khazana_decode_new_glob(3);
                        flick_khazana_decode_new_chunk_align(2, 1, 0, 0);
                        flick_khazana_check_span(2, _flick_abort49);
                        flick_cdr_decode_signed16(0, _local_arg->f.f, CORBA_short );
                        _ev = (CORBA_Environment *)(&_t20_storage);
                        flick_khazana_decode_end_chunk(2);
                        flick_khazana_decode_end_glob(3);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = test_op(_obj, _local_arg, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort49);
                          flick_khazana_encode_new_glob(6, _flick_abort49);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(2);
                                flick_cdr_encode_signed16(0, _return.f.f, CORBA_short );
                                flick_khazana_encode_end_chunk(2);
                                flick_khazana_encode_end_glob(6);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(6);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort55);
                                break;
                                {
                                _flick_abort55:
                                  goto _flick_abort49;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort56);
                                flick_khazana_encode_end_glob(6);
                                break;
                                {
                                _flick_abort56:
                                  goto _flick_abort49;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort49:
                          goto _flick_abort48;
                        }
                      }
                      break;
                      {
                      _flick_abort48:
                        goto _flick_abort17;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 4:
        {
          unsigned int _t21_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t21_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t21_switch_tag)
            {
            case /* op2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623808):
              {
                {
                  test _obj;
                  unsigned int _t22_principal_len;
                  struct b _return;
                  struct b *_local_arg;
                  struct b _t23_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t24_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort58);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t22_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t22_principal_len, _flick_abort58);
                  flick_khazana_decode_new_glob(_t22_principal_len);
                  flick_khazana_decode_new_chunk(_t22_principal_len);
                  flick_khazana_decode_end_chunk(_t22_principal_len);
                  flick_khazana_decode_end_glob(_t22_principal_len);
                  /* Begin decode phase on parameters */
                  _local_arg = (struct b *)(&_t23_storage);
                  flick_khazana_decode_new_glob(3);
                  flick_khazana_decode_new_chunk_align(2, 1, 0, 0);
                  flick_khazana_check_span(2, _flick_abort58);
                  flick_cdr_decode_signed16(0, _local_arg->f.f, CORBA_short );
                  _ev = (CORBA_Environment *)(&_t24_storage);
                  flick_khazana_decode_end_chunk(2);
                  flick_khazana_decode_end_glob(3);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = test_op2(_obj, _local_arg, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort58);
                    flick_khazana_encode_new_glob(6, _flick_abort58);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(2);
                          flick_cdr_encode_signed16(0, _return.f.f, CORBA_short );
                          flick_khazana_encode_end_chunk(2);
                          flick_khazana_encode_end_glob(6);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(6);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort64);
                          break;
                          {
                          _flick_abort64:
                            goto _flick_abort58;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort65);
                          flick_khazana_encode_end_glob(6);
                          break;
                          {
                          _flick_abort65:
                            goto _flick_abort58;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort58:
                    goto _flick_abort57;
                  }
                }
                break;
                {
                _flick_abort57:
                  goto _flick_abort17;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t25_switch_tag;

          flick_khazana_check_span(12, _flick_abort17);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t25_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t25_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t26_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t26_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t26_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t27_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t28_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t29_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort67);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t27_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t27_principal_len, _flick_abort67);
                        flick_khazana_decode_new_glob(_t27_principal_len);
                        flick_khazana_decode_new_chunk(_t27_principal_len);
                        flick_khazana_decode_end_chunk(_t27_principal_len);
                        flick_khazana_decode_end_glob(_t27_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort67);
                        flick_cdr_decode_unsigned32(0, _t28_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t28_temp_string_len);
                        flick_khazana_check_span(1 * _t28_temp_string_len, _flick_abort67);
                        flick_khazana_decode_new_chunk(1 * _t28_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t28_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t28_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t29_storage);
                        _par = flick_interface_parents_test;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort67);
                          flick_khazana_encode_new_glob(5, _flick_abort67);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort75);
                                break;
                                {
                                _flick_abort75:
                                  goto _flick_abort67;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort76);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort76:
                                  goto _flick_abort67;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort67:
                          goto _flick_abort66;
                        }
                      }
                      break;
                      {
                      _flick_abort66:
                        goto _flick_abort17;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort17);
          flick_khazana_decode_end_glob(16);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort17:
    flick_corba_server_error(cdr, khazana, _flick_reaper, _flick_abort16);
  _flick_abort16:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

