#include "sunstat-server.h"

/* This is the runtime type information */
char *flick_interface_parents_PROGNAME[] = {
	"IDL:PROGNAME:1.0",
	0
};

char *flick_interface_parents_VERSNAME[] = {
	"IDL:VERSNAME:1.0",
	"IDL:PROGNAME:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
int flick_marshal_stub_my_ulong_t(flick_marshal_stream_t _stream, my_ulong_t *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(4, _flick_abort0);
  flick_khazana_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, *_data, unsigned int );
  flick_khazana_encode_end_chunk(4);
  flick_khazana_encode_end_glob(4);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_my_ulong_t(flick_marshal_stream_t _stream, my_ulong_t *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort1);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, *_data, unsigned int );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_my_ulong_t_swap(flick_marshal_stream_t _stream, my_ulong_t *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort2);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, *_data, unsigned int );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_my_dev_t(flick_marshal_stream_t _stream, my_dev_t *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(4, _flick_abort3);
  flick_khazana_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, *_data, my_ulong_t );
  flick_khazana_encode_end_chunk(4);
  flick_khazana_encode_end_glob(4);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_my_dev_t(flick_marshal_stream_t _stream, my_dev_t *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort4);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, *_data, my_ulong_t );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  return 0;
  {
  _flick_abort4:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_my_dev_t_swap(flick_marshal_stream_t _stream, my_dev_t *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort5);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, *_data, my_ulong_t );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  return 0;
  {
  _flick_abort5:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_my_ino_t(flick_marshal_stream_t _stream, my_ino_t *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(4, _flick_abort6);
  flick_khazana_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, *_data, my_ulong_t );
  flick_khazana_encode_end_chunk(4);
  flick_khazana_encode_end_glob(4);
  return 0;
  {
  _flick_abort6:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_my_ino_t(flick_marshal_stream_t _stream, my_ino_t *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort7);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, *_data, my_ulong_t );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  return 0;
  {
  _flick_abort7:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_my_ino_t_swap(flick_marshal_stream_t _stream, my_ino_t *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort8);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, *_data, my_ulong_t );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  return 0;
  {
  _flick_abort8:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_my_mode_t(flick_marshal_stream_t _stream, my_mode_t *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(4, _flick_abort9);
  flick_khazana_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, *_data, my_ulong_t );
  flick_khazana_encode_end_chunk(4);
  flick_khazana_encode_end_glob(4);
  return 0;
  {
  _flick_abort9:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_my_mode_t(flick_marshal_stream_t _stream, my_mode_t *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort10);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, *_data, my_ulong_t );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  return 0;
  {
  _flick_abort10:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_my_mode_t_swap(flick_marshal_stream_t _stream, my_mode_t *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort11);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, *_data, my_ulong_t );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  return 0;
  {
  _flick_abort11:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_my_nlink_t(flick_marshal_stream_t _stream, my_nlink_t *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(4, _flick_abort12);
  flick_khazana_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, *_data, my_ulong_t );
  flick_khazana_encode_end_chunk(4);
  flick_khazana_encode_end_glob(4);
  return 0;
  {
  _flick_abort12:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_my_nlink_t(flick_marshal_stream_t _stream, my_nlink_t *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort13);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, *_data, my_ulong_t );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  return 0;
  {
  _flick_abort13:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_my_nlink_t_swap(flick_marshal_stream_t _stream, my_nlink_t *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort14);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, *_data, my_ulong_t );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  return 0;
  {
  _flick_abort14:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_my_uid_t(flick_marshal_stream_t _stream, my_uid_t *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(4, _flick_abort15);
  flick_khazana_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, *_data, int );
  flick_khazana_encode_end_chunk(4);
  flick_khazana_encode_end_glob(4);
  return 0;
  {
  _flick_abort15:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_my_uid_t(flick_marshal_stream_t _stream, my_uid_t *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort16);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, *_data, int );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  return 0;
  {
  _flick_abort16:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_my_uid_t_swap(flick_marshal_stream_t _stream, my_uid_t *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort17);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, *_data, int );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  return 0;
  {
  _flick_abort17:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_my_gid_t(flick_marshal_stream_t _stream, my_gid_t *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(4, _flick_abort18);
  flick_khazana_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, *_data, my_uid_t );
  flick_khazana_encode_end_chunk(4);
  flick_khazana_encode_end_glob(4);
  return 0;
  {
  _flick_abort18:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_my_gid_t(flick_marshal_stream_t _stream, my_gid_t *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort19);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, *_data, my_uid_t );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  return 0;
  {
  _flick_abort19:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_my_gid_t_swap(flick_marshal_stream_t _stream, my_gid_t *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort20);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, *_data, my_uid_t );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  return 0;
  {
  _flick_abort20:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_my_off_t(flick_marshal_stream_t _stream, my_off_t *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(4, _flick_abort21);
  flick_khazana_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, *_data, int );
  flick_khazana_encode_end_chunk(4);
  flick_khazana_encode_end_glob(4);
  return 0;
  {
  _flick_abort21:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_my_off_t(flick_marshal_stream_t _stream, my_off_t *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort22);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, *_data, int );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  return 0;
  {
  _flick_abort22:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_my_off_t_swap(flick_marshal_stream_t _stream, my_off_t *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort23);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, *_data, int );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  return 0;
  {
  _flick_abort23:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_my_time_t(flick_marshal_stream_t _stream, my_time_t *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(4, _flick_abort24);
  flick_khazana_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, *_data, int );
  flick_khazana_encode_end_chunk(4);
  flick_khazana_encode_end_glob(4);
  return 0;
  {
  _flick_abort24:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_my_time_t(flick_marshal_stream_t _stream, my_time_t *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort25);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, *_data, int );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  return 0;
  {
  _flick_abort25:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_my_time_t_swap(flick_marshal_stream_t _stream, my_time_t *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort26);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, *_data, int );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  return 0;
  {
  _flick_abort26:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_my_timespec(flick_marshal_stream_t _stream, struct my_timespec *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(8, _flick_abort27);
  flick_khazana_encode_new_chunk(8);
  flick_cdr_encode_signed32(0, _data->tv_sec, int );
  flick_cdr_encode_signed32(4, _data->tv_nsec, int );
  flick_khazana_encode_end_chunk(8);
  flick_khazana_encode_end_glob(8);
  return 0;
  {
  _flick_abort27:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_my_timespec(flick_marshal_stream_t _stream, struct my_timespec *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(8);
  flick_khazana_check_span(8, _flick_abort28);
  flick_khazana_decode_new_chunk(8);
  flick_cdr_decode_signed32(0, _data->tv_sec, int );
  flick_cdr_decode_signed32(4, _data->tv_nsec, int );
  flick_khazana_decode_end_chunk(8);
  flick_khazana_decode_end_glob(8);
  return 0;
  {
  _flick_abort28:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_my_timespec_swap(flick_marshal_stream_t _stream, struct my_timespec *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(8);
  flick_khazana_check_span(8, _flick_abort29);
  flick_khazana_decode_new_chunk(8);
  flick_cdr_swap_decode_signed32(0, _data->tv_sec, int );
  flick_cdr_swap_decode_signed32(4, _data->tv_nsec, int );
  flick_khazana_decode_end_chunk(8);
  flick_khazana_decode_end_glob(8);
  return 0;
  {
  _flick_abort29:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_my_timestruc_t(flick_marshal_stream_t _stream, my_timestruc_t *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(8, _flick_abort30);
  flick_khazana_encode_new_chunk(8);
  flick_cdr_encode_signed32(0, _data->tv_sec, int );
  flick_cdr_encode_signed32(4, _data->tv_nsec, int );
  flick_khazana_encode_end_chunk(8);
  flick_khazana_encode_end_glob(8);
  return 0;
  {
  _flick_abort30:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_my_timestruc_t(flick_marshal_stream_t _stream, my_timestruc_t *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(8);
  flick_khazana_check_span(8, _flick_abort31);
  flick_khazana_decode_new_chunk(8);
  flick_cdr_decode_signed32(0, _data->tv_sec, int );
  flick_cdr_decode_signed32(4, _data->tv_nsec, int );
  flick_khazana_decode_end_chunk(8);
  flick_khazana_decode_end_glob(8);
  return 0;
  {
  _flick_abort31:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_my_timestruc_t_swap(flick_marshal_stream_t _stream, my_timestruc_t *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(8);
  flick_khazana_check_span(8, _flick_abort32);
  flick_khazana_decode_new_chunk(8);
  flick_cdr_swap_decode_signed32(0, _data->tv_sec, int );
  flick_cdr_swap_decode_signed32(4, _data->tv_nsec, int );
  flick_khazana_decode_end_chunk(8);
  flick_khazana_decode_end_glob(8);
  return 0;
  {
  _flick_abort32:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_my_stat(flick_marshal_stream_t _stream, struct my_stat *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(136, _flick_abort33);
  flick_khazana_encode_new_chunk(136);
  flick_cdr_encode_unsigned32(0, _data->st_dev, my_ulong_t );
  flick_cdr_encode_bcopy(4, _data->st_pad1, 12);
  flick_cdr_encode_unsigned32(16, _data->st_ino, my_ulong_t );
  flick_cdr_encode_unsigned32(20, _data->st_mode, my_ulong_t );
  flick_cdr_encode_unsigned32(24, _data->st_nlink, my_ulong_t );
  flick_cdr_encode_signed32(28, _data->st_uid, int );
  flick_cdr_encode_signed32(32, _data->st_gid, my_uid_t );
  flick_cdr_encode_unsigned32(36, _data->st_rdev, my_ulong_t );
  flick_cdr_encode_bcopy(40, _data->st_pad2, 8);
  flick_cdr_encode_signed32(48, _data->st_size, int );
  flick_cdr_encode_signed32(52, _data->st_pad3, int );
  flick_cdr_encode_signed32(56, _data->st_atime.tv_sec, int );
  flick_cdr_encode_signed32(60, _data->st_atime.tv_nsec, int );
  flick_cdr_encode_signed32(64, _data->st_mtime.tv_sec, int );
  flick_cdr_encode_signed32(68, _data->st_mtime.tv_nsec, int );
  flick_cdr_encode_signed32(72, _data->st_ctime.tv_sec, int );
  flick_cdr_encode_signed32(76, _data->st_ctime.tv_nsec, int );
  flick_cdr_encode_signed32(80, _data->st_blksize, int );
  flick_cdr_encode_signed32(84, _data->st_blocks, int );
  flick_cdr_encode_bcopy(88, _data->st_fstype, 16);
  flick_cdr_encode_bcopy(104, _data->st_pad4, 32);
  flick_khazana_encode_end_chunk(136);
  flick_khazana_encode_end_glob(136);
  return 0;
  {
  _flick_abort33:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_my_stat(flick_marshal_stream_t _stream, struct my_stat *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(136);
  flick_khazana_check_span(136, _flick_abort42);
  flick_khazana_decode_new_chunk(136);
  flick_cdr_decode_unsigned32(0, _data->st_dev, my_ulong_t );
  flick_cdr_decode_bcopy(4, _data->st_pad1, 12);
  flick_cdr_decode_unsigned32(16, _data->st_ino, my_ulong_t );
  flick_cdr_decode_unsigned32(20, _data->st_mode, my_ulong_t );
  flick_cdr_decode_unsigned32(24, _data->st_nlink, my_ulong_t );
  flick_cdr_decode_signed32(28, _data->st_uid, int );
  flick_cdr_decode_signed32(32, _data->st_gid, my_uid_t );
  flick_cdr_decode_unsigned32(36, _data->st_rdev, my_ulong_t );
  flick_cdr_decode_bcopy(40, _data->st_pad2, 8);
  flick_cdr_decode_signed32(48, _data->st_size, int );
  flick_cdr_decode_signed32(52, _data->st_pad3, int );
  flick_cdr_decode_signed32(56, _data->st_atime.tv_sec, int );
  flick_cdr_decode_signed32(60, _data->st_atime.tv_nsec, int );
  flick_cdr_decode_signed32(64, _data->st_mtime.tv_sec, int );
  flick_cdr_decode_signed32(68, _data->st_mtime.tv_nsec, int );
  flick_cdr_decode_signed32(72, _data->st_ctime.tv_sec, int );
  flick_cdr_decode_signed32(76, _data->st_ctime.tv_nsec, int );
  flick_cdr_decode_signed32(80, _data->st_blksize, int );
  flick_cdr_decode_signed32(84, _data->st_blocks, int );
  flick_cdr_decode_bcopy(88, _data->st_fstype, 16);
  flick_cdr_decode_bcopy(104, _data->st_pad4, 32);
  flick_khazana_decode_end_chunk(136);
  flick_khazana_decode_end_glob(136);
  return 0;
  {
  _flick_abort42:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_my_stat_swap(flick_marshal_stream_t _stream, struct my_stat *_data)
{
  flick_unsigned32_t _t0_array_iter;
  flick_unsigned32_t _t1_array_iter;
  flick_unsigned32_t _t2_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(136);
  flick_khazana_check_span(3 * 4 + (2 * 4 + 8 * 4) + 84, _flick_abort51);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->st_dev, my_ulong_t );
  flick_khazana_decode_end_chunk(4);
  for (_t0_array_iter = 0; _t0_array_iter < 3; _t0_array_iter++)
    {
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->st_pad1[_t0_array_iter], int );
      flick_khazana_decode_end_chunk(4);
      continue;
    }
  flick_khazana_decode_new_chunk(24);
  flick_cdr_swap_decode_unsigned32(0, _data->st_ino, my_ulong_t );
  flick_cdr_swap_decode_unsigned32(4, _data->st_mode, my_ulong_t );
  flick_cdr_swap_decode_unsigned32(8, _data->st_nlink, my_ulong_t );
  flick_cdr_swap_decode_signed32(12, _data->st_uid, int );
  flick_cdr_swap_decode_signed32(16, _data->st_gid, my_uid_t );
  flick_cdr_swap_decode_unsigned32(20, _data->st_rdev, my_ulong_t );
  flick_khazana_decode_end_chunk(24);
  for (_t1_array_iter = 0; _t1_array_iter < 2; _t1_array_iter++)
    {
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->st_pad2[_t1_array_iter], int );
      flick_khazana_decode_end_chunk(4);
      continue;
    }
  flick_khazana_decode_new_chunk(56);
  flick_cdr_swap_decode_signed32(0, _data->st_size, int );
  flick_cdr_swap_decode_signed32(4, _data->st_pad3, int );
  flick_cdr_swap_decode_signed32(8, _data->st_atime.tv_sec, int );
  flick_cdr_swap_decode_signed32(12, _data->st_atime.tv_nsec, int );
  flick_cdr_swap_decode_signed32(16, _data->st_mtime.tv_sec, int );
  flick_cdr_swap_decode_signed32(20, _data->st_mtime.tv_nsec, int );
  flick_cdr_swap_decode_signed32(24, _data->st_ctime.tv_sec, int );
  flick_cdr_swap_decode_signed32(28, _data->st_ctime.tv_nsec, int );
  flick_cdr_swap_decode_signed32(32, _data->st_blksize, int );
  flick_cdr_swap_decode_signed32(36, _data->st_blocks, int );
  flick_cdr_swap_decode_bcopy(40, _data->st_fstype, 16);
  flick_khazana_decode_end_chunk(56);
  for (_t2_array_iter = 0; _t2_array_iter < 8; _t2_array_iter++)
    {
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->st_pad4[_t2_array_iter], int );
      flick_khazana_decode_end_chunk(4);
      continue;
    }
  flick_khazana_decode_end_glob(136);
  return 0;
  {
  _flick_abort51:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_entry(flick_marshal_stream_t _stream, struct entry *_data)
{
  flick_unsigned32_t _t3_temp_string_len;

  flick_cdr_stringlen(char *, _data->filename, flick_unsigned32_t , _t3_temp_string_len);

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(399, _flick_abort69);
  flick_khazana_encode_new_chunk(4 + 1 * _t3_temp_string_len);
  flick_cdr_encode_unsigned32(0, _t3_temp_string_len, flick_unsigned32_t );
  if (_t3_temp_string_len > 256)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort69);
  flick_cdr_encode_bcopy(4, _data->filename, 1 * _t3_temp_string_len);
  flick_khazana_encode_end_chunk(4 + 1 * _t3_temp_string_len);
  flick_khazana_encode_new_chunk_align(136, 2, 0, 0);
  flick_cdr_encode_unsigned32(0, _data->info.st_dev, my_ulong_t );
  flick_cdr_encode_bcopy(4, _data->info.st_pad1, 12);
  flick_cdr_encode_unsigned32(16, _data->info.st_ino, my_ulong_t );
  flick_cdr_encode_unsigned32(20, _data->info.st_mode, my_ulong_t );
  flick_cdr_encode_unsigned32(24, _data->info.st_nlink, my_ulong_t );
  flick_cdr_encode_signed32(28, _data->info.st_uid, int );
  flick_cdr_encode_signed32(32, _data->info.st_gid, my_uid_t );
  flick_cdr_encode_unsigned32(36, _data->info.st_rdev, my_ulong_t );
  flick_cdr_encode_bcopy(40, _data->info.st_pad2, 8);
  flick_cdr_encode_signed32(48, _data->info.st_size, int );
  flick_cdr_encode_signed32(52, _data->info.st_pad3, int );
  flick_cdr_encode_signed32(56, _data->info.st_atime.tv_sec, int );
  flick_cdr_encode_signed32(60, _data->info.st_atime.tv_nsec, int );
  flick_cdr_encode_signed32(64, _data->info.st_mtime.tv_sec, int );
  flick_cdr_encode_signed32(68, _data->info.st_mtime.tv_nsec, int );
  flick_cdr_encode_signed32(72, _data->info.st_ctime.tv_sec, int );
  flick_cdr_encode_signed32(76, _data->info.st_ctime.tv_nsec, int );
  flick_cdr_encode_signed32(80, _data->info.st_blksize, int );
  flick_cdr_encode_signed32(84, _data->info.st_blocks, int );
  flick_cdr_encode_bcopy(88, _data->info.st_fstype, 16);
  flick_cdr_encode_bcopy(104, _data->info.st_pad4, 32);
  flick_khazana_encode_end_chunk(136);
  flick_khazana_encode_end_glob(399);
  return 0;
  {
  _flick_abort69:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_entry(flick_marshal_stream_t _stream, struct entry *_data)
{
  flick_unsigned32_t _t4_temp_string_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(399);
  flick_khazana_check_span(4, _flick_abort80);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _t4_temp_string_len, flick_unsigned32_t );
  if (_t4_temp_string_len > 256)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort80);
  flick_khazana_decode_end_chunk(4);
  flick_khazana_check_span(1 * _t4_temp_string_len, _flick_abort80);
  flick_khazana_decode_new_chunk(1 * _t4_temp_string_len);
  {
    char *_t_alloc_ptr;

    _t_alloc_ptr = (char *)(sun_flick_alloc(_t4_temp_string_len * sizeof(char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort80);
    _data->filename = _t_alloc_ptr;
  }
  flick_cdr_decode_bcopy(0, _data->filename, 1 * _t4_temp_string_len);
  flick_khazana_decode_end_chunk(1 * _t4_temp_string_len);
  flick_khazana_decode_new_chunk_align(136, 2, 0, 0);
  flick_khazana_check_span(136, _flick_abort83);
  flick_cdr_decode_unsigned32(0, _data->info.st_dev, my_ulong_t );
  flick_cdr_decode_bcopy(4, _data->info.st_pad1, 12);
  flick_cdr_decode_unsigned32(16, _data->info.st_ino, my_ulong_t );
  flick_cdr_decode_unsigned32(20, _data->info.st_mode, my_ulong_t );
  flick_cdr_decode_unsigned32(24, _data->info.st_nlink, my_ulong_t );
  flick_cdr_decode_signed32(28, _data->info.st_uid, int );
  flick_cdr_decode_signed32(32, _data->info.st_gid, my_uid_t );
  flick_cdr_decode_unsigned32(36, _data->info.st_rdev, my_ulong_t );
  flick_cdr_decode_bcopy(40, _data->info.st_pad2, 8);
  flick_cdr_decode_signed32(48, _data->info.st_size, int );
  flick_cdr_decode_signed32(52, _data->info.st_pad3, int );
  flick_cdr_decode_signed32(56, _data->info.st_atime.tv_sec, int );
  flick_cdr_decode_signed32(60, _data->info.st_atime.tv_nsec, int );
  flick_cdr_decode_signed32(64, _data->info.st_mtime.tv_sec, int );
  flick_cdr_decode_signed32(68, _data->info.st_mtime.tv_nsec, int );
  flick_cdr_decode_signed32(72, _data->info.st_ctime.tv_sec, int );
  flick_cdr_decode_signed32(76, _data->info.st_ctime.tv_nsec, int );
  flick_cdr_decode_signed32(80, _data->info.st_blksize, int );
  flick_cdr_decode_signed32(84, _data->info.st_blocks, int );
  flick_cdr_decode_bcopy(88, _data->info.st_fstype, 16);
  flick_cdr_decode_bcopy(104, _data->info.st_pad4, 32);
  flick_khazana_decode_end_chunk(136);
  flick_khazana_decode_end_glob(399);
  return 0;
  {
  _flick_abort83:
    sun_flick_free(_data->filename);
  _flick_abort80:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_entry_swap(flick_marshal_stream_t _stream, struct entry *_data)
{
  flick_unsigned32_t _t5_temp_string_len;
  flick_unsigned32_t _t6_array_iter;
  flick_unsigned32_t _t7_array_iter;
  flick_unsigned32_t _t8_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(399);
  flick_khazana_check_span(4, _flick_abort92);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _t5_temp_string_len, flick_unsigned32_t );
  if (_t5_temp_string_len > 256)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort92);
  flick_khazana_decode_end_chunk(4);
  flick_khazana_check_span(1 * _t5_temp_string_len, _flick_abort92);
  flick_khazana_decode_new_chunk(1 * _t5_temp_string_len);
  {
    char *_t_alloc_ptr;

    _t_alloc_ptr = (char *)(sun_flick_alloc(_t5_temp_string_len * sizeof(char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort92);
    _data->filename = _t_alloc_ptr;
  }
  flick_cdr_swap_decode_bcopy(0, _data->filename, 1 * _t5_temp_string_len);
  flick_khazana_decode_end_chunk(1 * _t5_temp_string_len);
  flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
  flick_khazana_check_span(3 * 4 + (2 * 4 + 8 * 4) + 84, _flick_abort95);
  flick_cdr_swap_decode_unsigned32(0, _data->info.st_dev, my_ulong_t );
  flick_khazana_decode_end_chunk(4);
  for (_t6_array_iter = 0; _t6_array_iter < 3; _t6_array_iter++)
    {
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->info.st_pad1[_t6_array_iter], int );
      flick_khazana_decode_end_chunk(4);
      continue;
    }
  flick_khazana_decode_new_chunk(24);
  flick_cdr_swap_decode_unsigned32(0, _data->info.st_ino, my_ulong_t );
  flick_cdr_swap_decode_unsigned32(4, _data->info.st_mode, my_ulong_t );
  flick_cdr_swap_decode_unsigned32(8, _data->info.st_nlink, my_ulong_t );
  flick_cdr_swap_decode_signed32(12, _data->info.st_uid, int );
  flick_cdr_swap_decode_signed32(16, _data->info.st_gid, my_uid_t );
  flick_cdr_swap_decode_unsigned32(20, _data->info.st_rdev, my_ulong_t );
  flick_khazana_decode_end_chunk(24);
  for (_t7_array_iter = 0; _t7_array_iter < 2; _t7_array_iter++)
    {
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->info.st_pad2[_t7_array_iter], int );
      flick_khazana_decode_end_chunk(4);
      continue;
    }
  flick_khazana_decode_new_chunk(56);
  flick_cdr_swap_decode_signed32(0, _data->info.st_size, int );
  flick_cdr_swap_decode_signed32(4, _data->info.st_pad3, int );
  flick_cdr_swap_decode_signed32(8, _data->info.st_atime.tv_sec, int );
  flick_cdr_swap_decode_signed32(12, _data->info.st_atime.tv_nsec, int );
  flick_cdr_swap_decode_signed32(16, _data->info.st_mtime.tv_sec, int );
  flick_cdr_swap_decode_signed32(20, _data->info.st_mtime.tv_nsec, int );
  flick_cdr_swap_decode_signed32(24, _data->info.st_ctime.tv_sec, int );
  flick_cdr_swap_decode_signed32(28, _data->info.st_ctime.tv_nsec, int );
  flick_cdr_swap_decode_signed32(32, _data->info.st_blksize, int );
  flick_cdr_swap_decode_signed32(36, _data->info.st_blocks, int );
  flick_cdr_swap_decode_bcopy(40, _data->info.st_fstype, 16);
  flick_khazana_decode_end_chunk(56);
  for (_t8_array_iter = 0; _t8_array_iter < 8; _t8_array_iter++)
    {
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->info.st_pad4[_t8_array_iter], int );
      flick_khazana_decode_end_chunk(4);
      continue;
    }
  flick_khazana_decode_end_glob(399);
  return 0;
  {
  _flick_abort95:
    sun_flick_free(_data->filename);
  _flick_abort92:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_inner(flick_marshal_stream_t _stream, struct inner *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(8, _flick_abort113);
  flick_khazana_encode_new_chunk(8);
  flick_cdr_encode_signed32(0, _data->a, int );
  flick_cdr_encode_signed32(4, _data->b, int );
  flick_khazana_encode_end_chunk(8);
  flick_khazana_encode_end_glob(8);
  return 0;
  {
  _flick_abort113:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_inner(flick_marshal_stream_t _stream, struct inner *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(8);
  flick_khazana_check_span(8, _flick_abort114);
  flick_khazana_decode_new_chunk(8);
  flick_cdr_decode_signed32(0, _data->a, int );
  flick_cdr_decode_signed32(4, _data->b, int );
  flick_khazana_decode_end_chunk(8);
  flick_khazana_decode_end_glob(8);
  return 0;
  {
  _flick_abort114:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_inner_swap(flick_marshal_stream_t _stream, struct inner *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(8);
  flick_khazana_check_span(8, _flick_abort115);
  flick_khazana_decode_new_chunk(8);
  flick_cdr_swap_decode_signed32(0, _data->a, int );
  flick_cdr_swap_decode_signed32(4, _data->b, int );
  flick_khazana_decode_end_chunk(8);
  flick_khazana_decode_end_glob(8);
  return 0;
  {
  _flick_abort115:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_outer(flick_marshal_stream_t _stream, struct outer *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(16, _flick_abort116);
  flick_khazana_encode_new_chunk(16);
  flick_cdr_encode_signed32(0, _data->a.a, int );
  flick_cdr_encode_signed32(4, _data->a.b, int );
  flick_cdr_encode_signed32(8, _data->b.a, int );
  flick_cdr_encode_signed32(12, _data->b.b, int );
  flick_khazana_encode_end_chunk(16);
  flick_khazana_encode_end_glob(16);
  return 0;
  {
  _flick_abort116:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_outer(flick_marshal_stream_t _stream, struct outer *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(16);
  flick_khazana_check_span(16, _flick_abort117);
  flick_khazana_decode_new_chunk(16);
  flick_cdr_decode_signed32(0, _data->a.a, int );
  flick_cdr_decode_signed32(4, _data->a.b, int );
  flick_cdr_decode_signed32(8, _data->b.a, int );
  flick_cdr_decode_signed32(12, _data->b.b, int );
  flick_khazana_decode_end_chunk(16);
  flick_khazana_decode_end_glob(16);
  return 0;
  {
  _flick_abort117:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_outer_swap(flick_marshal_stream_t _stream, struct outer *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(16);
  flick_khazana_check_span(16, _flick_abort118);
  flick_khazana_decode_new_chunk(16);
  flick_cdr_swap_decode_signed32(0, _data->a.a, int );
  flick_cdr_swap_decode_signed32(4, _data->a.b, int );
  flick_cdr_swap_decode_signed32(8, _data->b.a, int );
  flick_cdr_swap_decode_signed32(12, _data->b.b, int );
  flick_khazana_decode_end_chunk(16);
  flick_khazana_decode_end_glob(16);
  return 0;
  {
  _flick_abort118:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_directory(flick_marshal_stream_t _stream, directory *_data)
{
  unsigned int _t12_array_iter;

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(4, _flick_abort119);
  flick_khazana_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->directory_len, unsigned int );
  flick_khazana_encode_end_chunk(4);
  flick_khazana_encode_end_glob(4);
  for (_t12_array_iter = 0; _t12_array_iter < _data->directory_len; _t12_array_iter++)
    {
      flick_unsigned32_t _t14_temp_string_len;

      flick_cdr_stringlen(char *, _data->directory_val[_t12_array_iter].filename, flick_unsigned32_t , _t14_temp_string_len);

      flick_khazana_encode_new_glob(399, _flick_abort153);
      flick_khazana_encode_new_chunk(4 + 1 * _t14_temp_string_len);
      flick_cdr_encode_unsigned32(0, _t14_temp_string_len, flick_unsigned32_t );
      if (_t14_temp_string_len > 256)
        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort153);
      flick_cdr_encode_bcopy(4, _data->directory_val[_t12_array_iter].filename, 1 * _t14_temp_string_len);
      flick_khazana_encode_end_chunk(4 + 1 * _t14_temp_string_len);
      flick_khazana_encode_new_chunk_align(136, 2, 0, 0);
      flick_cdr_encode_unsigned32(0, _data->directory_val[_t12_array_iter].info.st_dev, my_ulong_t );
      flick_cdr_encode_bcopy(4, _data->directory_val[_t12_array_iter].info.st_pad1, 12);
      flick_cdr_encode_unsigned32(16, _data->directory_val[_t12_array_iter].info.st_ino, my_ulong_t );
      flick_cdr_encode_unsigned32(20, _data->directory_val[_t12_array_iter].info.st_mode, my_ulong_t );
      flick_cdr_encode_unsigned32(24, _data->directory_val[_t12_array_iter].info.st_nlink, my_ulong_t );
      flick_cdr_encode_signed32(28, _data->directory_val[_t12_array_iter].info.st_uid, int );
      flick_cdr_encode_signed32(32, _data->directory_val[_t12_array_iter].info.st_gid, my_uid_t );
      flick_cdr_encode_unsigned32(36, _data->directory_val[_t12_array_iter].info.st_rdev, my_ulong_t );
      flick_cdr_encode_bcopy(40, _data->directory_val[_t12_array_iter].info.st_pad2, 8);
      flick_cdr_encode_signed32(48, _data->directory_val[_t12_array_iter].info.st_size, int );
      flick_cdr_encode_signed32(52, _data->directory_val[_t12_array_iter].info.st_pad3, int );
      flick_cdr_encode_signed32(56, _data->directory_val[_t12_array_iter].info.st_atime.tv_sec, int );
      flick_cdr_encode_signed32(60, _data->directory_val[_t12_array_iter].info.st_atime.tv_nsec, int );
      flick_cdr_encode_signed32(64, _data->directory_val[_t12_array_iter].info.st_mtime.tv_sec, int );
      flick_cdr_encode_signed32(68, _data->directory_val[_t12_array_iter].info.st_mtime.tv_nsec, int );
      flick_cdr_encode_signed32(72, _data->directory_val[_t12_array_iter].info.st_ctime.tv_sec, int );
      flick_cdr_encode_signed32(76, _data->directory_val[_t12_array_iter].info.st_ctime.tv_nsec, int );
      flick_cdr_encode_signed32(80, _data->directory_val[_t12_array_iter].info.st_blksize, int );
      flick_cdr_encode_signed32(84, _data->directory_val[_t12_array_iter].info.st_blocks, int );
      flick_cdr_encode_bcopy(88, _data->directory_val[_t12_array_iter].info.st_fstype, 16);
      flick_cdr_encode_bcopy(104, _data->directory_val[_t12_array_iter].info.st_pad4, 32);
      flick_khazana_encode_end_chunk(136);
      flick_khazana_encode_end_glob(399);
      continue;
      {
      _flick_abort153:
        goto _flick_abort119;
      }
    }
  return 0;
  {
  _flick_abort119:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_directory(flick_marshal_stream_t _stream, directory *_data)
{
  unsigned int _t18_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort175);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->directory_len, unsigned int );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  {
    struct entry *_t_alloc_ptr;

    _t_alloc_ptr = (struct entry *)(sun_flick_alloc(_data->directory_len * sizeof(struct entry )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort175);
    _data->directory_val = _t_alloc_ptr;
  }
  for (_t18_array_iter = 0; _t18_array_iter < _data->directory_len; _t18_array_iter++)
    {
      flick_unsigned32_t _t20_temp_string_len;

      flick_khazana_decode_new_glob(399);
      flick_khazana_check_span(4, _flick_abort213);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_decode_unsigned32(0, _t20_temp_string_len, flick_unsigned32_t );
      if (_t20_temp_string_len > 256)
        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort213);
      flick_khazana_decode_end_chunk(4);
      flick_khazana_check_span(1 * _t20_temp_string_len, _flick_abort213);
      flick_khazana_decode_new_chunk(1 * _t20_temp_string_len);
      {
        char *_t_alloc_ptr;

        _t_alloc_ptr = (char *)(sun_flick_alloc(_t20_temp_string_len * sizeof(char )));
        if (!_t_alloc_ptr)
          flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort213);
        _data->directory_val[_t18_array_iter].filename = _t_alloc_ptr;
      }
      flick_cdr_decode_bcopy(0, _data->directory_val[_t18_array_iter].filename, 1 * _t20_temp_string_len);
      flick_khazana_decode_end_chunk(1 * _t20_temp_string_len);
      flick_khazana_decode_new_chunk_align(136, 2, 0, 0);
      flick_khazana_check_span(136, _flick_abort228);
      flick_cdr_decode_unsigned32(0, _data->directory_val[_t18_array_iter].info.st_dev, my_ulong_t );
      flick_cdr_decode_bcopy(4, _data->directory_val[_t18_array_iter].info.st_pad1, 12);
      flick_cdr_decode_unsigned32(16, _data->directory_val[_t18_array_iter].info.st_ino, my_ulong_t );
      flick_cdr_decode_unsigned32(20, _data->directory_val[_t18_array_iter].info.st_mode, my_ulong_t );
      flick_cdr_decode_unsigned32(24, _data->directory_val[_t18_array_iter].info.st_nlink, my_ulong_t );
      flick_cdr_decode_signed32(28, _data->directory_val[_t18_array_iter].info.st_uid, int );
      flick_cdr_decode_signed32(32, _data->directory_val[_t18_array_iter].info.st_gid, my_uid_t );
      flick_cdr_decode_unsigned32(36, _data->directory_val[_t18_array_iter].info.st_rdev, my_ulong_t );
      flick_cdr_decode_bcopy(40, _data->directory_val[_t18_array_iter].info.st_pad2, 8);
      flick_cdr_decode_signed32(48, _data->directory_val[_t18_array_iter].info.st_size, int );
      flick_cdr_decode_signed32(52, _data->directory_val[_t18_array_iter].info.st_pad3, int );
      flick_cdr_decode_signed32(56, _data->directory_val[_t18_array_iter].info.st_atime.tv_sec, int );
      flick_cdr_decode_signed32(60, _data->directory_val[_t18_array_iter].info.st_atime.tv_nsec, int );
      flick_cdr_decode_signed32(64, _data->directory_val[_t18_array_iter].info.st_mtime.tv_sec, int );
      flick_cdr_decode_signed32(68, _data->directory_val[_t18_array_iter].info.st_mtime.tv_nsec, int );
      flick_cdr_decode_signed32(72, _data->directory_val[_t18_array_iter].info.st_ctime.tv_sec, int );
      flick_cdr_decode_signed32(76, _data->directory_val[_t18_array_iter].info.st_ctime.tv_nsec, int );
      flick_cdr_decode_signed32(80, _data->directory_val[_t18_array_iter].info.st_blksize, int );
      flick_cdr_decode_signed32(84, _data->directory_val[_t18_array_iter].info.st_blocks, int );
      flick_cdr_decode_bcopy(88, _data->directory_val[_t18_array_iter].info.st_fstype, 16);
      flick_cdr_decode_bcopy(104, _data->directory_val[_t18_array_iter].info.st_pad4, 32);
      flick_khazana_decode_end_chunk(136);
      flick_khazana_decode_end_glob(399);
      continue;
      {
      _flick_abort239:
        _t18_array_iter--;
      _flick_abort228:
        sun_flick_free(_data->directory_val[_t18_array_iter].filename);
      _flick_abort213:
        if ((unsigned int )_t18_array_iter > 0)
          goto _flick_abort239;
        goto _flick_abort212;
      }
    }
  return 0;
  {
  _flick_abort212:
    sun_flick_free(_data->directory_val);
  _flick_abort175:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_directory_swap(flick_marshal_stream_t _stream, directory *_data)
{
  unsigned int _t33_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort242);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->directory_len, unsigned int );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  {
    struct entry *_t_alloc_ptr;

    _t_alloc_ptr = (struct entry *)(sun_flick_alloc(_data->directory_len * sizeof(struct entry )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort242);
    _data->directory_val = _t_alloc_ptr;
  }
  for (_t33_array_iter = 0; _t33_array_iter < _data->directory_len; _t33_array_iter++)
    {
      flick_unsigned32_t _t38_temp_string_len;
      flick_unsigned32_t _t39_array_iter;
      flick_unsigned32_t _t40_array_iter;
      flick_unsigned32_t _t41_array_iter;

      flick_khazana_decode_new_glob(399);
      flick_khazana_check_span(4, _flick_abort307);
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_unsigned32(0, _t38_temp_string_len, flick_unsigned32_t );
      if (_t38_temp_string_len > 256)
        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort307);
      flick_khazana_decode_end_chunk(4);
      flick_khazana_check_span(1 * _t38_temp_string_len, _flick_abort307);
      flick_khazana_decode_new_chunk(1 * _t38_temp_string_len);
      {
        char *_t_alloc_ptr;

        _t_alloc_ptr = (char *)(sun_flick_alloc(_t38_temp_string_len * sizeof(char )));
        if (!_t_alloc_ptr)
          flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort307);
        _data->directory_val[_t33_array_iter].filename = _t_alloc_ptr;
      }
      flick_cdr_swap_decode_bcopy(0, _data->directory_val[_t33_array_iter].filename, 1 * _t38_temp_string_len);
      flick_khazana_decode_end_chunk(1 * _t38_temp_string_len);
      flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
      flick_khazana_check_span(3 * 4 + (2 * 4 + 8 * 4) + 84, _flick_abort331);
      flick_cdr_swap_decode_unsigned32(0, _data->directory_val[_t33_array_iter].info.st_dev, my_ulong_t );
      flick_khazana_decode_end_chunk(4);
      for (_t39_array_iter = 0; _t39_array_iter < 3; _t39_array_iter++)
        {
          flick_khazana_decode_new_chunk(4);
          flick_cdr_swap_decode_signed32(0, _data->directory_val[_t33_array_iter].info.st_pad1[_t39_array_iter], int );
          flick_khazana_decode_end_chunk(4);
          continue;
        }
      flick_khazana_decode_new_chunk(24);
      flick_cdr_swap_decode_unsigned32(0, _data->directory_val[_t33_array_iter].info.st_ino, my_ulong_t );
      flick_cdr_swap_decode_unsigned32(4, _data->directory_val[_t33_array_iter].info.st_mode, my_ulong_t );
      flick_cdr_swap_decode_unsigned32(8, _data->directory_val[_t33_array_iter].info.st_nlink, my_ulong_t );
      flick_cdr_swap_decode_signed32(12, _data->directory_val[_t33_array_iter].info.st_uid, int );
      flick_cdr_swap_decode_signed32(16, _data->directory_val[_t33_array_iter].info.st_gid, my_uid_t );
      flick_cdr_swap_decode_unsigned32(20, _data->directory_val[_t33_array_iter].info.st_rdev, my_ulong_t );
      flick_khazana_decode_end_chunk(24);
      for (_t40_array_iter = 0; _t40_array_iter < 2; _t40_array_iter++)
        {
          flick_khazana_decode_new_chunk(4);
          flick_cdr_swap_decode_signed32(0, _data->directory_val[_t33_array_iter].info.st_pad2[_t40_array_iter], int );
          flick_khazana_decode_end_chunk(4);
          continue;
        }
      flick_khazana_decode_new_chunk(56);
      flick_cdr_swap_decode_signed32(0, _data->directory_val[_t33_array_iter].info.st_size, int );
      flick_cdr_swap_decode_signed32(4, _data->directory_val[_t33_array_iter].info.st_pad3, int );
      flick_cdr_swap_decode_signed32(8, _data->directory_val[_t33_array_iter].info.st_atime.tv_sec, int );
      flick_cdr_swap_decode_signed32(12, _data->directory_val[_t33_array_iter].info.st_atime.tv_nsec, int );
      flick_cdr_swap_decode_signed32(16, _data->directory_val[_t33_array_iter].info.st_mtime.tv_sec, int );
      flick_cdr_swap_decode_signed32(20, _data->directory_val[_t33_array_iter].info.st_mtime.tv_nsec, int );
      flick_cdr_swap_decode_signed32(24, _data->directory_val[_t33_array_iter].info.st_ctime.tv_sec, int );
      flick_cdr_swap_decode_signed32(28, _data->directory_val[_t33_array_iter].info.st_ctime.tv_nsec, int );
      flick_cdr_swap_decode_signed32(32, _data->directory_val[_t33_array_iter].info.st_blksize, int );
      flick_cdr_swap_decode_signed32(36, _data->directory_val[_t33_array_iter].info.st_blocks, int );
      flick_cdr_swap_decode_bcopy(40, _data->directory_val[_t33_array_iter].info.st_fstype, 16);
      flick_khazana_decode_end_chunk(56);
      for (_t41_array_iter = 0; _t41_array_iter < 8; _t41_array_iter++)
        {
          flick_khazana_decode_new_chunk(4);
          flick_cdr_swap_decode_signed32(0, _data->directory_val[_t33_array_iter].info.st_pad4[_t41_array_iter], int );
          flick_khazana_decode_end_chunk(4);
          continue;
        }
      flick_khazana_decode_end_glob(399);
      continue;
      {
      _flick_abort351:
        _t33_array_iter--;
      _flick_abort331:
        sun_flick_free(_data->directory_val[_t33_array_iter].filename);
      _flick_abort307:
        if ((unsigned int )_t33_array_iter > 0)
          goto _flick_abort351;
        goto _flick_abort306;
      }
    }
  return 0;
  {
  _flick_abort306:
    sun_flick_free(_data->directory_val);
  _flick_abort242:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_longlist(flick_marshal_stream_t _stream, longlist *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(4, _flick_abort354);
  flick_khazana_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->longlist_len, unsigned int );
  flick_khazana_encode_end_chunk(4);
  flick_khazana_encode_end_glob(4);
  flick_khazana_encode_new_glob(4 * _data->longlist_len, _flick_abort354);
  flick_khazana_encode_new_chunk(4 * _data->longlist_len);
  flick_cdr_encode_bcopy(0, _data->longlist_val, 4 * _data->longlist_len);
  flick_khazana_encode_end_chunk(4 * _data->longlist_len);
  flick_khazana_encode_end_glob(4 * _data->longlist_len);
  return 0;
  {
  _flick_abort354:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_longlist(flick_marshal_stream_t _stream, longlist *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort357);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->longlist_len, unsigned int );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  flick_khazana_decode_new_glob(4 * _data->longlist_len);
  flick_khazana_check_span(4 * _data->longlist_len, _flick_abort357);
  flick_khazana_decode_new_chunk(4 * _data->longlist_len);
  {
    int *_t_alloc_ptr;

    _t_alloc_ptr = (int *)(sun_flick_alloc(_data->longlist_len * sizeof(int )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort357);
    _data->longlist_val = _t_alloc_ptr;
  }
  flick_cdr_decode_bcopy(0, _data->longlist_val, 4 * _data->longlist_len);
  flick_khazana_decode_end_chunk(4 * _data->longlist_len);
  flick_khazana_decode_end_glob(4 * _data->longlist_len);
  return 0;
  {
  _flick_abort357:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_longlist_swap(flick_marshal_stream_t _stream, longlist *_data)
{
  unsigned int _t42_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort361);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->longlist_len, unsigned int );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  flick_khazana_decode_new_glob(4 * _data->longlist_len);
  {
    int *_t_alloc_ptr;

    _t_alloc_ptr = (int *)(sun_flick_alloc(_data->longlist_len * sizeof(int )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort361);
    _data->longlist_val = _t_alloc_ptr;
  }
  flick_khazana_check_span(_data->longlist_len * 4, _flick_abort365);
  for (_t42_array_iter = 0; _t42_array_iter < _data->longlist_len; _t42_array_iter++)
    {
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->longlist_val[_t42_array_iter], int );
      flick_khazana_decode_end_chunk(4);
      continue;
    }
  flick_khazana_decode_end_glob(4 * _data->longlist_len);
  return 0;
  {
  _flick_abort365:
    sun_flick_free(_data->longlist_val);
  _flick_abort361:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_structlist(flick_marshal_stream_t _stream, structlist *_data)
{
  unsigned int _t43_array_iter;

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(4, _flick_abort368);
  flick_khazana_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->structlist_len, unsigned int );
  flick_khazana_encode_end_chunk(4);
  flick_khazana_encode_end_glob(4);
  flick_khazana_encode_new_glob(16 * _data->structlist_len, _flick_abort368);
  for (_t43_array_iter = 0; _t43_array_iter < _data->structlist_len; _t43_array_iter++)
    {
      flick_khazana_encode_new_chunk(16);
      flick_cdr_encode_signed32(0, _data->structlist_val[_t43_array_iter].a.a, int );
      flick_cdr_encode_signed32(4, _data->structlist_val[_t43_array_iter].a.b, int );
      flick_cdr_encode_signed32(8, _data->structlist_val[_t43_array_iter].b.a, int );
      flick_cdr_encode_signed32(12, _data->structlist_val[_t43_array_iter].b.b, int );
      flick_khazana_encode_end_chunk(16);
      continue;
    }
  flick_khazana_encode_end_glob(16 * _data->structlist_len);
  return 0;
  {
  _flick_abort368:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_structlist(flick_marshal_stream_t _stream, structlist *_data)
{
  unsigned int _t44_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort374);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->structlist_len, unsigned int );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  flick_khazana_decode_new_glob(16 * _data->structlist_len);
  {
    struct outer *_t_alloc_ptr;

    _t_alloc_ptr = (struct outer *)(sun_flick_alloc(_data->structlist_len * sizeof(struct outer )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort374);
    _data->structlist_val = _t_alloc_ptr;
  }
  flick_khazana_check_span(_data->structlist_len * 16, _flick_abort378);
  for (_t44_array_iter = 0; _t44_array_iter < _data->structlist_len; _t44_array_iter++)
    {
      flick_khazana_decode_new_chunk(16);
      flick_cdr_decode_signed32(0, _data->structlist_val[_t44_array_iter].a.a, int );
      flick_cdr_decode_signed32(4, _data->structlist_val[_t44_array_iter].a.b, int );
      flick_cdr_decode_signed32(8, _data->structlist_val[_t44_array_iter].b.a, int );
      flick_cdr_decode_signed32(12, _data->structlist_val[_t44_array_iter].b.b, int );
      flick_khazana_decode_end_chunk(16);
      continue;
    }
  flick_khazana_decode_end_glob(16 * _data->structlist_len);
  return 0;
  {
  _flick_abort378:
    sun_flick_free(_data->structlist_val);
  _flick_abort374:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_structlist_swap(flick_marshal_stream_t _stream, structlist *_data)
{
  unsigned int _t45_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(4);
  flick_khazana_check_span(4, _flick_abort381);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->structlist_len, unsigned int );
  flick_khazana_decode_end_chunk(4);
  flick_khazana_decode_end_glob(4);
  flick_khazana_decode_new_glob(16 * _data->structlist_len);
  {
    struct outer *_t_alloc_ptr;

    _t_alloc_ptr = (struct outer *)(sun_flick_alloc(_data->structlist_len * sizeof(struct outer )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort381);
    _data->structlist_val = _t_alloc_ptr;
  }
  flick_khazana_check_span(_data->structlist_len * 16, _flick_abort385);
  for (_t45_array_iter = 0; _t45_array_iter < _data->structlist_len; _t45_array_iter++)
    {
      flick_khazana_decode_new_chunk(16);
      flick_cdr_swap_decode_signed32(0, _data->structlist_val[_t45_array_iter].a.a, int );
      flick_cdr_swap_decode_signed32(4, _data->structlist_val[_t45_array_iter].a.b, int );
      flick_cdr_swap_decode_signed32(8, _data->structlist_val[_t45_array_iter].b.a, int );
      flick_cdr_swap_decode_signed32(12, _data->structlist_val[_t45_array_iter].b.b, int );
      flick_khazana_decode_end_chunk(16);
      continue;
    }
  flick_khazana_decode_end_glob(16 * _data->structlist_len);
  return 0;
  {
  _flick_abort385:
    sun_flick_free(_data->structlist_val);
  _flick_abort381:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

flick_operation_success_t progname_2(FLICK_TARGET _this_obj, flick_msg_t _in_msg, flick_msg_t *_out_msg)
{
  FLICK_BUFFER *_stream;
  flick_khazana_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    signed int _t104_switch_tag;

    flick_khazana_decode_new_glob(8);
    flick_khazana_check_span(8, _flick_abort390);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_swap_decode_signed32(0, _t104_switch_tag, signed int );
    flick_khazana_decode_end_chunk(4);
    switch ((signed int )_t104_switch_tag)
      {
      case (signed int) 1:
        {
          {
            struct svc_req *_obj;
            unsigned int _t105_principal_len;
            int *_return;
            directory *_local_arg;
            directory _t106_storage;
            unsigned int _t119_array_iter;

            flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort716);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t105_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t105_principal_len, _flick_abort716);
            flick_khazana_decode_new_glob(_t105_principal_len);
            flick_khazana_decode_new_chunk(_t105_principal_len);
            flick_khazana_decode_end_chunk(_t105_principal_len);
            flick_khazana_decode_end_glob(_t105_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (directory *)(&_t106_storage);
            flick_khazana_decode_new_glob(7);
            flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
            flick_khazana_check_span(4, _flick_abort716);
            flick_cdr_swap_decode_unsigned32(0, _local_arg->directory_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(7);
            {
              struct entry *_t_alloc_ptr;

              _t_alloc_ptr = (struct entry *)(auto_flick_alloc(_local_arg->directory_len * sizeof(struct entry )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort716);
              _local_arg->directory_val = _t_alloc_ptr;
            }
            for (_t119_array_iter = 0; _t119_array_iter < _local_arg->directory_len; _t119_array_iter++)
              {
                flick_unsigned32_t _t124_temp_string_len;
                flick_unsigned32_t _t125_array_iter;
                flick_unsigned32_t _t126_array_iter;
                flick_unsigned32_t _t127_array_iter;

                flick_khazana_decode_new_glob(399);
                flick_khazana_check_span(4, _flick_abort778);
                flick_khazana_decode_new_chunk(4);
                flick_cdr_swap_decode_unsigned32(0, _t124_temp_string_len, flick_unsigned32_t );
                if (_t124_temp_string_len > 256)
                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort778);
                flick_khazana_decode_end_chunk(4);
                flick_khazana_check_span(1 * _t124_temp_string_len, _flick_abort778);
                flick_khazana_decode_new_chunk(1 * _t124_temp_string_len);
                flick_cdr_swap_decode_msgptr(0, _local_arg->directory_val[_t119_array_iter].filename, char *);
                flick_khazana_decode_end_chunk(1 * _t124_temp_string_len);
                flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                flick_khazana_check_span(3 * 4 + (2 * 4 + 8 * 4) + 84, _flick_abort778);
                flick_cdr_swap_decode_unsigned32(0, _local_arg->directory_val[_t119_array_iter].info.st_dev, my_ulong_t );
                flick_khazana_decode_end_chunk(4);
                for (_t125_array_iter = 0; _t125_array_iter < 3; _t125_array_iter++)
                  {
                    flick_khazana_decode_new_chunk(4);
                    flick_cdr_swap_decode_signed32(0, _local_arg->directory_val[_t119_array_iter].info.st_pad1[_t125_array_iter], int );
                    flick_khazana_decode_end_chunk(4);
                    continue;
                  }
                flick_khazana_decode_new_chunk(24);
                flick_cdr_swap_decode_unsigned32(0, _local_arg->directory_val[_t119_array_iter].info.st_ino, my_ulong_t );
                flick_cdr_swap_decode_unsigned32(4, _local_arg->directory_val[_t119_array_iter].info.st_mode, my_ulong_t );
                flick_cdr_swap_decode_unsigned32(8, _local_arg->directory_val[_t119_array_iter].info.st_nlink, my_ulong_t );
                flick_cdr_swap_decode_signed32(12, _local_arg->directory_val[_t119_array_iter].info.st_uid, int );
                flick_cdr_swap_decode_signed32(16, _local_arg->directory_val[_t119_array_iter].info.st_gid, my_uid_t );
                flick_cdr_swap_decode_unsigned32(20, _local_arg->directory_val[_t119_array_iter].info.st_rdev, my_ulong_t );
                flick_khazana_decode_end_chunk(24);
                for (_t126_array_iter = 0; _t126_array_iter < 2; _t126_array_iter++)
                  {
                    flick_khazana_decode_new_chunk(4);
                    flick_cdr_swap_decode_signed32(0, _local_arg->directory_val[_t119_array_iter].info.st_pad2[_t126_array_iter], int );
                    flick_khazana_decode_end_chunk(4);
                    continue;
                  }
                flick_khazana_decode_new_chunk(56);
                flick_cdr_swap_decode_signed32(0, _local_arg->directory_val[_t119_array_iter].info.st_size, int );
                flick_cdr_swap_decode_signed32(4, _local_arg->directory_val[_t119_array_iter].info.st_pad3, int );
                flick_cdr_swap_decode_signed32(8, _local_arg->directory_val[_t119_array_iter].info.st_atime.tv_sec, int );
                flick_cdr_swap_decode_signed32(12, _local_arg->directory_val[_t119_array_iter].info.st_atime.tv_nsec, int );
                flick_cdr_swap_decode_signed32(16, _local_arg->directory_val[_t119_array_iter].info.st_mtime.tv_sec, int );
                flick_cdr_swap_decode_signed32(20, _local_arg->directory_val[_t119_array_iter].info.st_mtime.tv_nsec, int );
                flick_cdr_swap_decode_signed32(24, _local_arg->directory_val[_t119_array_iter].info.st_ctime.tv_sec, int );
                flick_cdr_swap_decode_signed32(28, _local_arg->directory_val[_t119_array_iter].info.st_ctime.tv_nsec, int );
                flick_cdr_swap_decode_signed32(32, _local_arg->directory_val[_t119_array_iter].info.st_blksize, int );
                flick_cdr_swap_decode_signed32(36, _local_arg->directory_val[_t119_array_iter].info.st_blocks, int );
                flick_cdr_swap_decode_bcopy(40, _local_arg->directory_val[_t119_array_iter].info.st_fstype, 16);
                flick_khazana_decode_end_chunk(56);
                for (_t127_array_iter = 0; _t127_array_iter < 8; _t127_array_iter++)
                  {
                    flick_khazana_decode_new_chunk(4);
                    flick_cdr_swap_decode_signed32(0, _local_arg->directory_val[_t119_array_iter].info.st_pad4[_t127_array_iter], int );
                    flick_khazana_decode_end_chunk(4);
                    continue;
                  }
                flick_khazana_decode_end_glob(399);
                continue;
                {
                _flick_abort778:
                  goto _flick_abort777;
                }
              }
            flick_khazana_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = dirlst_2(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort777);
              flick_khazana_encode_new_glob(8, _flick_abort777);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_khazana_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_return, int );
                    flick_khazana_encode_end_chunk(4);
                    flick_khazana_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_khazana_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, khazana, _flick_abort823);
                    break;
                    {
                    _flick_abort823:
                      goto _flick_abort777;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort824);
                    flick_khazana_encode_end_glob(8);
                    break;
                    {
                    _flick_abort824:
                      goto _flick_abort777;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort777:
              auto_flick_free(_local_arg->directory_val);
            _flick_abort716:
              goto _flick_abort715;
            }
          }
          break;
          {
          _flick_abort715:
            goto _flick_abort390;
          }
        }
      case (signed int) 2:
        {
          {
            struct svc_req *_obj;
            unsigned int _t128_principal_len;
            int *_return;
            longlist *_local_arg;
            longlist _t129_storage;
            unsigned int _t130_array_iter;

            flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort826);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t128_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t128_principal_len, _flick_abort826);
            flick_khazana_decode_new_glob(_t128_principal_len);
            flick_khazana_decode_new_chunk(_t128_principal_len);
            flick_khazana_decode_end_chunk(_t128_principal_len);
            flick_khazana_decode_end_glob(_t128_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (longlist *)(&_t129_storage);
            flick_khazana_decode_new_glob(7);
            flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
            flick_khazana_check_span(4, _flick_abort826);
            flick_cdr_swap_decode_unsigned32(0, _local_arg->longlist_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(7);
            flick_khazana_decode_new_glob(4 * _local_arg->longlist_len);
            {
              int *_t_alloc_ptr;

              _t_alloc_ptr = (int *)(auto_flick_alloc(_local_arg->longlist_len * sizeof(int )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort826);
              _local_arg->longlist_val = _t_alloc_ptr;
            }
            flick_khazana_check_span(_local_arg->longlist_len * 4, _flick_abort830);
            for (_t130_array_iter = 0; _t130_array_iter < _local_arg->longlist_len; _t130_array_iter++)
              {
                flick_khazana_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, _local_arg->longlist_val[_t130_array_iter], int );
                flick_khazana_decode_end_chunk(4);
                continue;
              }
            flick_khazana_decode_end_glob(4 * _local_arg->longlist_len);
            flick_khazana_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = lng_2(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort830);
              flick_khazana_encode_new_glob(8, _flick_abort830);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_khazana_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_return, int );
                    flick_khazana_encode_end_chunk(4);
                    flick_khazana_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_khazana_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, khazana, _flick_abort838);
                    break;
                    {
                    _flick_abort838:
                      goto _flick_abort830;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort839);
                    flick_khazana_encode_end_glob(8);
                    break;
                    {
                    _flick_abort839:
                      goto _flick_abort830;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort830:
              auto_flick_free(_local_arg->longlist_val);
            _flick_abort826:
              goto _flick_abort825;
            }
          }
          break;
          {
          _flick_abort825:
            goto _flick_abort390;
          }
        }
      case (signed int) 3:
        {
          {
            struct svc_req *_obj;
            unsigned int _t131_principal_len;
            int *_return;
            structlist *_local_arg;
            structlist _t132_storage;
            unsigned int _t133_array_iter;

            flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort841);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t131_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t131_principal_len, _flick_abort841);
            flick_khazana_decode_new_glob(_t131_principal_len);
            flick_khazana_decode_new_chunk(_t131_principal_len);
            flick_khazana_decode_end_chunk(_t131_principal_len);
            flick_khazana_decode_end_glob(_t131_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (structlist *)(&_t132_storage);
            flick_khazana_decode_new_glob(7);
            flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
            flick_khazana_check_span(4, _flick_abort841);
            flick_cdr_swap_decode_unsigned32(0, _local_arg->structlist_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(7);
            flick_khazana_decode_new_glob(16 * _local_arg->structlist_len);
            {
              struct outer *_t_alloc_ptr;

              _t_alloc_ptr = (struct outer *)(auto_flick_alloc(_local_arg->structlist_len * sizeof(struct outer )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort841);
              _local_arg->structlist_val = _t_alloc_ptr;
            }
            flick_khazana_check_span(_local_arg->structlist_len * 16, _flick_abort845);
            for (_t133_array_iter = 0; _t133_array_iter < _local_arg->structlist_len; _t133_array_iter++)
              {
                flick_khazana_decode_new_chunk(16);
                flick_cdr_swap_decode_signed32(0, _local_arg->structlist_val[_t133_array_iter].a.a, int );
                flick_cdr_swap_decode_signed32(4, _local_arg->structlist_val[_t133_array_iter].a.b, int );
                flick_cdr_swap_decode_signed32(8, _local_arg->structlist_val[_t133_array_iter].b.a, int );
                flick_cdr_swap_decode_signed32(12, _local_arg->structlist_val[_t133_array_iter].b.b, int );
                flick_khazana_decode_end_chunk(16);
                continue;
              }
            flick_khazana_decode_end_glob(16 * _local_arg->structlist_len);
            flick_khazana_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = strct_2(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort845);
              flick_khazana_encode_new_glob(8, _flick_abort845);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_khazana_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_return, int );
                    flick_khazana_encode_end_chunk(4);
                    flick_khazana_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_khazana_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, khazana, _flick_abort853);
                    break;
                    {
                    _flick_abort853:
                      goto _flick_abort845;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort854);
                    flick_khazana_encode_end_glob(8);
                    break;
                    {
                    _flick_abort854:
                      goto _flick_abort845;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort845:
              auto_flick_free(_local_arg->structlist_val);
            _flick_abort841:
              goto _flick_abort840;
            }
          }
          break;
          {
          _flick_abort840:
            goto _flick_abort390;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort390);
          flick_khazana_decode_end_glob(8);
          break;
        }
      }
  }
  } else {
  {
    signed int _t60_switch_tag;

    flick_khazana_decode_new_glob(8);
    flick_khazana_check_span(8, _flick_abort390);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t60_switch_tag, signed int );
    flick_khazana_decode_end_chunk(4);
    switch ((signed int )_t60_switch_tag)
      {
      case (signed int) 1:
        {
          {
            struct svc_req *_obj;
            unsigned int _t61_principal_len;
            int *_return;
            directory *_local_arg;
            directory _t62_storage;
            unsigned int _t66_array_iter;

            flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort484);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t61_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t61_principal_len, _flick_abort484);
            flick_khazana_decode_new_glob(_t61_principal_len);
            flick_khazana_decode_new_chunk(_t61_principal_len);
            flick_khazana_decode_end_chunk(_t61_principal_len);
            flick_khazana_decode_end_glob(_t61_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (directory *)(&_t62_storage);
            flick_khazana_decode_new_glob(7);
            flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
            flick_khazana_check_span(4, _flick_abort484);
            flick_cdr_decode_unsigned32(0, _local_arg->directory_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(7);
            {
              struct entry *_t_alloc_ptr;

              _t_alloc_ptr = (struct entry *)(auto_flick_alloc(_local_arg->directory_len * sizeof(struct entry )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort484);
              _local_arg->directory_val = _t_alloc_ptr;
            }
            for (_t66_array_iter = 0; _t66_array_iter < _local_arg->directory_len; _t66_array_iter++)
              {
                flick_unsigned32_t _t68_temp_string_len;

                flick_khazana_decode_new_glob(399);
                flick_khazana_check_span(4, _flick_abort519);
                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t68_temp_string_len, flick_unsigned32_t );
                if (_t68_temp_string_len > 256)
                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort519);
                flick_khazana_decode_end_chunk(4);
                flick_khazana_check_span(1 * _t68_temp_string_len, _flick_abort519);
                flick_khazana_decode_new_chunk(1 * _t68_temp_string_len);
                flick_cdr_decode_msgptr(0, _local_arg->directory_val[_t66_array_iter].filename, char *);
                flick_khazana_decode_end_chunk(1 * _t68_temp_string_len);
                flick_khazana_decode_new_chunk_align(136, 2, 0, 0);
                flick_khazana_check_span(136, _flick_abort519);
                flick_cdr_decode_unsigned32(0, _local_arg->directory_val[_t66_array_iter].info.st_dev, my_ulong_t );
                flick_cdr_decode_bcopy(4, _local_arg->directory_val[_t66_array_iter].info.st_pad1, 12);
                flick_cdr_decode_unsigned32(16, _local_arg->directory_val[_t66_array_iter].info.st_ino, my_ulong_t );
                flick_cdr_decode_unsigned32(20, _local_arg->directory_val[_t66_array_iter].info.st_mode, my_ulong_t );
                flick_cdr_decode_unsigned32(24, _local_arg->directory_val[_t66_array_iter].info.st_nlink, my_ulong_t );
                flick_cdr_decode_signed32(28, _local_arg->directory_val[_t66_array_iter].info.st_uid, int );
                flick_cdr_decode_signed32(32, _local_arg->directory_val[_t66_array_iter].info.st_gid, my_uid_t );
                flick_cdr_decode_unsigned32(36, _local_arg->directory_val[_t66_array_iter].info.st_rdev, my_ulong_t );
                flick_cdr_decode_bcopy(40, _local_arg->directory_val[_t66_array_iter].info.st_pad2, 8);
                flick_cdr_decode_signed32(48, _local_arg->directory_val[_t66_array_iter].info.st_size, int );
                flick_cdr_decode_signed32(52, _local_arg->directory_val[_t66_array_iter].info.st_pad3, int );
                flick_cdr_decode_signed32(56, _local_arg->directory_val[_t66_array_iter].info.st_atime.tv_sec, int );
                flick_cdr_decode_signed32(60, _local_arg->directory_val[_t66_array_iter].info.st_atime.tv_nsec, int );
                flick_cdr_decode_signed32(64, _local_arg->directory_val[_t66_array_iter].info.st_mtime.tv_sec, int );
                flick_cdr_decode_signed32(68, _local_arg->directory_val[_t66_array_iter].info.st_mtime.tv_nsec, int );
                flick_cdr_decode_signed32(72, _local_arg->directory_val[_t66_array_iter].info.st_ctime.tv_sec, int );
                flick_cdr_decode_signed32(76, _local_arg->directory_val[_t66_array_iter].info.st_ctime.tv_nsec, int );
                flick_cdr_decode_signed32(80, _local_arg->directory_val[_t66_array_iter].info.st_blksize, int );
                flick_cdr_decode_signed32(84, _local_arg->directory_val[_t66_array_iter].info.st_blocks, int );
                flick_cdr_decode_bcopy(88, _local_arg->directory_val[_t66_array_iter].info.st_fstype, 16);
                flick_cdr_decode_bcopy(104, _local_arg->directory_val[_t66_array_iter].info.st_pad4, 32);
                flick_khazana_decode_end_chunk(136);
                flick_khazana_decode_end_glob(399);
                continue;
                {
                _flick_abort519:
                  goto _flick_abort518;
                }
              }
            flick_khazana_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = dirlst_2(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort518);
              flick_khazana_encode_new_glob(8, _flick_abort518);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_khazana_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_return, int );
                    flick_khazana_encode_end_chunk(4);
                    flick_khazana_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_khazana_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, khazana, _flick_abort546);
                    break;
                    {
                    _flick_abort546:
                      goto _flick_abort518;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort547);
                    flick_khazana_encode_end_glob(8);
                    break;
                    {
                    _flick_abort547:
                      goto _flick_abort518;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort518:
              auto_flick_free(_local_arg->directory_val);
            _flick_abort484:
              goto _flick_abort483;
            }
          }
          break;
          {
          _flick_abort483:
            goto _flick_abort390;
          }
        }
      case (signed int) 2:
        {
          {
            struct svc_req *_obj;
            unsigned int _t69_principal_len;
            int *_return;
            longlist *_local_arg;
            longlist _t70_storage;

            flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort549);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t69_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t69_principal_len, _flick_abort549);
            flick_khazana_decode_new_glob(_t69_principal_len);
            flick_khazana_decode_new_chunk(_t69_principal_len);
            flick_khazana_decode_end_chunk(_t69_principal_len);
            flick_khazana_decode_end_glob(_t69_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (longlist *)(&_t70_storage);
            flick_khazana_decode_new_glob(7);
            flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
            flick_khazana_check_span(4, _flick_abort549);
            flick_cdr_decode_unsigned32(0, _local_arg->longlist_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(7);
            flick_khazana_decode_new_glob(4 * _local_arg->longlist_len);
            flick_khazana_check_span(4 * _local_arg->longlist_len, _flick_abort549);
            flick_khazana_decode_new_chunk(4 * _local_arg->longlist_len);
            flick_cdr_decode_msgptr(0, _local_arg->longlist_val, int *);
            flick_khazana_decode_end_chunk(4 * _local_arg->longlist_len);
            flick_khazana_decode_end_glob(4 * _local_arg->longlist_len);
            flick_khazana_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = lng_2(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort549);
              flick_khazana_encode_new_glob(8, _flick_abort549);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_khazana_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_return, int );
                    flick_khazana_encode_end_chunk(4);
                    flick_khazana_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_khazana_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, khazana, _flick_abort557);
                    break;
                    {
                    _flick_abort557:
                      goto _flick_abort549;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort558);
                    flick_khazana_encode_end_glob(8);
                    break;
                    {
                    _flick_abort558:
                      goto _flick_abort549;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort549:
              goto _flick_abort548;
            }
          }
          break;
          {
          _flick_abort548:
            goto _flick_abort390;
          }
        }
      case (signed int) 3:
        {
          {
            struct svc_req *_obj;
            unsigned int _t71_principal_len;
            int *_return;
            structlist *_local_arg;
            structlist _t72_storage;
            unsigned int _t73_array_iter;

            flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort560);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t71_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t71_principal_len, _flick_abort560);
            flick_khazana_decode_new_glob(_t71_principal_len);
            flick_khazana_decode_new_chunk(_t71_principal_len);
            flick_khazana_decode_end_chunk(_t71_principal_len);
            flick_khazana_decode_end_glob(_t71_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (structlist *)(&_t72_storage);
            flick_khazana_decode_new_glob(7);
            flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
            flick_khazana_check_span(4, _flick_abort560);
            flick_cdr_decode_unsigned32(0, _local_arg->structlist_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(7);
            flick_khazana_decode_new_glob(16 * _local_arg->structlist_len);
            {
              struct outer *_t_alloc_ptr;

              _t_alloc_ptr = (struct outer *)(auto_flick_alloc(_local_arg->structlist_len * sizeof(struct outer )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort560);
              _local_arg->structlist_val = _t_alloc_ptr;
            }
            flick_khazana_check_span(_local_arg->structlist_len * 16, _flick_abort564);
            for (_t73_array_iter = 0; _t73_array_iter < _local_arg->structlist_len; _t73_array_iter++)
              {
                flick_khazana_decode_new_chunk(16);
                flick_cdr_decode_signed32(0, _local_arg->structlist_val[_t73_array_iter].a.a, int );
                flick_cdr_decode_signed32(4, _local_arg->structlist_val[_t73_array_iter].a.b, int );
                flick_cdr_decode_signed32(8, _local_arg->structlist_val[_t73_array_iter].b.a, int );
                flick_cdr_decode_signed32(12, _local_arg->structlist_val[_t73_array_iter].b.b, int );
                flick_khazana_decode_end_chunk(16);
                continue;
              }
            flick_khazana_decode_end_glob(16 * _local_arg->structlist_len);
            flick_khazana_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = strct_2(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort564);
              flick_khazana_encode_new_glob(8, _flick_abort564);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_khazana_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_return, int );
                    flick_khazana_encode_end_chunk(4);
                    flick_khazana_encode_end_glob(8);
                    break;
                  }
                case -1:
                  {
                    flick_khazana_encode_end_glob(8);
                    flick_sun_encode_system_exception(flick_errno, cdr, khazana, _flick_abort572);
                    break;
                    {
                    _flick_abort572:
                      goto _flick_abort564;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort573);
                    flick_khazana_encode_end_glob(8);
                    break;
                    {
                    _flick_abort573:
                      goto _flick_abort564;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort564:
              auto_flick_free(_local_arg->structlist_val);
            _flick_abort560:
              goto _flick_abort559;
            }
          }
          break;
          {
          _flick_abort559:
            goto _flick_abort390;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort390);
          flick_khazana_decode_end_glob(8);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort390:
    flick_sun_server_error(cdr, khazana, _flick_reaper, _flick_abort389);
  _flick_abort389:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

