#include "union-1-server.h"

/* This is the runtime type information */
char *flick_interface_parents_PROG[] = {
	"IDL:PROG:1.0",
	0
};

char *flick_interface_parents_VERS[] = {
	"IDL:VERS:1.0",
	"IDL:PROG:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
int flick_marshal_stub_foo(flick_marshal_stream_t _stream, struct foo *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(8, _flick_abort0);
  flick_khazana_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->discriminator, int );
  flick_khazana_encode_end_chunk(4);
  switch (_data->discriminator)
    {
    case 1:
      {
        flick_khazana_encode_new_chunk(4);
        flick_cdr_encode_signed32(0, _data->foo_u.one, int );
        flick_khazana_encode_end_chunk(4);
        break;
      }
    case 2:
      {
        flick_khazana_encode_new_chunk(4);
        flick_cdr_encode_signed32(0, _data->foo_u.two, int );
        flick_khazana_encode_end_chunk(4);
        break;
      }
    default:
      {
        flick_stub_error(FLICK_ERROR_STRUCT_UNION, _flick_abort7);
        break;
        {
        _flick_abort7:
          goto _flick_abort0;
        }
      }
    }
  flick_khazana_encode_end_glob(8);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_foo(flick_marshal_stream_t _stream, struct foo *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(8);
  flick_khazana_check_span(8, _flick_abort8);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, _data->discriminator, int );
  flick_khazana_decode_end_chunk(4);
  switch (_data->discriminator)
    {
    case 1:
      {
        flick_khazana_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _data->foo_u.one, int );
        flick_khazana_decode_end_chunk(4);
        break;
      }
    case 2:
      {
        flick_khazana_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _data->foo_u.two, int );
        flick_khazana_decode_end_chunk(4);
        break;
      }
    default:
      {
        flick_stub_error(FLICK_ERROR_STRUCT_UNION, _flick_abort15);
        break;
        {
        _flick_abort15:
          goto _flick_abort8;
        }
      }
    }
  flick_khazana_decode_end_glob(8);
  return 0;
  {
  _flick_abort8:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_foo_swap(flick_marshal_stream_t _stream, struct foo *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(8);
  flick_khazana_check_span(8, _flick_abort16);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, _data->discriminator, int );
  flick_khazana_decode_end_chunk(4);
  switch (_data->discriminator)
    {
    case 1:
      {
        flick_khazana_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _data->foo_u.one, int );
        flick_khazana_decode_end_chunk(4);
        break;
      }
    case 2:
      {
        flick_khazana_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _data->foo_u.two, int );
        flick_khazana_decode_end_chunk(4);
        break;
      }
    default:
      {
        flick_stub_error(FLICK_ERROR_STRUCT_UNION, _flick_abort23);
        break;
        {
        _flick_abort23:
          goto _flick_abort16;
        }
      }
    }
  flick_khazana_decode_end_glob(8);
  return 0;
  {
  _flick_abort16:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

flick_operation_success_t prog_2(FLICK_TARGET _this_obj, flick_msg_t _in_msg, flick_msg_t *_out_msg)
{
  FLICK_BUFFER *_stream;
  flick_khazana_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    signed int _t9_switch_tag;

    flick_khazana_decode_new_glob(8);
    flick_khazana_check_span(8, _flick_abort26);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_swap_decode_signed32(0, _t9_switch_tag, signed int );
    flick_khazana_decode_end_chunk(4);
    switch ((signed int )_t9_switch_tag)
      {
      case (signed int) 1:
        {
          {
            struct svc_req *_obj;
            unsigned int _t10_principal_len;
            struct foo *_return;
            struct foo *_local_arg;
            struct foo _t11_storage;

            flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort120);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t10_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t10_principal_len, _flick_abort120);
            flick_khazana_decode_new_glob(_t10_principal_len);
            flick_khazana_decode_new_chunk(_t10_principal_len);
            flick_khazana_decode_end_chunk(_t10_principal_len);
            flick_khazana_decode_end_glob(_t10_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (struct foo *)(&_t11_storage);
            flick_khazana_decode_new_glob(11);
            flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
            flick_khazana_check_span(8, _flick_abort120);
            flick_cdr_swap_decode_signed32(0, _local_arg->discriminator, int );
            flick_khazana_decode_end_chunk(4);
            switch (_local_arg->discriminator)
              {
              case 1:
                {
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_signed32(0, _local_arg->foo_u.one, int );
                  flick_khazana_decode_end_chunk(4);
                  break;
                }
              case 2:
                {
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_signed32(0, _local_arg->foo_u.two, int );
                  flick_khazana_decode_end_chunk(4);
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_STRUCT_UNION, _flick_abort127);
                  break;
                  {
                  _flick_abort127:
                    goto _flick_abort120;
                  }
                }
              }
            flick_khazana_decode_end_glob(11);
            flick_khazana_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op_2(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort120);
              flick_khazana_encode_new_glob(12, _flick_abort120);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_khazana_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _return->discriminator, int );
                    flick_khazana_encode_end_chunk(4);
                    switch (_return->discriminator)
                      {
                      case 1:
                        {
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _return->foo_u.one, int );
                          flick_khazana_encode_end_chunk(4);
                          break;
                        }
                      case 2:
                        {
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _return->foo_u.two, int );
                          flick_khazana_encode_end_chunk(4);
                          break;
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_STRUCT_UNION, _flick_abort146);
                          break;
                          {
                          _flick_abort146:
                            goto _flick_abort139;
                          }
                        }
                      }
                    flick_khazana_encode_end_glob(12);
                    break;
                    {
                    _flick_abort139:
                      goto _flick_abort120;
                    }
                  }
                case -1:
                  {
                    flick_khazana_encode_end_glob(12);
                    flick_sun_encode_system_exception(flick_errno, cdr, khazana, _flick_abort147);
                    break;
                    {
                    _flick_abort147:
                      goto _flick_abort120;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort148);
                    flick_khazana_encode_end_glob(12);
                    break;
                    {
                    _flick_abort148:
                      goto _flick_abort120;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort120:
              goto _flick_abort119;
            }
          }
          break;
          {
          _flick_abort119:
            goto _flick_abort26;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort26);
          flick_khazana_decode_end_glob(8);
          break;
        }
      }
  }
  } else {
  {
    signed int _t3_switch_tag;

    flick_khazana_decode_new_glob(8);
    flick_khazana_check_span(8, _flick_abort26);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t3_switch_tag, signed int );
    flick_khazana_decode_end_chunk(4);
    switch ((signed int )_t3_switch_tag)
      {
      case (signed int) 1:
        {
          {
            struct svc_req *_obj;
            unsigned int _t4_principal_len;
            struct foo *_return;
            struct foo *_local_arg;
            struct foo _t5_storage;

            flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort59);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t4_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t4_principal_len, _flick_abort59);
            flick_khazana_decode_new_glob(_t4_principal_len);
            flick_khazana_decode_new_chunk(_t4_principal_len);
            flick_khazana_decode_end_chunk(_t4_principal_len);
            flick_khazana_decode_end_glob(_t4_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (struct foo *)(&_t5_storage);
            flick_khazana_decode_new_glob(11);
            flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
            flick_khazana_check_span(8, _flick_abort59);
            flick_cdr_decode_signed32(0, _local_arg->discriminator, int );
            flick_khazana_decode_end_chunk(4);
            switch (_local_arg->discriminator)
              {
              case 1:
                {
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_signed32(0, _local_arg->foo_u.one, int );
                  flick_khazana_decode_end_chunk(4);
                  break;
                }
              case 2:
                {
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_signed32(0, _local_arg->foo_u.two, int );
                  flick_khazana_decode_end_chunk(4);
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_STRUCT_UNION, _flick_abort66);
                  break;
                  {
                  _flick_abort66:
                    goto _flick_abort59;
                  }
                }
              }
            flick_khazana_decode_end_glob(11);
            flick_khazana_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op_2(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort59);
              flick_khazana_encode_new_glob(12, _flick_abort59);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_khazana_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _return->discriminator, int );
                    flick_khazana_encode_end_chunk(4);
                    switch (_return->discriminator)
                      {
                      case 1:
                        {
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _return->foo_u.one, int );
                          flick_khazana_encode_end_chunk(4);
                          break;
                        }
                      case 2:
                        {
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _return->foo_u.two, int );
                          flick_khazana_encode_end_chunk(4);
                          break;
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_STRUCT_UNION, _flick_abort85);
                          break;
                          {
                          _flick_abort85:
                            goto _flick_abort78;
                          }
                        }
                      }
                    flick_khazana_encode_end_glob(12);
                    break;
                    {
                    _flick_abort78:
                      goto _flick_abort59;
                    }
                  }
                case -1:
                  {
                    flick_khazana_encode_end_glob(12);
                    flick_sun_encode_system_exception(flick_errno, cdr, khazana, _flick_abort86);
                    break;
                    {
                    _flick_abort86:
                      goto _flick_abort59;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort87);
                    flick_khazana_encode_end_glob(12);
                    break;
                    {
                    _flick_abort87:
                      goto _flick_abort59;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort59:
              goto _flick_abort58;
            }
          }
          break;
          {
          _flick_abort58:
            goto _flick_abort26;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort26);
          flick_khazana_decode_end_glob(8);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort26:
    flick_sun_server_error(cdr, khazana, _flick_reaper, _flick_abort25);
  _flick_abort25:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

