#include "union-2-server.h"

/* This is the runtime type information */
char *flick_interface_parents_PROG[] = {
	"IDL:PROG:1.0",
	0
};

char *flick_interface_parents_VERS[] = {
	"IDL:VERS:1.0",
	"IDL:PROG:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
int flick_marshal_stub_foo(flick_marshal_stream_t _stream, struct foo *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(8, _flick_abort0);
  flick_khazana_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->discriminator, int );
  flick_khazana_encode_end_chunk(4);
  switch (_data->discriminator)
    {
    case 1:
      {
        flick_khazana_encode_new_chunk(4);
        flick_cdr_encode_signed32(0, _data->foo_u.one, int );
        flick_khazana_encode_end_chunk(4);
        break;
      }
    case 2:
      {
        flick_khazana_encode_new_chunk(4);
        flick_cdr_encode_signed32(0, _data->foo_u.two, int );
        flick_khazana_encode_end_chunk(4);
        break;
      }
    case 3:
      {
        break;
      }
    case 4:
      {
        flick_khazana_encode_new_chunk(4);
        flick_cdr_encode_float32(0, _data->foo_u.four, float );
        flick_khazana_encode_end_chunk(4);
        break;
      }
    case 5:
      {
        break;
      }
    default:
      {
        flick_stub_error(FLICK_ERROR_STRUCT_UNION, _flick_abort13);
        break;
        {
        _flick_abort13:
          goto _flick_abort0;
        }
      }
    }
  flick_khazana_encode_end_glob(8);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_foo(flick_marshal_stream_t _stream, struct foo *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(8);
  flick_khazana_check_span(4, _flick_abort14);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, _data->discriminator, int );
  flick_khazana_decode_end_chunk(4);
  switch (_data->discriminator)
    {
    case 1:
      {
        flick_khazana_check_span(4, _flick_abort22);
        flick_khazana_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _data->foo_u.one, int );
        flick_khazana_decode_end_chunk(4);
        break;
        {
        _flick_abort22:
          goto _flick_abort14;
        }
      }
    case 2:
      {
        flick_khazana_check_span(4, _flick_abort23);
        flick_khazana_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _data->foo_u.two, int );
        flick_khazana_decode_end_chunk(4);
        break;
        {
        _flick_abort23:
          goto _flick_abort14;
        }
      }
    case 3:
      {
        break;
      }
    case 4:
      {
        flick_khazana_check_span(4, _flick_abort25);
        flick_khazana_decode_new_chunk(4);
        flick_cdr_decode_float32(0, _data->foo_u.four, float );
        flick_khazana_decode_end_chunk(4);
        break;
        {
        _flick_abort25:
          goto _flick_abort14;
        }
      }
    case 5:
      {
        break;
      }
    default:
      {
        flick_stub_error(FLICK_ERROR_STRUCT_UNION, _flick_abort27);
        break;
        {
        _flick_abort27:
          goto _flick_abort14;
        }
      }
    }
  flick_khazana_decode_end_glob(8);
  return 0;
  {
  _flick_abort14:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_foo_swap(flick_marshal_stream_t _stream, struct foo *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(8);
  flick_khazana_check_span(4, _flick_abort28);
  flick_khazana_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, _data->discriminator, int );
  flick_khazana_decode_end_chunk(4);
  switch (_data->discriminator)
    {
    case 1:
      {
        flick_khazana_check_span(4, _flick_abort36);
        flick_khazana_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _data->foo_u.one, int );
        flick_khazana_decode_end_chunk(4);
        break;
        {
        _flick_abort36:
          goto _flick_abort28;
        }
      }
    case 2:
      {
        flick_khazana_check_span(4, _flick_abort37);
        flick_khazana_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _data->foo_u.two, int );
        flick_khazana_decode_end_chunk(4);
        break;
        {
        _flick_abort37:
          goto _flick_abort28;
        }
      }
    case 3:
      {
        break;
      }
    case 4:
      {
        flick_khazana_check_span(4, _flick_abort39);
        flick_khazana_decode_new_chunk(4);
        flick_cdr_swap_decode_float32(0, _data->foo_u.four, float );
        flick_khazana_decode_end_chunk(4);
        break;
        {
        _flick_abort39:
          goto _flick_abort28;
        }
      }
    case 5:
      {
        break;
      }
    default:
      {
        flick_stub_error(FLICK_ERROR_STRUCT_UNION, _flick_abort41);
        break;
        {
        _flick_abort41:
          goto _flick_abort28;
        }
      }
    }
  flick_khazana_decode_end_glob(8);
  return 0;
  {
  _flick_abort28:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

flick_operation_success_t prog_2(FLICK_TARGET _this_obj, flick_msg_t _in_msg, flick_msg_t *_out_msg)
{
  FLICK_BUFFER *_stream;
  flick_khazana_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    signed int _t9_switch_tag;

    flick_khazana_decode_new_glob(8);
    flick_khazana_check_span(8, _flick_abort44);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_swap_decode_signed32(0, _t9_switch_tag, signed int );
    flick_khazana_decode_end_chunk(4);
    switch ((signed int )_t9_switch_tag)
      {
      case (signed int) 1:
        {
          {
            struct svc_req *_obj;
            unsigned int _t10_principal_len;
            struct foo *_return;
            struct foo *_local_arg;
            struct foo _t11_storage;

            flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort192);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t10_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t10_principal_len, _flick_abort192);
            flick_khazana_decode_new_glob(_t10_principal_len);
            flick_khazana_decode_new_chunk(_t10_principal_len);
            flick_khazana_decode_end_chunk(_t10_principal_len);
            flick_khazana_decode_end_glob(_t10_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (struct foo *)(&_t11_storage);
            flick_khazana_decode_new_glob(11);
            flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
            flick_khazana_check_span(4, _flick_abort192);
            flick_cdr_swap_decode_signed32(0, _local_arg->discriminator, int );
            flick_khazana_decode_end_chunk(4);
            switch (_local_arg->discriminator)
              {
              case 1:
                {
                  flick_khazana_check_span(4, _flick_abort200);
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_signed32(0, _local_arg->foo_u.one, int );
                  flick_khazana_decode_end_chunk(4);
                  break;
                  {
                  _flick_abort200:
                    goto _flick_abort192;
                  }
                }
              case 2:
                {
                  flick_khazana_check_span(4, _flick_abort201);
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_signed32(0, _local_arg->foo_u.two, int );
                  flick_khazana_decode_end_chunk(4);
                  break;
                  {
                  _flick_abort201:
                    goto _flick_abort192;
                  }
                }
              case 3:
                {
                  break;
                }
              case 4:
                {
                  flick_khazana_check_span(4, _flick_abort203);
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_float32(0, _local_arg->foo_u.four, float );
                  flick_khazana_decode_end_chunk(4);
                  break;
                  {
                  _flick_abort203:
                    goto _flick_abort192;
                  }
                }
              case 5:
                {
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_STRUCT_UNION, _flick_abort205);
                  break;
                  {
                  _flick_abort205:
                    goto _flick_abort192;
                  }
                }
              }
            flick_khazana_decode_end_glob(11);
            flick_khazana_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op_2(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort192);
              flick_khazana_encode_new_glob(12, _flick_abort192);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_khazana_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _return->discriminator, int );
                    flick_khazana_encode_end_chunk(4);
                    switch (_return->discriminator)
                      {
                      case 1:
                        {
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _return->foo_u.one, int );
                          flick_khazana_encode_end_chunk(4);
                          break;
                        }
                      case 2:
                        {
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _return->foo_u.two, int );
                          flick_khazana_encode_end_chunk(4);
                          break;
                        }
                      case 3:
                        {
                          break;
                        }
                      case 4:
                        {
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_float32(0, _return->foo_u.four, float );
                          flick_khazana_encode_end_chunk(4);
                          break;
                        }
                      case 5:
                        {
                          break;
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_STRUCT_UNION, _flick_abort236);
                          break;
                          {
                          _flick_abort236:
                            goto _flick_abort223;
                          }
                        }
                      }
                    flick_khazana_encode_end_glob(12);
                    break;
                    {
                    _flick_abort223:
                      goto _flick_abort192;
                    }
                  }
                case -1:
                  {
                    flick_khazana_encode_end_glob(12);
                    flick_sun_encode_system_exception(flick_errno, cdr, khazana, _flick_abort237);
                    break;
                    {
                    _flick_abort237:
                      goto _flick_abort192;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort238);
                    flick_khazana_encode_end_glob(12);
                    break;
                    {
                    _flick_abort238:
                      goto _flick_abort192;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort192:
              goto _flick_abort191;
            }
          }
          break;
          {
          _flick_abort191:
            goto _flick_abort44;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort44);
          flick_khazana_decode_end_glob(8);
          break;
        }
      }
  }
  } else {
  {
    signed int _t3_switch_tag;

    flick_khazana_decode_new_glob(8);
    flick_khazana_check_span(8, _flick_abort44);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t3_switch_tag, signed int );
    flick_khazana_decode_end_chunk(4);
    switch ((signed int )_t3_switch_tag)
      {
      case (signed int) 1:
        {
          {
            struct svc_req *_obj;
            unsigned int _t4_principal_len;
            struct foo *_return;
            struct foo *_local_arg;
            struct foo _t5_storage;

            flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort95);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_khazana_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t4_principal_len, unsigned int );
            flick_khazana_decode_end_chunk(4);
            flick_khazana_decode_end_glob(8);
            flick_khazana_check_span(_t4_principal_len, _flick_abort95);
            flick_khazana_decode_new_glob(_t4_principal_len);
            flick_khazana_decode_new_chunk(_t4_principal_len);
            flick_khazana_decode_end_chunk(_t4_principal_len);
            flick_khazana_decode_end_glob(_t4_principal_len);
            /* Begin decode phase on parameters */
            _return = 0;
            _local_arg = (struct foo *)(&_t5_storage);
            flick_khazana_decode_new_glob(11);
            flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
            flick_khazana_check_span(4, _flick_abort95);
            flick_cdr_decode_signed32(0, _local_arg->discriminator, int );
            flick_khazana_decode_end_chunk(4);
            switch (_local_arg->discriminator)
              {
              case 1:
                {
                  flick_khazana_check_span(4, _flick_abort103);
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_signed32(0, _local_arg->foo_u.one, int );
                  flick_khazana_decode_end_chunk(4);
                  break;
                  {
                  _flick_abort103:
                    goto _flick_abort95;
                  }
                }
              case 2:
                {
                  flick_khazana_check_span(4, _flick_abort104);
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_signed32(0, _local_arg->foo_u.two, int );
                  flick_khazana_decode_end_chunk(4);
                  break;
                  {
                  _flick_abort104:
                    goto _flick_abort95;
                  }
                }
              case 3:
                {
                  break;
                }
              case 4:
                {
                  flick_khazana_check_span(4, _flick_abort106);
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_float32(0, _local_arg->foo_u.four, float );
                  flick_khazana_decode_end_chunk(4);
                  break;
                  {
                  _flick_abort106:
                    goto _flick_abort95;
                  }
                }
              case 5:
                {
                  break;
                }
              default:
                {
                  flick_stub_error(FLICK_ERROR_STRUCT_UNION, _flick_abort108);
                  break;
                  {
                  _flick_abort108:
                    goto _flick_abort95;
                  }
                }
              }
            flick_khazana_decode_end_glob(11);
            flick_khazana_server_end_decode();
            flick_sun_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = op_2(_local_arg, _obj);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_khazana_server_start_encode();
            {
              flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort95);
              flick_khazana_encode_new_glob(12, _flick_abort95);
              flick_khazana_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, flick_errno, flick_env_t );
              flick_khazana_encode_end_chunk(4);
              switch (flick_errno)
                {
                case 0:
                  {
                    /* Begin encode phase on parameters */
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _return->discriminator, int );
                    flick_khazana_encode_end_chunk(4);
                    switch (_return->discriminator)
                      {
                      case 1:
                        {
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _return->foo_u.one, int );
                          flick_khazana_encode_end_chunk(4);
                          break;
                        }
                      case 2:
                        {
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _return->foo_u.two, int );
                          flick_khazana_encode_end_chunk(4);
                          break;
                        }
                      case 3:
                        {
                          break;
                        }
                      case 4:
                        {
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_float32(0, _return->foo_u.four, float );
                          flick_khazana_encode_end_chunk(4);
                          break;
                        }
                      case 5:
                        {
                          break;
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_STRUCT_UNION, _flick_abort139);
                          break;
                          {
                          _flick_abort139:
                            goto _flick_abort126;
                          }
                        }
                      }
                    flick_khazana_encode_end_glob(12);
                    break;
                    {
                    _flick_abort126:
                      goto _flick_abort95;
                    }
                  }
                case -1:
                  {
                    flick_khazana_encode_end_glob(12);
                    flick_sun_encode_system_exception(flick_errno, cdr, khazana, _flick_abort140);
                    break;
                    {
                    _flick_abort140:
                      goto _flick_abort95;
                    }
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort141);
                    flick_khazana_encode_end_glob(12);
                    break;
                    {
                    _flick_abort141:
                      goto _flick_abort95;
                    }
                  }
                }
            }
            flick_khazana_server_end_encode();
            break;
            {
            _flick_abort95:
              goto _flick_abort94;
            }
          }
          break;
          {
          _flick_abort94:
            goto _flick_abort44;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort44);
          flick_khazana_decode_end_glob(8);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort44:
    flick_sun_server_error(cdr, khazana, _flick_reaper, _flick_abort43);
  _flick_abort43:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

