#include "arrayez-server.h"

/* This is the runtime type information */
char *flick_interface_parents_arrayez[] = {
	"IDL:arrayez:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;
	int reg_success;


	s.prog_num = _PROG_arrayez;
	s.vers_num = _VERS_arrayez;

	reg_success = flick_server_register(s, &arrayez_server);
	assert(reg_success);


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
int flick_marshal_stub_arrayez(flick_marshal_stream_t _stream, arrayez *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort0);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_arrayez(flick_marshal_stream_t _stream, arrayez *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort1);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_arrayez_arr8k(flick_marshal_stream_t _stream, arrayez_arr8k *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned32_t _t0_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(8192, _flick_abort2);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t0_array_iter = 0; _t0_array_iter < 2048; _t0_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, (*_data)[_t0_array_iter], CORBA_long );
      flick_suntcp_encode_end_chunk(4);
      continue;
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(8192);
  flick_xdr_encode_bcopy(0, *_data, 8192);
  flick_suntcp_encode_end_chunk(8192);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(8192);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_arrayez_arr8k(flick_marshal_stream_t _stream, arrayez_arr8k *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned32_t _t1_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(8192);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t1_array_iter = 0; _t1_array_iter < 2048; _t1_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, (*_data)[_t1_array_iter], CORBA_long );
      flick_suntcp_decode_end_chunk(4);
      continue;
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_check_span(8192, _flick_abort17);
  flick_suntcp_decode_new_chunk(8192);
  flick_xdr_decode_bcopy(0, *_data, 8192);
  flick_suntcp_decode_end_chunk(8192);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(8192);
  return 0;
  {
#if BYTE_ORDER != BIG_ENDIAN
#else /* BIG_ENDIAN - do a bcopy*/
  _flick_abort17:
#endif /* ENDIANness */
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

flick_operation_success_t arrayez_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    unsigned int _t52_switch_tag;

    flick_suntcp_decode_new_glob(64);
    flick_suntcp_check_span(48, _flick_abort20);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t52_switch_tag, unsigned int );
    flick_suntcp_decode_end_chunk(4);
    switch ((unsigned int )_t52_switch_tag)
      {
      case (unsigned int) 10:
        {
          char _t53_switch_tag;

          flick_suntcp_check_span(8248, _flick_abort20);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t53_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t53_switch_tag)
            {
            case 't':
              {
                char _t54_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t54_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t54_switch_tag)
                  {
                  case 'e':
                    {
                      char _t55_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t55_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t55_switch_tag)
                        {
                        case 's':
                          {
                            char _t56_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t56_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t56_switch_tag)
                              {
                              case 't':
                                {
                                  char _t57_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t57_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t57_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t58_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t58_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t58_switch_tag)
                                          {
                                          case 'i':
                                            {
                                              char _t59_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t59_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t59_switch_tag)
                                                {
                                                case 'n':
                                                  {
                                                    char _t60_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t60_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t60_switch_tag)
                                                      {
                                                      case '8':
                                                        {
                                                          char _t61_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t61_switch_tag, char );
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t61_switch_tag)
                                                            {
                                                            case 'k':
                                                              {
                                                                char _t62_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t62_switch_tag, char );
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch ((char )_t62_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        arrayez _obj;
                                                                        unsigned int _t63_ignore;
                                                                        CORBA_long _return;
                                                                        CORBA_long *_local_a;
#if BYTE_ORDER != BIG_ENDIAN
                                                                        CORBA_long _t64_storage[2048];
                                                                        flick_unsigned32_t _t65_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
                                                                        CORBA_Environment *_ev;
                                                                        CORBA_Environment _t66_storage;

                                                                        flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort106);
                                                                        /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                        flick_suntcp_decode_new_chunk(16);
                                                                        flick_xdr_decode_unsigned32(0, _t63_ignore, unsigned int );
                                                                        flick_xdr_decode_unsigned32(4, _t63_ignore, unsigned int );
                                                                        flick_xdr_decode_unsigned32(8, _t63_ignore, unsigned int );
                                                                        flick_xdr_decode_unsigned32(12, _t63_ignore, unsigned int );
                                                                        _return = 0;
                                                                        flick_suntcp_decode_end_chunk(16);
                                                                        flick_suntcp_decode_end_glob(64);
                                                                        flick_suntcp_decode_new_glob(8192);
#if BYTE_ORDER != BIG_ENDIAN
                                                                        _local_a = (CORBA_long *)_t64_storage;
                                                                        for (_t65_array_iter = 0; _t65_array_iter < 2048; _t65_array_iter++)
                                                                          {
                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_signed32(0, _local_a[_t65_array_iter], CORBA_long );
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            continue;
                                                                          }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                        flick_suntcp_decode_new_chunk(8192);
                                                                        flick_xdr_decode_msgptr(0, _local_a, CORBA_long *);
                                                                        flick_suntcp_decode_end_chunk(8192);
#endif /* ENDIANness */
                                                                        _ev = (CORBA_Environment *)(&_t66_storage);
                                                                        flick_suntcp_decode_end_glob(8192);
                                                                        flick_suntcp_server_end_decode();
                                                                        flick_corba_init_environment();
                                                                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                                        _return = arrayez_test_in8k(_obj, _local_a, _ev);
                                                                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                                        _stub_state.state = FLICK_STATE_MARSHAL;
                                                                        flick_suntcp_server_start_encode();
                                                                        {
                                                                          flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort_block123);
                                                                          flick_suntcp_encode_new_glob(8, _flick_abort_block123);
                                                                          flick_suntcp_encode_new_chunk(4);
                                                                          flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                                          flick_suntcp_encode_end_chunk(4);
                                                                          switch (_ev->_major)
                                                                            {
                                                                            case CORBA_NO_EXCEPTION:
                                                                              {
                                                                                flick_suntcp_encode_new_chunk(4);
                                                                                flick_xdr_encode_signed32(0, _return, CORBA_long );
                                                                                flick_suntcp_encode_end_chunk(4);
                                                                                flick_suntcp_encode_end_glob(8);
                                                                                break;
                                                                              }
                                                                            case CORBA_SYSTEM_EXCEPTION:
                                                                              {
                                                                                flick_suntcp_encode_end_glob(8);
                                                                                flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort119);
                                                                                break;
                                                                                {
                                                                                _flick_abort119:
                                                                                  goto _flick_abort_block123;
                                                                                }
                                                                              }
                                                                            default:
                                                                              {
                                                                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort120);
                                                                                flick_suntcp_encode_end_glob(8);
                                                                                break;
                                                                                {
                                                                                _flick_abort120:
                                                                                  goto _flick_abort_block123;
                                                                                }
                                                                              }
                                                                            }
                                                                        }
                                                                        flick_suntcp_server_end_encode();
                                                                        break;
                                                                        {
                                                                        _flick_abort_block123:
#if BYTE_ORDER != BIG_ENDIAN
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
                                                                        _flick_abort106:
                                                                          goto _flick_abort105;
                                                                        }
                                                                      }
                                                                      break;
                                                                      {
                                                                      _flick_abort105:
                                                                        goto _flick_abort20;
                                                                      }
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort20);
                                                                      flick_suntcp_decode_end_glob(64);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort20);
                                                                flick_suntcp_decode_end_glob(64);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort20);
                                                          flick_suntcp_decode_end_glob(64);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                case 'o':
                                                  {
                                                    char _t67_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t67_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t67_switch_tag)
                                                      {
                                                      case '8':
                                                        {
                                                          char _t68_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t68_switch_tag, char );
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t68_switch_tag)
                                                            {
                                                            case 'k':
                                                              {
                                                                char _t69_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t69_switch_tag, char );
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch ((char )_t69_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        arrayez _obj;
                                                                        unsigned int _t70_ignore;
                                                                        CORBA_long _return;
                                                                        CORBA_long *_local_a;
#if BYTE_ORDER != BIG_ENDIAN
                                                                        CORBA_long _t71_storage[2048];
                                                                        flick_unsigned32_t _t72_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
                                                                        CORBA_long *_local_b;
                                                                        CORBA_long _t73_storage[2048];
                                                                        CORBA_Environment *_ev;
                                                                        CORBA_Environment _t74_storage;

                                                                        flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort122);
                                                                        /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                        flick_suntcp_decode_new_chunk(16);
                                                                        flick_xdr_decode_unsigned32(0, _t70_ignore, unsigned int );
                                                                        flick_xdr_decode_unsigned32(4, _t70_ignore, unsigned int );
                                                                        flick_xdr_decode_unsigned32(8, _t70_ignore, unsigned int );
                                                                        flick_xdr_decode_unsigned32(12, _t70_ignore, unsigned int );
                                                                        _return = 0;
                                                                        flick_suntcp_decode_end_chunk(16);
                                                                        flick_suntcp_decode_end_glob(64);
                                                                        flick_suntcp_decode_new_glob(8192);
#if BYTE_ORDER != BIG_ENDIAN
                                                                        _local_a = (CORBA_long *)_t71_storage;
                                                                        for (_t72_array_iter = 0; _t72_array_iter < 2048; _t72_array_iter++)
                                                                          {
                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_signed32(0, _local_a[_t72_array_iter], CORBA_long );
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            continue;
                                                                          }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                        flick_suntcp_decode_new_chunk(8192);
                                                                        flick_xdr_decode_msgptr(0, _local_a, CORBA_long *);
                                                                        flick_suntcp_decode_end_chunk(8192);
#endif /* ENDIANness */
                                                                        _local_b = (CORBA_long *)_t73_storage;
                                                                        _ev = (CORBA_Environment *)(&_t74_storage);
                                                                        flick_suntcp_decode_end_glob(8192);
                                                                        flick_suntcp_server_end_decode();
                                                                        flick_corba_init_environment();
                                                                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                                        _return = arrayez_test_io8k(_obj, _local_a, _local_b, _ev);
                                                                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                                        _stub_state.state = FLICK_STATE_MARSHAL;
                                                                        flick_suntcp_server_start_encode();
                                                                        {
                                                                          flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort_block142);
                                                                          flick_suntcp_encode_new_glob(8, _flick_abort_block142);
                                                                          flick_suntcp_encode_new_chunk(4);
                                                                          flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                                          flick_suntcp_encode_end_chunk(4);
                                                                          switch (_ev->_major)
                                                                            {
                                                                            case CORBA_NO_EXCEPTION:
                                                                              {
#if BYTE_ORDER != BIG_ENDIAN
                                                                                flick_unsigned32_t _t76_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

                                                                                flick_suntcp_encode_new_chunk(4);
                                                                                flick_xdr_encode_signed32(0, _return, CORBA_long );
                                                                                flick_suntcp_encode_end_chunk(4);
                                                                                flick_suntcp_encode_end_glob(8);
                                                                                flick_suntcp_encode_new_glob(8192, _flick_abort142);
#if BYTE_ORDER != BIG_ENDIAN
                                                                                for (_t76_array_iter = 0; _t76_array_iter < 2048; _t76_array_iter++)
                                                                                  {
                                                                                    flick_suntcp_encode_new_chunk(4);
                                                                                    flick_xdr_encode_signed32(0, _local_b[_t76_array_iter], CORBA_long );
                                                                                    flick_suntcp_encode_end_chunk(4);
                                                                                    continue;
                                                                                  }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                                flick_suntcp_encode_new_chunk(8192);
                                                                                flick_xdr_encode_bcopy(0, _local_b, 8192);
                                                                                flick_suntcp_encode_end_chunk(8192);
#endif /* ENDIANness */
                                                                                flick_suntcp_encode_end_glob(8192);
                                                                                break;
                                                                                {
                                                                                _flick_abort142:
                                                                                  goto _flick_abort_block142;
                                                                                }
                                                                              }
                                                                            case CORBA_SYSTEM_EXCEPTION:
                                                                              {
                                                                                flick_suntcp_encode_end_glob(8);
                                                                                flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort150);
                                                                                break;
                                                                                {
                                                                                _flick_abort150:
                                                                                  goto _flick_abort_block142;
                                                                                }
                                                                              }
                                                                            default:
                                                                              {
                                                                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort151);
                                                                                flick_suntcp_encode_end_glob(8);
                                                                                break;
                                                                                {
                                                                                _flick_abort151:
                                                                                  goto _flick_abort_block142;
                                                                                }
                                                                              }
                                                                            }
                                                                        }
                                                                        flick_suntcp_server_end_encode();
                                                                        break;
                                                                        {
                                                                        _flick_abort_block142:
#if BYTE_ORDER != BIG_ENDIAN
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
                                                                        _flick_abort122:
                                                                          goto _flick_abort121;
                                                                        }
                                                                      }
                                                                      break;
                                                                      {
                                                                      _flick_abort121:
                                                                        goto _flick_abort20;
                                                                      }
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort20);
                                                                      flick_suntcp_decode_end_glob(64);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort20);
                                                                flick_suntcp_decode_end_glob(64);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort20);
                                                          flick_suntcp_decode_end_glob(64);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort20);
                                                    flick_suntcp_decode_end_glob(64);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort20);
                                              flick_suntcp_decode_end_glob(64);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort20);
                                        flick_suntcp_decode_end_glob(64);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort20);
                                  flick_suntcp_decode_end_glob(64);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort20);
                            flick_suntcp_decode_end_glob(64);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort20);
                      flick_suntcp_decode_end_glob(64);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort20);
                flick_suntcp_decode_end_glob(64);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          char _t77_switch_tag;

          flick_suntcp_check_span(60, _flick_abort20);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t77_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t77_switch_tag)
            {
            case 't':
              {
                char _t78_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t78_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t78_switch_tag)
                  {
                  case 'e':
                    {
                      char _t79_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t79_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t79_switch_tag)
                        {
                        case 's':
                          {
                            char _t80_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t80_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t80_switch_tag)
                              {
                              case 't':
                                {
                                  char _t81_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t81_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t81_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t82_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t82_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t82_switch_tag)
                                          {
                                          case 'o':
                                            {
                                              char _t83_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t83_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t83_switch_tag)
                                                {
                                                case 'u':
                                                  {
                                                    char _t84_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t84_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t84_switch_tag)
                                                      {
                                                      case 't':
                                                        {
                                                          char _t85_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t85_switch_tag, char );
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t85_switch_tag)
                                                            {
                                                            case '8':
                                                              {
                                                                char _t86_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t86_switch_tag, char );
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch ((char )_t86_switch_tag)
                                                                  {
                                                                  case 'k':
                                                                    {
                                                                      char _t87_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t87_switch_tag, char );
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch ((char )_t87_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            {
                                                                              arrayez _obj;
                                                                              unsigned int _t88_ignore;
                                                                              CORBA_long _return;
                                                                              CORBA_long *_local_a;
                                                                              CORBA_long _t89_storage[2048];
                                                                              CORBA_Environment *_ev;
                                                                              CORBA_Environment _t90_storage;

                                                                              flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort153);
                                                                              /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                              flick_suntcp_decode_new_chunk(16);
                                                                              flick_xdr_decode_unsigned32(0, _t88_ignore, unsigned int );
                                                                              flick_xdr_decode_unsigned32(4, _t88_ignore, unsigned int );
                                                                              flick_xdr_decode_unsigned32(8, _t88_ignore, unsigned int );
                                                                              flick_xdr_decode_unsigned32(12, _t88_ignore, unsigned int );
                                                                              _return = 0;
                                                                              _local_a = (CORBA_long *)_t89_storage;
                                                                              _ev = (CORBA_Environment *)(&_t90_storage);
                                                                              flick_suntcp_decode_end_chunk(16);
                                                                              flick_suntcp_decode_end_glob(64);
                                                                              flick_suntcp_server_end_decode();
                                                                              flick_corba_init_environment();
                                                                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                                              _return = arrayez_test_out8k(_obj, _local_a, _ev);
                                                                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                                              _stub_state.state = FLICK_STATE_MARSHAL;
                                                                              flick_suntcp_server_start_encode();
                                                                              {
                                                                                flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort153);
                                                                                flick_suntcp_encode_new_glob(8, _flick_abort153);
                                                                                flick_suntcp_encode_new_chunk(4);
                                                                                flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                                                flick_suntcp_encode_end_chunk(4);
                                                                                switch (_ev->_major)
                                                                                  {
                                                                                  case CORBA_NO_EXCEPTION:
                                                                                    {
#if BYTE_ORDER != BIG_ENDIAN
                                                                                      flick_unsigned32_t _t92_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

                                                                                      flick_suntcp_encode_new_chunk(4);
                                                                                      flick_xdr_encode_signed32(0, _return, CORBA_long );
                                                                                      flick_suntcp_encode_end_chunk(4);
                                                                                      flick_suntcp_encode_end_glob(8);
                                                                                      flick_suntcp_encode_new_glob(8192, _flick_abort166);
#if BYTE_ORDER != BIG_ENDIAN
                                                                                      for (_t92_array_iter = 0; _t92_array_iter < 2048; _t92_array_iter++)
                                                                                        {
                                                                                          flick_suntcp_encode_new_chunk(4);
                                                                                          flick_xdr_encode_signed32(0, _local_a[_t92_array_iter], CORBA_long );
                                                                                          flick_suntcp_encode_end_chunk(4);
                                                                                          continue;
                                                                                        }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                                      flick_suntcp_encode_new_chunk(8192);
                                                                                      flick_xdr_encode_bcopy(0, _local_a, 8192);
                                                                                      flick_suntcp_encode_end_chunk(8192);
#endif /* ENDIANness */
                                                                                      flick_suntcp_encode_end_glob(8192);
                                                                                      break;
                                                                                      {
                                                                                      _flick_abort166:
                                                                                        goto _flick_abort153;
                                                                                      }
                                                                                    }
                                                                                  case CORBA_SYSTEM_EXCEPTION:
                                                                                    {
                                                                                      flick_suntcp_encode_end_glob(8);
                                                                                      flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort174);
                                                                                      break;
                                                                                      {
                                                                                      _flick_abort174:
                                                                                        goto _flick_abort153;
                                                                                      }
                                                                                    }
                                                                                  default:
                                                                                    {
                                                                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort175);
                                                                                      flick_suntcp_encode_end_glob(8);
                                                                                      break;
                                                                                      {
                                                                                      _flick_abort175:
                                                                                        goto _flick_abort153;
                                                                                      }
                                                                                    }
                                                                                  }
                                                                              }
                                                                              flick_suntcp_server_end_encode();
                                                                              break;
                                                                              {
                                                                              _flick_abort153:
                                                                                goto _flick_abort152;
                                                                              }
                                                                            }
                                                                            break;
                                                                            {
                                                                            _flick_abort152:
                                                                              goto _flick_abort20;
                                                                            }
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort20);
                                                                            flick_suntcp_decode_end_glob(64);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort20);
                                                                      flick_suntcp_decode_end_glob(64);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort20);
                                                                flick_suntcp_decode_end_glob(64);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort20);
                                                          flick_suntcp_decode_end_glob(64);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort20);
                                                    flick_suntcp_decode_end_glob(64);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort20);
                                              flick_suntcp_decode_end_glob(64);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort20);
                                        flick_suntcp_decode_end_glob(64);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort20);
                                  flick_suntcp_decode_end_glob(64);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort20);
                            flick_suntcp_decode_end_glob(64);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort20);
                      flick_suntcp_decode_end_glob(64);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort20);
                flick_suntcp_decode_end_glob(64);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          char _t93_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t93_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t93_switch_tag)
            {
            case '_':
              {
                char _t94_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t94_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t94_switch_tag)
                  {
                  case 'i':
                    {
                      char _t95_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t95_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t95_switch_tag)
                        {
                        case 's':
                          {
                            char _t96_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t96_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t96_switch_tag)
                              {
                              case '_':
                                {
                                  char _t97_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t97_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t97_switch_tag)
                                    {
                                    case 'a':
                                      {
                                        char _t98_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t98_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t98_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                CORBA_Object _obj;
                                                unsigned int _t99_ignore;
                                                CORBA_boolean _return;
                                                CORBA_char *_local_id;
                                                flick_unsigned32_t _t100_temp_string_len;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t101_storage;
                                                char **_par;

                                                flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort177);
                                                /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                flick_suntcp_decode_new_chunk(20);
                                                flick_xdr_decode_unsigned32(0, _t99_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(4, _t99_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(8, _t99_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(12, _t99_ignore, unsigned int );
                                                _return = 0;
                                                flick_xdr_decode_unsigned32(16, _t100_temp_string_len, flick_unsigned32_t );
                                                flick_suntcp_decode_end_chunk(20);
                                                flick_suntcp_decode_end_glob(64);
                                                flick_suntcp_decode_new_glob(1 * _t100_temp_string_len);
                                                flick_suntcp_check_span(1 * _t100_temp_string_len, _flick_abort177);
                                                flick_suntcp_decode_new_chunk(1 * _t100_temp_string_len);
                                                if ((_t100_temp_string_len + 3) & ~3)
                                                  {
                                                    flick_xdr_decode_msgptr(0, _local_id, CORBA_char *);
                                                  }
                                                else
                                                  {
                                                    {
                                                      CORBA_char *_t_alloc_ptr;

                                                      _t_alloc_ptr = (CORBA_char *)(auto_flick_alloc((_t100_temp_string_len + 1) * sizeof(CORBA_char )));
                                                      if (!_t_alloc_ptr)
                                                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort177);
                                                      _local_id = _t_alloc_ptr;
                                                    }
                                                    flick_xdr_decode_bcopy(0, _local_id, 1 * _t100_temp_string_len);
                                                  }
                                                flick_suntcp_decode_end_chunk(1 * _t100_temp_string_len);
                                                _local_id[_t100_temp_string_len] = 0;
                                                flick_suntcp_decode_end_glob(1 * _t100_temp_string_len);
                                                flick_suntcp_decode_new_glob(3);
                                                flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
                                                _ev = (CORBA_Environment *)(&_t101_storage);
                                                _par = flick_interface_parents_arrayez;
                                                flick_suntcp_decode_end_chunk(0);
                                                flick_suntcp_decode_end_glob(3);
                                                flick_suntcp_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_suntcp_server_start_encode();
                                                {
                                                  flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort180);
                                                  flick_suntcp_encode_new_glob(8, _flick_abort180);
                                                  flick_suntcp_encode_new_chunk(4);
                                                  flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_suntcp_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        flick_suntcp_encode_new_chunk(4);
                                                        flick_xdr_encode_unsigned8(0, _return, CORBA_boolean );
                                                        flick_suntcp_encode_end_chunk(4);
                                                        flick_suntcp_encode_end_glob(8);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_suntcp_encode_end_glob(8);
                                                        flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort186);
                                                        break;
                                                        {
                                                        _flick_abort186:
                                                          goto _flick_abort180;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort187);
                                                        flick_suntcp_encode_end_glob(8);
                                                        break;
                                                        {
                                                        _flick_abort187:
                                                          goto _flick_abort180;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_suntcp_server_end_encode();
                                                break;
                                                {
                                                _flick_abort180:
                                                  auto_flick_free(_local_id);
                                                _flick_abort177:
                                                  goto _flick_abort176;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort176:
                                                goto _flick_abort20;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort20);
                                              flick_suntcp_decode_end_glob(64);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort20);
                                        flick_suntcp_decode_end_glob(64);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort20);
                                  flick_suntcp_decode_end_glob(64);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort20);
                            flick_suntcp_decode_end_glob(64);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort20);
                      flick_suntcp_decode_end_glob(64);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort20);
                flick_suntcp_decode_end_glob(64);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort20);
          flick_suntcp_decode_end_glob(64);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort20:
    flick_corba_server_error(xdr, suntcp, _flick_reaper, _flick_abort19);
  _flick_abort19:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

