#include "arrays-server.h"

/* This is the runtime type information */
char *flick_interface_parents_arrays[] = {
	"IDL:arrays:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;
	int reg_success;


	s.prog_num = _PROG_arrays;
	s.vers_num = _VERS_arrays;

	reg_success = flick_server_register(s, &arrays_server);
	assert(reg_success);


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
int flick_marshal_stub_end(flick_marshal_stream_t _stream, struct end *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(8, _flick_abort0);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_signed32(0, _data->elem1, CORBA_long );
  flick_xdr_encode_char8(4, _data->elem2, CORBA_char );
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_end(flick_marshal_stream_t _stream, struct end *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_check_span(8, _flick_abort1);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_signed32(0, _data->elem1, CORBA_long );
  flick_xdr_decode_char8(4, _data->elem2, CORBA_char );
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_begin(flick_marshal_stream_t _stream, struct begin *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(8, _flick_abort2);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_char8(0, _data->elem1, CORBA_char );
  flick_xdr_encode_signed32(4, _data->elem2, CORBA_long );
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_begin(flick_marshal_stream_t _stream, struct begin *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_check_span(8, _flick_abort3);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_char8(0, _data->elem1, CORBA_char );
  flick_xdr_decode_signed32(4, _data->elem2, CORBA_long );
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_cLd(flick_marshal_stream_t _stream, struct cLd *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned32_t _t0_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(212, _flick_abort4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_char8(0, _data->first, CORBA_char );
  flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t0_array_iter = 0; _t0_array_iter < 50; _t0_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->data[_t0_array_iter], CORBA_long );
      flick_suntcp_encode_end_chunk(4);
      continue;
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(200);
  flick_xdr_encode_bcopy(0, _data->data, 200);
  flick_suntcp_encode_end_chunk(200);
#endif /* ENDIANness */
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_float64(0, _data->last, CORBA_double );
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(212);
  return 0;
  {
  _flick_abort4:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_cLd(flick_marshal_stream_t _stream, struct cLd *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned32_t _t1_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(212);
  flick_suntcp_check_span(212, _flick_abort12);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_char8(0, _data->first, CORBA_char );
  flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t1_array_iter = 0; _t1_array_iter < 50; _t1_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->data[_t1_array_iter], CORBA_long );
      flick_suntcp_decode_end_chunk(4);
      continue;
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(200);
  flick_xdr_decode_bcopy(0, _data->data, 200);
  flick_suntcp_decode_end_chunk(200);
#endif /* ENDIANness */
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_float64(0, _data->last, CORBA_double );
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(212);
  return 0;
  {
  _flick_abort12:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_dLc(flick_marshal_stream_t _stream, struct dLc *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned32_t _t2_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(212, _flick_abort20);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_float64(0, _data->first, CORBA_double );
  flick_suntcp_encode_end_chunk(8);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t2_array_iter = 0; _t2_array_iter < 50; _t2_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->data[_t2_array_iter], CORBA_long );
      flick_suntcp_encode_end_chunk(4);
      continue;
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(200);
  flick_xdr_encode_bcopy(0, _data->data, 200);
  flick_suntcp_encode_end_chunk(200);
#endif /* ENDIANness */
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_char8(0, _data->last, CORBA_char );
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(212);
  return 0;
  {
  _flick_abort20:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_dLc(flick_marshal_stream_t _stream, struct dLc *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned32_t _t3_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(212);
  flick_suntcp_check_span(212, _flick_abort28);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_float64(0, _data->first, CORBA_double );
  flick_suntcp_decode_end_chunk(8);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t3_array_iter = 0; _t3_array_iter < 50; _t3_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->data[_t3_array_iter], CORBA_long );
      flick_suntcp_decode_end_chunk(4);
      continue;
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(200);
  flick_xdr_decode_bcopy(0, _data->data, 200);
  flick_suntcp_decode_end_chunk(200);
#endif /* ENDIANness */
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_char8(0, _data->last, CORBA_char );
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(212);
  return 0;
  {
  _flick_abort28:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_sLs(flick_marshal_stream_t _stream, struct sLs *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned32_t _t4_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(208, _flick_abort36);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed16(0, _data->first, CORBA_short );
  flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t4_array_iter = 0; _t4_array_iter < 50; _t4_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->data[_t4_array_iter], CORBA_long );
      flick_suntcp_encode_end_chunk(4);
      continue;
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(200);
  flick_xdr_encode_bcopy(0, _data->data, 200);
  flick_suntcp_encode_end_chunk(200);
#endif /* ENDIANness */
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed16(0, _data->last, CORBA_short );
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(208);
  return 0;
  {
  _flick_abort36:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_sLs(flick_marshal_stream_t _stream, struct sLs *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  flick_unsigned32_t _t5_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(208);
  flick_suntcp_check_span(208, _flick_abort44);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed16(0, _data->first, CORBA_short );
  flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t5_array_iter = 0; _t5_array_iter < 50; _t5_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->data[_t5_array_iter], CORBA_long );
      flick_suntcp_decode_end_chunk(4);
      continue;
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(200);
  flick_xdr_decode_bcopy(0, _data->data, 200);
  flick_suntcp_decode_end_chunk(200);
#endif /* ENDIANness */
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed16(0, _data->last, CORBA_short );
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(208);
  return 0;
  {
  _flick_abort44:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_cLCd(flick_marshal_stream_t _stream, struct cLCd *_data)
{
  flick_unsigned32_t _t6_array_iter;

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(412, _flick_abort52);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_char8(0, _data->first, CORBA_char );
  flick_suntcp_encode_end_chunk(4);
  for (_t6_array_iter = 0; _t6_array_iter < 50; _t6_array_iter++)
    {
      flick_suntcp_encode_new_chunk(8);
      flick_xdr_encode_signed32(0, _data->data[_t6_array_iter].elem1, CORBA_long );
      flick_xdr_encode_char8(4, _data->data[_t6_array_iter].elem2, CORBA_char );
      flick_suntcp_encode_end_chunk(8);
      continue;
    }
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_float64(0, _data->last, CORBA_double );
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(412);
  return 0;
  {
  _flick_abort52:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_cLCd(flick_marshal_stream_t _stream, struct cLCd *_data)
{
  flick_unsigned32_t _t7_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(412);
  flick_suntcp_check_span(50 * 8 + 8 + 4, _flick_abort58);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_char8(0, _data->first, CORBA_char );
  flick_suntcp_decode_end_chunk(4);
  for (_t7_array_iter = 0; _t7_array_iter < 50; _t7_array_iter++)
    {
      flick_suntcp_decode_new_chunk(8);
      flick_xdr_decode_signed32(0, _data->data[_t7_array_iter].elem1, CORBA_long );
      flick_xdr_decode_char8(4, _data->data[_t7_array_iter].elem2, CORBA_char );
      flick_suntcp_decode_end_chunk(8);
      continue;
    }
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_float64(0, _data->last, CORBA_double );
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(412);
  return 0;
  {
  _flick_abort58:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_dLCc(flick_marshal_stream_t _stream, struct dLCc *_data)
{
  flick_unsigned32_t _t8_array_iter;

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(412, _flick_abort64);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_float64(0, _data->first, CORBA_double );
  flick_suntcp_encode_end_chunk(8);
  for (_t8_array_iter = 0; _t8_array_iter < 50; _t8_array_iter++)
    {
      flick_suntcp_encode_new_chunk(8);
      flick_xdr_encode_signed32(0, _data->data[_t8_array_iter].elem1, CORBA_long );
      flick_xdr_encode_char8(4, _data->data[_t8_array_iter].elem2, CORBA_char );
      flick_suntcp_encode_end_chunk(8);
      continue;
    }
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_char8(0, _data->last, CORBA_char );
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(412);
  return 0;
  {
  _flick_abort64:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_dLCc(flick_marshal_stream_t _stream, struct dLCc *_data)
{
  flick_unsigned32_t _t9_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(412);
  flick_suntcp_check_span(50 * 8 + 4 + 8, _flick_abort70);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_float64(0, _data->first, CORBA_double );
  flick_suntcp_decode_end_chunk(8);
  for (_t9_array_iter = 0; _t9_array_iter < 50; _t9_array_iter++)
    {
      flick_suntcp_decode_new_chunk(8);
      flick_xdr_decode_signed32(0, _data->data[_t9_array_iter].elem1, CORBA_long );
      flick_xdr_decode_char8(4, _data->data[_t9_array_iter].elem2, CORBA_char );
      flick_suntcp_decode_end_chunk(8);
      continue;
    }
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_char8(0, _data->last, CORBA_char );
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(412);
  return 0;
  {
  _flick_abort70:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_sLCs(flick_marshal_stream_t _stream, struct sLCs *_data)
{
  flick_unsigned32_t _t10_array_iter;

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(408, _flick_abort76);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed16(0, _data->first, CORBA_short );
  flick_suntcp_encode_end_chunk(4);
  for (_t10_array_iter = 0; _t10_array_iter < 50; _t10_array_iter++)
    {
      flick_suntcp_encode_new_chunk(8);
      flick_xdr_encode_signed32(0, _data->data[_t10_array_iter].elem1, CORBA_long );
      flick_xdr_encode_char8(4, _data->data[_t10_array_iter].elem2, CORBA_char );
      flick_suntcp_encode_end_chunk(8);
      continue;
    }
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed16(0, _data->last, CORBA_short );
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(408);
  return 0;
  {
  _flick_abort76:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_sLCs(flick_marshal_stream_t _stream, struct sLCs *_data)
{
  flick_unsigned32_t _t11_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(408);
  flick_suntcp_check_span(50 * 8 + 4 + 4, _flick_abort82);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed16(0, _data->first, CORBA_short );
  flick_suntcp_decode_end_chunk(4);
  for (_t11_array_iter = 0; _t11_array_iter < 50; _t11_array_iter++)
    {
      flick_suntcp_decode_new_chunk(8);
      flick_xdr_decode_signed32(0, _data->data[_t11_array_iter].elem1, CORBA_long );
      flick_xdr_decode_char8(4, _data->data[_t11_array_iter].elem2, CORBA_char );
      flick_suntcp_decode_end_chunk(8);
      continue;
    }
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed16(0, _data->last, CORBA_short );
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(408);
  return 0;
  {
  _flick_abort82:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_cCLd(flick_marshal_stream_t _stream, struct cCLd *_data)
{
  flick_unsigned32_t _t12_array_iter;

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(412, _flick_abort88);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_char8(0, _data->first, CORBA_char );
  flick_suntcp_encode_end_chunk(4);
  for (_t12_array_iter = 0; _t12_array_iter < 50; _t12_array_iter++)
    {
      flick_suntcp_encode_new_chunk(8);
      flick_xdr_encode_char8(0, _data->data[_t12_array_iter].elem1, CORBA_char );
      flick_xdr_encode_signed32(4, _data->data[_t12_array_iter].elem2, CORBA_long );
      flick_suntcp_encode_end_chunk(8);
      continue;
    }
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_float64(0, _data->last, CORBA_double );
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(412);
  return 0;
  {
  _flick_abort88:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_cCLd(flick_marshal_stream_t _stream, struct cCLd *_data)
{
  flick_unsigned32_t _t13_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(412);
  flick_suntcp_check_span(50 * 8 + 8 + 4, _flick_abort94);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_char8(0, _data->first, CORBA_char );
  flick_suntcp_decode_end_chunk(4);
  for (_t13_array_iter = 0; _t13_array_iter < 50; _t13_array_iter++)
    {
      flick_suntcp_decode_new_chunk(8);
      flick_xdr_decode_char8(0, _data->data[_t13_array_iter].elem1, CORBA_char );
      flick_xdr_decode_signed32(4, _data->data[_t13_array_iter].elem2, CORBA_long );
      flick_suntcp_decode_end_chunk(8);
      continue;
    }
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_float64(0, _data->last, CORBA_double );
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(412);
  return 0;
  {
  _flick_abort94:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_dCLc(flick_marshal_stream_t _stream, struct dCLc *_data)
{
  flick_unsigned32_t _t14_array_iter;

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(412, _flick_abort100);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_float64(0, _data->first, CORBA_double );
  flick_suntcp_encode_end_chunk(8);
  for (_t14_array_iter = 0; _t14_array_iter < 50; _t14_array_iter++)
    {
      flick_suntcp_encode_new_chunk(8);
      flick_xdr_encode_char8(0, _data->data[_t14_array_iter].elem1, CORBA_char );
      flick_xdr_encode_signed32(4, _data->data[_t14_array_iter].elem2, CORBA_long );
      flick_suntcp_encode_end_chunk(8);
      continue;
    }
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_char8(0, _data->last, CORBA_char );
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(412);
  return 0;
  {
  _flick_abort100:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_dCLc(flick_marshal_stream_t _stream, struct dCLc *_data)
{
  flick_unsigned32_t _t15_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(412);
  flick_suntcp_check_span(50 * 8 + 4 + 8, _flick_abort106);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_float64(0, _data->first, CORBA_double );
  flick_suntcp_decode_end_chunk(8);
  for (_t15_array_iter = 0; _t15_array_iter < 50; _t15_array_iter++)
    {
      flick_suntcp_decode_new_chunk(8);
      flick_xdr_decode_char8(0, _data->data[_t15_array_iter].elem1, CORBA_char );
      flick_xdr_decode_signed32(4, _data->data[_t15_array_iter].elem2, CORBA_long );
      flick_suntcp_decode_end_chunk(8);
      continue;
    }
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_char8(0, _data->last, CORBA_char );
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(412);
  return 0;
  {
  _flick_abort106:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_sCLs(flick_marshal_stream_t _stream, struct sCLs *_data)
{
  flick_unsigned32_t _t16_array_iter;

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(408, _flick_abort112);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed16(0, _data->first, CORBA_short );
  flick_suntcp_encode_end_chunk(4);
  for (_t16_array_iter = 0; _t16_array_iter < 50; _t16_array_iter++)
    {
      flick_suntcp_encode_new_chunk(8);
      flick_xdr_encode_char8(0, _data->data[_t16_array_iter].elem1, CORBA_char );
      flick_xdr_encode_signed32(4, _data->data[_t16_array_iter].elem2, CORBA_long );
      flick_suntcp_encode_end_chunk(8);
      continue;
    }
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed16(0, _data->last, CORBA_short );
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(408);
  return 0;
  {
  _flick_abort112:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_sCLs(flick_marshal_stream_t _stream, struct sCLs *_data)
{
  flick_unsigned32_t _t17_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(408);
  flick_suntcp_check_span(50 * 8 + 4 + 4, _flick_abort118);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed16(0, _data->first, CORBA_short );
  flick_suntcp_decode_end_chunk(4);
  for (_t17_array_iter = 0; _t17_array_iter < 50; _t17_array_iter++)
    {
      flick_suntcp_decode_new_chunk(8);
      flick_xdr_decode_char8(0, _data->data[_t17_array_iter].elem1, CORBA_char );
      flick_xdr_decode_signed32(4, _data->data[_t17_array_iter].elem2, CORBA_long );
      flick_suntcp_decode_end_chunk(8);
      continue;
    }
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed16(0, _data->last, CORBA_short );
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(408);
  return 0;
  {
  _flick_abort118:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_arrays(flick_marshal_stream_t _stream, arrays *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort124);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  return 0;
  {
  _flick_abort124:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_arrays(flick_marshal_stream_t _stream, arrays *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort125);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  return 0;
  {
  _flick_abort125:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

flick_operation_success_t arrays_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    unsigned int _t187_switch_tag;

    flick_suntcp_decode_new_glob(884);
    flick_suntcp_check_span(32, _flick_abort128);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t187_switch_tag, unsigned int );
    flick_suntcp_decode_end_chunk(4);
    switch ((unsigned int )_t187_switch_tag)
      {
      case (unsigned int) 9:
        {
          char _t188_switch_tag;

          flick_suntcp_check_span(468, _flick_abort128);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t188_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t188_switch_tag)
            {
            case 't':
              {
                char _t189_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t189_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t189_switch_tag)
                  {
                  case 'e':
                    {
                      char _t190_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t190_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t190_switch_tag)
                        {
                        case 's':
                          {
                            char _t191_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t191_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t191_switch_tag)
                              {
                              case 't':
                                {
                                  char _t192_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t192_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t192_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t193_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t193_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t193_switch_tag)
                                          {
                                          case 'c':
                                            {
                                              char _t194_switch_tag;

                                              flick_suntcp_check_span(452, _flick_abort128);
                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t194_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t194_switch_tag)
                                                {
                                                case 'L':
                                                  {
                                                    char _t195_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t195_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t195_switch_tag)
                                                      {
                                                      case 'd':
                                                        {
                                                          char _t196_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t196_switch_tag, char );
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t196_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  arrays _obj;
                                                                  unsigned int _t197_ignore;
                                                                  struct cLd _return;
                                                                  struct cLd *_local_inp;
                                                                  struct cLd _t198_storage;
#if BYTE_ORDER != BIG_ENDIAN
                                                                  flick_unsigned32_t _t199_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
                                                                  struct cLd *_local_iop;
                                                                  struct cLd _t200_storage;
#if BYTE_ORDER != BIG_ENDIAN
                                                                  flick_unsigned32_t _t201_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
                                                                  struct cLd *_local_outp;
                                                                  struct cLd _t202_storage;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_Environment _t203_storage;

                                                                  flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort632);
                                                                  /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                  flick_suntcp_decode_new_chunk(20);
                                                                  flick_xdr_decode_unsigned32(0, _t197_ignore, unsigned int );
                                                                  flick_xdr_decode_unsigned32(4, _t197_ignore, unsigned int );
                                                                  flick_xdr_decode_unsigned32(8, _t197_ignore, unsigned int );
                                                                  flick_xdr_decode_unsigned32(12, _t197_ignore, unsigned int );
                                                                  _local_inp = (struct cLd *)(&_t198_storage);
                                                                  flick_xdr_decode_char8(16, _local_inp->first, CORBA_char );
                                                                  flick_suntcp_decode_end_chunk(20);
#if BYTE_ORDER != BIG_ENDIAN
                                                                  for (_t199_array_iter = 0; _t199_array_iter < 50; _t199_array_iter++)
                                                                    {
                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_signed32(0, _local_inp->data[_t199_array_iter], CORBA_long );
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      continue;
                                                                    }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                  flick_suntcp_decode_new_chunk(200);
                                                                  flick_xdr_decode_bcopy(0, _local_inp->data, 200);
                                                                  flick_suntcp_decode_end_chunk(200);
#endif /* ENDIANness */
                                                                  flick_suntcp_decode_new_chunk(12);
                                                                  flick_xdr_decode_float64(0, _local_inp->last, CORBA_double );
                                                                  _local_iop = (struct cLd *)(&_t200_storage);
                                                                  flick_xdr_decode_char8(8, _local_iop->first, CORBA_char );
                                                                  flick_suntcp_decode_end_chunk(12);
#if BYTE_ORDER != BIG_ENDIAN
                                                                  for (_t201_array_iter = 0; _t201_array_iter < 50; _t201_array_iter++)
                                                                    {
                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_signed32(0, _local_iop->data[_t201_array_iter], CORBA_long );
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      continue;
                                                                    }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                  flick_suntcp_decode_new_chunk(200);
                                                                  flick_xdr_decode_bcopy(0, _local_iop->data, 200);
                                                                  flick_suntcp_decode_end_chunk(200);
#endif /* ENDIANness */
                                                                  flick_suntcp_decode_new_chunk(8);
                                                                  flick_xdr_decode_float64(0, _local_iop->last, CORBA_double );
                                                                  _local_outp = (struct cLd *)(&_t202_storage);
                                                                  _ev = (CORBA_Environment *)(&_t203_storage);
                                                                  flick_suntcp_decode_end_chunk(8);
                                                                  flick_suntcp_decode_end_glob(884);
                                                                  flick_suntcp_server_end_decode();
                                                                  flick_corba_init_environment();
                                                                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                                  _return = arrays_test_cLd(_obj, _local_inp, _local_iop, _local_outp, _ev);
                                                                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                                  _stub_state.state = FLICK_STATE_MARSHAL;
                                                                  flick_suntcp_server_start_encode();
                                                                  {
                                                                    flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort_block751);
                                                                    flick_suntcp_encode_new_glob(640, _flick_abort_block751);
                                                                    flick_suntcp_encode_new_chunk(4);
                                                                    flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                                    flick_suntcp_encode_end_chunk(4);
                                                                    switch (_ev->_major)
                                                                      {
                                                                      case CORBA_NO_EXCEPTION:
                                                                        {
#if BYTE_ORDER != BIG_ENDIAN
                                                                          flick_unsigned32_t _t207_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
                                                                          flick_unsigned32_t _t208_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
                                                                          flick_unsigned32_t _t209_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

                                                                          flick_suntcp_encode_new_chunk(4);
                                                                          flick_xdr_encode_char8(0, _return.first, CORBA_char );
                                                                          flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
                                                                          for (_t207_array_iter = 0; _t207_array_iter < 50; _t207_array_iter++)
                                                                            {
                                                                              flick_suntcp_encode_new_chunk(4);
                                                                              flick_xdr_encode_signed32(0, _return.data[_t207_array_iter], CORBA_long );
                                                                              flick_suntcp_encode_end_chunk(4);
                                                                              continue;
                                                                            }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                          flick_suntcp_encode_new_chunk(200);
                                                                          flick_xdr_encode_bcopy(0, _return.data, 200);
                                                                          flick_suntcp_encode_end_chunk(200);
#endif /* ENDIANness */
                                                                          flick_suntcp_encode_new_chunk(12);
                                                                          flick_xdr_encode_float64(0, _return.last, CORBA_double );
                                                                          flick_xdr_encode_char8(8, _local_iop->first, CORBA_char );
                                                                          flick_suntcp_encode_end_chunk(12);
#if BYTE_ORDER != BIG_ENDIAN
                                                                          for (_t208_array_iter = 0; _t208_array_iter < 50; _t208_array_iter++)
                                                                            {
                                                                              flick_suntcp_encode_new_chunk(4);
                                                                              flick_xdr_encode_signed32(0, _local_iop->data[_t208_array_iter], CORBA_long );
                                                                              flick_suntcp_encode_end_chunk(4);
                                                                              continue;
                                                                            }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                          flick_suntcp_encode_new_chunk(200);
                                                                          flick_xdr_encode_bcopy(0, _local_iop->data, 200);
                                                                          flick_suntcp_encode_end_chunk(200);
#endif /* ENDIANness */
                                                                          flick_suntcp_encode_new_chunk(12);
                                                                          flick_xdr_encode_float64(0, _local_iop->last, CORBA_double );
                                                                          flick_xdr_encode_char8(8, _local_outp->first, CORBA_char );
                                                                          flick_suntcp_encode_end_chunk(12);
#if BYTE_ORDER != BIG_ENDIAN
                                                                          for (_t209_array_iter = 0; _t209_array_iter < 50; _t209_array_iter++)
                                                                            {
                                                                              flick_suntcp_encode_new_chunk(4);
                                                                              flick_xdr_encode_signed32(0, _local_outp->data[_t209_array_iter], CORBA_long );
                                                                              flick_suntcp_encode_end_chunk(4);
                                                                              continue;
                                                                            }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                          flick_suntcp_encode_new_chunk(200);
                                                                          flick_xdr_encode_bcopy(0, _local_outp->data, 200);
                                                                          flick_suntcp_encode_end_chunk(200);
#endif /* ENDIANness */
                                                                          flick_suntcp_encode_new_chunk(8);
                                                                          flick_xdr_encode_float64(0, _local_outp->last, CORBA_double );
                                                                          flick_suntcp_encode_end_chunk(8);
                                                                          flick_suntcp_encode_end_glob(640);
                                                                          break;
                                                                        }
                                                                      case CORBA_SYSTEM_EXCEPTION:
                                                                        {
                                                                          flick_suntcp_encode_end_glob(640);
                                                                          flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort694);
                                                                          break;
                                                                          {
                                                                          _flick_abort694:
                                                                            goto _flick_abort_block751;
                                                                          }
                                                                        }
                                                                      default:
                                                                        {
                                                                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort695);
                                                                          flick_suntcp_encode_end_glob(640);
                                                                          break;
                                                                          {
                                                                          _flick_abort695:
                                                                            goto _flick_abort_block751;
                                                                          }
                                                                        }
                                                                      }
                                                                  }
                                                                  flick_suntcp_server_end_encode();
                                                                  break;
                                                                  {
                                                                  _flick_abort_block751:
#if BYTE_ORDER != BIG_ENDIAN
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
                                                                  _flick_abort632:
                                                                    goto _flick_abort631;
                                                                  }
                                                                }
                                                                break;
                                                                {
                                                                _flick_abort631:
                                                                  goto _flick_abort128;
                                                                }
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort128);
                                                                flick_suntcp_decode_end_glob(884);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort128);
                                                          flick_suntcp_decode_end_glob(884);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort128);
                                                    flick_suntcp_decode_end_glob(884);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          case 'd':
                                            {
                                              char _t210_switch_tag;

                                              flick_suntcp_check_span(452, _flick_abort128);
                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t210_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t210_switch_tag)
                                                {
                                                case 'L':
                                                  {
                                                    char _t211_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t211_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t211_switch_tag)
                                                      {
                                                      case 'c':
                                                        {
                                                          char _t212_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t212_switch_tag, char );
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t212_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  arrays _obj;
                                                                  unsigned int _t213_ignore;
                                                                  struct dLc _return;
                                                                  struct dLc *_local_inp;
                                                                  struct dLc _t214_storage;
#if BYTE_ORDER != BIG_ENDIAN
                                                                  flick_unsigned32_t _t215_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
                                                                  struct dLc *_local_iop;
                                                                  struct dLc _t216_storage;
#if BYTE_ORDER != BIG_ENDIAN
                                                                  flick_unsigned32_t _t217_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
                                                                  struct dLc *_local_outp;
                                                                  struct dLc _t218_storage;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_Environment _t219_storage;

                                                                  flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort697);
                                                                  /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                  flick_suntcp_decode_new_chunk(24);
                                                                  flick_xdr_decode_unsigned32(0, _t213_ignore, unsigned int );
                                                                  flick_xdr_decode_unsigned32(4, _t213_ignore, unsigned int );
                                                                  flick_xdr_decode_unsigned32(8, _t213_ignore, unsigned int );
                                                                  flick_xdr_decode_unsigned32(12, _t213_ignore, unsigned int );
                                                                  _local_inp = (struct dLc *)(&_t214_storage);
                                                                  flick_xdr_decode_float64(16, _local_inp->first, CORBA_double );
                                                                  flick_suntcp_decode_end_chunk(24);
#if BYTE_ORDER != BIG_ENDIAN
                                                                  for (_t215_array_iter = 0; _t215_array_iter < 50; _t215_array_iter++)
                                                                    {
                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_signed32(0, _local_inp->data[_t215_array_iter], CORBA_long );
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      continue;
                                                                    }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                  flick_suntcp_decode_new_chunk(200);
                                                                  flick_xdr_decode_bcopy(0, _local_inp->data, 200);
                                                                  flick_suntcp_decode_end_chunk(200);
#endif /* ENDIANness */
                                                                  flick_suntcp_decode_new_chunk(12);
                                                                  flick_xdr_decode_char8(0, _local_inp->last, CORBA_char );
                                                                  _local_iop = (struct dLc *)(&_t216_storage);
                                                                  flick_xdr_decode_float64(4, _local_iop->first, CORBA_double );
                                                                  flick_suntcp_decode_end_chunk(12);
#if BYTE_ORDER != BIG_ENDIAN
                                                                  for (_t217_array_iter = 0; _t217_array_iter < 50; _t217_array_iter++)
                                                                    {
                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_signed32(0, _local_iop->data[_t217_array_iter], CORBA_long );
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      continue;
                                                                    }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                  flick_suntcp_decode_new_chunk(200);
                                                                  flick_xdr_decode_bcopy(0, _local_iop->data, 200);
                                                                  flick_suntcp_decode_end_chunk(200);
#endif /* ENDIANness */
                                                                  flick_suntcp_decode_new_chunk(4);
                                                                  flick_xdr_decode_char8(0, _local_iop->last, CORBA_char );
                                                                  _local_outp = (struct dLc *)(&_t218_storage);
                                                                  _ev = (CORBA_Environment *)(&_t219_storage);
                                                                  flick_suntcp_decode_end_chunk(4);
                                                                  flick_suntcp_decode_end_glob(884);
                                                                  flick_suntcp_server_end_decode();
                                                                  flick_corba_init_environment();
                                                                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                                  _return = arrays_test_dLc(_obj, _local_inp, _local_iop, _local_outp, _ev);
                                                                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                                  _stub_state.state = FLICK_STATE_MARSHAL;
                                                                  flick_suntcp_server_start_encode();
                                                                  {
                                                                    flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort_block826);
                                                                    flick_suntcp_encode_new_glob(640, _flick_abort_block826);
                                                                    flick_suntcp_encode_new_chunk(4);
                                                                    flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                                    flick_suntcp_encode_end_chunk(4);
                                                                    switch (_ev->_major)
                                                                      {
                                                                      case CORBA_NO_EXCEPTION:
                                                                        {
#if BYTE_ORDER != BIG_ENDIAN
                                                                          flick_unsigned32_t _t223_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
                                                                          flick_unsigned32_t _t224_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
                                                                          flick_unsigned32_t _t225_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

                                                                          flick_suntcp_encode_new_chunk(8);
                                                                          flick_xdr_encode_float64(0, _return.first, CORBA_double );
                                                                          flick_suntcp_encode_end_chunk(8);
#if BYTE_ORDER != BIG_ENDIAN
                                                                          for (_t223_array_iter = 0; _t223_array_iter < 50; _t223_array_iter++)
                                                                            {
                                                                              flick_suntcp_encode_new_chunk(4);
                                                                              flick_xdr_encode_signed32(0, _return.data[_t223_array_iter], CORBA_long );
                                                                              flick_suntcp_encode_end_chunk(4);
                                                                              continue;
                                                                            }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                          flick_suntcp_encode_new_chunk(200);
                                                                          flick_xdr_encode_bcopy(0, _return.data, 200);
                                                                          flick_suntcp_encode_end_chunk(200);
#endif /* ENDIANness */
                                                                          flick_suntcp_encode_new_chunk(12);
                                                                          flick_xdr_encode_char8(0, _return.last, CORBA_char );
                                                                          flick_xdr_encode_float64(4, _local_iop->first, CORBA_double );
                                                                          flick_suntcp_encode_end_chunk(12);
#if BYTE_ORDER != BIG_ENDIAN
                                                                          for (_t224_array_iter = 0; _t224_array_iter < 50; _t224_array_iter++)
                                                                            {
                                                                              flick_suntcp_encode_new_chunk(4);
                                                                              flick_xdr_encode_signed32(0, _local_iop->data[_t224_array_iter], CORBA_long );
                                                                              flick_suntcp_encode_end_chunk(4);
                                                                              continue;
                                                                            }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                          flick_suntcp_encode_new_chunk(200);
                                                                          flick_xdr_encode_bcopy(0, _local_iop->data, 200);
                                                                          flick_suntcp_encode_end_chunk(200);
#endif /* ENDIANness */
                                                                          flick_suntcp_encode_new_chunk(12);
                                                                          flick_xdr_encode_char8(0, _local_iop->last, CORBA_char );
                                                                          flick_xdr_encode_float64(4, _local_outp->first, CORBA_double );
                                                                          flick_suntcp_encode_end_chunk(12);
#if BYTE_ORDER != BIG_ENDIAN
                                                                          for (_t225_array_iter = 0; _t225_array_iter < 50; _t225_array_iter++)
                                                                            {
                                                                              flick_suntcp_encode_new_chunk(4);
                                                                              flick_xdr_encode_signed32(0, _local_outp->data[_t225_array_iter], CORBA_long );
                                                                              flick_suntcp_encode_end_chunk(4);
                                                                              continue;
                                                                            }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                          flick_suntcp_encode_new_chunk(200);
                                                                          flick_xdr_encode_bcopy(0, _local_outp->data, 200);
                                                                          flick_suntcp_encode_end_chunk(200);
#endif /* ENDIANness */
                                                                          flick_suntcp_encode_new_chunk(4);
                                                                          flick_xdr_encode_char8(0, _local_outp->last, CORBA_char );
                                                                          flick_suntcp_encode_end_chunk(4);
                                                                          flick_suntcp_encode_end_glob(640);
                                                                          break;
                                                                        }
                                                                      case CORBA_SYSTEM_EXCEPTION:
                                                                        {
                                                                          flick_suntcp_encode_end_glob(640);
                                                                          flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort759);
                                                                          break;
                                                                          {
                                                                          _flick_abort759:
                                                                            goto _flick_abort_block826;
                                                                          }
                                                                        }
                                                                      default:
                                                                        {
                                                                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort760);
                                                                          flick_suntcp_encode_end_glob(640);
                                                                          break;
                                                                          {
                                                                          _flick_abort760:
                                                                            goto _flick_abort_block826;
                                                                          }
                                                                        }
                                                                      }
                                                                  }
                                                                  flick_suntcp_server_end_encode();
                                                                  break;
                                                                  {
                                                                  _flick_abort_block826:
#if BYTE_ORDER != BIG_ENDIAN
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
                                                                  _flick_abort697:
                                                                    goto _flick_abort696;
                                                                  }
                                                                }
                                                                break;
                                                                {
                                                                _flick_abort696:
                                                                  goto _flick_abort128;
                                                                }
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort128);
                                                                flick_suntcp_decode_end_glob(884);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort128);
                                                          flick_suntcp_decode_end_glob(884);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort128);
                                                    flick_suntcp_decode_end_glob(884);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          case 's':
                                            {
                                              char _t226_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t226_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t226_switch_tag)
                                                {
                                                case 'L':
                                                  {
                                                    char _t227_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t227_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t227_switch_tag)
                                                      {
                                                      case 's':
                                                        {
                                                          char _t228_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t228_switch_tag, char );
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t228_switch_tag)
                                                            {
                                                            case 0:
                                                              {
                                                                {
                                                                  arrays _obj;
                                                                  unsigned int _t229_ignore;
                                                                  struct sLs _return;
                                                                  struct sLs *_local_inp;
                                                                  struct sLs _t230_storage;
#if BYTE_ORDER != BIG_ENDIAN
                                                                  flick_unsigned32_t _t231_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
                                                                  struct sLs *_local_iop;
                                                                  struct sLs _t232_storage;
#if BYTE_ORDER != BIG_ENDIAN
                                                                  flick_unsigned32_t _t233_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
                                                                  struct sLs *_local_outp;
                                                                  struct sLs _t234_storage;
                                                                  CORBA_Environment *_ev;
                                                                  CORBA_Environment _t235_storage;

                                                                  flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort762);
                                                                  /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                  flick_suntcp_decode_new_chunk(20);
                                                                  flick_xdr_decode_unsigned32(0, _t229_ignore, unsigned int );
                                                                  flick_xdr_decode_unsigned32(4, _t229_ignore, unsigned int );
                                                                  flick_xdr_decode_unsigned32(8, _t229_ignore, unsigned int );
                                                                  flick_xdr_decode_unsigned32(12, _t229_ignore, unsigned int );
                                                                  _local_inp = (struct sLs *)(&_t230_storage);
                                                                  flick_xdr_decode_signed16(16, _local_inp->first, CORBA_short );
                                                                  flick_suntcp_decode_end_chunk(20);
#if BYTE_ORDER != BIG_ENDIAN
                                                                  for (_t231_array_iter = 0; _t231_array_iter < 50; _t231_array_iter++)
                                                                    {
                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_signed32(0, _local_inp->data[_t231_array_iter], CORBA_long );
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      continue;
                                                                    }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                  flick_suntcp_decode_new_chunk(200);
                                                                  flick_xdr_decode_bcopy(0, _local_inp->data, 200);
                                                                  flick_suntcp_decode_end_chunk(200);
#endif /* ENDIANness */
                                                                  flick_suntcp_decode_new_chunk(8);
                                                                  flick_xdr_decode_signed16(0, _local_inp->last, CORBA_short );
                                                                  _local_iop = (struct sLs *)(&_t232_storage);
                                                                  flick_xdr_decode_signed16(4, _local_iop->first, CORBA_short );
                                                                  flick_suntcp_decode_end_chunk(8);
#if BYTE_ORDER != BIG_ENDIAN
                                                                  for (_t233_array_iter = 0; _t233_array_iter < 50; _t233_array_iter++)
                                                                    {
                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_signed32(0, _local_iop->data[_t233_array_iter], CORBA_long );
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      continue;
                                                                    }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                  flick_suntcp_decode_new_chunk(200);
                                                                  flick_xdr_decode_bcopy(0, _local_iop->data, 200);
                                                                  flick_suntcp_decode_end_chunk(200);
#endif /* ENDIANness */
                                                                  flick_suntcp_decode_new_chunk(4);
                                                                  flick_xdr_decode_signed16(0, _local_iop->last, CORBA_short );
                                                                  _local_outp = (struct sLs *)(&_t234_storage);
                                                                  _ev = (CORBA_Environment *)(&_t235_storage);
                                                                  flick_suntcp_decode_end_chunk(4);
                                                                  flick_suntcp_decode_end_glob(884);
                                                                  flick_suntcp_server_end_decode();
                                                                  flick_corba_init_environment();
                                                                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                                  _return = arrays_test_sLs(_obj, _local_inp, _local_iop, _local_outp, _ev);
                                                                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                                  _stub_state.state = FLICK_STATE_MARSHAL;
                                                                  flick_suntcp_server_start_encode();
                                                                  {
                                                                    flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort_block901);
                                                                    flick_suntcp_encode_new_glob(628, _flick_abort_block901);
                                                                    flick_suntcp_encode_new_chunk(4);
                                                                    flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                                    flick_suntcp_encode_end_chunk(4);
                                                                    switch (_ev->_major)
                                                                      {
                                                                      case CORBA_NO_EXCEPTION:
                                                                        {
#if BYTE_ORDER != BIG_ENDIAN
                                                                          flick_unsigned32_t _t239_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
                                                                          flick_unsigned32_t _t240_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
                                                                          flick_unsigned32_t _t241_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

                                                                          flick_suntcp_encode_new_chunk(4);
                                                                          flick_xdr_encode_signed16(0, _return.first, CORBA_short );
                                                                          flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
                                                                          for (_t239_array_iter = 0; _t239_array_iter < 50; _t239_array_iter++)
                                                                            {
                                                                              flick_suntcp_encode_new_chunk(4);
                                                                              flick_xdr_encode_signed32(0, _return.data[_t239_array_iter], CORBA_long );
                                                                              flick_suntcp_encode_end_chunk(4);
                                                                              continue;
                                                                            }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                          flick_suntcp_encode_new_chunk(200);
                                                                          flick_xdr_encode_bcopy(0, _return.data, 200);
                                                                          flick_suntcp_encode_end_chunk(200);
#endif /* ENDIANness */
                                                                          flick_suntcp_encode_new_chunk(8);
                                                                          flick_xdr_encode_signed16(0, _return.last, CORBA_short );
                                                                          flick_xdr_encode_signed16(4, _local_iop->first, CORBA_short );
                                                                          flick_suntcp_encode_end_chunk(8);
#if BYTE_ORDER != BIG_ENDIAN
                                                                          for (_t240_array_iter = 0; _t240_array_iter < 50; _t240_array_iter++)
                                                                            {
                                                                              flick_suntcp_encode_new_chunk(4);
                                                                              flick_xdr_encode_signed32(0, _local_iop->data[_t240_array_iter], CORBA_long );
                                                                              flick_suntcp_encode_end_chunk(4);
                                                                              continue;
                                                                            }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                          flick_suntcp_encode_new_chunk(200);
                                                                          flick_xdr_encode_bcopy(0, _local_iop->data, 200);
                                                                          flick_suntcp_encode_end_chunk(200);
#endif /* ENDIANness */
                                                                          flick_suntcp_encode_new_chunk(8);
                                                                          flick_xdr_encode_signed16(0, _local_iop->last, CORBA_short );
                                                                          flick_xdr_encode_signed16(4, _local_outp->first, CORBA_short );
                                                                          flick_suntcp_encode_end_chunk(8);
#if BYTE_ORDER != BIG_ENDIAN
                                                                          for (_t241_array_iter = 0; _t241_array_iter < 50; _t241_array_iter++)
                                                                            {
                                                                              flick_suntcp_encode_new_chunk(4);
                                                                              flick_xdr_encode_signed32(0, _local_outp->data[_t241_array_iter], CORBA_long );
                                                                              flick_suntcp_encode_end_chunk(4);
                                                                              continue;
                                                                            }
#else /* BIG_ENDIAN - do a bcopy*/
                                                                          flick_suntcp_encode_new_chunk(200);
                                                                          flick_xdr_encode_bcopy(0, _local_outp->data, 200);
                                                                          flick_suntcp_encode_end_chunk(200);
#endif /* ENDIANness */
                                                                          flick_suntcp_encode_new_chunk(4);
                                                                          flick_xdr_encode_signed16(0, _local_outp->last, CORBA_short );
                                                                          flick_suntcp_encode_end_chunk(4);
                                                                          flick_suntcp_encode_end_glob(628);
                                                                          break;
                                                                        }
                                                                      case CORBA_SYSTEM_EXCEPTION:
                                                                        {
                                                                          flick_suntcp_encode_end_glob(628);
                                                                          flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort824);
                                                                          break;
                                                                          {
                                                                          _flick_abort824:
                                                                            goto _flick_abort_block901;
                                                                          }
                                                                        }
                                                                      default:
                                                                        {
                                                                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort825);
                                                                          flick_suntcp_encode_end_glob(628);
                                                                          break;
                                                                          {
                                                                          _flick_abort825:
                                                                            goto _flick_abort_block901;
                                                                          }
                                                                        }
                                                                      }
                                                                  }
                                                                  flick_suntcp_server_end_encode();
                                                                  break;
                                                                  {
                                                                  _flick_abort_block901:
#if BYTE_ORDER != BIG_ENDIAN
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
                                                                  _flick_abort762:
                                                                    goto _flick_abort761;
                                                                  }
                                                                }
                                                                break;
                                                                {
                                                                _flick_abort761:
                                                                  goto _flick_abort128;
                                                                }
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort128);
                                                                flick_suntcp_decode_end_glob(884);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort128);
                                                          flick_suntcp_decode_end_glob(884);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort128);
                                                    flick_suntcp_decode_end_glob(884);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort128);
                                              flick_suntcp_decode_end_glob(884);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort128);
                                        flick_suntcp_decode_end_glob(884);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort128);
                                  flick_suntcp_decode_end_glob(884);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort128);
                            flick_suntcp_decode_end_glob(884);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort128);
                      flick_suntcp_decode_end_glob(884);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort128);
                flick_suntcp_decode_end_glob(884);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          char _t242_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t242_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t242_switch_tag)
            {
            case 't':
              {
                char _t243_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t243_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t243_switch_tag)
                  {
                  case 'e':
                    {
                      char _t244_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t244_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t244_switch_tag)
                        {
                        case 's':
                          {
                            char _t245_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t245_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t245_switch_tag)
                              {
                              case 't':
                                {
                                  char _t246_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t246_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t246_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t247_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t247_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t247_switch_tag)
                                          {
                                          case 'c':
                                            {
                                              char _t248_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t248_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t248_switch_tag)
                                                {
                                                case 'L':
                                                  {
                                                    char _t249_switch_tag;

                                                    flick_suntcp_check_span(50 * 8 + (50 * 8 + 8) + 44, _flick_abort128);
                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t249_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t249_switch_tag)
                                                      {
                                                      case 'C':
                                                        {
                                                          char _t250_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t250_switch_tag, char );
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t250_switch_tag)
                                                            {
                                                            case 'd':
                                                              {
                                                                char _t251_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t251_switch_tag, char );
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch ((char )_t251_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        arrays _obj;
                                                                        unsigned int _t252_ignore;
                                                                        struct cLCd _return;
                                                                        struct cLCd *_local_inp;
                                                                        struct cLCd _t253_storage;
                                                                        flick_unsigned32_t _t254_array_iter;
                                                                        struct cLCd *_local_iop;
                                                                        struct cLCd _t255_storage;
                                                                        flick_unsigned32_t _t256_array_iter;
                                                                        struct cLCd *_local_outp;
                                                                        struct cLCd _t257_storage;
                                                                        CORBA_Environment *_ev;
                                                                        CORBA_Environment _t258_storage;

                                                                        flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort827);
                                                                        /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                        flick_suntcp_decode_new_chunk(20);
                                                                        flick_xdr_decode_unsigned32(0, _t252_ignore, unsigned int );
                                                                        flick_xdr_decode_unsigned32(4, _t252_ignore, unsigned int );
                                                                        flick_xdr_decode_unsigned32(8, _t252_ignore, unsigned int );
                                                                        flick_xdr_decode_unsigned32(12, _t252_ignore, unsigned int );
                                                                        _local_inp = (struct cLCd *)(&_t253_storage);
                                                                        flick_xdr_decode_char8(16, _local_inp->first, CORBA_char );
                                                                        flick_suntcp_decode_end_chunk(20);
                                                                        for (_t254_array_iter = 0; _t254_array_iter < 50; _t254_array_iter++)
                                                                          {
                                                                            flick_suntcp_decode_new_chunk(8);
                                                                            flick_xdr_decode_signed32(0, _local_inp->data[_t254_array_iter].elem1, CORBA_long );
                                                                            flick_xdr_decode_char8(4, _local_inp->data[_t254_array_iter].elem2, CORBA_char );
                                                                            flick_suntcp_decode_end_chunk(8);
                                                                            continue;
                                                                          }
                                                                        flick_suntcp_decode_new_chunk(12);
                                                                        flick_xdr_decode_float64(0, _local_inp->last, CORBA_double );
                                                                        _local_iop = (struct cLCd *)(&_t255_storage);
                                                                        flick_xdr_decode_char8(8, _local_iop->first, CORBA_char );
                                                                        flick_suntcp_decode_end_chunk(12);
                                                                        for (_t256_array_iter = 0; _t256_array_iter < 50; _t256_array_iter++)
                                                                          {
                                                                            flick_suntcp_decode_new_chunk(8);
                                                                            flick_xdr_decode_signed32(0, _local_iop->data[_t256_array_iter].elem1, CORBA_long );
                                                                            flick_xdr_decode_char8(4, _local_iop->data[_t256_array_iter].elem2, CORBA_char );
                                                                            flick_suntcp_decode_end_chunk(8);
                                                                            continue;
                                                                          }
                                                                        flick_suntcp_decode_new_chunk(8);
                                                                        flick_xdr_decode_float64(0, _local_iop->last, CORBA_double );
                                                                        _local_outp = (struct cLCd *)(&_t257_storage);
                                                                        _ev = (CORBA_Environment *)(&_t258_storage);
                                                                        flick_suntcp_decode_end_chunk(8);
                                                                        flick_suntcp_decode_end_glob(884);
                                                                        flick_suntcp_server_end_decode();
                                                                        flick_corba_init_environment();
                                                                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                                        _return = arrays_test_cLCd(_obj, _local_inp, _local_iop, _local_outp, _ev);
                                                                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                                        _stub_state.state = FLICK_STATE_MARSHAL;
                                                                        flick_suntcp_server_start_encode();
                                                                        {
                                                                          flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort827);
                                                                          flick_suntcp_encode_new_glob(1240, _flick_abort827);
                                                                          flick_suntcp_encode_new_chunk(4);
                                                                          flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                                          flick_suntcp_encode_end_chunk(4);
                                                                          switch (_ev->_major)
                                                                            {
                                                                            case CORBA_NO_EXCEPTION:
                                                                              {
                                                                                flick_unsigned32_t _t262_array_iter;
                                                                                flick_unsigned32_t _t263_array_iter;
                                                                                flick_unsigned32_t _t264_array_iter;

                                                                                flick_suntcp_encode_new_chunk(4);
                                                                                flick_xdr_encode_char8(0, _return.first, CORBA_char );
                                                                                flick_suntcp_encode_end_chunk(4);
                                                                                for (_t262_array_iter = 0; _t262_array_iter < 50; _t262_array_iter++)
                                                                                  {
                                                                                    flick_suntcp_encode_new_chunk(8);
                                                                                    flick_xdr_encode_signed32(0, _return.data[_t262_array_iter].elem1, CORBA_long );
                                                                                    flick_xdr_encode_char8(4, _return.data[_t262_array_iter].elem2, CORBA_char );
                                                                                    flick_suntcp_encode_end_chunk(8);
                                                                                    continue;
                                                                                  }
                                                                                flick_suntcp_encode_new_chunk(12);
                                                                                flick_xdr_encode_float64(0, _return.last, CORBA_double );
                                                                                flick_xdr_encode_char8(8, _local_iop->first, CORBA_char );
                                                                                flick_suntcp_encode_end_chunk(12);
                                                                                for (_t263_array_iter = 0; _t263_array_iter < 50; _t263_array_iter++)
                                                                                  {
                                                                                    flick_suntcp_encode_new_chunk(8);
                                                                                    flick_xdr_encode_signed32(0, _local_iop->data[_t263_array_iter].elem1, CORBA_long );
                                                                                    flick_xdr_encode_char8(4, _local_iop->data[_t263_array_iter].elem2, CORBA_char );
                                                                                    flick_suntcp_encode_end_chunk(8);
                                                                                    continue;
                                                                                  }
                                                                                flick_suntcp_encode_new_chunk(12);
                                                                                flick_xdr_encode_float64(0, _local_iop->last, CORBA_double );
                                                                                flick_xdr_encode_char8(8, _local_outp->first, CORBA_char );
                                                                                flick_suntcp_encode_end_chunk(12);
                                                                                for (_t264_array_iter = 0; _t264_array_iter < 50; _t264_array_iter++)
                                                                                  {
                                                                                    flick_suntcp_encode_new_chunk(8);
                                                                                    flick_xdr_encode_signed32(0, _local_outp->data[_t264_array_iter].elem1, CORBA_long );
                                                                                    flick_xdr_encode_char8(4, _local_outp->data[_t264_array_iter].elem2, CORBA_char );
                                                                                    flick_suntcp_encode_end_chunk(8);
                                                                                    continue;
                                                                                  }
                                                                                flick_suntcp_encode_new_chunk(8);
                                                                                flick_xdr_encode_float64(0, _local_outp->last, CORBA_double );
                                                                                flick_suntcp_encode_end_chunk(8);
                                                                                flick_suntcp_encode_end_glob(1240);
                                                                                break;
                                                                              }
                                                                            case CORBA_SYSTEM_EXCEPTION:
                                                                              {
                                                                                flick_suntcp_encode_end_glob(1240);
                                                                                flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort873);
                                                                                break;
                                                                                {
                                                                                _flick_abort873:
                                                                                  goto _flick_abort827;
                                                                                }
                                                                              }
                                                                            default:
                                                                              {
                                                                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort874);
                                                                                flick_suntcp_encode_end_glob(1240);
                                                                                break;
                                                                                {
                                                                                _flick_abort874:
                                                                                  goto _flick_abort827;
                                                                                }
                                                                              }
                                                                            }
                                                                        }
                                                                        flick_suntcp_server_end_encode();
                                                                        break;
                                                                        {
                                                                        _flick_abort827:
                                                                          goto _flick_abort826;
                                                                        }
                                                                      }
                                                                      break;
                                                                      {
                                                                      _flick_abort826:
                                                                        goto _flick_abort128;
                                                                      }
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort128);
                                                                      flick_suntcp_decode_end_glob(884);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort128);
                                                                flick_suntcp_decode_end_glob(884);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort128);
                                                          flick_suntcp_decode_end_glob(884);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                case 'C':
                                                  {
                                                    char _t265_switch_tag;

                                                    flick_suntcp_check_span(50 * 8 + (50 * 8 + 8) + 44, _flick_abort128);
                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t265_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t265_switch_tag)
                                                      {
                                                      case 'L':
                                                        {
                                                          char _t266_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t266_switch_tag, char );
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t266_switch_tag)
                                                            {
                                                            case 'd':
                                                              {
                                                                char _t267_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t267_switch_tag, char );
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch ((char )_t267_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        arrays _obj;
                                                                        unsigned int _t268_ignore;
                                                                        struct cCLd _return;
                                                                        struct cCLd *_local_inp;
                                                                        struct cCLd _t269_storage;
                                                                        flick_unsigned32_t _t270_array_iter;
                                                                        struct cCLd *_local_iop;
                                                                        struct cCLd _t271_storage;
                                                                        flick_unsigned32_t _t272_array_iter;
                                                                        struct cCLd *_local_outp;
                                                                        struct cCLd _t273_storage;
                                                                        CORBA_Environment *_ev;
                                                                        CORBA_Environment _t274_storage;

                                                                        flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort876);
                                                                        /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                        flick_suntcp_decode_new_chunk(20);
                                                                        flick_xdr_decode_unsigned32(0, _t268_ignore, unsigned int );
                                                                        flick_xdr_decode_unsigned32(4, _t268_ignore, unsigned int );
                                                                        flick_xdr_decode_unsigned32(8, _t268_ignore, unsigned int );
                                                                        flick_xdr_decode_unsigned32(12, _t268_ignore, unsigned int );
                                                                        _local_inp = (struct cCLd *)(&_t269_storage);
                                                                        flick_xdr_decode_char8(16, _local_inp->first, CORBA_char );
                                                                        flick_suntcp_decode_end_chunk(20);
                                                                        for (_t270_array_iter = 0; _t270_array_iter < 50; _t270_array_iter++)
                                                                          {
                                                                            flick_suntcp_decode_new_chunk(8);
                                                                            flick_xdr_decode_char8(0, _local_inp->data[_t270_array_iter].elem1, CORBA_char );
                                                                            flick_xdr_decode_signed32(4, _local_inp->data[_t270_array_iter].elem2, CORBA_long );
                                                                            flick_suntcp_decode_end_chunk(8);
                                                                            continue;
                                                                          }
                                                                        flick_suntcp_decode_new_chunk(12);
                                                                        flick_xdr_decode_float64(0, _local_inp->last, CORBA_double );
                                                                        _local_iop = (struct cCLd *)(&_t271_storage);
                                                                        flick_xdr_decode_char8(8, _local_iop->first, CORBA_char );
                                                                        flick_suntcp_decode_end_chunk(12);
                                                                        for (_t272_array_iter = 0; _t272_array_iter < 50; _t272_array_iter++)
                                                                          {
                                                                            flick_suntcp_decode_new_chunk(8);
                                                                            flick_xdr_decode_char8(0, _local_iop->data[_t272_array_iter].elem1, CORBA_char );
                                                                            flick_xdr_decode_signed32(4, _local_iop->data[_t272_array_iter].elem2, CORBA_long );
                                                                            flick_suntcp_decode_end_chunk(8);
                                                                            continue;
                                                                          }
                                                                        flick_suntcp_decode_new_chunk(8);
                                                                        flick_xdr_decode_float64(0, _local_iop->last, CORBA_double );
                                                                        _local_outp = (struct cCLd *)(&_t273_storage);
                                                                        _ev = (CORBA_Environment *)(&_t274_storage);
                                                                        flick_suntcp_decode_end_chunk(8);
                                                                        flick_suntcp_decode_end_glob(884);
                                                                        flick_suntcp_server_end_decode();
                                                                        flick_corba_init_environment();
                                                                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                                        _return = arrays_test_cCLd(_obj, _local_inp, _local_iop, _local_outp, _ev);
                                                                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                                        _stub_state.state = FLICK_STATE_MARSHAL;
                                                                        flick_suntcp_server_start_encode();
                                                                        {
                                                                          flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort876);
                                                                          flick_suntcp_encode_new_glob(1240, _flick_abort876);
                                                                          flick_suntcp_encode_new_chunk(4);
                                                                          flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                                          flick_suntcp_encode_end_chunk(4);
                                                                          switch (_ev->_major)
                                                                            {
                                                                            case CORBA_NO_EXCEPTION:
                                                                              {
                                                                                flick_unsigned32_t _t278_array_iter;
                                                                                flick_unsigned32_t _t279_array_iter;
                                                                                flick_unsigned32_t _t280_array_iter;

                                                                                flick_suntcp_encode_new_chunk(4);
                                                                                flick_xdr_encode_char8(0, _return.first, CORBA_char );
                                                                                flick_suntcp_encode_end_chunk(4);
                                                                                for (_t278_array_iter = 0; _t278_array_iter < 50; _t278_array_iter++)
                                                                                  {
                                                                                    flick_suntcp_encode_new_chunk(8);
                                                                                    flick_xdr_encode_char8(0, _return.data[_t278_array_iter].elem1, CORBA_char );
                                                                                    flick_xdr_encode_signed32(4, _return.data[_t278_array_iter].elem2, CORBA_long );
                                                                                    flick_suntcp_encode_end_chunk(8);
                                                                                    continue;
                                                                                  }
                                                                                flick_suntcp_encode_new_chunk(12);
                                                                                flick_xdr_encode_float64(0, _return.last, CORBA_double );
                                                                                flick_xdr_encode_char8(8, _local_iop->first, CORBA_char );
                                                                                flick_suntcp_encode_end_chunk(12);
                                                                                for (_t279_array_iter = 0; _t279_array_iter < 50; _t279_array_iter++)
                                                                                  {
                                                                                    flick_suntcp_encode_new_chunk(8);
                                                                                    flick_xdr_encode_char8(0, _local_iop->data[_t279_array_iter].elem1, CORBA_char );
                                                                                    flick_xdr_encode_signed32(4, _local_iop->data[_t279_array_iter].elem2, CORBA_long );
                                                                                    flick_suntcp_encode_end_chunk(8);
                                                                                    continue;
                                                                                  }
                                                                                flick_suntcp_encode_new_chunk(12);
                                                                                flick_xdr_encode_float64(0, _local_iop->last, CORBA_double );
                                                                                flick_xdr_encode_char8(8, _local_outp->first, CORBA_char );
                                                                                flick_suntcp_encode_end_chunk(12);
                                                                                for (_t280_array_iter = 0; _t280_array_iter < 50; _t280_array_iter++)
                                                                                  {
                                                                                    flick_suntcp_encode_new_chunk(8);
                                                                                    flick_xdr_encode_char8(0, _local_outp->data[_t280_array_iter].elem1, CORBA_char );
                                                                                    flick_xdr_encode_signed32(4, _local_outp->data[_t280_array_iter].elem2, CORBA_long );
                                                                                    flick_suntcp_encode_end_chunk(8);
                                                                                    continue;
                                                                                  }
                                                                                flick_suntcp_encode_new_chunk(8);
                                                                                flick_xdr_encode_float64(0, _local_outp->last, CORBA_double );
                                                                                flick_suntcp_encode_end_chunk(8);
                                                                                flick_suntcp_encode_end_glob(1240);
                                                                                break;
                                                                              }
                                                                            case CORBA_SYSTEM_EXCEPTION:
                                                                              {
                                                                                flick_suntcp_encode_end_glob(1240);
                                                                                flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort922);
                                                                                break;
                                                                                {
                                                                                _flick_abort922:
                                                                                  goto _flick_abort876;
                                                                                }
                                                                              }
                                                                            default:
                                                                              {
                                                                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort923);
                                                                                flick_suntcp_encode_end_glob(1240);
                                                                                break;
                                                                                {
                                                                                _flick_abort923:
                                                                                  goto _flick_abort876;
                                                                                }
                                                                              }
                                                                            }
                                                                        }
                                                                        flick_suntcp_server_end_encode();
                                                                        break;
                                                                        {
                                                                        _flick_abort876:
                                                                          goto _flick_abort875;
                                                                        }
                                                                      }
                                                                      break;
                                                                      {
                                                                      _flick_abort875:
                                                                        goto _flick_abort128;
                                                                      }
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort128);
                                                                      flick_suntcp_decode_end_glob(884);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort128);
                                                                flick_suntcp_decode_end_glob(884);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort128);
                                                          flick_suntcp_decode_end_glob(884);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort128);
                                                    flick_suntcp_decode_end_glob(884);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          case 'd':
                                            {
                                              char _t281_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t281_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t281_switch_tag)
                                                {
                                                case 'L':
                                                  {
                                                    char _t282_switch_tag;

                                                    flick_suntcp_check_span(50 * 8 + (50 * 8 + 4) + 48, _flick_abort128);
                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t282_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t282_switch_tag)
                                                      {
                                                      case 'C':
                                                        {
                                                          char _t283_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t283_switch_tag, char );
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t283_switch_tag)
                                                            {
                                                            case 'c':
                                                              {
                                                                char _t284_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t284_switch_tag, char );
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch ((char )_t284_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        arrays _obj;
                                                                        unsigned int _t285_ignore;
                                                                        struct dLCc _return;
                                                                        struct dLCc *_local_inp;
                                                                        struct dLCc _t286_storage;
                                                                        flick_unsigned32_t _t287_array_iter;
                                                                        struct dLCc *_local_iop;
                                                                        struct dLCc _t288_storage;
                                                                        flick_unsigned32_t _t289_array_iter;
                                                                        struct dLCc *_local_outp;
                                                                        struct dLCc _t290_storage;
                                                                        CORBA_Environment *_ev;
                                                                        CORBA_Environment _t291_storage;

                                                                        flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort925);
                                                                        /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                        flick_suntcp_decode_new_chunk(24);
                                                                        flick_xdr_decode_unsigned32(0, _t285_ignore, unsigned int );
                                                                        flick_xdr_decode_unsigned32(4, _t285_ignore, unsigned int );
                                                                        flick_xdr_decode_unsigned32(8, _t285_ignore, unsigned int );
                                                                        flick_xdr_decode_unsigned32(12, _t285_ignore, unsigned int );
                                                                        _local_inp = (struct dLCc *)(&_t286_storage);
                                                                        flick_xdr_decode_float64(16, _local_inp->first, CORBA_double );
                                                                        flick_suntcp_decode_end_chunk(24);
                                                                        for (_t287_array_iter = 0; _t287_array_iter < 50; _t287_array_iter++)
                                                                          {
                                                                            flick_suntcp_decode_new_chunk(8);
                                                                            flick_xdr_decode_signed32(0, _local_inp->data[_t287_array_iter].elem1, CORBA_long );
                                                                            flick_xdr_decode_char8(4, _local_inp->data[_t287_array_iter].elem2, CORBA_char );
                                                                            flick_suntcp_decode_end_chunk(8);
                                                                            continue;
                                                                          }
                                                                        flick_suntcp_decode_new_chunk(12);
                                                                        flick_xdr_decode_char8(0, _local_inp->last, CORBA_char );
                                                                        _local_iop = (struct dLCc *)(&_t288_storage);
                                                                        flick_xdr_decode_float64(4, _local_iop->first, CORBA_double );
                                                                        flick_suntcp_decode_end_chunk(12);
                                                                        for (_t289_array_iter = 0; _t289_array_iter < 50; _t289_array_iter++)
                                                                          {
                                                                            flick_suntcp_decode_new_chunk(8);
                                                                            flick_xdr_decode_signed32(0, _local_iop->data[_t289_array_iter].elem1, CORBA_long );
                                                                            flick_xdr_decode_char8(4, _local_iop->data[_t289_array_iter].elem2, CORBA_char );
                                                                            flick_suntcp_decode_end_chunk(8);
                                                                            continue;
                                                                          }
                                                                        flick_suntcp_decode_new_chunk(4);
                                                                        flick_xdr_decode_char8(0, _local_iop->last, CORBA_char );
                                                                        _local_outp = (struct dLCc *)(&_t290_storage);
                                                                        _ev = (CORBA_Environment *)(&_t291_storage);
                                                                        flick_suntcp_decode_end_chunk(4);
                                                                        flick_suntcp_decode_end_glob(884);
                                                                        flick_suntcp_server_end_decode();
                                                                        flick_corba_init_environment();
                                                                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                                        _return = arrays_test_dLCc(_obj, _local_inp, _local_iop, _local_outp, _ev);
                                                                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                                        _stub_state.state = FLICK_STATE_MARSHAL;
                                                                        flick_suntcp_server_start_encode();
                                                                        {
                                                                          flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort925);
                                                                          flick_suntcp_encode_new_glob(1240, _flick_abort925);
                                                                          flick_suntcp_encode_new_chunk(4);
                                                                          flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                                          flick_suntcp_encode_end_chunk(4);
                                                                          switch (_ev->_major)
                                                                            {
                                                                            case CORBA_NO_EXCEPTION:
                                                                              {
                                                                                flick_unsigned32_t _t295_array_iter;
                                                                                flick_unsigned32_t _t296_array_iter;
                                                                                flick_unsigned32_t _t297_array_iter;

                                                                                flick_suntcp_encode_new_chunk(8);
                                                                                flick_xdr_encode_float64(0, _return.first, CORBA_double );
                                                                                flick_suntcp_encode_end_chunk(8);
                                                                                for (_t295_array_iter = 0; _t295_array_iter < 50; _t295_array_iter++)
                                                                                  {
                                                                                    flick_suntcp_encode_new_chunk(8);
                                                                                    flick_xdr_encode_signed32(0, _return.data[_t295_array_iter].elem1, CORBA_long );
                                                                                    flick_xdr_encode_char8(4, _return.data[_t295_array_iter].elem2, CORBA_char );
                                                                                    flick_suntcp_encode_end_chunk(8);
                                                                                    continue;
                                                                                  }
                                                                                flick_suntcp_encode_new_chunk(12);
                                                                                flick_xdr_encode_char8(0, _return.last, CORBA_char );
                                                                                flick_xdr_encode_float64(4, _local_iop->first, CORBA_double );
                                                                                flick_suntcp_encode_end_chunk(12);
                                                                                for (_t296_array_iter = 0; _t296_array_iter < 50; _t296_array_iter++)
                                                                                  {
                                                                                    flick_suntcp_encode_new_chunk(8);
                                                                                    flick_xdr_encode_signed32(0, _local_iop->data[_t296_array_iter].elem1, CORBA_long );
                                                                                    flick_xdr_encode_char8(4, _local_iop->data[_t296_array_iter].elem2, CORBA_char );
                                                                                    flick_suntcp_encode_end_chunk(8);
                                                                                    continue;
                                                                                  }
                                                                                flick_suntcp_encode_new_chunk(12);
                                                                                flick_xdr_encode_char8(0, _local_iop->last, CORBA_char );
                                                                                flick_xdr_encode_float64(4, _local_outp->first, CORBA_double );
                                                                                flick_suntcp_encode_end_chunk(12);
                                                                                for (_t297_array_iter = 0; _t297_array_iter < 50; _t297_array_iter++)
                                                                                  {
                                                                                    flick_suntcp_encode_new_chunk(8);
                                                                                    flick_xdr_encode_signed32(0, _local_outp->data[_t297_array_iter].elem1, CORBA_long );
                                                                                    flick_xdr_encode_char8(4, _local_outp->data[_t297_array_iter].elem2, CORBA_char );
                                                                                    flick_suntcp_encode_end_chunk(8);
                                                                                    continue;
                                                                                  }
                                                                                flick_suntcp_encode_new_chunk(4);
                                                                                flick_xdr_encode_char8(0, _local_outp->last, CORBA_char );
                                                                                flick_suntcp_encode_end_chunk(4);
                                                                                flick_suntcp_encode_end_glob(1240);
                                                                                break;
                                                                              }
                                                                            case CORBA_SYSTEM_EXCEPTION:
                                                                              {
                                                                                flick_suntcp_encode_end_glob(1240);
                                                                                flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort971);
                                                                                break;
                                                                                {
                                                                                _flick_abort971:
                                                                                  goto _flick_abort925;
                                                                                }
                                                                              }
                                                                            default:
                                                                              {
                                                                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort972);
                                                                                flick_suntcp_encode_end_glob(1240);
                                                                                break;
                                                                                {
                                                                                _flick_abort972:
                                                                                  goto _flick_abort925;
                                                                                }
                                                                              }
                                                                            }
                                                                        }
                                                                        flick_suntcp_server_end_encode();
                                                                        break;
                                                                        {
                                                                        _flick_abort925:
                                                                          goto _flick_abort924;
                                                                        }
                                                                      }
                                                                      break;
                                                                      {
                                                                      _flick_abort924:
                                                                        goto _flick_abort128;
                                                                      }
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort128);
                                                                      flick_suntcp_decode_end_glob(884);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort128);
                                                                flick_suntcp_decode_end_glob(884);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort128);
                                                          flick_suntcp_decode_end_glob(884);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                case 'C':
                                                  {
                                                    char _t298_switch_tag;

                                                    flick_suntcp_check_span(50 * 8 + (50 * 8 + 4) + 48, _flick_abort128);
                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t298_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t298_switch_tag)
                                                      {
                                                      case 'L':
                                                        {
                                                          char _t299_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t299_switch_tag, char );
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t299_switch_tag)
                                                            {
                                                            case 'c':
                                                              {
                                                                char _t300_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t300_switch_tag, char );
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch ((char )_t300_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        arrays _obj;
                                                                        unsigned int _t301_ignore;
                                                                        struct dCLc _return;
                                                                        struct dCLc *_local_inp;
                                                                        struct dCLc _t302_storage;
                                                                        flick_unsigned32_t _t303_array_iter;
                                                                        struct dCLc *_local_iop;
                                                                        struct dCLc _t304_storage;
                                                                        flick_unsigned32_t _t305_array_iter;
                                                                        struct dCLc *_local_outp;
                                                                        struct dCLc _t306_storage;
                                                                        CORBA_Environment *_ev;
                                                                        CORBA_Environment _t307_storage;

                                                                        flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort974);
                                                                        /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                        flick_suntcp_decode_new_chunk(24);
                                                                        flick_xdr_decode_unsigned32(0, _t301_ignore, unsigned int );
                                                                        flick_xdr_decode_unsigned32(4, _t301_ignore, unsigned int );
                                                                        flick_xdr_decode_unsigned32(8, _t301_ignore, unsigned int );
                                                                        flick_xdr_decode_unsigned32(12, _t301_ignore, unsigned int );
                                                                        _local_inp = (struct dCLc *)(&_t302_storage);
                                                                        flick_xdr_decode_float64(16, _local_inp->first, CORBA_double );
                                                                        flick_suntcp_decode_end_chunk(24);
                                                                        for (_t303_array_iter = 0; _t303_array_iter < 50; _t303_array_iter++)
                                                                          {
                                                                            flick_suntcp_decode_new_chunk(8);
                                                                            flick_xdr_decode_char8(0, _local_inp->data[_t303_array_iter].elem1, CORBA_char );
                                                                            flick_xdr_decode_signed32(4, _local_inp->data[_t303_array_iter].elem2, CORBA_long );
                                                                            flick_suntcp_decode_end_chunk(8);
                                                                            continue;
                                                                          }
                                                                        flick_suntcp_decode_new_chunk(12);
                                                                        flick_xdr_decode_char8(0, _local_inp->last, CORBA_char );
                                                                        _local_iop = (struct dCLc *)(&_t304_storage);
                                                                        flick_xdr_decode_float64(4, _local_iop->first, CORBA_double );
                                                                        flick_suntcp_decode_end_chunk(12);
                                                                        for (_t305_array_iter = 0; _t305_array_iter < 50; _t305_array_iter++)
                                                                          {
                                                                            flick_suntcp_decode_new_chunk(8);
                                                                            flick_xdr_decode_char8(0, _local_iop->data[_t305_array_iter].elem1, CORBA_char );
                                                                            flick_xdr_decode_signed32(4, _local_iop->data[_t305_array_iter].elem2, CORBA_long );
                                                                            flick_suntcp_decode_end_chunk(8);
                                                                            continue;
                                                                          }
                                                                        flick_suntcp_decode_new_chunk(4);
                                                                        flick_xdr_decode_char8(0, _local_iop->last, CORBA_char );
                                                                        _local_outp = (struct dCLc *)(&_t306_storage);
                                                                        _ev = (CORBA_Environment *)(&_t307_storage);
                                                                        flick_suntcp_decode_end_chunk(4);
                                                                        flick_suntcp_decode_end_glob(884);
                                                                        flick_suntcp_server_end_decode();
                                                                        flick_corba_init_environment();
                                                                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                                        _return = arrays_test_dCLc(_obj, _local_inp, _local_iop, _local_outp, _ev);
                                                                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                                        _stub_state.state = FLICK_STATE_MARSHAL;
                                                                        flick_suntcp_server_start_encode();
                                                                        {
                                                                          flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort974);
                                                                          flick_suntcp_encode_new_glob(1240, _flick_abort974);
                                                                          flick_suntcp_encode_new_chunk(4);
                                                                          flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                                          flick_suntcp_encode_end_chunk(4);
                                                                          switch (_ev->_major)
                                                                            {
                                                                            case CORBA_NO_EXCEPTION:
                                                                              {
                                                                                flick_unsigned32_t _t311_array_iter;
                                                                                flick_unsigned32_t _t312_array_iter;
                                                                                flick_unsigned32_t _t313_array_iter;

                                                                                flick_suntcp_encode_new_chunk(8);
                                                                                flick_xdr_encode_float64(0, _return.first, CORBA_double );
                                                                                flick_suntcp_encode_end_chunk(8);
                                                                                for (_t311_array_iter = 0; _t311_array_iter < 50; _t311_array_iter++)
                                                                                  {
                                                                                    flick_suntcp_encode_new_chunk(8);
                                                                                    flick_xdr_encode_char8(0, _return.data[_t311_array_iter].elem1, CORBA_char );
                                                                                    flick_xdr_encode_signed32(4, _return.data[_t311_array_iter].elem2, CORBA_long );
                                                                                    flick_suntcp_encode_end_chunk(8);
                                                                                    continue;
                                                                                  }
                                                                                flick_suntcp_encode_new_chunk(12);
                                                                                flick_xdr_encode_char8(0, _return.last, CORBA_char );
                                                                                flick_xdr_encode_float64(4, _local_iop->first, CORBA_double );
                                                                                flick_suntcp_encode_end_chunk(12);
                                                                                for (_t312_array_iter = 0; _t312_array_iter < 50; _t312_array_iter++)
                                                                                  {
                                                                                    flick_suntcp_encode_new_chunk(8);
                                                                                    flick_xdr_encode_char8(0, _local_iop->data[_t312_array_iter].elem1, CORBA_char );
                                                                                    flick_xdr_encode_signed32(4, _local_iop->data[_t312_array_iter].elem2, CORBA_long );
                                                                                    flick_suntcp_encode_end_chunk(8);
                                                                                    continue;
                                                                                  }
                                                                                flick_suntcp_encode_new_chunk(12);
                                                                                flick_xdr_encode_char8(0, _local_iop->last, CORBA_char );
                                                                                flick_xdr_encode_float64(4, _local_outp->first, CORBA_double );
                                                                                flick_suntcp_encode_end_chunk(12);
                                                                                for (_t313_array_iter = 0; _t313_array_iter < 50; _t313_array_iter++)
                                                                                  {
                                                                                    flick_suntcp_encode_new_chunk(8);
                                                                                    flick_xdr_encode_char8(0, _local_outp->data[_t313_array_iter].elem1, CORBA_char );
                                                                                    flick_xdr_encode_signed32(4, _local_outp->data[_t313_array_iter].elem2, CORBA_long );
                                                                                    flick_suntcp_encode_end_chunk(8);
                                                                                    continue;
                                                                                  }
                                                                                flick_suntcp_encode_new_chunk(4);
                                                                                flick_xdr_encode_char8(0, _local_outp->last, CORBA_char );
                                                                                flick_suntcp_encode_end_chunk(4);
                                                                                flick_suntcp_encode_end_glob(1240);
                                                                                break;
                                                                              }
                                                                            case CORBA_SYSTEM_EXCEPTION:
                                                                              {
                                                                                flick_suntcp_encode_end_glob(1240);
                                                                                flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort1020);
                                                                                break;
                                                                                {
                                                                                _flick_abort1020:
                                                                                  goto _flick_abort974;
                                                                                }
                                                                              }
                                                                            default:
                                                                              {
                                                                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1021);
                                                                                flick_suntcp_encode_end_glob(1240);
                                                                                break;
                                                                                {
                                                                                _flick_abort1021:
                                                                                  goto _flick_abort974;
                                                                                }
                                                                              }
                                                                            }
                                                                        }
                                                                        flick_suntcp_server_end_encode();
                                                                        break;
                                                                        {
                                                                        _flick_abort974:
                                                                          goto _flick_abort973;
                                                                        }
                                                                      }
                                                                      break;
                                                                      {
                                                                      _flick_abort973:
                                                                        goto _flick_abort128;
                                                                      }
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort128);
                                                                      flick_suntcp_decode_end_glob(884);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort128);
                                                                flick_suntcp_decode_end_glob(884);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort128);
                                                          flick_suntcp_decode_end_glob(884);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort128);
                                                    flick_suntcp_decode_end_glob(884);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          case 's':
                                            {
                                              char _t314_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t314_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t314_switch_tag)
                                                {
                                                case 'L':
                                                  {
                                                    char _t315_switch_tag;

                                                    flick_suntcp_check_span(50 * 8 + (50 * 8 + 4) + 40, _flick_abort128);
                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t315_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t315_switch_tag)
                                                      {
                                                      case 'C':
                                                        {
                                                          char _t316_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t316_switch_tag, char );
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t316_switch_tag)
                                                            {
                                                            case 's':
                                                              {
                                                                char _t317_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t317_switch_tag, char );
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch ((char )_t317_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        arrays _obj;
                                                                        unsigned int _t318_ignore;
                                                                        struct sLCs _return;
                                                                        struct sLCs *_local_inp;
                                                                        struct sLCs _t319_storage;
                                                                        flick_unsigned32_t _t320_array_iter;
                                                                        struct sLCs *_local_iop;
                                                                        struct sLCs _t321_storage;
                                                                        flick_unsigned32_t _t322_array_iter;
                                                                        struct sLCs *_local_outp;
                                                                        struct sLCs _t323_storage;
                                                                        CORBA_Environment *_ev;
                                                                        CORBA_Environment _t324_storage;

                                                                        flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort1023);
                                                                        /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                        flick_suntcp_decode_new_chunk(20);
                                                                        flick_xdr_decode_unsigned32(0, _t318_ignore, unsigned int );
                                                                        flick_xdr_decode_unsigned32(4, _t318_ignore, unsigned int );
                                                                        flick_xdr_decode_unsigned32(8, _t318_ignore, unsigned int );
                                                                        flick_xdr_decode_unsigned32(12, _t318_ignore, unsigned int );
                                                                        _local_inp = (struct sLCs *)(&_t319_storage);
                                                                        flick_xdr_decode_signed16(16, _local_inp->first, CORBA_short );
                                                                        flick_suntcp_decode_end_chunk(20);
                                                                        for (_t320_array_iter = 0; _t320_array_iter < 50; _t320_array_iter++)
                                                                          {
                                                                            flick_suntcp_decode_new_chunk(8);
                                                                            flick_xdr_decode_signed32(0, _local_inp->data[_t320_array_iter].elem1, CORBA_long );
                                                                            flick_xdr_decode_char8(4, _local_inp->data[_t320_array_iter].elem2, CORBA_char );
                                                                            flick_suntcp_decode_end_chunk(8);
                                                                            continue;
                                                                          }
                                                                        flick_suntcp_decode_new_chunk(8);
                                                                        flick_xdr_decode_signed16(0, _local_inp->last, CORBA_short );
                                                                        _local_iop = (struct sLCs *)(&_t321_storage);
                                                                        flick_xdr_decode_signed16(4, _local_iop->first, CORBA_short );
                                                                        flick_suntcp_decode_end_chunk(8);
                                                                        for (_t322_array_iter = 0; _t322_array_iter < 50; _t322_array_iter++)
                                                                          {
                                                                            flick_suntcp_decode_new_chunk(8);
                                                                            flick_xdr_decode_signed32(0, _local_iop->data[_t322_array_iter].elem1, CORBA_long );
                                                                            flick_xdr_decode_char8(4, _local_iop->data[_t322_array_iter].elem2, CORBA_char );
                                                                            flick_suntcp_decode_end_chunk(8);
                                                                            continue;
                                                                          }
                                                                        flick_suntcp_decode_new_chunk(4);
                                                                        flick_xdr_decode_signed16(0, _local_iop->last, CORBA_short );
                                                                        _local_outp = (struct sLCs *)(&_t323_storage);
                                                                        _ev = (CORBA_Environment *)(&_t324_storage);
                                                                        flick_suntcp_decode_end_chunk(4);
                                                                        flick_suntcp_decode_end_glob(884);
                                                                        flick_suntcp_server_end_decode();
                                                                        flick_corba_init_environment();
                                                                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                                        _return = arrays_test_sLCs(_obj, _local_inp, _local_iop, _local_outp, _ev);
                                                                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                                        _stub_state.state = FLICK_STATE_MARSHAL;
                                                                        flick_suntcp_server_start_encode();
                                                                        {
                                                                          flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort1023);
                                                                          flick_suntcp_encode_new_glob(1228, _flick_abort1023);
                                                                          flick_suntcp_encode_new_chunk(4);
                                                                          flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                                          flick_suntcp_encode_end_chunk(4);
                                                                          switch (_ev->_major)
                                                                            {
                                                                            case CORBA_NO_EXCEPTION:
                                                                              {
                                                                                flick_unsigned32_t _t328_array_iter;
                                                                                flick_unsigned32_t _t329_array_iter;
                                                                                flick_unsigned32_t _t330_array_iter;

                                                                                flick_suntcp_encode_new_chunk(4);
                                                                                flick_xdr_encode_signed16(0, _return.first, CORBA_short );
                                                                                flick_suntcp_encode_end_chunk(4);
                                                                                for (_t328_array_iter = 0; _t328_array_iter < 50; _t328_array_iter++)
                                                                                  {
                                                                                    flick_suntcp_encode_new_chunk(8);
                                                                                    flick_xdr_encode_signed32(0, _return.data[_t328_array_iter].elem1, CORBA_long );
                                                                                    flick_xdr_encode_char8(4, _return.data[_t328_array_iter].elem2, CORBA_char );
                                                                                    flick_suntcp_encode_end_chunk(8);
                                                                                    continue;
                                                                                  }
                                                                                flick_suntcp_encode_new_chunk(8);
                                                                                flick_xdr_encode_signed16(0, _return.last, CORBA_short );
                                                                                flick_xdr_encode_signed16(4, _local_iop->first, CORBA_short );
                                                                                flick_suntcp_encode_end_chunk(8);
                                                                                for (_t329_array_iter = 0; _t329_array_iter < 50; _t329_array_iter++)
                                                                                  {
                                                                                    flick_suntcp_encode_new_chunk(8);
                                                                                    flick_xdr_encode_signed32(0, _local_iop->data[_t329_array_iter].elem1, CORBA_long );
                                                                                    flick_xdr_encode_char8(4, _local_iop->data[_t329_array_iter].elem2, CORBA_char );
                                                                                    flick_suntcp_encode_end_chunk(8);
                                                                                    continue;
                                                                                  }
                                                                                flick_suntcp_encode_new_chunk(8);
                                                                                flick_xdr_encode_signed16(0, _local_iop->last, CORBA_short );
                                                                                flick_xdr_encode_signed16(4, _local_outp->first, CORBA_short );
                                                                                flick_suntcp_encode_end_chunk(8);
                                                                                for (_t330_array_iter = 0; _t330_array_iter < 50; _t330_array_iter++)
                                                                                  {
                                                                                    flick_suntcp_encode_new_chunk(8);
                                                                                    flick_xdr_encode_signed32(0, _local_outp->data[_t330_array_iter].elem1, CORBA_long );
                                                                                    flick_xdr_encode_char8(4, _local_outp->data[_t330_array_iter].elem2, CORBA_char );
                                                                                    flick_suntcp_encode_end_chunk(8);
                                                                                    continue;
                                                                                  }
                                                                                flick_suntcp_encode_new_chunk(4);
                                                                                flick_xdr_encode_signed16(0, _local_outp->last, CORBA_short );
                                                                                flick_suntcp_encode_end_chunk(4);
                                                                                flick_suntcp_encode_end_glob(1228);
                                                                                break;
                                                                              }
                                                                            case CORBA_SYSTEM_EXCEPTION:
                                                                              {
                                                                                flick_suntcp_encode_end_glob(1228);
                                                                                flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort1069);
                                                                                break;
                                                                                {
                                                                                _flick_abort1069:
                                                                                  goto _flick_abort1023;
                                                                                }
                                                                              }
                                                                            default:
                                                                              {
                                                                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1070);
                                                                                flick_suntcp_encode_end_glob(1228);
                                                                                break;
                                                                                {
                                                                                _flick_abort1070:
                                                                                  goto _flick_abort1023;
                                                                                }
                                                                              }
                                                                            }
                                                                        }
                                                                        flick_suntcp_server_end_encode();
                                                                        break;
                                                                        {
                                                                        _flick_abort1023:
                                                                          goto _flick_abort1022;
                                                                        }
                                                                      }
                                                                      break;
                                                                      {
                                                                      _flick_abort1022:
                                                                        goto _flick_abort128;
                                                                      }
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort128);
                                                                      flick_suntcp_decode_end_glob(884);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort128);
                                                                flick_suntcp_decode_end_glob(884);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort128);
                                                          flick_suntcp_decode_end_glob(884);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                case 'C':
                                                  {
                                                    char _t331_switch_tag;

                                                    flick_suntcp_check_span(50 * 8 + (50 * 8 + 4) + 40, _flick_abort128);
                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t331_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t331_switch_tag)
                                                      {
                                                      case 'L':
                                                        {
                                                          char _t332_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t332_switch_tag, char );
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t332_switch_tag)
                                                            {
                                                            case 's':
                                                              {
                                                                char _t333_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t333_switch_tag, char );
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch ((char )_t333_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        arrays _obj;
                                                                        unsigned int _t334_ignore;
                                                                        struct sCLs _return;
                                                                        struct sCLs *_local_inp;
                                                                        struct sCLs _t335_storage;
                                                                        flick_unsigned32_t _t336_array_iter;
                                                                        struct sCLs *_local_iop;
                                                                        struct sCLs _t337_storage;
                                                                        flick_unsigned32_t _t338_array_iter;
                                                                        struct sCLs *_local_outp;
                                                                        struct sCLs _t339_storage;
                                                                        CORBA_Environment *_ev;
                                                                        CORBA_Environment _t340_storage;

                                                                        flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort1072);
                                                                        /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                        flick_suntcp_decode_new_chunk(20);
                                                                        flick_xdr_decode_unsigned32(0, _t334_ignore, unsigned int );
                                                                        flick_xdr_decode_unsigned32(4, _t334_ignore, unsigned int );
                                                                        flick_xdr_decode_unsigned32(8, _t334_ignore, unsigned int );
                                                                        flick_xdr_decode_unsigned32(12, _t334_ignore, unsigned int );
                                                                        _local_inp = (struct sCLs *)(&_t335_storage);
                                                                        flick_xdr_decode_signed16(16, _local_inp->first, CORBA_short );
                                                                        flick_suntcp_decode_end_chunk(20);
                                                                        for (_t336_array_iter = 0; _t336_array_iter < 50; _t336_array_iter++)
                                                                          {
                                                                            flick_suntcp_decode_new_chunk(8);
                                                                            flick_xdr_decode_char8(0, _local_inp->data[_t336_array_iter].elem1, CORBA_char );
                                                                            flick_xdr_decode_signed32(4, _local_inp->data[_t336_array_iter].elem2, CORBA_long );
                                                                            flick_suntcp_decode_end_chunk(8);
                                                                            continue;
                                                                          }
                                                                        flick_suntcp_decode_new_chunk(8);
                                                                        flick_xdr_decode_signed16(0, _local_inp->last, CORBA_short );
                                                                        _local_iop = (struct sCLs *)(&_t337_storage);
                                                                        flick_xdr_decode_signed16(4, _local_iop->first, CORBA_short );
                                                                        flick_suntcp_decode_end_chunk(8);
                                                                        for (_t338_array_iter = 0; _t338_array_iter < 50; _t338_array_iter++)
                                                                          {
                                                                            flick_suntcp_decode_new_chunk(8);
                                                                            flick_xdr_decode_char8(0, _local_iop->data[_t338_array_iter].elem1, CORBA_char );
                                                                            flick_xdr_decode_signed32(4, _local_iop->data[_t338_array_iter].elem2, CORBA_long );
                                                                            flick_suntcp_decode_end_chunk(8);
                                                                            continue;
                                                                          }
                                                                        flick_suntcp_decode_new_chunk(4);
                                                                        flick_xdr_decode_signed16(0, _local_iop->last, CORBA_short );
                                                                        _local_outp = (struct sCLs *)(&_t339_storage);
                                                                        _ev = (CORBA_Environment *)(&_t340_storage);
                                                                        flick_suntcp_decode_end_chunk(4);
                                                                        flick_suntcp_decode_end_glob(884);
                                                                        flick_suntcp_server_end_decode();
                                                                        flick_corba_init_environment();
                                                                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                                        _return = arrays_test_sCLs(_obj, _local_inp, _local_iop, _local_outp, _ev);
                                                                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                                        _stub_state.state = FLICK_STATE_MARSHAL;
                                                                        flick_suntcp_server_start_encode();
                                                                        {
                                                                          flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort1072);
                                                                          flick_suntcp_encode_new_glob(1228, _flick_abort1072);
                                                                          flick_suntcp_encode_new_chunk(4);
                                                                          flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                                          flick_suntcp_encode_end_chunk(4);
                                                                          switch (_ev->_major)
                                                                            {
                                                                            case CORBA_NO_EXCEPTION:
                                                                              {
                                                                                flick_unsigned32_t _t344_array_iter;
                                                                                flick_unsigned32_t _t345_array_iter;
                                                                                flick_unsigned32_t _t346_array_iter;

                                                                                flick_suntcp_encode_new_chunk(4);
                                                                                flick_xdr_encode_signed16(0, _return.first, CORBA_short );
                                                                                flick_suntcp_encode_end_chunk(4);
                                                                                for (_t344_array_iter = 0; _t344_array_iter < 50; _t344_array_iter++)
                                                                                  {
                                                                                    flick_suntcp_encode_new_chunk(8);
                                                                                    flick_xdr_encode_char8(0, _return.data[_t344_array_iter].elem1, CORBA_char );
                                                                                    flick_xdr_encode_signed32(4, _return.data[_t344_array_iter].elem2, CORBA_long );
                                                                                    flick_suntcp_encode_end_chunk(8);
                                                                                    continue;
                                                                                  }
                                                                                flick_suntcp_encode_new_chunk(8);
                                                                                flick_xdr_encode_signed16(0, _return.last, CORBA_short );
                                                                                flick_xdr_encode_signed16(4, _local_iop->first, CORBA_short );
                                                                                flick_suntcp_encode_end_chunk(8);
                                                                                for (_t345_array_iter = 0; _t345_array_iter < 50; _t345_array_iter++)
                                                                                  {
                                                                                    flick_suntcp_encode_new_chunk(8);
                                                                                    flick_xdr_encode_char8(0, _local_iop->data[_t345_array_iter].elem1, CORBA_char );
                                                                                    flick_xdr_encode_signed32(4, _local_iop->data[_t345_array_iter].elem2, CORBA_long );
                                                                                    flick_suntcp_encode_end_chunk(8);
                                                                                    continue;
                                                                                  }
                                                                                flick_suntcp_encode_new_chunk(8);
                                                                                flick_xdr_encode_signed16(0, _local_iop->last, CORBA_short );
                                                                                flick_xdr_encode_signed16(4, _local_outp->first, CORBA_short );
                                                                                flick_suntcp_encode_end_chunk(8);
                                                                                for (_t346_array_iter = 0; _t346_array_iter < 50; _t346_array_iter++)
                                                                                  {
                                                                                    flick_suntcp_encode_new_chunk(8);
                                                                                    flick_xdr_encode_char8(0, _local_outp->data[_t346_array_iter].elem1, CORBA_char );
                                                                                    flick_xdr_encode_signed32(4, _local_outp->data[_t346_array_iter].elem2, CORBA_long );
                                                                                    flick_suntcp_encode_end_chunk(8);
                                                                                    continue;
                                                                                  }
                                                                                flick_suntcp_encode_new_chunk(4);
                                                                                flick_xdr_encode_signed16(0, _local_outp->last, CORBA_short );
                                                                                flick_suntcp_encode_end_chunk(4);
                                                                                flick_suntcp_encode_end_glob(1228);
                                                                                break;
                                                                              }
                                                                            case CORBA_SYSTEM_EXCEPTION:
                                                                              {
                                                                                flick_suntcp_encode_end_glob(1228);
                                                                                flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort1118);
                                                                                break;
                                                                                {
                                                                                _flick_abort1118:
                                                                                  goto _flick_abort1072;
                                                                                }
                                                                              }
                                                                            default:
                                                                              {
                                                                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1119);
                                                                                flick_suntcp_encode_end_glob(1228);
                                                                                break;
                                                                                {
                                                                                _flick_abort1119:
                                                                                  goto _flick_abort1072;
                                                                                }
                                                                              }
                                                                            }
                                                                        }
                                                                        flick_suntcp_server_end_encode();
                                                                        break;
                                                                        {
                                                                        _flick_abort1072:
                                                                          goto _flick_abort1071;
                                                                        }
                                                                      }
                                                                      break;
                                                                      {
                                                                      _flick_abort1071:
                                                                        goto _flick_abort128;
                                                                      }
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort128);
                                                                      flick_suntcp_decode_end_glob(884);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort128);
                                                                flick_suntcp_decode_end_glob(884);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort128);
                                                          flick_suntcp_decode_end_glob(884);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort128);
                                                    flick_suntcp_decode_end_glob(884);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort128);
                                              flick_suntcp_decode_end_glob(884);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort128);
                                        flick_suntcp_decode_end_glob(884);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort128);
                                  flick_suntcp_decode_end_glob(884);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort128);
                            flick_suntcp_decode_end_glob(884);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort128);
                      flick_suntcp_decode_end_glob(884);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort128);
                flick_suntcp_decode_end_glob(884);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          char _t347_switch_tag;

          flick_suntcp_check_span(44, _flick_abort128);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t347_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t347_switch_tag)
            {
            case '_':
              {
                char _t348_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t348_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t348_switch_tag)
                  {
                  case 'i':
                    {
                      char _t349_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t349_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t349_switch_tag)
                        {
                        case 's':
                          {
                            char _t350_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t350_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t350_switch_tag)
                              {
                              case '_':
                                {
                                  char _t351_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t351_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t351_switch_tag)
                                    {
                                    case 'a':
                                      {
                                        char _t352_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t352_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t352_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                CORBA_Object _obj;
                                                unsigned int _t353_ignore;
                                                CORBA_boolean _return;
                                                CORBA_char *_local_id;
                                                flick_unsigned32_t _t354_temp_string_len;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t355_storage;
                                                char **_par;

                                                flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort1121);
                                                /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                flick_suntcp_decode_new_chunk(20);
                                                flick_xdr_decode_unsigned32(0, _t353_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(4, _t353_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(8, _t353_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(12, _t353_ignore, unsigned int );
                                                _return = 0;
                                                flick_xdr_decode_unsigned32(16, _t354_temp_string_len, flick_unsigned32_t );
                                                flick_suntcp_decode_end_chunk(20);
                                                flick_suntcp_decode_end_glob(884);
                                                flick_suntcp_decode_new_glob(1 * _t354_temp_string_len);
                                                flick_suntcp_check_span(1 * _t354_temp_string_len, _flick_abort1121);
                                                flick_suntcp_decode_new_chunk(1 * _t354_temp_string_len);
                                                if ((_t354_temp_string_len + 3) & ~3)
                                                  {
                                                    flick_xdr_decode_msgptr(0, _local_id, CORBA_char *);
                                                  }
                                                else
                                                  {
                                                    {
                                                      CORBA_char *_t_alloc_ptr;

                                                      _t_alloc_ptr = (CORBA_char *)(auto_flick_alloc((_t354_temp_string_len + 1) * sizeof(CORBA_char )));
                                                      if (!_t_alloc_ptr)
                                                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1121);
                                                      _local_id = _t_alloc_ptr;
                                                    }
                                                    flick_xdr_decode_bcopy(0, _local_id, 1 * _t354_temp_string_len);
                                                  }
                                                flick_suntcp_decode_end_chunk(1 * _t354_temp_string_len);
                                                _local_id[_t354_temp_string_len] = 0;
                                                flick_suntcp_decode_end_glob(1 * _t354_temp_string_len);
                                                flick_suntcp_decode_new_glob(3);
                                                flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
                                                _ev = (CORBA_Environment *)(&_t355_storage);
                                                _par = flick_interface_parents_arrays;
                                                flick_suntcp_decode_end_chunk(0);
                                                flick_suntcp_decode_end_glob(3);
                                                flick_suntcp_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_suntcp_server_start_encode();
                                                {
                                                  flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort1124);
                                                  flick_suntcp_encode_new_glob(8, _flick_abort1124);
                                                  flick_suntcp_encode_new_chunk(4);
                                                  flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_suntcp_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        flick_suntcp_encode_new_chunk(4);
                                                        flick_xdr_encode_unsigned8(0, _return, CORBA_boolean );
                                                        flick_suntcp_encode_end_chunk(4);
                                                        flick_suntcp_encode_end_glob(8);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_suntcp_encode_end_glob(8);
                                                        flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort1130);
                                                        break;
                                                        {
                                                        _flick_abort1130:
                                                          goto _flick_abort1124;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1131);
                                                        flick_suntcp_encode_end_glob(8);
                                                        break;
                                                        {
                                                        _flick_abort1131:
                                                          goto _flick_abort1124;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_suntcp_server_end_encode();
                                                break;
                                                {
                                                _flick_abort1124:
                                                  auto_flick_free(_local_id);
                                                _flick_abort1121:
                                                  goto _flick_abort1120;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort1120:
                                                goto _flick_abort128;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort128);
                                              flick_suntcp_decode_end_glob(884);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort128);
                                        flick_suntcp_decode_end_glob(884);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort128);
                                  flick_suntcp_decode_end_glob(884);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort128);
                            flick_suntcp_decode_end_glob(884);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort128);
                      flick_suntcp_decode_end_glob(884);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort128);
                flick_suntcp_decode_end_glob(884);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort128);
          flick_suntcp_decode_end_glob(884);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort128:
    flick_corba_server_error(xdr, suntcp, _flick_reaper, _flick_abort127);
  _flick_abort127:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

