#include "constant-server.h"

/* This is the runtime type information */
char *flick_interface_parents_M_A[] = {
	"IDL:M/A:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;
	int reg_success;


	s.prog_num = _PROG_A;
	s.vers_num = _VERS_A;

	reg_success = flick_server_register(s, &M_A_server);
	assert(reg_success);


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
int flick_marshal_stub_N(flick_marshal_stream_t _stream, N *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort0);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, *_data, CORBA_enum );
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_N(flick_marshal_stream_t _stream, N *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort1);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, *_data, CORBA_enum );
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_E(flick_marshal_stream_t _stream, E *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort2);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed16(0, _data->cause, CORBA_short );
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_E(flick_marshal_stream_t _stream, E *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort3);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed16(0, _data->cause, CORBA_short );
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_F(flick_marshal_stream_t _stream, F *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed32(0, _data->type, CORBA_long );
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  return 0;
  {
  _flick_abort4:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_F(flick_marshal_stream_t _stream, F *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort5);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed32(0, _data->type, CORBA_long );
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  return 0;
  {
  _flick_abort5:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_M_N(flick_marshal_stream_t _stream, M_N *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort6);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, *_data, CORBA_enum );
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  return 0;
  {
  _flick_abort6:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_M_N(flick_marshal_stream_t _stream, M_N *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort7);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, *_data, CORBA_enum );
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  return 0;
  {
  _flick_abort7:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_M_E(flick_marshal_stream_t _stream, M_E *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort8);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed16(0, _data->cause, CORBA_short );
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  return 0;
  {
  _flick_abort8:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_M_E(flick_marshal_stream_t _stream, M_E *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort9);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed16(0, _data->cause, CORBA_short );
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  return 0;
  {
  _flick_abort9:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_M_A(flick_marshal_stream_t _stream, M_A *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort10);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  return 0;
  {
  _flick_abort10:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_M_A(flick_marshal_stream_t _stream, M_A *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort11);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  return 0;
  {
  _flick_abort11:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_M_A_N(flick_marshal_stream_t _stream, M_A_N *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort12);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, *_data, CORBA_enum );
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  return 0;
  {
  _flick_abort12:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_M_A_N(flick_marshal_stream_t _stream, M_A_N *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort13);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, *_data, CORBA_enum );
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  return 0;
  {
  _flick_abort13:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_M_A_E(flick_marshal_stream_t _stream, M_A_E *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort14);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed16(0, _data->cause, CORBA_short );
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  return 0;
  {
  _flick_abort14:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_M_A_E(flick_marshal_stream_t _stream, M_A_E *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort15);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed16(0, _data->cause, CORBA_short );
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  return 0;
  {
  _flick_abort15:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

flick_operation_success_t M_A_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    unsigned int _t18_switch_tag;

    flick_suntcp_decode_new_glob(48);
    flick_suntcp_check_span(44, _flick_abort18);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t18_switch_tag, unsigned int );
    flick_suntcp_decode_end_chunk(4);
    switch ((unsigned int )_t18_switch_tag)
      {
      case (unsigned int) 4:
        {
          char _t19_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t19_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t19_switch_tag)
            {
            case 'f':
              {
                char _t20_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t20_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t20_switch_tag)
                  {
                  case 'o':
                    {
                      char _t21_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t21_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t21_switch_tag)
                        {
                        case 'o':
                          {
                            char _t22_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t22_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t22_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    M_A _obj;
                                    unsigned int _t23_ignore;
                                    M_A_N _return;
                                    M_A_N _local_x;
                                    M_A_N *_local_y;
                                    M_A_N _t24_storage;
                                    M_A_N *_local_z;
                                    M_A_N _t25_storage;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t26_storage;

                                    flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort52);
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(24);
                                    flick_xdr_decode_unsigned32(0, _t23_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(4, _t23_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(8, _t23_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(12, _t23_ignore, unsigned int );
                                    _return = 0;
                                    flick_xdr_decode_unsigned32(16, _local_x, CORBA_enum );
                                    _local_y = (M_A_N *)(&_t24_storage);
                                    _local_z = (M_A_N *)(&_t25_storage);
                                    flick_xdr_decode_unsigned32(20, *_local_z, CORBA_enum );
                                    _ev = (CORBA_Environment *)(&_t26_storage);
                                    flick_suntcp_decode_end_chunk(24);
                                    flick_suntcp_decode_end_glob(48);
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = M_A_foo(_obj, _local_x, _local_y, _local_z, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort52);
                                      flick_suntcp_encode_new_glob(68, _flick_abort52);
                                      flick_suntcp_encode_new_chunk(4);
                                      flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_suntcp_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            flick_suntcp_encode_new_chunk(12);
                                            flick_xdr_encode_unsigned32(0, _return, CORBA_enum );
                                            flick_xdr_encode_unsigned32(4, *_local_y, CORBA_enum );
                                            flick_xdr_encode_unsigned32(8, *_local_z, CORBA_enum );
                                            flick_suntcp_encode_end_chunk(12);
                                            flick_suntcp_encode_end_glob(68);
                                            break;
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_suntcp_encode_end_glob(68);
                                            flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort63);
                                            break;
                                            {
                                            _flick_abort63:
                                              goto _flick_abort52;
                                            }
                                          }
                                        default:
                                          {
                                            switch ((unsigned int )(1+strlen(_ev->_id)))
                                              {
                                              case (unsigned int) 14:
                                                {
                                                  switch (*(char *)(_ev->_id + 0))
                                                    {
                                                    case 'I':
                                                      {
                                                        switch (*(char *)(_ev->_id + 1))
                                                          {
                                                          case 'D':
                                                            {
                                                              switch (*(char *)(_ev->_id + 2))
                                                                {
                                                                case 'L':
                                                                  {
                                                                    switch (*(char *)(_ev->_id + 3))
                                                                      {
                                                                      case ':':
                                                                        {
                                                                          switch (*(char *)(_ev->_id + 4))
                                                                            {
                                                                            case 'M':
                                                                              {
                                                                                switch (*(char *)(_ev->_id + 5))
                                                                                  {
                                                                                  case '/':
                                                                                    {
                                                                                      switch (*(char *)(_ev->_id + 6))
                                                                                        {
                                                                                        case 'A':
                                                                                          {
                                                                                            switch (*(char *)(_ev->_id + 7))
                                                                                              {
                                                                                              case '/':
                                                                                                {
                                                                                                  switch (*(char *)(_ev->_id + 8))
                                                                                                    {
                                                                                                    case 'E':
                                                                                                      {
                                                                                                        switch (*(char *)(_ev->_id + 9))
                                                                                                          {
                                                                                                          case ':':
                                                                                                            {
                                                                                                              switch (*(char *)(_ev->_id + 10))
                                                                                                                {
                                                                                                                case '1':
                                                                                                                  {
                                                                                                                    switch (*(char *)(_ev->_id + 11))
                                                                                                                      {
                                                                                                                      case '.':
                                                                                                                        {
                                                                                                                          switch (*(char *)(_ev->_id + 12))
                                                                                                                            {
                                                                                                                            case '0':
                                                                                                                              {
                                                                                                                                switch (*(char *)(_ev->_id + 13))
                                                                                                                                  {
                                                                                                                                  case 0:
                                                                                                                                    {
                                                                                                                                      flick_suntcp_encode_new_chunk(64);
                                                                                                                                      flick_xdr_encode_unsigned32(0, 14, flick_unsigned32_t );
                                                                                                                                      flick_xdr_encode_char8(4, 'I', flick_char8_t );
                                                                                                                                      flick_xdr_encode_char8(8, 'D', flick_char8_t );
                                                                                                                                      flick_xdr_encode_char8(12, 'L', flick_char8_t );
                                                                                                                                      flick_xdr_encode_char8(16, ':', flick_char8_t );
                                                                                                                                      flick_xdr_encode_char8(20, 'M', flick_char8_t );
                                                                                                                                      flick_xdr_encode_char8(24, '/', flick_char8_t );
                                                                                                                                      flick_xdr_encode_char8(28, 'A', flick_char8_t );
                                                                                                                                      flick_xdr_encode_char8(32, '/', flick_char8_t );
                                                                                                                                      flick_xdr_encode_char8(36, 'E', flick_char8_t );
                                                                                                                                      flick_xdr_encode_char8(40, ':', flick_char8_t );
                                                                                                                                      flick_xdr_encode_char8(44, '1', flick_char8_t );
                                                                                                                                      flick_xdr_encode_char8(48, '.', flick_char8_t );
                                                                                                                                      flick_xdr_encode_char8(52, '0', flick_char8_t );
                                                                                                                                      flick_xdr_encode_char8(56, 0, flick_char8_t );
                                                                                                                                      flick_xdr_encode_signed16(60, ((M_A_E *)(_ev->_value._user_except))->cause, CORBA_short );
                                                                                                                                      CORBA_flick_free((M_A_E *)(_ev->_value._user_except));
                                                                                                                                      flick_suntcp_encode_end_chunk(64);
                                                                                                                                      break;
                                                                                                                                    }
                                                                                                                                  default:
                                                                                                                                    {
                                                                                                                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort64);
                                                                                                                                      break;
                                                                                                                                    }
                                                                                                                                  }
                                                                                                                                break;
                                                                                                                              }
                                                                                                                            default:
                                                                                                                              {
                                                                                                                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort64);
                                                                                                                                break;
                                                                                                                              }
                                                                                                                            }
                                                                                                                          break;
                                                                                                                        }
                                                                                                                      default:
                                                                                                                        {
                                                                                                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort64);
                                                                                                                          break;
                                                                                                                        }
                                                                                                                      }
                                                                                                                    break;
                                                                                                                  }
                                                                                                                default:
                                                                                                                  {
                                                                                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort64);
                                                                                                                    break;
                                                                                                                  }
                                                                                                                }
                                                                                                              break;
                                                                                                            }
                                                                                                          default:
                                                                                                            {
                                                                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort64);
                                                                                                              break;
                                                                                                            }
                                                                                                          }
                                                                                                        break;
                                                                                                      }
                                                                                                    default:
                                                                                                      {
                                                                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort64);
                                                                                                        break;
                                                                                                      }
                                                                                                    }
                                                                                                  break;
                                                                                                }
                                                                                              default:
                                                                                                {
                                                                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort64);
                                                                                                  break;
                                                                                                }
                                                                                              }
                                                                                            break;
                                                                                          }
                                                                                        default:
                                                                                          {
                                                                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort64);
                                                                                            break;
                                                                                          }
                                                                                        }
                                                                                      break;
                                                                                    }
                                                                                  default:
                                                                                    {
                                                                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort64);
                                                                                      break;
                                                                                    }
                                                                                  }
                                                                                break;
                                                                              }
                                                                            default:
                                                                              {
                                                                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort64);
                                                                                break;
                                                                              }
                                                                            }
                                                                          break;
                                                                        }
                                                                      default:
                                                                        {
                                                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort64);
                                                                          break;
                                                                        }
                                                                      }
                                                                    break;
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort64);
                                                                    break;
                                                                  }
                                                                }
                                                              break;
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort64);
                                                              break;
                                                            }
                                                          }
                                                        break;
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort64);
                                                        break;
                                                      }
                                                    }
                                                  break;
                                                }
                                              case (unsigned int) 10:
                                                {
                                                  switch (*(char *)(_ev->_id + 0))
                                                    {
                                                    case 'I':
                                                      {
                                                        switch (*(char *)(_ev->_id + 1))
                                                          {
                                                          case 'D':
                                                            {
                                                              switch (*(char *)(_ev->_id + 2))
                                                                {
                                                                case 'L':
                                                                  {
                                                                    switch (*(char *)(_ev->_id + 3))
                                                                      {
                                                                      case ':':
                                                                        {
                                                                          switch (*(char *)(_ev->_id + 4))
                                                                            {
                                                                            case 'F':
                                                                              {
                                                                                switch (*(char *)(_ev->_id + 5))
                                                                                  {
                                                                                  case ':':
                                                                                    {
                                                                                      switch (*(char *)(_ev->_id + 6))
                                                                                        {
                                                                                        case '1':
                                                                                          {
                                                                                            switch (*(char *)(_ev->_id + 7))
                                                                                              {
                                                                                              case '.':
                                                                                                {
                                                                                                  switch (*(char *)(_ev->_id + 8))
                                                                                                    {
                                                                                                    case '0':
                                                                                                      {
                                                                                                        switch (*(char *)(_ev->_id + 9))
                                                                                                          {
                                                                                                          case 0:
                                                                                                            {
                                                                                                              flick_suntcp_encode_new_chunk(48);
                                                                                                              flick_xdr_encode_unsigned32(0, 10, flick_unsigned32_t );
                                                                                                              flick_xdr_encode_char8(4, 'I', flick_char8_t );
                                                                                                              flick_xdr_encode_char8(8, 'D', flick_char8_t );
                                                                                                              flick_xdr_encode_char8(12, 'L', flick_char8_t );
                                                                                                              flick_xdr_encode_char8(16, ':', flick_char8_t );
                                                                                                              flick_xdr_encode_char8(20, 'F', flick_char8_t );
                                                                                                              flick_xdr_encode_char8(24, ':', flick_char8_t );
                                                                                                              flick_xdr_encode_char8(28, '1', flick_char8_t );
                                                                                                              flick_xdr_encode_char8(32, '.', flick_char8_t );
                                                                                                              flick_xdr_encode_char8(36, '0', flick_char8_t );
                                                                                                              flick_xdr_encode_char8(40, 0, flick_char8_t );
                                                                                                              flick_xdr_encode_signed32(44, ((F *)(_ev->_value._user_except))->type, CORBA_long );
                                                                                                              CORBA_flick_free((F *)(_ev->_value._user_except));
                                                                                                              flick_suntcp_encode_end_chunk(48);
                                                                                                              break;
                                                                                                            }
                                                                                                          default:
                                                                                                            {
                                                                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort64);
                                                                                                              break;
                                                                                                            }
                                                                                                          }
                                                                                                        break;
                                                                                                      }
                                                                                                    default:
                                                                                                      {
                                                                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort64);
                                                                                                        break;
                                                                                                      }
                                                                                                    }
                                                                                                  break;
                                                                                                }
                                                                                              default:
                                                                                                {
                                                                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort64);
                                                                                                  break;
                                                                                                }
                                                                                              }
                                                                                            break;
                                                                                          }
                                                                                        default:
                                                                                          {
                                                                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort64);
                                                                                            break;
                                                                                          }
                                                                                        }
                                                                                      break;
                                                                                    }
                                                                                  default:
                                                                                    {
                                                                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort64);
                                                                                      break;
                                                                                    }
                                                                                  }
                                                                                break;
                                                                              }
                                                                            default:
                                                                              {
                                                                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort64);
                                                                                break;
                                                                              }
                                                                            }
                                                                          break;
                                                                        }
                                                                      default:
                                                                        {
                                                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort64);
                                                                          break;
                                                                        }
                                                                      }
                                                                    break;
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort64);
                                                                    break;
                                                                  }
                                                                }
                                                              break;
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort64);
                                                              break;
                                                            }
                                                          }
                                                        break;
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort64);
                                                        break;
                                                      }
                                                    }
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort64);
                                                  break;
                                                }
                                              }
                                            flick_suntcp_encode_end_glob(68);
                                            break;
                                            {
                                            _flick_abort64:
                                              goto _flick_abort52;
                                            }
                                          }
                                        }
                                    }
                                    flick_suntcp_server_end_encode();
                                    break;
                                    {
                                    _flick_abort52:
                                      goto _flick_abort51;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort51:
                                    goto _flick_abort18;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort18);
                                  flick_suntcp_decode_end_glob(48);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort18);
                            flick_suntcp_decode_end_glob(48);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort18);
                      flick_suntcp_decode_end_glob(48);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort18);
                flick_suntcp_decode_end_glob(48);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          char _t27_switch_tag;

          flick_suntcp_check_span(44, _flick_abort18);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t27_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t27_switch_tag)
            {
            case '_':
              {
                char _t28_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t28_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t28_switch_tag)
                  {
                  case 'i':
                    {
                      char _t29_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t29_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t29_switch_tag)
                        {
                        case 's':
                          {
                            char _t30_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t30_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t30_switch_tag)
                              {
                              case '_':
                                {
                                  char _t31_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t31_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t31_switch_tag)
                                    {
                                    case 'a':
                                      {
                                        char _t32_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t32_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t32_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                CORBA_Object _obj;
                                                unsigned int _t33_ignore;
                                                CORBA_boolean _return;
                                                CORBA_char *_local_id;
                                                flick_unsigned32_t _t34_temp_string_len;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t35_storage;
                                                char **_par;

                                                flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort71);
                                                /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                flick_suntcp_decode_new_chunk(20);
                                                flick_xdr_decode_unsigned32(0, _t33_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(4, _t33_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(8, _t33_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(12, _t33_ignore, unsigned int );
                                                _return = 0;
                                                flick_xdr_decode_unsigned32(16, _t34_temp_string_len, flick_unsigned32_t );
                                                flick_suntcp_decode_end_chunk(20);
                                                flick_suntcp_decode_end_glob(48);
                                                flick_suntcp_decode_new_glob(1 * _t34_temp_string_len);
                                                flick_suntcp_check_span(1 * _t34_temp_string_len, _flick_abort71);
                                                flick_suntcp_decode_new_chunk(1 * _t34_temp_string_len);
                                                if ((_t34_temp_string_len + 3) & ~3)
                                                  {
                                                    flick_xdr_decode_msgptr(0, _local_id, CORBA_char *);
                                                  }
                                                else
                                                  {
                                                    {
                                                      CORBA_char *_t_alloc_ptr;

                                                      _t_alloc_ptr = (CORBA_char *)(auto_flick_alloc((_t34_temp_string_len + 1) * sizeof(CORBA_char )));
                                                      if (!_t_alloc_ptr)
                                                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort71);
                                                      _local_id = _t_alloc_ptr;
                                                    }
                                                    flick_xdr_decode_bcopy(0, _local_id, 1 * _t34_temp_string_len);
                                                  }
                                                flick_suntcp_decode_end_chunk(1 * _t34_temp_string_len);
                                                _local_id[_t34_temp_string_len] = 0;
                                                flick_suntcp_decode_end_glob(1 * _t34_temp_string_len);
                                                flick_suntcp_decode_new_glob(3);
                                                flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
                                                _ev = (CORBA_Environment *)(&_t35_storage);
                                                _par = flick_interface_parents_M_A;
                                                flick_suntcp_decode_end_chunk(0);
                                                flick_suntcp_decode_end_glob(3);
                                                flick_suntcp_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_suntcp_server_start_encode();
                                                {
                                                  flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort74);
                                                  flick_suntcp_encode_new_glob(8, _flick_abort74);
                                                  flick_suntcp_encode_new_chunk(4);
                                                  flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_suntcp_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        flick_suntcp_encode_new_chunk(4);
                                                        flick_xdr_encode_unsigned8(0, _return, CORBA_boolean );
                                                        flick_suntcp_encode_end_chunk(4);
                                                        flick_suntcp_encode_end_glob(8);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_suntcp_encode_end_glob(8);
                                                        flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort80);
                                                        break;
                                                        {
                                                        _flick_abort80:
                                                          goto _flick_abort74;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort81);
                                                        flick_suntcp_encode_end_glob(8);
                                                        break;
                                                        {
                                                        _flick_abort81:
                                                          goto _flick_abort74;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_suntcp_server_end_encode();
                                                break;
                                                {
                                                _flick_abort74:
                                                  auto_flick_free(_local_id);
                                                _flick_abort71:
                                                  goto _flick_abort70;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort70:
                                                goto _flick_abort18;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort18);
                                              flick_suntcp_decode_end_glob(48);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort18);
                                        flick_suntcp_decode_end_glob(48);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort18);
                                  flick_suntcp_decode_end_glob(48);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort18);
                            flick_suntcp_decode_end_glob(48);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort18);
                      flick_suntcp_decode_end_glob(48);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort18);
                flick_suntcp_decode_end_glob(48);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort18);
          flick_suntcp_decode_end_glob(48);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort18:
    flick_corba_server_error(xdr, suntcp, _flick_reaper, _flick_abort17);
  _flick_abort17:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

