#include "sequence-server.h"

/* This is the runtime type information */
char *flick_interface_parents_TestSeq[] = {
	"IDL:TestSeq:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;
	int reg_success;


	s.prog_num = _PROG_TestSeq;
	s.vers_num = _VERS_TestSeq;

	reg_success = flick_server_register(s, &TestSeq_server);
	assert(reg_success);


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
int flick_marshal_stub_vec10(flick_marshal_stream_t _stream, vec10 *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  CORBA_unsigned_long _t0_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(44, _flick_abort0);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  if (_data->_length + 1 > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort3);
  for (_t0_array_iter = 0; _t0_array_iter < _data->_length; _t0_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->_buffer[_t0_array_iter], CORBA_long );
      flick_suntcp_encode_end_chunk(4);
      continue;
    }
  if (_data->_release)
    CORBA_flick_free(_data->_buffer);
  _data->_maximum = 0;
  _data->_release = 0;
#else /* BIG_ENDIAN - do a bcopy*/
  if (_data->_length + 1 > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort7);
  flick_suntcp_encode_new_chunk(4 * _data->_length);
  flick_xdr_encode_bcopy(0, _data->_buffer, 4 * _data->_length);
  if (_data->_release)
    CORBA_flick_free(_data->_buffer);
  _data->_maximum = 0;
  _data->_release = 0;
  flick_suntcp_encode_end_chunk(4 * _data->_length);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(44);
  return 0;
  {
#if BYTE_ORDER != BIG_ENDIAN
  _flick_abort3:
#else /* BIG_ENDIAN - do a bcopy*/
  _flick_abort7:
#endif /* ENDIANness */
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_vec10(flick_marshal_stream_t _stream, vec10 *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  CORBA_unsigned_long _t1_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(44);
  flick_suntcp_check_span(4, _flick_abort8);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  flick_suntcp_check_span(4 * _data->_length, _flick_abort11);
  if (_data->_length + 1 > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort11);
  {
    CORBA_long *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_long *)(CORBA_flick_alloc(10 * sizeof(CORBA_long )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort11);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = 10;
    _data->_release = 1;
  }
  for (_t1_array_iter = 0; _t1_array_iter < _data->_length; _t1_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->_buffer[_t1_array_iter], CORBA_long );
      flick_suntcp_decode_end_chunk(4);
      continue;
    }
#else /* BIG_ENDIAN - do a bcopy*/
  if (_data->_length + 1 > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort16);
  flick_suntcp_decode_new_chunk(4 * _data->_length);
  {
    CORBA_long *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_long *)(CORBA_flick_alloc(10 * sizeof(CORBA_long )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort16);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = 10;
    _data->_release = 1;
  }
  flick_xdr_decode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_suntcp_decode_end_chunk(4 * _data->_length);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(44);
  return 0;
  {
#if BYTE_ORDER != BIG_ENDIAN
  _flick_abort11:
#else /* BIG_ENDIAN - do a bcopy*/
  _flick_abort16:
#endif /* ENDIANness */
  _flick_abort8:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_puke(flick_marshal_stream_t _stream, puke *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort18);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed32(0, _data->reason, CORBA_long );
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  return 0;
  {
  _flick_abort18:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_puke(flick_marshal_stream_t _stream, puke *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort19);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed32(0, _data->reason, CORBA_long );
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  return 0;
  {
  _flick_abort19:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_TestSeq(flick_marshal_stream_t _stream, TestSeq *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort20);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  return 0;
  {
  _flick_abort20:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_TestSeq(flick_marshal_stream_t _stream, TestSeq *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort21);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  return 0;
  {
  _flick_abort21:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

flick_operation_success_t TestSeq_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    unsigned int _t29_switch_tag;

    flick_suntcp_decode_new_glob(120);
    flick_suntcp_check_span(36, _flick_abort24);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t29_switch_tag, unsigned int );
    flick_suntcp_decode_end_chunk(4);
    switch ((unsigned int )_t29_switch_tag)
      {
      case (unsigned int) 3:
        {
          char _t30_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t30_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t30_switch_tag)
            {
            case 'o':
              {
                char _t31_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t31_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t31_switch_tag)
                  {
                  case 'p':
                    {
                      char _t32_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t32_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t32_switch_tag)
                        {
                        case 0:
                          {
                            {
                              TestSeq _obj;
                              unsigned int _t33_ignore;
                              vec10 *_return;
                              vec10 *_local_iv;
                              vec10 _t34_storage;
#if BYTE_ORDER != BIG_ENDIAN
                              CORBA_long _t35_storage[10];
                              CORBA_unsigned_long _t36_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
                              vec10 **_local_ov;
                              vec10 *_t37_storage;
                              vec10 *_local_iov;
                              vec10 _t38_storage;
#if BYTE_ORDER != BIG_ENDIAN
                              CORBA_unsigned_long _t39_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
                              CORBA_Environment *_ev;
                              CORBA_Environment _t40_storage;

                              flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort112);
                              /* Decode the authorization stuff (we ignore it & assume it's null) */
                              flick_suntcp_decode_new_chunk(20);
                              flick_xdr_decode_unsigned32(0, _t33_ignore, unsigned int );
                              flick_xdr_decode_unsigned32(4, _t33_ignore, unsigned int );
                              flick_xdr_decode_unsigned32(8, _t33_ignore, unsigned int );
                              flick_xdr_decode_unsigned32(12, _t33_ignore, unsigned int );
                              _return = 0;
                              _local_iv = (vec10 *)(&_t34_storage);
                              flick_xdr_decode_unsigned32(16, _local_iv->_length, CORBA_unsigned_long );
                              flick_suntcp_decode_end_chunk(20);
#if BYTE_ORDER != BIG_ENDIAN
                              flick_suntcp_check_span(4 * _local_iv->_length + 4, _flick_abort115);
                              if (_local_iv->_length + 1 > 10)
                                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort115);
                              _local_iv->_buffer = (CORBA_long *)_t35_storage;
                              _local_iv->_maximum = 10;
                              _local_iv->_release = 0;
                              for (_t36_array_iter = 0; _t36_array_iter < _local_iv->_length; _t36_array_iter++)
                                {
                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_signed32(0, _local_iv->_buffer[_t36_array_iter], CORBA_long );
                                  flick_suntcp_decode_end_chunk(4);
                                  continue;
                                }
#else /* BIG_ENDIAN - do a bcopy*/
                              if (_local_iv->_length + 1 > 10)
                                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort119);
                              flick_suntcp_decode_new_chunk(4 * _local_iv->_length);
                              flick_xdr_decode_msgptr(0, _local_iv->_buffer, CORBA_long *);
                              _local_iv->_maximum = _local_iv->_length;
                              _local_iv->_release = 0;
                              flick_suntcp_decode_end_chunk(4 * _local_iv->_length);
#endif /* ENDIANness */
                              _local_ov = (vec10 **)(&_t37_storage);
                              _local_iov = (vec10 *)(&_t38_storage);
                              flick_suntcp_decode_new_chunk(4);
                              flick_xdr_decode_unsigned32(0, _local_iov->_length, CORBA_unsigned_long );
                              flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
                              flick_suntcp_check_span(4 * _local_iov->_length, _flick_abort122);
                              if (_local_iov->_length + 1 > 10)
                                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort122);
                              {
                                CORBA_long *_t_alloc_ptr;

                                _t_alloc_ptr = (CORBA_long *)(CORBA_flick_alloc(10 * sizeof(CORBA_long )));
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort122);
                                _local_iov->_buffer = _t_alloc_ptr;
                                _local_iov->_maximum = 10;
                                _local_iov->_release = 1;
                              }
                              for (_t39_array_iter = 0; _t39_array_iter < _local_iov->_length; _t39_array_iter++)
                                {
                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_signed32(0, _local_iov->_buffer[_t39_array_iter], CORBA_long );
                                  flick_suntcp_decode_end_chunk(4);
                                  continue;
                                }
#else /* BIG_ENDIAN - do a bcopy*/
                              if (_local_iov->_length + 1 > 10)
                                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort127);
                              flick_suntcp_decode_new_chunk(4 * _local_iov->_length);
                              {
                                CORBA_long *_t_alloc_ptr;

                                _t_alloc_ptr = (CORBA_long *)(CORBA_flick_alloc(10 * sizeof(CORBA_long )));
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort127);
                                _local_iov->_buffer = _t_alloc_ptr;
                                _local_iov->_maximum = 10;
                                _local_iov->_release = 1;
                              }
                              flick_xdr_decode_bcopy(0, _local_iov->_buffer, 4 * _local_iov->_length);
                              flick_suntcp_decode_end_chunk(4 * _local_iov->_length);
#endif /* ENDIANness */
                              _ev = (CORBA_Environment *)(&_t40_storage);
                              flick_suntcp_decode_end_glob(120);
                              flick_suntcp_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = TestSeq_op(_obj, _local_iv, _local_ov, _local_iov, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_suntcp_server_start_encode();
                              {
                                flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort_block131);
                                flick_suntcp_encode_new_glob(136, _flick_abort_block131);
                                flick_suntcp_encode_new_chunk(4);
                                flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_suntcp_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
#if BYTE_ORDER != BIG_ENDIAN
                                      CORBA_unsigned_long _t44_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
                                      CORBA_unsigned_long _t45_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
                                      CORBA_unsigned_long _t46_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

                                      flick_suntcp_encode_new_chunk(4);
                                      flick_xdr_encode_unsigned32(0, _return->_length, CORBA_unsigned_long );
                                      flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
                                      if (_return->_length + 1 > 10)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort160);
                                      for (_t44_array_iter = 0; _t44_array_iter < _return->_length; _t44_array_iter++)
                                        {
                                          flick_suntcp_encode_new_chunk(4);
                                          flick_xdr_encode_signed32(0, _return->_buffer[_t44_array_iter], CORBA_long );
                                          flick_suntcp_encode_end_chunk(4);
                                          continue;
                                        }
                                      if (_return->_release)
                                        CORBA_flick_free(_return->_buffer);
                                      _return->_maximum = 0;
                                      _return->_release = 0;
                                      _return->_buffer = 0;
#else /* BIG_ENDIAN - do a bcopy*/
                                      if (_return->_length + 1 > 10)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort164);
                                      flick_suntcp_encode_new_chunk(4 * _return->_length);
                                      flick_xdr_encode_bcopy(0, _return->_buffer, 4 * _return->_length);
                                      if (_return->_release)
                                        CORBA_flick_free(_return->_buffer);
                                      _return->_maximum = 0;
                                      _return->_release = 0;
                                      _return->_buffer = 0;
                                      flick_suntcp_encode_end_chunk(4 * _return->_length);
#endif /* ENDIANness */
                                      CORBA_flick_free(_return);
                                      _return = 0;
                                      flick_suntcp_encode_new_chunk(4);
                                      flick_xdr_encode_unsigned32(0, (*_local_ov)->_length, CORBA_unsigned_long );
                                      flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
                                      if ((*_local_ov)->_length + 1 > 10)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort167);
                                      for (_t45_array_iter = 0; _t45_array_iter < (*_local_ov)->_length; _t45_array_iter++)
                                        {
                                          flick_suntcp_encode_new_chunk(4);
                                          flick_xdr_encode_signed32(0, (*_local_ov)->_buffer[_t45_array_iter], CORBA_long );
                                          flick_suntcp_encode_end_chunk(4);
                                          continue;
                                        }
                                      if ((*_local_ov)->_release)
                                        CORBA_flick_free((*_local_ov)->_buffer);
                                      (*_local_ov)->_maximum = 0;
                                      (*_local_ov)->_release = 0;
                                      (*_local_ov)->_buffer = 0;
#else /* BIG_ENDIAN - do a bcopy*/
                                      if ((*_local_ov)->_length + 1 > 10)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort171);
                                      flick_suntcp_encode_new_chunk(4 * (*_local_ov)->_length);
                                      flick_xdr_encode_bcopy(0, (*_local_ov)->_buffer, 4 * (*_local_ov)->_length);
                                      if ((*_local_ov)->_release)
                                        CORBA_flick_free((*_local_ov)->_buffer);
                                      (*_local_ov)->_maximum = 0;
                                      (*_local_ov)->_release = 0;
                                      (*_local_ov)->_buffer = 0;
                                      flick_suntcp_encode_end_chunk(4 * (*_local_ov)->_length);
#endif /* ENDIANness */
                                      CORBA_flick_free(*_local_ov);
                                      *_local_ov = 0;
                                      flick_suntcp_encode_new_chunk(4);
                                      flick_xdr_encode_unsigned32(0, _local_iov->_length, CORBA_unsigned_long );
                                      flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
                                      if (_local_iov->_length + 1 > 10)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort174);
                                      for (_t46_array_iter = 0; _t46_array_iter < _local_iov->_length; _t46_array_iter++)
                                        {
                                          flick_suntcp_encode_new_chunk(4);
                                          flick_xdr_encode_signed32(0, _local_iov->_buffer[_t46_array_iter], CORBA_long );
                                          flick_suntcp_encode_end_chunk(4);
                                          continue;
                                        }
                                      if (_local_iov->_release)
                                        CORBA_flick_free(_local_iov->_buffer);
                                      _local_iov->_maximum = 0;
                                      _local_iov->_release = 0;
                                      _local_iov->_buffer = 0;
#else /* BIG_ENDIAN - do a bcopy*/
                                      if (_local_iov->_length + 1 > 10)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort178);
                                      flick_suntcp_encode_new_chunk(4 * _local_iov->_length);
                                      flick_xdr_encode_bcopy(0, _local_iov->_buffer, 4 * _local_iov->_length);
                                      if (_local_iov->_release)
                                        CORBA_flick_free(_local_iov->_buffer);
                                      _local_iov->_maximum = 0;
                                      _local_iov->_release = 0;
                                      _local_iov->_buffer = 0;
                                      flick_suntcp_encode_end_chunk(4 * _local_iov->_length);
#endif /* ENDIANness */
                                      flick_suntcp_encode_end_glob(136);
                                      break;
                                      {
#if BYTE_ORDER != BIG_ENDIAN
                                      _flick_abort174:
#else /* BIG_ENDIAN - do a bcopy*/
                                      _flick_abort178:
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
                                      _flick_abort167:
#else /* BIG_ENDIAN - do a bcopy*/
                                      _flick_abort171:
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
                                      _flick_abort160:
#else /* BIG_ENDIAN - do a bcopy*/
                                      _flick_abort164:
#endif /* ENDIANness */
                                        goto _flick_abort_block131;
                                      }
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_suntcp_encode_end_glob(136);
                                      flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort179);
                                      break;
                                      {
                                      _flick_abort179:
                                        goto _flick_abort_block131;
                                      }
                                    }
                                  default:
                                    {
                                      switch ((unsigned int )(1+strlen(_ev->_id)))
                                        {
                                        case (unsigned int) 13:
                                          {
                                            switch (*(char *)(_ev->_id + 0))
                                              {
                                              case 'I':
                                                {
                                                  switch (*(char *)(_ev->_id + 1))
                                                    {
                                                    case 'D':
                                                      {
                                                        switch (*(char *)(_ev->_id + 2))
                                                          {
                                                          case 'L':
                                                            {
                                                              switch (*(char *)(_ev->_id + 3))
                                                                {
                                                                case ':':
                                                                  {
                                                                    switch (*(char *)(_ev->_id + 4))
                                                                      {
                                                                      case 'p':
                                                                        {
                                                                          switch (*(char *)(_ev->_id + 5))
                                                                            {
                                                                            case 'u':
                                                                              {
                                                                                switch (*(char *)(_ev->_id + 6))
                                                                                  {
                                                                                  case 'k':
                                                                                    {
                                                                                      switch (*(char *)(_ev->_id + 7))
                                                                                        {
                                                                                        case 'e':
                                                                                          {
                                                                                            switch (*(char *)(_ev->_id + 8))
                                                                                              {
                                                                                              case ':':
                                                                                                {
                                                                                                  switch (*(char *)(_ev->_id + 9))
                                                                                                    {
                                                                                                    case '1':
                                                                                                      {
                                                                                                        switch (*(char *)(_ev->_id + 10))
                                                                                                          {
                                                                                                          case '.':
                                                                                                            {
                                                                                                              switch (*(char *)(_ev->_id + 11))
                                                                                                                {
                                                                                                                case '0':
                                                                                                                  {
                                                                                                                    switch (*(char *)(_ev->_id + 12))
                                                                                                                      {
                                                                                                                      case 0:
                                                                                                                        {
                                                                                                                          flick_suntcp_encode_new_chunk(60);
                                                                                                                          flick_xdr_encode_unsigned32(0, 13, flick_unsigned32_t );
                                                                                                                          flick_xdr_encode_char8(4, 'I', flick_char8_t );
                                                                                                                          flick_xdr_encode_char8(8, 'D', flick_char8_t );
                                                                                                                          flick_xdr_encode_char8(12, 'L', flick_char8_t );
                                                                                                                          flick_xdr_encode_char8(16, ':', flick_char8_t );
                                                                                                                          flick_xdr_encode_char8(20, 'p', flick_char8_t );
                                                                                                                          flick_xdr_encode_char8(24, 'u', flick_char8_t );
                                                                                                                          flick_xdr_encode_char8(28, 'k', flick_char8_t );
                                                                                                                          flick_xdr_encode_char8(32, 'e', flick_char8_t );
                                                                                                                          flick_xdr_encode_char8(36, ':', flick_char8_t );
                                                                                                                          flick_xdr_encode_char8(40, '1', flick_char8_t );
                                                                                                                          flick_xdr_encode_char8(44, '.', flick_char8_t );
                                                                                                                          flick_xdr_encode_char8(48, '0', flick_char8_t );
                                                                                                                          flick_xdr_encode_char8(52, 0, flick_char8_t );
                                                                                                                          flick_xdr_encode_signed32(56, ((puke *)(_ev->_value._user_except))->reason, CORBA_long );
                                                                                                                          CORBA_flick_free((puke *)(_ev->_value._user_except));
                                                                                                                          flick_suntcp_encode_end_chunk(60);
                                                                                                                          break;
                                                                                                                        }
                                                                                                                      default:
                                                                                                                        {
                                                                                                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort180);
                                                                                                                          break;
                                                                                                                        }
                                                                                                                      }
                                                                                                                    break;
                                                                                                                  }
                                                                                                                default:
                                                                                                                  {
                                                                                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort180);
                                                                                                                    break;
                                                                                                                  }
                                                                                                                }
                                                                                                              break;
                                                                                                            }
                                                                                                          default:
                                                                                                            {
                                                                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort180);
                                                                                                              break;
                                                                                                            }
                                                                                                          }
                                                                                                        break;
                                                                                                      }
                                                                                                    default:
                                                                                                      {
                                                                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort180);
                                                                                                        break;
                                                                                                      }
                                                                                                    }
                                                                                                  break;
                                                                                                }
                                                                                              default:
                                                                                                {
                                                                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort180);
                                                                                                  break;
                                                                                                }
                                                                                              }
                                                                                            break;
                                                                                          }
                                                                                        default:
                                                                                          {
                                                                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort180);
                                                                                            break;
                                                                                          }
                                                                                        }
                                                                                      break;
                                                                                    }
                                                                                  default:
                                                                                    {
                                                                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort180);
                                                                                      break;
                                                                                    }
                                                                                  }
                                                                                break;
                                                                              }
                                                                            default:
                                                                              {
                                                                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort180);
                                                                                break;
                                                                              }
                                                                            }
                                                                          break;
                                                                        }
                                                                      default:
                                                                        {
                                                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort180);
                                                                          break;
                                                                        }
                                                                      }
                                                                    break;
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort180);
                                                                    break;
                                                                  }
                                                                }
                                                              break;
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort180);
                                                              break;
                                                            }
                                                          }
                                                        break;
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort180);
                                                        break;
                                                      }
                                                    }
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort180);
                                                  break;
                                                }
                                              }
                                            break;
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort180);
                                            break;
                                          }
                                        }
                                      flick_suntcp_encode_end_glob(136);
                                      break;
                                      {
                                      _flick_abort180:
                                        goto _flick_abort_block131;
                                      }
                                    }
                                  }
                              }
                              flick_suntcp_server_end_encode();
                              break;
                              {
                              _flick_abort_block131:
#if BYTE_ORDER != BIG_ENDIAN
                                CORBA_flick_free(_local_iov->_buffer);
                              _flick_abort122:
#else /* BIG_ENDIAN - do a bcopy*/
                                CORBA_flick_free(_local_iov->_buffer);
                              _flick_abort127:
#endif /* ENDIANness */
#if BYTE_ORDER != BIG_ENDIAN
                              _flick_abort115:
#else /* BIG_ENDIAN - do a bcopy*/
                              _flick_abort119:
#endif /* ENDIANness */
                              _flick_abort112:
                                goto _flick_abort111;
                              }
                            }
                            break;
                            {
                            _flick_abort111:
                              goto _flick_abort24;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort24);
                            flick_suntcp_decode_end_glob(120);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort24);
                      flick_suntcp_decode_end_glob(120);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort24);
                flick_suntcp_decode_end_glob(120);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          char _t47_switch_tag;

          flick_suntcp_check_span(44, _flick_abort24);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t47_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t47_switch_tag)
            {
            case '_':
              {
                char _t48_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t48_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t48_switch_tag)
                  {
                  case 'i':
                    {
                      char _t49_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t49_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t49_switch_tag)
                        {
                        case 's':
                          {
                            char _t50_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t50_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t50_switch_tag)
                              {
                              case '_':
                                {
                                  char _t51_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t51_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t51_switch_tag)
                                    {
                                    case 'a':
                                      {
                                        char _t52_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t52_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t52_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                CORBA_Object _obj;
                                                unsigned int _t53_ignore;
                                                CORBA_boolean _return;
                                                CORBA_char *_local_id;
                                                flick_unsigned32_t _t54_temp_string_len;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t55_storage;
                                                char **_par;

                                                flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort185);
                                                /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                flick_suntcp_decode_new_chunk(20);
                                                flick_xdr_decode_unsigned32(0, _t53_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(4, _t53_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(8, _t53_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(12, _t53_ignore, unsigned int );
                                                _return = 0;
                                                flick_xdr_decode_unsigned32(16, _t54_temp_string_len, flick_unsigned32_t );
                                                flick_suntcp_decode_end_chunk(20);
                                                flick_suntcp_decode_end_glob(120);
                                                flick_suntcp_decode_new_glob(1 * _t54_temp_string_len);
                                                flick_suntcp_check_span(1 * _t54_temp_string_len, _flick_abort185);
                                                flick_suntcp_decode_new_chunk(1 * _t54_temp_string_len);
                                                if ((_t54_temp_string_len + 3) & ~3)
                                                  {
                                                    flick_xdr_decode_msgptr(0, _local_id, CORBA_char *);
                                                  }
                                                else
                                                  {
                                                    {
                                                      CORBA_char *_t_alloc_ptr;

                                                      _t_alloc_ptr = (CORBA_char *)(auto_flick_alloc((_t54_temp_string_len + 1) * sizeof(CORBA_char )));
                                                      if (!_t_alloc_ptr)
                                                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort185);
                                                      _local_id = _t_alloc_ptr;
                                                    }
                                                    flick_xdr_decode_bcopy(0, _local_id, 1 * _t54_temp_string_len);
                                                  }
                                                flick_suntcp_decode_end_chunk(1 * _t54_temp_string_len);
                                                _local_id[_t54_temp_string_len] = 0;
                                                flick_suntcp_decode_end_glob(1 * _t54_temp_string_len);
                                                flick_suntcp_decode_new_glob(3);
                                                flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
                                                _ev = (CORBA_Environment *)(&_t55_storage);
                                                _par = flick_interface_parents_TestSeq;
                                                flick_suntcp_decode_end_chunk(0);
                                                flick_suntcp_decode_end_glob(3);
                                                flick_suntcp_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_suntcp_server_start_encode();
                                                {
                                                  flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort188);
                                                  flick_suntcp_encode_new_glob(8, _flick_abort188);
                                                  flick_suntcp_encode_new_chunk(4);
                                                  flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_suntcp_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        flick_suntcp_encode_new_chunk(4);
                                                        flick_xdr_encode_unsigned8(0, _return, CORBA_boolean );
                                                        flick_suntcp_encode_end_chunk(4);
                                                        flick_suntcp_encode_end_glob(8);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_suntcp_encode_end_glob(8);
                                                        flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort194);
                                                        break;
                                                        {
                                                        _flick_abort194:
                                                          goto _flick_abort188;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort195);
                                                        flick_suntcp_encode_end_glob(8);
                                                        break;
                                                        {
                                                        _flick_abort195:
                                                          goto _flick_abort188;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_suntcp_server_end_encode();
                                                break;
                                                {
                                                _flick_abort188:
                                                  auto_flick_free(_local_id);
                                                _flick_abort185:
                                                  goto _flick_abort184;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort184:
                                                goto _flick_abort24;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort24);
                                              flick_suntcp_decode_end_glob(120);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort24);
                                        flick_suntcp_decode_end_glob(120);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort24);
                                  flick_suntcp_decode_end_glob(120);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort24);
                            flick_suntcp_decode_end_glob(120);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort24);
                      flick_suntcp_decode_end_glob(120);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort24);
                flick_suntcp_decode_end_glob(120);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort24);
          flick_suntcp_decode_end_glob(120);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort24:
    flick_corba_server_error(xdr, suntcp, _flick_reaper, _flick_abort23);
  _flick_abort23:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

