#include "simple-server.h"

/* This is the runtime type information */
char *flick_interface_parents_simple[] = {
	"IDL:simple:1.0",
	0
};

char *flick_interface_parents_simple2[] = {
	"IDL:simple2:1.0",
	"IDL:simple:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;
	int reg_success;


	s.prog_num = _PROG_simple2;
	s.vers_num = _VERS_simple2;

	reg_success = flick_server_register(s, &simple2_server);
	assert(reg_success);


	s.prog_num = _PROG_simple;
	s.vers_num = _VERS_simple;

	reg_success = flick_server_register(s, &simple_server);
	assert(reg_success);


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
int flick_marshal_stub_vec10(flick_marshal_stream_t _stream, vec10 *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  CORBA_unsigned_long _t0_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(44, _flick_abort0);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  flick_suntcp_encode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  if (_data->_length + 1 > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort3);
  for (_t0_array_iter = 0; _t0_array_iter < _data->_length; _t0_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->_buffer[_t0_array_iter], CORBA_long );
      flick_suntcp_encode_end_chunk(4);
      continue;
    }
  if (_data->_release)
    CORBA_flick_free(_data->_buffer);
  _data->_maximum = 0;
  _data->_release = 0;
#else /* BIG_ENDIAN - do a bcopy*/
  if (_data->_length + 1 > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort7);
  flick_suntcp_encode_new_chunk(4 * _data->_length);
  flick_xdr_encode_bcopy(0, _data->_buffer, 4 * _data->_length);
  if (_data->_release)
    CORBA_flick_free(_data->_buffer);
  _data->_maximum = 0;
  _data->_release = 0;
  flick_suntcp_encode_end_chunk(4 * _data->_length);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(44);
  return 0;
  {
#if BYTE_ORDER != BIG_ENDIAN
  _flick_abort3:
#else /* BIG_ENDIAN - do a bcopy*/
  _flick_abort7:
#endif /* ENDIANness */
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_vec10(flick_marshal_stream_t _stream, vec10 *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  CORBA_unsigned_long _t1_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(44);
  flick_suntcp_check_span(4, _flick_abort8);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  flick_suntcp_decode_end_chunk(4);
#if BYTE_ORDER != BIG_ENDIAN
  flick_suntcp_check_span(4 * _data->_length, _flick_abort11);
  if (_data->_length + 1 > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort11);
  {
    CORBA_long *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_long *)(CORBA_flick_alloc(10 * sizeof(CORBA_long )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort11);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = 10;
    _data->_release = 1;
  }
  for (_t1_array_iter = 0; _t1_array_iter < _data->_length; _t1_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->_buffer[_t1_array_iter], CORBA_long );
      flick_suntcp_decode_end_chunk(4);
      continue;
    }
#else /* BIG_ENDIAN - do a bcopy*/
  if (_data->_length + 1 > 10)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort16);
  flick_suntcp_decode_new_chunk(4 * _data->_length);
  {
    CORBA_long *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_long *)(CORBA_flick_alloc(10 * sizeof(CORBA_long )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort16);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = 10;
    _data->_release = 1;
  }
  flick_xdr_decode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_suntcp_decode_end_chunk(4 * _data->_length);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(44);
  return 0;
  {
#if BYTE_ORDER != BIG_ENDIAN
  _flick_abort11:
#else /* BIG_ENDIAN - do a bcopy*/
  _flick_abort16:
#endif /* ENDIANness */
  _flick_abort8:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_simple(flick_marshal_stream_t _stream, simple *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort18);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  return 0;
  {
  _flick_abort18:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_simple(flick_marshal_stream_t _stream, simple *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort19);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  return 0;
  {
  _flick_abort19:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

flick_operation_success_t simple_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    unsigned int _t19_switch_tag;

    flick_suntcp_decode_new_glob(48);
    flick_suntcp_check_span(40, _flick_abort22);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t19_switch_tag, unsigned int );
    flick_suntcp_decode_end_chunk(4);
    switch ((unsigned int )_t19_switch_tag)
      {
      case (unsigned int) 3:
        {
          char _t20_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t20_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t20_switch_tag)
            {
            case 'o':
              {
                char _t21_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t21_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t21_switch_tag)
                  {
                  case 'p':
                    {
                      char _t22_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t22_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t22_switch_tag)
                        {
                        case 0:
                          {
                            {
                              simple _obj;
                              unsigned int _t23_ignore;
                              CORBA_long _return;
                              CORBA_long _local_a;
                              simple *_local_b;
                              simple _t24_storage;
                              CORBA_long *_local_c;
                              CORBA_long _t25_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t26_storage;

                              flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort46);
                              /* Decode the authorization stuff (we ignore it & assume it's null) */
                              flick_suntcp_decode_new_chunk(24);
                              flick_xdr_decode_unsigned32(0, _t23_ignore, unsigned int );
                              flick_xdr_decode_unsigned32(4, _t23_ignore, unsigned int );
                              flick_xdr_decode_unsigned32(8, _t23_ignore, unsigned int );
                              flick_xdr_decode_unsigned32(12, _t23_ignore, unsigned int );
                              _return = 0;
                              flick_xdr_decode_signed32(16, _local_a, CORBA_long );
                              _local_b = (simple *)(&_t24_storage);
                              _local_c = (CORBA_long *)(&_t25_storage);
                              flick_xdr_decode_signed32(20, *_local_c, CORBA_long );
                              _ev = (CORBA_Environment *)(&_t26_storage);
                              flick_suntcp_decode_end_chunk(24);
                              flick_suntcp_decode_end_glob(48);
                              flick_suntcp_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = simple_op(_obj, _local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_suntcp_server_start_encode();
                              {
                                flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort46);
                                flick_suntcp_encode_new_glob(16, _flick_abort46);
                                flick_suntcp_encode_new_chunk(4);
                                flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_suntcp_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      flick_suntcp_encode_new_chunk(12);
                                      flick_xdr_encode_signed32(0, _return, CORBA_long );
                                      flick_xdr_encode_port32(4, *_local_b, 0);
                                      flick_xdr_encode_signed32(8, *_local_c, CORBA_long );
                                      flick_suntcp_encode_end_chunk(12);
                                      flick_suntcp_encode_end_glob(16);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_suntcp_encode_end_glob(16);
                                      flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort52);
                                      break;
                                      {
                                      _flick_abort52:
                                        goto _flick_abort46;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort53);
                                      flick_suntcp_encode_end_glob(16);
                                      break;
                                      {
                                      _flick_abort53:
                                        goto _flick_abort46;
                                      }
                                    }
                                  }
                              }
                              flick_suntcp_server_end_encode();
                              break;
                              {
                              _flick_abort46:
                                goto _flick_abort45;
                              }
                            }
                            break;
                            {
                            _flick_abort45:
                              goto _flick_abort22;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                            flick_suntcp_decode_end_glob(48);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                      flick_suntcp_decode_end_glob(48);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                flick_suntcp_decode_end_glob(48);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          char _t27_switch_tag;

          flick_suntcp_check_span(44, _flick_abort22);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t27_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t27_switch_tag)
            {
            case '_':
              {
                char _t28_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t28_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t28_switch_tag)
                  {
                  case 'i':
                    {
                      char _t29_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t29_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t29_switch_tag)
                        {
                        case 's':
                          {
                            char _t30_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t30_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t30_switch_tag)
                              {
                              case '_':
                                {
                                  char _t31_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t31_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t31_switch_tag)
                                    {
                                    case 'a':
                                      {
                                        char _t32_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t32_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t32_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                CORBA_Object _obj;
                                                unsigned int _t33_ignore;
                                                CORBA_boolean _return;
                                                CORBA_char *_local_id;
                                                flick_unsigned32_t _t34_temp_string_len;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t35_storage;
                                                char **_par;

                                                flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort55);
                                                /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                flick_suntcp_decode_new_chunk(20);
                                                flick_xdr_decode_unsigned32(0, _t33_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(4, _t33_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(8, _t33_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(12, _t33_ignore, unsigned int );
                                                _return = 0;
                                                flick_xdr_decode_unsigned32(16, _t34_temp_string_len, flick_unsigned32_t );
                                                flick_suntcp_decode_end_chunk(20);
                                                flick_suntcp_decode_end_glob(48);
                                                flick_suntcp_decode_new_glob(1 * _t34_temp_string_len);
                                                flick_suntcp_check_span(1 * _t34_temp_string_len, _flick_abort55);
                                                flick_suntcp_decode_new_chunk(1 * _t34_temp_string_len);
                                                if ((_t34_temp_string_len + 3) & ~3)
                                                  {
                                                    flick_xdr_decode_msgptr(0, _local_id, CORBA_char *);
                                                  }
                                                else
                                                  {
                                                    {
                                                      CORBA_char *_t_alloc_ptr;

                                                      _t_alloc_ptr = (CORBA_char *)(auto_flick_alloc((_t34_temp_string_len + 1) * sizeof(CORBA_char )));
                                                      if (!_t_alloc_ptr)
                                                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort55);
                                                      _local_id = _t_alloc_ptr;
                                                    }
                                                    flick_xdr_decode_bcopy(0, _local_id, 1 * _t34_temp_string_len);
                                                  }
                                                flick_suntcp_decode_end_chunk(1 * _t34_temp_string_len);
                                                _local_id[_t34_temp_string_len] = 0;
                                                flick_suntcp_decode_end_glob(1 * _t34_temp_string_len);
                                                flick_suntcp_decode_new_glob(3);
                                                flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
                                                _ev = (CORBA_Environment *)(&_t35_storage);
                                                _par = flick_interface_parents_simple;
                                                flick_suntcp_decode_end_chunk(0);
                                                flick_suntcp_decode_end_glob(3);
                                                flick_suntcp_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_suntcp_server_start_encode();
                                                {
                                                  flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort58);
                                                  flick_suntcp_encode_new_glob(8, _flick_abort58);
                                                  flick_suntcp_encode_new_chunk(4);
                                                  flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_suntcp_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        flick_suntcp_encode_new_chunk(4);
                                                        flick_xdr_encode_unsigned8(0, _return, CORBA_boolean );
                                                        flick_suntcp_encode_end_chunk(4);
                                                        flick_suntcp_encode_end_glob(8);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_suntcp_encode_end_glob(8);
                                                        flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort64);
                                                        break;
                                                        {
                                                        _flick_abort64:
                                                          goto _flick_abort58;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort65);
                                                        flick_suntcp_encode_end_glob(8);
                                                        break;
                                                        {
                                                        _flick_abort65:
                                                          goto _flick_abort58;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_suntcp_server_end_encode();
                                                break;
                                                {
                                                _flick_abort58:
                                                  auto_flick_free(_local_id);
                                                _flick_abort55:
                                                  goto _flick_abort54;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort54:
                                                goto _flick_abort22;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                                              flick_suntcp_decode_end_glob(48);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                                        flick_suntcp_decode_end_glob(48);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                                  flick_suntcp_decode_end_glob(48);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                            flick_suntcp_decode_end_glob(48);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                      flick_suntcp_decode_end_glob(48);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
                flick_suntcp_decode_end_glob(48);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort22);
          flick_suntcp_decode_end_glob(48);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort22:
    flick_corba_server_error(xdr, suntcp, _flick_reaper, _flick_abort21);
  _flick_abort21:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

int flick_marshal_stub_simple2(flick_marshal_stream_t _stream, simple2 *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort66);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  return 0;
  {
  _flick_abort66:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_simple2(flick_marshal_stream_t _stream, simple2 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort67);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  return 0;
  {
  _flick_abort67:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

flick_operation_success_t simple2_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    unsigned int _t60_switch_tag;

    flick_suntcp_decode_new_glob(48);
    flick_suntcp_check_span(40, _flick_abort70);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t60_switch_tag, unsigned int );
    flick_suntcp_decode_end_chunk(4);
    switch ((unsigned int )_t60_switch_tag)
      {
      case (unsigned int) 4:
        {
          char _t61_switch_tag;

          flick_suntcp_check_span(40, _flick_abort70);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t61_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t61_switch_tag)
            {
            case 'o':
              {
                char _t62_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t62_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t62_switch_tag)
                  {
                  case 'p':
                    {
                      char _t63_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t63_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t63_switch_tag)
                        {
                        case '2':
                          {
                            char _t64_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t64_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t64_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    simple2 _obj;
                                    unsigned int _t65_ignore;
                                    CORBA_long _return;
                                    CORBA_long _local_a;
                                    simple _local_b;
                                    simple2 *_local_c;
                                    simple2 _t66_storage;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t67_storage;

                                    flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort103);
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(24);
                                    flick_xdr_decode_unsigned32(0, _t65_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(4, _t65_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(8, _t65_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(12, _t65_ignore, unsigned int );
                                    _return = 0;
                                    flick_xdr_decode_signed32(16, _local_a, CORBA_long );
                                    flick_xdr_decode_port32(20, _local_b, 1);
                                    flick_suntcp_mark_port_for_cleanup(_local_b, 1);
                                    _local_c = (simple2 *)(&_t66_storage);
                                    _ev = (CORBA_Environment *)(&_t67_storage);
                                    flick_suntcp_decode_end_chunk(24);
                                    flick_suntcp_decode_end_glob(48);
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = simple2_op2(_obj, _local_a, _local_b, _local_c, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort103);
                                      flick_suntcp_encode_new_glob(12, _flick_abort103);
                                      flick_suntcp_encode_new_chunk(4);
                                      flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_suntcp_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            flick_suntcp_encode_new_chunk(8);
                                            flick_xdr_encode_signed32(0, _return, CORBA_long );
                                            flick_xdr_encode_port32(4, *_local_c, 0);
                                            flick_suntcp_encode_end_chunk(8);
                                            flick_suntcp_encode_end_glob(12);
                                            break;
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_suntcp_encode_end_glob(12);
                                            flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort109);
                                            break;
                                            {
                                            _flick_abort109:
                                              goto _flick_abort103;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort110);
                                            flick_suntcp_encode_end_glob(12);
                                            break;
                                            {
                                            _flick_abort110:
                                              goto _flick_abort103;
                                            }
                                          }
                                        }
                                    }
                                    flick_suntcp_server_end_encode();
                                    break;
                                    {
                                    _flick_abort103:
                                      goto _flick_abort102;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort102:
                                    goto _flick_abort70;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort70);
                                  flick_suntcp_decode_end_glob(48);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort70);
                            flick_suntcp_decode_end_glob(48);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort70);
                      flick_suntcp_decode_end_glob(48);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort70);
                flick_suntcp_decode_end_glob(48);
                break;
              }
            }
          break;
        }
      case (unsigned int) 3:
        {
          char _t68_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t68_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t68_switch_tag)
            {
            case 'o':
              {
                char _t69_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t69_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t69_switch_tag)
                  {
                  case 'p':
                    {
                      char _t70_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t70_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t70_switch_tag)
                        {
                        case 0:
                          {
                            {
                              simple2 _obj;
                              unsigned int _t71_ignore;
                              CORBA_long _return;
                              CORBA_long _local_a;
                              simple *_local_b;
                              simple _t72_storage;
                              CORBA_long *_local_c;
                              CORBA_long _t73_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t74_storage;

                              flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort112);
                              /* Decode the authorization stuff (we ignore it & assume it's null) */
                              flick_suntcp_decode_new_chunk(24);
                              flick_xdr_decode_unsigned32(0, _t71_ignore, unsigned int );
                              flick_xdr_decode_unsigned32(4, _t71_ignore, unsigned int );
                              flick_xdr_decode_unsigned32(8, _t71_ignore, unsigned int );
                              flick_xdr_decode_unsigned32(12, _t71_ignore, unsigned int );
                              _return = 0;
                              flick_xdr_decode_signed32(16, _local_a, CORBA_long );
                              _local_b = (simple *)(&_t72_storage);
                              _local_c = (CORBA_long *)(&_t73_storage);
                              flick_xdr_decode_signed32(20, *_local_c, CORBA_long );
                              _ev = (CORBA_Environment *)(&_t74_storage);
                              flick_suntcp_decode_end_chunk(24);
                              flick_suntcp_decode_end_glob(48);
                              flick_suntcp_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = simple2_op(_obj, _local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_suntcp_server_start_encode();
                              {
                                flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort112);
                                flick_suntcp_encode_new_glob(16, _flick_abort112);
                                flick_suntcp_encode_new_chunk(4);
                                flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_suntcp_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      flick_suntcp_encode_new_chunk(12);
                                      flick_xdr_encode_signed32(0, _return, CORBA_long );
                                      flick_xdr_encode_port32(4, *_local_b, 0);
                                      flick_xdr_encode_signed32(8, *_local_c, CORBA_long );
                                      flick_suntcp_encode_end_chunk(12);
                                      flick_suntcp_encode_end_glob(16);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_suntcp_encode_end_glob(16);
                                      flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort118);
                                      break;
                                      {
                                      _flick_abort118:
                                        goto _flick_abort112;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort119);
                                      flick_suntcp_encode_end_glob(16);
                                      break;
                                      {
                                      _flick_abort119:
                                        goto _flick_abort112;
                                      }
                                    }
                                  }
                              }
                              flick_suntcp_server_end_encode();
                              break;
                              {
                              _flick_abort112:
                                goto _flick_abort111;
                              }
                            }
                            break;
                            {
                            _flick_abort111:
                              goto _flick_abort70;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort70);
                            flick_suntcp_decode_end_glob(48);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort70);
                      flick_suntcp_decode_end_glob(48);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort70);
                flick_suntcp_decode_end_glob(48);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          char _t75_switch_tag;

          flick_suntcp_check_span(44, _flick_abort70);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t75_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t75_switch_tag)
            {
            case '_':
              {
                char _t76_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t76_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t76_switch_tag)
                  {
                  case 'i':
                    {
                      char _t77_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t77_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t77_switch_tag)
                        {
                        case 's':
                          {
                            char _t78_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t78_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t78_switch_tag)
                              {
                              case '_':
                                {
                                  char _t79_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t79_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t79_switch_tag)
                                    {
                                    case 'a':
                                      {
                                        char _t80_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t80_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t80_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                CORBA_Object _obj;
                                                unsigned int _t81_ignore;
                                                CORBA_boolean _return;
                                                CORBA_char *_local_id;
                                                flick_unsigned32_t _t82_temp_string_len;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t83_storage;
                                                char **_par;

                                                flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort121);
                                                /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                flick_suntcp_decode_new_chunk(20);
                                                flick_xdr_decode_unsigned32(0, _t81_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(4, _t81_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(8, _t81_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(12, _t81_ignore, unsigned int );
                                                _return = 0;
                                                flick_xdr_decode_unsigned32(16, _t82_temp_string_len, flick_unsigned32_t );
                                                flick_suntcp_decode_end_chunk(20);
                                                flick_suntcp_decode_end_glob(48);
                                                flick_suntcp_decode_new_glob(1 * _t82_temp_string_len);
                                                flick_suntcp_check_span(1 * _t82_temp_string_len, _flick_abort121);
                                                flick_suntcp_decode_new_chunk(1 * _t82_temp_string_len);
                                                if ((_t82_temp_string_len + 3) & ~3)
                                                  {
                                                    flick_xdr_decode_msgptr(0, _local_id, CORBA_char *);
                                                  }
                                                else
                                                  {
                                                    {
                                                      CORBA_char *_t_alloc_ptr;

                                                      _t_alloc_ptr = (CORBA_char *)(auto_flick_alloc((_t82_temp_string_len + 1) * sizeof(CORBA_char )));
                                                      if (!_t_alloc_ptr)
                                                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort121);
                                                      _local_id = _t_alloc_ptr;
                                                    }
                                                    flick_xdr_decode_bcopy(0, _local_id, 1 * _t82_temp_string_len);
                                                  }
                                                flick_suntcp_decode_end_chunk(1 * _t82_temp_string_len);
                                                _local_id[_t82_temp_string_len] = 0;
                                                flick_suntcp_decode_end_glob(1 * _t82_temp_string_len);
                                                flick_suntcp_decode_new_glob(3);
                                                flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
                                                _ev = (CORBA_Environment *)(&_t83_storage);
                                                _par = flick_interface_parents_simple2;
                                                flick_suntcp_decode_end_chunk(0);
                                                flick_suntcp_decode_end_glob(3);
                                                flick_suntcp_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_suntcp_server_start_encode();
                                                {
                                                  flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort124);
                                                  flick_suntcp_encode_new_glob(8, _flick_abort124);
                                                  flick_suntcp_encode_new_chunk(4);
                                                  flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_suntcp_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        flick_suntcp_encode_new_chunk(4);
                                                        flick_xdr_encode_unsigned8(0, _return, CORBA_boolean );
                                                        flick_suntcp_encode_end_chunk(4);
                                                        flick_suntcp_encode_end_glob(8);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_suntcp_encode_end_glob(8);
                                                        flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort130);
                                                        break;
                                                        {
                                                        _flick_abort130:
                                                          goto _flick_abort124;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort131);
                                                        flick_suntcp_encode_end_glob(8);
                                                        break;
                                                        {
                                                        _flick_abort131:
                                                          goto _flick_abort124;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_suntcp_server_end_encode();
                                                break;
                                                {
                                                _flick_abort124:
                                                  auto_flick_free(_local_id);
                                                _flick_abort121:
                                                  goto _flick_abort120;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort120:
                                                goto _flick_abort70;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort70);
                                              flick_suntcp_decode_end_glob(48);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort70);
                                        flick_suntcp_decode_end_glob(48);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort70);
                                  flick_suntcp_decode_end_glob(48);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort70);
                            flick_suntcp_decode_end_glob(48);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort70);
                      flick_suntcp_decode_end_glob(48);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort70);
                flick_suntcp_decode_end_glob(48);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort70);
          flick_suntcp_decode_end_glob(48);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort70:
    flick_corba_server_error(xdr, suntcp, _flick_reaper, _flick_abort69);
  _flick_abort69:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

