#include "string_-server.h"

/* This is the runtime type information */
char *flick_interface_parents_test[] = {
	"IDL:test:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;
	int reg_success;


	s.prog_num = _PROG_test;
	s.vers_num = _VERS_test;

	reg_success = flick_server_register(s, &test_server);
	assert(reg_success);


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
int flick_marshal_stub_str(flick_marshal_stream_t _stream, struct str *_data)
{
  flick_unsigned32_t _t0_temp_string_len;
  flick_unsigned32_t _t1_temp_string_len;

  flick_xdr_stringlen(CORBA_char *, _data->s10, flick_unsigned32_t , _t0_temp_string_len);
  flick_xdr_stringlen(CORBA_char *, _data->sx, flick_unsigned32_t , _t1_temp_string_len);

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(25, _flick_abort0);
  flick_suntcp_encode_new_chunk(4 + 1 * _t0_temp_string_len);
  flick_xdr_encode_unsigned32(0, _t0_temp_string_len, flick_unsigned32_t );
  if (_t0_temp_string_len + 1 > 11)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort0);
  flick_xdr_encode_bcopy(4, _data->s10, 1 * _t0_temp_string_len);
  CORBA_flick_free(_data->s10);
  flick_suntcp_encode_end_chunk(4 + 1 * _t0_temp_string_len);
  flick_suntcp_encode_new_chunk_align(8, 2, 0, 0);
  flick_xdr_encode_signed32(0, _data->a, CORBA_long );
  flick_xdr_encode_unsigned32(4, _t1_temp_string_len, flick_unsigned32_t );
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(25);
  flick_suntcp_encode_new_glob(1 * _t1_temp_string_len, _flick_abort0);
  flick_suntcp_encode_new_chunk(1 * _t1_temp_string_len);
  flick_xdr_encode_bcopy(0, _data->sx, 1 * _t1_temp_string_len);
  CORBA_flick_free(_data->sx);
  flick_suntcp_encode_end_chunk(1 * _t1_temp_string_len);
  flick_suntcp_encode_end_glob(1 * _t1_temp_string_len);
  flick_suntcp_encode_new_glob(7, _flick_abort0);
  flick_suntcp_encode_new_chunk_align(4, 2, 0, 0);
  flick_xdr_encode_signed16(0, _data->b, CORBA_short );
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(7);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_str(flick_marshal_stream_t _stream, struct str *_data)
{
  flick_unsigned32_t _t2_temp_string_len;
  flick_unsigned32_t _t3_temp_string_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(25);
  flick_suntcp_check_span(4, _flick_abort5);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _t2_temp_string_len, flick_unsigned32_t );
  if (_t2_temp_string_len + 1 > 11)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort5);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_check_span(1 * _t2_temp_string_len, _flick_abort5);
  flick_suntcp_decode_new_chunk(1 * _t2_temp_string_len);
  {
    CORBA_char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(11 * sizeof(CORBA_char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort5);
    _data->s10 = _t_alloc_ptr;
  }
  flick_xdr_decode_bcopy(0, _data->s10, 1 * _t2_temp_string_len);
  flick_suntcp_decode_end_chunk(1 * _t2_temp_string_len);
  _data->s10[_t2_temp_string_len] = 0;
  flick_suntcp_decode_new_chunk_align(8, 2, 0, 0);
  flick_suntcp_check_span(8, _flick_abort8);
  flick_xdr_decode_signed32(0, _data->a, CORBA_long );
  flick_xdr_decode_unsigned32(4, _t3_temp_string_len, flick_unsigned32_t );
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(25);
  flick_suntcp_decode_new_glob(1 * _t3_temp_string_len);
  flick_suntcp_check_span(1 * _t3_temp_string_len, _flick_abort8);
  flick_suntcp_decode_new_chunk(1 * _t3_temp_string_len);
  {
    CORBA_char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc((_t3_temp_string_len + 1) * sizeof(CORBA_char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort8);
    _data->sx = _t_alloc_ptr;
  }
  flick_xdr_decode_bcopy(0, _data->sx, 1 * _t3_temp_string_len);
  flick_suntcp_decode_end_chunk(1 * _t3_temp_string_len);
  _data->sx[_t3_temp_string_len] = 0;
  flick_suntcp_decode_end_glob(1 * _t3_temp_string_len);
  flick_suntcp_decode_new_glob(7);
  flick_suntcp_decode_new_chunk_align(4, 2, 0, 0);
  flick_suntcp_check_span(4, _flick_abort11);
  flick_xdr_decode_signed16(0, _data->b, CORBA_short );
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(7);
  return 0;
  {
  _flick_abort11:
    CORBA_flick_free(_data->sx);
  _flick_abort8:
    CORBA_flick_free(_data->s10);
  _flick_abort5:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_longstr(flick_marshal_stream_t _stream, longstr *_data)
{
  flick_unsigned32_t _t4_temp_string_len;

  flick_xdr_stringlen(CORBA_char *, *_data, flick_unsigned32_t , _t4_temp_string_len);

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort12);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _t4_temp_string_len, flick_unsigned32_t );
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  flick_suntcp_encode_new_glob(1 * _t4_temp_string_len, _flick_abort12);
  flick_suntcp_encode_new_chunk(1 * _t4_temp_string_len);
  flick_xdr_encode_bcopy(0, *_data, 1 * _t4_temp_string_len);
  CORBA_flick_free(*_data);
  flick_suntcp_encode_end_chunk(1 * _t4_temp_string_len);
  flick_suntcp_encode_end_glob(1 * _t4_temp_string_len);
  flick_suntcp_encode_new_glob(3, _flick_abort12);
  flick_suntcp_encode_new_chunk_align(0, 2, 0, 0);
  flick_suntcp_encode_end_chunk(0);
  flick_suntcp_encode_end_glob(3);
  return 0;
  {
  _flick_abort12:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_longstr(flick_marshal_stream_t _stream, longstr *_data)
{
  flick_unsigned32_t _t5_temp_string_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort15);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _t5_temp_string_len, flick_unsigned32_t );
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  flick_suntcp_decode_new_glob(1 * _t5_temp_string_len);
  flick_suntcp_check_span(1 * _t5_temp_string_len, _flick_abort15);
  flick_suntcp_decode_new_chunk(1 * _t5_temp_string_len);
  {
    CORBA_char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc((_t5_temp_string_len + 1) * sizeof(CORBA_char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort15);
    *_data = _t_alloc_ptr;
  }
  flick_xdr_decode_bcopy(0, *_data, 1 * _t5_temp_string_len);
  flick_suntcp_decode_end_chunk(1 * _t5_temp_string_len);
  (*_data)[_t5_temp_string_len] = 0;
  flick_suntcp_decode_end_glob(1 * _t5_temp_string_len);
  flick_suntcp_decode_new_glob(3);
  flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
  flick_suntcp_decode_end_chunk(0);
  flick_suntcp_decode_end_glob(3);
  return 0;
  {
  _flick_abort15:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_shortstr(flick_marshal_stream_t _stream, shortstr *_data)
{
  flick_unsigned32_t _t6_temp_string_len;

  flick_xdr_stringlen(CORBA_char *, *_data, flick_unsigned32_t , _t6_temp_string_len);

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(32, _flick_abort19);
  flick_suntcp_encode_new_chunk(4 + 1 * _t6_temp_string_len);
  flick_xdr_encode_unsigned32(0, _t6_temp_string_len, flick_unsigned32_t );
  if (_t6_temp_string_len + 1 > 26)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort19);
  flick_xdr_encode_bcopy(4, *_data, 1 * _t6_temp_string_len);
  CORBA_flick_free(*_data);
  flick_suntcp_encode_end_chunk(4 + 1 * _t6_temp_string_len);
  flick_suntcp_encode_new_chunk_align(0, 2, 0, 0);
  flick_suntcp_encode_end_chunk(0);
  flick_suntcp_encode_end_glob(32);
  return 0;
  {
  _flick_abort19:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_shortstr(flick_marshal_stream_t _stream, shortstr *_data)
{
  flick_unsigned32_t _t7_temp_string_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(32);
  flick_suntcp_check_span(4, _flick_abort22);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _t7_temp_string_len, flick_unsigned32_t );
  if (_t7_temp_string_len + 1 > 26)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort22);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_check_span(1 * _t7_temp_string_len, _flick_abort22);
  flick_suntcp_decode_new_chunk(1 * _t7_temp_string_len);
  {
    CORBA_char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(26 * sizeof(CORBA_char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort22);
    *_data = _t_alloc_ptr;
  }
  flick_xdr_decode_bcopy(0, *_data, 1 * _t7_temp_string_len);
  flick_suntcp_decode_end_chunk(1 * _t7_temp_string_len);
  (*_data)[_t7_temp_string_len] = 0;
  flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
  flick_suntcp_decode_end_chunk(0);
  flick_suntcp_decode_end_glob(32);
  return 0;
  {
  _flick_abort22:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_test(flick_marshal_stream_t _stream, test *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort26);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  return 0;
  {
  _flick_abort26:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_test(flick_marshal_stream_t _stream, test *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort27);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  return 0;
  {
  _flick_abort27:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

flick_operation_success_t test_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    unsigned int _t110_switch_tag;

    flick_suntcp_decode_new_glob(132);
    flick_suntcp_check_span(48, _flick_abort30);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t110_switch_tag, unsigned int );
    flick_suntcp_decode_end_chunk(4);
    switch ((unsigned int )_t110_switch_tag)
      {
      case (unsigned int) 7:
        {
          char _t111_switch_tag;

          flick_suntcp_check_span(48, _flick_abort30);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t111_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t111_switch_tag)
            {
            case 'S':
              {
                char _t112_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t112_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t112_switch_tag)
                  {
                  case 't':
                    {
                      char _t113_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t113_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t113_switch_tag)
                        {
                        case 'r':
                          {
                            char _t114_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t114_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t114_switch_tag)
                              {
                              case 'i':
                                {
                                  char _t115_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t115_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t115_switch_tag)
                                    {
                                    case 'n':
                                      {
                                        char _t116_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t116_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t116_switch_tag)
                                          {
                                          case 'g':
                                            {
                                              char _t117_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t117_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t117_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      test _obj;
                                                      unsigned int _t118_ignore;
                                                      CORBA_char *_return;
                                                      CORBA_char *_local_a;
                                                      flick_unsigned32_t _t119_temp_string_len;
                                                      CORBA_char **_local_b;
                                                      CORBA_char *_t120_storage;
                                                      flick_unsigned32_t _t121_temp_string_len;
                                                      CORBA_char **_local_c;
                                                      CORBA_char *_t122_storage;
                                                      CORBA_Environment *_ev;
                                                      CORBA_Environment _t123_storage;

                                                      flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort169);
                                                      /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                      flick_suntcp_decode_new_chunk(20);
                                                      flick_xdr_decode_unsigned32(0, _t118_ignore, unsigned int );
                                                      flick_xdr_decode_unsigned32(4, _t118_ignore, unsigned int );
                                                      flick_xdr_decode_unsigned32(8, _t118_ignore, unsigned int );
                                                      flick_xdr_decode_unsigned32(12, _t118_ignore, unsigned int );
                                                      _return = 0;
                                                      flick_xdr_decode_unsigned32(16, _t119_temp_string_len, flick_unsigned32_t );
                                                      flick_suntcp_decode_end_chunk(20);
                                                      flick_suntcp_decode_end_glob(132);
                                                      flick_suntcp_decode_new_glob(1 * _t119_temp_string_len);
                                                      flick_suntcp_check_span(1 * _t119_temp_string_len, _flick_abort169);
                                                      flick_suntcp_decode_new_chunk(1 * _t119_temp_string_len);
                                                      if ((_t119_temp_string_len + 3) & ~3)
                                                        {
                                                          flick_xdr_decode_msgptr(0, _local_a, CORBA_char *);
                                                        }
                                                      else
                                                        {
                                                          {
                                                            CORBA_char *_t_alloc_ptr;

                                                            _t_alloc_ptr = (CORBA_char *)(auto_flick_alloc((_t119_temp_string_len + 1) * sizeof(CORBA_char )));
                                                            if (!_t_alloc_ptr)
                                                              flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort169);
                                                            _local_a = _t_alloc_ptr;
                                                          }
                                                          flick_xdr_decode_bcopy(0, _local_a, 1 * _t119_temp_string_len);
                                                        }
                                                      flick_suntcp_decode_end_chunk(1 * _t119_temp_string_len);
                                                      _local_a[_t119_temp_string_len] = 0;
                                                      flick_suntcp_decode_end_glob(1 * _t119_temp_string_len);
                                                      flick_suntcp_decode_new_glob(7);
                                                      flick_suntcp_decode_new_chunk_align(4, 2, 0, 0);
                                                      flick_suntcp_check_span(4, _flick_abort172);
                                                      _local_b = (CORBA_char **)(&_t120_storage);
                                                      flick_xdr_decode_unsigned32(0, _t121_temp_string_len, flick_unsigned32_t );
                                                      flick_suntcp_decode_end_chunk(4);
                                                      flick_suntcp_decode_end_glob(7);
                                                      flick_suntcp_decode_new_glob(1 * _t121_temp_string_len);
                                                      flick_suntcp_check_span(1 * _t121_temp_string_len, _flick_abort172);
                                                      flick_suntcp_decode_new_chunk(1 * _t121_temp_string_len);
                                                      {
                                                        CORBA_char *_t_alloc_ptr;

                                                        _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc((_t121_temp_string_len + 1) * sizeof(CORBA_char )));
                                                        if (!_t_alloc_ptr)
                                                          flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort172);
                                                        *_local_b = _t_alloc_ptr;
                                                      }
                                                      flick_xdr_decode_bcopy(0, *_local_b, 1 * _t121_temp_string_len);
                                                      flick_suntcp_decode_end_chunk(1 * _t121_temp_string_len);
                                                      (*_local_b)[_t121_temp_string_len] = 0;
                                                      flick_suntcp_decode_end_glob(1 * _t121_temp_string_len);
                                                      flick_suntcp_decode_new_glob(3);
                                                      flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
                                                      _local_c = (CORBA_char **)(&_t122_storage);
                                                      _ev = (CORBA_Environment *)(&_t123_storage);
                                                      flick_suntcp_decode_end_chunk(0);
                                                      flick_suntcp_decode_end_glob(3);
                                                      flick_suntcp_server_end_decode();
                                                      flick_corba_init_environment();
                                                      _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                      _return = test_String(_obj, _local_a, _local_b, _local_c, _ev);
                                                      _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                      _stub_state.state = FLICK_STATE_MARSHAL;
                                                      flick_suntcp_server_start_encode();
                                                      {
                                                        flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort175);
                                                        flick_suntcp_encode_new_glob(8, _flick_abort175);
                                                        flick_suntcp_encode_new_chunk(4);
                                                        flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                        flick_suntcp_encode_end_chunk(4);
                                                        switch (_ev->_major)
                                                          {
                                                          case CORBA_NO_EXCEPTION:
                                                            {
                                                              flick_unsigned32_t _t127_temp_string_len;
                                                              flick_unsigned32_t _t128_temp_string_len;
                                                              flick_unsigned32_t _t129_temp_string_len;

                                                              flick_xdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t127_temp_string_len);
                                                              flick_xdr_stringlen(CORBA_char *, *_local_b, flick_unsigned32_t , _t128_temp_string_len);
                                                              flick_xdr_stringlen(CORBA_char *, *_local_c, flick_unsigned32_t , _t129_temp_string_len);

                                                              flick_suntcp_encode_new_chunk(4);
                                                              flick_xdr_encode_unsigned32(0, _t127_temp_string_len, flick_unsigned32_t );
                                                              flick_suntcp_encode_end_chunk(4);
                                                              flick_suntcp_encode_end_glob(8);
                                                              flick_suntcp_encode_new_glob(1 * _t127_temp_string_len, _flick_abort186);
                                                              flick_suntcp_encode_new_chunk(1 * _t127_temp_string_len);
                                                              flick_xdr_encode_bcopy(0, _return, 1 * _t127_temp_string_len);
                                                              CORBA_flick_free(_return);
                                                              _return = 0;
                                                              flick_suntcp_encode_end_chunk(1 * _t127_temp_string_len);
                                                              flick_suntcp_encode_end_glob(1 * _t127_temp_string_len);
                                                              flick_suntcp_encode_new_glob(7, _flick_abort186);
                                                              flick_suntcp_encode_new_chunk_align(4, 2, 0, 0);
                                                              flick_xdr_encode_unsigned32(0, _t128_temp_string_len, flick_unsigned32_t );
                                                              flick_suntcp_encode_end_chunk(4);
                                                              flick_suntcp_encode_end_glob(7);
                                                              flick_suntcp_encode_new_glob(1 * _t128_temp_string_len, _flick_abort186);
                                                              flick_suntcp_encode_new_chunk(1 * _t128_temp_string_len);
                                                              flick_xdr_encode_bcopy(0, *_local_b, 1 * _t128_temp_string_len);
                                                              CORBA_flick_free(*_local_b);
                                                              *_local_b = 0;
                                                              flick_suntcp_encode_end_chunk(1 * _t128_temp_string_len);
                                                              flick_suntcp_encode_end_glob(1 * _t128_temp_string_len);
                                                              flick_suntcp_encode_new_glob(7, _flick_abort186);
                                                              flick_suntcp_encode_new_chunk_align(4, 2, 0, 0);
                                                              flick_xdr_encode_unsigned32(0, _t129_temp_string_len, flick_unsigned32_t );
                                                              flick_suntcp_encode_end_chunk(4);
                                                              flick_suntcp_encode_end_glob(7);
                                                              flick_suntcp_encode_new_glob(1 * _t129_temp_string_len, _flick_abort186);
                                                              flick_suntcp_encode_new_chunk(1 * _t129_temp_string_len);
                                                              flick_xdr_encode_bcopy(0, *_local_c, 1 * _t129_temp_string_len);
                                                              CORBA_flick_free(*_local_c);
                                                              *_local_c = 0;
                                                              flick_suntcp_encode_end_chunk(1 * _t129_temp_string_len);
                                                              flick_suntcp_encode_end_glob(1 * _t129_temp_string_len);
                                                              flick_suntcp_encode_new_glob(3, _flick_abort186);
                                                              flick_suntcp_encode_new_chunk_align(0, 2, 0, 0);
                                                              flick_suntcp_encode_end_chunk(0);
                                                              flick_suntcp_encode_end_glob(3);
                                                              break;
                                                              {
                                                              _flick_abort186:
                                                                goto _flick_abort175;
                                                              }
                                                            }
                                                          case CORBA_SYSTEM_EXCEPTION:
                                                            {
                                                              flick_suntcp_encode_end_glob(8);
                                                              flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort193);
                                                              break;
                                                              {
                                                              _flick_abort193:
                                                                goto _flick_abort175;
                                                              }
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort194);
                                                              flick_suntcp_encode_end_glob(8);
                                                              break;
                                                              {
                                                              _flick_abort194:
                                                                goto _flick_abort175;
                                                              }
                                                            }
                                                          }
                                                      }
                                                      flick_suntcp_server_end_encode();
                                                      break;
                                                      {
                                                      _flick_abort175:
                                                        CORBA_flick_free(*_local_b);
                                                      _flick_abort172:
                                                        auto_flick_free(_local_a);
                                                      _flick_abort169:
                                                        goto _flick_abort168;
                                                      }
                                                    }
                                                    break;
                                                    {
                                                    _flick_abort168:
                                                      goto _flick_abort30;
                                                    }
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort30);
                                                    flick_suntcp_decode_end_glob(132);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort30);
                                              flick_suntcp_decode_end_glob(132);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort30);
                                        flick_suntcp_decode_end_glob(132);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              case 'u':
                                {
                                  char _t130_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t130_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t130_switch_tag)
                                    {
                                    case 'c':
                                      {
                                        char _t131_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t131_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t131_switch_tag)
                                          {
                                          case 't':
                                            {
                                              char _t132_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t132_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t132_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      test _obj;
                                                      unsigned int _t133_ignore;
                                                      struct str *_return;
                                                      struct str *_local_a;
                                                      struct str _t134_storage;
                                                      flick_unsigned32_t _t135_temp_string_len;
                                                      flick_unsigned32_t _t137_temp_string_len;
                                                      struct str *_local_b;
                                                      struct str _t138_storage;
                                                      flick_unsigned32_t _t139_temp_string_len;
                                                      flick_unsigned32_t _t140_temp_string_len;
                                                      struct str **_local_c;
                                                      struct str *_t141_storage;
                                                      CORBA_Environment *_ev;
                                                      CORBA_Environment _t142_storage;

                                                      flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort196);
                                                      /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                      flick_suntcp_decode_new_chunk(20);
                                                      flick_xdr_decode_unsigned32(0, _t133_ignore, unsigned int );
                                                      flick_xdr_decode_unsigned32(4, _t133_ignore, unsigned int );
                                                      flick_xdr_decode_unsigned32(8, _t133_ignore, unsigned int );
                                                      flick_xdr_decode_unsigned32(12, _t133_ignore, unsigned int );
                                                      _return = 0;
                                                      _local_a = (struct str *)(&_t134_storage);
                                                      flick_xdr_decode_unsigned32(16, _t135_temp_string_len, flick_unsigned32_t );
                                                      if (_t135_temp_string_len + 1 > 11)
                                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort196);
                                                      flick_suntcp_decode_end_chunk(20);
                                                      flick_suntcp_check_span(1 * _t135_temp_string_len, _flick_abort196);
                                                      flick_suntcp_decode_new_chunk(1 * _t135_temp_string_len);
                                                      if ((_t135_temp_string_len + 3) & ~3)
                                                        {
                                                          flick_xdr_decode_msgptr(0, _local_a->s10, CORBA_char *);
                                                        }
                                                      else
                                                        {
                                                          CORBA_char _t136_storage[11];

                                                          _local_a->s10 = (CORBA_char *)_t136_storage;
                                                          flick_xdr_decode_bcopy(0, _local_a->s10, 1 * _t135_temp_string_len);
                                                        }
                                                      flick_suntcp_decode_end_chunk(1 * _t135_temp_string_len);
                                                      _local_a->s10[_t135_temp_string_len] = 0;
                                                      flick_suntcp_decode_new_chunk_align(8, 2, 0, 0);
                                                      flick_suntcp_check_span(8, _flick_abort196);
                                                      flick_xdr_decode_signed32(0, _local_a->a, CORBA_long );
                                                      flick_xdr_decode_unsigned32(4, _t137_temp_string_len, flick_unsigned32_t );
                                                      flick_suntcp_decode_end_chunk(8);
                                                      flick_suntcp_decode_end_glob(132);
                                                      flick_suntcp_decode_new_glob(1 * _t137_temp_string_len);
                                                      flick_suntcp_check_span(1 * _t137_temp_string_len, _flick_abort196);
                                                      flick_suntcp_decode_new_chunk(1 * _t137_temp_string_len);
                                                      if ((_t137_temp_string_len + 3) & ~3)
                                                        {
                                                          flick_xdr_decode_msgptr(0, _local_a->sx, CORBA_char *);
                                                        }
                                                      else
                                                        {
                                                          {
                                                            CORBA_char *_t_alloc_ptr;

                                                            _t_alloc_ptr = (CORBA_char *)(auto_flick_alloc((_t137_temp_string_len + 1) * sizeof(CORBA_char )));
                                                            if (!_t_alloc_ptr)
                                                              flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort196);
                                                            _local_a->sx = _t_alloc_ptr;
                                                          }
                                                          flick_xdr_decode_bcopy(0, _local_a->sx, 1 * _t137_temp_string_len);
                                                        }
                                                      flick_suntcp_decode_end_chunk(1 * _t137_temp_string_len);
                                                      _local_a->sx[_t137_temp_string_len] = 0;
                                                      flick_suntcp_decode_end_glob(1 * _t137_temp_string_len);
                                                      flick_suntcp_decode_new_glob(32);
                                                      flick_suntcp_decode_new_chunk_align(8, 2, 0, 0);
                                                      flick_suntcp_check_span(8, _flick_abort201);
                                                      flick_xdr_decode_signed16(0, _local_a->b, CORBA_short );
                                                      _local_b = (struct str *)(&_t138_storage);
                                                      flick_xdr_decode_unsigned32(4, _t139_temp_string_len, flick_unsigned32_t );
                                                      if (_t139_temp_string_len + 1 > 11)
                                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort201);
                                                      flick_suntcp_decode_end_chunk(8);
                                                      flick_suntcp_check_span(1 * _t139_temp_string_len, _flick_abort201);
                                                      flick_suntcp_decode_new_chunk(1 * _t139_temp_string_len);
                                                      {
                                                        CORBA_char *_t_alloc_ptr;

                                                        _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(11 * sizeof(CORBA_char )));
                                                        if (!_t_alloc_ptr)
                                                          flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort201);
                                                        _local_b->s10 = _t_alloc_ptr;
                                                      }
                                                      flick_xdr_decode_bcopy(0, _local_b->s10, 1 * _t139_temp_string_len);
                                                      flick_suntcp_decode_end_chunk(1 * _t139_temp_string_len);
                                                      _local_b->s10[_t139_temp_string_len] = 0;
                                                      flick_suntcp_decode_new_chunk_align(8, 2, 0, 0);
                                                      flick_suntcp_check_span(8, _flick_abort204);
                                                      flick_xdr_decode_signed32(0, _local_b->a, CORBA_long );
                                                      flick_xdr_decode_unsigned32(4, _t140_temp_string_len, flick_unsigned32_t );
                                                      flick_suntcp_decode_end_chunk(8);
                                                      flick_suntcp_decode_end_glob(32);
                                                      flick_suntcp_decode_new_glob(1 * _t140_temp_string_len);
                                                      flick_suntcp_check_span(1 * _t140_temp_string_len, _flick_abort204);
                                                      flick_suntcp_decode_new_chunk(1 * _t140_temp_string_len);
                                                      {
                                                        CORBA_char *_t_alloc_ptr;

                                                        _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc((_t140_temp_string_len + 1) * sizeof(CORBA_char )));
                                                        if (!_t_alloc_ptr)
                                                          flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort204);
                                                        _local_b->sx = _t_alloc_ptr;
                                                      }
                                                      flick_xdr_decode_bcopy(0, _local_b->sx, 1 * _t140_temp_string_len);
                                                      flick_suntcp_decode_end_chunk(1 * _t140_temp_string_len);
                                                      _local_b->sx[_t140_temp_string_len] = 0;
                                                      flick_suntcp_decode_end_glob(1 * _t140_temp_string_len);
                                                      flick_suntcp_decode_new_glob(7);
                                                      flick_suntcp_decode_new_chunk_align(4, 2, 0, 0);
                                                      flick_suntcp_check_span(4, _flick_abort207);
                                                      flick_xdr_decode_signed16(0, _local_b->b, CORBA_short );
                                                      _local_c = (struct str **)(&_t141_storage);
                                                      _ev = (CORBA_Environment *)(&_t142_storage);
                                                      flick_suntcp_decode_end_chunk(4);
                                                      flick_suntcp_decode_end_glob(7);
                                                      flick_suntcp_server_end_decode();
                                                      flick_corba_init_environment();
                                                      _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                      _return = test_Struct(_obj, _local_a, _local_b, _local_c, _ev);
                                                      _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                      _stub_state.state = FLICK_STATE_MARSHAL;
                                                      flick_suntcp_server_start_encode();
                                                      {
                                                        flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort207);
                                                        flick_suntcp_encode_new_glob(29, _flick_abort207);
                                                        flick_suntcp_encode_new_chunk(4);
                                                        flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                        flick_suntcp_encode_end_chunk(4);
                                                        switch (_ev->_major)
                                                          {
                                                          case CORBA_NO_EXCEPTION:
                                                            {
                                                              flick_unsigned32_t _t149_temp_string_len;
                                                              flick_unsigned32_t _t150_temp_string_len;
                                                              flick_unsigned32_t _t151_temp_string_len;
                                                              flick_unsigned32_t _t152_temp_string_len;
                                                              flick_unsigned32_t _t153_temp_string_len;
                                                              flick_unsigned32_t _t154_temp_string_len;

                                                              flick_xdr_stringlen(CORBA_char *, _return->s10, flick_unsigned32_t , _t149_temp_string_len);
                                                              flick_xdr_stringlen(CORBA_char *, _return->sx, flick_unsigned32_t , _t150_temp_string_len);
                                                              flick_xdr_stringlen(CORBA_char *, _local_b->s10, flick_unsigned32_t , _t151_temp_string_len);
                                                              flick_xdr_stringlen(CORBA_char *, _local_b->sx, flick_unsigned32_t , _t152_temp_string_len);
                                                              flick_xdr_stringlen(CORBA_char *, (*_local_c)->s10, flick_unsigned32_t , _t153_temp_string_len);
                                                              flick_xdr_stringlen(CORBA_char *, (*_local_c)->sx, flick_unsigned32_t , _t154_temp_string_len);

                                                              flick_suntcp_encode_new_chunk(4 + 1 * _t149_temp_string_len);
                                                              flick_xdr_encode_unsigned32(0, _t149_temp_string_len, flick_unsigned32_t );
                                                              if (_t149_temp_string_len + 1 > 11)
                                                                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort224);
                                                              flick_xdr_encode_bcopy(4, _return->s10, 1 * _t149_temp_string_len);
                                                              CORBA_flick_free(_return->s10);
                                                              _return->s10 = 0;
                                                              flick_suntcp_encode_end_chunk(4 + 1 * _t149_temp_string_len);
                                                              flick_suntcp_encode_new_chunk_align(8, 2, 0, 0);
                                                              flick_xdr_encode_signed32(0, _return->a, CORBA_long );
                                                              flick_xdr_encode_unsigned32(4, _t150_temp_string_len, flick_unsigned32_t );
                                                              flick_suntcp_encode_end_chunk(8);
                                                              flick_suntcp_encode_end_glob(29);
                                                              flick_suntcp_encode_new_glob(1 * _t150_temp_string_len, _flick_abort224);
                                                              flick_suntcp_encode_new_chunk(1 * _t150_temp_string_len);
                                                              flick_xdr_encode_bcopy(0, _return->sx, 1 * _t150_temp_string_len);
                                                              CORBA_flick_free(_return->sx);
                                                              _return->sx = 0;
                                                              flick_suntcp_encode_end_chunk(1 * _t150_temp_string_len);
                                                              flick_suntcp_encode_end_glob(1 * _t150_temp_string_len);
                                                              flick_suntcp_encode_new_glob(32, _flick_abort224);
                                                              flick_suntcp_encode_new_chunk_align(8 + 1 * _t151_temp_string_len, 2, 0, 0);
                                                              flick_xdr_encode_signed16(0, _return->b, CORBA_short );
                                                              CORBA_flick_free(_return);
                                                              _return = 0;
                                                              flick_xdr_encode_unsigned32(4, _t151_temp_string_len, flick_unsigned32_t );
                                                              if (_t151_temp_string_len + 1 > 11)
                                                                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort224);
                                                              flick_xdr_encode_bcopy(8, _local_b->s10, 1 * _t151_temp_string_len);
                                                              CORBA_flick_free(_local_b->s10);
                                                              _local_b->s10 = 0;
                                                              flick_suntcp_encode_end_chunk(8 + 1 * _t151_temp_string_len);
                                                              flick_suntcp_encode_new_chunk_align(8, 2, 0, 0);
                                                              flick_xdr_encode_signed32(0, _local_b->a, CORBA_long );
                                                              flick_xdr_encode_unsigned32(4, _t152_temp_string_len, flick_unsigned32_t );
                                                              flick_suntcp_encode_end_chunk(8);
                                                              flick_suntcp_encode_end_glob(32);
                                                              flick_suntcp_encode_new_glob(1 * _t152_temp_string_len, _flick_abort224);
                                                              flick_suntcp_encode_new_chunk(1 * _t152_temp_string_len);
                                                              flick_xdr_encode_bcopy(0, _local_b->sx, 1 * _t152_temp_string_len);
                                                              CORBA_flick_free(_local_b->sx);
                                                              _local_b->sx = 0;
                                                              flick_suntcp_encode_end_chunk(1 * _t152_temp_string_len);
                                                              flick_suntcp_encode_end_glob(1 * _t152_temp_string_len);
                                                              flick_suntcp_encode_new_glob(32, _flick_abort224);
                                                              flick_suntcp_encode_new_chunk_align(8 + 1 * _t153_temp_string_len, 2, 0, 0);
                                                              flick_xdr_encode_signed16(0, _local_b->b, CORBA_short );
                                                              flick_xdr_encode_unsigned32(4, _t153_temp_string_len, flick_unsigned32_t );
                                                              if (_t153_temp_string_len + 1 > 11)
                                                                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort224);
                                                              flick_xdr_encode_bcopy(8, (*_local_c)->s10, 1 * _t153_temp_string_len);
                                                              CORBA_flick_free((*_local_c)->s10);
                                                              (*_local_c)->s10 = 0;
                                                              flick_suntcp_encode_end_chunk(8 + 1 * _t153_temp_string_len);
                                                              flick_suntcp_encode_new_chunk_align(8, 2, 0, 0);
                                                              flick_xdr_encode_signed32(0, (*_local_c)->a, CORBA_long );
                                                              flick_xdr_encode_unsigned32(4, _t154_temp_string_len, flick_unsigned32_t );
                                                              flick_suntcp_encode_end_chunk(8);
                                                              flick_suntcp_encode_end_glob(32);
                                                              flick_suntcp_encode_new_glob(1 * _t154_temp_string_len, _flick_abort224);
                                                              flick_suntcp_encode_new_chunk(1 * _t154_temp_string_len);
                                                              flick_xdr_encode_bcopy(0, (*_local_c)->sx, 1 * _t154_temp_string_len);
                                                              CORBA_flick_free((*_local_c)->sx);
                                                              (*_local_c)->sx = 0;
                                                              flick_suntcp_encode_end_chunk(1 * _t154_temp_string_len);
                                                              flick_suntcp_encode_end_glob(1 * _t154_temp_string_len);
                                                              flick_suntcp_encode_new_glob(7, _flick_abort224);
                                                              flick_suntcp_encode_new_chunk_align(4, 2, 0, 0);
                                                              flick_xdr_encode_signed16(0, (*_local_c)->b, CORBA_short );
                                                              CORBA_flick_free(*_local_c);
                                                              *_local_c = 0;
                                                              flick_suntcp_encode_end_chunk(4);
                                                              flick_suntcp_encode_end_glob(7);
                                                              break;
                                                              {
                                                              _flick_abort224:
                                                                goto _flick_abort207;
                                                              }
                                                            }
                                                          case CORBA_SYSTEM_EXCEPTION:
                                                            {
                                                              flick_suntcp_encode_end_glob(29);
                                                              flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort237);
                                                              break;
                                                              {
                                                              _flick_abort237:
                                                                goto _flick_abort207;
                                                              }
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort238);
                                                              flick_suntcp_encode_end_glob(29);
                                                              break;
                                                              {
                                                              _flick_abort238:
                                                                goto _flick_abort207;
                                                              }
                                                            }
                                                          }
                                                      }
                                                      flick_suntcp_server_end_encode();
                                                      break;
                                                      {
                                                      _flick_abort207:
                                                        CORBA_flick_free(_local_b->sx);
                                                      _flick_abort204:
                                                        CORBA_flick_free(_local_b->s10);
                                                      _flick_abort201:
                                                        auto_flick_free(_local_a->sx);
                                                      _flick_abort196:
                                                        goto _flick_abort195;
                                                      }
                                                    }
                                                    break;
                                                    {
                                                    _flick_abort195:
                                                      goto _flick_abort30;
                                                    }
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort30);
                                                    flick_suntcp_decode_end_glob(132);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort30);
                                              flick_suntcp_decode_end_glob(132);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort30);
                                        flick_suntcp_decode_end_glob(132);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort30);
                                  flick_suntcp_decode_end_glob(132);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort30);
                            flick_suntcp_decode_end_glob(132);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort30);
                      flick_suntcp_decode_end_glob(132);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort30);
                flick_suntcp_decode_end_glob(132);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          char _t155_switch_tag;

          flick_suntcp_check_span(64, _flick_abort30);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t155_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t155_switch_tag)
            {
            case 'L':
              {
                char _t156_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t156_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t156_switch_tag)
                  {
                  case 'o':
                    {
                      char _t157_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t157_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t157_switch_tag)
                        {
                        case 'n':
                          {
                            char _t158_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t158_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t158_switch_tag)
                              {
                              case 'g':
                                {
                                  char _t159_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t159_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t159_switch_tag)
                                    {
                                    case 'S':
                                      {
                                        char _t160_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t160_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t160_switch_tag)
                                          {
                                          case 't':
                                            {
                                              char _t161_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t161_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t161_switch_tag)
                                                {
                                                case 'r':
                                                  {
                                                    char _t162_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t162_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t162_switch_tag)
                                                      {
                                                      case 'i':
                                                        {
                                                          char _t163_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t163_switch_tag, char );
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t163_switch_tag)
                                                            {
                                                            case 'n':
                                                              {
                                                                char _t164_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t164_switch_tag, char );
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch ((char )_t164_switch_tag)
                                                                  {
                                                                  case 'g':
                                                                    {
                                                                      char _t165_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t165_switch_tag, char );
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch ((char )_t165_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            {
                                                                              test _obj;
                                                                              unsigned int _t166_ignore;
                                                                              longstr _return;
                                                                              longstr _local_a;
                                                                              flick_unsigned32_t _t167_temp_string_len;
                                                                              longstr *_local_b;
                                                                              longstr _t168_storage;
                                                                              flick_unsigned32_t _t169_temp_string_len;
                                                                              longstr *_local_c;
                                                                              longstr _t170_storage;
                                                                              CORBA_Environment *_ev;
                                                                              CORBA_Environment _t171_storage;

                                                                              flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort240);
                                                                              /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                              flick_suntcp_decode_new_chunk(20);
                                                                              flick_xdr_decode_unsigned32(0, _t166_ignore, unsigned int );
                                                                              flick_xdr_decode_unsigned32(4, _t166_ignore, unsigned int );
                                                                              flick_xdr_decode_unsigned32(8, _t166_ignore, unsigned int );
                                                                              flick_xdr_decode_unsigned32(12, _t166_ignore, unsigned int );
                                                                              _return = 0;
                                                                              flick_xdr_decode_unsigned32(16, _t167_temp_string_len, flick_unsigned32_t );
                                                                              flick_suntcp_decode_end_chunk(20);
                                                                              flick_suntcp_decode_end_glob(132);
                                                                              flick_suntcp_decode_new_glob(1 * _t167_temp_string_len);
                                                                              flick_suntcp_check_span(1 * _t167_temp_string_len, _flick_abort240);
                                                                              flick_suntcp_decode_new_chunk(1 * _t167_temp_string_len);
                                                                              if ((_t167_temp_string_len + 3) & ~3)
                                                                                {
                                                                                  flick_xdr_decode_msgptr(0, _local_a, CORBA_char *);
                                                                                }
                                                                              else
                                                                                {
                                                                                  {
                                                                                    CORBA_char *_t_alloc_ptr;

                                                                                    _t_alloc_ptr = (CORBA_char *)(auto_flick_alloc((_t167_temp_string_len + 1) * sizeof(CORBA_char )));
                                                                                    if (!_t_alloc_ptr)
                                                                                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort240);
                                                                                    _local_a = _t_alloc_ptr;
                                                                                  }
                                                                                  flick_xdr_decode_bcopy(0, _local_a, 1 * _t167_temp_string_len);
                                                                                }
                                                                              flick_suntcp_decode_end_chunk(1 * _t167_temp_string_len);
                                                                              _local_a[_t167_temp_string_len] = 0;
                                                                              flick_suntcp_decode_end_glob(1 * _t167_temp_string_len);
                                                                              flick_suntcp_decode_new_glob(7);
                                                                              flick_suntcp_decode_new_chunk_align(4, 2, 0, 0);
                                                                              flick_suntcp_check_span(4, _flick_abort243);
                                                                              _local_b = (longstr *)(&_t168_storage);
                                                                              flick_xdr_decode_unsigned32(0, _t169_temp_string_len, flick_unsigned32_t );
                                                                              flick_suntcp_decode_end_chunk(4);
                                                                              flick_suntcp_decode_end_glob(7);
                                                                              flick_suntcp_decode_new_glob(1 * _t169_temp_string_len);
                                                                              flick_suntcp_check_span(1 * _t169_temp_string_len, _flick_abort243);
                                                                              flick_suntcp_decode_new_chunk(1 * _t169_temp_string_len);
                                                                              {
                                                                                CORBA_char *_t_alloc_ptr;

                                                                                _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc((_t169_temp_string_len + 1) * sizeof(CORBA_char )));
                                                                                if (!_t_alloc_ptr)
                                                                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort243);
                                                                                *_local_b = _t_alloc_ptr;
                                                                              }
                                                                              flick_xdr_decode_bcopy(0, *_local_b, 1 * _t169_temp_string_len);
                                                                              flick_suntcp_decode_end_chunk(1 * _t169_temp_string_len);
                                                                              (*_local_b)[_t169_temp_string_len] = 0;
                                                                              flick_suntcp_decode_end_glob(1 * _t169_temp_string_len);
                                                                              flick_suntcp_decode_new_glob(3);
                                                                              flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
                                                                              _local_c = (longstr *)(&_t170_storage);
                                                                              _ev = (CORBA_Environment *)(&_t171_storage);
                                                                              flick_suntcp_decode_end_chunk(0);
                                                                              flick_suntcp_decode_end_glob(3);
                                                                              flick_suntcp_server_end_decode();
                                                                              flick_corba_init_environment();
                                                                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                                              _return = test_LongString(_obj, _local_a, _local_b, _local_c, _ev);
                                                                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                                              _stub_state.state = FLICK_STATE_MARSHAL;
                                                                              flick_suntcp_server_start_encode();
                                                                              {
                                                                                flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort246);
                                                                                flick_suntcp_encode_new_glob(8, _flick_abort246);
                                                                                flick_suntcp_encode_new_chunk(4);
                                                                                flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                                                flick_suntcp_encode_end_chunk(4);
                                                                                switch (_ev->_major)
                                                                                  {
                                                                                  case CORBA_NO_EXCEPTION:
                                                                                    {
                                                                                      flick_unsigned32_t _t175_temp_string_len;
                                                                                      flick_unsigned32_t _t176_temp_string_len;
                                                                                      flick_unsigned32_t _t177_temp_string_len;

                                                                                      flick_xdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t175_temp_string_len);
                                                                                      flick_xdr_stringlen(CORBA_char *, *_local_b, flick_unsigned32_t , _t176_temp_string_len);
                                                                                      flick_xdr_stringlen(CORBA_char *, *_local_c, flick_unsigned32_t , _t177_temp_string_len);

                                                                                      flick_suntcp_encode_new_chunk(4);
                                                                                      flick_xdr_encode_unsigned32(0, _t175_temp_string_len, flick_unsigned32_t );
                                                                                      flick_suntcp_encode_end_chunk(4);
                                                                                      flick_suntcp_encode_end_glob(8);
                                                                                      flick_suntcp_encode_new_glob(1 * _t175_temp_string_len, _flick_abort257);
                                                                                      flick_suntcp_encode_new_chunk(1 * _t175_temp_string_len);
                                                                                      flick_xdr_encode_bcopy(0, _return, 1 * _t175_temp_string_len);
                                                                                      CORBA_flick_free(_return);
                                                                                      _return = 0;
                                                                                      flick_suntcp_encode_end_chunk(1 * _t175_temp_string_len);
                                                                                      flick_suntcp_encode_end_glob(1 * _t175_temp_string_len);
                                                                                      flick_suntcp_encode_new_glob(7, _flick_abort257);
                                                                                      flick_suntcp_encode_new_chunk_align(4, 2, 0, 0);
                                                                                      flick_xdr_encode_unsigned32(0, _t176_temp_string_len, flick_unsigned32_t );
                                                                                      flick_suntcp_encode_end_chunk(4);
                                                                                      flick_suntcp_encode_end_glob(7);
                                                                                      flick_suntcp_encode_new_glob(1 * _t176_temp_string_len, _flick_abort257);
                                                                                      flick_suntcp_encode_new_chunk(1 * _t176_temp_string_len);
                                                                                      flick_xdr_encode_bcopy(0, *_local_b, 1 * _t176_temp_string_len);
                                                                                      CORBA_flick_free(*_local_b);
                                                                                      *_local_b = 0;
                                                                                      flick_suntcp_encode_end_chunk(1 * _t176_temp_string_len);
                                                                                      flick_suntcp_encode_end_glob(1 * _t176_temp_string_len);
                                                                                      flick_suntcp_encode_new_glob(7, _flick_abort257);
                                                                                      flick_suntcp_encode_new_chunk_align(4, 2, 0, 0);
                                                                                      flick_xdr_encode_unsigned32(0, _t177_temp_string_len, flick_unsigned32_t );
                                                                                      flick_suntcp_encode_end_chunk(4);
                                                                                      flick_suntcp_encode_end_glob(7);
                                                                                      flick_suntcp_encode_new_glob(1 * _t177_temp_string_len, _flick_abort257);
                                                                                      flick_suntcp_encode_new_chunk(1 * _t177_temp_string_len);
                                                                                      flick_xdr_encode_bcopy(0, *_local_c, 1 * _t177_temp_string_len);
                                                                                      CORBA_flick_free(*_local_c);
                                                                                      *_local_c = 0;
                                                                                      flick_suntcp_encode_end_chunk(1 * _t177_temp_string_len);
                                                                                      flick_suntcp_encode_end_glob(1 * _t177_temp_string_len);
                                                                                      flick_suntcp_encode_new_glob(3, _flick_abort257);
                                                                                      flick_suntcp_encode_new_chunk_align(0, 2, 0, 0);
                                                                                      flick_suntcp_encode_end_chunk(0);
                                                                                      flick_suntcp_encode_end_glob(3);
                                                                                      break;
                                                                                      {
                                                                                      _flick_abort257:
                                                                                        goto _flick_abort246;
                                                                                      }
                                                                                    }
                                                                                  case CORBA_SYSTEM_EXCEPTION:
                                                                                    {
                                                                                      flick_suntcp_encode_end_glob(8);
                                                                                      flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort264);
                                                                                      break;
                                                                                      {
                                                                                      _flick_abort264:
                                                                                        goto _flick_abort246;
                                                                                      }
                                                                                    }
                                                                                  default:
                                                                                    {
                                                                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort265);
                                                                                      flick_suntcp_encode_end_glob(8);
                                                                                      break;
                                                                                      {
                                                                                      _flick_abort265:
                                                                                        goto _flick_abort246;
                                                                                      }
                                                                                    }
                                                                                  }
                                                                              }
                                                                              flick_suntcp_server_end_encode();
                                                                              break;
                                                                              {
                                                                              _flick_abort246:
                                                                                CORBA_flick_free(*_local_b);
                                                                              _flick_abort243:
                                                                                auto_flick_free(_local_a);
                                                                              _flick_abort240:
                                                                                goto _flick_abort239;
                                                                              }
                                                                            }
                                                                            break;
                                                                            {
                                                                            _flick_abort239:
                                                                              goto _flick_abort30;
                                                                            }
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort30);
                                                                            flick_suntcp_decode_end_glob(132);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort30);
                                                                      flick_suntcp_decode_end_glob(132);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort30);
                                                                flick_suntcp_decode_end_glob(132);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort30);
                                                          flick_suntcp_decode_end_glob(132);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort30);
                                                    flick_suntcp_decode_end_glob(132);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort30);
                                              flick_suntcp_decode_end_glob(132);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort30);
                                        flick_suntcp_decode_end_glob(132);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort30);
                                  flick_suntcp_decode_end_glob(132);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort30);
                            flick_suntcp_decode_end_glob(132);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort30);
                      flick_suntcp_decode_end_glob(132);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort30);
                flick_suntcp_decode_end_glob(132);
                break;
              }
            }
          break;
        }
      case (unsigned int) 12:
        {
          char _t178_switch_tag;

          flick_suntcp_check_span(68, _flick_abort30);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t178_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t178_switch_tag)
            {
            case 'S':
              {
                char _t179_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t179_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t179_switch_tag)
                  {
                  case 'h':
                    {
                      char _t180_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t180_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t180_switch_tag)
                        {
                        case 'o':
                          {
                            char _t181_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t181_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t181_switch_tag)
                              {
                              case 'r':
                                {
                                  char _t182_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t182_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t182_switch_tag)
                                    {
                                    case 't':
                                      {
                                        char _t183_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t183_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t183_switch_tag)
                                          {
                                          case 'S':
                                            {
                                              char _t184_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t184_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t184_switch_tag)
                                                {
                                                case 't':
                                                  {
                                                    char _t185_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t185_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t185_switch_tag)
                                                      {
                                                      case 'r':
                                                        {
                                                          char _t186_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t186_switch_tag, char );
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t186_switch_tag)
                                                            {
                                                            case 'i':
                                                              {
                                                                char _t187_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t187_switch_tag, char );
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch ((char )_t187_switch_tag)
                                                                  {
                                                                  case 'n':
                                                                    {
                                                                      char _t188_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t188_switch_tag, char );
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch ((char )_t188_switch_tag)
                                                                        {
                                                                        case 'g':
                                                                          {
                                                                            char _t189_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t189_switch_tag, char );
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch ((char )_t189_switch_tag)
                                                                              {
                                                                              case 0:
                                                                                {
                                                                                  {
                                                                                    test _obj;
                                                                                    unsigned int _t190_ignore;
                                                                                    shortstr _return;
                                                                                    shortstr _local_a;
                                                                                    flick_unsigned32_t _t191_temp_string_len;
                                                                                    shortstr *_local_b;
                                                                                    shortstr _t193_storage;
                                                                                    flick_unsigned32_t _t194_temp_string_len;
                                                                                    shortstr *_local_c;
                                                                                    shortstr _t195_storage;
                                                                                    CORBA_Environment *_ev;
                                                                                    CORBA_Environment _t196_storage;

                                                                                    flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort267);
                                                                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                    flick_suntcp_decode_new_chunk(20);
                                                                                    flick_xdr_decode_unsigned32(0, _t190_ignore, unsigned int );
                                                                                    flick_xdr_decode_unsigned32(4, _t190_ignore, unsigned int );
                                                                                    flick_xdr_decode_unsigned32(8, _t190_ignore, unsigned int );
                                                                                    flick_xdr_decode_unsigned32(12, _t190_ignore, unsigned int );
                                                                                    _return = 0;
                                                                                    flick_xdr_decode_unsigned32(16, _t191_temp_string_len, flick_unsigned32_t );
                                                                                    if (_t191_temp_string_len + 1 > 26)
                                                                                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort267);
                                                                                    flick_suntcp_decode_end_chunk(20);
                                                                                    flick_suntcp_check_span(1 * _t191_temp_string_len, _flick_abort267);
                                                                                    flick_suntcp_decode_new_chunk(1 * _t191_temp_string_len);
                                                                                    if ((_t191_temp_string_len + 3) & ~3)
                                                                                      {
                                                                                        flick_xdr_decode_msgptr(0, _local_a, CORBA_char *);
                                                                                      }
                                                                                    else
                                                                                      {
                                                                                        CORBA_char _t192_storage[26];

                                                                                        _local_a = (CORBA_char *)_t192_storage;
                                                                                        flick_xdr_decode_bcopy(0, _local_a, 1 * _t191_temp_string_len);
                                                                                      }
                                                                                    flick_suntcp_decode_end_chunk(1 * _t191_temp_string_len);
                                                                                    _local_a[_t191_temp_string_len] = 0;
                                                                                    flick_suntcp_decode_new_chunk_align(4, 2, 0, 0);
                                                                                    flick_suntcp_check_span(4, _flick_abort267);
                                                                                    _local_b = (shortstr *)(&_t193_storage);
                                                                                    flick_xdr_decode_unsigned32(0, _t194_temp_string_len, flick_unsigned32_t );
                                                                                    if (_t194_temp_string_len + 1 > 26)
                                                                                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort267);
                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                    flick_suntcp_check_span(1 * _t194_temp_string_len, _flick_abort267);
                                                                                    flick_suntcp_decode_new_chunk(1 * _t194_temp_string_len);
                                                                                    {
                                                                                      CORBA_char *_t_alloc_ptr;

                                                                                      _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(26 * sizeof(CORBA_char )));
                                                                                      if (!_t_alloc_ptr)
                                                                                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort267);
                                                                                      *_local_b = _t_alloc_ptr;
                                                                                    }
                                                                                    flick_xdr_decode_bcopy(0, *_local_b, 1 * _t194_temp_string_len);
                                                                                    flick_suntcp_decode_end_chunk(1 * _t194_temp_string_len);
                                                                                    (*_local_b)[_t194_temp_string_len] = 0;
                                                                                    flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
                                                                                    _local_c = (shortstr *)(&_t195_storage);
                                                                                    _ev = (CORBA_Environment *)(&_t196_storage);
                                                                                    flick_suntcp_decode_end_chunk(0);
                                                                                    flick_suntcp_decode_end_glob(132);
                                                                                    flick_suntcp_server_end_decode();
                                                                                    flick_corba_init_environment();
                                                                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                                                    _return = test_ShortString(_obj, _local_a, _local_b, _local_c, _ev);
                                                                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                                                                    flick_suntcp_server_start_encode();
                                                                                    {
                                                                                      flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort272);
                                                                                      flick_suntcp_encode_new_glob(100, _flick_abort272);
                                                                                      flick_suntcp_encode_new_chunk(4);
                                                                                      flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                                                      flick_suntcp_encode_end_chunk(4);
                                                                                      switch (_ev->_major)
                                                                                        {
                                                                                        case CORBA_NO_EXCEPTION:
                                                                                          {
                                                                                            flick_unsigned32_t _t200_temp_string_len;
                                                                                            flick_unsigned32_t _t201_temp_string_len;
                                                                                            flick_unsigned32_t _t202_temp_string_len;

                                                                                            flick_xdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t200_temp_string_len);
                                                                                            flick_xdr_stringlen(CORBA_char *, *_local_b, flick_unsigned32_t , _t201_temp_string_len);
                                                                                            flick_xdr_stringlen(CORBA_char *, *_local_c, flick_unsigned32_t , _t202_temp_string_len);

                                                                                            flick_suntcp_encode_new_chunk(4 + 1 * _t200_temp_string_len);
                                                                                            flick_xdr_encode_unsigned32(0, _t200_temp_string_len, flick_unsigned32_t );
                                                                                            if (_t200_temp_string_len + 1 > 26)
                                                                                              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort283);
                                                                                            flick_xdr_encode_bcopy(4, _return, 1 * _t200_temp_string_len);
                                                                                            CORBA_flick_free(_return);
                                                                                            _return = 0;
                                                                                            flick_suntcp_encode_end_chunk(4 + 1 * _t200_temp_string_len);
                                                                                            flick_suntcp_encode_new_chunk_align(4 + 1 * _t201_temp_string_len, 2, 0, 0);
                                                                                            flick_xdr_encode_unsigned32(0, _t201_temp_string_len, flick_unsigned32_t );
                                                                                            if (_t201_temp_string_len + 1 > 26)
                                                                                              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort283);
                                                                                            flick_xdr_encode_bcopy(4, *_local_b, 1 * _t201_temp_string_len);
                                                                                            CORBA_flick_free(*_local_b);
                                                                                            *_local_b = 0;
                                                                                            flick_suntcp_encode_end_chunk(4 + 1 * _t201_temp_string_len);
                                                                                            flick_suntcp_encode_new_chunk_align(4 + 1 * _t202_temp_string_len, 2, 0, 0);
                                                                                            flick_xdr_encode_unsigned32(0, _t202_temp_string_len, flick_unsigned32_t );
                                                                                            if (_t202_temp_string_len + 1 > 26)
                                                                                              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort283);
                                                                                            flick_xdr_encode_bcopy(4, *_local_c, 1 * _t202_temp_string_len);
                                                                                            CORBA_flick_free(*_local_c);
                                                                                            *_local_c = 0;
                                                                                            flick_suntcp_encode_end_chunk(4 + 1 * _t202_temp_string_len);
                                                                                            flick_suntcp_encode_new_chunk_align(0, 2, 0, 0);
                                                                                            flick_suntcp_encode_end_chunk(0);
                                                                                            flick_suntcp_encode_end_glob(100);
                                                                                            break;
                                                                                            {
                                                                                            _flick_abort283:
                                                                                              goto _flick_abort272;
                                                                                            }
                                                                                          }
                                                                                        case CORBA_SYSTEM_EXCEPTION:
                                                                                          {
                                                                                            flick_suntcp_encode_end_glob(100);
                                                                                            flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort290);
                                                                                            break;
                                                                                            {
                                                                                            _flick_abort290:
                                                                                              goto _flick_abort272;
                                                                                            }
                                                                                          }
                                                                                        default:
                                                                                          {
                                                                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort291);
                                                                                            flick_suntcp_encode_end_glob(100);
                                                                                            break;
                                                                                            {
                                                                                            _flick_abort291:
                                                                                              goto _flick_abort272;
                                                                                            }
                                                                                          }
                                                                                        }
                                                                                    }
                                                                                    flick_suntcp_server_end_encode();
                                                                                    break;
                                                                                    {
                                                                                    _flick_abort272:
                                                                                      CORBA_flick_free(*_local_b);
                                                                                    _flick_abort267:
                                                                                      goto _flick_abort266;
                                                                                    }
                                                                                  }
                                                                                  break;
                                                                                  {
                                                                                  _flick_abort266:
                                                                                    goto _flick_abort30;
                                                                                  }
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort30);
                                                                                  flick_suntcp_decode_end_glob(132);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort30);
                                                                            flick_suntcp_decode_end_glob(132);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort30);
                                                                      flick_suntcp_decode_end_glob(132);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort30);
                                                                flick_suntcp_decode_end_glob(132);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort30);
                                                          flick_suntcp_decode_end_glob(132);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort30);
                                                    flick_suntcp_decode_end_glob(132);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort30);
                                              flick_suntcp_decode_end_glob(132);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort30);
                                        flick_suntcp_decode_end_glob(132);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort30);
                                  flick_suntcp_decode_end_glob(132);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort30);
                            flick_suntcp_decode_end_glob(132);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort30);
                      flick_suntcp_decode_end_glob(132);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort30);
                flick_suntcp_decode_end_glob(132);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          char _t203_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t203_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t203_switch_tag)
            {
            case '_':
              {
                char _t204_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t204_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t204_switch_tag)
                  {
                  case 'i':
                    {
                      char _t205_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t205_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t205_switch_tag)
                        {
                        case 's':
                          {
                            char _t206_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t206_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t206_switch_tag)
                              {
                              case '_':
                                {
                                  char _t207_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t207_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t207_switch_tag)
                                    {
                                    case 'a':
                                      {
                                        char _t208_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t208_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t208_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                CORBA_Object _obj;
                                                unsigned int _t209_ignore;
                                                CORBA_boolean _return;
                                                CORBA_char *_local_id;
                                                flick_unsigned32_t _t210_temp_string_len;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t211_storage;
                                                char **_par;

                                                flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort293);
                                                /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                flick_suntcp_decode_new_chunk(20);
                                                flick_xdr_decode_unsigned32(0, _t209_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(4, _t209_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(8, _t209_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(12, _t209_ignore, unsigned int );
                                                _return = 0;
                                                flick_xdr_decode_unsigned32(16, _t210_temp_string_len, flick_unsigned32_t );
                                                flick_suntcp_decode_end_chunk(20);
                                                flick_suntcp_decode_end_glob(132);
                                                flick_suntcp_decode_new_glob(1 * _t210_temp_string_len);
                                                flick_suntcp_check_span(1 * _t210_temp_string_len, _flick_abort293);
                                                flick_suntcp_decode_new_chunk(1 * _t210_temp_string_len);
                                                if ((_t210_temp_string_len + 3) & ~3)
                                                  {
                                                    flick_xdr_decode_msgptr(0, _local_id, CORBA_char *);
                                                  }
                                                else
                                                  {
                                                    {
                                                      CORBA_char *_t_alloc_ptr;

                                                      _t_alloc_ptr = (CORBA_char *)(auto_flick_alloc((_t210_temp_string_len + 1) * sizeof(CORBA_char )));
                                                      if (!_t_alloc_ptr)
                                                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort293);
                                                      _local_id = _t_alloc_ptr;
                                                    }
                                                    flick_xdr_decode_bcopy(0, _local_id, 1 * _t210_temp_string_len);
                                                  }
                                                flick_suntcp_decode_end_chunk(1 * _t210_temp_string_len);
                                                _local_id[_t210_temp_string_len] = 0;
                                                flick_suntcp_decode_end_glob(1 * _t210_temp_string_len);
                                                flick_suntcp_decode_new_glob(3);
                                                flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
                                                _ev = (CORBA_Environment *)(&_t211_storage);
                                                _par = flick_interface_parents_test;
                                                flick_suntcp_decode_end_chunk(0);
                                                flick_suntcp_decode_end_glob(3);
                                                flick_suntcp_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_suntcp_server_start_encode();
                                                {
                                                  flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort296);
                                                  flick_suntcp_encode_new_glob(8, _flick_abort296);
                                                  flick_suntcp_encode_new_chunk(4);
                                                  flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_suntcp_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        flick_suntcp_encode_new_chunk(4);
                                                        flick_xdr_encode_unsigned8(0, _return, CORBA_boolean );
                                                        flick_suntcp_encode_end_chunk(4);
                                                        flick_suntcp_encode_end_glob(8);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_suntcp_encode_end_glob(8);
                                                        flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort302);
                                                        break;
                                                        {
                                                        _flick_abort302:
                                                          goto _flick_abort296;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort303);
                                                        flick_suntcp_encode_end_glob(8);
                                                        break;
                                                        {
                                                        _flick_abort303:
                                                          goto _flick_abort296;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_suntcp_server_end_encode();
                                                break;
                                                {
                                                _flick_abort296:
                                                  auto_flick_free(_local_id);
                                                _flick_abort293:
                                                  goto _flick_abort292;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort292:
                                                goto _flick_abort30;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort30);
                                              flick_suntcp_decode_end_glob(132);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort30);
                                        flick_suntcp_decode_end_glob(132);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort30);
                                  flick_suntcp_decode_end_glob(132);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort30);
                            flick_suntcp_decode_end_glob(132);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort30);
                      flick_suntcp_decode_end_glob(132);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort30);
                flick_suntcp_decode_end_glob(132);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort30);
          flick_suntcp_decode_end_glob(132);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort30:
    flick_corba_server_error(xdr, suntcp, _flick_reaper, _flick_abort29);
  _flick_abort29:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

