#include "struct-server.h"

/* This is the runtime type information */
char *flick_interface_parents_foo[] = {
	"IDL:foo:1.0",
	0
};

char *flick_interface_parents_foo2[] = {
	"IDL:foo2:1.0",
	"IDL:foo:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;
	int reg_success;


	s.prog_num = _PROG_foo2;
	s.vers_num = _VERS_foo2;

	reg_success = flick_server_register(s, &foo2_server);
	assert(reg_success);


	s.prog_num = _PROG_foo;
	s.vers_num = _VERS_foo;

	reg_success = flick_server_register(s, &foo_server);
	assert(reg_success);


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
int flick_marshal_stub_bar(flick_marshal_stream_t _stream, struct bar *_data)
{
  flick_unsigned32_t _t0_temp_string_len;

  flick_xdr_stringlen(CORBA_char *, _data->b3, flick_unsigned32_t , _t0_temp_string_len);

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(35, _flick_abort0);
  flick_suntcp_encode_new_chunk(12 + 1 * _t0_temp_string_len);
  flick_xdr_encode_signed32(0, _data->b1, CORBA_long );
  flick_xdr_encode_signed32(4, _data->b2, CORBA_long );
  flick_xdr_encode_unsigned32(8, _t0_temp_string_len, flick_unsigned32_t );
  if (_t0_temp_string_len + 1 > 21)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort0);
  flick_xdr_encode_bcopy(12, _data->b3, 1 * _t0_temp_string_len);
  CORBA_flick_free(_data->b3);
  flick_suntcp_encode_end_chunk(12 + 1 * _t0_temp_string_len);
  flick_suntcp_encode_new_chunk_align(0, 2, 0, 0);
  flick_suntcp_encode_end_chunk(0);
  flick_suntcp_encode_end_glob(35);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_bar(flick_marshal_stream_t _stream, struct bar *_data)
{
  flick_unsigned32_t _t1_temp_string_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(35);
  flick_suntcp_check_span(12, _flick_abort3);
  flick_suntcp_decode_new_chunk(12);
  flick_xdr_decode_signed32(0, _data->b1, CORBA_long );
  flick_xdr_decode_signed32(4, _data->b2, CORBA_long );
  flick_xdr_decode_unsigned32(8, _t1_temp_string_len, flick_unsigned32_t );
  if (_t1_temp_string_len + 1 > 21)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort3);
  flick_suntcp_decode_end_chunk(12);
  flick_suntcp_check_span(1 * _t1_temp_string_len, _flick_abort3);
  flick_suntcp_decode_new_chunk(1 * _t1_temp_string_len);
  {
    CORBA_char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(21 * sizeof(CORBA_char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort3);
    _data->b3 = _t_alloc_ptr;
  }
  flick_xdr_decode_bcopy(0, _data->b3, 1 * _t1_temp_string_len);
  flick_suntcp_decode_end_chunk(1 * _t1_temp_string_len);
  _data->b3[_t1_temp_string_len] = 0;
  flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
  flick_suntcp_decode_end_chunk(0);
  flick_suntcp_decode_end_glob(35);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_bar2(flick_marshal_stream_t _stream, struct bar2 *_data)
{
  flick_unsigned32_t _t2_temp_string_len;

  flick_xdr_stringlen(CORBA_char *, _data->b4.b3, flick_unsigned32_t , _t2_temp_string_len);

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(39, _flick_abort7);
  flick_suntcp_encode_new_chunk(16 + 1 * _t2_temp_string_len);
  flick_xdr_encode_signed32(0, _data->b3, CORBA_long );
  flick_xdr_encode_signed32(4, _data->b4.b1, CORBA_long );
  flick_xdr_encode_signed32(8, _data->b4.b2, CORBA_long );
  flick_xdr_encode_unsigned32(12, _t2_temp_string_len, flick_unsigned32_t );
  if (_t2_temp_string_len + 1 > 21)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort7);
  flick_xdr_encode_bcopy(16, _data->b4.b3, 1 * _t2_temp_string_len);
  CORBA_flick_free(_data->b4.b3);
  flick_suntcp_encode_end_chunk(16 + 1 * _t2_temp_string_len);
  flick_suntcp_encode_new_chunk_align(0, 2, 0, 0);
  flick_suntcp_encode_end_chunk(0);
  flick_suntcp_encode_end_glob(39);
  return 0;
  {
  _flick_abort7:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_bar2(flick_marshal_stream_t _stream, struct bar2 *_data)
{
  flick_unsigned32_t _t3_temp_string_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(39);
  flick_suntcp_check_span(16, _flick_abort10);
  flick_suntcp_decode_new_chunk(16);
  flick_xdr_decode_signed32(0, _data->b3, CORBA_long );
  flick_xdr_decode_signed32(4, _data->b4.b1, CORBA_long );
  flick_xdr_decode_signed32(8, _data->b4.b2, CORBA_long );
  flick_xdr_decode_unsigned32(12, _t3_temp_string_len, flick_unsigned32_t );
  if (_t3_temp_string_len + 1 > 21)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort10);
  flick_suntcp_decode_end_chunk(16);
  flick_suntcp_check_span(1 * _t3_temp_string_len, _flick_abort10);
  flick_suntcp_decode_new_chunk(1 * _t3_temp_string_len);
  {
    CORBA_char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(21 * sizeof(CORBA_char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort10);
    _data->b4.b3 = _t_alloc_ptr;
  }
  flick_xdr_decode_bcopy(0, _data->b4.b3, 1 * _t3_temp_string_len);
  flick_suntcp_decode_end_chunk(1 * _t3_temp_string_len);
  _data->b4.b3[_t3_temp_string_len] = 0;
  flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
  flick_suntcp_decode_end_chunk(0);
  flick_suntcp_decode_end_glob(39);
  return 0;
  {
  _flick_abort10:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_bar3(flick_marshal_stream_t _stream, struct bar3 *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(12, _flick_abort14);
  flick_suntcp_encode_new_chunk(12);
  flick_xdr_encode_signed32(0, _data->b1, CORBA_long );
  flick_xdr_encode_signed32(4, _data->b2, CORBA_long );
  flick_xdr_encode_signed32(8, _data->b3, CORBA_long );
  flick_suntcp_encode_end_chunk(12);
  flick_suntcp_encode_end_glob(12);
  return 0;
  {
  _flick_abort14:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_bar3(flick_marshal_stream_t _stream, struct bar3 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(12);
  flick_suntcp_check_span(12, _flick_abort15);
  flick_suntcp_decode_new_chunk(12);
  flick_xdr_decode_signed32(0, _data->b1, CORBA_long );
  flick_xdr_decode_signed32(4, _data->b2, CORBA_long );
  flick_xdr_decode_signed32(8, _data->b3, CORBA_long );
  flick_suntcp_decode_end_chunk(12);
  flick_suntcp_decode_end_glob(12);
  return 0;
  {
  _flick_abort15:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_bar4(flick_marshal_stream_t _stream, struct bar4 *_data)
{
  flick_unsigned32_t _t4_temp_string_len;

  flick_xdr_stringlen(CORBA_char *, _data->b2.b4.b3, flick_unsigned32_t , _t4_temp_string_len);

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(63, _flick_abort16);
  flick_suntcp_encode_new_chunk(20 + 1 * _t4_temp_string_len);
  flick_xdr_encode_signed32(0, _data->b1, CORBA_long );
  flick_xdr_encode_signed32(4, _data->b2.b3, CORBA_long );
  flick_xdr_encode_signed32(8, _data->b2.b4.b1, CORBA_long );
  flick_xdr_encode_signed32(12, _data->b2.b4.b2, CORBA_long );
  flick_xdr_encode_unsigned32(16, _t4_temp_string_len, flick_unsigned32_t );
  if (_t4_temp_string_len + 1 > 21)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort16);
  flick_xdr_encode_bcopy(20, _data->b2.b4.b3, 1 * _t4_temp_string_len);
  CORBA_flick_free(_data->b2.b4.b3);
  flick_suntcp_encode_end_chunk(20 + 1 * _t4_temp_string_len);
  flick_suntcp_encode_new_chunk_align(20, 2, 0, 0);
  flick_xdr_encode_signed32(0, _data->b3, CORBA_long );
  flick_xdr_encode_signed32(4, _data->b4.b1, CORBA_long );
  flick_xdr_encode_signed32(8, _data->b4.b2, CORBA_long );
  flick_xdr_encode_signed32(12, _data->b4.b3, CORBA_long );
  flick_xdr_encode_signed32(16, _data->b5, CORBA_long );
  flick_suntcp_encode_end_chunk(20);
  flick_suntcp_encode_end_glob(63);
  return 0;
  {
  _flick_abort16:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_bar4(flick_marshal_stream_t _stream, struct bar4 *_data)
{
  flick_unsigned32_t _t5_temp_string_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(63);
  flick_suntcp_check_span(20, _flick_abort19);
  flick_suntcp_decode_new_chunk(20);
  flick_xdr_decode_signed32(0, _data->b1, CORBA_long );
  flick_xdr_decode_signed32(4, _data->b2.b3, CORBA_long );
  flick_xdr_decode_signed32(8, _data->b2.b4.b1, CORBA_long );
  flick_xdr_decode_signed32(12, _data->b2.b4.b2, CORBA_long );
  flick_xdr_decode_unsigned32(16, _t5_temp_string_len, flick_unsigned32_t );
  if (_t5_temp_string_len + 1 > 21)
    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort19);
  flick_suntcp_decode_end_chunk(20);
  flick_suntcp_check_span(1 * _t5_temp_string_len, _flick_abort19);
  flick_suntcp_decode_new_chunk(1 * _t5_temp_string_len);
  {
    CORBA_char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(21 * sizeof(CORBA_char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort19);
    _data->b2.b4.b3 = _t_alloc_ptr;
  }
  flick_xdr_decode_bcopy(0, _data->b2.b4.b3, 1 * _t5_temp_string_len);
  flick_suntcp_decode_end_chunk(1 * _t5_temp_string_len);
  _data->b2.b4.b3[_t5_temp_string_len] = 0;
  flick_suntcp_decode_new_chunk_align(20, 2, 0, 0);
  flick_suntcp_check_span(20, _flick_abort22);
  flick_xdr_decode_signed32(0, _data->b3, CORBA_long );
  flick_xdr_decode_signed32(4, _data->b4.b1, CORBA_long );
  flick_xdr_decode_signed32(8, _data->b4.b2, CORBA_long );
  flick_xdr_decode_signed32(12, _data->b4.b3, CORBA_long );
  flick_xdr_decode_signed32(16, _data->b5, CORBA_long );
  flick_suntcp_decode_end_chunk(20);
  flick_suntcp_decode_end_glob(63);
  return 0;
  {
  _flick_abort22:
    CORBA_flick_free(_data->b2.b4.b3);
  _flick_abort19:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_foo(flick_marshal_stream_t _stream, foo *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort23);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  return 0;
  {
  _flick_abort23:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_foo(flick_marshal_stream_t _stream, foo *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort24);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  return 0;
  {
  _flick_abort24:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

flick_operation_success_t foo_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    unsigned int _t27_switch_tag;

    flick_suntcp_decode_new_glob(67);
    flick_suntcp_check_span(44, _flick_abort27);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t27_switch_tag, unsigned int );
    flick_suntcp_decode_end_chunk(4);
    switch ((unsigned int )_t27_switch_tag)
      {
      case (unsigned int) 3:
        {
          char _t28_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t28_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t28_switch_tag)
            {
            case 'o':
              {
                char _t29_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t29_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t29_switch_tag)
                  {
                  case 'p':
                    {
                      char _t30_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t30_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t30_switch_tag)
                        {
                        case 0:
                          {
                            {
                              foo _obj;
                              unsigned int _t31_ignore;
                              CORBA_long _return;
                              struct bar *_local_a;
                              struct bar _t32_storage;
                              flick_unsigned32_t _t33_temp_string_len;
                              struct bar2 **_local_b;
                              struct bar2 *_t35_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t36_storage;

                              flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort57);
                              /* Decode the authorization stuff (we ignore it & assume it's null) */
                              flick_suntcp_decode_new_chunk(28);
                              flick_xdr_decode_unsigned32(0, _t31_ignore, unsigned int );
                              flick_xdr_decode_unsigned32(4, _t31_ignore, unsigned int );
                              flick_xdr_decode_unsigned32(8, _t31_ignore, unsigned int );
                              flick_xdr_decode_unsigned32(12, _t31_ignore, unsigned int );
                              _return = 0;
                              _local_a = (struct bar *)(&_t32_storage);
                              flick_xdr_decode_signed32(16, _local_a->b1, CORBA_long );
                              flick_xdr_decode_signed32(20, _local_a->b2, CORBA_long );
                              flick_xdr_decode_unsigned32(24, _t33_temp_string_len, flick_unsigned32_t );
                              if (_t33_temp_string_len + 1 > 21)
                                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort57);
                              flick_suntcp_decode_end_chunk(28);
                              flick_suntcp_check_span(1 * _t33_temp_string_len, _flick_abort57);
                              flick_suntcp_decode_new_chunk(1 * _t33_temp_string_len);
                              if ((_t33_temp_string_len + 3) & ~3)
                                {
                                  flick_xdr_decode_msgptr(0, _local_a->b3, CORBA_char *);
                                }
                              else
                                {
                                  CORBA_char _t34_storage[21];

                                  _local_a->b3 = (CORBA_char *)_t34_storage;
                                  flick_xdr_decode_bcopy(0, _local_a->b3, 1 * _t33_temp_string_len);
                                }
                              flick_suntcp_decode_end_chunk(1 * _t33_temp_string_len);
                              _local_a->b3[_t33_temp_string_len] = 0;
                              flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
                              _local_b = (struct bar2 **)(&_t35_storage);
                              _ev = (CORBA_Environment *)(&_t36_storage);
                              flick_suntcp_decode_end_chunk(0);
                              flick_suntcp_decode_end_glob(67);
                              flick_suntcp_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = foo_op(_obj, _local_a, _local_b, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_suntcp_server_start_encode();
                              {
                                flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort57);
                                flick_suntcp_encode_new_glob(47, _flick_abort57);
                                flick_suntcp_encode_new_chunk(4);
                                flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_suntcp_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      flick_unsigned32_t _t38_temp_string_len;

                                      flick_xdr_stringlen(CORBA_char *, (*_local_b)->b4.b3, flick_unsigned32_t , _t38_temp_string_len);

                                      flick_suntcp_encode_new_chunk(20 + 1 * _t38_temp_string_len);
                                      flick_xdr_encode_signed32(0, _return, CORBA_long );
                                      flick_xdr_encode_signed32(4, (*_local_b)->b3, CORBA_long );
                                      flick_xdr_encode_signed32(8, (*_local_b)->b4.b1, CORBA_long );
                                      flick_xdr_encode_signed32(12, (*_local_b)->b4.b2, CORBA_long );
                                      flick_xdr_encode_unsigned32(16, _t38_temp_string_len, flick_unsigned32_t );
                                      if (_t38_temp_string_len + 1 > 21)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort66);
                                      flick_xdr_encode_bcopy(20, (*_local_b)->b4.b3, 1 * _t38_temp_string_len);
                                      CORBA_flick_free((*_local_b)->b4.b3);
                                      (*_local_b)->b4.b3 = 0;
                                      flick_suntcp_encode_end_chunk(20 + 1 * _t38_temp_string_len);
                                      flick_suntcp_encode_new_chunk_align(0, 2, 0, 0);
                                      CORBA_flick_free(*_local_b);
                                      *_local_b = 0;
                                      flick_suntcp_encode_end_chunk(0);
                                      flick_suntcp_encode_end_glob(47);
                                      break;
                                      {
                                      _flick_abort66:
                                        goto _flick_abort57;
                                      }
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_suntcp_encode_end_glob(47);
                                      flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort69);
                                      break;
                                      {
                                      _flick_abort69:
                                        goto _flick_abort57;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort70);
                                      flick_suntcp_encode_end_glob(47);
                                      break;
                                      {
                                      _flick_abort70:
                                        goto _flick_abort57;
                                      }
                                    }
                                  }
                              }
                              flick_suntcp_server_end_encode();
                              break;
                              {
                              _flick_abort57:
                                goto _flick_abort56;
                              }
                            }
                            break;
                            {
                            _flick_abort56:
                              goto _flick_abort27;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort27);
                            flick_suntcp_decode_end_glob(67);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort27);
                      flick_suntcp_decode_end_glob(67);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort27);
                flick_suntcp_decode_end_glob(67);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          char _t39_switch_tag;

          flick_suntcp_check_span(44, _flick_abort27);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t39_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t39_switch_tag)
            {
            case '_':
              {
                char _t40_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t40_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t40_switch_tag)
                  {
                  case 'i':
                    {
                      char _t41_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t41_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t41_switch_tag)
                        {
                        case 's':
                          {
                            char _t42_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t42_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t42_switch_tag)
                              {
                              case '_':
                                {
                                  char _t43_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t43_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t43_switch_tag)
                                    {
                                    case 'a':
                                      {
                                        char _t44_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t44_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t44_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                CORBA_Object _obj;
                                                unsigned int _t45_ignore;
                                                CORBA_boolean _return;
                                                CORBA_char *_local_id;
                                                flick_unsigned32_t _t46_temp_string_len;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t47_storage;
                                                char **_par;

                                                flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort72);
                                                /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                flick_suntcp_decode_new_chunk(20);
                                                flick_xdr_decode_unsigned32(0, _t45_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(4, _t45_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(8, _t45_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(12, _t45_ignore, unsigned int );
                                                _return = 0;
                                                flick_xdr_decode_unsigned32(16, _t46_temp_string_len, flick_unsigned32_t );
                                                flick_suntcp_decode_end_chunk(20);
                                                flick_suntcp_decode_end_glob(67);
                                                flick_suntcp_decode_new_glob(1 * _t46_temp_string_len);
                                                flick_suntcp_check_span(1 * _t46_temp_string_len, _flick_abort72);
                                                flick_suntcp_decode_new_chunk(1 * _t46_temp_string_len);
                                                if ((_t46_temp_string_len + 3) & ~3)
                                                  {
                                                    flick_xdr_decode_msgptr(0, _local_id, CORBA_char *);
                                                  }
                                                else
                                                  {
                                                    {
                                                      CORBA_char *_t_alloc_ptr;

                                                      _t_alloc_ptr = (CORBA_char *)(auto_flick_alloc((_t46_temp_string_len + 1) * sizeof(CORBA_char )));
                                                      if (!_t_alloc_ptr)
                                                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort72);
                                                      _local_id = _t_alloc_ptr;
                                                    }
                                                    flick_xdr_decode_bcopy(0, _local_id, 1 * _t46_temp_string_len);
                                                  }
                                                flick_suntcp_decode_end_chunk(1 * _t46_temp_string_len);
                                                _local_id[_t46_temp_string_len] = 0;
                                                flick_suntcp_decode_end_glob(1 * _t46_temp_string_len);
                                                flick_suntcp_decode_new_glob(3);
                                                flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
                                                _ev = (CORBA_Environment *)(&_t47_storage);
                                                _par = flick_interface_parents_foo;
                                                flick_suntcp_decode_end_chunk(0);
                                                flick_suntcp_decode_end_glob(3);
                                                flick_suntcp_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_suntcp_server_start_encode();
                                                {
                                                  flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort75);
                                                  flick_suntcp_encode_new_glob(8, _flick_abort75);
                                                  flick_suntcp_encode_new_chunk(4);
                                                  flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_suntcp_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        flick_suntcp_encode_new_chunk(4);
                                                        flick_xdr_encode_unsigned8(0, _return, CORBA_boolean );
                                                        flick_suntcp_encode_end_chunk(4);
                                                        flick_suntcp_encode_end_glob(8);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_suntcp_encode_end_glob(8);
                                                        flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort81);
                                                        break;
                                                        {
                                                        _flick_abort81:
                                                          goto _flick_abort75;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort82);
                                                        flick_suntcp_encode_end_glob(8);
                                                        break;
                                                        {
                                                        _flick_abort82:
                                                          goto _flick_abort75;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_suntcp_server_end_encode();
                                                break;
                                                {
                                                _flick_abort75:
                                                  auto_flick_free(_local_id);
                                                _flick_abort72:
                                                  goto _flick_abort71;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort71:
                                                goto _flick_abort27;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort27);
                                              flick_suntcp_decode_end_glob(67);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort27);
                                        flick_suntcp_decode_end_glob(67);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort27);
                                  flick_suntcp_decode_end_glob(67);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort27);
                            flick_suntcp_decode_end_glob(67);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort27);
                      flick_suntcp_decode_end_glob(67);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort27);
                flick_suntcp_decode_end_glob(67);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort27);
          flick_suntcp_decode_end_glob(67);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort27:
    flick_corba_server_error(xdr, suntcp, _flick_reaper, _flick_abort26);
  _flick_abort26:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

int flick_marshal_stub_foo2(flick_marshal_stream_t _stream, foo2 *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort83);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  return 0;
  {
  _flick_abort83:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_foo2(flick_marshal_stream_t _stream, foo2 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort84);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  return 0;
  {
  _flick_abort84:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

flick_operation_success_t foo2_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    unsigned int _t84_switch_tag;

    flick_suntcp_decode_new_glob(75);
    flick_suntcp_check_span(40, _flick_abort87);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t84_switch_tag, unsigned int );
    flick_suntcp_decode_end_chunk(4);
    switch ((unsigned int )_t84_switch_tag)
      {
      case (unsigned int) 4:
        {
          char _t85_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t85_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t85_switch_tag)
            {
            case 'o':
              {
                char _t86_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t86_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t86_switch_tag)
                  {
                  case 'p':
                    {
                      char _t87_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t87_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t87_switch_tag)
                        {
                        case '2':
                          {
                            char _t88_switch_tag;

                            flick_suntcp_check_span(36, _flick_abort87);
                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t88_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t88_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    foo2 _obj;
                                    unsigned int _t89_ignore;
                                    struct bar *_return;
                                    struct bar2 *_local_a;
                                    struct bar2 _t90_storage;
                                    flick_unsigned32_t _t91_temp_string_len;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t93_storage;

                                    flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort141);
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(32);
                                    flick_xdr_decode_unsigned32(0, _t89_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(4, _t89_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(8, _t89_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(12, _t89_ignore, unsigned int );
                                    _return = 0;
                                    _local_a = (struct bar2 *)(&_t90_storage);
                                    flick_xdr_decode_signed32(16, _local_a->b3, CORBA_long );
                                    flick_xdr_decode_signed32(20, _local_a->b4.b1, CORBA_long );
                                    flick_xdr_decode_signed32(24, _local_a->b4.b2, CORBA_long );
                                    flick_xdr_decode_unsigned32(28, _t91_temp_string_len, flick_unsigned32_t );
                                    if (_t91_temp_string_len + 1 > 21)
                                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort141);
                                    flick_suntcp_decode_end_chunk(32);
                                    flick_suntcp_check_span(1 * _t91_temp_string_len, _flick_abort141);
                                    flick_suntcp_decode_new_chunk(1 * _t91_temp_string_len);
                                    if ((_t91_temp_string_len + 3) & ~3)
                                      {
                                        flick_xdr_decode_msgptr(0, _local_a->b4.b3, CORBA_char *);
                                      }
                                    else
                                      {
                                        CORBA_char _t92_storage[21];

                                        _local_a->b4.b3 = (CORBA_char *)_t92_storage;
                                        flick_xdr_decode_bcopy(0, _local_a->b4.b3, 1 * _t91_temp_string_len);
                                      }
                                    flick_suntcp_decode_end_chunk(1 * _t91_temp_string_len);
                                    _local_a->b4.b3[_t91_temp_string_len] = 0;
                                    flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
                                    _ev = (CORBA_Environment *)(&_t93_storage);
                                    flick_suntcp_decode_end_chunk(0);
                                    flick_suntcp_decode_end_glob(75);
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = foo2_op2(_obj, _local_a, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort141);
                                      flick_suntcp_encode_new_glob(39, _flick_abort141);
                                      flick_suntcp_encode_new_chunk(4);
                                      flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_suntcp_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            flick_unsigned32_t _t95_temp_string_len;

                                            flick_xdr_stringlen(CORBA_char *, _return->b3, flick_unsigned32_t , _t95_temp_string_len);

                                            flick_suntcp_encode_new_chunk(12 + 1 * _t95_temp_string_len);
                                            flick_xdr_encode_signed32(0, _return->b1, CORBA_long );
                                            flick_xdr_encode_signed32(4, _return->b2, CORBA_long );
                                            flick_xdr_encode_unsigned32(8, _t95_temp_string_len, flick_unsigned32_t );
                                            if (_t95_temp_string_len + 1 > 21)
                                              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort150);
                                            flick_xdr_encode_bcopy(12, _return->b3, 1 * _t95_temp_string_len);
                                            CORBA_flick_free(_return->b3);
                                            _return->b3 = 0;
                                            flick_suntcp_encode_end_chunk(12 + 1 * _t95_temp_string_len);
                                            flick_suntcp_encode_new_chunk_align(0, 2, 0, 0);
                                            CORBA_flick_free(_return);
                                            _return = 0;
                                            flick_suntcp_encode_end_chunk(0);
                                            flick_suntcp_encode_end_glob(39);
                                            break;
                                            {
                                            _flick_abort150:
                                              goto _flick_abort141;
                                            }
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_suntcp_encode_end_glob(39);
                                            flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort153);
                                            break;
                                            {
                                            _flick_abort153:
                                              goto _flick_abort141;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort154);
                                            flick_suntcp_encode_end_glob(39);
                                            break;
                                            {
                                            _flick_abort154:
                                              goto _flick_abort141;
                                            }
                                          }
                                        }
                                    }
                                    flick_suntcp_server_end_encode();
                                    break;
                                    {
                                    _flick_abort141:
                                      goto _flick_abort140;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort140:
                                    goto _flick_abort87;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort87);
                                  flick_suntcp_decode_end_glob(75);
                                  break;
                                }
                              }
                            break;
                          }
                        case '3':
                          {
                            char _t96_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t96_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t96_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    foo2 _obj;
                                    unsigned int _t97_ignore;
                                    CORBA_long _return;
                                    CORBA_long _local_a;
                                    CORBA_char *_local_b;
                                    CORBA_char _t98_storage;
                                    CORBA_Environment *_ev;
                                    CORBA_Environment _t99_storage;

                                    flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort156);
                                    /* Decode the authorization stuff (we ignore it & assume it's null) */
                                    flick_suntcp_decode_new_chunk(20);
                                    flick_xdr_decode_unsigned32(0, _t97_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(4, _t97_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(8, _t97_ignore, unsigned int );
                                    flick_xdr_decode_unsigned32(12, _t97_ignore, unsigned int );
                                    _return = 0;
                                    flick_xdr_decode_signed32(16, _local_a, CORBA_long );
                                    _local_b = (CORBA_char *)(&_t98_storage);
                                    _ev = (CORBA_Environment *)(&_t99_storage);
                                    flick_suntcp_decode_end_chunk(20);
                                    flick_suntcp_decode_end_glob(75);
                                    flick_suntcp_server_end_decode();
                                    flick_corba_init_environment();
                                    _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                    _return = foo2_op3(_obj, _local_a, _local_b, _ev);
                                    _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_suntcp_server_start_encode();
                                    {
                                      flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort156);
                                      flick_suntcp_encode_new_glob(12, _flick_abort156);
                                      flick_suntcp_encode_new_chunk(4);
                                      flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                      flick_suntcp_encode_end_chunk(4);
                                      switch (_ev->_major)
                                        {
                                        case CORBA_NO_EXCEPTION:
                                          {
                                            flick_suntcp_encode_new_chunk(8);
                                            flick_xdr_encode_signed32(0, _return, CORBA_long );
                                            flick_xdr_encode_char8(4, *_local_b, CORBA_char );
                                            flick_suntcp_encode_end_chunk(8);
                                            flick_suntcp_encode_end_glob(12);
                                            break;
                                          }
                                        case CORBA_SYSTEM_EXCEPTION:
                                          {
                                            flick_suntcp_encode_end_glob(12);
                                            flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort162);
                                            break;
                                            {
                                            _flick_abort162:
                                              goto _flick_abort156;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort163);
                                            flick_suntcp_encode_end_glob(12);
                                            break;
                                            {
                                            _flick_abort163:
                                              goto _flick_abort156;
                                            }
                                          }
                                        }
                                    }
                                    flick_suntcp_server_end_encode();
                                    break;
                                    {
                                    _flick_abort156:
                                      goto _flick_abort155;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort155:
                                    goto _flick_abort87;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort87);
                                  flick_suntcp_decode_end_glob(75);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort87);
                            flick_suntcp_decode_end_glob(75);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort87);
                      flick_suntcp_decode_end_glob(75);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort87);
                flick_suntcp_decode_end_glob(75);
                break;
              }
            }
          break;
        }
      case (unsigned int) 3:
        {
          char _t100_switch_tag;

          flick_suntcp_check_span(40, _flick_abort87);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t100_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t100_switch_tag)
            {
            case 'o':
              {
                char _t101_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t101_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t101_switch_tag)
                  {
                  case 'p':
                    {
                      char _t102_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t102_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t102_switch_tag)
                        {
                        case 0:
                          {
                            {
                              foo2 _obj;
                              unsigned int _t103_ignore;
                              CORBA_long _return;
                              struct bar *_local_a;
                              struct bar _t104_storage;
                              flick_unsigned32_t _t105_temp_string_len;
                              struct bar2 **_local_b;
                              struct bar2 *_t107_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t108_storage;

                              flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort165);
                              /* Decode the authorization stuff (we ignore it & assume it's null) */
                              flick_suntcp_decode_new_chunk(28);
                              flick_xdr_decode_unsigned32(0, _t103_ignore, unsigned int );
                              flick_xdr_decode_unsigned32(4, _t103_ignore, unsigned int );
                              flick_xdr_decode_unsigned32(8, _t103_ignore, unsigned int );
                              flick_xdr_decode_unsigned32(12, _t103_ignore, unsigned int );
                              _return = 0;
                              _local_a = (struct bar *)(&_t104_storage);
                              flick_xdr_decode_signed32(16, _local_a->b1, CORBA_long );
                              flick_xdr_decode_signed32(20, _local_a->b2, CORBA_long );
                              flick_xdr_decode_unsigned32(24, _t105_temp_string_len, flick_unsigned32_t );
                              if (_t105_temp_string_len + 1 > 21)
                                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort165);
                              flick_suntcp_decode_end_chunk(28);
                              flick_suntcp_check_span(1 * _t105_temp_string_len, _flick_abort165);
                              flick_suntcp_decode_new_chunk(1 * _t105_temp_string_len);
                              if ((_t105_temp_string_len + 3) & ~3)
                                {
                                  flick_xdr_decode_msgptr(0, _local_a->b3, CORBA_char *);
                                }
                              else
                                {
                                  CORBA_char _t106_storage[21];

                                  _local_a->b3 = (CORBA_char *)_t106_storage;
                                  flick_xdr_decode_bcopy(0, _local_a->b3, 1 * _t105_temp_string_len);
                                }
                              flick_suntcp_decode_end_chunk(1 * _t105_temp_string_len);
                              _local_a->b3[_t105_temp_string_len] = 0;
                              flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
                              _local_b = (struct bar2 **)(&_t107_storage);
                              _ev = (CORBA_Environment *)(&_t108_storage);
                              flick_suntcp_decode_end_chunk(0);
                              flick_suntcp_decode_end_glob(75);
                              flick_suntcp_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = foo2_op(_obj, _local_a, _local_b, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_suntcp_server_start_encode();
                              {
                                flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort165);
                                flick_suntcp_encode_new_glob(47, _flick_abort165);
                                flick_suntcp_encode_new_chunk(4);
                                flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_suntcp_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      flick_unsigned32_t _t110_temp_string_len;

                                      flick_xdr_stringlen(CORBA_char *, (*_local_b)->b4.b3, flick_unsigned32_t , _t110_temp_string_len);

                                      flick_suntcp_encode_new_chunk(20 + 1 * _t110_temp_string_len);
                                      flick_xdr_encode_signed32(0, _return, CORBA_long );
                                      flick_xdr_encode_signed32(4, (*_local_b)->b3, CORBA_long );
                                      flick_xdr_encode_signed32(8, (*_local_b)->b4.b1, CORBA_long );
                                      flick_xdr_encode_signed32(12, (*_local_b)->b4.b2, CORBA_long );
                                      flick_xdr_encode_unsigned32(16, _t110_temp_string_len, flick_unsigned32_t );
                                      if (_t110_temp_string_len + 1 > 21)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort174);
                                      flick_xdr_encode_bcopy(20, (*_local_b)->b4.b3, 1 * _t110_temp_string_len);
                                      CORBA_flick_free((*_local_b)->b4.b3);
                                      (*_local_b)->b4.b3 = 0;
                                      flick_suntcp_encode_end_chunk(20 + 1 * _t110_temp_string_len);
                                      flick_suntcp_encode_new_chunk_align(0, 2, 0, 0);
                                      CORBA_flick_free(*_local_b);
                                      *_local_b = 0;
                                      flick_suntcp_encode_end_chunk(0);
                                      flick_suntcp_encode_end_glob(47);
                                      break;
                                      {
                                      _flick_abort174:
                                        goto _flick_abort165;
                                      }
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_suntcp_encode_end_glob(47);
                                      flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort177);
                                      break;
                                      {
                                      _flick_abort177:
                                        goto _flick_abort165;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort178);
                                      flick_suntcp_encode_end_glob(47);
                                      break;
                                      {
                                      _flick_abort178:
                                        goto _flick_abort165;
                                      }
                                    }
                                  }
                              }
                              flick_suntcp_server_end_encode();
                              break;
                              {
                              _flick_abort165:
                                goto _flick_abort164;
                              }
                            }
                            break;
                            {
                            _flick_abort164:
                              goto _flick_abort87;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort87);
                            flick_suntcp_decode_end_glob(75);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort87);
                      flick_suntcp_decode_end_glob(75);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort87);
                flick_suntcp_decode_end_glob(75);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          char _t111_switch_tag;

          flick_suntcp_check_span(44, _flick_abort87);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t111_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t111_switch_tag)
            {
            case '_':
              {
                char _t112_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t112_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t112_switch_tag)
                  {
                  case 'i':
                    {
                      char _t113_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t113_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t113_switch_tag)
                        {
                        case 's':
                          {
                            char _t114_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t114_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t114_switch_tag)
                              {
                              case '_':
                                {
                                  char _t115_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t115_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t115_switch_tag)
                                    {
                                    case 'a':
                                      {
                                        char _t116_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t116_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t116_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                CORBA_Object _obj;
                                                unsigned int _t117_ignore;
                                                CORBA_boolean _return;
                                                CORBA_char *_local_id;
                                                flick_unsigned32_t _t118_temp_string_len;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t119_storage;
                                                char **_par;

                                                flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort180);
                                                /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                flick_suntcp_decode_new_chunk(20);
                                                flick_xdr_decode_unsigned32(0, _t117_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(4, _t117_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(8, _t117_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(12, _t117_ignore, unsigned int );
                                                _return = 0;
                                                flick_xdr_decode_unsigned32(16, _t118_temp_string_len, flick_unsigned32_t );
                                                flick_suntcp_decode_end_chunk(20);
                                                flick_suntcp_decode_end_glob(75);
                                                flick_suntcp_decode_new_glob(1 * _t118_temp_string_len);
                                                flick_suntcp_check_span(1 * _t118_temp_string_len, _flick_abort180);
                                                flick_suntcp_decode_new_chunk(1 * _t118_temp_string_len);
                                                if ((_t118_temp_string_len + 3) & ~3)
                                                  {
                                                    flick_xdr_decode_msgptr(0, _local_id, CORBA_char *);
                                                  }
                                                else
                                                  {
                                                    {
                                                      CORBA_char *_t_alloc_ptr;

                                                      _t_alloc_ptr = (CORBA_char *)(auto_flick_alloc((_t118_temp_string_len + 1) * sizeof(CORBA_char )));
                                                      if (!_t_alloc_ptr)
                                                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort180);
                                                      _local_id = _t_alloc_ptr;
                                                    }
                                                    flick_xdr_decode_bcopy(0, _local_id, 1 * _t118_temp_string_len);
                                                  }
                                                flick_suntcp_decode_end_chunk(1 * _t118_temp_string_len);
                                                _local_id[_t118_temp_string_len] = 0;
                                                flick_suntcp_decode_end_glob(1 * _t118_temp_string_len);
                                                flick_suntcp_decode_new_glob(3);
                                                flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
                                                _ev = (CORBA_Environment *)(&_t119_storage);
                                                _par = flick_interface_parents_foo2;
                                                flick_suntcp_decode_end_chunk(0);
                                                flick_suntcp_decode_end_glob(3);
                                                flick_suntcp_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_suntcp_server_start_encode();
                                                {
                                                  flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort183);
                                                  flick_suntcp_encode_new_glob(8, _flick_abort183);
                                                  flick_suntcp_encode_new_chunk(4);
                                                  flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_suntcp_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        flick_suntcp_encode_new_chunk(4);
                                                        flick_xdr_encode_unsigned8(0, _return, CORBA_boolean );
                                                        flick_suntcp_encode_end_chunk(4);
                                                        flick_suntcp_encode_end_glob(8);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_suntcp_encode_end_glob(8);
                                                        flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort189);
                                                        break;
                                                        {
                                                        _flick_abort189:
                                                          goto _flick_abort183;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort190);
                                                        flick_suntcp_encode_end_glob(8);
                                                        break;
                                                        {
                                                        _flick_abort190:
                                                          goto _flick_abort183;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_suntcp_server_end_encode();
                                                break;
                                                {
                                                _flick_abort183:
                                                  auto_flick_free(_local_id);
                                                _flick_abort180:
                                                  goto _flick_abort179;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort179:
                                                goto _flick_abort87;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort87);
                                              flick_suntcp_decode_end_glob(75);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort87);
                                        flick_suntcp_decode_end_glob(75);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort87);
                                  flick_suntcp_decode_end_glob(75);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort87);
                            flick_suntcp_decode_end_glob(75);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort87);
                      flick_suntcp_decode_end_glob(75);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort87);
                flick_suntcp_decode_end_glob(75);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort87);
          flick_suntcp_decode_end_glob(75);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort87:
    flick_corba_server_error(xdr, suntcp, _flick_reaper, _flick_abort86);
  _flick_abort86:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

int flick_marshal_stub_Coord(flick_marshal_stream_t _stream, Coord *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort191);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned16(0, *_data, CORBA_unsigned_short );
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  return 0;
  {
  _flick_abort191:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_Coord(flick_marshal_stream_t _stream, Coord *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort192);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned16(0, *_data, CORBA_unsigned_short );
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  return 0;
  {
  _flick_abort192:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_CellPos(flick_marshal_stream_t _stream, struct CellPos *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(8, _flick_abort193);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_unsigned16(0, _data->row, CORBA_unsigned_short );
  flick_xdr_encode_unsigned16(4, _data->col, CORBA_unsigned_short );
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
  return 0;
  {
  _flick_abort193:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_CellPos(flick_marshal_stream_t _stream, struct CellPos *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_check_span(8, _flick_abort194);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_unsigned16(0, _data->row, CORBA_unsigned_short );
  flick_xdr_decode_unsigned16(4, _data->col, CORBA_unsigned_short );
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
  return 0;
  {
  _flick_abort194:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_CellPos2(flick_marshal_stream_t _stream, struct CellPos2 *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(8, _flick_abort195);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_unsigned16(0, _data->row, CORBA_unsigned_short );
  flick_xdr_encode_unsigned16(4, _data->col, CORBA_unsigned_short );
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
  return 0;
  {
  _flick_abort195:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_CellPos2(flick_marshal_stream_t _stream, struct CellPos2 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_check_span(8, _flick_abort196);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_unsigned16(0, _data->row, CORBA_unsigned_short );
  flick_xdr_decode_unsigned16(4, _data->col, CORBA_unsigned_short );
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
  return 0;
  {
  _flick_abort196:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_CellPos3(flick_marshal_stream_t _stream, struct CellPos3 *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(12, _flick_abort197);
  flick_suntcp_encode_new_chunk(12);
  flick_xdr_encode_unsigned16(0, _data->row, CORBA_unsigned_short );
  flick_xdr_encode_unsigned16(4, _data->col, CORBA_unsigned_short );
  flick_xdr_encode_unsigned16(8, _data->col2, CORBA_unsigned_short );
  flick_suntcp_encode_end_chunk(12);
  flick_suntcp_encode_end_glob(12);
  return 0;
  {
  _flick_abort197:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_CellPos3(flick_marshal_stream_t _stream, struct CellPos3 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(12);
  flick_suntcp_check_span(12, _flick_abort198);
  flick_suntcp_decode_new_chunk(12);
  flick_xdr_decode_unsigned16(0, _data->row, CORBA_unsigned_short );
  flick_xdr_decode_unsigned16(4, _data->col, CORBA_unsigned_short );
  flick_xdr_decode_unsigned16(8, _data->col2, CORBA_unsigned_short );
  flick_suntcp_decode_end_chunk(12);
  flick_suntcp_decode_end_glob(12);
  return 0;
  {
  _flick_abort198:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

