#include "tpztest-server.h"

/* This is the runtime type information */
char *flick_interface_parents_tpztest[] = {
	"IDL:tpztest:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;
	int reg_success;


	s.prog_num = _PROG_tpztest;
	s.vers_num = _VERS_tpztest;

	reg_success = flick_server_register(s, &tpztest_server);
	assert(reg_success);


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
int flick_marshal_stub_tpztest(flick_marshal_stream_t _stream, tpztest *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort0);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_tpztest(flick_marshal_stream_t _stream, tpztest *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort1);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_tpztest_payload(flick_marshal_stream_t _stream, tpztest_payload *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(8192, _flick_abort2);
  flick_suntcp_encode_new_chunk(8192);
  flick_xdr_encode_bcopy(0, *_data, 8192);
  flick_suntcp_encode_end_chunk(8192);
  flick_suntcp_encode_end_glob(8192);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_tpztest_payload(flick_marshal_stream_t _stream, tpztest_payload *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(8192);
  flick_suntcp_check_span(8192, _flick_abort5);
  flick_suntcp_decode_new_chunk(8192);
  flick_xdr_decode_bcopy(0, *_data, 8192);
  flick_suntcp_decode_end_chunk(8192);
  flick_suntcp_decode_end_glob(8192);
  return 0;
  {
  _flick_abort5:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

flick_operation_success_t tpztest_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    unsigned int _t54_switch_tag;

    flick_suntcp_decode_new_glob(96);
    flick_suntcp_check_span(48, _flick_abort10);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t54_switch_tag, unsigned int );
    flick_suntcp_decode_end_chunk(4);
    switch ((unsigned int )_t54_switch_tag)
      {
      case (unsigned int) 10:
        {
          char _t55_switch_tag;

          flick_suntcp_check_span(56, _flick_abort10);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t55_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t55_switch_tag)
            {
            case 'r':
              {
                char _t56_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t56_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t56_switch_tag)
                  {
                  case 'q':
                    {
                      char _t57_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t57_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t57_switch_tag)
                        {
                        case 's':
                          {
                            char _t58_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t58_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t58_switch_tag)
                              {
                              case 't':
                                {
                                  char _t59_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t59_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t59_switch_tag)
                                    {
                                    case '_':
                                      {
                                        char _t60_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t60_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t60_switch_tag)
                                          {
                                          case 'r':
                                            {
                                              char _t61_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t61_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t61_switch_tag)
                                                {
                                                case 's':
                                                  {
                                                    char _t62_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t62_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t62_switch_tag)
                                                      {
                                                      case 'p':
                                                        {
                                                          char _t63_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t63_switch_tag, char );
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t63_switch_tag)
                                                            {
                                                            case 'n':
                                                              {
                                                                char _t64_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t64_switch_tag, char );
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch ((char )_t64_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        tpztest _obj;
                                                                        unsigned int _t65_ignore;
                                                                        tpztest_payload_slice *_return;
                                                                        CORBA_Environment *_ev;
                                                                        CORBA_Environment _t66_storage;

                                                                        flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort53);
                                                                        /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                        flick_suntcp_decode_new_chunk(16);
                                                                        flick_xdr_decode_unsigned32(0, _t65_ignore, unsigned int );
                                                                        flick_xdr_decode_unsigned32(4, _t65_ignore, unsigned int );
                                                                        flick_xdr_decode_unsigned32(8, _t65_ignore, unsigned int );
                                                                        flick_xdr_decode_unsigned32(12, _t65_ignore, unsigned int );
                                                                        _return = 0;
                                                                        _ev = (CORBA_Environment *)(&_t66_storage);
                                                                        flick_suntcp_decode_end_chunk(16);
                                                                        flick_suntcp_decode_end_glob(96);
                                                                        flick_suntcp_server_end_decode();
                                                                        flick_corba_init_environment();
                                                                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                                        _return = tpztest_rqst_rspn(_obj, _ev);
                                                                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                                        _stub_state.state = FLICK_STATE_MARSHAL;
                                                                        flick_suntcp_server_start_encode();
                                                                        {
                                                                          flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort53);
                                                                          flick_suntcp_encode_new_glob(4, _flick_abort53);
                                                                          flick_suntcp_encode_new_chunk(4);
                                                                          flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                                          flick_suntcp_encode_end_chunk(4);
                                                                          switch (_ev->_major)
                                                                            {
                                                                            case CORBA_NO_EXCEPTION:
                                                                              {
                                                                                flick_suntcp_encode_end_glob(4);
                                                                                flick_suntcp_encode_new_glob(8192, _flick_abort60);
                                                                                flick_suntcp_encode_new_chunk(8192);
                                                                                flick_xdr_encode_bcopy(0, _return, 8192);
                                                                                CORBA_flick_free(_return);
                                                                                _return = 0;
                                                                                flick_suntcp_encode_end_chunk(8192);
                                                                                flick_suntcp_encode_end_glob(8192);
                                                                                break;
                                                                                {
                                                                                _flick_abort60:
                                                                                  goto _flick_abort53;
                                                                                }
                                                                              }
                                                                            case CORBA_SYSTEM_EXCEPTION:
                                                                              {
                                                                                flick_suntcp_encode_end_glob(4);
                                                                                flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort63);
                                                                                break;
                                                                                {
                                                                                _flick_abort63:
                                                                                  goto _flick_abort53;
                                                                                }
                                                                              }
                                                                            default:
                                                                              {
                                                                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort64);
                                                                                flick_suntcp_encode_end_glob(4);
                                                                                break;
                                                                                {
                                                                                _flick_abort64:
                                                                                  goto _flick_abort53;
                                                                                }
                                                                              }
                                                                            }
                                                                        }
                                                                        flick_suntcp_server_end_encode();
                                                                        break;
                                                                        {
                                                                        _flick_abort53:
                                                                          goto _flick_abort52;
                                                                        }
                                                                      }
                                                                      break;
                                                                      {
                                                                      _flick_abort52:
                                                                        goto _flick_abort10;
                                                                      }
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort10);
                                                                      flick_suntcp_decode_end_glob(96);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort10);
                                                                flick_suntcp_decode_end_glob(96);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort10);
                                                          flick_suntcp_decode_end_glob(96);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort10);
                                                    flick_suntcp_decode_end_glob(96);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort10);
                                              flick_suntcp_decode_end_glob(96);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort10);
                                        flick_suntcp_decode_end_glob(96);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort10);
                                  flick_suntcp_decode_end_glob(96);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort10);
                            flick_suntcp_decode_end_glob(96);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort10);
                      flick_suntcp_decode_end_glob(96);
                      break;
                    }
                  }
                break;
              }
            case 'b':
              {
                char _t67_switch_tag;

                flick_suntcp_check_span(8244, _flick_abort10);
                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t67_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t67_switch_tag)
                  {
                  case 'a':
                    {
                      char _t68_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t68_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t68_switch_tag)
                        {
                        case 'n':
                          {
                            char _t69_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t69_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t69_switch_tag)
                              {
                              case 'd':
                                {
                                  char _t70_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t70_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t70_switch_tag)
                                    {
                                    case 'w':
                                      {
                                        char _t71_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t71_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t71_switch_tag)
                                          {
                                          case 'i':
                                            {
                                              char _t72_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t72_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t72_switch_tag)
                                                {
                                                case 'd':
                                                  {
                                                    char _t73_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t73_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t73_switch_tag)
                                                      {
                                                      case 't':
                                                        {
                                                          char _t74_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t74_switch_tag, char );
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t74_switch_tag)
                                                            {
                                                            case 'h':
                                                              {
                                                                char _t75_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t75_switch_tag, char );
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch ((char )_t75_switch_tag)
                                                                  {
                                                                  case 0:
                                                                    {
                                                                      {
                                                                        tpztest _obj;
                                                                        unsigned int _t76_ignore;
                                                                        CORBA_octet *_local_pld;
                                                                        CORBA_Environment *_ev;
                                                                        CORBA_Environment _t77_storage;

                                                                        flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort66);
                                                                        /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                        flick_suntcp_decode_new_chunk(16);
                                                                        flick_xdr_decode_unsigned32(0, _t76_ignore, unsigned int );
                                                                        flick_xdr_decode_unsigned32(4, _t76_ignore, unsigned int );
                                                                        flick_xdr_decode_unsigned32(8, _t76_ignore, unsigned int );
                                                                        flick_xdr_decode_unsigned32(12, _t76_ignore, unsigned int );
                                                                        flick_suntcp_decode_end_chunk(16);
                                                                        flick_suntcp_decode_end_glob(96);
                                                                        flick_suntcp_decode_new_glob(8192);
                                                                        flick_suntcp_decode_new_chunk(8192);
                                                                        flick_xdr_decode_msgptr(0, _local_pld, CORBA_octet *);
                                                                        _ev = (CORBA_Environment *)(&_t77_storage);
                                                                        flick_suntcp_decode_end_chunk(8192);
                                                                        flick_suntcp_decode_end_glob(8192);
                                                                        flick_suntcp_server_end_decode();
                                                                        flick_corba_init_environment();
                                                                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                                        tpztest_bandwidth(_obj, _local_pld, _ev);
                                                                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                                        return FLICK_OPERATION_SUCCESS_NOREPLY;
                                                                        break;
                                                                        {
                                                                        _flick_abort66:
                                                                          goto _flick_abort65;
                                                                        }
                                                                      }
                                                                      break;
                                                                      {
                                                                      _flick_abort65:
                                                                        goto _flick_abort10;
                                                                      }
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort10);
                                                                      flick_suntcp_decode_end_glob(96);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort10);
                                                                flick_suntcp_decode_end_glob(96);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort10);
                                                          flick_suntcp_decode_end_glob(96);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort10);
                                                    flick_suntcp_decode_end_glob(96);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort10);
                                              flick_suntcp_decode_end_glob(96);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort10);
                                        flick_suntcp_decode_end_glob(96);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort10);
                                  flick_suntcp_decode_end_glob(96);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort10);
                            flick_suntcp_decode_end_glob(96);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort10);
                      flick_suntcp_decode_end_glob(96);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort10);
                flick_suntcp_decode_end_glob(96);
                break;
              }
            }
          break;
        }
      case (unsigned int) 19:
        {
          char _t78_switch_tag;

          flick_suntcp_check_span(8284, _flick_abort10);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t78_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t78_switch_tag)
            {
            case 'b':
              {
                char _t79_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t79_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t79_switch_tag)
                  {
                  case 'a':
                    {
                      char _t80_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t80_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t80_switch_tag)
                        {
                        case 'n':
                          {
                            char _t81_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t81_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t81_switch_tag)
                              {
                              case 'd':
                                {
                                  char _t82_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t82_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t82_switch_tag)
                                    {
                                    case 'w':
                                      {
                                        char _t83_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t83_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t83_switch_tag)
                                          {
                                          case 'i':
                                            {
                                              char _t84_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t84_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t84_switch_tag)
                                                {
                                                case 'd':
                                                  {
                                                    char _t85_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t85_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t85_switch_tag)
                                                      {
                                                      case 't':
                                                        {
                                                          char _t86_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t86_switch_tag, char );
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t86_switch_tag)
                                                            {
                                                            case 'h':
                                                              {
                                                                char _t87_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t87_switch_tag, char );
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch ((char )_t87_switch_tag)
                                                                  {
                                                                  case '_':
                                                                    {
                                                                      char _t88_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t88_switch_tag, char );
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch ((char )_t88_switch_tag)
                                                                        {
                                                                        case 'p':
                                                                          {
                                                                            char _t89_switch_tag;

                                                                            flick_suntcp_decode_new_chunk(4);
                                                                            flick_xdr_decode_char8(0, _t89_switch_tag, char );
                                                                            flick_suntcp_decode_end_chunk(4);
                                                                            switch ((char )_t89_switch_tag)
                                                                              {
                                                                              case 'i':
                                                                                {
                                                                                  char _t90_switch_tag;

                                                                                  flick_suntcp_decode_new_chunk(4);
                                                                                  flick_xdr_decode_char8(0, _t90_switch_tag, char );
                                                                                  flick_suntcp_decode_end_chunk(4);
                                                                                  switch ((char )_t90_switch_tag)
                                                                                    {
                                                                                    case 'n':
                                                                                      {
                                                                                        char _t91_switch_tag;

                                                                                        flick_suntcp_decode_new_chunk(4);
                                                                                        flick_xdr_decode_char8(0, _t91_switch_tag, char );
                                                                                        flick_suntcp_decode_end_chunk(4);
                                                                                        switch ((char )_t91_switch_tag)
                                                                                          {
                                                                                          case 'g':
                                                                                            {
                                                                                              char _t92_switch_tag;

                                                                                              flick_suntcp_decode_new_chunk(4);
                                                                                              flick_xdr_decode_char8(0, _t92_switch_tag, char );
                                                                                              flick_suntcp_decode_end_chunk(4);
                                                                                              switch ((char )_t92_switch_tag)
                                                                                                {
                                                                                                case 'b':
                                                                                                  {
                                                                                                    char _t93_switch_tag;

                                                                                                    flick_suntcp_decode_new_chunk(4);
                                                                                                    flick_xdr_decode_char8(0, _t93_switch_tag, char );
                                                                                                    flick_suntcp_decode_end_chunk(4);
                                                                                                    switch ((char )_t93_switch_tag)
                                                                                                      {
                                                                                                      case 'a':
                                                                                                        {
                                                                                                          char _t94_switch_tag;

                                                                                                          flick_suntcp_decode_new_chunk(4);
                                                                                                          flick_xdr_decode_char8(0, _t94_switch_tag, char );
                                                                                                          flick_suntcp_decode_end_chunk(4);
                                                                                                          switch ((char )_t94_switch_tag)
                                                                                                            {
                                                                                                            case 'c':
                                                                                                              {
                                                                                                                char _t95_switch_tag;

                                                                                                                flick_suntcp_decode_new_chunk(4);
                                                                                                                flick_xdr_decode_char8(0, _t95_switch_tag, char );
                                                                                                                flick_suntcp_decode_end_chunk(4);
                                                                                                                switch ((char )_t95_switch_tag)
                                                                                                                  {
                                                                                                                  case 'k':
                                                                                                                    {
                                                                                                                      char _t96_switch_tag;

                                                                                                                      flick_suntcp_decode_new_chunk(4);
                                                                                                                      flick_xdr_decode_char8(0, _t96_switch_tag, char );
                                                                                                                      flick_suntcp_decode_end_chunk(4);
                                                                                                                      switch ((char )_t96_switch_tag)
                                                                                                                        {
                                                                                                                        case 0:
                                                                                                                          {
                                                                                                                            {
                                                                                                                              tpztest _obj;
                                                                                                                              unsigned int _t97_ignore;
                                                                                                                              CORBA_octet *_local_pld;
                                                                                                                              CORBA_Environment *_ev;
                                                                                                                              CORBA_Environment _t98_storage;

                                                                                                                              flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort70);
                                                                                                                              /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                                                                              flick_suntcp_decode_new_chunk(16);
                                                                                                                              flick_xdr_decode_unsigned32(0, _t97_ignore, unsigned int );
                                                                                                                              flick_xdr_decode_unsigned32(4, _t97_ignore, unsigned int );
                                                                                                                              flick_xdr_decode_unsigned32(8, _t97_ignore, unsigned int );
                                                                                                                              flick_xdr_decode_unsigned32(12, _t97_ignore, unsigned int );
                                                                                                                              flick_suntcp_decode_end_chunk(16);
                                                                                                                              flick_suntcp_decode_end_glob(96);
                                                                                                                              flick_suntcp_decode_new_glob(8192);
                                                                                                                              flick_suntcp_decode_new_chunk(8192);
                                                                                                                              flick_xdr_decode_msgptr(0, _local_pld, CORBA_octet *);
                                                                                                                              _ev = (CORBA_Environment *)(&_t98_storage);
                                                                                                                              flick_suntcp_decode_end_chunk(8192);
                                                                                                                              flick_suntcp_decode_end_glob(8192);
                                                                                                                              flick_suntcp_server_end_decode();
                                                                                                                              flick_corba_init_environment();
                                                                                                                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                                                                                              tpztest_bandwidth_pingback(_obj, _local_pld, _ev);
                                                                                                                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                                                                                              _stub_state.state = FLICK_STATE_MARSHAL;
                                                                                                                              flick_suntcp_server_start_encode();
                                                                                                                              {
                                                                                                                                flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort70);
                                                                                                                                flick_suntcp_encode_new_glob(4, _flick_abort70);
                                                                                                                                flick_suntcp_encode_new_chunk(4);
                                                                                                                                flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                                                                                                flick_suntcp_encode_end_chunk(4);
                                                                                                                                switch (_ev->_major)
                                                                                                                                  {
                                                                                                                                  case CORBA_NO_EXCEPTION:
                                                                                                                                    {
                                                                                                                                      flick_suntcp_encode_end_glob(4);
                                                                                                                                      break;
                                                                                                                                    }
                                                                                                                                  case CORBA_SYSTEM_EXCEPTION:
                                                                                                                                    {
                                                                                                                                      flick_suntcp_encode_end_glob(4);
                                                                                                                                      flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort78);
                                                                                                                                      break;
                                                                                                                                      {
                                                                                                                                      _flick_abort78:
                                                                                                                                        goto _flick_abort70;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  default:
                                                                                                                                    {
                                                                                                                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort79);
                                                                                                                                      flick_suntcp_encode_end_glob(4);
                                                                                                                                      break;
                                                                                                                                      {
                                                                                                                                      _flick_abort79:
                                                                                                                                        goto _flick_abort70;
                                                                                                                                      }
                                                                                                                                    }
                                                                                                                                  }
                                                                                                                              }
                                                                                                                              flick_suntcp_server_end_encode();
                                                                                                                              break;
                                                                                                                              {
                                                                                                                              _flick_abort70:
                                                                                                                                goto _flick_abort69;
                                                                                                                              }
                                                                                                                            }
                                                                                                                            break;
                                                                                                                            {
                                                                                                                            _flick_abort69:
                                                                                                                              goto _flick_abort10;
                                                                                                                            }
                                                                                                                          }
                                                                                                                        default:
                                                                                                                          {
                                                                                                                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort10);
                                                                                                                            flick_suntcp_decode_end_glob(96);
                                                                                                                            break;
                                                                                                                          }
                                                                                                                        }
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  default:
                                                                                                                    {
                                                                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort10);
                                                                                                                      flick_suntcp_decode_end_glob(96);
                                                                                                                      break;
                                                                                                                    }
                                                                                                                  }
                                                                                                                break;
                                                                                                              }
                                                                                                            default:
                                                                                                              {
                                                                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort10);
                                                                                                                flick_suntcp_decode_end_glob(96);
                                                                                                                break;
                                                                                                              }
                                                                                                            }
                                                                                                          break;
                                                                                                        }
                                                                                                      default:
                                                                                                        {
                                                                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort10);
                                                                                                          flick_suntcp_decode_end_glob(96);
                                                                                                          break;
                                                                                                        }
                                                                                                      }
                                                                                                    break;
                                                                                                  }
                                                                                                default:
                                                                                                  {
                                                                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort10);
                                                                                                    flick_suntcp_decode_end_glob(96);
                                                                                                    break;
                                                                                                  }
                                                                                                }
                                                                                              break;
                                                                                            }
                                                                                          default:
                                                                                            {
                                                                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort10);
                                                                                              flick_suntcp_decode_end_glob(96);
                                                                                              break;
                                                                                            }
                                                                                          }
                                                                                        break;
                                                                                      }
                                                                                    default:
                                                                                      {
                                                                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort10);
                                                                                        flick_suntcp_decode_end_glob(96);
                                                                                        break;
                                                                                      }
                                                                                    }
                                                                                  break;
                                                                                }
                                                                              default:
                                                                                {
                                                                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort10);
                                                                                  flick_suntcp_decode_end_glob(96);
                                                                                  break;
                                                                                }
                                                                              }
                                                                            break;
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort10);
                                                                            flick_suntcp_decode_end_glob(96);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort10);
                                                                      flick_suntcp_decode_end_glob(96);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort10);
                                                                flick_suntcp_decode_end_glob(96);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort10);
                                                          flick_suntcp_decode_end_glob(96);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort10);
                                                    flick_suntcp_decode_end_glob(96);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort10);
                                              flick_suntcp_decode_end_glob(96);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort10);
                                        flick_suntcp_decode_end_glob(96);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort10);
                                  flick_suntcp_decode_end_glob(96);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort10);
                            flick_suntcp_decode_end_glob(96);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort10);
                      flick_suntcp_decode_end_glob(96);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort10);
                flick_suntcp_decode_end_glob(96);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          char _t99_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t99_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t99_switch_tag)
            {
            case '_':
              {
                char _t100_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t100_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t100_switch_tag)
                  {
                  case 'i':
                    {
                      char _t101_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t101_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t101_switch_tag)
                        {
                        case 's':
                          {
                            char _t102_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t102_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t102_switch_tag)
                              {
                              case '_':
                                {
                                  char _t103_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t103_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t103_switch_tag)
                                    {
                                    case 'a':
                                      {
                                        char _t104_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t104_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t104_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                CORBA_Object _obj;
                                                unsigned int _t105_ignore;
                                                CORBA_boolean _return;
                                                CORBA_char *_local_id;
                                                flick_unsigned32_t _t106_temp_string_len;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t107_storage;
                                                char **_par;

                                                flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort81);
                                                /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                flick_suntcp_decode_new_chunk(20);
                                                flick_xdr_decode_unsigned32(0, _t105_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(4, _t105_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(8, _t105_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(12, _t105_ignore, unsigned int );
                                                _return = 0;
                                                flick_xdr_decode_unsigned32(16, _t106_temp_string_len, flick_unsigned32_t );
                                                flick_suntcp_decode_end_chunk(20);
                                                flick_suntcp_decode_end_glob(96);
                                                flick_suntcp_decode_new_glob(1 * _t106_temp_string_len);
                                                flick_suntcp_check_span(1 * _t106_temp_string_len, _flick_abort81);
                                                flick_suntcp_decode_new_chunk(1 * _t106_temp_string_len);
                                                if ((_t106_temp_string_len + 3) & ~3)
                                                  {
                                                    flick_xdr_decode_msgptr(0, _local_id, CORBA_char *);
                                                  }
                                                else
                                                  {
                                                    {
                                                      CORBA_char *_t_alloc_ptr;

                                                      _t_alloc_ptr = (CORBA_char *)(auto_flick_alloc((_t106_temp_string_len + 1) * sizeof(CORBA_char )));
                                                      if (!_t_alloc_ptr)
                                                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort81);
                                                      _local_id = _t_alloc_ptr;
                                                    }
                                                    flick_xdr_decode_bcopy(0, _local_id, 1 * _t106_temp_string_len);
                                                  }
                                                flick_suntcp_decode_end_chunk(1 * _t106_temp_string_len);
                                                _local_id[_t106_temp_string_len] = 0;
                                                flick_suntcp_decode_end_glob(1 * _t106_temp_string_len);
                                                flick_suntcp_decode_new_glob(3);
                                                flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
                                                _ev = (CORBA_Environment *)(&_t107_storage);
                                                _par = flick_interface_parents_tpztest;
                                                flick_suntcp_decode_end_chunk(0);
                                                flick_suntcp_decode_end_glob(3);
                                                flick_suntcp_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_suntcp_server_start_encode();
                                                {
                                                  flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort84);
                                                  flick_suntcp_encode_new_glob(8, _flick_abort84);
                                                  flick_suntcp_encode_new_chunk(4);
                                                  flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_suntcp_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        flick_suntcp_encode_new_chunk(4);
                                                        flick_xdr_encode_unsigned8(0, _return, CORBA_boolean );
                                                        flick_suntcp_encode_end_chunk(4);
                                                        flick_suntcp_encode_end_glob(8);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_suntcp_encode_end_glob(8);
                                                        flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort90);
                                                        break;
                                                        {
                                                        _flick_abort90:
                                                          goto _flick_abort84;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort91);
                                                        flick_suntcp_encode_end_glob(8);
                                                        break;
                                                        {
                                                        _flick_abort91:
                                                          goto _flick_abort84;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_suntcp_server_end_encode();
                                                break;
                                                {
                                                _flick_abort84:
                                                  auto_flick_free(_local_id);
                                                _flick_abort81:
                                                  goto _flick_abort80;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort80:
                                                goto _flick_abort10;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort10);
                                              flick_suntcp_decode_end_glob(96);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort10);
                                        flick_suntcp_decode_end_glob(96);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort10);
                                  flick_suntcp_decode_end_glob(96);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort10);
                            flick_suntcp_decode_end_glob(96);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort10);
                      flick_suntcp_decode_end_glob(96);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort10);
                flick_suntcp_decode_end_glob(96);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort10);
          flick_suntcp_decode_end_glob(96);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort10:
    flick_corba_server_error(xdr, suntcp, _flick_reaper, _flick_abort9);
  _flick_abort9:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

