#include "ttcp-server.h"

/* This is the runtime type information */
char *flick_interface_parents_ttcp[] = {
	"IDL:ttcp:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>
#include <flick/link/suntcp.h>
#include <flick/encode/xdr.h>

int main(int argc, char **argv)
{
	FLICK_SERVER_DESCRIPTOR s;
	int reg_success;


	s.prog_num = _PROG_ttcp;
	s.vers_num = _VERS_ttcp;

	reg_success = flick_server_register(s, &ttcp_server);
	assert(reg_success);


	flick_server_run();
	(void)fprintf(stderr, "flick_server_run returned\n");
	exit(1);
}
int flick_marshal_stub_a(flick_marshal_stream_t _stream, struct a *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(8, _flick_abort0);
  flick_suntcp_encode_new_chunk(8);
  flick_xdr_encode_signed32(0, _data->xx, CORBA_long );
  flick_xdr_encode_signed32(4, _data->yy, CORBA_long );
  flick_suntcp_encode_end_chunk(8);
  flick_suntcp_encode_end_glob(8);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_a(flick_marshal_stream_t _stream, struct a *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(8);
  flick_suntcp_check_span(8, _flick_abort1);
  flick_suntcp_decode_new_chunk(8);
  flick_xdr_decode_signed32(0, _data->xx, CORBA_long );
  flick_xdr_decode_signed32(4, _data->yy, CORBA_long );
  flick_suntcp_decode_end_chunk(8);
  flick_suntcp_decode_end_glob(8);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_b(flick_marshal_stream_t _stream, struct b *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(16, _flick_abort2);
  flick_suntcp_encode_new_chunk(16);
  flick_xdr_encode_signed32(0, _data->x.xx, CORBA_long );
  flick_xdr_encode_signed32(4, _data->x.yy, CORBA_long );
  flick_xdr_encode_signed32(8, _data->y.xx, CORBA_long );
  flick_xdr_encode_signed32(12, _data->y.yy, CORBA_long );
  flick_suntcp_encode_end_chunk(16);
  flick_suntcp_encode_end_glob(16);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_b(flick_marshal_stream_t _stream, struct b *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(16);
  flick_suntcp_check_span(16, _flick_abort3);
  flick_suntcp_decode_new_chunk(16);
  flick_xdr_decode_signed32(0, _data->x.xx, CORBA_long );
  flick_xdr_decode_signed32(4, _data->x.yy, CORBA_long );
  flick_xdr_decode_signed32(8, _data->y.xx, CORBA_long );
  flick_xdr_decode_signed32(12, _data->y.yy, CORBA_long );
  flick_suntcp_decode_end_chunk(16);
  flick_suntcp_decode_end_glob(16);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_structBuffer(flick_marshal_stream_t _stream, structBuffer *_data)
{
  CORBA_unsigned_long _t0_array_iter;

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort4);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  flick_suntcp_encode_new_glob(16 * _data->_length, _flick_abort4);
  for (_t0_array_iter = 0; _t0_array_iter < _data->_length; _t0_array_iter++)
    {
      flick_suntcp_encode_new_chunk(16);
      flick_xdr_encode_signed32(0, _data->_buffer[_t0_array_iter].x.xx, CORBA_long );
      flick_xdr_encode_signed32(4, _data->_buffer[_t0_array_iter].x.yy, CORBA_long );
      flick_xdr_encode_signed32(8, _data->_buffer[_t0_array_iter].y.xx, CORBA_long );
      flick_xdr_encode_signed32(12, _data->_buffer[_t0_array_iter].y.yy, CORBA_long );
      flick_suntcp_encode_end_chunk(16);
      continue;
    }
  if (_data->_release)
    CORBA_flick_free(_data->_buffer);
  _data->_maximum = 0;
  _data->_release = 0;
  flick_suntcp_encode_end_glob(16 * _data->_length);
  return 0;
  {
  _flick_abort4:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_structBuffer(flick_marshal_stream_t _stream, structBuffer *_data)
{
  CORBA_unsigned_long _t1_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort10);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  flick_suntcp_decode_new_glob(16 * _data->_length);
  {
    struct b *_t_alloc_ptr;

    _t_alloc_ptr = (struct b *)(CORBA_flick_alloc((_data->_length + 1) * sizeof(struct b )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort10);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = _data->_length + 1;
    _data->_release = 1;
  }
  flick_suntcp_check_span(_data->_length * 16, _flick_abort14);
  for (_t1_array_iter = 0; _t1_array_iter < _data->_length; _t1_array_iter++)
    {
      flick_suntcp_decode_new_chunk(16);
      flick_xdr_decode_signed32(0, _data->_buffer[_t1_array_iter].x.xx, CORBA_long );
      flick_xdr_decode_signed32(4, _data->_buffer[_t1_array_iter].x.yy, CORBA_long );
      flick_xdr_decode_signed32(8, _data->_buffer[_t1_array_iter].y.xx, CORBA_long );
      flick_xdr_decode_signed32(12, _data->_buffer[_t1_array_iter].y.yy, CORBA_long );
      flick_suntcp_decode_end_chunk(16);
      continue;
    }
  flick_suntcp_decode_end_glob(16 * _data->_length);
  return 0;
  {
  _flick_abort14:
    CORBA_flick_free(_data->_buffer);
  _flick_abort10:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_intBuffer(flick_marshal_stream_t _stream, intBuffer *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  CORBA_unsigned_long _t2_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort17);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  flick_suntcp_encode_new_glob(4 * _data->_length, _flick_abort17);
#if BYTE_ORDER != BIG_ENDIAN
  for (_t2_array_iter = 0; _t2_array_iter < _data->_length; _t2_array_iter++)
    {
      flick_suntcp_encode_new_chunk(4);
      flick_xdr_encode_signed32(0, _data->_buffer[_t2_array_iter], CORBA_long );
      flick_suntcp_encode_end_chunk(4);
      continue;
    }
  if (_data->_release)
    CORBA_flick_free(_data->_buffer);
  _data->_maximum = 0;
  _data->_release = 0;
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_encode_new_chunk(4 * _data->_length);
  flick_xdr_encode_bcopy(0, _data->_buffer, 4 * _data->_length);
  if (_data->_release)
    CORBA_flick_free(_data->_buffer);
  _data->_maximum = 0;
  _data->_release = 0;
  flick_suntcp_encode_end_chunk(4 * _data->_length);
#endif /* ENDIANness */
  flick_suntcp_encode_end_glob(4 * _data->_length);
  return 0;
  {
  _flick_abort17:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_intBuffer(flick_marshal_stream_t _stream, intBuffer *_data)
{
#if BYTE_ORDER != BIG_ENDIAN
  CORBA_unsigned_long _t3_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort25);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_unsigned32(0, _data->_length, CORBA_unsigned_long );
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  flick_suntcp_decode_new_glob(4 * _data->_length);
#if BYTE_ORDER != BIG_ENDIAN
  flick_suntcp_check_span(4 * _data->_length, _flick_abort28);
  {
    CORBA_long *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_long *)(CORBA_flick_alloc((_data->_length + 1) * sizeof(CORBA_long )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort28);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = _data->_length + 1;
    _data->_release = 1;
  }
  for (_t3_array_iter = 0; _t3_array_iter < _data->_length; _t3_array_iter++)
    {
      flick_suntcp_decode_new_chunk(4);
      flick_xdr_decode_signed32(0, _data->_buffer[_t3_array_iter], CORBA_long );
      flick_suntcp_decode_end_chunk(4);
      continue;
    }
#else /* BIG_ENDIAN - do a bcopy*/
  flick_suntcp_decode_new_chunk(4 * _data->_length);
  {
    CORBA_long *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA_long *)(CORBA_flick_alloc((_data->_length + 1) * sizeof(CORBA_long )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort33);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = _data->_length + 1;
    _data->_release = 1;
  }
  flick_xdr_decode_bcopy(0, _data->_buffer, 4 * _data->_length);
  flick_suntcp_decode_end_chunk(4 * _data->_length);
#endif /* ENDIANness */
  flick_suntcp_decode_end_glob(4 * _data->_length);
  return 0;
  {
#if BYTE_ORDER != BIG_ENDIAN
  _flick_abort28:
#else /* BIG_ENDIAN - do a bcopy*/
  _flick_abort33:
#endif /* ENDIANness */
  _flick_abort25:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_useless(flick_marshal_stream_t _stream, useless *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort35);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_signed32(0, _data->baloney, CORBA_long );
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  return 0;
  {
  _flick_abort35:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_useless(flick_marshal_stream_t _stream, useless *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort36);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_signed32(0, _data->baloney, CORBA_long );
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  return 0;
  {
  _flick_abort36:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_ttcp(flick_marshal_stream_t _stream, ttcp *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_suntcp_encode_new_glob(4, _flick_abort37);
  flick_suntcp_encode_new_chunk(4);
  flick_xdr_encode_port32(0, *_data, 0);
  flick_suntcp_encode_end_chunk(4);
  flick_suntcp_encode_end_glob(4);
  return 0;
  {
  _flick_abort37:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_ttcp(flick_marshal_stream_t _stream, ttcp *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_suntcp_decode_new_glob(4);
  flick_suntcp_check_span(4, _flick_abort38);
  flick_suntcp_decode_new_chunk(4);
  flick_xdr_decode_port32(0, *_data, 1);
  flick_suntcp_decode_end_chunk(4);
  flick_suntcp_decode_end_glob(4);
  return 0;
  {
  _flick_abort38:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

flick_operation_success_t ttcp_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP)
{
  FLICK_BUFFER *_stream;

  flick_suntcp_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    unsigned int _t41_switch_tag;

    flick_suntcp_decode_new_glob(68);
    flick_suntcp_check_span(48, _flick_abort41);
    flick_suntcp_decode_new_chunk(4);
    flick_xdr_decode_unsigned32(0, _t41_switch_tag, unsigned int );
    flick_suntcp_decode_end_chunk(4);
    switch ((unsigned int )_t41_switch_tag)
      {
      case (unsigned int) 8:
        {
          char _t42_switch_tag;

          flick_suntcp_check_span(52, _flick_abort41);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t42_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t42_switch_tag)
            {
            case 'i':
              {
                char _t43_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t43_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t43_switch_tag)
                  {
                  case 'n':
                    {
                      char _t44_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t44_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t44_switch_tag)
                        {
                        case 't':
                          {
                            char _t45_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t45_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t45_switch_tag)
                              {
                              case 't':
                                {
                                  char _t46_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t46_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t46_switch_tag)
                                    {
                                    case 'e':
                                      {
                                        char _t47_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t47_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t47_switch_tag)
                                          {
                                          case 's':
                                            {
                                              char _t48_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t48_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t48_switch_tag)
                                                {
                                                case 't':
                                                  {
                                                    char _t49_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t49_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t49_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            ttcp _obj;
                                                            unsigned int _t50_ignore;
                                                            CORBA_long _return;
                                                            intBuffer *_local_data;
                                                            intBuffer _t51_storage;
#if BYTE_ORDER != BIG_ENDIAN
                                                            CORBA_unsigned_long _t52_array_iter;
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
                                                            CORBA_Environment *_ev;
                                                            CORBA_Environment _t53_storage;

                                                            flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort100);
                                                            /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                            flick_suntcp_decode_new_chunk(20);
                                                            flick_xdr_decode_unsigned32(0, _t50_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(4, _t50_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(8, _t50_ignore, unsigned int );
                                                            flick_xdr_decode_unsigned32(12, _t50_ignore, unsigned int );
                                                            _return = 0;
                                                            _local_data = (intBuffer *)(&_t51_storage);
                                                            flick_xdr_decode_unsigned32(16, _local_data->_length, CORBA_unsigned_long );
                                                            flick_suntcp_decode_end_chunk(20);
                                                            flick_suntcp_decode_end_glob(68);
                                                            flick_suntcp_decode_new_glob(4 * _local_data->_length);
#if BYTE_ORDER != BIG_ENDIAN
                                                            flick_suntcp_check_span(4 * _local_data->_length, _flick_abort103);
                                                            {
                                                              CORBA_long *_t_alloc_ptr;

                                                              _t_alloc_ptr = (CORBA_long *)(auto_flick_alloc((_local_data->_length + 1) * sizeof(CORBA_long )));
                                                              if (!_t_alloc_ptr)
                                                                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort103);
                                                              _local_data->_buffer = _t_alloc_ptr;
                                                              _local_data->_maximum = _local_data->_length + 1;
                                                              _local_data->_release = 1;
                                                            }
                                                            for (_t52_array_iter = 0; _t52_array_iter < _local_data->_length; _t52_array_iter++)
                                                              {
                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_signed32(0, _local_data->_buffer[_t52_array_iter], CORBA_long );
                                                                flick_suntcp_decode_end_chunk(4);
                                                                continue;
                                                              }
#else /* BIG_ENDIAN - do a bcopy*/
                                                            flick_suntcp_decode_new_chunk(4 * _local_data->_length);
                                                            flick_xdr_decode_msgptr(0, _local_data->_buffer, CORBA_long *);
                                                            _local_data->_maximum = _local_data->_length;
                                                            _local_data->_release = 0;
                                                            flick_suntcp_decode_end_chunk(4 * _local_data->_length);
#endif /* ENDIANness */
                                                            flick_suntcp_decode_end_glob(4 * _local_data->_length);
                                                            _ev = (CORBA_Environment *)(&_t53_storage);
                                                            flick_suntcp_server_end_decode();
                                                            flick_corba_init_environment();
                                                            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                            _return = ttcp_inttest(_obj, _local_data, _ev);
                                                            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                            _stub_state.state = FLICK_STATE_MARSHAL;
                                                            flick_suntcp_server_start_encode();
                                                            {
                                                              flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort_block108);
                                                              flick_suntcp_encode_new_glob(76, _flick_abort_block108);
                                                              flick_suntcp_encode_new_chunk(4);
                                                              flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                              flick_suntcp_encode_end_chunk(4);
                                                              switch (_ev->_major)
                                                                {
                                                                case CORBA_NO_EXCEPTION:
                                                                  {
                                                                    flick_suntcp_encode_new_chunk(4);
                                                                    flick_xdr_encode_signed32(0, _return, CORBA_long );
                                                                    flick_suntcp_encode_end_chunk(4);
                                                                    flick_suntcp_encode_end_glob(76);
                                                                    break;
                                                                  }
                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                  {
                                                                    flick_suntcp_encode_end_glob(76);
                                                                    flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort117);
                                                                    break;
                                                                    {
                                                                    _flick_abort117:
                                                                      goto _flick_abort_block108;
                                                                    }
                                                                  }
                                                                default:
                                                                  {
                                                                    switch ((unsigned int )(1+strlen(_ev->_id)))
                                                                      {
                                                                      case (unsigned int) 16:
                                                                        {
                                                                          switch (*(char *)(_ev->_id + 0))
                                                                            {
                                                                            case 'I':
                                                                              {
                                                                                switch (*(char *)(_ev->_id + 1))
                                                                                  {
                                                                                  case 'D':
                                                                                    {
                                                                                      switch (*(char *)(_ev->_id + 2))
                                                                                        {
                                                                                        case 'L':
                                                                                          {
                                                                                            switch (*(char *)(_ev->_id + 3))
                                                                                              {
                                                                                              case ':':
                                                                                                {
                                                                                                  switch (*(char *)(_ev->_id + 4))
                                                                                                    {
                                                                                                    case 'u':
                                                                                                      {
                                                                                                        switch (*(char *)(_ev->_id + 5))
                                                                                                          {
                                                                                                          case 's':
                                                                                                            {
                                                                                                              switch (*(char *)(_ev->_id + 6))
                                                                                                                {
                                                                                                                case 'e':
                                                                                                                  {
                                                                                                                    switch (*(char *)(_ev->_id + 7))
                                                                                                                      {
                                                                                                                      case 'l':
                                                                                                                        {
                                                                                                                          switch (*(char *)(_ev->_id + 8))
                                                                                                                            {
                                                                                                                            case 'e':
                                                                                                                              {
                                                                                                                                switch (*(char *)(_ev->_id + 9))
                                                                                                                                  {
                                                                                                                                  case 's':
                                                                                                                                    {
                                                                                                                                      switch (*(char *)(_ev->_id + 10))
                                                                                                                                        {
                                                                                                                                        case 's':
                                                                                                                                          {
                                                                                                                                            switch (*(char *)(_ev->_id + 11))
                                                                                                                                              {
                                                                                                                                              case ':':
                                                                                                                                                {
                                                                                                                                                  switch (*(char *)(_ev->_id + 12))
                                                                                                                                                    {
                                                                                                                                                    case '1':
                                                                                                                                                      {
                                                                                                                                                        switch (*(char *)(_ev->_id + 13))
                                                                                                                                                          {
                                                                                                                                                          case '.':
                                                                                                                                                            {
                                                                                                                                                              switch (*(char *)(_ev->_id + 14))
                                                                                                                                                                {
                                                                                                                                                                case '0':
                                                                                                                                                                  {
                                                                                                                                                                    switch (*(char *)(_ev->_id + 15))
                                                                                                                                                                      {
                                                                                                                                                                      case 0:
                                                                                                                                                                        {
                                                                                                                                                                          flick_suntcp_encode_new_chunk(72);
                                                                                                                                                                          flick_xdr_encode_unsigned32(0, 16, flick_unsigned32_t );
                                                                                                                                                                          flick_xdr_encode_char8(4, 'I', flick_char8_t );
                                                                                                                                                                          flick_xdr_encode_char8(8, 'D', flick_char8_t );
                                                                                                                                                                          flick_xdr_encode_char8(12, 'L', flick_char8_t );
                                                                                                                                                                          flick_xdr_encode_char8(16, ':', flick_char8_t );
                                                                                                                                                                          flick_xdr_encode_char8(20, 'u', flick_char8_t );
                                                                                                                                                                          flick_xdr_encode_char8(24, 's', flick_char8_t );
                                                                                                                                                                          flick_xdr_encode_char8(28, 'e', flick_char8_t );
                                                                                                                                                                          flick_xdr_encode_char8(32, 'l', flick_char8_t );
                                                                                                                                                                          flick_xdr_encode_char8(36, 'e', flick_char8_t );
                                                                                                                                                                          flick_xdr_encode_char8(40, 's', flick_char8_t );
                                                                                                                                                                          flick_xdr_encode_char8(44, 's', flick_char8_t );
                                                                                                                                                                          flick_xdr_encode_char8(48, ':', flick_char8_t );
                                                                                                                                                                          flick_xdr_encode_char8(52, '1', flick_char8_t );
                                                                                                                                                                          flick_xdr_encode_char8(56, '.', flick_char8_t );
                                                                                                                                                                          flick_xdr_encode_char8(60, '0', flick_char8_t );
                                                                                                                                                                          flick_xdr_encode_char8(64, 0, flick_char8_t );
                                                                                                                                                                          flick_xdr_encode_signed32(68, ((useless *)(_ev->_value._user_except))->baloney, CORBA_long );
                                                                                                                                                                          CORBA_flick_free((useless *)(_ev->_value._user_except));
                                                                                                                                                                          flick_suntcp_encode_end_chunk(72);
                                                                                                                                                                          break;
                                                                                                                                                                        }
                                                                                                                                                                      default:
                                                                                                                                                                        {
                                                                                                                                                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort118);
                                                                                                                                                                          break;
                                                                                                                                                                        }
                                                                                                                                                                      }
                                                                                                                                                                    break;
                                                                                                                                                                  }
                                                                                                                                                                default:
                                                                                                                                                                  {
                                                                                                                                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort118);
                                                                                                                                                                    break;
                                                                                                                                                                  }
                                                                                                                                                                }
                                                                                                                                                              break;
                                                                                                                                                            }
                                                                                                                                                          default:
                                                                                                                                                            {
                                                                                                                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort118);
                                                                                                                                                              break;
                                                                                                                                                            }
                                                                                                                                                          }
                                                                                                                                                        break;
                                                                                                                                                      }
                                                                                                                                                    default:
                                                                                                                                                      {
                                                                                                                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort118);
                                                                                                                                                        break;
                                                                                                                                                      }
                                                                                                                                                    }
                                                                                                                                                  break;
                                                                                                                                                }
                                                                                                                                              default:
                                                                                                                                                {
                                                                                                                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort118);
                                                                                                                                                  break;
                                                                                                                                                }
                                                                                                                                              }
                                                                                                                                            break;
                                                                                                                                          }
                                                                                                                                        default:
                                                                                                                                          {
                                                                                                                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort118);
                                                                                                                                            break;
                                                                                                                                          }
                                                                                                                                        }
                                                                                                                                      break;
                                                                                                                                    }
                                                                                                                                  default:
                                                                                                                                    {
                                                                                                                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort118);
                                                                                                                                      break;
                                                                                                                                    }
                                                                                                                                  }
                                                                                                                                break;
                                                                                                                              }
                                                                                                                            default:
                                                                                                                              {
                                                                                                                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort118);
                                                                                                                                break;
                                                                                                                              }
                                                                                                                            }
                                                                                                                          break;
                                                                                                                        }
                                                                                                                      default:
                                                                                                                        {
                                                                                                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort118);
                                                                                                                          break;
                                                                                                                        }
                                                                                                                      }
                                                                                                                    break;
                                                                                                                  }
                                                                                                                default:
                                                                                                                  {
                                                                                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort118);
                                                                                                                    break;
                                                                                                                  }
                                                                                                                }
                                                                                                              break;
                                                                                                            }
                                                                                                          default:
                                                                                                            {
                                                                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort118);
                                                                                                              break;
                                                                                                            }
                                                                                                          }
                                                                                                        break;
                                                                                                      }
                                                                                                    default:
                                                                                                      {
                                                                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort118);
                                                                                                        break;
                                                                                                      }
                                                                                                    }
                                                                                                  break;
                                                                                                }
                                                                                              default:
                                                                                                {
                                                                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort118);
                                                                                                  break;
                                                                                                }
                                                                                              }
                                                                                            break;
                                                                                          }
                                                                                        default:
                                                                                          {
                                                                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort118);
                                                                                            break;
                                                                                          }
                                                                                        }
                                                                                      break;
                                                                                    }
                                                                                  default:
                                                                                    {
                                                                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort118);
                                                                                      break;
                                                                                    }
                                                                                  }
                                                                                break;
                                                                              }
                                                                            default:
                                                                              {
                                                                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort118);
                                                                                break;
                                                                              }
                                                                            }
                                                                          break;
                                                                        }
                                                                      default:
                                                                        {
                                                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort118);
                                                                          break;
                                                                        }
                                                                      }
                                                                    flick_suntcp_encode_end_glob(76);
                                                                    break;
                                                                    {
                                                                    _flick_abort118:
                                                                      goto _flick_abort_block108;
                                                                    }
                                                                  }
                                                                }
                                                            }
                                                            flick_suntcp_server_end_encode();
                                                            break;
                                                            {
                                                            _flick_abort_block108:
#if BYTE_ORDER != BIG_ENDIAN
                                                              auto_flick_free(_local_data->_buffer);
                                                            _flick_abort103:
#else /* BIG_ENDIAN - do a bcopy*/
#endif /* ENDIANness */
                                                            _flick_abort100:
                                                              goto _flick_abort99;
                                                            }
                                                          }
                                                          break;
                                                          {
                                                          _flick_abort99:
                                                            goto _flick_abort41;
                                                          }
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort41);
                                                          flick_suntcp_decode_end_glob(68);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort41);
                                                    flick_suntcp_decode_end_glob(68);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort41);
                                              flick_suntcp_decode_end_glob(68);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort41);
                                        flick_suntcp_decode_end_glob(68);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort41);
                                  flick_suntcp_decode_end_glob(68);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort41);
                            flick_suntcp_decode_end_glob(68);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort41);
                      flick_suntcp_decode_end_glob(68);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort41);
                flick_suntcp_decode_end_glob(68);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          char _t54_switch_tag;

          flick_suntcp_check_span(64, _flick_abort41);
          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t54_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t54_switch_tag)
            {
            case 's':
              {
                char _t55_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t55_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t55_switch_tag)
                  {
                  case 't':
                    {
                      char _t56_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t56_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t56_switch_tag)
                        {
                        case 'r':
                          {
                            char _t57_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t57_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t57_switch_tag)
                              {
                              case 'u':
                                {
                                  char _t58_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t58_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t58_switch_tag)
                                    {
                                    case 'c':
                                      {
                                        char _t59_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t59_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t59_switch_tag)
                                          {
                                          case 't':
                                            {
                                              char _t60_switch_tag;

                                              flick_suntcp_decode_new_chunk(4);
                                              flick_xdr_decode_char8(0, _t60_switch_tag, char );
                                              flick_suntcp_decode_end_chunk(4);
                                              switch ((char )_t60_switch_tag)
                                                {
                                                case 't':
                                                  {
                                                    char _t61_switch_tag;

                                                    flick_suntcp_decode_new_chunk(4);
                                                    flick_xdr_decode_char8(0, _t61_switch_tag, char );
                                                    flick_suntcp_decode_end_chunk(4);
                                                    switch ((char )_t61_switch_tag)
                                                      {
                                                      case 'e':
                                                        {
                                                          char _t62_switch_tag;

                                                          flick_suntcp_decode_new_chunk(4);
                                                          flick_xdr_decode_char8(0, _t62_switch_tag, char );
                                                          flick_suntcp_decode_end_chunk(4);
                                                          switch ((char )_t62_switch_tag)
                                                            {
                                                            case 's':
                                                              {
                                                                char _t63_switch_tag;

                                                                flick_suntcp_decode_new_chunk(4);
                                                                flick_xdr_decode_char8(0, _t63_switch_tag, char );
                                                                flick_suntcp_decode_end_chunk(4);
                                                                switch ((char )_t63_switch_tag)
                                                                  {
                                                                  case 't':
                                                                    {
                                                                      char _t64_switch_tag;

                                                                      flick_suntcp_decode_new_chunk(4);
                                                                      flick_xdr_decode_char8(0, _t64_switch_tag, char );
                                                                      flick_suntcp_decode_end_chunk(4);
                                                                      switch ((char )_t64_switch_tag)
                                                                        {
                                                                        case 0:
                                                                          {
                                                                            {
                                                                              ttcp _obj;
                                                                              unsigned int _t65_ignore;
                                                                              CORBA_long _return;
                                                                              structBuffer *_local_data;
                                                                              structBuffer _t66_storage;
                                                                              CORBA_unsigned_long _t67_array_iter;
                                                                              CORBA_Environment *_ev;
                                                                              CORBA_Environment _t68_storage;

                                                                              flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort123);
                                                                              /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                                              flick_suntcp_decode_new_chunk(20);
                                                                              flick_xdr_decode_unsigned32(0, _t65_ignore, unsigned int );
                                                                              flick_xdr_decode_unsigned32(4, _t65_ignore, unsigned int );
                                                                              flick_xdr_decode_unsigned32(8, _t65_ignore, unsigned int );
                                                                              flick_xdr_decode_unsigned32(12, _t65_ignore, unsigned int );
                                                                              _return = 0;
                                                                              _local_data = (structBuffer *)(&_t66_storage);
                                                                              flick_xdr_decode_unsigned32(16, _local_data->_length, CORBA_unsigned_long );
                                                                              flick_suntcp_decode_end_chunk(20);
                                                                              flick_suntcp_decode_end_glob(68);
                                                                              flick_suntcp_decode_new_glob(16 * _local_data->_length);
                                                                              {
                                                                                struct b *_t_alloc_ptr;

                                                                                _t_alloc_ptr = (struct b *)(auto_flick_alloc((_local_data->_length + 1) * sizeof(struct b )));
                                                                                if (!_t_alloc_ptr)
                                                                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort123);
                                                                                _local_data->_buffer = _t_alloc_ptr;
                                                                                _local_data->_maximum = _local_data->_length + 1;
                                                                                _local_data->_release = 1;
                                                                              }
                                                                              flick_suntcp_check_span(_local_data->_length * 16, _flick_abort127);
                                                                              for (_t67_array_iter = 0; _t67_array_iter < _local_data->_length; _t67_array_iter++)
                                                                                {
                                                                                  flick_suntcp_decode_new_chunk(16);
                                                                                  flick_xdr_decode_signed32(0, _local_data->_buffer[_t67_array_iter].x.xx, CORBA_long );
                                                                                  flick_xdr_decode_signed32(4, _local_data->_buffer[_t67_array_iter].x.yy, CORBA_long );
                                                                                  flick_xdr_decode_signed32(8, _local_data->_buffer[_t67_array_iter].y.xx, CORBA_long );
                                                                                  flick_xdr_decode_signed32(12, _local_data->_buffer[_t67_array_iter].y.yy, CORBA_long );
                                                                                  flick_suntcp_decode_end_chunk(16);
                                                                                  continue;
                                                                                }
                                                                              flick_suntcp_decode_end_glob(16 * _local_data->_length);
                                                                              _ev = (CORBA_Environment *)(&_t68_storage);
                                                                              flick_suntcp_server_end_decode();
                                                                              flick_corba_init_environment();
                                                                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                                              _return = ttcp_structtest(_obj, _local_data, _ev);
                                                                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                                              _stub_state.state = FLICK_STATE_MARSHAL;
                                                                              flick_suntcp_server_start_encode();
                                                                              {
                                                                                flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort127);
                                                                                flick_suntcp_encode_new_glob(76, _flick_abort127);
                                                                                flick_suntcp_encode_new_chunk(4);
                                                                                flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                                                flick_suntcp_encode_end_chunk(4);
                                                                                switch (_ev->_major)
                                                                                  {
                                                                                  case CORBA_NO_EXCEPTION:
                                                                                    {
                                                                                      flick_suntcp_encode_new_chunk(4);
                                                                                      flick_xdr_encode_signed32(0, _return, CORBA_long );
                                                                                      flick_suntcp_encode_end_chunk(4);
                                                                                      flick_suntcp_encode_end_glob(76);
                                                                                      break;
                                                                                    }
                                                                                  case CORBA_SYSTEM_EXCEPTION:
                                                                                    {
                                                                                      flick_suntcp_encode_end_glob(76);
                                                                                      flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort138);
                                                                                      break;
                                                                                      {
                                                                                      _flick_abort138:
                                                                                        goto _flick_abort127;
                                                                                      }
                                                                                    }
                                                                                  default:
                                                                                    {
                                                                                      switch ((unsigned int )(1+strlen(_ev->_id)))
                                                                                        {
                                                                                        case (unsigned int) 16:
                                                                                          {
                                                                                            switch (*(char *)(_ev->_id + 0))
                                                                                              {
                                                                                              case 'I':
                                                                                                {
                                                                                                  switch (*(char *)(_ev->_id + 1))
                                                                                                    {
                                                                                                    case 'D':
                                                                                                      {
                                                                                                        switch (*(char *)(_ev->_id + 2))
                                                                                                          {
                                                                                                          case 'L':
                                                                                                            {
                                                                                                              switch (*(char *)(_ev->_id + 3))
                                                                                                                {
                                                                                                                case ':':
                                                                                                                  {
                                                                                                                    switch (*(char *)(_ev->_id + 4))
                                                                                                                      {
                                                                                                                      case 'u':
                                                                                                                        {
                                                                                                                          switch (*(char *)(_ev->_id + 5))
                                                                                                                            {
                                                                                                                            case 's':
                                                                                                                              {
                                                                                                                                switch (*(char *)(_ev->_id + 6))
                                                                                                                                  {
                                                                                                                                  case 'e':
                                                                                                                                    {
                                                                                                                                      switch (*(char *)(_ev->_id + 7))
                                                                                                                                        {
                                                                                                                                        case 'l':
                                                                                                                                          {
                                                                                                                                            switch (*(char *)(_ev->_id + 8))
                                                                                                                                              {
                                                                                                                                              case 'e':
                                                                                                                                                {
                                                                                                                                                  switch (*(char *)(_ev->_id + 9))
                                                                                                                                                    {
                                                                                                                                                    case 's':
                                                                                                                                                      {
                                                                                                                                                        switch (*(char *)(_ev->_id + 10))
                                                                                                                                                          {
                                                                                                                                                          case 's':
                                                                                                                                                            {
                                                                                                                                                              switch (*(char *)(_ev->_id + 11))
                                                                                                                                                                {
                                                                                                                                                                case ':':
                                                                                                                                                                  {
                                                                                                                                                                    switch (*(char *)(_ev->_id + 12))
                                                                                                                                                                      {
                                                                                                                                                                      case '1':
                                                                                                                                                                        {
                                                                                                                                                                          switch (*(char *)(_ev->_id + 13))
                                                                                                                                                                            {
                                                                                                                                                                            case '.':
                                                                                                                                                                              {
                                                                                                                                                                                switch (*(char *)(_ev->_id + 14))
                                                                                                                                                                                  {
                                                                                                                                                                                  case '0':
                                                                                                                                                                                    {
                                                                                                                                                                                      switch (*(char *)(_ev->_id + 15))
                                                                                                                                                                                        {
                                                                                                                                                                                        case 0:
                                                                                                                                                                                          {
                                                                                                                                                                                            flick_suntcp_encode_new_chunk(72);
                                                                                                                                                                                            flick_xdr_encode_unsigned32(0, 16, flick_unsigned32_t );
                                                                                                                                                                                            flick_xdr_encode_char8(4, 'I', flick_char8_t );
                                                                                                                                                                                            flick_xdr_encode_char8(8, 'D', flick_char8_t );
                                                                                                                                                                                            flick_xdr_encode_char8(12, 'L', flick_char8_t );
                                                                                                                                                                                            flick_xdr_encode_char8(16, ':', flick_char8_t );
                                                                                                                                                                                            flick_xdr_encode_char8(20, 'u', flick_char8_t );
                                                                                                                                                                                            flick_xdr_encode_char8(24, 's', flick_char8_t );
                                                                                                                                                                                            flick_xdr_encode_char8(28, 'e', flick_char8_t );
                                                                                                                                                                                            flick_xdr_encode_char8(32, 'l', flick_char8_t );
                                                                                                                                                                                            flick_xdr_encode_char8(36, 'e', flick_char8_t );
                                                                                                                                                                                            flick_xdr_encode_char8(40, 's', flick_char8_t );
                                                                                                                                                                                            flick_xdr_encode_char8(44, 's', flick_char8_t );
                                                                                                                                                                                            flick_xdr_encode_char8(48, ':', flick_char8_t );
                                                                                                                                                                                            flick_xdr_encode_char8(52, '1', flick_char8_t );
                                                                                                                                                                                            flick_xdr_encode_char8(56, '.', flick_char8_t );
                                                                                                                                                                                            flick_xdr_encode_char8(60, '0', flick_char8_t );
                                                                                                                                                                                            flick_xdr_encode_char8(64, 0, flick_char8_t );
                                                                                                                                                                                            flick_xdr_encode_signed32(68, ((useless *)(_ev->_value._user_except))->baloney, CORBA_long );
                                                                                                                                                                                            CORBA_flick_free((useless *)(_ev->_value._user_except));
                                                                                                                                                                                            flick_suntcp_encode_end_chunk(72);
                                                                                                                                                                                            break;
                                                                                                                                                                                          }
                                                                                                                                                                                        default:
                                                                                                                                                                                          {
                                                                                                                                                                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort139);
                                                                                                                                                                                            break;
                                                                                                                                                                                          }
                                                                                                                                                                                        }
                                                                                                                                                                                      break;
                                                                                                                                                                                    }
                                                                                                                                                                                  default:
                                                                                                                                                                                    {
                                                                                                                                                                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort139);
                                                                                                                                                                                      break;
                                                                                                                                                                                    }
                                                                                                                                                                                  }
                                                                                                                                                                                break;
                                                                                                                                                                              }
                                                                                                                                                                            default:
                                                                                                                                                                              {
                                                                                                                                                                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort139);
                                                                                                                                                                                break;
                                                                                                                                                                              }
                                                                                                                                                                            }
                                                                                                                                                                          break;
                                                                                                                                                                        }
                                                                                                                                                                      default:
                                                                                                                                                                        {
                                                                                                                                                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort139);
                                                                                                                                                                          break;
                                                                                                                                                                        }
                                                                                                                                                                      }
                                                                                                                                                                    break;
                                                                                                                                                                  }
                                                                                                                                                                default:
                                                                                                                                                                  {
                                                                                                                                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort139);
                                                                                                                                                                    break;
                                                                                                                                                                  }
                                                                                                                                                                }
                                                                                                                                                              break;
                                                                                                                                                            }
                                                                                                                                                          default:
                                                                                                                                                            {
                                                                                                                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort139);
                                                                                                                                                              break;
                                                                                                                                                            }
                                                                                                                                                          }
                                                                                                                                                        break;
                                                                                                                                                      }
                                                                                                                                                    default:
                                                                                                                                                      {
                                                                                                                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort139);
                                                                                                                                                        break;
                                                                                                                                                      }
                                                                                                                                                    }
                                                                                                                                                  break;
                                                                                                                                                }
                                                                                                                                              default:
                                                                                                                                                {
                                                                                                                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort139);
                                                                                                                                                  break;
                                                                                                                                                }
                                                                                                                                              }
                                                                                                                                            break;
                                                                                                                                          }
                                                                                                                                        default:
                                                                                                                                          {
                                                                                                                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort139);
                                                                                                                                            break;
                                                                                                                                          }
                                                                                                                                        }
                                                                                                                                      break;
                                                                                                                                    }
                                                                                                                                  default:
                                                                                                                                    {
                                                                                                                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort139);
                                                                                                                                      break;
                                                                                                                                    }
                                                                                                                                  }
                                                                                                                                break;
                                                                                                                              }
                                                                                                                            default:
                                                                                                                              {
                                                                                                                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort139);
                                                                                                                                break;
                                                                                                                              }
                                                                                                                            }
                                                                                                                          break;
                                                                                                                        }
                                                                                                                      default:
                                                                                                                        {
                                                                                                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort139);
                                                                                                                          break;
                                                                                                                        }
                                                                                                                      }
                                                                                                                    break;
                                                                                                                  }
                                                                                                                default:
                                                                                                                  {
                                                                                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort139);
                                                                                                                    break;
                                                                                                                  }
                                                                                                                }
                                                                                                              break;
                                                                                                            }
                                                                                                          default:
                                                                                                            {
                                                                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort139);
                                                                                                              break;
                                                                                                            }
                                                                                                          }
                                                                                                        break;
                                                                                                      }
                                                                                                    default:
                                                                                                      {
                                                                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort139);
                                                                                                        break;
                                                                                                      }
                                                                                                    }
                                                                                                  break;
                                                                                                }
                                                                                              default:
                                                                                                {
                                                                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort139);
                                                                                                  break;
                                                                                                }
                                                                                              }
                                                                                            break;
                                                                                          }
                                                                                        default:
                                                                                          {
                                                                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort139);
                                                                                            break;
                                                                                          }
                                                                                        }
                                                                                      flick_suntcp_encode_end_glob(76);
                                                                                      break;
                                                                                      {
                                                                                      _flick_abort139:
                                                                                        goto _flick_abort127;
                                                                                      }
                                                                                    }
                                                                                  }
                                                                              }
                                                                              flick_suntcp_server_end_encode();
                                                                              break;
                                                                              {
                                                                              _flick_abort127:
                                                                                auto_flick_free(_local_data->_buffer);
                                                                              _flick_abort123:
                                                                                goto _flick_abort122;
                                                                              }
                                                                            }
                                                                            break;
                                                                            {
                                                                            _flick_abort122:
                                                                              goto _flick_abort41;
                                                                            }
                                                                          }
                                                                        default:
                                                                          {
                                                                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort41);
                                                                            flick_suntcp_decode_end_glob(68);
                                                                            break;
                                                                          }
                                                                        }
                                                                      break;
                                                                    }
                                                                  default:
                                                                    {
                                                                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort41);
                                                                      flick_suntcp_decode_end_glob(68);
                                                                      break;
                                                                    }
                                                                  }
                                                                break;
                                                              }
                                                            default:
                                                              {
                                                                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort41);
                                                                flick_suntcp_decode_end_glob(68);
                                                                break;
                                                              }
                                                            }
                                                          break;
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort41);
                                                          flick_suntcp_decode_end_glob(68);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort41);
                                                    flick_suntcp_decode_end_glob(68);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort41);
                                              flick_suntcp_decode_end_glob(68);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort41);
                                        flick_suntcp_decode_end_glob(68);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort41);
                                  flick_suntcp_decode_end_glob(68);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort41);
                            flick_suntcp_decode_end_glob(68);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort41);
                      flick_suntcp_decode_end_glob(68);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort41);
                flick_suntcp_decode_end_glob(68);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          char _t69_switch_tag;

          flick_suntcp_decode_new_chunk(4);
          flick_xdr_decode_char8(0, _t69_switch_tag, char );
          flick_suntcp_decode_end_chunk(4);
          switch ((char )_t69_switch_tag)
            {
            case '_':
              {
                char _t70_switch_tag;

                flick_suntcp_decode_new_chunk(4);
                flick_xdr_decode_char8(0, _t70_switch_tag, char );
                flick_suntcp_decode_end_chunk(4);
                switch ((char )_t70_switch_tag)
                  {
                  case 'i':
                    {
                      char _t71_switch_tag;

                      flick_suntcp_decode_new_chunk(4);
                      flick_xdr_decode_char8(0, _t71_switch_tag, char );
                      flick_suntcp_decode_end_chunk(4);
                      switch ((char )_t71_switch_tag)
                        {
                        case 's':
                          {
                            char _t72_switch_tag;

                            flick_suntcp_decode_new_chunk(4);
                            flick_xdr_decode_char8(0, _t72_switch_tag, char );
                            flick_suntcp_decode_end_chunk(4);
                            switch ((char )_t72_switch_tag)
                              {
                              case '_':
                                {
                                  char _t73_switch_tag;

                                  flick_suntcp_decode_new_chunk(4);
                                  flick_xdr_decode_char8(0, _t73_switch_tag, char );
                                  flick_suntcp_decode_end_chunk(4);
                                  switch ((char )_t73_switch_tag)
                                    {
                                    case 'a':
                                      {
                                        char _t74_switch_tag;

                                        flick_suntcp_decode_new_chunk(4);
                                        flick_xdr_decode_char8(0, _t74_switch_tag, char );
                                        flick_suntcp_decode_end_chunk(4);
                                        switch ((char )_t74_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                CORBA_Object _obj;
                                                unsigned int _t75_ignore;
                                                CORBA_boolean _return;
                                                CORBA_char *_local_id;
                                                flick_unsigned32_t _t76_temp_string_len;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t77_storage;
                                                char **_par;

                                                flick_suntcp_server_decode_target(_obj, 0, xdr, _flick_abort144);
                                                /* Decode the authorization stuff (we ignore it & assume it's null) */
                                                flick_suntcp_decode_new_chunk(20);
                                                flick_xdr_decode_unsigned32(0, _t75_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(4, _t75_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(8, _t75_ignore, unsigned int );
                                                flick_xdr_decode_unsigned32(12, _t75_ignore, unsigned int );
                                                _return = 0;
                                                flick_xdr_decode_unsigned32(16, _t76_temp_string_len, flick_unsigned32_t );
                                                flick_suntcp_decode_end_chunk(20);
                                                flick_suntcp_decode_end_glob(68);
                                                flick_suntcp_decode_new_glob(1 * _t76_temp_string_len);
                                                flick_suntcp_check_span(1 * _t76_temp_string_len, _flick_abort144);
                                                flick_suntcp_decode_new_chunk(1 * _t76_temp_string_len);
                                                if ((_t76_temp_string_len + 3) & ~3)
                                                  {
                                                    flick_xdr_decode_msgptr(0, _local_id, CORBA_char *);
                                                  }
                                                else
                                                  {
                                                    {
                                                      CORBA_char *_t_alloc_ptr;

                                                      _t_alloc_ptr = (CORBA_char *)(auto_flick_alloc((_t76_temp_string_len + 1) * sizeof(CORBA_char )));
                                                      if (!_t_alloc_ptr)
                                                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort144);
                                                      _local_id = _t_alloc_ptr;
                                                    }
                                                    flick_xdr_decode_bcopy(0, _local_id, 1 * _t76_temp_string_len);
                                                  }
                                                flick_suntcp_decode_end_chunk(1 * _t76_temp_string_len);
                                                _local_id[_t76_temp_string_len] = 0;
                                                flick_suntcp_decode_end_glob(1 * _t76_temp_string_len);
                                                flick_suntcp_decode_new_glob(3);
                                                flick_suntcp_decode_new_chunk_align(0, 2, 0, 0);
                                                _ev = (CORBA_Environment *)(&_t77_storage);
                                                _par = flick_interface_parents_ttcp;
                                                flick_suntcp_decode_end_chunk(0);
                                                flick_suntcp_decode_end_glob(3);
                                                flick_suntcp_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_suntcp_server_start_encode();
                                                {
                                                  flick_suntcp_server_encode_target(_obj, 0, xdr, _flick_abort147);
                                                  flick_suntcp_encode_new_glob(8, _flick_abort147);
                                                  flick_suntcp_encode_new_chunk(4);
                                                  flick_xdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_suntcp_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        flick_suntcp_encode_new_chunk(4);
                                                        flick_xdr_encode_unsigned8(0, _return, CORBA_boolean );
                                                        flick_suntcp_encode_end_chunk(4);
                                                        flick_suntcp_encode_end_glob(8);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_suntcp_encode_end_glob(8);
                                                        flick_corba_encode_system_exception(_ev, xdr, suntcp, _flick_abort153);
                                                        break;
                                                        {
                                                        _flick_abort153:
                                                          goto _flick_abort147;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort154);
                                                        flick_suntcp_encode_end_glob(8);
                                                        break;
                                                        {
                                                        _flick_abort154:
                                                          goto _flick_abort147;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_suntcp_server_end_encode();
                                                break;
                                                {
                                                _flick_abort147:
                                                  auto_flick_free(_local_id);
                                                _flick_abort144:
                                                  goto _flick_abort143;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort143:
                                                goto _flick_abort41;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort41);
                                              flick_suntcp_decode_end_glob(68);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort41);
                                        flick_suntcp_decode_end_glob(68);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort41);
                                  flick_suntcp_decode_end_glob(68);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort41);
                            flick_suntcp_decode_end_glob(68);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort41);
                      flick_suntcp_decode_end_glob(68);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort41);
                flick_suntcp_decode_end_glob(68);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort41);
          flick_suntcp_decode_end_glob(68);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort41:
    flick_corba_server_error(xdr, suntcp, _flick_reaper, _flick_abort40);
  _flick_abort40:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

