#include "mig-types-server.h"

/* This is the runtime type information */
/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}

flick_operation_success_t types_server(FLICK_BUFFER _msg_buf, caddr_t _buf_start, FLICK_TARGET _this_obj)
{
  register void *_buf_current;
  tpz_msgspec_t  _replytoken;
  flick_trapeze_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    signed int _t12_switch_tag;

    flick_trapeze_decode_new_glob(100);
    flick_trapeze_check_span(8, _flick_abort2);
    flick_trapeze_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t12_switch_tag, signed int );
    flick_trapeze_decode_end_chunk(4);
    switch ((signed int )_t12_switch_tag)
      {
      case (signed int) 4440000:
        {
          {
            mach_port_t _local_target;
            kern_return_t _return;
            char _char;
            byte _byte;
            bool _bool;
            shortshort _short8;
            short _short16;
            int _int;
            long int _long;
            signed int _signed;
            unsigned int _unsigned;
            float _float;
            double _double;

            flick_trapeze_server_decode_target(_local_target, 0, cdr, _flick_abort81);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(32, _flick_abort81);
            flick_trapeze_decode_new_chunk(32);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            flick_cdr_decode_char8(4, _char, char );
            flick_cdr_decode_signed8(5, _byte, byte );
            flick_cdr_decode_unsigned8(6, _bool, bool );
            flick_cdr_decode_signed8(7, _short8, shortshort );
            flick_cdr_decode_signed16(8, _short16, short );
            flick_cdr_decode_signed32(12, _int, int );
            flick_cdr_decode_signed32(16, _long, long int );
            flick_cdr_decode_signed32(20, _signed, signed int );
            flick_cdr_decode_signed32(24, _unsigned, unsigned int );
            flick_cdr_decode_float32(28, _float, float );
            flick_trapeze_decode_end_chunk(32);
            flick_trapeze_decode_new_chunk_align(8, 3, 2, 0);
            flick_trapeze_check_span(8, _flick_abort81);
            flick_cdr_decode_float64(0, _double, double );
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(100);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_snd(_local_target, _char, _byte, _bool, _short8, _short16, _int, _long, _signed, _unsigned, _float, _double);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr, _flick_abort81);
              flick_trapeze_encode_new_glob(12, _flick_abort81);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_trapeze_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    break;
                  }
                default:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _return, mig);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort81:
              goto _flick_abort80;
            }
          }
          break;
          {
          _flick_abort80:
            goto _flick_abort2;
          }
        }
      case (signed int) 4440001:
        {
          {
            mach_port_t _local_target;
            kern_return_t _return;
            char *_char;
            char _t13_storage;
            byte *_byte;
            byte _t14_storage;
            bool *_bool;
            bool _t15_storage;
            shortshort *_short8;
            shortshort _t16_storage;
            short *_short16;
            short _t17_storage;
            int *_int;
            int _t18_storage;
            long int *_long;
            long int _t19_storage;
            signed int *_signed;
            signed int _t20_storage;
            unsigned int *_unsigned;
            unsigned int _t21_storage;
            float *_float;
            float _t22_storage;
            double *_double;
            double _t23_storage;

            flick_trapeze_server_decode_target(_local_target, 0, cdr, _flick_abort88);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _char = (char *)(&_t13_storage);
            _byte = (byte *)(&_t14_storage);
            _bool = (bool *)(&_t15_storage);
            _short8 = (shortshort *)(&_t16_storage);
            _short16 = (short *)(&_t17_storage);
            _int = (int *)(&_t18_storage);
            _long = (long int *)(&_t19_storage);
            _signed = (signed int *)(&_t20_storage);
            _unsigned = (unsigned int *)(&_t21_storage);
            _float = (float *)(&_t22_storage);
            _double = (double *)(&_t23_storage);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(100);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rcv(_local_target, _char, _byte, _bool, _short8, _short16, _int, _long, _signed, _unsigned, _float, _double);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr, _flick_abort88);
              flick_trapeze_encode_new_glob(44, _flick_abort88);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_trapeze_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(28);
                    flick_cdr_encode_char8(0, *_char, char );
                    flick_cdr_encode_signed8(1, *_byte, byte );
                    flick_cdr_encode_unsigned8(2, *_bool, bool );
                    flick_cdr_encode_signed8(3, *_short8, shortshort );
                    flick_cdr_encode_signed16(4, *_short16, short );
                    flick_cdr_encode_signed32(8, *_int, int );
                    flick_cdr_encode_signed32(12, *_long, long int );
                    flick_cdr_encode_signed32(16, *_signed, signed int );
                    flick_cdr_encode_signed32(20, *_unsigned, unsigned int );
                    flick_cdr_encode_float32(24, *_float, float );
                    flick_trapeze_encode_end_chunk(28);
                    flick_trapeze_encode_new_chunk_align(8, 3, 2, 0);
                    flick_cdr_encode_float64(0, *_double, double );
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _return, mig);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                }
              flick_trapeze_encode_end_glob(44);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort88:
              goto _flick_abort87;
            }
          }
          break;
          {
          _flick_abort87:
            goto _flick_abort2;
          }
        }
      case (signed int) 4440002:
        {
          {
            mach_port_t _local_target;
            kern_return_t _return;
            char *_charA;
            byte *_byteA;
            bool *_boolA;
            shortshort *_short8A;
            short *_short16A;
            int *_intA;
            long *_longA;
            signed *_signedA;
            unsigned *_unsignedA;
            float *_floatA;
            double *_doubleA;

            flick_trapeze_server_decode_target(_local_target, 0, cdr, _flick_abort95);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(240, _flick_abort95);
            flick_trapeze_decode_new_chunk(96);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            flick_cdr_decode_msgptr(4, _charA, char *);
            flick_cdr_decode_msgptr(13, _byteA, byte *);
            flick_cdr_decode_msgptr(22, _boolA, bool *);
            flick_cdr_decode_msgptr(31, _short8A, shortshort *);
            flick_cdr_decode_msgptr(40, _short16A, short *);
            flick_cdr_decode_msgptr(60, _intA, int *);
            flick_trapeze_decode_end_chunk(96);
            flick_trapeze_decode_end_glob(100);
            flick_trapeze_decode_new_glob(108);
            flick_trapeze_decode_new_chunk(108);
            flick_cdr_decode_msgptr(0, _longA, long *);
            flick_cdr_decode_msgptr(36, _signedA, signed *);
            flick_cdr_decode_msgptr(72, _unsignedA, unsigned *);
            flick_trapeze_decode_end_chunk(108);
            flick_trapeze_decode_end_glob(108);
            flick_trapeze_decode_new_glob(36);
            flick_trapeze_decode_new_chunk(36);
            flick_cdr_decode_msgptr(0, _floatA, float *);
            flick_trapeze_server_decode_array(_doubleA, 8 * 9);
            flick_trapeze_decode_end_chunk(36);
            flick_trapeze_decode_end_glob(36);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_sndArr(_local_target, _charA, _byteA, _boolA, _short8A, _short16A, _intA, _longA, _signedA, _unsignedA, _floatA, _doubleA);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr, _flick_abort95);
              flick_trapeze_encode_new_glob(12, _flick_abort95);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_trapeze_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    break;
                  }
                default:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _return, mig);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort95:
              goto _flick_abort94;
            }
          }
          break;
          {
          _flick_abort94:
            goto _flick_abort2;
          }
        }
      case (signed int) 4440003:
        {
          {
            mach_port_t _local_target;
            kern_return_t _return;
            char *_charA;
            byte *_byteA;
            bool *_boolA;
            shortshort *_short8A;
            short *_short16A;
            int *_intA;
            long *_longA;
            signed *_signedA;
            unsigned *_unsignedA;
            float *_floatA;
            double *_doubleA;

            flick_trapeze_server_decode_target(_local_target, 0, cdr, _flick_abort122);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _charA = flick_trapeze_server_array__alloc();
            _byteA = flick_trapeze_server_array__alloc();
            _boolA = flick_trapeze_server_array__alloc();
            _short8A = flick_trapeze_server_array__alloc();
            _short16A = flick_trapeze_server_array__alloc();
            _intA = flick_trapeze_server_array__alloc();
            _longA = flick_trapeze_server_array__alloc();
            _signedA = flick_trapeze_server_array__alloc();
            _unsignedA = flick_trapeze_server_array__alloc();
            _floatA = flick_trapeze_server_array__alloc();
            _doubleA = flick_trapeze_server_array__alloc();
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(100);
            flick_trapeze_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_rcvArr(_local_target, _charA, _byteA, _boolA, _short8A, _short16A, _intA, _longA, _signedA, _unsignedA, _floatA, _doubleA);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_local_target, 0, cdr, _flick_abort122);
              flick_trapeze_encode_new_glob(96, _flick_abort122);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_trapeze_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(92);
                    flick_cdr_encode_bcopy(0, _charA, 9);
                    flick_cdr_encode_bcopy(9, _byteA, 9);
                    flick_cdr_encode_bcopy(18, _boolA, 9);
                    flick_cdr_encode_bcopy(27, _short8A, 9);
                    flick_cdr_encode_bcopy(36, _short16A, 18);
                    flick_cdr_encode_bcopy(56, _intA, 36);
                    flick_trapeze_encode_end_chunk(92);
                    flick_trapeze_encode_end_glob(96);
                    flick_trapeze_encode_new_glob(36, _flick_abort140);
                    flick_trapeze_encode_new_chunk(36);
                    flick_cdr_encode_bcopy(0, _longA, 36);
                    flick_trapeze_server_encode_array(_signedA, 4 * 9);
                    flick_trapeze_server_encode_array(_unsignedA, 4 * 9);
                    flick_trapeze_server_encode_array(_floatA, 4 * 9);
                    flick_trapeze_server_encode_array(_doubleA, 8 * 9);
                    flick_trapeze_encode_end_chunk(36);
                    flick_trapeze_encode_end_glob(36);
                    break;
                    {
                    _flick_abort140:
                      goto _flick_abort122;
                    }
                  }
                default:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _return, mig);
                    flick_trapeze_encode_end_chunk(8);
                    flick_trapeze_encode_end_glob(96);
                    break;
                  }
                }
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort122:
              goto _flick_abort121;
            }
          }
          break;
          {
          _flick_abort121:
            goto _flick_abort2;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_trapeze_decode_end_glob(100);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort2:
    flick_mig_server_error(cdr, trapeze, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

