#include "recursive-server.h"

/* This is the runtime type information */
char *flick_interface_parents_obj[] = {
	"IDL:obj:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}

flick_operation_success_t obj_server(FLICK_BUFFER _msg_buf, caddr_t _buf_start, FLICK_TARGET _this_obj)
{
  register void *_buf_current;
  tpz_msgspec_t  _replytoken;
  flick_trapeze_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    signed int _t12_switch_tag;

    flick_trapeze_decode_new_glob(120);
    flick_trapeze_check_span(8, _flick_abort2);
    flick_trapeze_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t12_switch_tag, signed int );
    flick_trapeze_decode_end_chunk(4);
    switch ((signed int )_t12_switch_tag)
      {
      case (signed int) 0:
        {
          {
            obj _obj;
            obj_my_obj _return;
            CORBA_Environment *_ev;
            CORBA_Environment _t13_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort59);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _ev = (CORBA_Environment *)(&_t13_storage);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(120);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = obj_get_server(_obj, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort59);
              flick_trapeze_encode_new_glob(12, _flick_abort59);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort66);
                    break;
                    {
                    _flick_abort66:
                      goto _flick_abort59;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort59:
              goto _flick_abort58;
            }
          }
          break;
          {
          _flick_abort58:
            goto _flick_abort2;
          }
        }
      case (signed int) 1:
        {
          {
            obj _obj;
            obj_my_obj _local_srvr;
            CORBA_Environment *_ev;
            CORBA_Environment _t14_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort68);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _ev = (CORBA_Environment *)(&_t14_storage);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(120);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            obj_set_server(_obj, _local_srvr, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort68);
              flick_trapeze_encode_new_glob(12, _flick_abort68);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort75);
                    break;
                    {
                    _flick_abort75:
                      goto _flick_abort68;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort68:
              goto _flick_abort67;
            }
          }
          break;
          {
          _flick_abort67:
            goto _flick_abort2;
          }
        }
      case (signed int) 2:
        {
          {
            obj _obj;
            tc _return;
            struct ta *_local_a1;
            struct ta _t15_storage;
            flick_unsigned32_t _t16_temp_string_len;
            flick_unsigned32_t _t17_temp_string_len;
            struct tb *_local_b1;
            struct tb _t18_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t19_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort77);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(8, _flick_abort77);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            _local_a1 = (struct ta *)(&_t15_storage);
            flick_cdr_decode_signed32(4, _local_a1->a.a, CORBA_long );
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_new_chunk_align(104, 3, 2, 0);
            flick_trapeze_check_span(148, _flick_abort77);
            flick_cdr_decode_float64(0, _local_a1->a.b, CORBA_double );
            flick_cdr_decode_signed16(8, _local_a1->a.c, CORBA_short );
            flick_cdr_decode_char8(10, _local_a1->b.a, CORBA_char );
            flick_cdr_decode_unsigned32(12, _t16_temp_string_len, flick_unsigned32_t );
            flick_trapeze_server_decode_array(_local_a1->b.b, 1 * _t16_temp_string_len);
            flick_cdr_decode_unsigned32(16, _local_a1->b.c._length, CORBA_unsigned_long );
            flick_trapeze_server_decode_array(_local_a1->b.c._buffer, sizeof(struct ta_tc ) * _local_a1->b.c._length);
            flick_cdr_decode_signed32(20, _local_a1->c.a.a, CORBA_long );
            flick_cdr_decode_float64(24, _local_a1->c.a.b, CORBA_double );
            flick_cdr_decode_signed16(32, _local_a1->c.a.c, CORBA_short );
            flick_cdr_decode_char8(34, _local_a1->c.b.a, CORBA_char );
            flick_cdr_decode_char8(35, _local_a1->c.b.b, CORBA_char );
            flick_cdr_decode_char8(36, _local_a1->c.b.c, CORBA_char );
            flick_cdr_decode_char8(37, _local_a1->c.b.d, CORBA_char );
            flick_cdr_decode_unsigned32(40, _local_a1->c.b.e._length, CORBA_unsigned_long );
            flick_trapeze_server_decode_array(_local_a1->c.b.e._buffer, sizeof(struct ta_td ) * _local_a1->c.b.e._length);
            flick_cdr_decode_unsigned32(44, _local_a1->next._length, CORBA_unsigned_long );
            flick_trapeze_server_decode_array(_local_a1->next._buffer, sizeof(struct ta ) * _local_a1->next._length);
            flick_cdr_decode_signed32(48, _local_a1->d.a, CORBA_long );
            flick_cdr_decode_float64(56, _local_a1->d.b, CORBA_double );
            flick_cdr_decode_signed16(64, _local_a1->d.c, CORBA_short );
            flick_cdr_decode_char8(66, _local_a1->e.a, CORBA_char );
            flick_cdr_decode_unsigned32(68, _t17_temp_string_len, flick_unsigned32_t );
            flick_trapeze_server_decode_array(_local_a1->e.b, 1 * _t17_temp_string_len);
            flick_cdr_decode_unsigned32(72, _local_a1->e.c._length, CORBA_unsigned_long );
            flick_trapeze_server_decode_array(_local_a1->e.c._buffer, sizeof(struct ta_tc ) * _local_a1->e.c._length);
            flick_cdr_decode_signed32(76, _local_a1->f.a.a, CORBA_long );
            flick_cdr_decode_float64(80, _local_a1->f.a.b, CORBA_double );
            flick_cdr_decode_signed16(88, _local_a1->f.a.c, CORBA_short );
            flick_cdr_decode_char8(90, _local_a1->f.b.a, CORBA_char );
            flick_cdr_decode_char8(91, _local_a1->f.b.b, CORBA_char );
            flick_cdr_decode_char8(92, _local_a1->f.b.c, CORBA_char );
            flick_cdr_decode_char8(93, _local_a1->f.b.d, CORBA_char );
            flick_cdr_decode_unsigned32(96, _local_a1->f.b.e._length, CORBA_unsigned_long );
            flick_trapeze_server_decode_array(_local_a1->f.b.e._buffer, sizeof(struct ta_td ) * _local_a1->f.b.e._length);
            _local_b1 = (struct tb *)(&_t18_storage);
            flick_cdr_decode_signed32(100, _local_b1->a.a, CORBA_long );
            flick_trapeze_decode_end_chunk(104);
            flick_trapeze_decode_end_glob(120);
            flick_trapeze_decode_new_glob(44);
            flick_trapeze_decode_new_chunk(44);
            flick_cdr_decode_float64(0, _local_b1->a.b, CORBA_double );
            flick_cdr_decode_signed16(8, _local_b1->a.c, CORBA_short );
            flick_cdr_decode_signed32(12, _local_b1->b.a.a, CORBA_long );
            flick_cdr_decode_float64(16, _local_b1->b.a.b, CORBA_double );
            flick_cdr_decode_signed16(24, _local_b1->b.a.c, CORBA_short );
            flick_cdr_decode_char8(26, _local_b1->b.b.a, CORBA_char );
            flick_cdr_decode_char8(27, _local_b1->b.b.b, CORBA_char );
            flick_cdr_decode_char8(28, _local_b1->b.b.c, CORBA_char );
            flick_cdr_decode_char8(29, _local_b1->b.b.d, CORBA_char );
            flick_cdr_decode_unsigned32(32, _local_b1->b.b.e._length, CORBA_unsigned_long );
            flick_trapeze_server_decode_array(_local_b1->b.b.e._buffer, sizeof(struct ta_td ) * _local_b1->b.b.e._length);
            flick_cdr_decode_unsigned32(36, _local_b1->c._length, CORBA_unsigned_long );
            flick_trapeze_server_decode_array(_local_b1->c._buffer, sizeof(struct ta_td ) * _local_b1->c._length);
            flick_cdr_decode_unsigned32(40, _local_b1->d._length, CORBA_unsigned_long );
            flick_trapeze_server_decode_array(_local_b1->d._buffer, sizeof(struct tb ) * _local_b1->d._length);
            _ev = (CORBA_Environment *)(&_t19_storage);
            flick_trapeze_decode_end_chunk(44);
            flick_trapeze_decode_end_glob(44);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = obj_convert(_obj, _local_a1, _local_b1, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort77);
              flick_trapeze_encode_new_glob(12, _flick_abort77);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(4);
                    flick_cdr_encode_unsigned32(0, _return, CORBA_enum );
                    flick_trapeze_encode_end_chunk(4);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort84);
                    break;
                    {
                    _flick_abort84:
                      goto _flick_abort77;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort77:
              goto _flick_abort76;
            }
          }
          break;
          {
          _flick_abort76:
            goto _flick_abort2;
          }
        }
      case (signed int) 3:
        {
          {
            obj _obj;
            CORBA_long _return;
            CORBA_Environment *_ev;
            CORBA_Environment _t20_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort86);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            _ev = (CORBA_Environment *)(&_t20_storage);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(120);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = obj__get_my_attr(_obj, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort86);
              flick_trapeze_encode_new_glob(12, _flick_abort86);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _return, CORBA_long );
                    flick_trapeze_encode_end_chunk(4);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort93);
                    break;
                    {
                    _flick_abort93:
                      goto _flick_abort86;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort86:
              goto _flick_abort85;
            }
          }
          break;
          {
          _flick_abort85:
            goto _flick_abort2;
          }
        }
      case (signed int) 4:
        {
          {
            obj _obj;
            CORBA_long _local_my_attr;
            CORBA_Environment *_ev;
            CORBA_Environment _t21_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort95);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(8, _flick_abort95);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            flick_cdr_decode_signed32(4, _local_my_attr, CORBA_long );
            _ev = (CORBA_Environment *)(&_t21_storage);
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(120);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            obj__set_my_attr(_obj, _local_my_attr, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort95);
              flick_trapeze_encode_new_glob(12, _flick_abort95);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort102);
                    break;
                    {
                    _flick_abort102:
                      goto _flick_abort95;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort95:
              goto _flick_abort94;
            }
          }
          break;
          {
          _flick_abort94:
            goto _flick_abort2;
          }
        }
      case (signed int) 5:
        {
          {
            CORBA_Object _obj;
            CORBA_boolean _return;
            CORBA_char *_local_id;
            flick_unsigned32_t _t22_temp_string_len;
            CORBA_Environment *_ev;
            CORBA_Environment _t23_storage;
            char **_par;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort104);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(8, _flick_abort104);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_unsigned32(4, _t22_temp_string_len, flick_unsigned32_t );
            flick_trapeze_server_decode_array(_local_id, 1 * _t22_temp_string_len);
            _ev = (CORBA_Environment *)(&_t23_storage);
            _par = flick_interface_parents_obj;
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(120);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort104);
              flick_trapeze_encode_new_glob(12, _flick_abort104);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(1);
                    flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                    flick_trapeze_encode_end_chunk(1);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort111);
                    break;
                    {
                    _flick_abort111:
                      goto _flick_abort104;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort104:
              goto _flick_abort103;
            }
          }
          break;
          {
          _flick_abort103:
            goto _flick_abort2;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_trapeze_decode_end_glob(120);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort2:
    flick_corba_server_error(cdr, trapeze, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

