#include "sequence-server.h"

/* This is the runtime type information */
char *flick_interface_parents_TestSeq[] = {
	"IDL:TestSeq:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}

flick_operation_success_t TestSeq_server(FLICK_BUFFER _msg_buf, caddr_t _buf_start, FLICK_TARGET _this_obj)
{
  register void *_buf_current;
  tpz_msgspec_t  _replytoken;
  flick_trapeze_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    signed int _t7_switch_tag;

    flick_trapeze_decode_new_glob(96);
    flick_trapeze_check_span(12, _flick_abort2);
    flick_trapeze_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t7_switch_tag, signed int );
    flick_trapeze_decode_end_chunk(4);
    switch ((signed int )_t7_switch_tag)
      {
      case (signed int) 0:
        {
          {
            TestSeq _obj;
            vec10 *_return;
            vec10 *_local_iv;
            vec10 _t8_storage;
            vec10 **_local_ov;
            vec10 *_t9_storage;
            vec10 *_local_iov;
            vec10 _t10_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t11_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort46);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            _local_iv = (vec10 *)(&_t8_storage);
            flick_cdr_decode_unsigned32(4, _local_iv->_length, CORBA_unsigned_long );
            if (_local_iv->_length > 10)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort46);
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_check_span(4 * _local_iv->_length + 4, _flick_abort46);
            flick_trapeze_decode_new_chunk(4 * _local_iv->_length);
            flick_cdr_decode_msgptr(0, _local_iv->_buffer, CORBA_long *);
            _local_iv->_maximum = _local_iv->_length;
            _local_iv->_release = 0;
            flick_trapeze_decode_end_chunk(4 * _local_iv->_length);
            _local_ov = (vec10 **)(&_t9_storage);
            _local_iov = (vec10 *)(&_t10_storage);
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _local_iov->_length, CORBA_unsigned_long );
            if (_local_iov->_length > 10)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort46);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_check_span(4 * _local_iov->_length, _flick_abort46);
            flick_trapeze_decode_new_chunk(4 * _local_iov->_length);
            {
              CORBA_long *_t_alloc_ptr;

              _t_alloc_ptr = (CORBA_long *)(CORBA_flick_alloc(10 * sizeof(CORBA_long )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort46);
              _local_iov->_buffer = _t_alloc_ptr;
              _local_iov->_maximum = 10;
              _local_iov->_release = 1;
            }
            flick_cdr_decode_bcopy(0, _local_iov->_buffer, 4 * _local_iov->_length);
            flick_trapeze_decode_end_chunk(4 * _local_iov->_length);
            _ev = (CORBA_Environment *)(&_t11_storage);
            flick_trapeze_decode_end_glob(96);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = TestSeq_op(_obj, _local_iv, _local_ov, _local_iov, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort51);
              flick_trapeze_encode_new_glob(96, _flick_abort51);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(4 + 4 * _return->_length);
                    flick_cdr_encode_unsigned32(0, _return->_length, CORBA_unsigned_long );
                    if (_return->_length > 10)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort65);
                    flick_cdr_encode_bcopy(4, _return->_buffer, 4 * _return->_length);
                    if (_return->_release)
                      CORBA_flick_free(_return->_buffer);
                    _return->_maximum = 0;
                    _return->_release = 0;
                    _return->_buffer = 0;
                    flick_trapeze_encode_end_chunk(4 + 4 * _return->_length);
                    CORBA_flick_free(_return);
                    _return = 0;
                    flick_trapeze_encode_new_chunk(4 + 4 * (*_local_ov)->_length);
                    flick_cdr_encode_unsigned32(0, (*_local_ov)->_length, CORBA_unsigned_long );
                    if ((*_local_ov)->_length > 10)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort65);
                    flick_cdr_encode_bcopy(4, (*_local_ov)->_buffer, 4 * (*_local_ov)->_length);
                    if ((*_local_ov)->_release)
                      CORBA_flick_free((*_local_ov)->_buffer);
                    (*_local_ov)->_maximum = 0;
                    (*_local_ov)->_release = 0;
                    (*_local_ov)->_buffer = 0;
                    flick_trapeze_encode_end_chunk(4 + 4 * (*_local_ov)->_length);
                    CORBA_flick_free(*_local_ov);
                    *_local_ov = 0;
                    flick_trapeze_encode_new_chunk(4);
                    flick_cdr_encode_unsigned32(0, _local_iov->_length, CORBA_unsigned_long );
                    flick_trapeze_encode_end_chunk(4);
                    flick_trapeze_encode_end_glob(96);
                    flick_trapeze_encode_new_glob(40, _flick_abort65);
                    if (_local_iov->_length > 10)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort65);
                    flick_trapeze_encode_new_chunk(4 * _local_iov->_length);
                    flick_cdr_encode_bcopy(0, _local_iov->_buffer, 4 * _local_iov->_length);
                    if (_local_iov->_release)
                      CORBA_flick_free(_local_iov->_buffer);
                    _local_iov->_maximum = 0;
                    _local_iov->_release = 0;
                    _local_iov->_buffer = 0;
                    flick_trapeze_encode_end_chunk(4 * _local_iov->_length);
                    flick_trapeze_encode_end_glob(40);
                    break;
                    {
                    _flick_abort65:
                      goto _flick_abort51;
                    }
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    flick_trapeze_encode_end_glob(96);
                    break;
                  }
                default:
                  {
                    switch ((unsigned int )(1+strlen(_ev->_id)))
                      {
                      case (unsigned int) 13:
                        {
                          switch (*(unsigned int *)(_ev->_id + 0))
                            {
                            case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                              {
                                switch (*(unsigned int *)(_ev->_id + 4))
                                  {
                                  case /* puke */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1886743397):
                                    {
                                      switch (*(unsigned int *)(_ev->_id + 8))
                                        {
                                        case /* :1.0 */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 976301616):
                                          {
                                            switch (*(char *)(_ev->_id + 12))
                                              {
                                              case 0:
                                                {
                                                  flick_trapeze_encode_new_chunk(24);
                                                  flick_cdr_encode_unsigned32(0, 13, flick_unsigned32_t );
                                                  flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                  flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                  flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                  flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                  flick_cdr_encode_char8(8, 'p', flick_char8_t );
                                                  flick_cdr_encode_char8(9, 'u', flick_char8_t );
                                                  flick_cdr_encode_char8(10, 'k', flick_char8_t );
                                                  flick_cdr_encode_char8(11, 'e', flick_char8_t );
                                                  flick_cdr_encode_char8(12, ':', flick_char8_t );
                                                  flick_cdr_encode_char8(13, '1', flick_char8_t );
                                                  flick_cdr_encode_char8(14, '.', flick_char8_t );
                                                  flick_cdr_encode_char8(15, '0', flick_char8_t );
                                                  flick_cdr_encode_char8(16, 0, flick_char8_t );
                                                  flick_cdr_encode_signed32(20, ((puke *)(_ev->_value._user_except))->reason, CORBA_long );
                                                  CORBA_flick_free((puke *)(_ev->_value._user_except));
                                                  flick_trapeze_encode_end_chunk(24);
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort73);
                                                  break;
                                                }
                                              }
                                            break;
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort73);
                                            break;
                                          }
                                        }
                                      break;
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort73);
                                      break;
                                    }
                                  }
                                break;
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort73);
                                break;
                              }
                            }
                          break;
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort73);
                          break;
                        }
                      }
                    flick_trapeze_encode_end_glob(96);
                    break;
                    {
                    _flick_abort73:
                      goto _flick_abort51;
                    }
                  }
                }
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort51:
              CORBA_flick_free(_local_iov->_buffer);
            _flick_abort46:
              goto _flick_abort45;
            }
          }
          break;
          {
          _flick_abort45:
            goto _flick_abort2;
          }
        }
      case (signed int) 1:
        {
          {
            CORBA_Object _obj;
            CORBA_boolean _return;
            CORBA_char *_local_id;
            flick_unsigned32_t _t12_temp_string_len;
            CORBA_Environment *_ev;
            CORBA_Environment _t13_storage;
            char **_par;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort78);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_unsigned32(4, _t12_temp_string_len, flick_unsigned32_t );
            flick_trapeze_server_decode_array(_local_id, 1 * _t12_temp_string_len);
            _ev = (CORBA_Environment *)(&_t13_storage);
            _par = flick_interface_parents_TestSeq;
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(96);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort78);
              flick_trapeze_encode_new_glob(12, _flick_abort78);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(1);
                    flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                    flick_trapeze_encode_end_chunk(1);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort85);
                    break;
                    {
                    _flick_abort85:
                      goto _flick_abort78;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort78:
              goto _flick_abort77;
            }
          }
          break;
          {
          _flick_abort77:
            goto _flick_abort2;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_trapeze_decode_end_glob(96);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort2:
    flick_corba_server_error(cdr, trapeze, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

