#include "sequence_-server.h"

/* This is the runtime type information */
char *flick_interface_parents_TestSeq[] = {
	"IDL:TestSeq:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}

flick_operation_success_t TestSeq_server(FLICK_BUFFER _msg_buf, caddr_t _buf_start, FLICK_TARGET _this_obj)
{
  register void *_buf_current;
  tpz_msgspec_t  _replytoken;
  flick_trapeze_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    signed int _t5_switch_tag;

    flick_trapeze_decode_new_glob(52);
    flick_trapeze_check_span(12, _flick_abort2);
    flick_trapeze_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t5_switch_tag, signed int );
    flick_trapeze_decode_end_chunk(4);
    switch ((signed int )_t5_switch_tag)
      {
      case (signed int) 0:
        {
          {
            TestSeq _obj;
            CORBA_short _return;
            seq *_local_a;
            seq _t6_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t7_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort30);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            _local_a = (seq *)(&_t6_storage);
            flick_cdr_decode_unsigned32(4, _local_a->_length, CORBA_unsigned_long );
            if (_local_a->_length > 10)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort30);
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_check_span(4 * _local_a->_length, _flick_abort30);
            flick_trapeze_decode_new_chunk(4 * _local_a->_length);
            {
              CORBA_long *_t_alloc_ptr;

              _t_alloc_ptr = (CORBA_long *)(CORBA_flick_alloc(10 * sizeof(CORBA_long )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort30);
              _local_a->_buffer = _t_alloc_ptr;
              _local_a->_maximum = 10;
              _local_a->_release = 1;
            }
            flick_cdr_decode_bcopy(0, _local_a->_buffer, 4 * _local_a->_length);
            flick_trapeze_decode_end_chunk(4 * _local_a->_length);
            _ev = (CORBA_Environment *)(&_t7_storage);
            flick_trapeze_decode_end_glob(52);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = TestSeq_Sequencer(_obj, _local_a, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort33);
              flick_trapeze_encode_new_glob(52, _flick_abort33);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(8 + 4 * _local_a->_length);
                    flick_cdr_encode_signed16(0, _return, CORBA_short );
                    flick_cdr_encode_unsigned32(4, _local_a->_length, CORBA_unsigned_long );
                    if (_local_a->_length > 10)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort40);
                    flick_cdr_encode_bcopy(8, _local_a->_buffer, 4 * _local_a->_length);
                    if (_local_a->_release)
                      CORBA_flick_free(_local_a->_buffer);
                    _local_a->_maximum = 0;
                    _local_a->_release = 0;
                    _local_a->_buffer = 0;
                    flick_trapeze_encode_end_chunk(8 + 4 * _local_a->_length);
                    break;
                    {
                    _flick_abort40:
                      goto _flick_abort33;
                    }
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort44);
                    break;
                    {
                    _flick_abort44:
                      goto _flick_abort33;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(52);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort33:
              CORBA_flick_free(_local_a->_buffer);
            _flick_abort30:
              goto _flick_abort29;
            }
          }
          break;
          {
          _flick_abort29:
            goto _flick_abort2;
          }
        }
      case (signed int) 1:
        {
          {
            CORBA_Object _obj;
            CORBA_boolean _return;
            CORBA_char *_local_id;
            flick_unsigned32_t _t8_temp_string_len;
            CORBA_Environment *_ev;
            CORBA_Environment _t9_storage;
            char **_par;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort46);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_unsigned32(4, _t8_temp_string_len, flick_unsigned32_t );
            flick_trapeze_server_decode_array(_local_id, 1 * _t8_temp_string_len);
            _ev = (CORBA_Environment *)(&_t9_storage);
            _par = flick_interface_parents_TestSeq;
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(52);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort46);
              flick_trapeze_encode_new_glob(12, _flick_abort46);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(1);
                    flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                    flick_trapeze_encode_end_chunk(1);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort53);
                    break;
                    {
                    _flick_abort53:
                      goto _flick_abort46;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort46:
              goto _flick_abort45;
            }
          }
          break;
          {
          _flick_abort45:
            goto _flick_abort2;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_trapeze_decode_end_glob(52);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort2:
    flick_corba_server_error(cdr, trapeze, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

