#include "struct-server.h"

/* This is the runtime type information */
char *flick_interface_parents_foo[] = {
	"IDL:foo:1.0",
	0
};

char *flick_interface_parents_foo2[] = {
	"IDL:foo2:1.0",
	"IDL:foo:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}

flick_operation_success_t foo_server(FLICK_BUFFER _msg_buf, caddr_t _buf_start, FLICK_TARGET _this_obj)
{
  register void *_buf_current;
  tpz_msgspec_t  _replytoken;
  flick_trapeze_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    signed int _t9_switch_tag;

    flick_trapeze_decode_new_glob(41);
    flick_trapeze_check_span(12, _flick_abort2);
    flick_trapeze_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t9_switch_tag, signed int );
    flick_trapeze_decode_end_chunk(4);
    switch ((signed int )_t9_switch_tag)
      {
      case (signed int) 0:
        {
          {
            foo _obj;
            CORBA_long _return;
            struct bar *_local_a;
            struct bar _t10_storage;
            flick_unsigned32_t _t11_temp_string_len;
            struct bar2 **_local_b;
            struct bar2 *_t12_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t13_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort29);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(16, _flick_abort29);
            flick_trapeze_decode_new_chunk(16);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            _local_a = (struct bar *)(&_t10_storage);
            flick_cdr_decode_signed32(4, _local_a->b1, CORBA_long );
            flick_cdr_decode_signed32(8, _local_a->b2, CORBA_long );
            flick_cdr_decode_unsigned32(12, _t11_temp_string_len, flick_unsigned32_t );
            if (_t11_temp_string_len > 21)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort29);
            flick_trapeze_decode_end_chunk(16);
            flick_trapeze_check_span(1 * _t11_temp_string_len, _flick_abort29);
            flick_trapeze_decode_new_chunk(1 * _t11_temp_string_len);
            flick_cdr_decode_msgptr(0, _local_a->b3, CORBA_char *);
            flick_trapeze_decode_end_chunk(1 * _t11_temp_string_len);
            _local_b = (struct bar2 **)(&_t12_storage);
            _ev = (CORBA_Environment *)(&_t13_storage);
            flick_trapeze_decode_end_glob(41);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = foo_op(_obj, _local_a, _local_b, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort29);
              flick_trapeze_encode_new_glob(45, _flick_abort29);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    flick_unsigned32_t _t15_temp_string_len;

                    flick_cdr_stringlen(CORBA_char *, (*_local_b)->b4.b3, flick_unsigned32_t , _t15_temp_string_len);

                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(20 + 1 * _t15_temp_string_len);
                    flick_cdr_encode_signed32(0, _return, CORBA_long );
                    flick_cdr_encode_signed32(4, (*_local_b)->b3, CORBA_long );
                    flick_cdr_encode_signed32(8, (*_local_b)->b4.b1, CORBA_long );
                    flick_cdr_encode_signed32(12, (*_local_b)->b4.b2, CORBA_long );
                    flick_cdr_encode_unsigned32(16, _t15_temp_string_len, flick_unsigned32_t );
                    if (_t15_temp_string_len > 21)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort38);
                    flick_cdr_encode_bcopy(20, (*_local_b)->b4.b3, 1 * _t15_temp_string_len);
                    CORBA_flick_free((*_local_b)->b4.b3);
                    (*_local_b)->b4.b3 = 0;
                    flick_trapeze_encode_end_chunk(20 + 1 * _t15_temp_string_len);
                    CORBA_flick_free(*_local_b);
                    *_local_b = 0;
                    break;
                    {
                    _flick_abort38:
                      goto _flick_abort29;
                    }
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort42);
                    break;
                    {
                    _flick_abort42:
                      goto _flick_abort29;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(45);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort29:
              goto _flick_abort28;
            }
          }
          break;
          {
          _flick_abort28:
            goto _flick_abort2;
          }
        }
      case (signed int) 1:
        {
          {
            CORBA_Object _obj;
            CORBA_boolean _return;
            CORBA_char *_local_id;
            flick_unsigned32_t _t16_temp_string_len;
            CORBA_Environment *_ev;
            CORBA_Environment _t17_storage;
            char **_par;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort44);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_unsigned32(4, _t16_temp_string_len, flick_unsigned32_t );
            flick_trapeze_server_decode_array(_local_id, 1 * _t16_temp_string_len);
            _ev = (CORBA_Environment *)(&_t17_storage);
            _par = flick_interface_parents_foo;
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(41);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort44);
              flick_trapeze_encode_new_glob(12, _flick_abort44);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(1);
                    flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                    flick_trapeze_encode_end_chunk(1);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort51);
                    break;
                    {
                    _flick_abort51:
                      goto _flick_abort44;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort44:
              goto _flick_abort43;
            }
          }
          break;
          {
          _flick_abort43:
            goto _flick_abort2;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_trapeze_decode_end_glob(41);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort2:
    flick_corba_server_error(cdr, trapeze, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

flick_operation_success_t foo2_server(FLICK_BUFFER _msg_buf, caddr_t _buf_start, FLICK_TARGET _this_obj)
{
  register void *_buf_current;
  tpz_msgspec_t  _replytoken;
  flick_trapeze_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    signed int _t52_switch_tag;

    flick_trapeze_decode_new_glob(45);
    flick_trapeze_check_span(12, _flick_abort103);
    flick_trapeze_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t52_switch_tag, signed int );
    flick_trapeze_decode_end_chunk(4);
    switch ((signed int )_t52_switch_tag)
      {
      case (signed int) 2:
        {
          {
            foo2 _obj;
            struct bar *_return;
            struct bar2 *_local_a;
            struct bar2 _t53_storage;
            flick_unsigned32_t _t54_temp_string_len;
            CORBA_Environment *_ev;
            CORBA_Environment _t55_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort154);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(20, _flick_abort154);
            flick_trapeze_decode_new_chunk(20);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            _local_a = (struct bar2 *)(&_t53_storage);
            flick_cdr_decode_signed32(4, _local_a->b3, CORBA_long );
            flick_cdr_decode_signed32(8, _local_a->b4.b1, CORBA_long );
            flick_cdr_decode_signed32(12, _local_a->b4.b2, CORBA_long );
            flick_cdr_decode_unsigned32(16, _t54_temp_string_len, flick_unsigned32_t );
            if (_t54_temp_string_len > 21)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort154);
            flick_trapeze_decode_end_chunk(20);
            flick_trapeze_check_span(1 * _t54_temp_string_len, _flick_abort154);
            flick_trapeze_decode_new_chunk(1 * _t54_temp_string_len);
            flick_cdr_decode_msgptr(0, _local_a->b4.b3, CORBA_char *);
            flick_trapeze_decode_end_chunk(1 * _t54_temp_string_len);
            _ev = (CORBA_Environment *)(&_t55_storage);
            flick_trapeze_decode_end_glob(45);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = foo2_op2(_obj, _local_a, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort154);
              flick_trapeze_encode_new_glob(37, _flick_abort154);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    flick_unsigned32_t _t57_temp_string_len;

                    flick_cdr_stringlen(CORBA_char *, _return->b3, flick_unsigned32_t , _t57_temp_string_len);

                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(12 + 1 * _t57_temp_string_len);
                    flick_cdr_encode_signed32(0, _return->b1, CORBA_long );
                    flick_cdr_encode_signed32(4, _return->b2, CORBA_long );
                    flick_cdr_encode_unsigned32(8, _t57_temp_string_len, flick_unsigned32_t );
                    if (_t57_temp_string_len > 21)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort163);
                    flick_cdr_encode_bcopy(12, _return->b3, 1 * _t57_temp_string_len);
                    CORBA_flick_free(_return->b3);
                    _return->b3 = 0;
                    flick_trapeze_encode_end_chunk(12 + 1 * _t57_temp_string_len);
                    CORBA_flick_free(_return);
                    _return = 0;
                    break;
                    {
                    _flick_abort163:
                      goto _flick_abort154;
                    }
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort167);
                    break;
                    {
                    _flick_abort167:
                      goto _flick_abort154;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(37);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort154:
              goto _flick_abort153;
            }
          }
          break;
          {
          _flick_abort153:
            goto _flick_abort103;
          }
        }
      case (signed int) 3:
        {
          {
            foo2 _obj;
            CORBA_long _return;
            CORBA_long _local_a;
            CORBA_char *_local_b;
            CORBA_char _t58_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t59_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort169);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_signed32(4, _local_a, CORBA_long );
            _local_b = (CORBA_char *)(&_t58_storage);
            _ev = (CORBA_Environment *)(&_t59_storage);
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(45);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = foo2_op3(_obj, _local_a, _local_b, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort169);
              flick_trapeze_encode_new_glob(12, _flick_abort169);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(5);
                    flick_cdr_encode_signed32(0, _return, CORBA_long );
                    flick_cdr_encode_char8(4, *_local_b, CORBA_char );
                    flick_trapeze_encode_end_chunk(5);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort176);
                    break;
                    {
                    _flick_abort176:
                      goto _flick_abort169;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort169:
              goto _flick_abort168;
            }
          }
          break;
          {
          _flick_abort168:
            goto _flick_abort103;
          }
        }
      case (signed int) 4:
        {
          {
            foo2 _obj;
            CORBA_long _return;
            struct bar *_local_a;
            struct bar _t60_storage;
            flick_unsigned32_t _t61_temp_string_len;
            struct bar2 **_local_b;
            struct bar2 *_t62_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t63_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort178);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(16, _flick_abort178);
            flick_trapeze_decode_new_chunk(16);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            _local_a = (struct bar *)(&_t60_storage);
            flick_cdr_decode_signed32(4, _local_a->b1, CORBA_long );
            flick_cdr_decode_signed32(8, _local_a->b2, CORBA_long );
            flick_cdr_decode_unsigned32(12, _t61_temp_string_len, flick_unsigned32_t );
            if (_t61_temp_string_len > 21)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort178);
            flick_trapeze_decode_end_chunk(16);
            flick_trapeze_check_span(1 * _t61_temp_string_len, _flick_abort178);
            flick_trapeze_decode_new_chunk(1 * _t61_temp_string_len);
            flick_cdr_decode_msgptr(0, _local_a->b3, CORBA_char *);
            flick_trapeze_decode_end_chunk(1 * _t61_temp_string_len);
            _local_b = (struct bar2 **)(&_t62_storage);
            _ev = (CORBA_Environment *)(&_t63_storage);
            flick_trapeze_decode_end_glob(45);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = foo2_op(_obj, _local_a, _local_b, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort178);
              flick_trapeze_encode_new_glob(45, _flick_abort178);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    flick_unsigned32_t _t65_temp_string_len;

                    flick_cdr_stringlen(CORBA_char *, (*_local_b)->b4.b3, flick_unsigned32_t , _t65_temp_string_len);

                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(20 + 1 * _t65_temp_string_len);
                    flick_cdr_encode_signed32(0, _return, CORBA_long );
                    flick_cdr_encode_signed32(4, (*_local_b)->b3, CORBA_long );
                    flick_cdr_encode_signed32(8, (*_local_b)->b4.b1, CORBA_long );
                    flick_cdr_encode_signed32(12, (*_local_b)->b4.b2, CORBA_long );
                    flick_cdr_encode_unsigned32(16, _t65_temp_string_len, flick_unsigned32_t );
                    if (_t65_temp_string_len > 21)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort187);
                    flick_cdr_encode_bcopy(20, (*_local_b)->b4.b3, 1 * _t65_temp_string_len);
                    CORBA_flick_free((*_local_b)->b4.b3);
                    (*_local_b)->b4.b3 = 0;
                    flick_trapeze_encode_end_chunk(20 + 1 * _t65_temp_string_len);
                    CORBA_flick_free(*_local_b);
                    *_local_b = 0;
                    break;
                    {
                    _flick_abort187:
                      goto _flick_abort178;
                    }
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort191);
                    break;
                    {
                    _flick_abort191:
                      goto _flick_abort178;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(45);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort178:
              goto _flick_abort177;
            }
          }
          break;
          {
          _flick_abort177:
            goto _flick_abort103;
          }
        }
      case (signed int) 5:
        {
          {
            CORBA_Object _obj;
            CORBA_boolean _return;
            CORBA_char *_local_id;
            flick_unsigned32_t _t66_temp_string_len;
            CORBA_Environment *_ev;
            CORBA_Environment _t67_storage;
            char **_par;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort193);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_unsigned32(4, _t66_temp_string_len, flick_unsigned32_t );
            flick_trapeze_server_decode_array(_local_id, 1 * _t66_temp_string_len);
            _ev = (CORBA_Environment *)(&_t67_storage);
            _par = flick_interface_parents_foo2;
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(45);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort193);
              flick_trapeze_encode_new_glob(12, _flick_abort193);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(1);
                    flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                    flick_trapeze_encode_end_chunk(1);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort200);
                    break;
                    {
                    _flick_abort200:
                      goto _flick_abort193;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort193:
              goto _flick_abort192;
            }
          }
          break;
          {
          _flick_abort192:
            goto _flick_abort103;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort103);
          flick_trapeze_decode_end_glob(45);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort103:
    flick_corba_server_error(cdr, trapeze, _flick_reaper, _flick_abort102);
  _flick_abort102:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

