#include "structnest_-server.h"

/* This is the runtime type information */
char *flick_interface_parents_test[] = {
	"IDL:test:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}

flick_operation_success_t test_server(FLICK_BUFFER _msg_buf, caddr_t _buf_start, FLICK_TARGET _this_obj)
{
  register void *_buf_current;
  tpz_msgspec_t  _replytoken;
  flick_trapeze_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    signed int _t5_switch_tag;

    flick_trapeze_decode_new_glob(104);
    flick_trapeze_check_span(12, _flick_abort2);
    flick_trapeze_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t5_switch_tag, signed int );
    flick_trapeze_decode_end_chunk(4);
    switch ((signed int )_t5_switch_tag)
      {
      case (signed int) 0:
        {
          {
            test _obj;
            struct b _return;
            struct a *_local_s1;
            struct a _t6_storage;
            CORBA_Environment *_ev;
            CORBA_Environment _t7_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort23);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(22, _flick_abort23);
            flick_trapeze_decode_new_chunk(22);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _local_s1 = (struct a *)(&_t6_storage);
            flick_cdr_decode_signed16(4, _local_s1->e.c, CORBA_short );
            flick_cdr_decode_char8(6, _local_s1->e.d, CORBA_char );
            flick_cdr_decode_unsigned8(7, _local_s1->e.e.c, CORBA_boolean );
            flick_cdr_decode_signed32(8, _local_s1->e.e.d, CORBA_long );
            flick_cdr_decode_signed16(12, _local_s1->e.f, CORBA_short );
            flick_cdr_decode_unsigned8(14, _local_s1->e.g.c, CORBA_boolean );
            flick_cdr_decode_signed32(16, _local_s1->e.g.d, CORBA_long );
            flick_cdr_decode_signed16(20, _local_s1->h.a, CORBA_short );
            flick_trapeze_decode_end_chunk(22);
            flick_trapeze_decode_new_chunk_align(72, 3, 2, 2);
            flick_trapeze_check_span(72, _flick_abort23);
            flick_cdr_decode_float64(0, _local_s1->h.b, CORBA_double );
            flick_cdr_decode_signed16(8, _local_s1->j.b.a.a, CORBA_short );
            flick_cdr_decode_float64(16, _local_s1->j.b.a.b, CORBA_double );
            flick_cdr_decode_signed16(24, _local_s1->j.m.a, CORBA_short );
            flick_cdr_decode_float64(32, _local_s1->j.m.b, CORBA_double );
            flick_cdr_decode_float32(40, _local_s1->f, CORBA_float );
            flick_cdr_decode_signed16(44, _local_s1->g.c, CORBA_short );
            flick_cdr_decode_char8(46, _local_s1->g.d, CORBA_char );
            flick_cdr_decode_unsigned8(47, _local_s1->g.e.c, CORBA_boolean );
            flick_cdr_decode_signed32(48, _local_s1->g.e.d, CORBA_long );
            flick_cdr_decode_signed16(52, _local_s1->g.f, CORBA_short );
            flick_cdr_decode_unsigned8(54, _local_s1->g.g.c, CORBA_boolean );
            flick_cdr_decode_signed32(56, _local_s1->g.g.d, CORBA_long );
            flick_cdr_decode_signed16(60, _local_s1->i.a, CORBA_short );
            flick_cdr_decode_float64(64, _local_s1->i.b, CORBA_double );
            _ev = (CORBA_Environment *)(&_t7_storage);
            flick_trapeze_decode_end_chunk(72);
            flick_trapeze_decode_end_glob(104);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = test_CopyAdd(_obj, _local_s1, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort23);
              flick_trapeze_encode_new_glob(21, _flick_abort23);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(17);
                    flick_cdr_encode_signed16(0, _return.c.c, CORBA_short );
                    flick_cdr_encode_char8(2, _return.c.d, CORBA_char );
                    flick_cdr_encode_unsigned8(3, _return.c.e.c, CORBA_boolean );
                    flick_cdr_encode_signed32(4, _return.c.e.d, CORBA_long );
                    flick_cdr_encode_signed16(8, _return.c.f, CORBA_short );
                    flick_cdr_encode_unsigned8(10, _return.c.g.c, CORBA_boolean );
                    flick_cdr_encode_signed32(12, _return.c.g.d, CORBA_long );
                    flick_cdr_encode_char8(16, _return.d, CORBA_char );
                    flick_trapeze_encode_end_chunk(17);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort30);
                    break;
                    {
                    _flick_abort30:
                      goto _flick_abort23;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(21);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort23:
              goto _flick_abort22;
            }
          }
          break;
          {
          _flick_abort22:
            goto _flick_abort2;
          }
        }
      case (signed int) 1:
        {
          {
            CORBA_Object _obj;
            CORBA_boolean _return;
            CORBA_char *_local_id;
            flick_unsigned32_t _t8_temp_string_len;
            CORBA_Environment *_ev;
            CORBA_Environment _t9_storage;
            char **_par;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort32);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_unsigned32(4, _t8_temp_string_len, flick_unsigned32_t );
            flick_trapeze_server_decode_array(_local_id, 1 * _t8_temp_string_len);
            _ev = (CORBA_Environment *)(&_t9_storage);
            _par = flick_interface_parents_test;
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(104);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort32);
              flick_trapeze_encode_new_glob(12, _flick_abort32);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(1);
                    flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                    flick_trapeze_encode_end_chunk(1);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort39);
                    break;
                    {
                    _flick_abort39:
                      goto _flick_abort32;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort32:
              goto _flick_abort31;
            }
          }
          break;
          {
          _flick_abort31:
            goto _flick_abort2;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_trapeze_decode_end_glob(104);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort2:
    flick_corba_server_error(cdr, trapeze, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

