#include "turtle-client-server.h"

/* This is the runtime type information */
char *flick_interface_parents_Client[] = {
	"IDL:Client:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}

flick_operation_success_t Client_server(FLICK_BUFFER _msg_buf, caddr_t _buf_start, FLICK_TARGET _this_obj)
{
  register void *_buf_current;
  tpz_msgspec_t  _replytoken;
  flick_trapeze_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  {
    signed int _t7_switch_tag;

    flick_trapeze_decode_new_glob(12);
    flick_trapeze_check_span(8, _flick_abort2);
    flick_trapeze_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t7_switch_tag, signed int );
    flick_trapeze_decode_end_chunk(4);
    switch ((signed int )_t7_switch_tag)
      {
      case (signed int) 0:
        {
          {
            Client _obj;
            CORBA_long _return;
            CORBA_long _local_speed;
            CORBA_Environment *_ev;
            CORBA_Environment _t8_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort50);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(8, _flick_abort50);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_signed32(4, _local_speed, CORBA_long );
            _ev = (CORBA_Environment *)(&_t8_storage);
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(12);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = Client_SetLeft(_obj, _local_speed, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort50);
              flick_trapeze_encode_new_glob(12, _flick_abort50);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _return, CORBA_long );
                    flick_trapeze_encode_end_chunk(4);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort57);
                    break;
                    {
                    _flick_abort57:
                      goto _flick_abort50;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort50:
              goto _flick_abort49;
            }
          }
          break;
          {
          _flick_abort49:
            goto _flick_abort2;
          }
        }
      case (signed int) 1:
        {
          {
            Client _obj;
            CORBA_long _return;
            CORBA_long _local_speed;
            CORBA_Environment *_ev;
            CORBA_Environment _t9_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort59);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(8, _flick_abort59);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_signed32(4, _local_speed, CORBA_long );
            _ev = (CORBA_Environment *)(&_t9_storage);
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(12);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = Client_SetRight(_obj, _local_speed, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort59);
              flick_trapeze_encode_new_glob(12, _flick_abort59);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _return, CORBA_long );
                    flick_trapeze_encode_end_chunk(4);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort66);
                    break;
                    {
                    _flick_abort66:
                      goto _flick_abort59;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort59:
              goto _flick_abort58;
            }
          }
          break;
          {
          _flick_abort58:
            goto _flick_abort2;
          }
        }
      case (signed int) 2:
        {
          {
            Client _obj;
            CORBA_long _return;
            CORBA_Environment *_ev;
            CORBA_Environment _t10_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort68);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            _ev = (CORBA_Environment *)(&_t10_storage);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(12);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = Client_GetButton(_obj, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort68);
              flick_trapeze_encode_new_glob(12, _flick_abort68);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _return, CORBA_long );
                    flick_trapeze_encode_end_chunk(4);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort75);
                    break;
                    {
                    _flick_abort75:
                      goto _flick_abort68;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort68:
              goto _flick_abort67;
            }
          }
          break;
          {
          _flick_abort67:
            goto _flick_abort2;
          }
        }
      case (signed int) 3:
        {
          {
            Client _obj;
            CORBA_long _return;
            CORBA_Environment *_ev;
            CORBA_Environment _t11_storage;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort77);
            /* Decode and save the reply token. */
            flick_trapeze_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            _ev = (CORBA_Environment *)(&_t11_storage);
            flick_trapeze_decode_end_chunk(4);
            flick_trapeze_decode_end_glob(12);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = Client_GetPhoto(_obj, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort77);
              flick_trapeze_encode_new_glob(12, _flick_abort77);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _return, CORBA_long );
                    flick_trapeze_encode_end_chunk(4);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort84);
                    break;
                    {
                    _flick_abort84:
                      goto _flick_abort77;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort77:
              goto _flick_abort76;
            }
          }
          break;
          {
          _flick_abort76:
            goto _flick_abort2;
          }
        }
      case (signed int) 4:
        {
          {
            CORBA_Object _obj;
            CORBA_boolean _return;
            CORBA_char *_local_id;
            flick_unsigned32_t _t12_temp_string_len;
            CORBA_Environment *_ev;
            CORBA_Environment _t13_storage;
            char **_par;

            flick_trapeze_server_decode_target(_obj, 0, cdr, _flick_abort86);
            /* Decode and save the reply token. */
            flick_trapeze_check_span(8, _flick_abort86);
            flick_trapeze_decode_new_chunk(8);
            flick_cdr_decode_unsigned32(0, _replytoken, unsigned int );
            /* Begin decode phase on parameters */
            _return = 0;
            flick_cdr_decode_unsigned32(4, _t12_temp_string_len, flick_unsigned32_t );
            flick_trapeze_server_decode_array(_local_id, 1 * _t12_temp_string_len);
            _ev = (CORBA_Environment *)(&_t13_storage);
            _par = flick_interface_parents_Client;
            flick_trapeze_decode_end_chunk(8);
            flick_trapeze_decode_end_glob(12);
            flick_trapeze_server_end_decode();
            flick_corba_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_trapeze_server_start_encode();
            {
              flick_trapeze_server_encode_target(_obj, 0, cdr, _flick_abort86);
              flick_trapeze_encode_new_glob(12, _flick_abort86);
              flick_trapeze_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
              flick_trapeze_encode_end_chunk(4);
              switch (_ev->_major)
                {
                case CORBA_NO_EXCEPTION:
                  {
                    /* Begin encode phase on parameters */
                    flick_trapeze_encode_new_chunk(1);
                    flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                    flick_trapeze_encode_end_chunk(1);
                    break;
                  }
                case CORBA_SYSTEM_EXCEPTION:
                  {
                    flick_trapeze_encode_new_chunk(8);
                    flick_trapeze_encode_system_exception(0, _ev, corba);
                    flick_trapeze_encode_end_chunk(8);
                    break;
                  }
                default:
                  {
                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort93);
                    break;
                    {
                    _flick_abort93:
                      goto _flick_abort86;
                    }
                  }
                }
              flick_trapeze_encode_end_glob(12);
            }
            flick_trapeze_server_end_encode();
            break;
            {
            _flick_abort86:
              goto _flick_abort85;
            }
          }
          break;
          {
          _flick_abort85:
            goto _flick_abort2;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_trapeze_decode_end_glob(12);
          break;
        }
      }
  }
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort2:
    flick_corba_server_error(cdr, trapeze, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return FLICK_OPERATION_SUCCESS;
    goto _flick_reaper;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

