#include "mig-tests-server.h"

/* This is the runtime type information */
/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
flick_operation_success_t tests_server(FLICK_BUFFER *InHeadP, FLICK_BUFFER *OutHeadP, unsigned int _request_id, FLICK_TARGET _this_obj)
{
  FLICK_BUFFER *_stream;
  flick_iiop_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    signed int _t349_switch_tag;

    flick_iiop_decode_new_glob(8);
    flick_iiop_check_span(8, _flick_abort2);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_swap_decode_signed32(0, _t349_switch_tag, signed int );
    flick_iiop_decode_end_chunk(4);
    switch ((signed int )_t349_switch_tag)
      {
      case (signed int) 5550001:
        {
          {
            mach_port_t _local_target;
            unsigned int _t350_principal_len;
            kern_return_t _return;
            Iint _local_inInt;
            Iint *_local_inoutInt;
            Iint _t351_storage;
            Iint *_local_outInt;
            Iint _t352_storage;

            flick_iiop_server_decode_target(_local_target, 0, cdr_swap, _flick_abort1284);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t350_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t350_principal_len, _flick_abort1284);
            flick_iiop_decode_new_glob(_t350_principal_len);
            flick_iiop_decode_new_chunk(_t350_principal_len);
            flick_iiop_decode_end_chunk(_t350_principal_len);
            flick_iiop_decode_end_glob(_t350_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(11);
            flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
            flick_iiop_check_span(8, _flick_abort1284);
            flick_cdr_swap_decode_signed32(0, _local_inInt, Iint );
            _local_inoutInt = (Iint *)(&_t351_storage);
            flick_cdr_swap_decode_signed32(4, *_local_inoutInt, Iint );
            _local_outInt = (Iint *)(&_t352_storage);
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(11);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_inline_integers(_local_target, _local_inInt, _local_inoutInt, _local_outInt);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort1284);
              flick_iiop_encode_new_glob(12, _flick_abort1284);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(8);
                    flick_cdr_encode_signed32(0, *_local_inoutInt, Iint );
                    flick_cdr_encode_signed32(4, *_local_outInt, Iint );
                    flick_iiop_encode_end_chunk(8);
                    flick_iiop_encode_end_glob(12);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(12);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort1289);
                    break;
                    {
                    _flick_abort1289:
                      goto _flick_abort1284;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort1284:
              goto _flick_abort1283;
            }
          }
          break;
          {
          _flick_abort1283:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550002:
        {
          {
            mach_port_t _local_target;
            unsigned int _t353_principal_len;
            kern_return_t _return;
            IFstruct _local_inStruct;
            unsigned *_t354_internal;
            flick_unsigned32_t _t355_array_iter;
            IFstruct *_local_inoutStruct;
            IFstruct _t356_storage;
            unsigned *_t357_internal;
            flick_unsigned32_t _t358_array_iter;
            IFstruct *_local_outStruct;
            IFstruct _t359_storage;

            flick_iiop_server_decode_target(_local_target, 0, cdr_swap, _flick_abort1291);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t353_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t353_principal_len, _flick_abort1291);
            flick_iiop_decode_new_glob(_t353_principal_len);
            flick_iiop_decode_new_chunk(_t353_principal_len);
            flick_iiop_decode_end_chunk(_t353_principal_len);
            flick_iiop_decode_end_glob(_t353_principal_len);
            /* Begin decode phase on parameters */
            _t354_internal = (unsigned *)(&(_local_inStruct));
            flick_iiop_decode_new_glob(1100);
            for (_t355_array_iter = 0; _t355_array_iter < 100; _t355_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_iiop_check_span(4, _flick_abort1295);
                flick_cdr_swap_decode_signed32(0, _t354_internal[_t355_array_iter], unsigned );
                flick_iiop_decode_end_chunk(4);
                continue;
                {
                _flick_abort1295:
                  goto _flick_abort1291;
                }
              }
            _local_inoutStruct = (IFstruct *)(&_t356_storage);
            _t357_internal = (unsigned *)(&(*_local_inoutStruct));
            flick_iiop_check_span(100 * 4, _flick_abort1291);
            for (_t358_array_iter = 0; _t358_array_iter < 100; _t358_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, _t357_internal[_t358_array_iter], unsigned );
                flick_iiop_decode_end_chunk(4);
                continue;
              }
            _local_outStruct = (IFstruct *)(&_t359_storage);
            flick_iiop_decode_end_glob(1100);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_inline_fixed_structs(_local_target, _local_inStruct, _local_inoutStruct, _local_outStruct);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort1291);
              flick_iiop_encode_new_glob(804, _flick_abort1291);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    unsigned *_t362_internal;
                    unsigned *_t363_internal;

                    /* Begin encode phase on parameters */
                    _t362_internal = (unsigned *)(&(*_local_inoutStruct));
                    flick_iiop_encode_new_chunk(800);
                    flick_cdr_encode_bcopy(0, _t362_internal, 400);
                    _t363_internal = (unsigned *)(&(*_local_outStruct));
                    flick_cdr_encode_bcopy(400, _t363_internal, 400);
                    flick_iiop_encode_end_chunk(800);
                    flick_iiop_encode_end_glob(804);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(804);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort1314);
                    break;
                    {
                    _flick_abort1314:
                      goto _flick_abort1291;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort1291:
              goto _flick_abort1290;
            }
          }
          break;
          {
          _flick_abort1290:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550003:
        {
          {
            mach_port_t _local_target;
            unsigned int _t364_principal_len;
            kern_return_t _return;
            unsigned *_local_inArray;
            unsigned _t365_storage[300];
            flick_unsigned32_t _t366_array_iter;
            unsigned *_local_inoutArray;
            unsigned _t367_storage[300];
            flick_unsigned32_t _t368_array_iter;
            unsigned *_local_outArray;
            unsigned _t369_storage[300];

            flick_iiop_server_decode_target(_local_target, 0, cdr_swap, _flick_abort1316);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t364_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t364_principal_len, _flick_abort1316);
            flick_iiop_decode_new_glob(_t364_principal_len);
            flick_iiop_decode_new_chunk(_t364_principal_len);
            flick_iiop_decode_end_chunk(_t364_principal_len);
            flick_iiop_decode_end_glob(_t364_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(3300);
            _local_inArray = (unsigned *)_t365_storage;
            for (_t366_array_iter = 0; _t366_array_iter < 300; _t366_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_iiop_check_span(4, _flick_abort1320);
                flick_cdr_swap_decode_signed32(0, _local_inArray[_t366_array_iter], unsigned );
                flick_iiop_decode_end_chunk(4);
                continue;
                {
                _flick_abort1320:
                  goto _flick_abort1316;
                }
              }
            _local_inoutArray = (unsigned *)_t367_storage;
            flick_iiop_check_span(300 * 4, _flick_abort1316);
            for (_t368_array_iter = 0; _t368_array_iter < 300; _t368_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, _local_inoutArray[_t368_array_iter], unsigned );
                flick_iiop_decode_end_chunk(4);
                continue;
              }
            _local_outArray = (unsigned *)_t369_storage;
            flick_iiop_decode_end_glob(3300);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_inline_fixed_arrays(_local_target, _local_inArray, _local_inoutArray, _local_outArray);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort1316);
              flick_iiop_encode_new_glob(2404, _flick_abort1316);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(2400);
                    flick_cdr_encode_bcopy(0, _local_inoutArray, 1200);
                    flick_cdr_encode_bcopy(1200, _local_outArray, 1200);
                    flick_iiop_encode_end_chunk(2400);
                    flick_iiop_encode_end_glob(2404);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(2404);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort1340);
                    break;
                    {
                    _flick_abort1340:
                      goto _flick_abort1316;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort1316:
              goto _flick_abort1315;
            }
          }
          break;
          {
          _flick_abort1315:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550004:
        {
          {
            mach_port_t _local_target;
            unsigned int _t370_principal_len;
            kern_return_t _return;
            mach_msg_type_number_t _local_inArrayCnt;
            unsigned *_local_inArray;
            unsigned _t371_storage[500];
            mach_msg_type_number_t _t372_array_iter;
            mach_msg_type_number_t *_local_outArrayCnt;
            mach_msg_type_number_t _t373_storage;
            unsigned *_local_outArray;
            unsigned _t374_storage[500];

            flick_iiop_server_decode_target(_local_target, 0, cdr_swap, _flick_abort1342);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t370_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t370_principal_len, _flick_abort1342);
            flick_iiop_decode_new_glob(_t370_principal_len);
            flick_iiop_decode_new_chunk(_t370_principal_len);
            flick_iiop_decode_end_chunk(_t370_principal_len);
            flick_iiop_decode_end_glob(_t370_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(2007);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort1342);
            flick_cdr_swap_decode_unsigned32(0, _local_inArrayCnt, mach_msg_type_number_t );
            flick_iiop_decode_end_chunk(4);
            if (_local_inArrayCnt > 500)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1342);
            _local_inArray = (unsigned *)_t371_storage;
            flick_iiop_check_span(_local_inArrayCnt * 4, _flick_abort1342);
            for (_t372_array_iter = 0; _t372_array_iter < _local_inArrayCnt; _t372_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, _local_inArray[_t372_array_iter], unsigned );
                flick_iiop_decode_end_chunk(4);
                continue;
              }
            _local_outArrayCnt = (mach_msg_type_number_t *)(&_t373_storage);
            *_local_outArrayCnt = 0;
            _local_outArray = (unsigned *)_t374_storage;
            flick_iiop_decode_end_glob(2007);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_inline_bounded_arrays(_local_target, _local_inArray, _local_inArrayCnt, _local_outArray, _local_outArrayCnt);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort1342);
              flick_iiop_encode_new_glob(2008, _flick_abort1342);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4 + 4 * *_local_outArrayCnt);
                    flick_cdr_encode_unsigned32(0, *_local_outArrayCnt, mach_msg_type_number_t );
                    if (*_local_outArrayCnt > 500)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1354);
                    flick_cdr_encode_bcopy(4, _local_outArray, 4 * *_local_outArrayCnt);
                    flick_iiop_encode_end_chunk(4 + 4 * *_local_outArrayCnt);
                    flick_iiop_encode_end_glob(2008);
                    break;
                    {
                    _flick_abort1354:
                      goto _flick_abort1342;
                    }
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(2008);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort1357);
                    break;
                    {
                    _flick_abort1357:
                      goto _flick_abort1342;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort1342:
              goto _flick_abort1341;
            }
          }
          break;
          {
          _flick_abort1341:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550005:
        {
          {
            mach_port_t _local_target;
            unsigned int _t375_principal_len;
            kern_return_t _return;
            mach_msg_type_number_t _local_inArrayCnt;
            Iarray _local_inArray;
            mach_msg_type_number_t _t376_array_iter;
            mach_msg_type_number_t *_local_outArrayCnt;
            mach_msg_type_number_t _t377_storage;
            Iarray *_local_outArray;
            Iarray _t378_storage;

            flick_iiop_server_decode_target(_local_target, 0, cdr_swap, _flick_abort1359);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t375_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t375_principal_len, _flick_abort1359);
            flick_iiop_decode_new_glob(_t375_principal_len);
            flick_iiop_decode_new_chunk(_t375_principal_len);
            flick_iiop_decode_end_chunk(_t375_principal_len);
            flick_iiop_decode_end_glob(_t375_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort1359);
            flick_cdr_swap_decode_unsigned32(0, _local_inArrayCnt, mach_msg_type_number_t );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_decode_new_glob(4 * _local_inArrayCnt);
            {
              unsigned *_t_alloc_ptr;

              _t_alloc_ptr = (unsigned *)(auto_flick_alloc(_local_inArrayCnt * sizeof(unsigned )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1359);
              _local_inArray = _t_alloc_ptr;
            }
            flick_iiop_check_span(_local_inArrayCnt * 4, _flick_abort1359);
            for (_t376_array_iter = 0; _t376_array_iter < _local_inArrayCnt; _t376_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, _local_inArray[_t376_array_iter], unsigned );
                flick_iiop_decode_end_chunk(4);
                continue;
              }
            flick_iiop_decode_end_glob(4 * _local_inArrayCnt);
            _local_outArrayCnt = (mach_msg_type_number_t *)(&_t377_storage);
            *_local_outArrayCnt = 0;
            _local_outArray = (Iarray *)(&_t378_storage);
            *_local_outArray = 0;
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_inline_unbounded_arrays(_local_target, _local_inArray, _local_inArrayCnt, _local_outArray, _local_outArrayCnt);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort1359);
              flick_iiop_encode_new_glob(8, _flick_abort1359);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_unsigned32(0, *_local_outArrayCnt, mach_msg_type_number_t );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    flick_iiop_encode_new_glob(4 * *_local_outArrayCnt, _flick_abort1371);
                    flick_iiop_encode_new_chunk(4 * *_local_outArrayCnt);
                    flick_cdr_encode_bcopy(0, *_local_outArray, 4 * *_local_outArrayCnt);
                    flick_iiop_encode_end_chunk(4 * *_local_outArrayCnt);
                    flick_iiop_encode_end_glob(4 * *_local_outArrayCnt);
                    break;
                    {
                    _flick_abort1371:
                      goto _flick_abort1359;
                    }
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort1375);
                    break;
                    {
                    _flick_abort1375:
                      goto _flick_abort1359;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort1359:
              goto _flick_abort1358;
            }
          }
          break;
          {
          _flick_abort1358:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550006:
        {
          {
            mach_port_t _local_target;
            unsigned int _t379_principal_len;
            kern_return_t _return;
            char *_local_inString;
            char *_local_inoutString;
            char _t380_storage[799];
            char *_local_outString;
            char _t381_storage[799];

            flick_iiop_server_decode_target(_local_target, 0, cdr_swap, _flick_abort1377);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t379_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t379_principal_len + 1600, _flick_abort1377);
            flick_iiop_decode_new_glob(_t379_principal_len);
            flick_iiop_decode_new_chunk(_t379_principal_len);
            flick_iiop_decode_end_chunk(_t379_principal_len);
            flick_iiop_decode_end_glob(_t379_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(1600);
            flick_iiop_decode_new_chunk(1600);
            flick_cdr_swap_decode_msgptr(0, _local_inString, char *);
            _local_inoutString = (char *)_t380_storage;
            flick_cdr_swap_decode_bcopy(800, _local_inoutString, 799);
            _local_outString = (char *)_t381_storage;
            flick_iiop_decode_end_chunk(1600);
            flick_iiop_decode_end_glob(1600);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_inline_fixed_strings(_local_target, _local_inString, _local_inoutString, _local_outString);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort1377);
              flick_iiop_encode_new_glob(1604, _flick_abort1377);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(1600);
                    flick_cdr_encode_bcopy(0, _local_inoutString, 799);
                    flick_cdr_encode_bcopy(800, _local_outString, 799);
                    flick_iiop_encode_end_chunk(1600);
                    flick_iiop_encode_end_glob(1604);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(1604);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort1395);
                    break;
                    {
                    _flick_abort1395:
                      goto _flick_abort1377;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort1377:
              goto _flick_abort1376;
            }
          }
          break;
          {
          _flick_abort1376:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550007:
        {
          {
            mach_port_t _local_target;
            unsigned int _t382_principal_len;
            kern_return_t _return;
            char *_local_inString;
            flick_unsigned32_t _t383_temp_string_len;
            char *_local_outString;
            char _t384_storage[4997];

            flick_iiop_server_decode_target(_local_target, 0, cdr_swap, _flick_abort1397);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t382_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t382_principal_len, _flick_abort1397);
            flick_iiop_decode_new_glob(_t382_principal_len);
            flick_iiop_decode_new_chunk(_t382_principal_len);
            flick_iiop_decode_end_chunk(_t382_principal_len);
            flick_iiop_decode_end_glob(_t382_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(5005);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort1397);
            flick_cdr_swap_decode_unsigned32(0, _t383_temp_string_len, flick_unsigned32_t );
            if (_t383_temp_string_len > 4997)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1397);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_check_span(1 * _t383_temp_string_len, _flick_abort1397);
            flick_iiop_decode_new_chunk(1 * _t383_temp_string_len);
            flick_cdr_swap_decode_msgptr(0, _local_inString, char *);
            flick_iiop_decode_end_chunk(1 * _t383_temp_string_len);
            _local_outString = (char *)_t384_storage;
            flick_iiop_decode_end_glob(5005);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_inline_bounded_strings(_local_target, _local_inString, _local_outString);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort1397);
              flick_iiop_encode_new_glob(5006, _flick_abort1397);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    flick_unsigned32_t _t386_temp_string_len;

                    flick_cdr_stringlen(char *, _local_outString, flick_unsigned32_t , _t386_temp_string_len);

                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4 + 1 * _t386_temp_string_len);
                    flick_cdr_encode_unsigned32(0, _t386_temp_string_len, flick_unsigned32_t );
                    if (_t386_temp_string_len > 4997)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1406);
                    flick_cdr_encode_bcopy(4, _local_outString, 1 * _t386_temp_string_len);
                    flick_iiop_encode_end_chunk(4 + 1 * _t386_temp_string_len);
                    flick_iiop_encode_end_glob(5006);
                    break;
                    {
                    _flick_abort1406:
                      goto _flick_abort1397;
                    }
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(5006);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort1409);
                    break;
                    {
                    _flick_abort1409:
                      goto _flick_abort1397;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort1397:
              goto _flick_abort1396;
            }
          }
          break;
          {
          _flick_abort1396:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550008:
        {
          {
            mach_port_t _local_target;
            unsigned int _t387_principal_len;
            kern_return_t _return;
            mach_port_t _local_inRight;
            mach_port_t *_local_inoutRight;
            mach_port_t _t388_storage;
            mach_port_t *_local_outRight;
            mach_port_t _t389_storage;

            flick_iiop_server_decode_target(_local_target, 0, cdr_swap, _flick_abort1411);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t387_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t387_principal_len, _flick_abort1411);
            flick_iiop_decode_new_glob(_t387_principal_len);
            flick_iiop_decode_new_chunk(_t387_principal_len);
            flick_iiop_decode_end_chunk(_t387_principal_len);
            flick_iiop_decode_end_glob(_t387_principal_len);
            /* Begin decode phase on parameters */
            flick_cdr_swap_decode_IOR(iiop, _local_inRight, 1);
            flick_iiop_mark_port_for_cleanup(_local_inRight, 1);
            _local_inoutRight = (mach_port_t *)(&_t388_storage);
            flick_cdr_swap_decode_IOR(iiop, *_local_inoutRight, 1);
            flick_iiop_mark_port_for_cleanup(*_local_inoutRight, 1);
            _local_outRight = (mach_port_t *)(&_t389_storage);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_inline_port_rights(_local_target, _local_inRight, _local_inoutRight, _local_outRight);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort1411);
              flick_iiop_encode_new_glob(4, _flick_abort1411);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_end_glob(4);
                    flick_cdr_encode_IOR(iiop, *_local_inoutRight, 0, _flick_abort1415);
                    flick_cdr_encode_IOR(iiop, *_local_outRight, 1, _flick_abort1415);
                    flick_iiop_mark_port_for_cleanup(*_local_outRight, 1);
                    break;
                    {
                    _flick_abort1415:
                      goto _flick_abort1411;
                    }
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort1416);
                    break;
                    {
                    _flick_abort1416:
                      goto _flick_abort1411;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort1411:
              goto _flick_abort1410;
            }
          }
          break;
          {
          _flick_abort1410:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550009:
        {
          {
            mach_port_t _local_target;
            unsigned int _t390_principal_len;
            kern_return_t _return;
            mach_msg_type_number_t _local_inRightCnt;
            Imach_port_array_t _local_inRight;
            mach_msg_type_number_t _t391_array_iter;
            mach_msg_type_number_t *_local_outRightCnt;
            mach_msg_type_number_t _t392_storage;
            Imach_port_array_t *_local_outRight;
            Imach_port_array_t _t393_storage;

            flick_iiop_server_decode_target(_local_target, 0, cdr_swap, _flick_abort1418);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t390_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t390_principal_len, _flick_abort1418);
            flick_iiop_decode_new_glob(_t390_principal_len);
            flick_iiop_decode_new_chunk(_t390_principal_len);
            flick_iiop_decode_end_chunk(_t390_principal_len);
            flick_iiop_decode_end_glob(_t390_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort1418);
            flick_cdr_swap_decode_unsigned32(0, _local_inRightCnt, mach_msg_type_number_t );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            {
              mach_port_t *_t_alloc_ptr;

              _t_alloc_ptr = (mach_port_t *)(auto_flick_alloc(_local_inRightCnt * sizeof(mach_port_t )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1418);
              _local_inRight = _t_alloc_ptr;
            }
            for (_t391_array_iter = 0; _t391_array_iter < _local_inRightCnt; _t391_array_iter++)
              {
                flick_cdr_swap_decode_IOR(iiop, _local_inRight[_t391_array_iter], 1);
                flick_iiop_mark_port_for_cleanup(_local_inRight[_t391_array_iter], 1);
                continue;
              }
            _local_outRightCnt = (mach_msg_type_number_t *)(&_t392_storage);
            *_local_outRightCnt = 0;
            _local_outRight = (Imach_port_array_t *)(&_t393_storage);
            *_local_outRight = 0;
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_inline_port_arrays(_local_target, _local_inRight, _local_inRightCnt, _local_outRight, _local_outRightCnt);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort1418);
              flick_iiop_encode_new_glob(8, _flick_abort1418);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    mach_msg_type_number_t _t395_array_iter;

                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_unsigned32(0, *_local_outRightCnt, mach_msg_type_number_t );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    for (_t395_array_iter = 0; _t395_array_iter < *_local_outRightCnt; _t395_array_iter++)
                      {
                        flick_cdr_encode_IOR(iiop, (*_local_outRight)[_t395_array_iter], 1, _flick_abort1438);
                        flick_iiop_mark_port_for_cleanup((*_local_outRight)[_t395_array_iter], 1);
                        continue;
                        {
                        _flick_abort1438:
                          goto _flick_abort1433;
                        }
                      }
                    break;
                    {
                    _flick_abort1433:
                      goto _flick_abort1418;
                    }
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort1440);
                    break;
                    {
                    _flick_abort1440:
                      goto _flick_abort1418;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort1418:
              goto _flick_abort1417;
            }
          }
          break;
          {
          _flick_abort1417:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550010:
        {
          {
            mach_port_t _local_target;
            unsigned int _t396_principal_len;
            kern_return_t _return;
            mach_msg_type_number_t _local_inRightCnt;
            Imach_poly_array_t _local_inRight;
            mach_msg_type_number_t _t397_array_iter;
            mach_msg_type_number_t *_local_outRightCnt;
            mach_msg_type_number_t _t398_storage;
            Imach_poly_array_t *_local_outRight;
            Imach_poly_array_t _t399_storage;

            flick_iiop_server_decode_target(_local_target, 0, cdr_swap, _flick_abort1442);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t396_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t396_principal_len, _flick_abort1442);
            flick_iiop_decode_new_glob(_t396_principal_len);
            flick_iiop_decode_new_chunk(_t396_principal_len);
            flick_iiop_decode_end_chunk(_t396_principal_len);
            flick_iiop_decode_end_glob(_t396_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort1442);
            flick_cdr_swap_decode_unsigned32(0, _local_inRightCnt, mach_msg_type_number_t );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            {
              mach_port_t *_t_alloc_ptr;

              _t_alloc_ptr = (mach_port_t *)(auto_flick_alloc(_local_inRightCnt * sizeof(mach_port_t )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1442);
              _local_inRight = _t_alloc_ptr;
            }
            for (_t397_array_iter = 0; _t397_array_iter < _local_inRightCnt; _t397_array_iter++)
              {
                flick_cdr_swap_decode_IOR(iiop, _local_inRight[_t397_array_iter], 1);
                flick_iiop_mark_port_for_cleanup(_local_inRight[_t397_array_iter], 1);
                continue;
              }
            _local_outRightCnt = (mach_msg_type_number_t *)(&_t398_storage);
            *_local_outRightCnt = 0;
            _local_outRight = (Imach_poly_array_t *)(&_t399_storage);
            *_local_outRight = 0;
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_inline_poly_arrays(_local_target, _local_inRight, _local_inRightCnt, _local_outRight, _local_outRightCnt);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort1442);
              flick_iiop_encode_new_glob(8, _flick_abort1442);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    mach_msg_type_number_t _t401_array_iter;

                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_unsigned32(0, *_local_outRightCnt, mach_msg_type_number_t );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    for (_t401_array_iter = 0; _t401_array_iter < *_local_outRightCnt; _t401_array_iter++)
                      {
                        flick_cdr_encode_IOR(iiop, (*_local_outRight)[_t401_array_iter], 0, _flick_abort1462);
                        continue;
                        {
                        _flick_abort1462:
                          goto _flick_abort1457;
                        }
                      }
                    break;
                    {
                    _flick_abort1457:
                      goto _flick_abort1442;
                    }
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort1464);
                    break;
                    {
                    _flick_abort1464:
                      goto _flick_abort1442;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort1442:
              goto _flick_abort1441;
            }
          }
          break;
          {
          _flick_abort1441:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550012:
        {
          {
            mach_port_t _local_target;
            unsigned int _t402_principal_len;
            kern_return_t _return;
            Oint _local_inInt;
            Oint *_local_inoutInt;
            Oint _t403_storage;
            Oint *_local_outInt;
            Oint _t404_storage;

            flick_iiop_server_decode_target(_local_target, 0, cdr_swap, _flick_abort1466);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t402_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t402_principal_len, _flick_abort1466);
            flick_iiop_decode_new_glob(_t402_principal_len);
            flick_iiop_decode_new_chunk(_t402_principal_len);
            flick_iiop_decode_end_chunk(_t402_principal_len);
            flick_iiop_decode_end_glob(_t402_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(11);
            flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
            flick_iiop_check_span(8, _flick_abort1466);
            flick_cdr_swap_decode_signed32(0, *_local_inInt, unsigned );
            _local_inoutInt = (Oint *)(&_t403_storage);
            flick_cdr_swap_decode_signed32(4, **_local_inoutInt, unsigned );
            _local_outInt = (Oint *)(&_t404_storage);
            *_local_outInt = 0;
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(11);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_outline_integers(_local_target, _local_inInt, _local_inoutInt, _local_outInt);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort1466);
              flick_iiop_encode_new_glob(12, _flick_abort1466);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(8);
                    flick_cdr_encode_signed32(0, **_local_inoutInt, unsigned );
                    flick_cdr_encode_signed32(4, **_local_outInt, unsigned );
                    flick_iiop_encode_end_chunk(8);
                    flick_iiop_encode_end_glob(12);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(12);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort1471);
                    break;
                    {
                    _flick_abort1471:
                      goto _flick_abort1466;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort1466:
              goto _flick_abort1465;
            }
          }
          break;
          {
          _flick_abort1465:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550013:
        {
          {
            mach_port_t _local_target;
            unsigned int _t405_principal_len;
            kern_return_t _return;
            OFstruct _local_inStruct;
            flick_unsigned32_t _t406_array_iter;
            OFstruct *_local_inoutStruct;
            OFstruct _t407_storage;
            flick_unsigned32_t _t408_array_iter;
            OFstruct *_local_outStruct;
            OFstruct _t409_storage;

            flick_iiop_server_decode_target(_local_target, 0, cdr_swap, _flick_abort1473);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t405_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t405_principal_len, _flick_abort1473);
            flick_iiop_decode_new_glob(_t405_principal_len);
            flick_iiop_decode_new_chunk(_t405_principal_len);
            flick_iiop_decode_end_chunk(_t405_principal_len);
            flick_iiop_decode_end_glob(_t405_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(2200);
            for (_t406_array_iter = 0; _t406_array_iter < 200; _t406_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_iiop_check_span(4, _flick_abort1477);
                flick_cdr_swap_decode_signed32(0, (*_local_inStruct)[_t406_array_iter], unsigned );
                flick_iiop_decode_end_chunk(4);
                continue;
                {
                _flick_abort1477:
                  goto _flick_abort1473;
                }
              }
            _local_inoutStruct = (OFstruct *)(&_t407_storage);
            flick_iiop_check_span(200 * 4, _flick_abort1473);
            for (_t408_array_iter = 0; _t408_array_iter < 200; _t408_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, (**_local_inoutStruct)[_t408_array_iter], unsigned );
                flick_iiop_decode_end_chunk(4);
                continue;
              }
            _local_outStruct = (OFstruct *)(&_t409_storage);
            *_local_outStruct = 0;
            flick_iiop_decode_end_glob(2200);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_outline_fixed_structs(_local_target, _local_inStruct, _local_inoutStruct, _local_outStruct);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort1473);
              flick_iiop_encode_new_glob(1604, _flick_abort1473);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(1600);
                    flick_cdr_encode_bcopy(0, **_local_inoutStruct, 800);
                    flick_cdr_encode_bcopy(800, **_local_outStruct, 800);
                    flick_iiop_encode_end_chunk(1600);
                    flick_iiop_encode_end_glob(1604);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(1604);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort1496);
                    break;
                    {
                    _flick_abort1496:
                      goto _flick_abort1473;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort1473:
              goto _flick_abort1472;
            }
          }
          break;
          {
          _flick_abort1472:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550014:
        {
          {
            mach_port_t _local_target;
            unsigned int _t410_principal_len;
            kern_return_t _return;
            OFarray _local_inArray;
            flick_unsigned32_t _t411_array_iter;
            OFarray *_local_inoutArray;
            OFarray _t412_storage;
            flick_unsigned32_t _t413_array_iter;
            OFarray *_local_outArray;
            OFarray _t414_storage;

            flick_iiop_server_decode_target(_local_target, 0, cdr_swap, _flick_abort1498);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t410_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t410_principal_len, _flick_abort1498);
            flick_iiop_decode_new_glob(_t410_principal_len);
            flick_iiop_decode_new_chunk(_t410_principal_len);
            flick_iiop_decode_end_chunk(_t410_principal_len);
            flick_iiop_decode_end_glob(_t410_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(4400);
            for (_t411_array_iter = 0; _t411_array_iter < 400; _t411_array_iter++)
              {
                flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
                flick_iiop_check_span(4, _flick_abort1502);
                flick_cdr_swap_decode_signed32(0, (*_local_inArray)[_t411_array_iter], unsigned );
                flick_iiop_decode_end_chunk(4);
                continue;
                {
                _flick_abort1502:
                  goto _flick_abort1498;
                }
              }
            _local_inoutArray = (OFarray *)(&_t412_storage);
            flick_iiop_check_span(400 * 4, _flick_abort1498);
            for (_t413_array_iter = 0; _t413_array_iter < 400; _t413_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, (**_local_inoutArray)[_t413_array_iter], unsigned );
                flick_iiop_decode_end_chunk(4);
                continue;
              }
            _local_outArray = (OFarray *)(&_t414_storage);
            *_local_outArray = 0;
            flick_iiop_decode_end_glob(4400);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_outline_fixed_arrays(_local_target, _local_inArray, _local_inoutArray, _local_outArray);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort1498);
              flick_iiop_encode_new_glob(3204, _flick_abort1498);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(3200);
                    flick_cdr_encode_bcopy(0, **_local_inoutArray, 1600);
                    flick_cdr_encode_bcopy(1600, **_local_outArray, 1600);
                    flick_iiop_encode_end_chunk(3200);
                    flick_iiop_encode_end_glob(3204);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(3204);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort1521);
                    break;
                    {
                    _flick_abort1521:
                      goto _flick_abort1498;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort1498:
              goto _flick_abort1497;
            }
          }
          break;
          {
          _flick_abort1497:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550015:
        {
          {
            mach_port_t _local_target;
            unsigned int _t415_principal_len;
            kern_return_t _return;
            mach_msg_type_number_t _local_inArrayCnt;
            Oarray _local_inArray;
            mach_msg_type_number_t _t416_array_iter;
            mach_msg_type_number_t *_local_inoutArrayCnt;
            mach_msg_type_number_t _t417_storage;
            Oarray *_local_inoutArray;
            Oarray _t418_storage;
            mach_msg_type_number_t _t419_array_iter;
            mach_msg_type_number_t *_local_outArrayCnt;
            mach_msg_type_number_t _t420_storage;
            Oarray *_local_outArray;
            Oarray _t421_storage;

            flick_iiop_server_decode_target(_local_target, 0, cdr_swap, _flick_abort1523);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t415_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t415_principal_len, _flick_abort1523);
            flick_iiop_decode_new_glob(_t415_principal_len);
            flick_iiop_decode_new_chunk(_t415_principal_len);
            flick_iiop_decode_end_chunk(_t415_principal_len);
            flick_iiop_decode_end_glob(_t415_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort1523);
            flick_cdr_swap_decode_unsigned32(0, _local_inArrayCnt, mach_msg_type_number_t );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_decode_new_glob(4 * _local_inArrayCnt);
            if (_local_inArrayCnt > 512)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1523);
            flick_iiop_check_span(_local_inArrayCnt * 4 + 4, _flick_abort1523);
            for (_t416_array_iter = 0; _t416_array_iter < _local_inArrayCnt; _t416_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, _local_inArray[_t416_array_iter], unsigned );
                flick_iiop_decode_end_chunk(4);
                continue;
              }
            flick_iiop_decode_end_glob(4 * _local_inArrayCnt);
            _local_inoutArrayCnt = (mach_msg_type_number_t *)(&_t417_storage);
            flick_iiop_decode_new_glob(4);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, *_local_inoutArrayCnt, mach_msg_type_number_t );
            _local_inoutArray = (Oarray *)(&_t418_storage);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(4);
            flick_iiop_decode_new_glob(4 * *_local_inoutArrayCnt);
            if (*_local_inoutArrayCnt > 512)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1523);
            flick_iiop_check_span(*_local_inoutArrayCnt * 4, _flick_abort1523);
            for (_t419_array_iter = 0; _t419_array_iter < *_local_inoutArrayCnt; _t419_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, (*_local_inoutArray)[_t419_array_iter], unsigned );
                flick_iiop_decode_end_chunk(4);
                continue;
              }
            flick_iiop_decode_end_glob(4 * *_local_inoutArrayCnt);
            _local_outArrayCnt = (mach_msg_type_number_t *)(&_t420_storage);
            *_local_outArrayCnt = 0;
            _local_outArray = (Oarray *)(&_t421_storage);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_outline_unbounded_arrays(_local_target, _local_inArray, _local_inArrayCnt, _local_inoutArray, _local_inoutArrayCnt, _local_outArray, _local_outArrayCnt);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort1523);
              flick_iiop_encode_new_glob(8, _flick_abort1523);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_unsigned32(0, *_local_inoutArrayCnt, mach_msg_type_number_t );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    flick_iiop_encode_new_glob(4 * *_local_inoutArrayCnt, _flick_abort1541);
                    if (*_local_inoutArrayCnt > 512)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1541);
                    flick_iiop_encode_new_chunk(4 * *_local_inoutArrayCnt);
                    flick_cdr_encode_bcopy(0, *_local_inoutArray, 4 * *_local_inoutArrayCnt);
                    flick_iiop_encode_end_chunk(4 * *_local_inoutArrayCnt);
                    flick_iiop_encode_end_glob(4 * *_local_inoutArrayCnt);
                    flick_iiop_encode_new_glob(4, _flick_abort1541);
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_unsigned32(0, *_local_outArrayCnt, mach_msg_type_number_t );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(4);
                    flick_iiop_encode_new_glob(4 * *_local_outArrayCnt, _flick_abort1541);
                    if (*_local_outArrayCnt > 512)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1541);
                    flick_iiop_encode_new_chunk(4 * *_local_outArrayCnt);
                    flick_cdr_encode_bcopy(0, *_local_outArray, 4 * *_local_outArrayCnt);
                    flick_iiop_encode_end_chunk(4 * *_local_outArrayCnt);
                    flick_iiop_encode_end_glob(4 * *_local_outArrayCnt);
                    break;
                    {
                    _flick_abort1541:
                      goto _flick_abort1523;
                    }
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort1546);
                    break;
                    {
                    _flick_abort1546:
                      goto _flick_abort1523;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort1523:
              goto _flick_abort1522;
            }
          }
          break;
          {
          _flick_abort1522:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550016:
        {
          {
            mach_port_t _local_target;
            unsigned int _t422_principal_len;
            kern_return_t _return;
            OFstring _local_inString;
            OFstring *_local_inoutString;
            OFstring _t423_storage;
            OFstring *_local_outString;
            OFstring _t424_storage;

            flick_iiop_server_decode_target(_local_target, 0, cdr_swap, _flick_abort1548);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t422_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t422_principal_len + 1602, _flick_abort1548);
            flick_iiop_decode_new_glob(_t422_principal_len);
            flick_iiop_decode_new_chunk(_t422_principal_len);
            flick_iiop_decode_end_chunk(_t422_principal_len);
            flick_iiop_decode_end_glob(_t422_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(1602);
            flick_iiop_decode_new_chunk(1602);
            flick_cdr_swap_decode_bcopy(0, *_local_inString, 800);
            _local_inoutString = (OFstring *)(&_t423_storage);
            flick_cdr_swap_decode_bcopy(801, **_local_inoutString, 800);
            _local_outString = (OFstring *)(&_t424_storage);
            *_local_outString = 0;
            flick_iiop_decode_end_chunk(1602);
            flick_iiop_decode_end_glob(1602);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_outline_fixed_strings(_local_target, _local_inString, _local_inoutString, _local_outString);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort1548);
              flick_iiop_encode_new_glob(1606, _flick_abort1548);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(1602);
                    flick_cdr_encode_bcopy(0, **_local_inoutString, 800);
                    flick_cdr_encode_bcopy(801, **_local_outString, 800);
                    flick_iiop_encode_end_chunk(1602);
                    flick_iiop_encode_end_glob(1606);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(1606);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort1565);
                    break;
                    {
                    _flick_abort1565:
                      goto _flick_abort1548;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort1548:
              goto _flick_abort1547;
            }
          }
          break;
          {
          _flick_abort1547:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550017:
        {
          {
            mach_port_t _local_target;
            unsigned int _t425_principal_len;
            kern_return_t _return;
            mach_msg_type_number_t _local_inRightCnt;
            mach_port_array_t _local_inRight;
            mach_msg_type_number_t _t426_array_iter;
            mach_msg_type_number_t *_local_inoutRightCnt;
            mach_msg_type_number_t _t427_storage;
            mach_port_array_t *_local_inoutRight;
            mach_port_array_t _t428_storage;
            mach_msg_type_number_t _t429_array_iter;
            mach_msg_type_number_t *_local_outRightCnt;
            mach_msg_type_number_t _t430_storage;
            mach_port_array_t *_local_outRight;
            mach_port_array_t _t431_storage;

            flick_iiop_server_decode_target(_local_target, 0, cdr_swap, _flick_abort1567);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t425_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t425_principal_len, _flick_abort1567);
            flick_iiop_decode_new_glob(_t425_principal_len);
            flick_iiop_decode_new_chunk(_t425_principal_len);
            flick_iiop_decode_end_chunk(_t425_principal_len);
            flick_iiop_decode_end_glob(_t425_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort1567);
            flick_cdr_swap_decode_unsigned32(0, _local_inRightCnt, mach_msg_type_number_t );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            if (_local_inRightCnt > 512)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1567);
            for (_t426_array_iter = 0; _t426_array_iter < _local_inRightCnt; _t426_array_iter++)
              {
                flick_cdr_swap_decode_IOR(iiop, _local_inRight[_t426_array_iter], 1);
                flick_iiop_mark_port_for_cleanup(_local_inRight[_t426_array_iter], 1);
                continue;
              }
            _local_inoutRightCnt = (mach_msg_type_number_t *)(&_t427_storage);
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort1567);
            flick_cdr_swap_decode_unsigned32(0, *_local_inoutRightCnt, mach_msg_type_number_t );
            _local_inoutRight = (mach_port_array_t *)(&_t428_storage);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            if (*_local_inoutRightCnt > 512)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1567);
            for (_t429_array_iter = 0; _t429_array_iter < *_local_inoutRightCnt; _t429_array_iter++)
              {
                flick_cdr_swap_decode_IOR(iiop, (*_local_inoutRight)[_t429_array_iter], 1);
                flick_iiop_mark_port_for_cleanup((*_local_inoutRight)[_t429_array_iter], 1);
                continue;
              }
            _local_outRightCnt = (mach_msg_type_number_t *)(&_t430_storage);
            *_local_outRightCnt = 0;
            _local_outRight = (mach_port_array_t *)(&_t431_storage);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_outline_port_arrays(_local_target, _local_inRight, _local_inRightCnt, _local_inoutRight, _local_inoutRightCnt, _local_outRight, _local_outRightCnt);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort1567);
              flick_iiop_encode_new_glob(8, _flick_abort1567);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    mach_msg_type_number_t _t434_array_iter;
                    mach_msg_type_number_t _t435_array_iter;

                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_unsigned32(0, *_local_inoutRightCnt, mach_msg_type_number_t );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    if (*_local_inoutRightCnt > 512)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1591);
                    for (_t434_array_iter = 0; _t434_array_iter < *_local_inoutRightCnt; _t434_array_iter++)
                      {
                        flick_cdr_encode_IOR(iiop, (*_local_inoutRight)[_t434_array_iter], 0, _flick_abort1595);
                        continue;
                        {
                        _flick_abort1595:
                          goto _flick_abort1591;
                        }
                      }
                    flick_iiop_encode_new_glob(7, _flick_abort1591);
                    flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                    flick_cdr_encode_unsigned32(0, *_local_outRightCnt, mach_msg_type_number_t );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(7);
                    if (*_local_outRightCnt > 512)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1591);
                    for (_t435_array_iter = 0; _t435_array_iter < *_local_outRightCnt; _t435_array_iter++)
                      {
                        flick_cdr_encode_IOR(iiop, (*_local_outRight)[_t435_array_iter], 0, _flick_abort1600);
                        continue;
                        {
                        _flick_abort1600:
                          goto _flick_abort1591;
                        }
                      }
                    break;
                    {
                    _flick_abort1591:
                      goto _flick_abort1567;
                    }
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort1602);
                    break;
                    {
                    _flick_abort1602:
                      goto _flick_abort1567;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort1567:
              goto _flick_abort1566;
            }
          }
          break;
          {
          _flick_abort1566:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550018:
        {
          {
            mach_port_t _local_target;
            unsigned int _t436_principal_len;
            kern_return_t _return;
            mach_msg_type_number_t _local_inRightCnt;
            Omach_poly_array_t _local_inRight;
            mach_msg_type_number_t _t437_array_iter;
            mach_msg_type_number_t *_local_inoutRightCnt;
            mach_msg_type_number_t _t438_storage;
            Omach_poly_array_t *_local_inoutRight;
            Omach_poly_array_t _t439_storage;
            mach_msg_type_number_t _t440_array_iter;
            mach_msg_type_number_t *_local_outRightCnt;
            mach_msg_type_number_t _t441_storage;
            Omach_poly_array_t *_local_outRight;
            Omach_poly_array_t _t442_storage;

            flick_iiop_server_decode_target(_local_target, 0, cdr_swap, _flick_abort1604);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t436_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t436_principal_len, _flick_abort1604);
            flick_iiop_decode_new_glob(_t436_principal_len);
            flick_iiop_decode_new_chunk(_t436_principal_len);
            flick_iiop_decode_end_chunk(_t436_principal_len);
            flick_iiop_decode_end_glob(_t436_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort1604);
            flick_cdr_swap_decode_unsigned32(0, _local_inRightCnt, mach_msg_type_number_t );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            if (_local_inRightCnt > 512)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1604);
            for (_t437_array_iter = 0; _t437_array_iter < _local_inRightCnt; _t437_array_iter++)
              {
                flick_cdr_swap_decode_IOR(iiop, _local_inRight[_t437_array_iter], 1);
                flick_iiop_mark_port_for_cleanup(_local_inRight[_t437_array_iter], 1);
                continue;
              }
            _local_inoutRightCnt = (mach_msg_type_number_t *)(&_t438_storage);
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort1604);
            flick_cdr_swap_decode_unsigned32(0, *_local_inoutRightCnt, mach_msg_type_number_t );
            _local_inoutRight = (Omach_poly_array_t *)(&_t439_storage);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            if (*_local_inoutRightCnt > 512)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1604);
            for (_t440_array_iter = 0; _t440_array_iter < *_local_inoutRightCnt; _t440_array_iter++)
              {
                flick_cdr_swap_decode_IOR(iiop, (*_local_inoutRight)[_t440_array_iter], 1);
                flick_iiop_mark_port_for_cleanup((*_local_inoutRight)[_t440_array_iter], 1);
                continue;
              }
            _local_outRightCnt = (mach_msg_type_number_t *)(&_t441_storage);
            *_local_outRightCnt = 0;
            _local_outRight = (Omach_poly_array_t *)(&_t442_storage);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_outline_poly_arrays(_local_target, _local_inRight, _local_inRightCnt, _local_inoutRight, _local_inoutRightCnt, _local_outRight, _local_outRightCnt);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort1604);
              flick_iiop_encode_new_glob(8, _flick_abort1604);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    mach_msg_type_number_t _t445_array_iter;
                    mach_msg_type_number_t _t446_array_iter;

                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_unsigned32(0, *_local_inoutRightCnt, mach_msg_type_number_t );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    if (*_local_inoutRightCnt > 512)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1628);
                    for (_t445_array_iter = 0; _t445_array_iter < *_local_inoutRightCnt; _t445_array_iter++)
                      {
                        flick_cdr_encode_IOR(iiop, (*_local_inoutRight)[_t445_array_iter], 0, _flick_abort1632);
                        continue;
                        {
                        _flick_abort1632:
                          goto _flick_abort1628;
                        }
                      }
                    flick_iiop_encode_new_glob(7, _flick_abort1628);
                    flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                    flick_cdr_encode_unsigned32(0, *_local_outRightCnt, mach_msg_type_number_t );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(7);
                    if (*_local_outRightCnt > 512)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1628);
                    for (_t446_array_iter = 0; _t446_array_iter < *_local_outRightCnt; _t446_array_iter++)
                      {
                        flick_cdr_encode_IOR(iiop, (*_local_outRight)[_t446_array_iter], 0, _flick_abort1637);
                        continue;
                        {
                        _flick_abort1637:
                          goto _flick_abort1628;
                        }
                      }
                    break;
                    {
                    _flick_abort1628:
                      goto _flick_abort1604;
                    }
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort1639);
                    break;
                    {
                    _flick_abort1639:
                      goto _flick_abort1604;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort1604:
              goto _flick_abort1603;
            }
          }
          break;
          {
          _flick_abort1603:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550020:
        {
          {
            mach_port_t _local_target;
            mach_port_t _local_reply;
            unsigned int _t447_principal_len;
            kern_return_t _return;
            unsigned int *_local_data;
            unsigned int _t448_storage;

            flick_iiop_server_decode_target(_local_target, 0, cdr_swap, _flick_abort1641);
            flick_iiop_server_decode_client(_local_reply, 0, cdr_swap, _flick_abort1641);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t447_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t447_principal_len, _flick_abort1641);
            flick_iiop_decode_new_glob(_t447_principal_len);
            flick_iiop_decode_new_chunk(_t447_principal_len);
            flick_iiop_decode_end_chunk(_t447_principal_len);
            flick_iiop_decode_end_glob(_t447_principal_len);
            /* Begin decode phase on parameters */
            _local_data = (unsigned int *)(&_t448_storage);
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort1641);
            flick_cdr_swap_decode_signed32(0, *_local_data, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_test_reply_ports(_local_reply, _local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort1641);
              flick_iiop_encode_new_glob(8, _flick_abort1641);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_local_data, unsigned int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort1646);
                    break;
                    {
                    _flick_abort1646:
                      goto _flick_abort1641;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort1641:
              goto _flick_abort1640;
            }
          }
          break;
          {
          _flick_abort1640:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550021:
        {
          {
            mach_port_t _local_target;
            mach_port_t _local_reply;
            unsigned int _t449_principal_len;
            kern_return_t _return;
            unsigned int *_local_data;
            unsigned int _t450_storage;

            flick_iiop_server_decode_target(_local_target, 0, cdr_swap, _flick_abort1648);
            flick_iiop_server_decode_client(_local_reply, 0, cdr_swap, _flick_abort1648);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t449_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t449_principal_len, _flick_abort1648);
            flick_iiop_decode_new_glob(_t449_principal_len);
            flick_iiop_decode_new_chunk(_t449_principal_len);
            flick_iiop_decode_end_chunk(_t449_principal_len);
            flick_iiop_decode_end_glob(_t449_principal_len);
            /* Begin decode phase on parameters */
            _local_data = (unsigned int *)(&_t450_storage);
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort1648);
            flick_cdr_swap_decode_signed32(0, *_local_data, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_test_sreply_ports(_local_target, _local_reply, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort1648);
              flick_iiop_encode_new_glob(8, _flick_abort1648);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_local_data, unsigned int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort1653);
                    break;
                    {
                    _flick_abort1653:
                      goto _flick_abort1648;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort1648:
              goto _flick_abort1647;
            }
          }
          break;
          {
          _flick_abort1647:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550022:
        {
          {
            mach_port_t _local_target;
            unsigned int _t451_principal_len;
            kern_return_t _return;
            unsigned int *_local_data;
            unsigned int _t452_storage;

            flick_iiop_server_decode_target(_local_target, 0, cdr_swap, _flick_abort1655);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t451_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t451_principal_len, _flick_abort1655);
            flick_iiop_decode_new_glob(_t451_principal_len);
            flick_iiop_decode_new_chunk(_t451_principal_len);
            flick_iiop_decode_end_chunk(_t451_principal_len);
            flick_iiop_decode_end_glob(_t451_principal_len);
            /* Begin decode phase on parameters */
            _local_data = (unsigned int *)(&_t452_storage);
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort1655);
            flick_cdr_swap_decode_signed32(0, *_local_data, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_test_ureply_ports(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort1655);
              flick_iiop_encode_new_glob(8, _flick_abort1655);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_local_data, unsigned int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort1660);
                    break;
                    {
                    _flick_abort1660:
                      goto _flick_abort1655;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort1655:
              goto _flick_abort1654;
            }
          }
          break;
          {
          _flick_abort1654:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550023:
        {
          {
            mach_port_t _local_target;
            unsigned int _t453_principal_len;
            kern_return_t _return;
            unsigned int _local_seq;
            unsigned int *_local_data;
            unsigned int _t454_storage;

            flick_iiop_server_decode_target(_local_target, 0, cdr_swap, _flick_abort1662);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t453_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t453_principal_len, _flick_abort1662);
            flick_iiop_decode_new_glob(_t453_principal_len);
            flick_iiop_decode_new_chunk(_t453_principal_len);
            flick_iiop_decode_end_chunk(_t453_principal_len);
            flick_iiop_decode_end_glob(_t453_principal_len);
            /* Begin decode phase on parameters */
            _local_data = (unsigned int *)(&_t454_storage);
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort1662);
            flick_cdr_swap_decode_signed32(0, *_local_data, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_test_param_flags(_local_target, _local_seq, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort1662);
              flick_iiop_encode_new_glob(8, _flick_abort1662);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_local_data, unsigned int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort1667);
                    break;
                    {
                    _flick_abort1667:
                      goto _flick_abort1662;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort1662:
              goto _flick_abort1661;
            }
          }
          break;
          {
          _flick_abort1661:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550024:
        {
          {
            mach_port_t _local_target;
            unsigned int _t455_principal_len;
            kern_return_t _return;
            mach_msg_type_number_t *_local_outArrayCnt;
            mach_msg_type_number_t _t456_storage;
            Iarray *_local_outArray;
            Iarray _t457_storage;

            flick_iiop_server_decode_target(_local_target, 0, cdr_swap, _flick_abort1669);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t455_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t455_principal_len, _flick_abort1669);
            flick_iiop_decode_new_glob(_t455_principal_len);
            flick_iiop_decode_new_chunk(_t455_principal_len);
            flick_iiop_decode_end_chunk(_t455_principal_len);
            flick_iiop_decode_end_glob(_t455_principal_len);
            /* Begin decode phase on parameters */
            _local_outArrayCnt = (mach_msg_type_number_t *)(&_t456_storage);
            *_local_outArrayCnt = 0;
            _local_outArray = (Iarray *)(&_t457_storage);
            *_local_outArray = 0;
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_test_countinout(_local_target, _local_outArray, _local_outArrayCnt);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort1669);
              flick_iiop_encode_new_glob(8, _flick_abort1669);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_unsigned32(0, *_local_outArrayCnt, mach_msg_type_number_t );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    flick_iiop_encode_new_glob(4 * *_local_outArrayCnt, _flick_abort1675);
                    flick_iiop_encode_new_chunk(4 * *_local_outArrayCnt);
                    flick_cdr_encode_bcopy(0, *_local_outArray, 4 * *_local_outArrayCnt);
                    flick_iiop_encode_end_chunk(4 * *_local_outArrayCnt);
                    flick_iiop_encode_end_glob(4 * *_local_outArrayCnt);
                    break;
                    {
                    _flick_abort1675:
                      goto _flick_abort1669;
                    }
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort1678);
                    break;
                    {
                    _flick_abort1678:
                      goto _flick_abort1669;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort1669:
              goto _flick_abort1668;
            }
          }
          break;
          {
          _flick_abort1668:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550025:
        {
          {
            mach_port_t _local_target;
            unsigned int _t458_principal_len;
            kern_return_t _return;
            mach_msg_type_number_t _local_inArrayCnt;
            Oarray _local_inArray;
            mach_msg_type_number_t _t459_array_iter;
            mach_msg_type_number_t *_local_inoutArrayCnt;
            mach_msg_type_number_t _t460_storage;
            Oarray *_local_inoutArray;
            Oarray _t461_storage;
            mach_msg_type_number_t _t462_array_iter;
            mach_msg_type_number_t *_local_outArrayCnt;
            mach_msg_type_number_t _t463_storage;
            Oarray *_local_outArray;
            Oarray _t464_storage;

            flick_iiop_server_decode_target(_local_target, 0, cdr_swap, _flick_abort1680);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t458_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t458_principal_len, _flick_abort1680);
            flick_iiop_decode_new_glob(_t458_principal_len);
            flick_iiop_decode_new_chunk(_t458_principal_len);
            flick_iiop_decode_end_chunk(_t458_principal_len);
            flick_iiop_decode_end_glob(_t458_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort1680);
            flick_cdr_swap_decode_unsigned32(0, _local_inArrayCnt, mach_msg_type_number_t );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_decode_new_glob(4 * _local_inArrayCnt);
            if (_local_inArrayCnt > 512)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1680);
            flick_iiop_check_span(_local_inArrayCnt * 4 + 4, _flick_abort1680);
            for (_t459_array_iter = 0; _t459_array_iter < _local_inArrayCnt; _t459_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, _local_inArray[_t459_array_iter], unsigned );
                flick_iiop_decode_end_chunk(4);
                continue;
              }
            flick_iiop_decode_end_glob(4 * _local_inArrayCnt);
            _local_inoutArrayCnt = (mach_msg_type_number_t *)(&_t460_storage);
            flick_iiop_decode_new_glob(4);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, *_local_inoutArrayCnt, mach_msg_type_number_t );
            _local_inoutArray = (Oarray *)(&_t461_storage);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(4);
            flick_iiop_decode_new_glob(4 * *_local_inoutArrayCnt);
            if (*_local_inoutArrayCnt > 512)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1680);
            flick_iiop_check_span(*_local_inoutArrayCnt * 4, _flick_abort1680);
            for (_t462_array_iter = 0; _t462_array_iter < *_local_inoutArrayCnt; _t462_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, (*_local_inoutArray)[_t462_array_iter], unsigned );
                flick_iiop_decode_end_chunk(4);
                continue;
              }
            flick_iiop_decode_end_glob(4 * *_local_inoutArrayCnt);
            _local_outArrayCnt = (mach_msg_type_number_t *)(&_t463_storage);
            *_local_outArrayCnt = 0;
            _local_outArray = (Oarray *)(&_t464_storage);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_test_dealloc_pointer(_local_target, _local_inArray, _local_inArrayCnt, _local_inoutArray, _local_inoutArrayCnt, _local_outArray, _local_outArrayCnt);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort1680);
              flick_iiop_encode_new_glob(8, _flick_abort1680);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_unsigned32(0, *_local_inoutArrayCnt, mach_msg_type_number_t );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    flick_iiop_encode_new_glob(4 * *_local_inoutArrayCnt, _flick_abort1698);
                    if (*_local_inoutArrayCnt > 512)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1698);
                    flick_iiop_encode_new_chunk(4 * *_local_inoutArrayCnt);
                    flick_cdr_encode_bcopy(0, *_local_inoutArray, 4 * *_local_inoutArrayCnt);
                    mach_vm_flick_free(*_local_inoutArray);
                    *_local_inoutArray = 0;
                    flick_iiop_encode_end_chunk(4 * *_local_inoutArrayCnt);
                    flick_iiop_encode_end_glob(4 * *_local_inoutArrayCnt);
                    flick_iiop_encode_new_glob(4, _flick_abort1698);
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_unsigned32(0, *_local_outArrayCnt, mach_msg_type_number_t );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(4);
                    flick_iiop_encode_new_glob(4 * *_local_outArrayCnt, _flick_abort1698);
                    if (*_local_outArrayCnt > 512)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1698);
                    flick_iiop_encode_new_chunk(4 * *_local_outArrayCnt);
                    flick_cdr_encode_bcopy(0, *_local_outArray, 4 * *_local_outArrayCnt);
                    mach_vm_flick_free(*_local_outArray);
                    *_local_outArray = 0;
                    flick_iiop_encode_end_chunk(4 * *_local_outArrayCnt);
                    flick_iiop_encode_end_glob(4 * *_local_outArrayCnt);
                    break;
                    {
                    _flick_abort1698:
                      goto _flick_abort1680;
                    }
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort1703);
                    break;
                    {
                    _flick_abort1703:
                      goto _flick_abort1680;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort1680:
              goto _flick_abort1679;
            }
          }
          break;
          {
          _flick_abort1679:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550026:
        {
          {
            mach_port_t _local_target;
            unsigned int _t465_principal_len;
            kern_return_t _return;
            mach_msg_type_number_t _local_inArrayCnt;
            Oarray _local_inArray;
            mach_msg_type_number_t _t466_array_iter;
            mach_msg_type_number_t *_local_inoutArrayCnt;
            mach_msg_type_number_t _t467_storage;
            boolean_t *_local_inoutArrayDealloc;
            boolean_t _t468_storage;
            Oarray *_local_inoutArray;
            Oarray _t469_storage;
            mach_msg_type_number_t _t470_array_iter;
            mach_msg_type_number_t *_local_outArrayCnt;
            mach_msg_type_number_t _t471_storage;
            boolean_t *_local_outArrayDealloc;
            boolean_t _t472_storage;
            Oarray *_local_outArray;
            Oarray _t473_storage;

            flick_iiop_server_decode_target(_local_target, 0, cdr_swap, _flick_abort1705);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t465_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t465_principal_len, _flick_abort1705);
            flick_iiop_decode_new_glob(_t465_principal_len);
            flick_iiop_decode_new_chunk(_t465_principal_len);
            flick_iiop_decode_end_chunk(_t465_principal_len);
            flick_iiop_decode_end_glob(_t465_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort1705);
            flick_cdr_swap_decode_unsigned32(0, _local_inArrayCnt, mach_msg_type_number_t );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_decode_new_glob(4 * _local_inArrayCnt);
            if (_local_inArrayCnt > 512)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1705);
            flick_iiop_check_span(_local_inArrayCnt * 4 + 4, _flick_abort1705);
            for (_t466_array_iter = 0; _t466_array_iter < _local_inArrayCnt; _t466_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, _local_inArray[_t466_array_iter], unsigned );
                flick_iiop_decode_end_chunk(4);
                continue;
              }
            flick_iiop_decode_end_glob(4 * _local_inArrayCnt);
            _local_inoutArrayCnt = (mach_msg_type_number_t *)(&_t467_storage);
            flick_iiop_decode_new_glob(4);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, *_local_inoutArrayCnt, mach_msg_type_number_t );
            _local_inoutArrayDealloc = (boolean_t *)(&_t468_storage);
            _local_inoutArray = (Oarray *)(&_t469_storage);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(4);
            flick_iiop_decode_new_glob(4 * *_local_inoutArrayCnt);
            if (*_local_inoutArrayCnt > 512)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1705);
            flick_iiop_check_span(*_local_inoutArrayCnt * 4, _flick_abort1705);
            for (_t470_array_iter = 0; _t470_array_iter < *_local_inoutArrayCnt; _t470_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, (*_local_inoutArray)[_t470_array_iter], unsigned );
                flick_iiop_decode_end_chunk(4);
                continue;
              }
            flick_iiop_decode_end_glob(4 * *_local_inoutArrayCnt);
            _local_outArrayCnt = (mach_msg_type_number_t *)(&_t471_storage);
            *_local_outArrayCnt = 0;
            _local_outArrayDealloc = (boolean_t *)(&_t472_storage);
            _local_outArray = (Oarray *)(&_t473_storage);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_test_dynamic_dealloc_pointer(_local_target, _local_inArray, _local_inArrayCnt, _local_inoutArray, _local_inoutArrayCnt, _local_inoutArrayDealloc, _local_outArray, _local_outArrayCnt, _local_outArrayDealloc);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort1705);
              flick_iiop_encode_new_glob(8, _flick_abort1705);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_unsigned32(0, *_local_inoutArrayCnt, mach_msg_type_number_t );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    flick_iiop_encode_new_glob(4 * *_local_inoutArrayCnt, _flick_abort1723);
                    if (*_local_inoutArrayCnt > 512)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1723);
                    flick_iiop_encode_new_chunk(4 * *_local_inoutArrayCnt);
                    flick_cdr_encode_bcopy(0, *_local_inoutArray, 4 * *_local_inoutArrayCnt);
                    if (*_local_inoutArrayDealloc)
                      mach_vm_flick_free(*_local_inoutArray);
                    *_local_inoutArrayDealloc = 0;
                    *_local_inoutArray = 0;
                    flick_iiop_encode_end_chunk(4 * *_local_inoutArrayCnt);
                    flick_iiop_encode_end_glob(4 * *_local_inoutArrayCnt);
                    flick_iiop_encode_new_glob(4, _flick_abort1723);
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_unsigned32(0, *_local_outArrayCnt, mach_msg_type_number_t );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(4);
                    flick_iiop_encode_new_glob(4 * *_local_outArrayCnt, _flick_abort1723);
                    if (*_local_outArrayCnt > 512)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1723);
                    flick_iiop_encode_new_chunk(4 * *_local_outArrayCnt);
                    flick_cdr_encode_bcopy(0, *_local_outArray, 4 * *_local_outArrayCnt);
                    if (*_local_outArrayDealloc)
                      mach_vm_flick_free(*_local_outArray);
                    *_local_outArrayDealloc = 0;
                    *_local_outArray = 0;
                    flick_iiop_encode_end_chunk(4 * *_local_outArrayCnt);
                    flick_iiop_encode_end_glob(4 * *_local_outArrayCnt);
                    break;
                    {
                    _flick_abort1723:
                      goto _flick_abort1705;
                    }
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort1728);
                    break;
                    {
                    _flick_abort1728:
                      goto _flick_abort1705;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort1705:
              goto _flick_abort1704;
            }
          }
          break;
          {
          _flick_abort1704:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550027:
        {
          {
            mach_port_t _local_target;
            unsigned int _t474_principal_len;
            kern_return_t _return;
            mach_msg_type_number_t _local_inArrayCnt;
            boolean_t _local_inArraySCopy;
            Iarray _local_inArray;
            mach_msg_type_number_t _t475_array_iter;
            boolean_t *_local_scopy;
            boolean_t _t476_storage;

            flick_iiop_server_decode_target(_local_target, 0, cdr_swap, _flick_abort1730);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t474_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t474_principal_len, _flick_abort1730);
            flick_iiop_decode_new_glob(_t474_principal_len);
            flick_iiop_decode_new_chunk(_t474_principal_len);
            flick_iiop_decode_end_chunk(_t474_principal_len);
            flick_iiop_decode_end_glob(_t474_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort1730);
            flick_cdr_swap_decode_unsigned32(0, _local_inArrayCnt, mach_msg_type_number_t );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_decode_new_glob(4 * _local_inArrayCnt);
            {
              unsigned *_t_alloc_ptr;

              _t_alloc_ptr = (unsigned *)(auto_flick_alloc(_local_inArrayCnt * sizeof(unsigned )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1730);
              _local_inArray = _t_alloc_ptr;
            }
            flick_iiop_check_span(_local_inArrayCnt * 4, _flick_abort1730);
            for (_t475_array_iter = 0; _t475_array_iter < _local_inArrayCnt; _t475_array_iter++)
              {
                flick_iiop_decode_new_chunk(4);
                flick_cdr_swap_decode_signed32(0, _local_inArray[_t475_array_iter], unsigned );
                flick_iiop_decode_end_chunk(4);
                continue;
              }
            flick_iiop_decode_end_glob(4 * _local_inArrayCnt);
            _local_scopy = (boolean_t *)(&_t476_storage);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_test_servercopy(_local_target, _local_inArray, _local_inArrayCnt, _local_inArraySCopy, _local_scopy);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort1730);
              flick_iiop_encode_new_glob(5, _flick_abort1730);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(1);
                    flick_cdr_encode_unsigned8(0, *_local_scopy, boolean_t );
                    flick_iiop_encode_end_chunk(1);
                    flick_iiop_encode_end_glob(5);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(5);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort1740);
                    break;
                    {
                    _flick_abort1740:
                      goto _flick_abort1730;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort1730:
              goto _flick_abort1729;
            }
          }
          break;
          {
          _flick_abort1729:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550028:
        {
          {
            mach_port_t _local_target;
            unsigned int _t477_principal_len;
            kern_return_t _return;

            flick_iiop_server_decode_target(_local_target, 0, cdr_swap, _flick_abort1742);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_swap_decode_unsigned32(0, _t477_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t477_principal_len, _flick_abort1742);
            flick_iiop_decode_new_glob(_t477_principal_len);
            flick_iiop_decode_new_chunk(_t477_principal_len);
            flick_iiop_decode_end_chunk(_t477_principal_len);
            flick_iiop_decode_end_glob(_t477_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_terminate(_local_target);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            return FLICK_OPERATION_SUCCESS_NOREPLY;
            break;
            {
            _flick_abort1742:
              goto _flick_abort1741;
            }
          }
          break;
          {
          _flick_abort1741:
            goto _flick_abort2;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_iiop_decode_end_glob(8);
          break;
        }
      }
  }
  } else {
  {
    signed int _t110_switch_tag;

    flick_iiop_decode_new_glob(8);
    flick_iiop_check_span(8, _flick_abort2);
    flick_iiop_decode_new_chunk(4);
    flick_cdr_decode_signed32(0, _t110_switch_tag, signed int );
    flick_iiop_decode_end_chunk(4);
    switch ((signed int )_t110_switch_tag)
      {
      case (signed int) 5550001:
        {
          {
            mach_port_t _local_target;
            unsigned int _t111_principal_len;
            kern_return_t _return;
            Iint _local_inInt;
            Iint *_local_inoutInt;
            Iint _t112_storage;
            Iint *_local_outInt;
            Iint _t113_storage;

            flick_iiop_server_decode_target(_local_target, 0, cdr, _flick_abort414);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t111_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t111_principal_len, _flick_abort414);
            flick_iiop_decode_new_glob(_t111_principal_len);
            flick_iiop_decode_new_chunk(_t111_principal_len);
            flick_iiop_decode_end_chunk(_t111_principal_len);
            flick_iiop_decode_end_glob(_t111_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(11);
            flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
            flick_iiop_check_span(8, _flick_abort414);
            flick_cdr_decode_signed32(0, _local_inInt, Iint );
            _local_inoutInt = (Iint *)(&_t112_storage);
            flick_cdr_decode_signed32(4, *_local_inoutInt, Iint );
            _local_outInt = (Iint *)(&_t113_storage);
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(11);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_inline_integers(_local_target, _local_inInt, _local_inoutInt, _local_outInt);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort414);
              flick_iiop_encode_new_glob(12, _flick_abort414);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(8);
                    flick_cdr_encode_signed32(0, *_local_inoutInt, Iint );
                    flick_cdr_encode_signed32(4, *_local_outInt, Iint );
                    flick_iiop_encode_end_chunk(8);
                    flick_iiop_encode_end_glob(12);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(12);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort419);
                    break;
                    {
                    _flick_abort419:
                      goto _flick_abort414;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort414:
              goto _flick_abort413;
            }
          }
          break;
          {
          _flick_abort413:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550002:
        {
          {
            mach_port_t _local_target;
            unsigned int _t114_principal_len;
            kern_return_t _return;
            IFstruct _local_inStruct;
            unsigned *_t115_internal;
            IFstruct *_local_inoutStruct;
            IFstruct _t116_storage;
            unsigned *_t117_internal;
            IFstruct *_local_outStruct;
            IFstruct _t118_storage;

            flick_iiop_server_decode_target(_local_target, 0, cdr, _flick_abort421);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t114_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t114_principal_len, _flick_abort421);
            flick_iiop_decode_new_glob(_t114_principal_len);
            flick_iiop_decode_new_chunk(_t114_principal_len);
            flick_iiop_decode_end_chunk(_t114_principal_len);
            flick_iiop_decode_end_glob(_t114_principal_len);
            /* Begin decode phase on parameters */
            _t115_internal = (unsigned *)(&(_local_inStruct));
            flick_iiop_decode_new_glob(803);
            flick_iiop_decode_new_chunk_align(800, 2, 0, 0);
            flick_iiop_check_span(800, _flick_abort421);
            flick_cdr_decode_bcopy(0, _t115_internal, 400);
            _local_inoutStruct = (IFstruct *)(&_t116_storage);
            _t117_internal = (unsigned *)(&(*_local_inoutStruct));
            flick_cdr_decode_bcopy(400, _t117_internal, 400);
            _local_outStruct = (IFstruct *)(&_t118_storage);
            flick_iiop_decode_end_chunk(800);
            flick_iiop_decode_end_glob(803);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_inline_fixed_structs(_local_target, _local_inStruct, _local_inoutStruct, _local_outStruct);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort421);
              flick_iiop_encode_new_glob(804, _flick_abort421);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    unsigned *_t121_internal;
                    unsigned *_t122_internal;

                    /* Begin encode phase on parameters */
                    _t121_internal = (unsigned *)(&(*_local_inoutStruct));
                    flick_iiop_encode_new_chunk(800);
                    flick_cdr_encode_bcopy(0, _t121_internal, 400);
                    _t122_internal = (unsigned *)(&(*_local_outStruct));
                    flick_cdr_encode_bcopy(400, _t122_internal, 400);
                    flick_iiop_encode_end_chunk(800);
                    flick_iiop_encode_end_glob(804);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(804);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort438);
                    break;
                    {
                    _flick_abort438:
                      goto _flick_abort421;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort421:
              goto _flick_abort420;
            }
          }
          break;
          {
          _flick_abort420:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550003:
        {
          {
            mach_port_t _local_target;
            unsigned int _t123_principal_len;
            kern_return_t _return;
            unsigned *_local_inArray;
            unsigned *_local_inoutArray;
            unsigned _t124_storage[300];
            unsigned *_local_outArray;
            unsigned _t125_storage[300];

            flick_iiop_server_decode_target(_local_target, 0, cdr, _flick_abort440);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t123_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t123_principal_len, _flick_abort440);
            flick_iiop_decode_new_glob(_t123_principal_len);
            flick_iiop_decode_new_chunk(_t123_principal_len);
            flick_iiop_decode_end_chunk(_t123_principal_len);
            flick_iiop_decode_end_glob(_t123_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(2403);
            flick_iiop_decode_new_chunk_align(2400, 2, 0, 0);
            flick_iiop_check_span(2400, _flick_abort440);
            flick_cdr_decode_msgptr(0, _local_inArray, unsigned *);
            _local_inoutArray = (unsigned *)_t124_storage;
            flick_cdr_decode_bcopy(1200, _local_inoutArray, 1200);
            _local_outArray = (unsigned *)_t125_storage;
            flick_iiop_decode_end_chunk(2400);
            flick_iiop_decode_end_glob(2403);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_inline_fixed_arrays(_local_target, _local_inArray, _local_inoutArray, _local_outArray);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort440);
              flick_iiop_encode_new_glob(2404, _flick_abort440);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(2400);
                    flick_cdr_encode_bcopy(0, _local_inoutArray, 1200);
                    flick_cdr_encode_bcopy(1200, _local_outArray, 1200);
                    flick_iiop_encode_end_chunk(2400);
                    flick_iiop_encode_end_glob(2404);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(2404);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort458);
                    break;
                    {
                    _flick_abort458:
                      goto _flick_abort440;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort440:
              goto _flick_abort439;
            }
          }
          break;
          {
          _flick_abort439:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550004:
        {
          {
            mach_port_t _local_target;
            unsigned int _t126_principal_len;
            kern_return_t _return;
            mach_msg_type_number_t _local_inArrayCnt;
            unsigned *_local_inArray;
            mach_msg_type_number_t *_local_outArrayCnt;
            mach_msg_type_number_t _t127_storage;
            unsigned *_local_outArray;
            unsigned _t128_storage[500];

            flick_iiop_server_decode_target(_local_target, 0, cdr, _flick_abort460);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t126_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t126_principal_len, _flick_abort460);
            flick_iiop_decode_new_glob(_t126_principal_len);
            flick_iiop_decode_new_chunk(_t126_principal_len);
            flick_iiop_decode_end_chunk(_t126_principal_len);
            flick_iiop_decode_end_glob(_t126_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(2007);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort460);
            flick_cdr_decode_unsigned32(0, _local_inArrayCnt, mach_msg_type_number_t );
            if (_local_inArrayCnt > 500)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort460);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_check_span(4 * _local_inArrayCnt, _flick_abort460);
            flick_iiop_decode_new_chunk(4 * _local_inArrayCnt);
            flick_cdr_decode_msgptr(0, _local_inArray, unsigned *);
            flick_iiop_decode_end_chunk(4 * _local_inArrayCnt);
            _local_outArrayCnt = (mach_msg_type_number_t *)(&_t127_storage);
            *_local_outArrayCnt = 0;
            _local_outArray = (unsigned *)_t128_storage;
            flick_iiop_decode_end_glob(2007);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_inline_bounded_arrays(_local_target, _local_inArray, _local_inArrayCnt, _local_outArray, _local_outArrayCnt);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort460);
              flick_iiop_encode_new_glob(2008, _flick_abort460);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4 + 4 * *_local_outArrayCnt);
                    flick_cdr_encode_unsigned32(0, *_local_outArrayCnt, mach_msg_type_number_t );
                    if (*_local_outArrayCnt > 500)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort469);
                    flick_cdr_encode_bcopy(4, _local_outArray, 4 * *_local_outArrayCnt);
                    flick_iiop_encode_end_chunk(4 + 4 * *_local_outArrayCnt);
                    flick_iiop_encode_end_glob(2008);
                    break;
                    {
                    _flick_abort469:
                      goto _flick_abort460;
                    }
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(2008);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort472);
                    break;
                    {
                    _flick_abort472:
                      goto _flick_abort460;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort460:
              goto _flick_abort459;
            }
          }
          break;
          {
          _flick_abort459:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550005:
        {
          {
            mach_port_t _local_target;
            unsigned int _t129_principal_len;
            kern_return_t _return;
            mach_msg_type_number_t _local_inArrayCnt;
            Iarray _local_inArray;
            mach_msg_type_number_t *_local_outArrayCnt;
            mach_msg_type_number_t _t130_storage;
            Iarray *_local_outArray;
            Iarray _t131_storage;

            flick_iiop_server_decode_target(_local_target, 0, cdr, _flick_abort474);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t129_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t129_principal_len, _flick_abort474);
            flick_iiop_decode_new_glob(_t129_principal_len);
            flick_iiop_decode_new_chunk(_t129_principal_len);
            flick_iiop_decode_end_chunk(_t129_principal_len);
            flick_iiop_decode_end_glob(_t129_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort474);
            flick_cdr_decode_unsigned32(0, _local_inArrayCnt, mach_msg_type_number_t );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_decode_new_glob(4 * _local_inArrayCnt);
            flick_iiop_check_span(4 * _local_inArrayCnt, _flick_abort474);
            flick_iiop_decode_new_chunk(4 * _local_inArrayCnt);
            flick_cdr_decode_msgptr(0, _local_inArray, unsigned *);
            flick_iiop_decode_end_chunk(4 * _local_inArrayCnt);
            flick_iiop_decode_end_glob(4 * _local_inArrayCnt);
            _local_outArrayCnt = (mach_msg_type_number_t *)(&_t130_storage);
            *_local_outArrayCnt = 0;
            _local_outArray = (Iarray *)(&_t131_storage);
            *_local_outArray = 0;
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_inline_unbounded_arrays(_local_target, _local_inArray, _local_inArrayCnt, _local_outArray, _local_outArrayCnt);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort474);
              flick_iiop_encode_new_glob(8, _flick_abort474);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_unsigned32(0, *_local_outArrayCnt, mach_msg_type_number_t );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    flick_iiop_encode_new_glob(4 * *_local_outArrayCnt, _flick_abort483);
                    flick_iiop_encode_new_chunk(4 * *_local_outArrayCnt);
                    flick_cdr_encode_bcopy(0, *_local_outArray, 4 * *_local_outArrayCnt);
                    flick_iiop_encode_end_chunk(4 * *_local_outArrayCnt);
                    flick_iiop_encode_end_glob(4 * *_local_outArrayCnt);
                    break;
                    {
                    _flick_abort483:
                      goto _flick_abort474;
                    }
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort487);
                    break;
                    {
                    _flick_abort487:
                      goto _flick_abort474;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort474:
              goto _flick_abort473;
            }
          }
          break;
          {
          _flick_abort473:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550006:
        {
          {
            mach_port_t _local_target;
            unsigned int _t132_principal_len;
            kern_return_t _return;
            char *_local_inString;
            char *_local_inoutString;
            char _t133_storage[799];
            char *_local_outString;
            char _t134_storage[799];

            flick_iiop_server_decode_target(_local_target, 0, cdr, _flick_abort489);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t132_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t132_principal_len + 1600, _flick_abort489);
            flick_iiop_decode_new_glob(_t132_principal_len);
            flick_iiop_decode_new_chunk(_t132_principal_len);
            flick_iiop_decode_end_chunk(_t132_principal_len);
            flick_iiop_decode_end_glob(_t132_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(1600);
            flick_iiop_decode_new_chunk(1600);
            flick_cdr_decode_msgptr(0, _local_inString, char *);
            _local_inoutString = (char *)_t133_storage;
            flick_cdr_decode_bcopy(800, _local_inoutString, 799);
            _local_outString = (char *)_t134_storage;
            flick_iiop_decode_end_chunk(1600);
            flick_iiop_decode_end_glob(1600);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_inline_fixed_strings(_local_target, _local_inString, _local_inoutString, _local_outString);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort489);
              flick_iiop_encode_new_glob(1604, _flick_abort489);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(1600);
                    flick_cdr_encode_bcopy(0, _local_inoutString, 799);
                    flick_cdr_encode_bcopy(800, _local_outString, 799);
                    flick_iiop_encode_end_chunk(1600);
                    flick_iiop_encode_end_glob(1604);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(1604);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort507);
                    break;
                    {
                    _flick_abort507:
                      goto _flick_abort489;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort489:
              goto _flick_abort488;
            }
          }
          break;
          {
          _flick_abort488:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550007:
        {
          {
            mach_port_t _local_target;
            unsigned int _t135_principal_len;
            kern_return_t _return;
            char *_local_inString;
            flick_unsigned32_t _t136_temp_string_len;
            char *_local_outString;
            char _t137_storage[4997];

            flick_iiop_server_decode_target(_local_target, 0, cdr, _flick_abort509);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t135_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t135_principal_len, _flick_abort509);
            flick_iiop_decode_new_glob(_t135_principal_len);
            flick_iiop_decode_new_chunk(_t135_principal_len);
            flick_iiop_decode_end_chunk(_t135_principal_len);
            flick_iiop_decode_end_glob(_t135_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(5005);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort509);
            flick_cdr_decode_unsigned32(0, _t136_temp_string_len, flick_unsigned32_t );
            if (_t136_temp_string_len > 4997)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort509);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_check_span(1 * _t136_temp_string_len, _flick_abort509);
            flick_iiop_decode_new_chunk(1 * _t136_temp_string_len);
            flick_cdr_decode_msgptr(0, _local_inString, char *);
            flick_iiop_decode_end_chunk(1 * _t136_temp_string_len);
            _local_outString = (char *)_t137_storage;
            flick_iiop_decode_end_glob(5005);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_inline_bounded_strings(_local_target, _local_inString, _local_outString);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort509);
              flick_iiop_encode_new_glob(5006, _flick_abort509);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    flick_unsigned32_t _t139_temp_string_len;

                    flick_cdr_stringlen(char *, _local_outString, flick_unsigned32_t , _t139_temp_string_len);

                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4 + 1 * _t139_temp_string_len);
                    flick_cdr_encode_unsigned32(0, _t139_temp_string_len, flick_unsigned32_t );
                    if (_t139_temp_string_len > 4997)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort518);
                    flick_cdr_encode_bcopy(4, _local_outString, 1 * _t139_temp_string_len);
                    flick_iiop_encode_end_chunk(4 + 1 * _t139_temp_string_len);
                    flick_iiop_encode_end_glob(5006);
                    break;
                    {
                    _flick_abort518:
                      goto _flick_abort509;
                    }
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(5006);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort521);
                    break;
                    {
                    _flick_abort521:
                      goto _flick_abort509;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort509:
              goto _flick_abort508;
            }
          }
          break;
          {
          _flick_abort508:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550008:
        {
          {
            mach_port_t _local_target;
            unsigned int _t140_principal_len;
            kern_return_t _return;
            mach_port_t _local_inRight;
            mach_port_t *_local_inoutRight;
            mach_port_t _t141_storage;
            mach_port_t *_local_outRight;
            mach_port_t _t142_storage;

            flick_iiop_server_decode_target(_local_target, 0, cdr, _flick_abort523);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t140_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t140_principal_len, _flick_abort523);
            flick_iiop_decode_new_glob(_t140_principal_len);
            flick_iiop_decode_new_chunk(_t140_principal_len);
            flick_iiop_decode_end_chunk(_t140_principal_len);
            flick_iiop_decode_end_glob(_t140_principal_len);
            /* Begin decode phase on parameters */
            flick_cdr_decode_IOR(iiop, _local_inRight, 1);
            flick_iiop_mark_port_for_cleanup(_local_inRight, 1);
            _local_inoutRight = (mach_port_t *)(&_t141_storage);
            flick_cdr_decode_IOR(iiop, *_local_inoutRight, 1);
            flick_iiop_mark_port_for_cleanup(*_local_inoutRight, 1);
            _local_outRight = (mach_port_t *)(&_t142_storage);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_inline_port_rights(_local_target, _local_inRight, _local_inoutRight, _local_outRight);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort523);
              flick_iiop_encode_new_glob(4, _flick_abort523);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_end_glob(4);
                    flick_cdr_encode_IOR(iiop, *_local_inoutRight, 0, _flick_abort527);
                    flick_cdr_encode_IOR(iiop, *_local_outRight, 1, _flick_abort527);
                    flick_iiop_mark_port_for_cleanup(*_local_outRight, 1);
                    break;
                    {
                    _flick_abort527:
                      goto _flick_abort523;
                    }
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(4);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort528);
                    break;
                    {
                    _flick_abort528:
                      goto _flick_abort523;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort523:
              goto _flick_abort522;
            }
          }
          break;
          {
          _flick_abort522:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550009:
        {
          {
            mach_port_t _local_target;
            unsigned int _t143_principal_len;
            kern_return_t _return;
            mach_msg_type_number_t _local_inRightCnt;
            Imach_port_array_t _local_inRight;
            mach_msg_type_number_t _t144_array_iter;
            mach_msg_type_number_t *_local_outRightCnt;
            mach_msg_type_number_t _t145_storage;
            Imach_port_array_t *_local_outRight;
            Imach_port_array_t _t146_storage;

            flick_iiop_server_decode_target(_local_target, 0, cdr, _flick_abort530);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t143_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t143_principal_len, _flick_abort530);
            flick_iiop_decode_new_glob(_t143_principal_len);
            flick_iiop_decode_new_chunk(_t143_principal_len);
            flick_iiop_decode_end_chunk(_t143_principal_len);
            flick_iiop_decode_end_glob(_t143_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort530);
            flick_cdr_decode_unsigned32(0, _local_inRightCnt, mach_msg_type_number_t );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            {
              mach_port_t *_t_alloc_ptr;

              _t_alloc_ptr = (mach_port_t *)(auto_flick_alloc(_local_inRightCnt * sizeof(mach_port_t )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort530);
              _local_inRight = _t_alloc_ptr;
            }
            for (_t144_array_iter = 0; _t144_array_iter < _local_inRightCnt; _t144_array_iter++)
              {
                flick_cdr_decode_IOR(iiop, _local_inRight[_t144_array_iter], 1);
                flick_iiop_mark_port_for_cleanup(_local_inRight[_t144_array_iter], 1);
                continue;
              }
            _local_outRightCnt = (mach_msg_type_number_t *)(&_t145_storage);
            *_local_outRightCnt = 0;
            _local_outRight = (Imach_port_array_t *)(&_t146_storage);
            *_local_outRight = 0;
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_inline_port_arrays(_local_target, _local_inRight, _local_inRightCnt, _local_outRight, _local_outRightCnt);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort530);
              flick_iiop_encode_new_glob(8, _flick_abort530);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    mach_msg_type_number_t _t148_array_iter;

                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_unsigned32(0, *_local_outRightCnt, mach_msg_type_number_t );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    for (_t148_array_iter = 0; _t148_array_iter < *_local_outRightCnt; _t148_array_iter++)
                      {
                        flick_cdr_encode_IOR(iiop, (*_local_outRight)[_t148_array_iter], 1, _flick_abort550);
                        flick_iiop_mark_port_for_cleanup((*_local_outRight)[_t148_array_iter], 1);
                        continue;
                        {
                        _flick_abort550:
                          goto _flick_abort545;
                        }
                      }
                    break;
                    {
                    _flick_abort545:
                      goto _flick_abort530;
                    }
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort552);
                    break;
                    {
                    _flick_abort552:
                      goto _flick_abort530;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort530:
              goto _flick_abort529;
            }
          }
          break;
          {
          _flick_abort529:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550010:
        {
          {
            mach_port_t _local_target;
            unsigned int _t149_principal_len;
            kern_return_t _return;
            mach_msg_type_number_t _local_inRightCnt;
            Imach_poly_array_t _local_inRight;
            mach_msg_type_number_t _t150_array_iter;
            mach_msg_type_number_t *_local_outRightCnt;
            mach_msg_type_number_t _t151_storage;
            Imach_poly_array_t *_local_outRight;
            Imach_poly_array_t _t152_storage;

            flick_iiop_server_decode_target(_local_target, 0, cdr, _flick_abort554);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t149_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t149_principal_len, _flick_abort554);
            flick_iiop_decode_new_glob(_t149_principal_len);
            flick_iiop_decode_new_chunk(_t149_principal_len);
            flick_iiop_decode_end_chunk(_t149_principal_len);
            flick_iiop_decode_end_glob(_t149_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort554);
            flick_cdr_decode_unsigned32(0, _local_inRightCnt, mach_msg_type_number_t );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            {
              mach_port_t *_t_alloc_ptr;

              _t_alloc_ptr = (mach_port_t *)(auto_flick_alloc(_local_inRightCnt * sizeof(mach_port_t )));
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort554);
              _local_inRight = _t_alloc_ptr;
            }
            for (_t150_array_iter = 0; _t150_array_iter < _local_inRightCnt; _t150_array_iter++)
              {
                flick_cdr_decode_IOR(iiop, _local_inRight[_t150_array_iter], 1);
                flick_iiop_mark_port_for_cleanup(_local_inRight[_t150_array_iter], 1);
                continue;
              }
            _local_outRightCnt = (mach_msg_type_number_t *)(&_t151_storage);
            *_local_outRightCnt = 0;
            _local_outRight = (Imach_poly_array_t *)(&_t152_storage);
            *_local_outRight = 0;
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_inline_poly_arrays(_local_target, _local_inRight, _local_inRightCnt, _local_outRight, _local_outRightCnt);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort554);
              flick_iiop_encode_new_glob(8, _flick_abort554);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    mach_msg_type_number_t _t154_array_iter;

                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_unsigned32(0, *_local_outRightCnt, mach_msg_type_number_t );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    for (_t154_array_iter = 0; _t154_array_iter < *_local_outRightCnt; _t154_array_iter++)
                      {
                        flick_cdr_encode_IOR(iiop, (*_local_outRight)[_t154_array_iter], 0, _flick_abort574);
                        continue;
                        {
                        _flick_abort574:
                          goto _flick_abort569;
                        }
                      }
                    break;
                    {
                    _flick_abort569:
                      goto _flick_abort554;
                    }
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort576);
                    break;
                    {
                    _flick_abort576:
                      goto _flick_abort554;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort554:
              goto _flick_abort553;
            }
          }
          break;
          {
          _flick_abort553:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550012:
        {
          {
            mach_port_t _local_target;
            unsigned int _t155_principal_len;
            kern_return_t _return;
            Oint _local_inInt;
            Oint *_local_inoutInt;
            Oint _t156_storage;
            Oint *_local_outInt;
            Oint _t157_storage;

            flick_iiop_server_decode_target(_local_target, 0, cdr, _flick_abort578);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t155_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t155_principal_len, _flick_abort578);
            flick_iiop_decode_new_glob(_t155_principal_len);
            flick_iiop_decode_new_chunk(_t155_principal_len);
            flick_iiop_decode_end_chunk(_t155_principal_len);
            flick_iiop_decode_end_glob(_t155_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(11);
            flick_iiop_decode_new_chunk_align(8, 2, 0, 0);
            flick_iiop_check_span(8, _flick_abort578);
            flick_cdr_decode_signed32(0, *_local_inInt, unsigned );
            _local_inoutInt = (Oint *)(&_t156_storage);
            flick_cdr_decode_signed32(4, **_local_inoutInt, unsigned );
            _local_outInt = (Oint *)(&_t157_storage);
            *_local_outInt = 0;
            flick_iiop_decode_end_chunk(8);
            flick_iiop_decode_end_glob(11);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_outline_integers(_local_target, _local_inInt, _local_inoutInt, _local_outInt);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort578);
              flick_iiop_encode_new_glob(12, _flick_abort578);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(8);
                    flick_cdr_encode_signed32(0, **_local_inoutInt, unsigned );
                    flick_cdr_encode_signed32(4, **_local_outInt, unsigned );
                    flick_iiop_encode_end_chunk(8);
                    flick_iiop_encode_end_glob(12);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(12);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort583);
                    break;
                    {
                    _flick_abort583:
                      goto _flick_abort578;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort578:
              goto _flick_abort577;
            }
          }
          break;
          {
          _flick_abort577:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550013:
        {
          {
            mach_port_t _local_target;
            unsigned int _t158_principal_len;
            kern_return_t _return;
            OFstruct _local_inStruct;
            OFstruct *_local_inoutStruct;
            OFstruct _t159_storage;
            OFstruct *_local_outStruct;
            OFstruct _t160_storage;

            flick_iiop_server_decode_target(_local_target, 0, cdr, _flick_abort585);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t158_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t158_principal_len, _flick_abort585);
            flick_iiop_decode_new_glob(_t158_principal_len);
            flick_iiop_decode_new_chunk(_t158_principal_len);
            flick_iiop_decode_end_chunk(_t158_principal_len);
            flick_iiop_decode_end_glob(_t158_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(1603);
            flick_iiop_decode_new_chunk_align(1600, 2, 0, 0);
            flick_iiop_check_span(1600, _flick_abort585);
            flick_cdr_decode_bcopy(0, *_local_inStruct, 800);
            _local_inoutStruct = (OFstruct *)(&_t159_storage);
            flick_cdr_decode_bcopy(800, **_local_inoutStruct, 800);
            _local_outStruct = (OFstruct *)(&_t160_storage);
            *_local_outStruct = 0;
            flick_iiop_decode_end_chunk(1600);
            flick_iiop_decode_end_glob(1603);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_outline_fixed_structs(_local_target, _local_inStruct, _local_inoutStruct, _local_outStruct);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort585);
              flick_iiop_encode_new_glob(1604, _flick_abort585);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(1600);
                    flick_cdr_encode_bcopy(0, **_local_inoutStruct, 800);
                    flick_cdr_encode_bcopy(800, **_local_outStruct, 800);
                    flick_iiop_encode_end_chunk(1600);
                    flick_iiop_encode_end_glob(1604);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(1604);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort602);
                    break;
                    {
                    _flick_abort602:
                      goto _flick_abort585;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort585:
              goto _flick_abort584;
            }
          }
          break;
          {
          _flick_abort584:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550014:
        {
          {
            mach_port_t _local_target;
            unsigned int _t161_principal_len;
            kern_return_t _return;
            OFarray _local_inArray;
            OFarray *_local_inoutArray;
            OFarray _t162_storage;
            OFarray *_local_outArray;
            OFarray _t163_storage;

            flick_iiop_server_decode_target(_local_target, 0, cdr, _flick_abort604);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t161_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t161_principal_len, _flick_abort604);
            flick_iiop_decode_new_glob(_t161_principal_len);
            flick_iiop_decode_new_chunk(_t161_principal_len);
            flick_iiop_decode_end_chunk(_t161_principal_len);
            flick_iiop_decode_end_glob(_t161_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(3203);
            flick_iiop_decode_new_chunk_align(3200, 2, 0, 0);
            flick_iiop_check_span(3200, _flick_abort604);
            flick_cdr_decode_bcopy(0, *_local_inArray, 1600);
            _local_inoutArray = (OFarray *)(&_t162_storage);
            flick_cdr_decode_bcopy(1600, **_local_inoutArray, 1600);
            _local_outArray = (OFarray *)(&_t163_storage);
            *_local_outArray = 0;
            flick_iiop_decode_end_chunk(3200);
            flick_iiop_decode_end_glob(3203);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_outline_fixed_arrays(_local_target, _local_inArray, _local_inoutArray, _local_outArray);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort604);
              flick_iiop_encode_new_glob(3204, _flick_abort604);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(3200);
                    flick_cdr_encode_bcopy(0, **_local_inoutArray, 1600);
                    flick_cdr_encode_bcopy(1600, **_local_outArray, 1600);
                    flick_iiop_encode_end_chunk(3200);
                    flick_iiop_encode_end_glob(3204);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(3204);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort621);
                    break;
                    {
                    _flick_abort621:
                      goto _flick_abort604;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort604:
              goto _flick_abort603;
            }
          }
          break;
          {
          _flick_abort603:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550015:
        {
          {
            mach_port_t _local_target;
            unsigned int _t164_principal_len;
            kern_return_t _return;
            mach_msg_type_number_t _local_inArrayCnt;
            Oarray _local_inArray;
            mach_msg_type_number_t *_local_inoutArrayCnt;
            mach_msg_type_number_t _t165_storage;
            Oarray *_local_inoutArray;
            Oarray _t166_storage;
            mach_msg_type_number_t *_local_outArrayCnt;
            mach_msg_type_number_t _t167_storage;
            Oarray *_local_outArray;
            Oarray _t168_storage;

            flick_iiop_server_decode_target(_local_target, 0, cdr, _flick_abort623);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t164_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t164_principal_len, _flick_abort623);
            flick_iiop_decode_new_glob(_t164_principal_len);
            flick_iiop_decode_new_chunk(_t164_principal_len);
            flick_iiop_decode_end_chunk(_t164_principal_len);
            flick_iiop_decode_end_glob(_t164_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort623);
            flick_cdr_decode_unsigned32(0, _local_inArrayCnt, mach_msg_type_number_t );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_decode_new_glob(4 * _local_inArrayCnt);
            if (_local_inArrayCnt > 512)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort623);
            flick_iiop_check_span(4 * _local_inArrayCnt + 4, _flick_abort623);
            flick_iiop_decode_new_chunk(4 * _local_inArrayCnt);
            flick_cdr_decode_bcopy(0, _local_inArray, 4 * _local_inArrayCnt);
            flick_iiop_decode_end_chunk(4 * _local_inArrayCnt);
            flick_iiop_decode_end_glob(4 * _local_inArrayCnt);
            _local_inoutArrayCnt = (mach_msg_type_number_t *)(&_t165_storage);
            flick_iiop_decode_new_glob(4);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, *_local_inoutArrayCnt, mach_msg_type_number_t );
            _local_inoutArray = (Oarray *)(&_t166_storage);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(4);
            flick_iiop_decode_new_glob(4 * *_local_inoutArrayCnt);
            if (*_local_inoutArrayCnt > 512)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort623);
            flick_iiop_check_span(4 * *_local_inoutArrayCnt, _flick_abort623);
            flick_iiop_decode_new_chunk(4 * *_local_inoutArrayCnt);
            flick_cdr_decode_bcopy(0, *_local_inoutArray, 4 * *_local_inoutArrayCnt);
            flick_iiop_decode_end_chunk(4 * *_local_inoutArrayCnt);
            flick_iiop_decode_end_glob(4 * *_local_inoutArrayCnt);
            _local_outArrayCnt = (mach_msg_type_number_t *)(&_t167_storage);
            *_local_outArrayCnt = 0;
            _local_outArray = (Oarray *)(&_t168_storage);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_outline_unbounded_arrays(_local_target, _local_inArray, _local_inArrayCnt, _local_inoutArray, _local_inoutArrayCnt, _local_outArray, _local_outArrayCnt);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort623);
              flick_iiop_encode_new_glob(8, _flick_abort623);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_unsigned32(0, *_local_inoutArrayCnt, mach_msg_type_number_t );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    flick_iiop_encode_new_glob(4 * *_local_inoutArrayCnt, _flick_abort635);
                    if (*_local_inoutArrayCnt > 512)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort635);
                    flick_iiop_encode_new_chunk(4 * *_local_inoutArrayCnt);
                    flick_cdr_encode_bcopy(0, *_local_inoutArray, 4 * *_local_inoutArrayCnt);
                    flick_iiop_encode_end_chunk(4 * *_local_inoutArrayCnt);
                    flick_iiop_encode_end_glob(4 * *_local_inoutArrayCnt);
                    flick_iiop_encode_new_glob(4, _flick_abort635);
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_unsigned32(0, *_local_outArrayCnt, mach_msg_type_number_t );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(4);
                    flick_iiop_encode_new_glob(4 * *_local_outArrayCnt, _flick_abort635);
                    if (*_local_outArrayCnt > 512)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort635);
                    flick_iiop_encode_new_chunk(4 * *_local_outArrayCnt);
                    flick_cdr_encode_bcopy(0, *_local_outArray, 4 * *_local_outArrayCnt);
                    flick_iiop_encode_end_chunk(4 * *_local_outArrayCnt);
                    flick_iiop_encode_end_glob(4 * *_local_outArrayCnt);
                    break;
                    {
                    _flick_abort635:
                      goto _flick_abort623;
                    }
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort640);
                    break;
                    {
                    _flick_abort640:
                      goto _flick_abort623;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort623:
              goto _flick_abort622;
            }
          }
          break;
          {
          _flick_abort622:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550016:
        {
          {
            mach_port_t _local_target;
            unsigned int _t169_principal_len;
            kern_return_t _return;
            OFstring _local_inString;
            OFstring *_local_inoutString;
            OFstring _t170_storage;
            OFstring *_local_outString;
            OFstring _t171_storage;

            flick_iiop_server_decode_target(_local_target, 0, cdr, _flick_abort642);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t169_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t169_principal_len + 1602, _flick_abort642);
            flick_iiop_decode_new_glob(_t169_principal_len);
            flick_iiop_decode_new_chunk(_t169_principal_len);
            flick_iiop_decode_end_chunk(_t169_principal_len);
            flick_iiop_decode_end_glob(_t169_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(1602);
            flick_iiop_decode_new_chunk(1602);
            flick_cdr_decode_bcopy(0, *_local_inString, 800);
            _local_inoutString = (OFstring *)(&_t170_storage);
            flick_cdr_decode_bcopy(801, **_local_inoutString, 800);
            _local_outString = (OFstring *)(&_t171_storage);
            *_local_outString = 0;
            flick_iiop_decode_end_chunk(1602);
            flick_iiop_decode_end_glob(1602);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_outline_fixed_strings(_local_target, _local_inString, _local_inoutString, _local_outString);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort642);
              flick_iiop_encode_new_glob(1606, _flick_abort642);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(1602);
                    flick_cdr_encode_bcopy(0, **_local_inoutString, 800);
                    flick_cdr_encode_bcopy(801, **_local_outString, 800);
                    flick_iiop_encode_end_chunk(1602);
                    flick_iiop_encode_end_glob(1606);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(1606);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort659);
                    break;
                    {
                    _flick_abort659:
                      goto _flick_abort642;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort642:
              goto _flick_abort641;
            }
          }
          break;
          {
          _flick_abort641:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550017:
        {
          {
            mach_port_t _local_target;
            unsigned int _t172_principal_len;
            kern_return_t _return;
            mach_msg_type_number_t _local_inRightCnt;
            mach_port_array_t _local_inRight;
            mach_msg_type_number_t _t173_array_iter;
            mach_msg_type_number_t *_local_inoutRightCnt;
            mach_msg_type_number_t _t174_storage;
            mach_port_array_t *_local_inoutRight;
            mach_port_array_t _t175_storage;
            mach_msg_type_number_t _t176_array_iter;
            mach_msg_type_number_t *_local_outRightCnt;
            mach_msg_type_number_t _t177_storage;
            mach_port_array_t *_local_outRight;
            mach_port_array_t _t178_storage;

            flick_iiop_server_decode_target(_local_target, 0, cdr, _flick_abort661);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t172_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t172_principal_len, _flick_abort661);
            flick_iiop_decode_new_glob(_t172_principal_len);
            flick_iiop_decode_new_chunk(_t172_principal_len);
            flick_iiop_decode_end_chunk(_t172_principal_len);
            flick_iiop_decode_end_glob(_t172_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort661);
            flick_cdr_decode_unsigned32(0, _local_inRightCnt, mach_msg_type_number_t );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            if (_local_inRightCnt > 512)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort661);
            for (_t173_array_iter = 0; _t173_array_iter < _local_inRightCnt; _t173_array_iter++)
              {
                flick_cdr_decode_IOR(iiop, _local_inRight[_t173_array_iter], 1);
                flick_iiop_mark_port_for_cleanup(_local_inRight[_t173_array_iter], 1);
                continue;
              }
            _local_inoutRightCnt = (mach_msg_type_number_t *)(&_t174_storage);
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort661);
            flick_cdr_decode_unsigned32(0, *_local_inoutRightCnt, mach_msg_type_number_t );
            _local_inoutRight = (mach_port_array_t *)(&_t175_storage);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            if (*_local_inoutRightCnt > 512)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort661);
            for (_t176_array_iter = 0; _t176_array_iter < *_local_inoutRightCnt; _t176_array_iter++)
              {
                flick_cdr_decode_IOR(iiop, (*_local_inoutRight)[_t176_array_iter], 1);
                flick_iiop_mark_port_for_cleanup((*_local_inoutRight)[_t176_array_iter], 1);
                continue;
              }
            _local_outRightCnt = (mach_msg_type_number_t *)(&_t177_storage);
            *_local_outRightCnt = 0;
            _local_outRight = (mach_port_array_t *)(&_t178_storage);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_outline_port_arrays(_local_target, _local_inRight, _local_inRightCnt, _local_inoutRight, _local_inoutRightCnt, _local_outRight, _local_outRightCnt);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort661);
              flick_iiop_encode_new_glob(8, _flick_abort661);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    mach_msg_type_number_t _t181_array_iter;
                    mach_msg_type_number_t _t182_array_iter;

                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_unsigned32(0, *_local_inoutRightCnt, mach_msg_type_number_t );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    if (*_local_inoutRightCnt > 512)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort685);
                    for (_t181_array_iter = 0; _t181_array_iter < *_local_inoutRightCnt; _t181_array_iter++)
                      {
                        flick_cdr_encode_IOR(iiop, (*_local_inoutRight)[_t181_array_iter], 0, _flick_abort689);
                        continue;
                        {
                        _flick_abort689:
                          goto _flick_abort685;
                        }
                      }
                    flick_iiop_encode_new_glob(7, _flick_abort685);
                    flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                    flick_cdr_encode_unsigned32(0, *_local_outRightCnt, mach_msg_type_number_t );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(7);
                    if (*_local_outRightCnt > 512)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort685);
                    for (_t182_array_iter = 0; _t182_array_iter < *_local_outRightCnt; _t182_array_iter++)
                      {
                        flick_cdr_encode_IOR(iiop, (*_local_outRight)[_t182_array_iter], 0, _flick_abort694);
                        continue;
                        {
                        _flick_abort694:
                          goto _flick_abort685;
                        }
                      }
                    break;
                    {
                    _flick_abort685:
                      goto _flick_abort661;
                    }
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort696);
                    break;
                    {
                    _flick_abort696:
                      goto _flick_abort661;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort661:
              goto _flick_abort660;
            }
          }
          break;
          {
          _flick_abort660:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550018:
        {
          {
            mach_port_t _local_target;
            unsigned int _t183_principal_len;
            kern_return_t _return;
            mach_msg_type_number_t _local_inRightCnt;
            Omach_poly_array_t _local_inRight;
            mach_msg_type_number_t _t184_array_iter;
            mach_msg_type_number_t *_local_inoutRightCnt;
            mach_msg_type_number_t _t185_storage;
            Omach_poly_array_t *_local_inoutRight;
            Omach_poly_array_t _t186_storage;
            mach_msg_type_number_t _t187_array_iter;
            mach_msg_type_number_t *_local_outRightCnt;
            mach_msg_type_number_t _t188_storage;
            Omach_poly_array_t *_local_outRight;
            Omach_poly_array_t _t189_storage;

            flick_iiop_server_decode_target(_local_target, 0, cdr, _flick_abort698);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t183_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t183_principal_len, _flick_abort698);
            flick_iiop_decode_new_glob(_t183_principal_len);
            flick_iiop_decode_new_chunk(_t183_principal_len);
            flick_iiop_decode_end_chunk(_t183_principal_len);
            flick_iiop_decode_end_glob(_t183_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort698);
            flick_cdr_decode_unsigned32(0, _local_inRightCnt, mach_msg_type_number_t );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            if (_local_inRightCnt > 512)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort698);
            for (_t184_array_iter = 0; _t184_array_iter < _local_inRightCnt; _t184_array_iter++)
              {
                flick_cdr_decode_IOR(iiop, _local_inRight[_t184_array_iter], 1);
                flick_iiop_mark_port_for_cleanup(_local_inRight[_t184_array_iter], 1);
                continue;
              }
            _local_inoutRightCnt = (mach_msg_type_number_t *)(&_t185_storage);
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort698);
            flick_cdr_decode_unsigned32(0, *_local_inoutRightCnt, mach_msg_type_number_t );
            _local_inoutRight = (Omach_poly_array_t *)(&_t186_storage);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            if (*_local_inoutRightCnt > 512)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort698);
            for (_t187_array_iter = 0; _t187_array_iter < *_local_inoutRightCnt; _t187_array_iter++)
              {
                flick_cdr_decode_IOR(iiop, (*_local_inoutRight)[_t187_array_iter], 1);
                flick_iiop_mark_port_for_cleanup((*_local_inoutRight)[_t187_array_iter], 1);
                continue;
              }
            _local_outRightCnt = (mach_msg_type_number_t *)(&_t188_storage);
            *_local_outRightCnt = 0;
            _local_outRight = (Omach_poly_array_t *)(&_t189_storage);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_outline_poly_arrays(_local_target, _local_inRight, _local_inRightCnt, _local_inoutRight, _local_inoutRightCnt, _local_outRight, _local_outRightCnt);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort698);
              flick_iiop_encode_new_glob(8, _flick_abort698);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    mach_msg_type_number_t _t192_array_iter;
                    mach_msg_type_number_t _t193_array_iter;

                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_unsigned32(0, *_local_inoutRightCnt, mach_msg_type_number_t );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    if (*_local_inoutRightCnt > 512)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort722);
                    for (_t192_array_iter = 0; _t192_array_iter < *_local_inoutRightCnt; _t192_array_iter++)
                      {
                        flick_cdr_encode_IOR(iiop, (*_local_inoutRight)[_t192_array_iter], 0, _flick_abort726);
                        continue;
                        {
                        _flick_abort726:
                          goto _flick_abort722;
                        }
                      }
                    flick_iiop_encode_new_glob(7, _flick_abort722);
                    flick_iiop_encode_new_chunk_align(4, 2, 0, 0);
                    flick_cdr_encode_unsigned32(0, *_local_outRightCnt, mach_msg_type_number_t );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(7);
                    if (*_local_outRightCnt > 512)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort722);
                    for (_t193_array_iter = 0; _t193_array_iter < *_local_outRightCnt; _t193_array_iter++)
                      {
                        flick_cdr_encode_IOR(iiop, (*_local_outRight)[_t193_array_iter], 0, _flick_abort731);
                        continue;
                        {
                        _flick_abort731:
                          goto _flick_abort722;
                        }
                      }
                    break;
                    {
                    _flick_abort722:
                      goto _flick_abort698;
                    }
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort733);
                    break;
                    {
                    _flick_abort733:
                      goto _flick_abort698;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort698:
              goto _flick_abort697;
            }
          }
          break;
          {
          _flick_abort697:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550020:
        {
          {
            mach_port_t _local_target;
            mach_port_t _local_reply;
            unsigned int _t194_principal_len;
            kern_return_t _return;
            unsigned int *_local_data;
            unsigned int _t195_storage;

            flick_iiop_server_decode_target(_local_target, 0, cdr, _flick_abort735);
            flick_iiop_server_decode_client(_local_reply, 0, cdr, _flick_abort735);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t194_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t194_principal_len, _flick_abort735);
            flick_iiop_decode_new_glob(_t194_principal_len);
            flick_iiop_decode_new_chunk(_t194_principal_len);
            flick_iiop_decode_end_chunk(_t194_principal_len);
            flick_iiop_decode_end_glob(_t194_principal_len);
            /* Begin decode phase on parameters */
            _local_data = (unsigned int *)(&_t195_storage);
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort735);
            flick_cdr_decode_signed32(0, *_local_data, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_test_reply_ports(_local_reply, _local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort735);
              flick_iiop_encode_new_glob(8, _flick_abort735);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_local_data, unsigned int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort740);
                    break;
                    {
                    _flick_abort740:
                      goto _flick_abort735;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort735:
              goto _flick_abort734;
            }
          }
          break;
          {
          _flick_abort734:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550021:
        {
          {
            mach_port_t _local_target;
            mach_port_t _local_reply;
            unsigned int _t196_principal_len;
            kern_return_t _return;
            unsigned int *_local_data;
            unsigned int _t197_storage;

            flick_iiop_server_decode_target(_local_target, 0, cdr, _flick_abort742);
            flick_iiop_server_decode_client(_local_reply, 0, cdr, _flick_abort742);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t196_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t196_principal_len, _flick_abort742);
            flick_iiop_decode_new_glob(_t196_principal_len);
            flick_iiop_decode_new_chunk(_t196_principal_len);
            flick_iiop_decode_end_chunk(_t196_principal_len);
            flick_iiop_decode_end_glob(_t196_principal_len);
            /* Begin decode phase on parameters */
            _local_data = (unsigned int *)(&_t197_storage);
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort742);
            flick_cdr_decode_signed32(0, *_local_data, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_test_sreply_ports(_local_target, _local_reply, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort742);
              flick_iiop_encode_new_glob(8, _flick_abort742);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_local_data, unsigned int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort747);
                    break;
                    {
                    _flick_abort747:
                      goto _flick_abort742;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort742:
              goto _flick_abort741;
            }
          }
          break;
          {
          _flick_abort741:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550022:
        {
          {
            mach_port_t _local_target;
            unsigned int _t198_principal_len;
            kern_return_t _return;
            unsigned int *_local_data;
            unsigned int _t199_storage;

            flick_iiop_server_decode_target(_local_target, 0, cdr, _flick_abort749);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t198_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t198_principal_len, _flick_abort749);
            flick_iiop_decode_new_glob(_t198_principal_len);
            flick_iiop_decode_new_chunk(_t198_principal_len);
            flick_iiop_decode_end_chunk(_t198_principal_len);
            flick_iiop_decode_end_glob(_t198_principal_len);
            /* Begin decode phase on parameters */
            _local_data = (unsigned int *)(&_t199_storage);
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort749);
            flick_cdr_decode_signed32(0, *_local_data, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_test_ureply_ports(_local_target, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort749);
              flick_iiop_encode_new_glob(8, _flick_abort749);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_local_data, unsigned int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort754);
                    break;
                    {
                    _flick_abort754:
                      goto _flick_abort749;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort749:
              goto _flick_abort748;
            }
          }
          break;
          {
          _flick_abort748:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550023:
        {
          {
            mach_port_t _local_target;
            unsigned int _t200_principal_len;
            kern_return_t _return;
            unsigned int _local_seq;
            unsigned int *_local_data;
            unsigned int _t201_storage;

            flick_iiop_server_decode_target(_local_target, 0, cdr, _flick_abort756);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t200_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t200_principal_len, _flick_abort756);
            flick_iiop_decode_new_glob(_t200_principal_len);
            flick_iiop_decode_new_chunk(_t200_principal_len);
            flick_iiop_decode_end_chunk(_t200_principal_len);
            flick_iiop_decode_end_glob(_t200_principal_len);
            /* Begin decode phase on parameters */
            _local_data = (unsigned int *)(&_t201_storage);
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort756);
            flick_cdr_decode_signed32(0, *_local_data, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_test_param_flags(_local_target, _local_seq, _local_data);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort756);
              flick_iiop_encode_new_glob(8, _flick_abort756);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, *_local_data, unsigned int );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort761);
                    break;
                    {
                    _flick_abort761:
                      goto _flick_abort756;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort756:
              goto _flick_abort755;
            }
          }
          break;
          {
          _flick_abort755:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550024:
        {
          {
            mach_port_t _local_target;
            unsigned int _t202_principal_len;
            kern_return_t _return;
            mach_msg_type_number_t *_local_outArrayCnt;
            mach_msg_type_number_t _t203_storage;
            Iarray *_local_outArray;
            Iarray _t204_storage;

            flick_iiop_server_decode_target(_local_target, 0, cdr, _flick_abort763);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t202_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t202_principal_len, _flick_abort763);
            flick_iiop_decode_new_glob(_t202_principal_len);
            flick_iiop_decode_new_chunk(_t202_principal_len);
            flick_iiop_decode_end_chunk(_t202_principal_len);
            flick_iiop_decode_end_glob(_t202_principal_len);
            /* Begin decode phase on parameters */
            _local_outArrayCnt = (mach_msg_type_number_t *)(&_t203_storage);
            *_local_outArrayCnt = 0;
            _local_outArray = (Iarray *)(&_t204_storage);
            *_local_outArray = 0;
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_test_countinout(_local_target, _local_outArray, _local_outArrayCnt);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort763);
              flick_iiop_encode_new_glob(8, _flick_abort763);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_unsigned32(0, *_local_outArrayCnt, mach_msg_type_number_t );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    flick_iiop_encode_new_glob(4 * *_local_outArrayCnt, _flick_abort769);
                    flick_iiop_encode_new_chunk(4 * *_local_outArrayCnt);
                    flick_cdr_encode_bcopy(0, *_local_outArray, 4 * *_local_outArrayCnt);
                    flick_iiop_encode_end_chunk(4 * *_local_outArrayCnt);
                    flick_iiop_encode_end_glob(4 * *_local_outArrayCnt);
                    break;
                    {
                    _flick_abort769:
                      goto _flick_abort763;
                    }
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort772);
                    break;
                    {
                    _flick_abort772:
                      goto _flick_abort763;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort763:
              goto _flick_abort762;
            }
          }
          break;
          {
          _flick_abort762:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550025:
        {
          {
            mach_port_t _local_target;
            unsigned int _t205_principal_len;
            kern_return_t _return;
            mach_msg_type_number_t _local_inArrayCnt;
            Oarray _local_inArray;
            mach_msg_type_number_t *_local_inoutArrayCnt;
            mach_msg_type_number_t _t206_storage;
            Oarray *_local_inoutArray;
            Oarray _t207_storage;
            mach_msg_type_number_t *_local_outArrayCnt;
            mach_msg_type_number_t _t208_storage;
            Oarray *_local_outArray;
            Oarray _t209_storage;

            flick_iiop_server_decode_target(_local_target, 0, cdr, _flick_abort774);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t205_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t205_principal_len, _flick_abort774);
            flick_iiop_decode_new_glob(_t205_principal_len);
            flick_iiop_decode_new_chunk(_t205_principal_len);
            flick_iiop_decode_end_chunk(_t205_principal_len);
            flick_iiop_decode_end_glob(_t205_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort774);
            flick_cdr_decode_unsigned32(0, _local_inArrayCnt, mach_msg_type_number_t );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_decode_new_glob(4 * _local_inArrayCnt);
            if (_local_inArrayCnt > 512)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort774);
            flick_iiop_check_span(4 * _local_inArrayCnt + 4, _flick_abort774);
            flick_iiop_decode_new_chunk(4 * _local_inArrayCnt);
            flick_cdr_decode_bcopy(0, _local_inArray, 4 * _local_inArrayCnt);
            flick_iiop_decode_end_chunk(4 * _local_inArrayCnt);
            flick_iiop_decode_end_glob(4 * _local_inArrayCnt);
            _local_inoutArrayCnt = (mach_msg_type_number_t *)(&_t206_storage);
            flick_iiop_decode_new_glob(4);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, *_local_inoutArrayCnt, mach_msg_type_number_t );
            _local_inoutArray = (Oarray *)(&_t207_storage);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(4);
            flick_iiop_decode_new_glob(4 * *_local_inoutArrayCnt);
            if (*_local_inoutArrayCnt > 512)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort774);
            flick_iiop_check_span(4 * *_local_inoutArrayCnt, _flick_abort774);
            flick_iiop_decode_new_chunk(4 * *_local_inoutArrayCnt);
            flick_cdr_decode_bcopy(0, *_local_inoutArray, 4 * *_local_inoutArrayCnt);
            flick_iiop_decode_end_chunk(4 * *_local_inoutArrayCnt);
            flick_iiop_decode_end_glob(4 * *_local_inoutArrayCnt);
            _local_outArrayCnt = (mach_msg_type_number_t *)(&_t208_storage);
            *_local_outArrayCnt = 0;
            _local_outArray = (Oarray *)(&_t209_storage);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_test_dealloc_pointer(_local_target, _local_inArray, _local_inArrayCnt, _local_inoutArray, _local_inoutArrayCnt, _local_outArray, _local_outArrayCnt);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort774);
              flick_iiop_encode_new_glob(8, _flick_abort774);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_unsigned32(0, *_local_inoutArrayCnt, mach_msg_type_number_t );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    flick_iiop_encode_new_glob(4 * *_local_inoutArrayCnt, _flick_abort786);
                    if (*_local_inoutArrayCnt > 512)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort786);
                    flick_iiop_encode_new_chunk(4 * *_local_inoutArrayCnt);
                    flick_cdr_encode_bcopy(0, *_local_inoutArray, 4 * *_local_inoutArrayCnt);
                    mach_vm_flick_free(*_local_inoutArray);
                    *_local_inoutArray = 0;
                    flick_iiop_encode_end_chunk(4 * *_local_inoutArrayCnt);
                    flick_iiop_encode_end_glob(4 * *_local_inoutArrayCnt);
                    flick_iiop_encode_new_glob(4, _flick_abort786);
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_unsigned32(0, *_local_outArrayCnt, mach_msg_type_number_t );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(4);
                    flick_iiop_encode_new_glob(4 * *_local_outArrayCnt, _flick_abort786);
                    if (*_local_outArrayCnt > 512)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort786);
                    flick_iiop_encode_new_chunk(4 * *_local_outArrayCnt);
                    flick_cdr_encode_bcopy(0, *_local_outArray, 4 * *_local_outArrayCnt);
                    mach_vm_flick_free(*_local_outArray);
                    *_local_outArray = 0;
                    flick_iiop_encode_end_chunk(4 * *_local_outArrayCnt);
                    flick_iiop_encode_end_glob(4 * *_local_outArrayCnt);
                    break;
                    {
                    _flick_abort786:
                      goto _flick_abort774;
                    }
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort791);
                    break;
                    {
                    _flick_abort791:
                      goto _flick_abort774;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort774:
              goto _flick_abort773;
            }
          }
          break;
          {
          _flick_abort773:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550026:
        {
          {
            mach_port_t _local_target;
            unsigned int _t210_principal_len;
            kern_return_t _return;
            mach_msg_type_number_t _local_inArrayCnt;
            Oarray _local_inArray;
            mach_msg_type_number_t *_local_inoutArrayCnt;
            mach_msg_type_number_t _t211_storage;
            boolean_t *_local_inoutArrayDealloc;
            boolean_t _t212_storage;
            Oarray *_local_inoutArray;
            Oarray _t213_storage;
            mach_msg_type_number_t *_local_outArrayCnt;
            mach_msg_type_number_t _t214_storage;
            boolean_t *_local_outArrayDealloc;
            boolean_t _t215_storage;
            Oarray *_local_outArray;
            Oarray _t216_storage;

            flick_iiop_server_decode_target(_local_target, 0, cdr, _flick_abort793);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t210_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t210_principal_len, _flick_abort793);
            flick_iiop_decode_new_glob(_t210_principal_len);
            flick_iiop_decode_new_chunk(_t210_principal_len);
            flick_iiop_decode_end_chunk(_t210_principal_len);
            flick_iiop_decode_end_glob(_t210_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort793);
            flick_cdr_decode_unsigned32(0, _local_inArrayCnt, mach_msg_type_number_t );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_decode_new_glob(4 * _local_inArrayCnt);
            if (_local_inArrayCnt > 512)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort793);
            flick_iiop_check_span(4 * _local_inArrayCnt + 4, _flick_abort793);
            flick_iiop_decode_new_chunk(4 * _local_inArrayCnt);
            flick_cdr_decode_bcopy(0, _local_inArray, 4 * _local_inArrayCnt);
            flick_iiop_decode_end_chunk(4 * _local_inArrayCnt);
            flick_iiop_decode_end_glob(4 * _local_inArrayCnt);
            _local_inoutArrayCnt = (mach_msg_type_number_t *)(&_t211_storage);
            flick_iiop_decode_new_glob(4);
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, *_local_inoutArrayCnt, mach_msg_type_number_t );
            _local_inoutArrayDealloc = (boolean_t *)(&_t212_storage);
            _local_inoutArray = (Oarray *)(&_t213_storage);
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(4);
            flick_iiop_decode_new_glob(4 * *_local_inoutArrayCnt);
            if (*_local_inoutArrayCnt > 512)
              flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort793);
            flick_iiop_check_span(4 * *_local_inoutArrayCnt, _flick_abort793);
            flick_iiop_decode_new_chunk(4 * *_local_inoutArrayCnt);
            flick_cdr_decode_bcopy(0, *_local_inoutArray, 4 * *_local_inoutArrayCnt);
            flick_iiop_decode_end_chunk(4 * *_local_inoutArrayCnt);
            flick_iiop_decode_end_glob(4 * *_local_inoutArrayCnt);
            _local_outArrayCnt = (mach_msg_type_number_t *)(&_t214_storage);
            *_local_outArrayCnt = 0;
            _local_outArrayDealloc = (boolean_t *)(&_t215_storage);
            _local_outArray = (Oarray *)(&_t216_storage);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_test_dynamic_dealloc_pointer(_local_target, _local_inArray, _local_inArrayCnt, _local_inoutArray, _local_inoutArrayCnt, _local_inoutArrayDealloc, _local_outArray, _local_outArrayCnt, _local_outArrayDealloc);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort793);
              flick_iiop_encode_new_glob(8, _flick_abort793);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_unsigned32(0, *_local_inoutArrayCnt, mach_msg_type_number_t );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(8);
                    flick_iiop_encode_new_glob(4 * *_local_inoutArrayCnt, _flick_abort805);
                    if (*_local_inoutArrayCnt > 512)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort805);
                    flick_iiop_encode_new_chunk(4 * *_local_inoutArrayCnt);
                    flick_cdr_encode_bcopy(0, *_local_inoutArray, 4 * *_local_inoutArrayCnt);
                    if (*_local_inoutArrayDealloc)
                      mach_vm_flick_free(*_local_inoutArray);
                    *_local_inoutArrayDealloc = 0;
                    *_local_inoutArray = 0;
                    flick_iiop_encode_end_chunk(4 * *_local_inoutArrayCnt);
                    flick_iiop_encode_end_glob(4 * *_local_inoutArrayCnt);
                    flick_iiop_encode_new_glob(4, _flick_abort805);
                    flick_iiop_encode_new_chunk(4);
                    flick_cdr_encode_unsigned32(0, *_local_outArrayCnt, mach_msg_type_number_t );
                    flick_iiop_encode_end_chunk(4);
                    flick_iiop_encode_end_glob(4);
                    flick_iiop_encode_new_glob(4 * *_local_outArrayCnt, _flick_abort805);
                    if (*_local_outArrayCnt > 512)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort805);
                    flick_iiop_encode_new_chunk(4 * *_local_outArrayCnt);
                    flick_cdr_encode_bcopy(0, *_local_outArray, 4 * *_local_outArrayCnt);
                    if (*_local_outArrayDealloc)
                      mach_vm_flick_free(*_local_outArray);
                    *_local_outArrayDealloc = 0;
                    *_local_outArray = 0;
                    flick_iiop_encode_end_chunk(4 * *_local_outArrayCnt);
                    flick_iiop_encode_end_glob(4 * *_local_outArrayCnt);
                    break;
                    {
                    _flick_abort805:
                      goto _flick_abort793;
                    }
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(8);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort810);
                    break;
                    {
                    _flick_abort810:
                      goto _flick_abort793;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort793:
              goto _flick_abort792;
            }
          }
          break;
          {
          _flick_abort792:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550027:
        {
          {
            mach_port_t _local_target;
            unsigned int _t217_principal_len;
            kern_return_t _return;
            mach_msg_type_number_t _local_inArrayCnt;
            boolean_t _local_inArraySCopy;
            Iarray _local_inArray;
            boolean_t *_local_scopy;
            boolean_t _t218_storage;

            flick_iiop_server_decode_target(_local_target, 0, cdr, _flick_abort812);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t217_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t217_principal_len, _flick_abort812);
            flick_iiop_decode_new_glob(_t217_principal_len);
            flick_iiop_decode_new_chunk(_t217_principal_len);
            flick_iiop_decode_end_chunk(_t217_principal_len);
            flick_iiop_decode_end_glob(_t217_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_decode_new_glob(7);
            flick_iiop_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiop_check_span(4, _flick_abort812);
            flick_cdr_decode_unsigned32(0, _local_inArrayCnt, mach_msg_type_number_t );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(7);
            flick_iiop_decode_new_glob(4 * _local_inArrayCnt);
            flick_iiop_check_span(4 * _local_inArrayCnt, _flick_abort812);
            flick_iiop_decode_new_chunk(4 * _local_inArrayCnt);
            flick_cdr_decode_msgptr(0, _local_inArray, unsigned *);
            flick_iiop_decode_end_chunk(4 * _local_inArrayCnt);
            flick_iiop_decode_end_glob(4 * _local_inArrayCnt);
            _local_scopy = (boolean_t *)(&_t218_storage);
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_test_servercopy(_local_target, _local_inArray, _local_inArrayCnt, _local_inArraySCopy, _local_scopy);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            _stub_state.state = FLICK_STATE_MARSHAL;
            flick_iiop_server_start_encode();
            {
              flick_iiop_server_encode_target(_local_target, 0, cdr, _flick_abort812);
              flick_iiop_encode_new_glob(5, _flick_abort812);
              flick_iiop_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _return, kern_return_t );
              flick_iiop_encode_end_chunk(4);
              switch (_return)
                {
                case KERN_SUCCESS:
                  {
                    /* Begin encode phase on parameters */
                    flick_iiop_encode_new_chunk(1);
                    flick_cdr_encode_unsigned8(0, *_local_scopy, boolean_t );
                    flick_iiop_encode_end_chunk(1);
                    flick_iiop_encode_end_glob(5);
                    break;
                  }
                default:
                  {
                    flick_iiop_encode_end_glob(5);
                    flick_mig_encode_system_exception(_return, cdr, iiop, _flick_abort819);
                    break;
                    {
                    _flick_abort819:
                      goto _flick_abort812;
                    }
                  }
                }
            }
            flick_iiop_server_end_encode();
            break;
            {
            _flick_abort812:
              goto _flick_abort811;
            }
          }
          break;
          {
          _flick_abort811:
            goto _flick_abort2;
          }
        }
      case (signed int) 5550028:
        {
          {
            mach_port_t _local_target;
            unsigned int _t219_principal_len;
            kern_return_t _return;

            flick_iiop_server_decode_target(_local_target, 0, cdr, _flick_abort821);
            /* Decode the requesting `Principal' pseudo object (client ID). */
            flick_iiop_decode_new_chunk(4);
            flick_cdr_decode_unsigned32(0, _t219_principal_len, unsigned int );
            flick_iiop_decode_end_chunk(4);
            flick_iiop_decode_end_glob(8);
            flick_iiop_check_span(_t219_principal_len, _flick_abort821);
            flick_iiop_decode_new_glob(_t219_principal_len);
            flick_iiop_decode_new_chunk(_t219_principal_len);
            flick_iiop_decode_end_chunk(_t219_principal_len);
            flick_iiop_decode_end_glob(_t219_principal_len);
            /* Begin decode phase on parameters */
            flick_iiop_server_end_decode();
            flick_mig_init_environment();
            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
            _return = s_terminate(_local_target);
            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
            return FLICK_OPERATION_SUCCESS_NOREPLY;
            break;
            {
            _flick_abort821:
              goto _flick_abort820;
            }
          }
          break;
          {
          _flick_abort820:
            goto _flick_abort2;
          }
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort2);
          flick_iiop_decode_end_glob(8);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort2:
    flick_mig_server_error(cdr, iiop, _flick_reaper, _flick_abort1);
  _flick_abort1:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

