#include "IIOP-client.h"
#include "IIOP-server.h"

static const CORBA::Long _oc_Version[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    16, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x56657273), ACE_NTOHL(0x696f6e3a), ACE_NTOHL(0x312e3000) /* repository ID = IDL:Version:1.0 */,
    8, ACE_NTOHL(0x56657273), ACE_NTOHL(0x696f6e00) /* name = Version */,
    2 /* member count */,
    6, ACE_NTOHL(0x6d616a6f), ACE_NTOHL(0x72000000) /* name = major */,
    CORBA::tk_char,
    6, ACE_NTOHL(0x6d696e6f), ACE_NTOHL(0x72000000) /* name = minor */,
    CORBA::tk_char
};

static CORBA::TypeCode _tc_TAO_tc_Version (CORBA::tk_struct, sizeof(_oc_Version), (char *) &_oc_Version, 0, sizeof(struct Version ));

CORBA::TypeCode_ptr _tc_Version = &_tc_TAO_tc_Version;

void operator<<=(CORBA::Any &a, const struct Version &o)
{
  struct Version  *_any_val;
  ACE_NEW(_any_val, struct Version  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_Version, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, struct Version *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_Version, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, struct Version *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(_tc_Version, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (struct Version  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, struct Version , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(_tc_Version, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(_tc_Version, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

Version_var::Version_var()
  : ptr_(0)
{}

Version_var::Version_var(struct Version *p)
 : ptr_(p)
{}

Version_var::Version_var(const Version_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new struct Version (*a.ptr_);
  else
    this->ptr_ = 0;
}

Version_var::~Version_var()
{
  delete this->ptr_;
}

Version_var &Version_var::operator=(struct Version *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

Version_var &Version_var::operator=(const Version_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new struct Version (*p.ptr_);
  }
  return *this;
}

struct Version *Version_var::operator->()
{
  return this->ptr_;
}

const struct Version *Version_var::operator->() const
{
  return this->ptr_;
}

Version_var::operator const struct Version &() const
{
  return *this->ptr_;
}

Version_var::operator struct Version &()
{
  return *this->ptr_;
}

Version_var::operator struct Version &() const
{
  return *this->ptr_;
}

const struct Version &Version_var::in() const
{
  return *this->ptr_;
}

struct Version &Version_var::inout()
{
  return *this->ptr_;
}

struct Version &Version_var::out()
{
  return *this->ptr_;
}

struct Version Version_var::_retn()
{
  return *this->ptr_;
}

struct Version *Version_var::ptr() const
{
  return this->ptr_;
}

static const CORBA::Long _oc_IOP_ServiceContext[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    27, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x494f502f), ACE_NTOHL(0x53657276), ACE_NTOHL(0x69636543), ACE_NTOHL(0x6f6e7465), ACE_NTOHL(0x78743a31), ACE_NTOHL(0x2e300000) /* repository ID = IDL:IOP/ServiceContext:1.0 */,
    15, ACE_NTOHL(0x53657276), ACE_NTOHL(0x69636543), ACE_NTOHL(0x6f6e7465), ACE_NTOHL(0x78740000) /* name = ServiceContext */,
    2 /* member count */,
    11, ACE_NTOHL(0x636f6e74), ACE_NTOHL(0x6578745f), ACE_NTOHL(0x69640000) /* name = context_id */,
    CORBA::tk_alias,
    52 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      22, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x494f502f), ACE_NTOHL(0x53657276), ACE_NTOHL(0x69636549), ACE_NTOHL(0x443a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:IOP/ServiceID:1.0 */,
      10, ACE_NTOHL(0x53657276), ACE_NTOHL(0x69636549), ACE_NTOHL(0x44000000) /* name = ServiceID */,
      CORBA::tk_ulong,
    13, ACE_NTOHL(0x636f6e74), ACE_NTOHL(0x6578745f), ACE_NTOHL(0x64617461), ACE_NTOHL(0x00000000) /* name = context_data */,
    CORBA::tk_alias,
    52 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      21, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f6f), ACE_NTOHL(0x63746574), ACE_NTOHL(0x00000000) /* name = flick_sequence_octet */,
      CORBA::tk_sequence,
      12 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        CORBA::tk_octet,
        0
};

static CORBA::TypeCode _tc_TAO_tc_IOP_ServiceContext (CORBA::tk_struct, sizeof(_oc_IOP_ServiceContext), (char *) &_oc_IOP_ServiceContext, 0, sizeof(struct ::IOP::ServiceContext ));

TAO_NAMESPACE_TYPE(CORBA::TypeCode_ptr)
TAO_NAMESPACE_BEGIN (IOP)
TAO_NAMESPACE_DEFINE (CORBA::TypeCode_ptr, _tc_ServiceContext, &_tc_TAO_tc_IOP_ServiceContext)
TAO_NAMESPACE_END
void operator<<=(CORBA::Any &a, const struct ::IOP::ServiceContext &o)
{
  struct ::IOP::ServiceContext  *_any_val;
  ACE_NEW(_any_val, struct ::IOP::ServiceContext  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(IOP::_tc_ServiceContext, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, struct ::IOP::ServiceContext *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(IOP::_tc_ServiceContext, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, struct ::IOP::ServiceContext *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(IOP::_tc_ServiceContext, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (struct ::IOP::ServiceContext  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, struct ::IOP::ServiceContext , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(IOP::_tc_ServiceContext, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(IOP::_tc_ServiceContext, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

IOP::ServiceContext_var::ServiceContext_var()
  : ptr_(0)
{}

IOP::ServiceContext_var::ServiceContext_var(struct ::IOP::ServiceContext *p)
 : ptr_(p)
{}

IOP::ServiceContext_var::ServiceContext_var(const ::IOP::ServiceContext_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new struct ::IOP::ServiceContext (*a.ptr_);
  else
    this->ptr_ = 0;
}

IOP::ServiceContext_var::~ServiceContext_var()
{
  delete this->ptr_;
}

::IOP::ServiceContext_var &IOP::ServiceContext_var::operator=(struct ::IOP::ServiceContext *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

::IOP::ServiceContext_var &IOP::ServiceContext_var::operator=(const ::IOP::ServiceContext_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new struct ::IOP::ServiceContext (*p.ptr_);
  }
  return *this;
}

struct ::IOP::ServiceContext *IOP::ServiceContext_var::operator->()
{
  return this->ptr_;
}

const struct ::IOP::ServiceContext *IOP::ServiceContext_var::operator->() const
{
  return this->ptr_;
}

IOP::ServiceContext_var::operator const struct ::IOP::ServiceContext &() const
{
  return *this->ptr_;
}

IOP::ServiceContext_var::operator struct ::IOP::ServiceContext &()
{
  return *this->ptr_;
}

IOP::ServiceContext_var::operator struct ::IOP::ServiceContext &() const
{
  return *this->ptr_;
}

const struct ::IOP::ServiceContext &IOP::ServiceContext_var::in() const
{
  return *this->ptr_;
}

struct ::IOP::ServiceContext &IOP::ServiceContext_var::inout()
{
  return *this->ptr_;
}

struct ::IOP::ServiceContext *&IOP::ServiceContext_var::out()
{
  delete this->ptr_;
  this->ptr_ = 0;
  return this->ptr_;
}

struct ::IOP::ServiceContext *IOP::ServiceContext_var::_retn()
{
  struct ::IOP::ServiceContext  *tmp = this->ptr_;
  this->ptr_ = 0;
  return tmp;
}

struct ::IOP::ServiceContext *IOP::ServiceContext_var::ptr() const
{
  return this->ptr_;
}

IOP::ServiceContext_out::ServiceContext_out(struct ::IOP::ServiceContext *&r)
  : ptr_(r)
{
  this->ptr_ = 0;
}

IOP::ServiceContext_out::ServiceContext_out(::IOP::ServiceContext_var &r)
  : ptr_(r.out())
{
  delete this->ptr_;
  this->ptr_ = 0;
}

IOP::ServiceContext_out::ServiceContext_out(const ::IOP::ServiceContext_out &r)
  : ptr_(ACE_const_cast(::IOP::ServiceContext_out &,r).ptr_)
{}

::IOP::ServiceContext_out &IOP::ServiceContext_out::operator=(const ::IOP::ServiceContext_out &r)
{
  this->ptr_ = ACE_const_cast(::IOP::ServiceContext_out &,r).ptr_;
  return *this;
}

::IOP::ServiceContext_out &IOP::ServiceContext_out::operator=(struct ::IOP::ServiceContext *r)
{
  this->ptr_ = r;
  return *this;
}

IOP::ServiceContext_out::operator struct ::IOP::ServiceContext *&()
{
  return this->ptr_;
}

struct ::IOP::ServiceContext *&IOP::ServiceContext_out::ptr()
{
  return this->ptr_;
}

struct ::IOP::ServiceContext *IOP::ServiceContext_out::operator->()
{
  return this->ptr_;
}

static const CORBA::Long _oc_IOP_ServiceContext_flick_sequence_octet[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    21, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f6f), ACE_NTOHL(0x63746574), ACE_NTOHL(0x00000000) /* name = flick_sequence_octet */,
    CORBA::tk_sequence,
    12 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      CORBA::tk_octet,
      0
};

static CORBA::TypeCode _tc_TAO_tc_IOP_ServiceContext_flick_sequence_octet (CORBA::tk_alias, sizeof(_oc_IOP_ServiceContext_flick_sequence_octet), (char *) &_oc_IOP_ServiceContext_flick_sequence_octet, 0, sizeof(::IOP::ServiceContext::flick_sequence_octet ));

CORBA::TypeCode_ptr IOP::ServiceContext::_tc_flick_sequence_octet = &_tc_TAO_tc_IOP_ServiceContext_flick_sequence_octet;

IOP::ServiceContext::flick_sequence_octet::flick_sequence_octet()
  : _maximum(0),
    _length(0),
    _buffer(0),
    _release(0)
{
}

IOP::ServiceContext::flick_sequence_octet::flick_sequence_octet(CORBA::ULong max)
  : _maximum(max), _length(0), _release(1)
{
  this->_buffer = IOP::ServiceContext::flick_sequence_octet::allocbuf(this->_maximum);
}

IOP::ServiceContext::flick_sequence_octet::flick_sequence_octet(CORBA::ULong max, CORBA::ULong length, CORBA::Octet *buffer, CORBA::Boolean release)
  : _maximum(max),
    _length(length),
    _buffer(buffer),
    _release(release)
{
}

IOP::ServiceContext::flick_sequence_octet::flick_sequence_octet(const ::IOP::ServiceContext::flick_sequence_octet &o)
  : _maximum(o._maximum),
    _length(o._length),
    _release(1)
{
  CORBA::Octet  *tmp1 = IOP::ServiceContext::flick_sequence_octet::allocbuf(this->_maximum);
  
  CORBA::Octet  * const tmp2 = ACE_reinterpret_cast(CORBA::Octet  * ACE_CAST_CONST, o._buffer);
  
  for(CORBA::ULong i = 0; i < this->_length; i++ )
    tmp1[i] = tmp2[i];
  
  this->_buffer = tmp1;
}

IOP::ServiceContext::flick_sequence_octet::~flick_sequence_octet()
{
  this->_deallocate_buffer();
}

::IOP::ServiceContext::flick_sequence_octet &IOP::ServiceContext::flick_sequence_octet::operator=(const ::IOP::ServiceContext::flick_sequence_octet &rhs)
{
  if( this == &rhs )
    return *this;
  if( this->_release )
  {
  
    if( this->_maximum < rhs._maximum )
    {
      CORBA::Octet  *tmp = ACE_reinterpret_cast(CORBA::Octet  *, this->_buffer);
      
      IOP::ServiceContext::flick_sequence_octet::freebuf(tmp);
      this->_buffer = IOP::ServiceContext::flick_sequence_octet::allocbuf(rhs._maximum);
    }
  
  }
  else
    this->_buffer = IOP::ServiceContext::flick_sequence_octet::allocbuf(rhs._maximum);
  this->_maximum = rhs._maximum;
  this->_length = rhs._length;
  this->_release = 1;
  CORBA::Octet  *tmp1 = ACE_reinterpret_cast(CORBA::Octet  *, this->_buffer);
  CORBA::Octet  * const tmp2 = ACE_reinterpret_cast(CORBA::Octet  * ACE_CAST_CONST, rhs._buffer);
  for(CORBA::ULong i = 0; i < this->_length; i++ )
    tmp1[i] = tmp2[i];
  return *this;
}

CORBA::Octet &IOP::ServiceContext::flick_sequence_octet::operator[](CORBA::ULong i)
{
  ACE_ASSERT(i < this->_maximum);
  CORBA::Octet  * tmp = ACE_reinterpret_cast(CORBA::Octet  *, this->_buffer);
  return tmp[i];
}

const CORBA::Octet &IOP::ServiceContext::flick_sequence_octet::operator[](CORBA::ULong i) const
{
  ACE_ASSERT(i < this->_maximum);
  CORBA::Octet  * const tmp = ACE_reinterpret_cast(CORBA::Octet  *ACE_CAST_CONST, this->_buffer);
  return tmp[i];
}

CORBA::Octet *IOP::ServiceContext::flick_sequence_octet::allocbuf(CORBA::ULong size)
{
  CORBA::Octet  *tmp;
  tmp = new CORBA::Octet [size];
  return tmp;
}

void IOP::ServiceContext::flick_sequence_octet::freebuf(CORBA::Octet *buffer)
{
  delete [] buffer;
}

void IOP::ServiceContext::flick_sequence_octet::_allocate_buffer(CORBA::ULong length)
{
  CORBA::Octet  *tmp = IOP::ServiceContext::flick_sequence_octet::allocbuf(length);
  if( this->_buffer != 0 )
  {
    CORBA::ULong i;
    CORBA::Octet  *old = ACE_reinterpret_cast(CORBA::Octet  *, this->_buffer);
    for( i = 0; i < this->_length; i++ )
      tmp[i] = old[i];
    if( this->_release )
      IOP::ServiceContext::flick_sequence_octet::freebuf(old);
  }
  this->_buffer = tmp;
}

void IOP::ServiceContext::flick_sequence_octet::_deallocate_buffer()
{
  if( this->_buffer == 0 || this->_release == 0 )
    return;
  CORBA::Octet  *tmp = ACE_reinterpret_cast(CORBA::Octet  *, this->_buffer);
  
  IOP::ServiceContext::flick_sequence_octet::freebuf(tmp);
  this->_buffer = 0;
}

CORBA::Boolean IOP::ServiceContext::flick_sequence_octet::release() const
{
  return this->_release;
}

CORBA::ULong IOP::ServiceContext::flick_sequence_octet::maximum() const
{
  return this->_maximum;
}

CORBA::ULong IOP::ServiceContext::flick_sequence_octet::length() const
{
  return this->_length;
}

void IOP::ServiceContext::flick_sequence_octet::length(CORBA::ULong length)
{
  if( length > this->_maximum )
  {
    this->_allocate_buffer(length);
    this->_maximum = length;
    this->_release = 1;
  }
  else if (length < this->_length)
  {
    this->_shrink_buffer(length, this->_length);
  }
  this->_length = length;
}

void IOP::ServiceContext::flick_sequence_octet::_shrink_buffer(CORBA::ULong length1, CORBA::ULong length2)
{
}

CORBA::Octet *IOP::ServiceContext::flick_sequence_octet::get_buffer(CORBA::Boolean orphan)
{
  CORBA::Octet  *result = 0;
  if( orphan == 0 )
  {
    if( this->_buffer == 0 )
    {
      result = IOP::ServiceContext::flick_sequence_octet::allocbuf(this->_length);
      this->_buffer = result;
    }
    else
    {
      result = ACE_reinterpret_cast(CORBA::Octet  *, this->_buffer);
    }
  }
  else
  {
    if( this->_release != 0 )
    {
      result = ACE_reinterpret_cast(CORBA::Octet  *, this->_buffer);
      this->_maximum = 0;
      this->_length = 0;
      this->_buffer = 0;
      this->_release = 0;
    }
  }
  return result;
}

const CORBA::Octet *IOP::ServiceContext::flick_sequence_octet::get_buffer() const
{
  return ACE_const_cast(const CORBA::Octet  * ACE_CAST_CONST, this->_buffer);
}

IOP::ServiceContext::flick_sequence_octet_var::flick_sequence_octet_var()
  : ptr_(0)
{}

IOP::ServiceContext::flick_sequence_octet_var::flick_sequence_octet_var(::IOP::ServiceContext::flick_sequence_octet *p)
 : ptr_(p)
{}

IOP::ServiceContext::flick_sequence_octet_var::flick_sequence_octet_var(const ::IOP::ServiceContext::flick_sequence_octet_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new ::IOP::ServiceContext::flick_sequence_octet (*a.ptr_);
  else
    this->ptr_ = 0;
}

IOP::ServiceContext::flick_sequence_octet_var::~flick_sequence_octet_var()
{
  delete this->ptr_;
}

::IOP::ServiceContext::flick_sequence_octet_var &IOP::ServiceContext::flick_sequence_octet_var::operator=(::IOP::ServiceContext::flick_sequence_octet *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

::IOP::ServiceContext::flick_sequence_octet_var &IOP::ServiceContext::flick_sequence_octet_var::operator=(const ::IOP::ServiceContext::flick_sequence_octet_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new ::IOP::ServiceContext::flick_sequence_octet (*p.ptr_);
  }
  return *this;
}

CORBA::Octet &IOP::ServiceContext::flick_sequence_octet_var::operator[](CORBA::ULong index)
{
  return this->ptr_->operator[](index);
}

const CORBA::Octet &IOP::ServiceContext::flick_sequence_octet_var::operator[](CORBA::ULong index) const
{
  return this->ptr_->operator[](index);
}

::IOP::ServiceContext::flick_sequence_octet *IOP::ServiceContext::flick_sequence_octet_var::operator->()
{
  return this->ptr_;
}

const ::IOP::ServiceContext::flick_sequence_octet *IOP::ServiceContext::flick_sequence_octet_var::operator->() const
{
  return this->ptr_;
}

IOP::ServiceContext::flick_sequence_octet_var::operator const ::IOP::ServiceContext::flick_sequence_octet &() const
{
  return *this->ptr_;
}

IOP::ServiceContext::flick_sequence_octet_var::operator ::IOP::ServiceContext::flick_sequence_octet &()
{
  return *this->ptr_;
}

IOP::ServiceContext::flick_sequence_octet_var::operator ::IOP::ServiceContext::flick_sequence_octet &() const
{
  return *this->ptr_;
}

const ::IOP::ServiceContext::flick_sequence_octet &IOP::ServiceContext::flick_sequence_octet_var::in() const
{
  return *this->ptr_;
}

::IOP::ServiceContext::flick_sequence_octet &IOP::ServiceContext::flick_sequence_octet_var::inout()
{
  return *this->ptr_;
}

::IOP::ServiceContext::flick_sequence_octet *&IOP::ServiceContext::flick_sequence_octet_var::out()
{
  delete this->ptr_;
  this->ptr_ = 0;
  return this->ptr_;
}

::IOP::ServiceContext::flick_sequence_octet *IOP::ServiceContext::flick_sequence_octet_var::_retn()
{
  ::IOP::ServiceContext::flick_sequence_octet  *tmp = this->ptr_;
  this->ptr_ = 0;
  return tmp;
}

::IOP::ServiceContext::flick_sequence_octet *IOP::ServiceContext::flick_sequence_octet_var::ptr() const
{
  return this->ptr_;
}

IOP::ServiceContext::flick_sequence_octet_out::flick_sequence_octet_out(::IOP::ServiceContext::flick_sequence_octet *&r)
  : ptr_(r)
{
  this->ptr_ = 0;
}

IOP::ServiceContext::flick_sequence_octet_out::flick_sequence_octet_out(::IOP::ServiceContext::flick_sequence_octet_var &r)
  : ptr_(r.out())
{
  delete this->ptr_;
  this->ptr_ = 0;
}

IOP::ServiceContext::flick_sequence_octet_out::flick_sequence_octet_out(const ::IOP::ServiceContext::flick_sequence_octet_out &r)
  : ptr_(ACE_const_cast(::IOP::ServiceContext::flick_sequence_octet_out &,r).ptr_)
{}

::IOP::ServiceContext::flick_sequence_octet_out &IOP::ServiceContext::flick_sequence_octet_out::operator=(const ::IOP::ServiceContext::flick_sequence_octet_out &r)
{
  this->ptr_ = ACE_const_cast(::IOP::ServiceContext::flick_sequence_octet_out &,r).ptr_;
  return *this;
}

::IOP::ServiceContext::flick_sequence_octet_out &IOP::ServiceContext::flick_sequence_octet_out::operator=(::IOP::ServiceContext::flick_sequence_octet *r)
{
  this->ptr_ = r;
  return *this;
}

IOP::ServiceContext::flick_sequence_octet_out::operator ::IOP::ServiceContext::flick_sequence_octet *&()
{
  return this->ptr_;
}

::IOP::ServiceContext::flick_sequence_octet *&IOP::ServiceContext::flick_sequence_octet_out::ptr()
{
  return this->ptr_;
}

CORBA::Octet &IOP::ServiceContext::flick_sequence_octet_out::operator[](CORBA::ULong index)
{
  return this->ptr_->operator[](index);
}

const CORBA::Octet &IOP::ServiceContext::flick_sequence_octet_out::operator[](CORBA::ULong index) const
{
  return this->ptr_->operator[](index);
}

::IOP::ServiceContext::flick_sequence_octet *IOP::ServiceContext::flick_sequence_octet_out::operator->()
{
  return this->ptr_;
}

static const CORBA::Long _oc_IOP_ServiceContextList[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    31, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x494f502f), ACE_NTOHL(0x53657276), ACE_NTOHL(0x69636543), ACE_NTOHL(0x6f6e7465), ACE_NTOHL(0x78744c69), ACE_NTOHL(0x73743a31), ACE_NTOHL(0x2e300000) /* repository ID = IDL:IOP/ServiceContextList:1.0 */,
    19, ACE_NTOHL(0x53657276), ACE_NTOHL(0x69636543), ACE_NTOHL(0x6f6e7465), ACE_NTOHL(0x78744c69), ACE_NTOHL(0x73740000) /* name = ServiceContextList */,
    CORBA::tk_sequence,
    232 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      CORBA::tk_struct,
      216 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        27, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x494f502f), ACE_NTOHL(0x53657276), ACE_NTOHL(0x69636543), ACE_NTOHL(0x6f6e7465), ACE_NTOHL(0x78743a31), ACE_NTOHL(0x2e300000) /* repository ID = IDL:IOP/ServiceContext:1.0 */,
        15, ACE_NTOHL(0x53657276), ACE_NTOHL(0x69636543), ACE_NTOHL(0x6f6e7465), ACE_NTOHL(0x78740000) /* name = ServiceContext */,
        2 /* member count */,
        11, ACE_NTOHL(0x636f6e74), ACE_NTOHL(0x6578745f), ACE_NTOHL(0x69640000) /* name = context_id */,
        CORBA::tk_alias,
        52 /* encapsulation length */,
          TAO_ENCAP_BYTE_ORDER /* byte order */,
          22, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x494f502f), ACE_NTOHL(0x53657276), ACE_NTOHL(0x69636549), ACE_NTOHL(0x443a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:IOP/ServiceID:1.0 */,
          10, ACE_NTOHL(0x53657276), ACE_NTOHL(0x69636549), ACE_NTOHL(0x44000000) /* name = ServiceID */,
          CORBA::tk_ulong,
        13, ACE_NTOHL(0x636f6e74), ACE_NTOHL(0x6578745f), ACE_NTOHL(0x64617461), ACE_NTOHL(0x00000000) /* name = context_data */,
        CORBA::tk_alias,
        52 /* encapsulation length */,
          TAO_ENCAP_BYTE_ORDER /* byte order */,
          21, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f6f), ACE_NTOHL(0x63746574), ACE_NTOHL(0x00000000) /* name = flick_sequence_octet */,
          CORBA::tk_sequence,
          12 /* encapsulation length */,
            TAO_ENCAP_BYTE_ORDER /* byte order */,
            CORBA::tk_octet,
            0,
      0
};

static CORBA::TypeCode _tc_TAO_tc_IOP_ServiceContextList (CORBA::tk_alias, sizeof(_oc_IOP_ServiceContextList), (char *) &_oc_IOP_ServiceContextList, 0, sizeof(::IOP::ServiceContextList ));

TAO_NAMESPACE_TYPE(CORBA::TypeCode_ptr)
TAO_NAMESPACE_BEGIN (IOP)
TAO_NAMESPACE_DEFINE (CORBA::TypeCode_ptr, _tc_ServiceContextList, &_tc_TAO_tc_IOP_ServiceContextList)
TAO_NAMESPACE_END
IOP::ServiceContextList::ServiceContextList()
  : _maximum(0),
    _length(0),
    _buffer(0),
    _release(0)
{
}

IOP::ServiceContextList::ServiceContextList(CORBA::ULong max)
  : _maximum(max), _length(0), _release(1)
{
  this->_buffer = IOP::ServiceContextList::allocbuf(this->_maximum);
}

IOP::ServiceContextList::ServiceContextList(CORBA::ULong max, CORBA::ULong length, struct ::IOP::ServiceContext *buffer, CORBA::Boolean release)
  : _maximum(max),
    _length(length),
    _buffer(buffer),
    _release(release)
{
}

IOP::ServiceContextList::ServiceContextList(const ::IOP::ServiceContextList &o)
  : _maximum(o._maximum),
    _length(o._length),
    _release(1)
{
  struct ::IOP::ServiceContext  *tmp1 = IOP::ServiceContextList::allocbuf(this->_maximum);
  
  struct ::IOP::ServiceContext  * const tmp2 = ACE_reinterpret_cast(struct ::IOP::ServiceContext  * ACE_CAST_CONST, o._buffer);
  
  for(CORBA::ULong i = 0; i < this->_length; i++ )
    tmp1[i] = tmp2[i];
  
  this->_buffer = tmp1;
}

IOP::ServiceContextList::~ServiceContextList()
{
  this->_deallocate_buffer();
}

::IOP::ServiceContextList &IOP::ServiceContextList::operator=(const ::IOP::ServiceContextList &rhs)
{
  if( this == &rhs )
    return *this;
  if( this->_release )
  {
  
    if( this->_maximum < rhs._maximum )
    {
      struct ::IOP::ServiceContext  *tmp = ACE_reinterpret_cast(struct ::IOP::ServiceContext  *, this->_buffer);
      
      IOP::ServiceContextList::freebuf(tmp);
      this->_buffer = IOP::ServiceContextList::allocbuf(rhs._maximum);
    }
  
  }
  else
    this->_buffer = IOP::ServiceContextList::allocbuf(rhs._maximum);
  this->_maximum = rhs._maximum;
  this->_length = rhs._length;
  this->_release = 1;
  struct ::IOP::ServiceContext  *tmp1 = ACE_reinterpret_cast(struct ::IOP::ServiceContext  *, this->_buffer);
  struct ::IOP::ServiceContext  * const tmp2 = ACE_reinterpret_cast(struct ::IOP::ServiceContext  * ACE_CAST_CONST, rhs._buffer);
  for(CORBA::ULong i = 0; i < this->_length; i++ )
    tmp1[i] = tmp2[i];
  return *this;
}

struct ::IOP::ServiceContext &IOP::ServiceContextList::operator[](CORBA::ULong i)
{
  ACE_ASSERT(i < this->_maximum);
  struct ::IOP::ServiceContext  * tmp = ACE_reinterpret_cast(struct ::IOP::ServiceContext  *, this->_buffer);
  return tmp[i];
}

const struct ::IOP::ServiceContext &IOP::ServiceContextList::operator[](CORBA::ULong i) const
{
  ACE_ASSERT(i < this->_maximum);
  struct ::IOP::ServiceContext  * const tmp = ACE_reinterpret_cast(struct ::IOP::ServiceContext  *ACE_CAST_CONST, this->_buffer);
  return tmp[i];
}

struct ::IOP::ServiceContext *IOP::ServiceContextList::allocbuf(CORBA::ULong size)
{
  struct ::IOP::ServiceContext  *tmp;
  tmp = new struct ::IOP::ServiceContext [size];
  return tmp;
}

void IOP::ServiceContextList::freebuf(struct ::IOP::ServiceContext *buffer)
{
  delete [] buffer;
}

void IOP::ServiceContextList::_allocate_buffer(CORBA::ULong length)
{
  struct ::IOP::ServiceContext  *tmp = IOP::ServiceContextList::allocbuf(length);
  if( this->_buffer != 0 )
  {
    CORBA::ULong i;
    struct ::IOP::ServiceContext  *old = ACE_reinterpret_cast(struct ::IOP::ServiceContext  *, this->_buffer);
    for( i = 0; i < this->_length; i++ )
      tmp[i] = old[i];
    if( this->_release )
      IOP::ServiceContextList::freebuf(old);
  }
  this->_buffer = tmp;
}

void IOP::ServiceContextList::_deallocate_buffer()
{
  if( this->_buffer == 0 || this->_release == 0 )
    return;
  struct ::IOP::ServiceContext  *tmp = ACE_reinterpret_cast(struct ::IOP::ServiceContext  *, this->_buffer);
  
  IOP::ServiceContextList::freebuf(tmp);
  this->_buffer = 0;
}

CORBA::Boolean IOP::ServiceContextList::release() const
{
  return this->_release;
}

CORBA::ULong IOP::ServiceContextList::maximum() const
{
  return this->_maximum;
}

CORBA::ULong IOP::ServiceContextList::length() const
{
  return this->_length;
}

void IOP::ServiceContextList::length(CORBA::ULong length)
{
  if( length > this->_maximum )
  {
    this->_allocate_buffer(length);
    this->_maximum = length;
    this->_release = 1;
  }
  else if (length < this->_length)
  {
    this->_shrink_buffer(length, this->_length);
  }
  this->_length = length;
}

void IOP::ServiceContextList::_shrink_buffer(CORBA::ULong length1, CORBA::ULong length2)
{
}

struct ::IOP::ServiceContext *IOP::ServiceContextList::get_buffer(CORBA::Boolean orphan)
{
  struct ::IOP::ServiceContext  *result = 0;
  if( orphan == 0 )
  {
    if( this->_buffer == 0 )
    {
      result = IOP::ServiceContextList::allocbuf(this->_length);
      this->_buffer = result;
    }
    else
    {
      result = ACE_reinterpret_cast(struct ::IOP::ServiceContext  *, this->_buffer);
    }
  }
  else
  {
    if( this->_release != 0 )
    {
      result = ACE_reinterpret_cast(struct ::IOP::ServiceContext  *, this->_buffer);
      this->_maximum = 0;
      this->_length = 0;
      this->_buffer = 0;
      this->_release = 0;
    }
  }
  return result;
}

const struct ::IOP::ServiceContext *IOP::ServiceContextList::get_buffer() const
{
  return ACE_const_cast(const struct ::IOP::ServiceContext  * ACE_CAST_CONST, this->_buffer);
}

void operator<<=(CORBA::Any &a, const ::IOP::ServiceContextList &o)
{
  ::IOP::ServiceContextList  *_any_val;
  ACE_NEW(_any_val, ::IOP::ServiceContextList  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(IOP::_tc_ServiceContextList, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, ::IOP::ServiceContextList *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(IOP::_tc_ServiceContextList, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, ::IOP::ServiceContextList *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(IOP::_tc_ServiceContextList, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (::IOP::ServiceContextList  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, ::IOP::ServiceContextList , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(IOP::_tc_ServiceContextList, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(IOP::_tc_ServiceContextList, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

IOP::ServiceContextList_var::ServiceContextList_var()
  : ptr_(0)
{}

IOP::ServiceContextList_var::ServiceContextList_var(::IOP::ServiceContextList *p)
 : ptr_(p)
{}

IOP::ServiceContextList_var::ServiceContextList_var(const ::IOP::ServiceContextList_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new ::IOP::ServiceContextList (*a.ptr_);
  else
    this->ptr_ = 0;
}

IOP::ServiceContextList_var::~ServiceContextList_var()
{
  delete this->ptr_;
}

::IOP::ServiceContextList_var &IOP::ServiceContextList_var::operator=(::IOP::ServiceContextList *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

::IOP::ServiceContextList_var &IOP::ServiceContextList_var::operator=(const ::IOP::ServiceContextList_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new ::IOP::ServiceContextList (*p.ptr_);
  }
  return *this;
}

struct ::IOP::ServiceContext &IOP::ServiceContextList_var::operator[](CORBA::ULong index)
{
  return this->ptr_->operator[](index);
}

const struct ::IOP::ServiceContext &IOP::ServiceContextList_var::operator[](CORBA::ULong index) const
{
  return this->ptr_->operator[](index);
}

::IOP::ServiceContextList *IOP::ServiceContextList_var::operator->()
{
  return this->ptr_;
}

const ::IOP::ServiceContextList *IOP::ServiceContextList_var::operator->() const
{
  return this->ptr_;
}

IOP::ServiceContextList_var::operator const ::IOP::ServiceContextList &() const
{
  return *this->ptr_;
}

IOP::ServiceContextList_var::operator ::IOP::ServiceContextList &()
{
  return *this->ptr_;
}

IOP::ServiceContextList_var::operator ::IOP::ServiceContextList &() const
{
  return *this->ptr_;
}

const ::IOP::ServiceContextList &IOP::ServiceContextList_var::in() const
{
  return *this->ptr_;
}

::IOP::ServiceContextList &IOP::ServiceContextList_var::inout()
{
  return *this->ptr_;
}

::IOP::ServiceContextList *&IOP::ServiceContextList_var::out()
{
  delete this->ptr_;
  this->ptr_ = 0;
  return this->ptr_;
}

::IOP::ServiceContextList *IOP::ServiceContextList_var::_retn()
{
  ::IOP::ServiceContextList  *tmp = this->ptr_;
  this->ptr_ = 0;
  return tmp;
}

::IOP::ServiceContextList *IOP::ServiceContextList_var::ptr() const
{
  return this->ptr_;
}

IOP::ServiceContextList_out::ServiceContextList_out(::IOP::ServiceContextList *&r)
  : ptr_(r)
{
  this->ptr_ = 0;
}

IOP::ServiceContextList_out::ServiceContextList_out(::IOP::ServiceContextList_var &r)
  : ptr_(r.out())
{
  delete this->ptr_;
  this->ptr_ = 0;
}

IOP::ServiceContextList_out::ServiceContextList_out(const ::IOP::ServiceContextList_out &r)
  : ptr_(ACE_const_cast(::IOP::ServiceContextList_out &,r).ptr_)
{}

::IOP::ServiceContextList_out &IOP::ServiceContextList_out::operator=(const ::IOP::ServiceContextList_out &r)
{
  this->ptr_ = ACE_const_cast(::IOP::ServiceContextList_out &,r).ptr_;
  return *this;
}

::IOP::ServiceContextList_out &IOP::ServiceContextList_out::operator=(::IOP::ServiceContextList *r)
{
  this->ptr_ = r;
  return *this;
}

IOP::ServiceContextList_out::operator ::IOP::ServiceContextList *&()
{
  return this->ptr_;
}

::IOP::ServiceContextList *&IOP::ServiceContextList_out::ptr()
{
  return this->ptr_;
}

struct ::IOP::ServiceContext &IOP::ServiceContextList_out::operator[](CORBA::ULong index)
{
  return this->ptr_->operator[](index);
}

const struct ::IOP::ServiceContext &IOP::ServiceContextList_out::operator[](CORBA::ULong index) const
{
  return this->ptr_->operator[](index);
}

::IOP::ServiceContextList *IOP::ServiceContextList_out::operator->()
{
  return this->ptr_;
}

static const CORBA::Long _oc_GIOP_Principal[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    23, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x47494f50), ACE_NTOHL(0x2f507269), ACE_NTOHL(0x6e636970), ACE_NTOHL(0x616c3a31), ACE_NTOHL(0x2e300000) /* repository ID = IDL:GIOP/Principal:1.0 */,
    10, ACE_NTOHL(0x5072696e), ACE_NTOHL(0x63697061), ACE_NTOHL(0x6c000000) /* name = Principal */
};

static CORBA::TypeCode _tc_TAO_tc_GIOP_Principal (CORBA::tk_objref, sizeof(_oc_GIOP_Principal), (char *) &_oc_GIOP_Principal, 0, sizeof(::GIOP::Principal ));

TAO_NAMESPACE_TYPE(CORBA::TypeCode_ptr)
TAO_NAMESPACE_BEGIN (GIOP)
TAO_NAMESPACE_DEFINE (CORBA::TypeCode_ptr, _tc_Principal, &_tc_TAO_tc_GIOP_Principal)
TAO_NAMESPACE_END

#if defined (ACE_HAS_EXPLICIT_TEMPLATE_INSTANTIATION)
  template class TAO_Object_Field_T<GIOP::Principal >;
#elif defined (ACE_HAS_TEMPLATE_INSTANTIATION_PRAGMA)
#  pragma instantiate TAO_Object_Field_T<GIOP::Principal >
#endif /* ACE_HAS_EXPLICIT_TEMPLATE_INSTANTIATION */

GIOP::Principal_var::Principal_var()
  : ptr_(GIOP::Principal::_nil())
{}

GIOP::Principal_var::Principal_var(::GIOP::Principal_ptr p)
  : ptr_(p)
{}

GIOP::Principal_var::Principal_var(const ::GIOP::Principal_var &a)
  : ptr_(GIOP::Principal::_duplicate(a.ptr()))
{}

GIOP::Principal_var::~Principal_var()
{
  CORBA::release(this->ptr_);
}

::GIOP::Principal_var &GIOP::Principal_var::operator=(::GIOP::Principal_ptr p)
{
  CORBA::release(this->ptr_);
  this->ptr_ = p;
  return *this;
}

::GIOP::Principal_var &GIOP::Principal_var::operator=(const ::GIOP::Principal_var &p)
{
  if( this != &p )
  {
    CORBA::release(this->ptr_);
    this->ptr_ = GIOP::Principal::_duplicate(p.ptr());
  }
  return *this;
}

::GIOP::Principal_ptr GIOP::Principal_var::operator->() const
{
  return this->ptr_;
}

GIOP::Principal_var::operator const ::GIOP::Principal_ptr &() const
{
  return this->ptr_;
}

GIOP::Principal_var::operator ::GIOP::Principal_ptr &()
{
  return this->ptr_;
}

::GIOP::Principal_ptr GIOP::Principal_var::in() const
{
  return this->ptr_;
}

::GIOP::Principal_ptr &GIOP::Principal_var::inout()
{
  return this->ptr_;
}

::GIOP::Principal_ptr &GIOP::Principal_var::out()
{
  CORBA::release(this->ptr_);
  this->ptr_ = GIOP::Principal::_nil();
  return this->ptr_;
}

::GIOP::Principal_ptr GIOP::Principal_var::_retn()
{
  ::GIOP::Principal_ptr  val = this->ptr_;
  this->ptr_ = GIOP::Principal::_nil();
  return val;
}

::GIOP::Principal_ptr GIOP::Principal_var::ptr() const
{
  return this->ptr_;
}

GIOP::Principal_out::Principal_out(::GIOP::Principal_ptr &r)
  : ptr_(r)
{
  this->ptr_ = GIOP::Principal::_nil();
}

GIOP::Principal_out::Principal_out(::GIOP::Principal_var &r)
  : ptr_(r.out())
{
  CORBA::release(this->ptr_);
  this->ptr_ = GIOP::Principal::_nil();
}

GIOP::Principal_out::Principal_out(const ::GIOP::Principal_out &r)
  : ptr_(ACE_const_cast(::GIOP::Principal_out &,r).ptr_)
{}

::GIOP::Principal_out &GIOP::Principal_out::operator=(const ::GIOP::Principal_out &r)
{
  this->ptr_ = ACE_const_cast(::GIOP::Principal_out &,r).ptr_;
  return *this;
}

::GIOP::Principal_out &GIOP::Principal_out::operator=(const ::GIOP::Principal_var &r)
{
  this->ptr_ = GIOP::Principal::_duplicate(r.ptr());
  return *this;
}

::GIOP::Principal_out &GIOP::Principal_out::operator=(::GIOP::Principal_ptr r)
{
  this->ptr_ = r;
  return *this;
}

GIOP::Principal_out::operator ::GIOP::Principal_ptr &()
{
  return this->ptr_;
}

::GIOP::Principal_ptr &GIOP::Principal_out::ptr()
{
  return this->ptr_;
}

::GIOP::Principal_ptr GIOP::Principal_out::operator->()
{
  return this->ptr_;
}

static const CORBA::Long _oc_GIOP_MessageHeader[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    27, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x47494f50), ACE_NTOHL(0x2f4d6573), ACE_NTOHL(0x73616765), ACE_NTOHL(0x48656164), ACE_NTOHL(0x65723a31), ACE_NTOHL(0x2e300000) /* repository ID = IDL:GIOP/MessageHeader:1.0 */,
    14, ACE_NTOHL(0x4d657373), ACE_NTOHL(0x61676548), ACE_NTOHL(0x65616465), ACE_NTOHL(0x72000000) /* name = MessageHeader */,
    5 /* member count */,
    6, ACE_NTOHL(0x6d616769), ACE_NTOHL(0x63000000) /* name = magic */,
    CORBA::tk_array,
    12 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      CORBA::tk_char,
      4,
    13, ACE_NTOHL(0x47494f50), ACE_NTOHL(0x5f766572), ACE_NTOHL(0x73696f6e), ACE_NTOHL(0x00000000) /* name = GIOP_version */,
    CORBA::tk_struct,
    72 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      16, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x56657273), ACE_NTOHL(0x696f6e3a), ACE_NTOHL(0x312e3000) /* repository ID = IDL:Version:1.0 */,
      8, ACE_NTOHL(0x56657273), ACE_NTOHL(0x696f6e00) /* name = Version */,
      2 /* member count */,
      6, ACE_NTOHL(0x6d616a6f), ACE_NTOHL(0x72000000) /* name = major */,
      CORBA::tk_char,
      6, ACE_NTOHL(0x6d696e6f), ACE_NTOHL(0x72000000) /* name = minor */,
      CORBA::tk_char,
    11, ACE_NTOHL(0x62797465), ACE_NTOHL(0x5f6f7264), ACE_NTOHL(0x65720000) /* name = byte_order */,
    CORBA::tk_boolean,
    13, ACE_NTOHL(0x6d657373), ACE_NTOHL(0x6167655f), ACE_NTOHL(0x74797065), ACE_NTOHL(0x00000000) /* name = message_type */,
    CORBA::tk_octet,
    13, ACE_NTOHL(0x6d657373), ACE_NTOHL(0x6167655f), ACE_NTOHL(0x73697a65), ACE_NTOHL(0x00000000) /* name = message_size */,
    CORBA::tk_ulong
};

static CORBA::TypeCode _tc_TAO_tc_GIOP_MessageHeader (CORBA::tk_struct, sizeof(_oc_GIOP_MessageHeader), (char *) &_oc_GIOP_MessageHeader, 0, sizeof(struct ::GIOP::MessageHeader ));

TAO_NAMESPACE_TYPE(CORBA::TypeCode_ptr)
TAO_NAMESPACE_BEGIN (GIOP)
TAO_NAMESPACE_DEFINE (CORBA::TypeCode_ptr, _tc_MessageHeader, &_tc_TAO_tc_GIOP_MessageHeader)
TAO_NAMESPACE_END
void operator<<=(CORBA::Any &a, const struct ::GIOP::MessageHeader &o)
{
  struct ::GIOP::MessageHeader  *_any_val;
  ACE_NEW(_any_val, struct ::GIOP::MessageHeader  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(GIOP::_tc_MessageHeader, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, struct ::GIOP::MessageHeader *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(GIOP::_tc_MessageHeader, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, struct ::GIOP::MessageHeader *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(GIOP::_tc_MessageHeader, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (struct ::GIOP::MessageHeader  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, struct ::GIOP::MessageHeader , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(GIOP::_tc_MessageHeader, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(GIOP::_tc_MessageHeader, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

GIOP::MessageHeader_var::MessageHeader_var()
  : ptr_(0)
{}

GIOP::MessageHeader_var::MessageHeader_var(struct ::GIOP::MessageHeader *p)
 : ptr_(p)
{}

GIOP::MessageHeader_var::MessageHeader_var(const ::GIOP::MessageHeader_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new struct ::GIOP::MessageHeader (*a.ptr_);
  else
    this->ptr_ = 0;
}

GIOP::MessageHeader_var::~MessageHeader_var()
{
  delete this->ptr_;
}

::GIOP::MessageHeader_var &GIOP::MessageHeader_var::operator=(struct ::GIOP::MessageHeader *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

::GIOP::MessageHeader_var &GIOP::MessageHeader_var::operator=(const ::GIOP::MessageHeader_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new struct ::GIOP::MessageHeader (*p.ptr_);
  }
  return *this;
}

struct ::GIOP::MessageHeader *GIOP::MessageHeader_var::operator->()
{
  return this->ptr_;
}

const struct ::GIOP::MessageHeader *GIOP::MessageHeader_var::operator->() const
{
  return this->ptr_;
}

GIOP::MessageHeader_var::operator const struct ::GIOP::MessageHeader &() const
{
  return *this->ptr_;
}

GIOP::MessageHeader_var::operator struct ::GIOP::MessageHeader &()
{
  return *this->ptr_;
}

GIOP::MessageHeader_var::operator struct ::GIOP::MessageHeader &() const
{
  return *this->ptr_;
}

const struct ::GIOP::MessageHeader &GIOP::MessageHeader_var::in() const
{
  return *this->ptr_;
}

struct ::GIOP::MessageHeader &GIOP::MessageHeader_var::inout()
{
  return *this->ptr_;
}

struct ::GIOP::MessageHeader &GIOP::MessageHeader_var::out()
{
  return *this->ptr_;
}

struct ::GIOP::MessageHeader GIOP::MessageHeader_var::_retn()
{
  return *this->ptr_;
}

struct ::GIOP::MessageHeader *GIOP::MessageHeader_var::ptr() const
{
  return this->ptr_;
}

::GIOP::MessageHeader::_magic_slice *GIOP::MessageHeader::_magic_alloc()
{
  return new ::GIOP::MessageHeader::_magic_slice [4];
}

::GIOP::MessageHeader::_magic_slice *GIOP::MessageHeader::_magic_dup(const ::GIOP::MessageHeader::_magic_slice *_slice)
{
  ::GIOP::MessageHeader::_magic_slice  *_dup_array = GIOP::MessageHeader::_magic_alloc();
  if( !_dup_array ) return 0;
  GIOP::MessageHeader::_magic_copy(_dup_array, _slice);
  return _dup_array;
}

void GIOP::MessageHeader::_magic_copy(::GIOP::MessageHeader::_magic_slice *_to_slice, const ::GIOP::MessageHeader::_magic_slice *_from_slice)
{
 CORBA::ULong iter0;
 for(iter0 = 0; iter0 < 4; iter0++) {
   _to_slice[iter0] = _from_slice[iter0];
 }
}

void GIOP::MessageHeader::_magic_free(::GIOP::MessageHeader::_magic_slice *_slice)
{
  delete [] _slice;
}

GIOP::MessageHeader::_magic_var::_magic_var()
  : ptr_(0)
{}

GIOP::MessageHeader::_magic_var::_magic_var(::GIOP::MessageHeader::_magic_slice *p)
 : ptr_(p)
{}

GIOP::MessageHeader::_magic_var::_magic_var(const ::GIOP::MessageHeader::_magic_var &a)
{
  this->ptr_ = GIOP::MessageHeader::_magic_dup(a.ptr_);
}

GIOP::MessageHeader::_magic_var::~_magic_var()
{
  GIOP::MessageHeader::_magic_free(this->ptr_);
}

::GIOP::MessageHeader::_magic_var &GIOP::MessageHeader::_magic_var::operator=(::GIOP::MessageHeader::_magic_slice *p)
{
  if( this->ptr_ != p )
  {
    GIOP::MessageHeader::_magic_free(this->ptr_);
    this->ptr_ = p;
  }
  return *this;
}

::GIOP::MessageHeader::_magic_var &GIOP::MessageHeader::_magic_var::operator=(const ::GIOP::MessageHeader::_magic_var &p)
{
  if( this != &p )
  {
    GIOP::MessageHeader::_magic_free(this->ptr_);
    this->ptr_ = GIOP::MessageHeader::_magic_dup(p.ptr_);
  }
  return *this;
}

::GIOP::MessageHeader::_magic_slice &GIOP::MessageHeader::_magic_var::operator[](CORBA::ULong index)
{
  return this->ptr_[index];
}

const ::GIOP::MessageHeader::_magic_slice &GIOP::MessageHeader::_magic_var::operator[](CORBA::ULong index) const
{
  return this->ptr_[index];
}

GIOP::MessageHeader::_magic_var::operator ::GIOP::MessageHeader::_magic_slice *const &() const
{
  return this->ptr_;
}

GIOP::MessageHeader::_magic_var::operator ::GIOP::MessageHeader::_magic_slice *&()
{
  return this->ptr_;
}

const ::GIOP::MessageHeader::_magic_slice *GIOP::MessageHeader::_magic_var::in() const
{
  return this->ptr_;
}

::GIOP::MessageHeader::_magic_slice *GIOP::MessageHeader::_magic_var::inout()
{
  return this->ptr_;
}

::GIOP::MessageHeader::_magic_slice *&GIOP::MessageHeader::_magic_var::out()
{
  GIOP::MessageHeader::_magic_free(this->ptr_);
  this->ptr_ = (::GIOP::MessageHeader::_magic_slice  *)0;
  return this->ptr_;
}

::GIOP::MessageHeader::_magic_slice *GIOP::MessageHeader::_magic_var::_retn()
{
  ::GIOP::MessageHeader::_magic_slice  *tmp = this->ptr_;
  this->ptr_ = (::GIOP::MessageHeader::_magic_slice  *)0;
  return tmp;
}

::GIOP::MessageHeader::_magic_slice *GIOP::MessageHeader::_magic_var::ptr() const
{
  return this->ptr_;
}

GIOP::MessageHeader::_magic_forany::_magic_forany()
  : ptr_(0),
    nocopy_(0)
{}

GIOP::MessageHeader::_magic_forany::_magic_forany(::GIOP::MessageHeader::_magic_slice *p, CORBA::Boolean nocopy)
  : ptr_(p),
    nocopy_(nocopy)
{}

GIOP::MessageHeader::_magic_forany::_magic_forany(const ::GIOP::MessageHeader::_magic_forany &a)
{
  this->ptr_ = GIOP::MessageHeader::_magic_dup(a.ptr_);
  this->nocopy_ = a.nocopy_;
}

GIOP::MessageHeader::_magic_forany::~_magic_forany()
{
}

::GIOP::MessageHeader::_magic_forany &GIOP::MessageHeader::_magic_forany::operator=(::GIOP::MessageHeader::_magic_slice *p)
{
  if( this->ptr_ != p )
  {
    GIOP::MessageHeader::_magic_free(this->ptr_);
    this->ptr_ = p;
  }
  return *this;
}

::GIOP::MessageHeader::_magic_forany &GIOP::MessageHeader::_magic_forany::operator=(const ::GIOP::MessageHeader::_magic_forany &p)
{
  if( this != &p )
  {
    GIOP::MessageHeader::_magic_free(this->ptr_);
    this->ptr_ = GIOP::MessageHeader::_magic_dup(p.ptr_);
    this->nocopy_ = p.nocopy_;
  }
  return *this;
}

::GIOP::MessageHeader::_magic_slice &GIOP::MessageHeader::_magic_forany::operator[](CORBA::ULong index)
{
  return this->ptr_[index];
}

const ::GIOP::MessageHeader::_magic_slice &GIOP::MessageHeader::_magic_forany::operator[](CORBA::ULong index) const
{
  return this->ptr_[index];
}

GIOP::MessageHeader::_magic_forany::operator ::GIOP::MessageHeader::_magic_slice *const &() const
{
  return this->ptr_;
}

GIOP::MessageHeader::_magic_forany::operator ::GIOP::MessageHeader::_magic_slice *&()
{
  return this->ptr_;
}

const ::GIOP::MessageHeader::_magic_slice *GIOP::MessageHeader::_magic_forany::in() const
{
  return this->ptr_;
}

::GIOP::MessageHeader::_magic_slice *GIOP::MessageHeader::_magic_forany::inout()
{
  return this->ptr_;
}

::GIOP::MessageHeader::_magic_slice *&GIOP::MessageHeader::_magic_forany::out()
{
  GIOP::MessageHeader::_magic_free(this->ptr_);
  this->ptr_ = (::GIOP::MessageHeader::_magic_slice  *)0;
  return this->ptr_;
}

::GIOP::MessageHeader::_magic_slice *GIOP::MessageHeader::_magic_forany::_retn()
{
  ::GIOP::MessageHeader::_magic_slice  *tmp = this->ptr_;
  this->ptr_ = (::GIOP::MessageHeader::_magic_slice  *)0;
  return tmp;
}

::GIOP::MessageHeader::_magic_slice *GIOP::MessageHeader::_magic_forany::ptr() const
{
  return this->ptr_;
}

CORBA::Boolean GIOP::MessageHeader::_magic_forany::nocopy() const
{
  return this->nocopy_;
}

static const CORBA::Long _oc_GIOP_RequestHeader[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    27, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x47494f50), ACE_NTOHL(0x2f526571), ACE_NTOHL(0x75657374), ACE_NTOHL(0x48656164), ACE_NTOHL(0x65723a31), ACE_NTOHL(0x2e300000) /* repository ID = IDL:GIOP/RequestHeader:1.0 */,
    14, ACE_NTOHL(0x52657175), ACE_NTOHL(0x65737448), ACE_NTOHL(0x65616465), ACE_NTOHL(0x72000000) /* name = RequestHeader */,
    6 /* member count */,
    16, ACE_NTOHL(0x73657276), ACE_NTOHL(0x6963655f), ACE_NTOHL(0x636f6e74), ACE_NTOHL(0x65787400) /* name = service_context */,
    CORBA::tk_alias,
    304 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      31, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x494f502f), ACE_NTOHL(0x53657276), ACE_NTOHL(0x69636543), ACE_NTOHL(0x6f6e7465), ACE_NTOHL(0x78744c69), ACE_NTOHL(0x73743a31), ACE_NTOHL(0x2e300000) /* repository ID = IDL:IOP/ServiceContextList:1.0 */,
      19, ACE_NTOHL(0x53657276), ACE_NTOHL(0x69636543), ACE_NTOHL(0x6f6e7465), ACE_NTOHL(0x78744c69), ACE_NTOHL(0x73740000) /* name = ServiceContextList */,
      CORBA::tk_sequence,
      232 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        CORBA::tk_struct,
        216 /* encapsulation length */,
          TAO_ENCAP_BYTE_ORDER /* byte order */,
          27, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x494f502f), ACE_NTOHL(0x53657276), ACE_NTOHL(0x69636543), ACE_NTOHL(0x6f6e7465), ACE_NTOHL(0x78743a31), ACE_NTOHL(0x2e300000) /* repository ID = IDL:IOP/ServiceContext:1.0 */,
          15, ACE_NTOHL(0x53657276), ACE_NTOHL(0x69636543), ACE_NTOHL(0x6f6e7465), ACE_NTOHL(0x78740000) /* name = ServiceContext */,
          2 /* member count */,
          11, ACE_NTOHL(0x636f6e74), ACE_NTOHL(0x6578745f), ACE_NTOHL(0x69640000) /* name = context_id */,
          CORBA::tk_alias,
          52 /* encapsulation length */,
            TAO_ENCAP_BYTE_ORDER /* byte order */,
            22, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x494f502f), ACE_NTOHL(0x53657276), ACE_NTOHL(0x69636549), ACE_NTOHL(0x443a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:IOP/ServiceID:1.0 */,
            10, ACE_NTOHL(0x53657276), ACE_NTOHL(0x69636549), ACE_NTOHL(0x44000000) /* name = ServiceID */,
            CORBA::tk_ulong,
          13, ACE_NTOHL(0x636f6e74), ACE_NTOHL(0x6578745f), ACE_NTOHL(0x64617461), ACE_NTOHL(0x00000000) /* name = context_data */,
          CORBA::tk_alias,
          52 /* encapsulation length */,
            TAO_ENCAP_BYTE_ORDER /* byte order */,
            21, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f6f), ACE_NTOHL(0x63746574), ACE_NTOHL(0x00000000) /* name = flick_sequence_octet */,
            CORBA::tk_sequence,
            12 /* encapsulation length */,
              TAO_ENCAP_BYTE_ORDER /* byte order */,
              CORBA::tk_octet,
              0,
        0,
    11, ACE_NTOHL(0x72657175), ACE_NTOHL(0x6573745f), ACE_NTOHL(0x69640000) /* name = request_id */,
    CORBA::tk_ulong,
    18, ACE_NTOHL(0x72657370), ACE_NTOHL(0x6f6e7365), ACE_NTOHL(0x5f657870), ACE_NTOHL(0x65637465), ACE_NTOHL(0x64000000) /* name = response_expected */,
    CORBA::tk_boolean,
    11, ACE_NTOHL(0x6f626a65), ACE_NTOHL(0x63745f6b), ACE_NTOHL(0x65790000) /* name = object_key */,
    CORBA::tk_alias,
    52 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      21, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f6f), ACE_NTOHL(0x63746574), ACE_NTOHL(0x00000000) /* name = flick_sequence_octet */,
      CORBA::tk_sequence,
      12 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        CORBA::tk_octet,
        0,
    10, ACE_NTOHL(0x6f706572), ACE_NTOHL(0x6174696f), ACE_NTOHL(0x6e000000) /* name = operation */,
    CORBA::tk_string,
    0,
    21, ACE_NTOHL(0x72657175), ACE_NTOHL(0x65737469), ACE_NTOHL(0x6e675f70), ACE_NTOHL(0x72696e63), ACE_NTOHL(0x6970616c), ACE_NTOHL(0x00000000) /* name = requesting_principal */,
    CORBA::tk_objref,
    48 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      23, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x47494f50), ACE_NTOHL(0x2f507269), ACE_NTOHL(0x6e636970), ACE_NTOHL(0x616c3a31), ACE_NTOHL(0x2e300000) /* repository ID = IDL:GIOP/Principal:1.0 */,
      10, ACE_NTOHL(0x5072696e), ACE_NTOHL(0x63697061), ACE_NTOHL(0x6c000000) /* name = Principal */
};

static CORBA::TypeCode _tc_TAO_tc_GIOP_RequestHeader (CORBA::tk_struct, sizeof(_oc_GIOP_RequestHeader), (char *) &_oc_GIOP_RequestHeader, 0, sizeof(struct ::GIOP::RequestHeader ));

TAO_NAMESPACE_TYPE(CORBA::TypeCode_ptr)
TAO_NAMESPACE_BEGIN (GIOP)
TAO_NAMESPACE_DEFINE (CORBA::TypeCode_ptr, _tc_RequestHeader, &_tc_TAO_tc_GIOP_RequestHeader)
TAO_NAMESPACE_END
void operator<<=(CORBA::Any &a, const struct ::GIOP::RequestHeader &o)
{
  struct ::GIOP::RequestHeader  *_any_val;
  ACE_NEW(_any_val, struct ::GIOP::RequestHeader  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(GIOP::_tc_RequestHeader, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, struct ::GIOP::RequestHeader *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(GIOP::_tc_RequestHeader, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, struct ::GIOP::RequestHeader *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(GIOP::_tc_RequestHeader, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (struct ::GIOP::RequestHeader  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, struct ::GIOP::RequestHeader , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(GIOP::_tc_RequestHeader, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(GIOP::_tc_RequestHeader, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

GIOP::RequestHeader_var::RequestHeader_var()
  : ptr_(0)
{}

GIOP::RequestHeader_var::RequestHeader_var(struct ::GIOP::RequestHeader *p)
 : ptr_(p)
{}

GIOP::RequestHeader_var::RequestHeader_var(const ::GIOP::RequestHeader_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new struct ::GIOP::RequestHeader (*a.ptr_);
  else
    this->ptr_ = 0;
}

GIOP::RequestHeader_var::~RequestHeader_var()
{
  delete this->ptr_;
}

::GIOP::RequestHeader_var &GIOP::RequestHeader_var::operator=(struct ::GIOP::RequestHeader *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

::GIOP::RequestHeader_var &GIOP::RequestHeader_var::operator=(const ::GIOP::RequestHeader_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new struct ::GIOP::RequestHeader (*p.ptr_);
  }
  return *this;
}

struct ::GIOP::RequestHeader *GIOP::RequestHeader_var::operator->()
{
  return this->ptr_;
}

const struct ::GIOP::RequestHeader *GIOP::RequestHeader_var::operator->() const
{
  return this->ptr_;
}

GIOP::RequestHeader_var::operator const struct ::GIOP::RequestHeader &() const
{
  return *this->ptr_;
}

GIOP::RequestHeader_var::operator struct ::GIOP::RequestHeader &()
{
  return *this->ptr_;
}

GIOP::RequestHeader_var::operator struct ::GIOP::RequestHeader &() const
{
  return *this->ptr_;
}

const struct ::GIOP::RequestHeader &GIOP::RequestHeader_var::in() const
{
  return *this->ptr_;
}

struct ::GIOP::RequestHeader &GIOP::RequestHeader_var::inout()
{
  return *this->ptr_;
}

struct ::GIOP::RequestHeader *&GIOP::RequestHeader_var::out()
{
  delete this->ptr_;
  this->ptr_ = 0;
  return this->ptr_;
}

struct ::GIOP::RequestHeader *GIOP::RequestHeader_var::_retn()
{
  struct ::GIOP::RequestHeader  *tmp = this->ptr_;
  this->ptr_ = 0;
  return tmp;
}

struct ::GIOP::RequestHeader *GIOP::RequestHeader_var::ptr() const
{
  return this->ptr_;
}

GIOP::RequestHeader_out::RequestHeader_out(struct ::GIOP::RequestHeader *&r)
  : ptr_(r)
{
  this->ptr_ = 0;
}

GIOP::RequestHeader_out::RequestHeader_out(::GIOP::RequestHeader_var &r)
  : ptr_(r.out())
{
  delete this->ptr_;
  this->ptr_ = 0;
}

GIOP::RequestHeader_out::RequestHeader_out(const ::GIOP::RequestHeader_out &r)
  : ptr_(ACE_const_cast(::GIOP::RequestHeader_out &,r).ptr_)
{}

::GIOP::RequestHeader_out &GIOP::RequestHeader_out::operator=(const ::GIOP::RequestHeader_out &r)
{
  this->ptr_ = ACE_const_cast(::GIOP::RequestHeader_out &,r).ptr_;
  return *this;
}

::GIOP::RequestHeader_out &GIOP::RequestHeader_out::operator=(struct ::GIOP::RequestHeader *r)
{
  this->ptr_ = r;
  return *this;
}

GIOP::RequestHeader_out::operator struct ::GIOP::RequestHeader *&()
{
  return this->ptr_;
}

struct ::GIOP::RequestHeader *&GIOP::RequestHeader_out::ptr()
{
  return this->ptr_;
}

struct ::GIOP::RequestHeader *GIOP::RequestHeader_out::operator->()
{
  return this->ptr_;
}

static const CORBA::Long _oc_GIOP_RequestHeader_flick_sequence_octet[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    21, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f6f), ACE_NTOHL(0x63746574), ACE_NTOHL(0x00000000) /* name = flick_sequence_octet */,
    CORBA::tk_sequence,
    12 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      CORBA::tk_octet,
      0
};

static CORBA::TypeCode _tc_TAO_tc_GIOP_RequestHeader_flick_sequence_octet (CORBA::tk_alias, sizeof(_oc_GIOP_RequestHeader_flick_sequence_octet), (char *) &_oc_GIOP_RequestHeader_flick_sequence_octet, 0, sizeof(::GIOP::RequestHeader::flick_sequence_octet ));

CORBA::TypeCode_ptr GIOP::RequestHeader::_tc_flick_sequence_octet = &_tc_TAO_tc_GIOP_RequestHeader_flick_sequence_octet;

GIOP::RequestHeader::flick_sequence_octet::flick_sequence_octet()
  : _maximum(0),
    _length(0),
    _buffer(0),
    _release(0)
{
}

GIOP::RequestHeader::flick_sequence_octet::flick_sequence_octet(CORBA::ULong max)
  : _maximum(max), _length(0), _release(1)
{
  this->_buffer = GIOP::RequestHeader::flick_sequence_octet::allocbuf(this->_maximum);
}

GIOP::RequestHeader::flick_sequence_octet::flick_sequence_octet(CORBA::ULong max, CORBA::ULong length, CORBA::Octet *buffer, CORBA::Boolean release)
  : _maximum(max),
    _length(length),
    _buffer(buffer),
    _release(release)
{
}

GIOP::RequestHeader::flick_sequence_octet::flick_sequence_octet(const ::GIOP::RequestHeader::flick_sequence_octet &o)
  : _maximum(o._maximum),
    _length(o._length),
    _release(1)
{
  CORBA::Octet  *tmp1 = GIOP::RequestHeader::flick_sequence_octet::allocbuf(this->_maximum);
  
  CORBA::Octet  * const tmp2 = ACE_reinterpret_cast(CORBA::Octet  * ACE_CAST_CONST, o._buffer);
  
  for(CORBA::ULong i = 0; i < this->_length; i++ )
    tmp1[i] = tmp2[i];
  
  this->_buffer = tmp1;
}

GIOP::RequestHeader::flick_sequence_octet::~flick_sequence_octet()
{
  this->_deallocate_buffer();
}

::GIOP::RequestHeader::flick_sequence_octet &GIOP::RequestHeader::flick_sequence_octet::operator=(const ::GIOP::RequestHeader::flick_sequence_octet &rhs)
{
  if( this == &rhs )
    return *this;
  if( this->_release )
  {
  
    if( this->_maximum < rhs._maximum )
    {
      CORBA::Octet  *tmp = ACE_reinterpret_cast(CORBA::Octet  *, this->_buffer);
      
      GIOP::RequestHeader::flick_sequence_octet::freebuf(tmp);
      this->_buffer = GIOP::RequestHeader::flick_sequence_octet::allocbuf(rhs._maximum);
    }
  
  }
  else
    this->_buffer = GIOP::RequestHeader::flick_sequence_octet::allocbuf(rhs._maximum);
  this->_maximum = rhs._maximum;
  this->_length = rhs._length;
  this->_release = 1;
  CORBA::Octet  *tmp1 = ACE_reinterpret_cast(CORBA::Octet  *, this->_buffer);
  CORBA::Octet  * const tmp2 = ACE_reinterpret_cast(CORBA::Octet  * ACE_CAST_CONST, rhs._buffer);
  for(CORBA::ULong i = 0; i < this->_length; i++ )
    tmp1[i] = tmp2[i];
  return *this;
}

CORBA::Octet &GIOP::RequestHeader::flick_sequence_octet::operator[](CORBA::ULong i)
{
  ACE_ASSERT(i < this->_maximum);
  CORBA::Octet  * tmp = ACE_reinterpret_cast(CORBA::Octet  *, this->_buffer);
  return tmp[i];
}

const CORBA::Octet &GIOP::RequestHeader::flick_sequence_octet::operator[](CORBA::ULong i) const
{
  ACE_ASSERT(i < this->_maximum);
  CORBA::Octet  * const tmp = ACE_reinterpret_cast(CORBA::Octet  *ACE_CAST_CONST, this->_buffer);
  return tmp[i];
}

CORBA::Octet *GIOP::RequestHeader::flick_sequence_octet::allocbuf(CORBA::ULong size)
{
  CORBA::Octet  *tmp;
  tmp = new CORBA::Octet [size];
  return tmp;
}

void GIOP::RequestHeader::flick_sequence_octet::freebuf(CORBA::Octet *buffer)
{
  delete [] buffer;
}

void GIOP::RequestHeader::flick_sequence_octet::_allocate_buffer(CORBA::ULong length)
{
  CORBA::Octet  *tmp = GIOP::RequestHeader::flick_sequence_octet::allocbuf(length);
  if( this->_buffer != 0 )
  {
    CORBA::ULong i;
    CORBA::Octet  *old = ACE_reinterpret_cast(CORBA::Octet  *, this->_buffer);
    for( i = 0; i < this->_length; i++ )
      tmp[i] = old[i];
    if( this->_release )
      GIOP::RequestHeader::flick_sequence_octet::freebuf(old);
  }
  this->_buffer = tmp;
}

void GIOP::RequestHeader::flick_sequence_octet::_deallocate_buffer()
{
  if( this->_buffer == 0 || this->_release == 0 )
    return;
  CORBA::Octet  *tmp = ACE_reinterpret_cast(CORBA::Octet  *, this->_buffer);
  
  GIOP::RequestHeader::flick_sequence_octet::freebuf(tmp);
  this->_buffer = 0;
}

CORBA::Boolean GIOP::RequestHeader::flick_sequence_octet::release() const
{
  return this->_release;
}

CORBA::ULong GIOP::RequestHeader::flick_sequence_octet::maximum() const
{
  return this->_maximum;
}

CORBA::ULong GIOP::RequestHeader::flick_sequence_octet::length() const
{
  return this->_length;
}

void GIOP::RequestHeader::flick_sequence_octet::length(CORBA::ULong length)
{
  if( length > this->_maximum )
  {
    this->_allocate_buffer(length);
    this->_maximum = length;
    this->_release = 1;
  }
  else if (length < this->_length)
  {
    this->_shrink_buffer(length, this->_length);
  }
  this->_length = length;
}

void GIOP::RequestHeader::flick_sequence_octet::_shrink_buffer(CORBA::ULong length1, CORBA::ULong length2)
{
}

CORBA::Octet *GIOP::RequestHeader::flick_sequence_octet::get_buffer(CORBA::Boolean orphan)
{
  CORBA::Octet  *result = 0;
  if( orphan == 0 )
  {
    if( this->_buffer == 0 )
    {
      result = GIOP::RequestHeader::flick_sequence_octet::allocbuf(this->_length);
      this->_buffer = result;
    }
    else
    {
      result = ACE_reinterpret_cast(CORBA::Octet  *, this->_buffer);
    }
  }
  else
  {
    if( this->_release != 0 )
    {
      result = ACE_reinterpret_cast(CORBA::Octet  *, this->_buffer);
      this->_maximum = 0;
      this->_length = 0;
      this->_buffer = 0;
      this->_release = 0;
    }
  }
  return result;
}

const CORBA::Octet *GIOP::RequestHeader::flick_sequence_octet::get_buffer() const
{
  return ACE_const_cast(const CORBA::Octet  * ACE_CAST_CONST, this->_buffer);
}

GIOP::RequestHeader::flick_sequence_octet_var::flick_sequence_octet_var()
  : ptr_(0)
{}

GIOP::RequestHeader::flick_sequence_octet_var::flick_sequence_octet_var(::GIOP::RequestHeader::flick_sequence_octet *p)
 : ptr_(p)
{}

GIOP::RequestHeader::flick_sequence_octet_var::flick_sequence_octet_var(const ::GIOP::RequestHeader::flick_sequence_octet_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new ::GIOP::RequestHeader::flick_sequence_octet (*a.ptr_);
  else
    this->ptr_ = 0;
}

GIOP::RequestHeader::flick_sequence_octet_var::~flick_sequence_octet_var()
{
  delete this->ptr_;
}

::GIOP::RequestHeader::flick_sequence_octet_var &GIOP::RequestHeader::flick_sequence_octet_var::operator=(::GIOP::RequestHeader::flick_sequence_octet *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

::GIOP::RequestHeader::flick_sequence_octet_var &GIOP::RequestHeader::flick_sequence_octet_var::operator=(const ::GIOP::RequestHeader::flick_sequence_octet_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new ::GIOP::RequestHeader::flick_sequence_octet (*p.ptr_);
  }
  return *this;
}

CORBA::Octet &GIOP::RequestHeader::flick_sequence_octet_var::operator[](CORBA::ULong index)
{
  return this->ptr_->operator[](index);
}

const CORBA::Octet &GIOP::RequestHeader::flick_sequence_octet_var::operator[](CORBA::ULong index) const
{
  return this->ptr_->operator[](index);
}

::GIOP::RequestHeader::flick_sequence_octet *GIOP::RequestHeader::flick_sequence_octet_var::operator->()
{
  return this->ptr_;
}

const ::GIOP::RequestHeader::flick_sequence_octet *GIOP::RequestHeader::flick_sequence_octet_var::operator->() const
{
  return this->ptr_;
}

GIOP::RequestHeader::flick_sequence_octet_var::operator const ::GIOP::RequestHeader::flick_sequence_octet &() const
{
  return *this->ptr_;
}

GIOP::RequestHeader::flick_sequence_octet_var::operator ::GIOP::RequestHeader::flick_sequence_octet &()
{
  return *this->ptr_;
}

GIOP::RequestHeader::flick_sequence_octet_var::operator ::GIOP::RequestHeader::flick_sequence_octet &() const
{
  return *this->ptr_;
}

const ::GIOP::RequestHeader::flick_sequence_octet &GIOP::RequestHeader::flick_sequence_octet_var::in() const
{
  return *this->ptr_;
}

::GIOP::RequestHeader::flick_sequence_octet &GIOP::RequestHeader::flick_sequence_octet_var::inout()
{
  return *this->ptr_;
}

::GIOP::RequestHeader::flick_sequence_octet *&GIOP::RequestHeader::flick_sequence_octet_var::out()
{
  delete this->ptr_;
  this->ptr_ = 0;
  return this->ptr_;
}

::GIOP::RequestHeader::flick_sequence_octet *GIOP::RequestHeader::flick_sequence_octet_var::_retn()
{
  ::GIOP::RequestHeader::flick_sequence_octet  *tmp = this->ptr_;
  this->ptr_ = 0;
  return tmp;
}

::GIOP::RequestHeader::flick_sequence_octet *GIOP::RequestHeader::flick_sequence_octet_var::ptr() const
{
  return this->ptr_;
}

GIOP::RequestHeader::flick_sequence_octet_out::flick_sequence_octet_out(::GIOP::RequestHeader::flick_sequence_octet *&r)
  : ptr_(r)
{
  this->ptr_ = 0;
}

GIOP::RequestHeader::flick_sequence_octet_out::flick_sequence_octet_out(::GIOP::RequestHeader::flick_sequence_octet_var &r)
  : ptr_(r.out())
{
  delete this->ptr_;
  this->ptr_ = 0;
}

GIOP::RequestHeader::flick_sequence_octet_out::flick_sequence_octet_out(const ::GIOP::RequestHeader::flick_sequence_octet_out &r)
  : ptr_(ACE_const_cast(::GIOP::RequestHeader::flick_sequence_octet_out &,r).ptr_)
{}

::GIOP::RequestHeader::flick_sequence_octet_out &GIOP::RequestHeader::flick_sequence_octet_out::operator=(const ::GIOP::RequestHeader::flick_sequence_octet_out &r)
{
  this->ptr_ = ACE_const_cast(::GIOP::RequestHeader::flick_sequence_octet_out &,r).ptr_;
  return *this;
}

::GIOP::RequestHeader::flick_sequence_octet_out &GIOP::RequestHeader::flick_sequence_octet_out::operator=(::GIOP::RequestHeader::flick_sequence_octet *r)
{
  this->ptr_ = r;
  return *this;
}

GIOP::RequestHeader::flick_sequence_octet_out::operator ::GIOP::RequestHeader::flick_sequence_octet *&()
{
  return this->ptr_;
}

::GIOP::RequestHeader::flick_sequence_octet *&GIOP::RequestHeader::flick_sequence_octet_out::ptr()
{
  return this->ptr_;
}

CORBA::Octet &GIOP::RequestHeader::flick_sequence_octet_out::operator[](CORBA::ULong index)
{
  return this->ptr_->operator[](index);
}

const CORBA::Octet &GIOP::RequestHeader::flick_sequence_octet_out::operator[](CORBA::ULong index) const
{
  return this->ptr_->operator[](index);
}

::GIOP::RequestHeader::flick_sequence_octet *GIOP::RequestHeader::flick_sequence_octet_out::operator->()
{
  return this->ptr_;
}

static const CORBA::Long _oc_GIOP_ReplyHeader[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    25, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x47494f50), ACE_NTOHL(0x2f526570), ACE_NTOHL(0x6c794865), ACE_NTOHL(0x61646572), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:GIOP/ReplyHeader:1.0 */,
    12, ACE_NTOHL(0x5265706c), ACE_NTOHL(0x79486561), ACE_NTOHL(0x64657200) /* name = ReplyHeader */,
    3 /* member count */,
    15, ACE_NTOHL(0x73657276), ACE_NTOHL(0x65725f63), ACE_NTOHL(0x6f6e7465), ACE_NTOHL(0x78740000) /* name = server_context */,
    CORBA::tk_alias,
    304 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      31, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x494f502f), ACE_NTOHL(0x53657276), ACE_NTOHL(0x69636543), ACE_NTOHL(0x6f6e7465), ACE_NTOHL(0x78744c69), ACE_NTOHL(0x73743a31), ACE_NTOHL(0x2e300000) /* repository ID = IDL:IOP/ServiceContextList:1.0 */,
      19, ACE_NTOHL(0x53657276), ACE_NTOHL(0x69636543), ACE_NTOHL(0x6f6e7465), ACE_NTOHL(0x78744c69), ACE_NTOHL(0x73740000) /* name = ServiceContextList */,
      CORBA::tk_sequence,
      232 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        CORBA::tk_struct,
        216 /* encapsulation length */,
          TAO_ENCAP_BYTE_ORDER /* byte order */,
          27, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x494f502f), ACE_NTOHL(0x53657276), ACE_NTOHL(0x69636543), ACE_NTOHL(0x6f6e7465), ACE_NTOHL(0x78743a31), ACE_NTOHL(0x2e300000) /* repository ID = IDL:IOP/ServiceContext:1.0 */,
          15, ACE_NTOHL(0x53657276), ACE_NTOHL(0x69636543), ACE_NTOHL(0x6f6e7465), ACE_NTOHL(0x78740000) /* name = ServiceContext */,
          2 /* member count */,
          11, ACE_NTOHL(0x636f6e74), ACE_NTOHL(0x6578745f), ACE_NTOHL(0x69640000) /* name = context_id */,
          CORBA::tk_alias,
          52 /* encapsulation length */,
            TAO_ENCAP_BYTE_ORDER /* byte order */,
            22, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x494f502f), ACE_NTOHL(0x53657276), ACE_NTOHL(0x69636549), ACE_NTOHL(0x443a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:IOP/ServiceID:1.0 */,
            10, ACE_NTOHL(0x53657276), ACE_NTOHL(0x69636549), ACE_NTOHL(0x44000000) /* name = ServiceID */,
            CORBA::tk_ulong,
          13, ACE_NTOHL(0x636f6e74), ACE_NTOHL(0x6578745f), ACE_NTOHL(0x64617461), ACE_NTOHL(0x00000000) /* name = context_data */,
          CORBA::tk_alias,
          52 /* encapsulation length */,
            TAO_ENCAP_BYTE_ORDER /* byte order */,
            21, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f6f), ACE_NTOHL(0x63746574), ACE_NTOHL(0x00000000) /* name = flick_sequence_octet */,
            CORBA::tk_sequence,
            12 /* encapsulation length */,
              TAO_ENCAP_BYTE_ORDER /* byte order */,
              CORBA::tk_octet,
              0,
        0,
    11, ACE_NTOHL(0x72657175), ACE_NTOHL(0x6573745f), ACE_NTOHL(0x69640000) /* name = request_id */,
    CORBA::tk_ulong,
    13, ACE_NTOHL(0x7265706c), ACE_NTOHL(0x795f7374), ACE_NTOHL(0x61747573), ACE_NTOHL(0x00000000) /* name = reply_status */,
    CORBA::tk_enum,
    152 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      29, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x47494f50), ACE_NTOHL(0x2f526570), ACE_NTOHL(0x6c795374), ACE_NTOHL(0x61747573), ACE_NTOHL(0x54797065), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:GIOP/ReplyStatusType:1.0 */,
      16, ACE_NTOHL(0x5265706c), ACE_NTOHL(0x79537461), ACE_NTOHL(0x74757354), ACE_NTOHL(0x79706500) /* name = ReplyStatusType */,
      4 /* member count */,
      13, ACE_NTOHL(0x4e4f5f45), ACE_NTOHL(0x58434550), ACE_NTOHL(0x54494f4e), ACE_NTOHL(0x00000000) /* name = NO_EXCEPTION */,
      15, ACE_NTOHL(0x55534552), ACE_NTOHL(0x5f455843), ACE_NTOHL(0x45505449), ACE_NTOHL(0x4f4e0000) /* name = USER_EXCEPTION */,
      17, ACE_NTOHL(0x53595354), ACE_NTOHL(0x454d5f45), ACE_NTOHL(0x58434550), ACE_NTOHL(0x54494f4e), ACE_NTOHL(0x00000000) /* name = SYSTEM_EXCEPTION */,
      17, ACE_NTOHL(0x4c4f4341), ACE_NTOHL(0x54494f4e), ACE_NTOHL(0x5f464f52), ACE_NTOHL(0x57415244), ACE_NTOHL(0x00000000) /* name = LOCATION_FORWARD */
};

static CORBA::TypeCode _tc_TAO_tc_GIOP_ReplyHeader (CORBA::tk_struct, sizeof(_oc_GIOP_ReplyHeader), (char *) &_oc_GIOP_ReplyHeader, 0, sizeof(struct ::GIOP::ReplyHeader ));

TAO_NAMESPACE_TYPE(CORBA::TypeCode_ptr)
TAO_NAMESPACE_BEGIN (GIOP)
TAO_NAMESPACE_DEFINE (CORBA::TypeCode_ptr, _tc_ReplyHeader, &_tc_TAO_tc_GIOP_ReplyHeader)
TAO_NAMESPACE_END
void operator<<=(CORBA::Any &a, const struct ::GIOP::ReplyHeader &o)
{
  struct ::GIOP::ReplyHeader  *_any_val;
  ACE_NEW(_any_val, struct ::GIOP::ReplyHeader  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(GIOP::_tc_ReplyHeader, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, struct ::GIOP::ReplyHeader *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(GIOP::_tc_ReplyHeader, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, struct ::GIOP::ReplyHeader *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(GIOP::_tc_ReplyHeader, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (struct ::GIOP::ReplyHeader  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, struct ::GIOP::ReplyHeader , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(GIOP::_tc_ReplyHeader, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(GIOP::_tc_ReplyHeader, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

GIOP::ReplyHeader_var::ReplyHeader_var()
  : ptr_(0)
{}

GIOP::ReplyHeader_var::ReplyHeader_var(struct ::GIOP::ReplyHeader *p)
 : ptr_(p)
{}

GIOP::ReplyHeader_var::ReplyHeader_var(const ::GIOP::ReplyHeader_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new struct ::GIOP::ReplyHeader (*a.ptr_);
  else
    this->ptr_ = 0;
}

GIOP::ReplyHeader_var::~ReplyHeader_var()
{
  delete this->ptr_;
}

::GIOP::ReplyHeader_var &GIOP::ReplyHeader_var::operator=(struct ::GIOP::ReplyHeader *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

::GIOP::ReplyHeader_var &GIOP::ReplyHeader_var::operator=(const ::GIOP::ReplyHeader_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new struct ::GIOP::ReplyHeader (*p.ptr_);
  }
  return *this;
}

struct ::GIOP::ReplyHeader *GIOP::ReplyHeader_var::operator->()
{
  return this->ptr_;
}

const struct ::GIOP::ReplyHeader *GIOP::ReplyHeader_var::operator->() const
{
  return this->ptr_;
}

GIOP::ReplyHeader_var::operator const struct ::GIOP::ReplyHeader &() const
{
  return *this->ptr_;
}

GIOP::ReplyHeader_var::operator struct ::GIOP::ReplyHeader &()
{
  return *this->ptr_;
}

GIOP::ReplyHeader_var::operator struct ::GIOP::ReplyHeader &() const
{
  return *this->ptr_;
}

const struct ::GIOP::ReplyHeader &GIOP::ReplyHeader_var::in() const
{
  return *this->ptr_;
}

struct ::GIOP::ReplyHeader &GIOP::ReplyHeader_var::inout()
{
  return *this->ptr_;
}

struct ::GIOP::ReplyHeader *&GIOP::ReplyHeader_var::out()
{
  delete this->ptr_;
  this->ptr_ = 0;
  return this->ptr_;
}

struct ::GIOP::ReplyHeader *GIOP::ReplyHeader_var::_retn()
{
  struct ::GIOP::ReplyHeader  *tmp = this->ptr_;
  this->ptr_ = 0;
  return tmp;
}

struct ::GIOP::ReplyHeader *GIOP::ReplyHeader_var::ptr() const
{
  return this->ptr_;
}

GIOP::ReplyHeader_out::ReplyHeader_out(struct ::GIOP::ReplyHeader *&r)
  : ptr_(r)
{
  this->ptr_ = 0;
}

GIOP::ReplyHeader_out::ReplyHeader_out(::GIOP::ReplyHeader_var &r)
  : ptr_(r.out())
{
  delete this->ptr_;
  this->ptr_ = 0;
}

GIOP::ReplyHeader_out::ReplyHeader_out(const ::GIOP::ReplyHeader_out &r)
  : ptr_(ACE_const_cast(::GIOP::ReplyHeader_out &,r).ptr_)
{}

::GIOP::ReplyHeader_out &GIOP::ReplyHeader_out::operator=(const ::GIOP::ReplyHeader_out &r)
{
  this->ptr_ = ACE_const_cast(::GIOP::ReplyHeader_out &,r).ptr_;
  return *this;
}

::GIOP::ReplyHeader_out &GIOP::ReplyHeader_out::operator=(struct ::GIOP::ReplyHeader *r)
{
  this->ptr_ = r;
  return *this;
}

GIOP::ReplyHeader_out::operator struct ::GIOP::ReplyHeader *&()
{
  return this->ptr_;
}

struct ::GIOP::ReplyHeader *&GIOP::ReplyHeader_out::ptr()
{
  return this->ptr_;
}

struct ::GIOP::ReplyHeader *GIOP::ReplyHeader_out::operator->()
{
  return this->ptr_;
}

static const CORBA::Long _oc_GIOP_CancelRequestHeader[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    33, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x47494f50), ACE_NTOHL(0x2f43616e), ACE_NTOHL(0x63656c52), ACE_NTOHL(0x65717565), ACE_NTOHL(0x73744865), ACE_NTOHL(0x61646572), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:GIOP/CancelRequestHeader:1.0 */,
    20, ACE_NTOHL(0x43616e63), ACE_NTOHL(0x656c5265), ACE_NTOHL(0x71756573), ACE_NTOHL(0x74486561), ACE_NTOHL(0x64657200) /* name = CancelRequestHeader */,
    1 /* member count */,
    11, ACE_NTOHL(0x72657175), ACE_NTOHL(0x6573745f), ACE_NTOHL(0x69640000) /* name = request_id */,
    CORBA::tk_ulong
};

static CORBA::TypeCode _tc_TAO_tc_GIOP_CancelRequestHeader (CORBA::tk_struct, sizeof(_oc_GIOP_CancelRequestHeader), (char *) &_oc_GIOP_CancelRequestHeader, 0, sizeof(struct ::GIOP::CancelRequestHeader ));

TAO_NAMESPACE_TYPE(CORBA::TypeCode_ptr)
TAO_NAMESPACE_BEGIN (GIOP)
TAO_NAMESPACE_DEFINE (CORBA::TypeCode_ptr, _tc_CancelRequestHeader, &_tc_TAO_tc_GIOP_CancelRequestHeader)
TAO_NAMESPACE_END
void operator<<=(CORBA::Any &a, const struct ::GIOP::CancelRequestHeader &o)
{
  struct ::GIOP::CancelRequestHeader  *_any_val;
  ACE_NEW(_any_val, struct ::GIOP::CancelRequestHeader  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(GIOP::_tc_CancelRequestHeader, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, struct ::GIOP::CancelRequestHeader *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(GIOP::_tc_CancelRequestHeader, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, struct ::GIOP::CancelRequestHeader *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(GIOP::_tc_CancelRequestHeader, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (struct ::GIOP::CancelRequestHeader  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, struct ::GIOP::CancelRequestHeader , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(GIOP::_tc_CancelRequestHeader, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(GIOP::_tc_CancelRequestHeader, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

GIOP::CancelRequestHeader_var::CancelRequestHeader_var()
  : ptr_(0)
{}

GIOP::CancelRequestHeader_var::CancelRequestHeader_var(struct ::GIOP::CancelRequestHeader *p)
 : ptr_(p)
{}

GIOP::CancelRequestHeader_var::CancelRequestHeader_var(const ::GIOP::CancelRequestHeader_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new struct ::GIOP::CancelRequestHeader (*a.ptr_);
  else
    this->ptr_ = 0;
}

GIOP::CancelRequestHeader_var::~CancelRequestHeader_var()
{
  delete this->ptr_;
}

::GIOP::CancelRequestHeader_var &GIOP::CancelRequestHeader_var::operator=(struct ::GIOP::CancelRequestHeader *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

::GIOP::CancelRequestHeader_var &GIOP::CancelRequestHeader_var::operator=(const ::GIOP::CancelRequestHeader_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new struct ::GIOP::CancelRequestHeader (*p.ptr_);
  }
  return *this;
}

struct ::GIOP::CancelRequestHeader *GIOP::CancelRequestHeader_var::operator->()
{
  return this->ptr_;
}

const struct ::GIOP::CancelRequestHeader *GIOP::CancelRequestHeader_var::operator->() const
{
  return this->ptr_;
}

GIOP::CancelRequestHeader_var::operator const struct ::GIOP::CancelRequestHeader &() const
{
  return *this->ptr_;
}

GIOP::CancelRequestHeader_var::operator struct ::GIOP::CancelRequestHeader &()
{
  return *this->ptr_;
}

GIOP::CancelRequestHeader_var::operator struct ::GIOP::CancelRequestHeader &() const
{
  return *this->ptr_;
}

const struct ::GIOP::CancelRequestHeader &GIOP::CancelRequestHeader_var::in() const
{
  return *this->ptr_;
}

struct ::GIOP::CancelRequestHeader &GIOP::CancelRequestHeader_var::inout()
{
  return *this->ptr_;
}

struct ::GIOP::CancelRequestHeader &GIOP::CancelRequestHeader_var::out()
{
  return *this->ptr_;
}

struct ::GIOP::CancelRequestHeader GIOP::CancelRequestHeader_var::_retn()
{
  return *this->ptr_;
}

struct ::GIOP::CancelRequestHeader *GIOP::CancelRequestHeader_var::ptr() const
{
  return this->ptr_;
}

static const CORBA::Long _oc_GIOP_LocateRequestHeader[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    33, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x47494f50), ACE_NTOHL(0x2f4c6f63), ACE_NTOHL(0x61746552), ACE_NTOHL(0x65717565), ACE_NTOHL(0x73744865), ACE_NTOHL(0x61646572), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:GIOP/LocateRequestHeader:1.0 */,
    20, ACE_NTOHL(0x4c6f6361), ACE_NTOHL(0x74655265), ACE_NTOHL(0x71756573), ACE_NTOHL(0x74486561), ACE_NTOHL(0x64657200) /* name = LocateRequestHeader */,
    2 /* member count */,
    11, ACE_NTOHL(0x72657175), ACE_NTOHL(0x6573745f), ACE_NTOHL(0x69640000) /* name = request_id */,
    CORBA::tk_ulong,
    11, ACE_NTOHL(0x6f626a65), ACE_NTOHL(0x63745f6b), ACE_NTOHL(0x65790000) /* name = object_key */,
    CORBA::tk_alias,
    52 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      21, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f6f), ACE_NTOHL(0x63746574), ACE_NTOHL(0x00000000) /* name = flick_sequence_octet */,
      CORBA::tk_sequence,
      12 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        CORBA::tk_octet,
        0
};

static CORBA::TypeCode _tc_TAO_tc_GIOP_LocateRequestHeader (CORBA::tk_struct, sizeof(_oc_GIOP_LocateRequestHeader), (char *) &_oc_GIOP_LocateRequestHeader, 0, sizeof(struct ::GIOP::LocateRequestHeader ));

TAO_NAMESPACE_TYPE(CORBA::TypeCode_ptr)
TAO_NAMESPACE_BEGIN (GIOP)
TAO_NAMESPACE_DEFINE (CORBA::TypeCode_ptr, _tc_LocateRequestHeader, &_tc_TAO_tc_GIOP_LocateRequestHeader)
TAO_NAMESPACE_END
void operator<<=(CORBA::Any &a, const struct ::GIOP::LocateRequestHeader &o)
{
  struct ::GIOP::LocateRequestHeader  *_any_val;
  ACE_NEW(_any_val, struct ::GIOP::LocateRequestHeader  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(GIOP::_tc_LocateRequestHeader, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, struct ::GIOP::LocateRequestHeader *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(GIOP::_tc_LocateRequestHeader, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, struct ::GIOP::LocateRequestHeader *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(GIOP::_tc_LocateRequestHeader, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (struct ::GIOP::LocateRequestHeader  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, struct ::GIOP::LocateRequestHeader , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(GIOP::_tc_LocateRequestHeader, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(GIOP::_tc_LocateRequestHeader, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

GIOP::LocateRequestHeader_var::LocateRequestHeader_var()
  : ptr_(0)
{}

GIOP::LocateRequestHeader_var::LocateRequestHeader_var(struct ::GIOP::LocateRequestHeader *p)
 : ptr_(p)
{}

GIOP::LocateRequestHeader_var::LocateRequestHeader_var(const ::GIOP::LocateRequestHeader_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new struct ::GIOP::LocateRequestHeader (*a.ptr_);
  else
    this->ptr_ = 0;
}

GIOP::LocateRequestHeader_var::~LocateRequestHeader_var()
{
  delete this->ptr_;
}

::GIOP::LocateRequestHeader_var &GIOP::LocateRequestHeader_var::operator=(struct ::GIOP::LocateRequestHeader *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

::GIOP::LocateRequestHeader_var &GIOP::LocateRequestHeader_var::operator=(const ::GIOP::LocateRequestHeader_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new struct ::GIOP::LocateRequestHeader (*p.ptr_);
  }
  return *this;
}

struct ::GIOP::LocateRequestHeader *GIOP::LocateRequestHeader_var::operator->()
{
  return this->ptr_;
}

const struct ::GIOP::LocateRequestHeader *GIOP::LocateRequestHeader_var::operator->() const
{
  return this->ptr_;
}

GIOP::LocateRequestHeader_var::operator const struct ::GIOP::LocateRequestHeader &() const
{
  return *this->ptr_;
}

GIOP::LocateRequestHeader_var::operator struct ::GIOP::LocateRequestHeader &()
{
  return *this->ptr_;
}

GIOP::LocateRequestHeader_var::operator struct ::GIOP::LocateRequestHeader &() const
{
  return *this->ptr_;
}

const struct ::GIOP::LocateRequestHeader &GIOP::LocateRequestHeader_var::in() const
{
  return *this->ptr_;
}

struct ::GIOP::LocateRequestHeader &GIOP::LocateRequestHeader_var::inout()
{
  return *this->ptr_;
}

struct ::GIOP::LocateRequestHeader *&GIOP::LocateRequestHeader_var::out()
{
  delete this->ptr_;
  this->ptr_ = 0;
  return this->ptr_;
}

struct ::GIOP::LocateRequestHeader *GIOP::LocateRequestHeader_var::_retn()
{
  struct ::GIOP::LocateRequestHeader  *tmp = this->ptr_;
  this->ptr_ = 0;
  return tmp;
}

struct ::GIOP::LocateRequestHeader *GIOP::LocateRequestHeader_var::ptr() const
{
  return this->ptr_;
}

GIOP::LocateRequestHeader_out::LocateRequestHeader_out(struct ::GIOP::LocateRequestHeader *&r)
  : ptr_(r)
{
  this->ptr_ = 0;
}

GIOP::LocateRequestHeader_out::LocateRequestHeader_out(::GIOP::LocateRequestHeader_var &r)
  : ptr_(r.out())
{
  delete this->ptr_;
  this->ptr_ = 0;
}

GIOP::LocateRequestHeader_out::LocateRequestHeader_out(const ::GIOP::LocateRequestHeader_out &r)
  : ptr_(ACE_const_cast(::GIOP::LocateRequestHeader_out &,r).ptr_)
{}

::GIOP::LocateRequestHeader_out &GIOP::LocateRequestHeader_out::operator=(const ::GIOP::LocateRequestHeader_out &r)
{
  this->ptr_ = ACE_const_cast(::GIOP::LocateRequestHeader_out &,r).ptr_;
  return *this;
}

::GIOP::LocateRequestHeader_out &GIOP::LocateRequestHeader_out::operator=(struct ::GIOP::LocateRequestHeader *r)
{
  this->ptr_ = r;
  return *this;
}

GIOP::LocateRequestHeader_out::operator struct ::GIOP::LocateRequestHeader *&()
{
  return this->ptr_;
}

struct ::GIOP::LocateRequestHeader *&GIOP::LocateRequestHeader_out::ptr()
{
  return this->ptr_;
}

struct ::GIOP::LocateRequestHeader *GIOP::LocateRequestHeader_out::operator->()
{
  return this->ptr_;
}

static const CORBA::Long _oc_GIOP_LocateRequestHeader_flick_sequence_octet[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    21, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f6f), ACE_NTOHL(0x63746574), ACE_NTOHL(0x00000000) /* name = flick_sequence_octet */,
    CORBA::tk_sequence,
    12 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      CORBA::tk_octet,
      0
};

static CORBA::TypeCode _tc_TAO_tc_GIOP_LocateRequestHeader_flick_sequence_octet (CORBA::tk_alias, sizeof(_oc_GIOP_LocateRequestHeader_flick_sequence_octet), (char *) &_oc_GIOP_LocateRequestHeader_flick_sequence_octet, 0, sizeof(::GIOP::LocateRequestHeader::flick_sequence_octet ));

CORBA::TypeCode_ptr GIOP::LocateRequestHeader::_tc_flick_sequence_octet = &_tc_TAO_tc_GIOP_LocateRequestHeader_flick_sequence_octet;

GIOP::LocateRequestHeader::flick_sequence_octet::flick_sequence_octet()
  : _maximum(0),
    _length(0),
    _buffer(0),
    _release(0)
{
}

GIOP::LocateRequestHeader::flick_sequence_octet::flick_sequence_octet(CORBA::ULong max)
  : _maximum(max), _length(0), _release(1)
{
  this->_buffer = GIOP::LocateRequestHeader::flick_sequence_octet::allocbuf(this->_maximum);
}

GIOP::LocateRequestHeader::flick_sequence_octet::flick_sequence_octet(CORBA::ULong max, CORBA::ULong length, CORBA::Octet *buffer, CORBA::Boolean release)
  : _maximum(max),
    _length(length),
    _buffer(buffer),
    _release(release)
{
}

GIOP::LocateRequestHeader::flick_sequence_octet::flick_sequence_octet(const ::GIOP::LocateRequestHeader::flick_sequence_octet &o)
  : _maximum(o._maximum),
    _length(o._length),
    _release(1)
{
  CORBA::Octet  *tmp1 = GIOP::LocateRequestHeader::flick_sequence_octet::allocbuf(this->_maximum);
  
  CORBA::Octet  * const tmp2 = ACE_reinterpret_cast(CORBA::Octet  * ACE_CAST_CONST, o._buffer);
  
  for(CORBA::ULong i = 0; i < this->_length; i++ )
    tmp1[i] = tmp2[i];
  
  this->_buffer = tmp1;
}

GIOP::LocateRequestHeader::flick_sequence_octet::~flick_sequence_octet()
{
  this->_deallocate_buffer();
}

::GIOP::LocateRequestHeader::flick_sequence_octet &GIOP::LocateRequestHeader::flick_sequence_octet::operator=(const ::GIOP::LocateRequestHeader::flick_sequence_octet &rhs)
{
  if( this == &rhs )
    return *this;
  if( this->_release )
  {
  
    if( this->_maximum < rhs._maximum )
    {
      CORBA::Octet  *tmp = ACE_reinterpret_cast(CORBA::Octet  *, this->_buffer);
      
      GIOP::LocateRequestHeader::flick_sequence_octet::freebuf(tmp);
      this->_buffer = GIOP::LocateRequestHeader::flick_sequence_octet::allocbuf(rhs._maximum);
    }
  
  }
  else
    this->_buffer = GIOP::LocateRequestHeader::flick_sequence_octet::allocbuf(rhs._maximum);
  this->_maximum = rhs._maximum;
  this->_length = rhs._length;
  this->_release = 1;
  CORBA::Octet  *tmp1 = ACE_reinterpret_cast(CORBA::Octet  *, this->_buffer);
  CORBA::Octet  * const tmp2 = ACE_reinterpret_cast(CORBA::Octet  * ACE_CAST_CONST, rhs._buffer);
  for(CORBA::ULong i = 0; i < this->_length; i++ )
    tmp1[i] = tmp2[i];
  return *this;
}

CORBA::Octet &GIOP::LocateRequestHeader::flick_sequence_octet::operator[](CORBA::ULong i)
{
  ACE_ASSERT(i < this->_maximum);
  CORBA::Octet  * tmp = ACE_reinterpret_cast(CORBA::Octet  *, this->_buffer);
  return tmp[i];
}

const CORBA::Octet &GIOP::LocateRequestHeader::flick_sequence_octet::operator[](CORBA::ULong i) const
{
  ACE_ASSERT(i < this->_maximum);
  CORBA::Octet  * const tmp = ACE_reinterpret_cast(CORBA::Octet  *ACE_CAST_CONST, this->_buffer);
  return tmp[i];
}

CORBA::Octet *GIOP::LocateRequestHeader::flick_sequence_octet::allocbuf(CORBA::ULong size)
{
  CORBA::Octet  *tmp;
  tmp = new CORBA::Octet [size];
  return tmp;
}

void GIOP::LocateRequestHeader::flick_sequence_octet::freebuf(CORBA::Octet *buffer)
{
  delete [] buffer;
}

void GIOP::LocateRequestHeader::flick_sequence_octet::_allocate_buffer(CORBA::ULong length)
{
  CORBA::Octet  *tmp = GIOP::LocateRequestHeader::flick_sequence_octet::allocbuf(length);
  if( this->_buffer != 0 )
  {
    CORBA::ULong i;
    CORBA::Octet  *old = ACE_reinterpret_cast(CORBA::Octet  *, this->_buffer);
    for( i = 0; i < this->_length; i++ )
      tmp[i] = old[i];
    if( this->_release )
      GIOP::LocateRequestHeader::flick_sequence_octet::freebuf(old);
  }
  this->_buffer = tmp;
}

void GIOP::LocateRequestHeader::flick_sequence_octet::_deallocate_buffer()
{
  if( this->_buffer == 0 || this->_release == 0 )
    return;
  CORBA::Octet  *tmp = ACE_reinterpret_cast(CORBA::Octet  *, this->_buffer);
  
  GIOP::LocateRequestHeader::flick_sequence_octet::freebuf(tmp);
  this->_buffer = 0;
}

CORBA::Boolean GIOP::LocateRequestHeader::flick_sequence_octet::release() const
{
  return this->_release;
}

CORBA::ULong GIOP::LocateRequestHeader::flick_sequence_octet::maximum() const
{
  return this->_maximum;
}

CORBA::ULong GIOP::LocateRequestHeader::flick_sequence_octet::length() const
{
  return this->_length;
}

void GIOP::LocateRequestHeader::flick_sequence_octet::length(CORBA::ULong length)
{
  if( length > this->_maximum )
  {
    this->_allocate_buffer(length);
    this->_maximum = length;
    this->_release = 1;
  }
  else if (length < this->_length)
  {
    this->_shrink_buffer(length, this->_length);
  }
  this->_length = length;
}

void GIOP::LocateRequestHeader::flick_sequence_octet::_shrink_buffer(CORBA::ULong length1, CORBA::ULong length2)
{
}

CORBA::Octet *GIOP::LocateRequestHeader::flick_sequence_octet::get_buffer(CORBA::Boolean orphan)
{
  CORBA::Octet  *result = 0;
  if( orphan == 0 )
  {
    if( this->_buffer == 0 )
    {
      result = GIOP::LocateRequestHeader::flick_sequence_octet::allocbuf(this->_length);
      this->_buffer = result;
    }
    else
    {
      result = ACE_reinterpret_cast(CORBA::Octet  *, this->_buffer);
    }
  }
  else
  {
    if( this->_release != 0 )
    {
      result = ACE_reinterpret_cast(CORBA::Octet  *, this->_buffer);
      this->_maximum = 0;
      this->_length = 0;
      this->_buffer = 0;
      this->_release = 0;
    }
  }
  return result;
}

const CORBA::Octet *GIOP::LocateRequestHeader::flick_sequence_octet::get_buffer() const
{
  return ACE_const_cast(const CORBA::Octet  * ACE_CAST_CONST, this->_buffer);
}

GIOP::LocateRequestHeader::flick_sequence_octet_var::flick_sequence_octet_var()
  : ptr_(0)
{}

GIOP::LocateRequestHeader::flick_sequence_octet_var::flick_sequence_octet_var(::GIOP::LocateRequestHeader::flick_sequence_octet *p)
 : ptr_(p)
{}

GIOP::LocateRequestHeader::flick_sequence_octet_var::flick_sequence_octet_var(const ::GIOP::LocateRequestHeader::flick_sequence_octet_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new ::GIOP::LocateRequestHeader::flick_sequence_octet (*a.ptr_);
  else
    this->ptr_ = 0;
}

GIOP::LocateRequestHeader::flick_sequence_octet_var::~flick_sequence_octet_var()
{
  delete this->ptr_;
}

::GIOP::LocateRequestHeader::flick_sequence_octet_var &GIOP::LocateRequestHeader::flick_sequence_octet_var::operator=(::GIOP::LocateRequestHeader::flick_sequence_octet *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

::GIOP::LocateRequestHeader::flick_sequence_octet_var &GIOP::LocateRequestHeader::flick_sequence_octet_var::operator=(const ::GIOP::LocateRequestHeader::flick_sequence_octet_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new ::GIOP::LocateRequestHeader::flick_sequence_octet (*p.ptr_);
  }
  return *this;
}

CORBA::Octet &GIOP::LocateRequestHeader::flick_sequence_octet_var::operator[](CORBA::ULong index)
{
  return this->ptr_->operator[](index);
}

const CORBA::Octet &GIOP::LocateRequestHeader::flick_sequence_octet_var::operator[](CORBA::ULong index) const
{
  return this->ptr_->operator[](index);
}

::GIOP::LocateRequestHeader::flick_sequence_octet *GIOP::LocateRequestHeader::flick_sequence_octet_var::operator->()
{
  return this->ptr_;
}

const ::GIOP::LocateRequestHeader::flick_sequence_octet *GIOP::LocateRequestHeader::flick_sequence_octet_var::operator->() const
{
  return this->ptr_;
}

GIOP::LocateRequestHeader::flick_sequence_octet_var::operator const ::GIOP::LocateRequestHeader::flick_sequence_octet &() const
{
  return *this->ptr_;
}

GIOP::LocateRequestHeader::flick_sequence_octet_var::operator ::GIOP::LocateRequestHeader::flick_sequence_octet &()
{
  return *this->ptr_;
}

GIOP::LocateRequestHeader::flick_sequence_octet_var::operator ::GIOP::LocateRequestHeader::flick_sequence_octet &() const
{
  return *this->ptr_;
}

const ::GIOP::LocateRequestHeader::flick_sequence_octet &GIOP::LocateRequestHeader::flick_sequence_octet_var::in() const
{
  return *this->ptr_;
}

::GIOP::LocateRequestHeader::flick_sequence_octet &GIOP::LocateRequestHeader::flick_sequence_octet_var::inout()
{
  return *this->ptr_;
}

::GIOP::LocateRequestHeader::flick_sequence_octet *&GIOP::LocateRequestHeader::flick_sequence_octet_var::out()
{
  delete this->ptr_;
  this->ptr_ = 0;
  return this->ptr_;
}

::GIOP::LocateRequestHeader::flick_sequence_octet *GIOP::LocateRequestHeader::flick_sequence_octet_var::_retn()
{
  ::GIOP::LocateRequestHeader::flick_sequence_octet  *tmp = this->ptr_;
  this->ptr_ = 0;
  return tmp;
}

::GIOP::LocateRequestHeader::flick_sequence_octet *GIOP::LocateRequestHeader::flick_sequence_octet_var::ptr() const
{
  return this->ptr_;
}

GIOP::LocateRequestHeader::flick_sequence_octet_out::flick_sequence_octet_out(::GIOP::LocateRequestHeader::flick_sequence_octet *&r)
  : ptr_(r)
{
  this->ptr_ = 0;
}

GIOP::LocateRequestHeader::flick_sequence_octet_out::flick_sequence_octet_out(::GIOP::LocateRequestHeader::flick_sequence_octet_var &r)
  : ptr_(r.out())
{
  delete this->ptr_;
  this->ptr_ = 0;
}

GIOP::LocateRequestHeader::flick_sequence_octet_out::flick_sequence_octet_out(const ::GIOP::LocateRequestHeader::flick_sequence_octet_out &r)
  : ptr_(ACE_const_cast(::GIOP::LocateRequestHeader::flick_sequence_octet_out &,r).ptr_)
{}

::GIOP::LocateRequestHeader::flick_sequence_octet_out &GIOP::LocateRequestHeader::flick_sequence_octet_out::operator=(const ::GIOP::LocateRequestHeader::flick_sequence_octet_out &r)
{
  this->ptr_ = ACE_const_cast(::GIOP::LocateRequestHeader::flick_sequence_octet_out &,r).ptr_;
  return *this;
}

::GIOP::LocateRequestHeader::flick_sequence_octet_out &GIOP::LocateRequestHeader::flick_sequence_octet_out::operator=(::GIOP::LocateRequestHeader::flick_sequence_octet *r)
{
  this->ptr_ = r;
  return *this;
}

GIOP::LocateRequestHeader::flick_sequence_octet_out::operator ::GIOP::LocateRequestHeader::flick_sequence_octet *&()
{
  return this->ptr_;
}

::GIOP::LocateRequestHeader::flick_sequence_octet *&GIOP::LocateRequestHeader::flick_sequence_octet_out::ptr()
{
  return this->ptr_;
}

CORBA::Octet &GIOP::LocateRequestHeader::flick_sequence_octet_out::operator[](CORBA::ULong index)
{
  return this->ptr_->operator[](index);
}

const CORBA::Octet &GIOP::LocateRequestHeader::flick_sequence_octet_out::operator[](CORBA::ULong index) const
{
  return this->ptr_->operator[](index);
}

::GIOP::LocateRequestHeader::flick_sequence_octet *GIOP::LocateRequestHeader::flick_sequence_octet_out::operator->()
{
  return this->ptr_;
}

static const CORBA::Long _oc_GIOP_LocateReplyHeader[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    31, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x47494f50), ACE_NTOHL(0x2f4c6f63), ACE_NTOHL(0x61746552), ACE_NTOHL(0x65706c79), ACE_NTOHL(0x48656164), ACE_NTOHL(0x65723a31), ACE_NTOHL(0x2e300000) /* repository ID = IDL:GIOP/LocateReplyHeader:1.0 */,
    18, ACE_NTOHL(0x4c6f6361), ACE_NTOHL(0x74655265), ACE_NTOHL(0x706c7948), ACE_NTOHL(0x65616465), ACE_NTOHL(0x72000000) /* name = LocateReplyHeader */,
    2 /* member count */,
    11, ACE_NTOHL(0x72657175), ACE_NTOHL(0x6573745f), ACE_NTOHL(0x69640000) /* name = request_id */,
    CORBA::tk_ulong,
    14, ACE_NTOHL(0x6c6f6361), ACE_NTOHL(0x74655f73), ACE_NTOHL(0x74617475), ACE_NTOHL(0x73000000) /* name = locate_status */,
    CORBA::tk_enum,
    124 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      30, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x47494f50), ACE_NTOHL(0x2f4c6f63), ACE_NTOHL(0x61746553), ACE_NTOHL(0x74617475), ACE_NTOHL(0x73547970), ACE_NTOHL(0x653a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:GIOP/LocateStatusType:1.0 */,
      17, ACE_NTOHL(0x4c6f6361), ACE_NTOHL(0x74655374), ACE_NTOHL(0x61747573), ACE_NTOHL(0x54797065), ACE_NTOHL(0x00000000) /* name = LocateStatusType */,
      3 /* member count */,
      15, ACE_NTOHL(0x554e4b4e), ACE_NTOHL(0x4f574e5f), ACE_NTOHL(0x4f424a45), ACE_NTOHL(0x43540000) /* name = UNKNOWN_OBJECT */,
      12, ACE_NTOHL(0x4f424a45), ACE_NTOHL(0x43545f48), ACE_NTOHL(0x45524500) /* name = OBJECT_HERE */,
      15, ACE_NTOHL(0x4f424a45), ACE_NTOHL(0x43545f46), ACE_NTOHL(0x4f525741), ACE_NTOHL(0x52440000) /* name = OBJECT_FORWARD */
};

static CORBA::TypeCode _tc_TAO_tc_GIOP_LocateReplyHeader (CORBA::tk_struct, sizeof(_oc_GIOP_LocateReplyHeader), (char *) &_oc_GIOP_LocateReplyHeader, 0, sizeof(struct ::GIOP::LocateReplyHeader ));

TAO_NAMESPACE_TYPE(CORBA::TypeCode_ptr)
TAO_NAMESPACE_BEGIN (GIOP)
TAO_NAMESPACE_DEFINE (CORBA::TypeCode_ptr, _tc_LocateReplyHeader, &_tc_TAO_tc_GIOP_LocateReplyHeader)
TAO_NAMESPACE_END
void operator<<=(CORBA::Any &a, const struct ::GIOP::LocateReplyHeader &o)
{
  struct ::GIOP::LocateReplyHeader  *_any_val;
  ACE_NEW(_any_val, struct ::GIOP::LocateReplyHeader  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(GIOP::_tc_LocateReplyHeader, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, struct ::GIOP::LocateReplyHeader *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(GIOP::_tc_LocateReplyHeader, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, struct ::GIOP::LocateReplyHeader *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(GIOP::_tc_LocateReplyHeader, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (struct ::GIOP::LocateReplyHeader  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, struct ::GIOP::LocateReplyHeader , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(GIOP::_tc_LocateReplyHeader, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(GIOP::_tc_LocateReplyHeader, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

GIOP::LocateReplyHeader_var::LocateReplyHeader_var()
  : ptr_(0)
{}

GIOP::LocateReplyHeader_var::LocateReplyHeader_var(struct ::GIOP::LocateReplyHeader *p)
 : ptr_(p)
{}

GIOP::LocateReplyHeader_var::LocateReplyHeader_var(const ::GIOP::LocateReplyHeader_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new struct ::GIOP::LocateReplyHeader (*a.ptr_);
  else
    this->ptr_ = 0;
}

GIOP::LocateReplyHeader_var::~LocateReplyHeader_var()
{
  delete this->ptr_;
}

::GIOP::LocateReplyHeader_var &GIOP::LocateReplyHeader_var::operator=(struct ::GIOP::LocateReplyHeader *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

::GIOP::LocateReplyHeader_var &GIOP::LocateReplyHeader_var::operator=(const ::GIOP::LocateReplyHeader_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new struct ::GIOP::LocateReplyHeader (*p.ptr_);
  }
  return *this;
}

struct ::GIOP::LocateReplyHeader *GIOP::LocateReplyHeader_var::operator->()
{
  return this->ptr_;
}

const struct ::GIOP::LocateReplyHeader *GIOP::LocateReplyHeader_var::operator->() const
{
  return this->ptr_;
}

GIOP::LocateReplyHeader_var::operator const struct ::GIOP::LocateReplyHeader &() const
{
  return *this->ptr_;
}

GIOP::LocateReplyHeader_var::operator struct ::GIOP::LocateReplyHeader &()
{
  return *this->ptr_;
}

GIOP::LocateReplyHeader_var::operator struct ::GIOP::LocateReplyHeader &() const
{
  return *this->ptr_;
}

const struct ::GIOP::LocateReplyHeader &GIOP::LocateReplyHeader_var::in() const
{
  return *this->ptr_;
}

struct ::GIOP::LocateReplyHeader &GIOP::LocateReplyHeader_var::inout()
{
  return *this->ptr_;
}

struct ::GIOP::LocateReplyHeader &GIOP::LocateReplyHeader_var::out()
{
  return *this->ptr_;
}

struct ::GIOP::LocateReplyHeader GIOP::LocateReplyHeader_var::_retn()
{
  return *this->ptr_;
}

struct ::GIOP::LocateReplyHeader *GIOP::LocateReplyHeader_var::ptr() const
{
  return this->ptr_;
}

static const CORBA::Long _oc_IIOP_ProfileBody[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    25, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x49494f50), ACE_NTOHL(0x2f50726f), ACE_NTOHL(0x66696c65), ACE_NTOHL(0x426f6479), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:IIOP/ProfileBody:1.0 */,
    12, ACE_NTOHL(0x50726f66), ACE_NTOHL(0x696c6542), ACE_NTOHL(0x6f647900) /* name = ProfileBody */,
    4 /* member count */,
    13, ACE_NTOHL(0x69696f70), ACE_NTOHL(0x5f766572), ACE_NTOHL(0x73696f6e), ACE_NTOHL(0x00000000) /* name = iiop_version */,
    CORBA::tk_struct,
    72 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      16, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x56657273), ACE_NTOHL(0x696f6e3a), ACE_NTOHL(0x312e3000) /* repository ID = IDL:Version:1.0 */,
      8, ACE_NTOHL(0x56657273), ACE_NTOHL(0x696f6e00) /* name = Version */,
      2 /* member count */,
      6, ACE_NTOHL(0x6d616a6f), ACE_NTOHL(0x72000000) /* name = major */,
      CORBA::tk_char,
      6, ACE_NTOHL(0x6d696e6f), ACE_NTOHL(0x72000000) /* name = minor */,
      CORBA::tk_char,
    5, ACE_NTOHL(0x686f7374), ACE_NTOHL(0x00000000) /* name = host */,
    CORBA::tk_string,
    0,
    5, ACE_NTOHL(0x706f7274), ACE_NTOHL(0x00000000) /* name = port */,
    CORBA::tk_ushort,
    11, ACE_NTOHL(0x6f626a65), ACE_NTOHL(0x63745f6b), ACE_NTOHL(0x65790000) /* name = object_key */,
    CORBA::tk_alias,
    52 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      21, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f6f), ACE_NTOHL(0x63746574), ACE_NTOHL(0x00000000) /* name = flick_sequence_octet */,
      CORBA::tk_sequence,
      12 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        CORBA::tk_octet,
        0
};

static CORBA::TypeCode _tc_TAO_tc_IIOP_ProfileBody (CORBA::tk_struct, sizeof(_oc_IIOP_ProfileBody), (char *) &_oc_IIOP_ProfileBody, 0, sizeof(struct ::IIOP::ProfileBody ));

TAO_NAMESPACE_TYPE(CORBA::TypeCode_ptr)
TAO_NAMESPACE_BEGIN (IIOP)
TAO_NAMESPACE_DEFINE (CORBA::TypeCode_ptr, _tc_ProfileBody, &_tc_TAO_tc_IIOP_ProfileBody)
TAO_NAMESPACE_END
void operator<<=(CORBA::Any &a, const struct ::IIOP::ProfileBody &o)
{
  struct ::IIOP::ProfileBody  *_any_val;
  ACE_NEW(_any_val, struct ::IIOP::ProfileBody  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(IIOP::_tc_ProfileBody, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, struct ::IIOP::ProfileBody *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(IIOP::_tc_ProfileBody, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, struct ::IIOP::ProfileBody *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(IIOP::_tc_ProfileBody, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (struct ::IIOP::ProfileBody  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, struct ::IIOP::ProfileBody , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(IIOP::_tc_ProfileBody, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(IIOP::_tc_ProfileBody, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

IIOP::ProfileBody_var::ProfileBody_var()
  : ptr_(0)
{}

IIOP::ProfileBody_var::ProfileBody_var(struct ::IIOP::ProfileBody *p)
 : ptr_(p)
{}

IIOP::ProfileBody_var::ProfileBody_var(const ::IIOP::ProfileBody_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new struct ::IIOP::ProfileBody (*a.ptr_);
  else
    this->ptr_ = 0;
}

IIOP::ProfileBody_var::~ProfileBody_var()
{
  delete this->ptr_;
}

::IIOP::ProfileBody_var &IIOP::ProfileBody_var::operator=(struct ::IIOP::ProfileBody *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

::IIOP::ProfileBody_var &IIOP::ProfileBody_var::operator=(const ::IIOP::ProfileBody_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new struct ::IIOP::ProfileBody (*p.ptr_);
  }
  return *this;
}

struct ::IIOP::ProfileBody *IIOP::ProfileBody_var::operator->()
{
  return this->ptr_;
}

const struct ::IIOP::ProfileBody *IIOP::ProfileBody_var::operator->() const
{
  return this->ptr_;
}

IIOP::ProfileBody_var::operator const struct ::IIOP::ProfileBody &() const
{
  return *this->ptr_;
}

IIOP::ProfileBody_var::operator struct ::IIOP::ProfileBody &()
{
  return *this->ptr_;
}

IIOP::ProfileBody_var::operator struct ::IIOP::ProfileBody &() const
{
  return *this->ptr_;
}

const struct ::IIOP::ProfileBody &IIOP::ProfileBody_var::in() const
{
  return *this->ptr_;
}

struct ::IIOP::ProfileBody &IIOP::ProfileBody_var::inout()
{
  return *this->ptr_;
}

struct ::IIOP::ProfileBody *&IIOP::ProfileBody_var::out()
{
  delete this->ptr_;
  this->ptr_ = 0;
  return this->ptr_;
}

struct ::IIOP::ProfileBody *IIOP::ProfileBody_var::_retn()
{
  struct ::IIOP::ProfileBody  *tmp = this->ptr_;
  this->ptr_ = 0;
  return tmp;
}

struct ::IIOP::ProfileBody *IIOP::ProfileBody_var::ptr() const
{
  return this->ptr_;
}

IIOP::ProfileBody_out::ProfileBody_out(struct ::IIOP::ProfileBody *&r)
  : ptr_(r)
{
  this->ptr_ = 0;
}

IIOP::ProfileBody_out::ProfileBody_out(::IIOP::ProfileBody_var &r)
  : ptr_(r.out())
{
  delete this->ptr_;
  this->ptr_ = 0;
}

IIOP::ProfileBody_out::ProfileBody_out(const ::IIOP::ProfileBody_out &r)
  : ptr_(ACE_const_cast(::IIOP::ProfileBody_out &,r).ptr_)
{}

::IIOP::ProfileBody_out &IIOP::ProfileBody_out::operator=(const ::IIOP::ProfileBody_out &r)
{
  this->ptr_ = ACE_const_cast(::IIOP::ProfileBody_out &,r).ptr_;
  return *this;
}

::IIOP::ProfileBody_out &IIOP::ProfileBody_out::operator=(struct ::IIOP::ProfileBody *r)
{
  this->ptr_ = r;
  return *this;
}

IIOP::ProfileBody_out::operator struct ::IIOP::ProfileBody *&()
{
  return this->ptr_;
}

struct ::IIOP::ProfileBody *&IIOP::ProfileBody_out::ptr()
{
  return this->ptr_;
}

struct ::IIOP::ProfileBody *IIOP::ProfileBody_out::operator->()
{
  return this->ptr_;
}

static const CORBA::Long _oc_IIOP_ProfileBody_flick_sequence_octet[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    21, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f6f), ACE_NTOHL(0x63746574), ACE_NTOHL(0x00000000) /* name = flick_sequence_octet */,
    CORBA::tk_sequence,
    12 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      CORBA::tk_octet,
      0
};

static CORBA::TypeCode _tc_TAO_tc_IIOP_ProfileBody_flick_sequence_octet (CORBA::tk_alias, sizeof(_oc_IIOP_ProfileBody_flick_sequence_octet), (char *) &_oc_IIOP_ProfileBody_flick_sequence_octet, 0, sizeof(::IIOP::ProfileBody::flick_sequence_octet ));

CORBA::TypeCode_ptr IIOP::ProfileBody::_tc_flick_sequence_octet = &_tc_TAO_tc_IIOP_ProfileBody_flick_sequence_octet;

IIOP::ProfileBody::flick_sequence_octet::flick_sequence_octet()
  : _maximum(0),
    _length(0),
    _buffer(0),
    _release(0)
{
}

IIOP::ProfileBody::flick_sequence_octet::flick_sequence_octet(CORBA::ULong max)
  : _maximum(max), _length(0), _release(1)
{
  this->_buffer = IIOP::ProfileBody::flick_sequence_octet::allocbuf(this->_maximum);
}

IIOP::ProfileBody::flick_sequence_octet::flick_sequence_octet(CORBA::ULong max, CORBA::ULong length, CORBA::Octet *buffer, CORBA::Boolean release)
  : _maximum(max),
    _length(length),
    _buffer(buffer),
    _release(release)
{
}

IIOP::ProfileBody::flick_sequence_octet::flick_sequence_octet(const ::IIOP::ProfileBody::flick_sequence_octet &o)
  : _maximum(o._maximum),
    _length(o._length),
    _release(1)
{
  CORBA::Octet  *tmp1 = IIOP::ProfileBody::flick_sequence_octet::allocbuf(this->_maximum);
  
  CORBA::Octet  * const tmp2 = ACE_reinterpret_cast(CORBA::Octet  * ACE_CAST_CONST, o._buffer);
  
  for(CORBA::ULong i = 0; i < this->_length; i++ )
    tmp1[i] = tmp2[i];
  
  this->_buffer = tmp1;
}

IIOP::ProfileBody::flick_sequence_octet::~flick_sequence_octet()
{
  this->_deallocate_buffer();
}

::IIOP::ProfileBody::flick_sequence_octet &IIOP::ProfileBody::flick_sequence_octet::operator=(const ::IIOP::ProfileBody::flick_sequence_octet &rhs)
{
  if( this == &rhs )
    return *this;
  if( this->_release )
  {
  
    if( this->_maximum < rhs._maximum )
    {
      CORBA::Octet  *tmp = ACE_reinterpret_cast(CORBA::Octet  *, this->_buffer);
      
      IIOP::ProfileBody::flick_sequence_octet::freebuf(tmp);
      this->_buffer = IIOP::ProfileBody::flick_sequence_octet::allocbuf(rhs._maximum);
    }
  
  }
  else
    this->_buffer = IIOP::ProfileBody::flick_sequence_octet::allocbuf(rhs._maximum);
  this->_maximum = rhs._maximum;
  this->_length = rhs._length;
  this->_release = 1;
  CORBA::Octet  *tmp1 = ACE_reinterpret_cast(CORBA::Octet  *, this->_buffer);
  CORBA::Octet  * const tmp2 = ACE_reinterpret_cast(CORBA::Octet  * ACE_CAST_CONST, rhs._buffer);
  for(CORBA::ULong i = 0; i < this->_length; i++ )
    tmp1[i] = tmp2[i];
  return *this;
}

CORBA::Octet &IIOP::ProfileBody::flick_sequence_octet::operator[](CORBA::ULong i)
{
  ACE_ASSERT(i < this->_maximum);
  CORBA::Octet  * tmp = ACE_reinterpret_cast(CORBA::Octet  *, this->_buffer);
  return tmp[i];
}

const CORBA::Octet &IIOP::ProfileBody::flick_sequence_octet::operator[](CORBA::ULong i) const
{
  ACE_ASSERT(i < this->_maximum);
  CORBA::Octet  * const tmp = ACE_reinterpret_cast(CORBA::Octet  *ACE_CAST_CONST, this->_buffer);
  return tmp[i];
}

CORBA::Octet *IIOP::ProfileBody::flick_sequence_octet::allocbuf(CORBA::ULong size)
{
  CORBA::Octet  *tmp;
  tmp = new CORBA::Octet [size];
  return tmp;
}

void IIOP::ProfileBody::flick_sequence_octet::freebuf(CORBA::Octet *buffer)
{
  delete [] buffer;
}

void IIOP::ProfileBody::flick_sequence_octet::_allocate_buffer(CORBA::ULong length)
{
  CORBA::Octet  *tmp = IIOP::ProfileBody::flick_sequence_octet::allocbuf(length);
  if( this->_buffer != 0 )
  {
    CORBA::ULong i;
    CORBA::Octet  *old = ACE_reinterpret_cast(CORBA::Octet  *, this->_buffer);
    for( i = 0; i < this->_length; i++ )
      tmp[i] = old[i];
    if( this->_release )
      IIOP::ProfileBody::flick_sequence_octet::freebuf(old);
  }
  this->_buffer = tmp;
}

void IIOP::ProfileBody::flick_sequence_octet::_deallocate_buffer()
{
  if( this->_buffer == 0 || this->_release == 0 )
    return;
  CORBA::Octet  *tmp = ACE_reinterpret_cast(CORBA::Octet  *, this->_buffer);
  
  IIOP::ProfileBody::flick_sequence_octet::freebuf(tmp);
  this->_buffer = 0;
}

CORBA::Boolean IIOP::ProfileBody::flick_sequence_octet::release() const
{
  return this->_release;
}

CORBA::ULong IIOP::ProfileBody::flick_sequence_octet::maximum() const
{
  return this->_maximum;
}

CORBA::ULong IIOP::ProfileBody::flick_sequence_octet::length() const
{
  return this->_length;
}

void IIOP::ProfileBody::flick_sequence_octet::length(CORBA::ULong length)
{
  if( length > this->_maximum )
  {
    this->_allocate_buffer(length);
    this->_maximum = length;
    this->_release = 1;
  }
  else if (length < this->_length)
  {
    this->_shrink_buffer(length, this->_length);
  }
  this->_length = length;
}

void IIOP::ProfileBody::flick_sequence_octet::_shrink_buffer(CORBA::ULong length1, CORBA::ULong length2)
{
}

CORBA::Octet *IIOP::ProfileBody::flick_sequence_octet::get_buffer(CORBA::Boolean orphan)
{
  CORBA::Octet  *result = 0;
  if( orphan == 0 )
  {
    if( this->_buffer == 0 )
    {
      result = IIOP::ProfileBody::flick_sequence_octet::allocbuf(this->_length);
      this->_buffer = result;
    }
    else
    {
      result = ACE_reinterpret_cast(CORBA::Octet  *, this->_buffer);
    }
  }
  else
  {
    if( this->_release != 0 )
    {
      result = ACE_reinterpret_cast(CORBA::Octet  *, this->_buffer);
      this->_maximum = 0;
      this->_length = 0;
      this->_buffer = 0;
      this->_release = 0;
    }
  }
  return result;
}

const CORBA::Octet *IIOP::ProfileBody::flick_sequence_octet::get_buffer() const
{
  return ACE_const_cast(const CORBA::Octet  * ACE_CAST_CONST, this->_buffer);
}

IIOP::ProfileBody::flick_sequence_octet_var::flick_sequence_octet_var()
  : ptr_(0)
{}

IIOP::ProfileBody::flick_sequence_octet_var::flick_sequence_octet_var(::IIOP::ProfileBody::flick_sequence_octet *p)
 : ptr_(p)
{}

IIOP::ProfileBody::flick_sequence_octet_var::flick_sequence_octet_var(const ::IIOP::ProfileBody::flick_sequence_octet_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new ::IIOP::ProfileBody::flick_sequence_octet (*a.ptr_);
  else
    this->ptr_ = 0;
}

IIOP::ProfileBody::flick_sequence_octet_var::~flick_sequence_octet_var()
{
  delete this->ptr_;
}

::IIOP::ProfileBody::flick_sequence_octet_var &IIOP::ProfileBody::flick_sequence_octet_var::operator=(::IIOP::ProfileBody::flick_sequence_octet *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

::IIOP::ProfileBody::flick_sequence_octet_var &IIOP::ProfileBody::flick_sequence_octet_var::operator=(const ::IIOP::ProfileBody::flick_sequence_octet_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new ::IIOP::ProfileBody::flick_sequence_octet (*p.ptr_);
  }
  return *this;
}

CORBA::Octet &IIOP::ProfileBody::flick_sequence_octet_var::operator[](CORBA::ULong index)
{
  return this->ptr_->operator[](index);
}

const CORBA::Octet &IIOP::ProfileBody::flick_sequence_octet_var::operator[](CORBA::ULong index) const
{
  return this->ptr_->operator[](index);
}

::IIOP::ProfileBody::flick_sequence_octet *IIOP::ProfileBody::flick_sequence_octet_var::operator->()
{
  return this->ptr_;
}

const ::IIOP::ProfileBody::flick_sequence_octet *IIOP::ProfileBody::flick_sequence_octet_var::operator->() const
{
  return this->ptr_;
}

IIOP::ProfileBody::flick_sequence_octet_var::operator const ::IIOP::ProfileBody::flick_sequence_octet &() const
{
  return *this->ptr_;
}

IIOP::ProfileBody::flick_sequence_octet_var::operator ::IIOP::ProfileBody::flick_sequence_octet &()
{
  return *this->ptr_;
}

IIOP::ProfileBody::flick_sequence_octet_var::operator ::IIOP::ProfileBody::flick_sequence_octet &() const
{
  return *this->ptr_;
}

const ::IIOP::ProfileBody::flick_sequence_octet &IIOP::ProfileBody::flick_sequence_octet_var::in() const
{
  return *this->ptr_;
}

::IIOP::ProfileBody::flick_sequence_octet &IIOP::ProfileBody::flick_sequence_octet_var::inout()
{
  return *this->ptr_;
}

::IIOP::ProfileBody::flick_sequence_octet *&IIOP::ProfileBody::flick_sequence_octet_var::out()
{
  delete this->ptr_;
  this->ptr_ = 0;
  return this->ptr_;
}

::IIOP::ProfileBody::flick_sequence_octet *IIOP::ProfileBody::flick_sequence_octet_var::_retn()
{
  ::IIOP::ProfileBody::flick_sequence_octet  *tmp = this->ptr_;
  this->ptr_ = 0;
  return tmp;
}

::IIOP::ProfileBody::flick_sequence_octet *IIOP::ProfileBody::flick_sequence_octet_var::ptr() const
{
  return this->ptr_;
}

IIOP::ProfileBody::flick_sequence_octet_out::flick_sequence_octet_out(::IIOP::ProfileBody::flick_sequence_octet *&r)
  : ptr_(r)
{
  this->ptr_ = 0;
}

IIOP::ProfileBody::flick_sequence_octet_out::flick_sequence_octet_out(::IIOP::ProfileBody::flick_sequence_octet_var &r)
  : ptr_(r.out())
{
  delete this->ptr_;
  this->ptr_ = 0;
}

IIOP::ProfileBody::flick_sequence_octet_out::flick_sequence_octet_out(const ::IIOP::ProfileBody::flick_sequence_octet_out &r)
  : ptr_(ACE_const_cast(::IIOP::ProfileBody::flick_sequence_octet_out &,r).ptr_)
{}

::IIOP::ProfileBody::flick_sequence_octet_out &IIOP::ProfileBody::flick_sequence_octet_out::operator=(const ::IIOP::ProfileBody::flick_sequence_octet_out &r)
{
  this->ptr_ = ACE_const_cast(::IIOP::ProfileBody::flick_sequence_octet_out &,r).ptr_;
  return *this;
}

::IIOP::ProfileBody::flick_sequence_octet_out &IIOP::ProfileBody::flick_sequence_octet_out::operator=(::IIOP::ProfileBody::flick_sequence_octet *r)
{
  this->ptr_ = r;
  return *this;
}

IIOP::ProfileBody::flick_sequence_octet_out::operator ::IIOP::ProfileBody::flick_sequence_octet *&()
{
  return this->ptr_;
}

::IIOP::ProfileBody::flick_sequence_octet *&IIOP::ProfileBody::flick_sequence_octet_out::ptr()
{
  return this->ptr_;
}

CORBA::Octet &IIOP::ProfileBody::flick_sequence_octet_out::operator[](CORBA::ULong index)
{
  return this->ptr_->operator[](index);
}

const CORBA::Octet &IIOP::ProfileBody::flick_sequence_octet_out::operator[](CORBA::ULong index) const
{
  return this->ptr_->operator[](index);
}

::IIOP::ProfileBody::flick_sequence_octet *IIOP::ProfileBody::flick_sequence_octet_out::operator->()
{
  return this->ptr_;
}

int flick_marshal_stub_Version(flick_marshal_stream_t _stream, const struct Version *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(2, _flick_abort0);
  flick_iiopxx_encode_new_chunk(2);
  flick_cdr_encode_char8(0, _data->major, CORBA::Char );
  flick_cdr_encode_char8(1, _data->minor, CORBA::Char );
  flick_iiopxx_encode_end_chunk(2);
  flick_iiopxx_encode_end_glob(2);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_Version(flick_marshal_stream_t _stream, struct Version *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(2);
  flick_iiopxx_check_span(2, _flick_abort1);
  flick_iiopxx_decode_new_chunk(2);
  flick_cdr_decode_char8(0, _data->major, CORBA::Char );
  flick_cdr_decode_char8(1, _data->minor, CORBA::Char );
  flick_iiopxx_decode_end_chunk(2);
  flick_iiopxx_decode_end_glob(2);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_Version_swap(flick_marshal_stream_t _stream, struct Version *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(2);
  flick_iiopxx_check_span(2, _flick_abort2);
  flick_iiopxx_decode_new_chunk(2);
  flick_cdr_swap_decode_char8(0, _data->major, CORBA::Char );
  flick_cdr_swap_decode_char8(1, _data->minor, CORBA::Char );
  flick_iiopxx_decode_end_chunk(2);
  flick_iiopxx_decode_end_glob(2);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_IOP_ServiceID(flick_marshal_stream_t _stream, const ::IOP::ServiceID *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(4, _flick_abort3);
  flick_iiopxx_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, *_data, CORBA::ULong );
  flick_iiopxx_encode_end_chunk(4);
  flick_iiopxx_encode_end_glob(4);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_IOP_ServiceID(flick_marshal_stream_t _stream, ::IOP::ServiceID *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(4);
  flick_iiopxx_check_span(4, _flick_abort4);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, *_data, CORBA::ULong );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_end_glob(4);
  return 0;
  {
  _flick_abort4:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_IOP_ServiceID_swap(flick_marshal_stream_t _stream, ::IOP::ServiceID *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(4);
  flick_iiopxx_check_span(4, _flick_abort5);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, *_data, CORBA::ULong );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_end_glob(4);
  return 0;
  {
  _flick_abort5:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_IOP_ServiceContext(flick_marshal_stream_t _stream, const struct ::IOP::ServiceContext *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(8, _flick_abort6);
  flick_iiopxx_encode_new_chunk(8);
  flick_cdr_encode_unsigned32(0, _data->context_id, CORBA::ULong );
  flick_cdr_encode_unsigned32(4, _data->context_data._length, CORBA::ULong );
  flick_iiopxx_encode_end_chunk(8);
  flick_iiopxx_encode_end_glob(8);
  flick_iiopxx_encode_new_glob(1 * _data->context_data._length, _flick_abort6);
  flick_iiopxx_encode_new_chunk(1 * _data->context_data._length);
  flick_cdr_encode_bcopy(0, _data->context_data._buffer, 1 * _data->context_data._length);
  flick_iiopxx_encode_end_chunk(1 * _data->context_data._length);
  flick_iiopxx_encode_end_glob(1 * _data->context_data._length);
  return 0;
  {
  _flick_abort6:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_IOP_ServiceContext(flick_marshal_stream_t _stream, struct ::IOP::ServiceContext *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(8);
  flick_iiopxx_check_span(8, _flick_abort9);
  flick_iiopxx_decode_new_chunk(8);
  flick_cdr_decode_unsigned32(0, _data->context_id, CORBA::ULong );
  flick_cdr_decode_unsigned32(4, _data->context_data._length, CORBA::ULong );
  flick_iiopxx_decode_end_chunk(8);
  flick_iiopxx_decode_end_glob(8);
  flick_iiopxx_decode_new_glob(1 * _data->context_data._length);
  flick_iiopxx_check_span(1 * _data->context_data._length, _flick_abort9);
  flick_iiopxx_decode_new_chunk(1 * _data->context_data._length);
  {
    CORBA::Octet *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA::Octet *)new (CORBA::Octet [_data->context_data._length]);
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort9);
    _data->context_data._buffer = _t_alloc_ptr;
    _data->context_data._maximum = _data->context_data._length;
    _data->context_data._release = 1;
  }
  flick_cdr_decode_bcopy(0, _data->context_data._buffer, 1 * _data->context_data._length);
  flick_iiopxx_decode_end_chunk(1 * _data->context_data._length);
  flick_iiopxx_decode_end_glob(1 * _data->context_data._length);
  return 0;
  {
  _flick_abort9:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_IOP_ServiceContext_swap(flick_marshal_stream_t _stream, struct ::IOP::ServiceContext *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(8);
  flick_iiopxx_check_span(8, _flick_abort12);
  flick_iiopxx_decode_new_chunk(8);
  flick_cdr_swap_decode_unsigned32(0, _data->context_id, CORBA::ULong );
  flick_cdr_swap_decode_unsigned32(4, _data->context_data._length, CORBA::ULong );
  flick_iiopxx_decode_end_chunk(8);
  flick_iiopxx_decode_end_glob(8);
  flick_iiopxx_decode_new_glob(1 * _data->context_data._length);
  flick_iiopxx_check_span(1 * _data->context_data._length, _flick_abort12);
  flick_iiopxx_decode_new_chunk(1 * _data->context_data._length);
  {
    CORBA::Octet *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA::Octet *)new (CORBA::Octet [_data->context_data._length]);
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort12);
    _data->context_data._buffer = _t_alloc_ptr;
    _data->context_data._maximum = _data->context_data._length;
    _data->context_data._release = 1;
  }
  flick_cdr_swap_decode_bcopy(0, _data->context_data._buffer, 1 * _data->context_data._length);
  flick_iiopxx_decode_end_chunk(1 * _data->context_data._length);
  flick_iiopxx_decode_end_glob(1 * _data->context_data._length);
  return 0;
  {
  _flick_abort12:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_IOP_ServiceContextList(flick_marshal_stream_t _stream, const ::IOP::ServiceContextList *_data)
{
  CORBA::ULong _t0_array_iter;

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(4, _flick_abort15);
  flick_iiopxx_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->_length, CORBA::ULong );
  flick_iiopxx_encode_end_chunk(4);
  flick_iiopxx_encode_end_glob(4);
  for (_t0_array_iter = 0; _t0_array_iter < _data->_length; _t0_array_iter++)
    {
      flick_iiopxx_encode_new_glob(11, _flick_abort25);
      flick_iiopxx_encode_new_chunk_align(8, 2, 0, 0);
      flick_cdr_encode_unsigned32(0, _data->_buffer[_t0_array_iter].context_id, CORBA::ULong );
      flick_cdr_encode_unsigned32(4, _data->_buffer[_t0_array_iter].context_data._length, CORBA::ULong );
      flick_iiopxx_encode_end_chunk(8);
      flick_iiopxx_encode_end_glob(11);
      flick_iiopxx_encode_new_glob(1 * _data->_buffer[_t0_array_iter].context_data._length, _flick_abort25);
      flick_iiopxx_encode_new_chunk(1 * _data->_buffer[_t0_array_iter].context_data._length);
      flick_cdr_encode_bcopy(0, _data->_buffer[_t0_array_iter].context_data._buffer, 1 * _data->_buffer[_t0_array_iter].context_data._length);
      flick_iiopxx_encode_end_chunk(1 * _data->_buffer[_t0_array_iter].context_data._length);
      flick_iiopxx_encode_end_glob(1 * _data->_buffer[_t0_array_iter].context_data._length);
      continue;
      {
      _flick_abort25:
        goto _flick_abort15;
      }
    }
  return 0;
  {
  _flick_abort15:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_IOP_ServiceContextList(flick_marshal_stream_t _stream, ::IOP::ServiceContextList *_data)
{
  CORBA::ULong _t1_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(4);
  flick_iiopxx_check_span(4, _flick_abort31);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->_length, CORBA::ULong );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_end_glob(4);
  {
    struct ::IOP::ServiceContext *_t_alloc_ptr;

    _t_alloc_ptr = (struct ::IOP::ServiceContext *)new (struct ::IOP::ServiceContext [_data->_length]);
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort31);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = _data->_length;
    _data->_release = 1;
  }
  for (_t1_array_iter = 0; _t1_array_iter < _data->_length; _t1_array_iter++)
    {
      flick_iiopxx_decode_new_glob(11);
      flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
      flick_iiopxx_check_span(8, _flick_abort41);
      flick_cdr_decode_unsigned32(0, _data->_buffer[_t1_array_iter].context_id, CORBA::ULong );
      flick_cdr_decode_unsigned32(4, _data->_buffer[_t1_array_iter].context_data._length, CORBA::ULong );
      flick_iiopxx_decode_end_chunk(8);
      flick_iiopxx_decode_end_glob(11);
      flick_iiopxx_decode_new_glob(1 * _data->_buffer[_t1_array_iter].context_data._length);
      flick_iiopxx_check_span(1 * _data->_buffer[_t1_array_iter].context_data._length, _flick_abort41);
      flick_iiopxx_decode_new_chunk(1 * _data->_buffer[_t1_array_iter].context_data._length);
      {
        CORBA::Octet *_t_alloc_ptr;

        _t_alloc_ptr = (CORBA::Octet *)new (CORBA::Octet [_data->_buffer[_t1_array_iter].context_data._length]);
        if (!_t_alloc_ptr)
          flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort41);
        _data->_buffer[_t1_array_iter].context_data._buffer = _t_alloc_ptr;
        _data->_buffer[_t1_array_iter].context_data._maximum = _data->_buffer[_t1_array_iter].context_data._length;
        _data->_buffer[_t1_array_iter].context_data._release = 1;
      }
      flick_cdr_decode_bcopy(0, _data->_buffer[_t1_array_iter].context_data._buffer, 1 * _data->_buffer[_t1_array_iter].context_data._length);
      flick_iiopxx_decode_end_chunk(1 * _data->_buffer[_t1_array_iter].context_data._length);
      flick_iiopxx_decode_end_glob(1 * _data->_buffer[_t1_array_iter].context_data._length);
      continue;
      {
      _flick_abort41:
        goto _flick_abort31;
      }
    }
  return 0;
  {
  _flick_abort31:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_IOP_ServiceContextList_swap(flick_marshal_stream_t _stream, ::IOP::ServiceContextList *_data)
{
  CORBA::ULong _t2_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(4);
  flick_iiopxx_check_span(4, _flick_abort47);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->_length, CORBA::ULong );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_end_glob(4);
  {
    struct ::IOP::ServiceContext *_t_alloc_ptr;

    _t_alloc_ptr = (struct ::IOP::ServiceContext *)new (struct ::IOP::ServiceContext [_data->_length]);
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort47);
    _data->_buffer = _t_alloc_ptr;
    _data->_maximum = _data->_length;
    _data->_release = 1;
  }
  for (_t2_array_iter = 0; _t2_array_iter < _data->_length; _t2_array_iter++)
    {
      flick_iiopxx_decode_new_glob(11);
      flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
      flick_iiopxx_check_span(8, _flick_abort57);
      flick_cdr_swap_decode_unsigned32(0, _data->_buffer[_t2_array_iter].context_id, CORBA::ULong );
      flick_cdr_swap_decode_unsigned32(4, _data->_buffer[_t2_array_iter].context_data._length, CORBA::ULong );
      flick_iiopxx_decode_end_chunk(8);
      flick_iiopxx_decode_end_glob(11);
      flick_iiopxx_decode_new_glob(1 * _data->_buffer[_t2_array_iter].context_data._length);
      flick_iiopxx_check_span(1 * _data->_buffer[_t2_array_iter].context_data._length, _flick_abort57);
      flick_iiopxx_decode_new_chunk(1 * _data->_buffer[_t2_array_iter].context_data._length);
      {
        CORBA::Octet *_t_alloc_ptr;

        _t_alloc_ptr = (CORBA::Octet *)new (CORBA::Octet [_data->_buffer[_t2_array_iter].context_data._length]);
        if (!_t_alloc_ptr)
          flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort57);
        _data->_buffer[_t2_array_iter].context_data._buffer = _t_alloc_ptr;
        _data->_buffer[_t2_array_iter].context_data._maximum = _data->_buffer[_t2_array_iter].context_data._length;
        _data->_buffer[_t2_array_iter].context_data._release = 1;
      }
      flick_cdr_swap_decode_bcopy(0, _data->_buffer[_t2_array_iter].context_data._buffer, 1 * _data->_buffer[_t2_array_iter].context_data._length);
      flick_iiopxx_decode_end_chunk(1 * _data->_buffer[_t2_array_iter].context_data._length);
      flick_iiopxx_decode_end_glob(1 * _data->_buffer[_t2_array_iter].context_data._length);
      continue;
      {
      _flick_abort57:
        goto _flick_abort47;
      }
    }
  return 0;
  {
  _flick_abort47:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_GIOP_MsgType(flick_marshal_stream_t _stream, const enum ::GIOP::MsgType *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(4, _flick_abort63);
  flick_iiopxx_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, *_data, const enum ::GIOP::MsgType );
  flick_iiopxx_encode_end_chunk(4);
  flick_iiopxx_encode_end_glob(4);
  return 0;
  {
  _flick_abort63:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_GIOP_MsgType(flick_marshal_stream_t _stream, enum ::GIOP::MsgType *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(4);
  flick_iiopxx_check_span(4, _flick_abort64);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, *_data, enum ::GIOP::MsgType );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_end_glob(4);
  return 0;
  {
  _flick_abort64:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_GIOP_MsgType_swap(flick_marshal_stream_t _stream, enum ::GIOP::MsgType *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(4);
  flick_iiopxx_check_span(4, _flick_abort65);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, *_data, enum ::GIOP::MsgType );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_end_glob(4);
  return 0;
  {
  _flick_abort65:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_GIOP_MessageHeader(flick_marshal_stream_t _stream, const struct ::GIOP::MessageHeader *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(12, _flick_abort66);
  flick_iiopxx_encode_new_chunk(12);
  flick_cdr_encode_bcopy(0, _data->magic, 4);
  flick_cdr_encode_char8(4, _data->GIOP_version.major, CORBA::Char );
  flick_cdr_encode_char8(5, _data->GIOP_version.minor, CORBA::Char );
  flick_cdr_encode_unsigned8(6, _data->byte_order, CORBA::Boolean );
  flick_cdr_encode_unsigned8(7, _data->message_type, CORBA::Octet );
  flick_cdr_encode_unsigned32(8, _data->message_size, CORBA::ULong );
  flick_iiopxx_encode_end_chunk(12);
  flick_iiopxx_encode_end_glob(12);
  return 0;
  {
  _flick_abort66:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_GIOP_MessageHeader(flick_marshal_stream_t _stream, struct ::GIOP::MessageHeader *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(12);
  flick_iiopxx_check_span(12, _flick_abort69);
  flick_iiopxx_decode_new_chunk(12);
  flick_cdr_decode_bcopy(0, _data->magic, 4);
  flick_cdr_decode_char8(4, _data->GIOP_version.major, CORBA::Char );
  flick_cdr_decode_char8(5, _data->GIOP_version.minor, CORBA::Char );
  flick_cdr_decode_unsigned8(6, _data->byte_order, CORBA::Boolean );
  flick_cdr_decode_unsigned8(7, _data->message_type, CORBA::Octet );
  flick_cdr_decode_unsigned32(8, _data->message_size, CORBA::ULong );
  flick_iiopxx_decode_end_chunk(12);
  flick_iiopxx_decode_end_glob(12);
  return 0;
  {
  _flick_abort69:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_GIOP_MessageHeader_swap(flick_marshal_stream_t _stream, struct ::GIOP::MessageHeader *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(12);
  flick_iiopxx_check_span(12, _flick_abort72);
  flick_iiopxx_decode_new_chunk(12);
  flick_cdr_swap_decode_bcopy(0, _data->magic, 4);
  flick_cdr_swap_decode_char8(4, _data->GIOP_version.major, CORBA::Char );
  flick_cdr_swap_decode_char8(5, _data->GIOP_version.minor, CORBA::Char );
  flick_cdr_swap_decode_unsigned8(6, _data->byte_order, CORBA::Boolean );
  flick_cdr_swap_decode_unsigned8(7, _data->message_type, CORBA::Octet );
  flick_cdr_swap_decode_unsigned32(8, _data->message_size, CORBA::ULong );
  flick_iiopxx_decode_end_chunk(12);
  flick_iiopxx_decode_end_glob(12);
  return 0;
  {
  _flick_abort72:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_GIOP_RequestHeader(flick_marshal_stream_t _stream, const struct ::GIOP::RequestHeader *_data)
{
  CORBA::ULong _t3_array_iter;
  flick_unsigned32_t _t4_temp_string_len;

  flick_cdr_stringlen(CORBA::Char *, _data->operation, flick_unsigned32_t , _t4_temp_string_len);

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(4, _flick_abort75);
  flick_iiopxx_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->service_context._length, CORBA::ULong );
  flick_iiopxx_encode_end_chunk(4);
  flick_iiopxx_encode_end_glob(4);
  for (_t3_array_iter = 0; _t3_array_iter < _data->service_context._length; _t3_array_iter++)
    {
      flick_iiopxx_encode_new_glob(11, _flick_abort85);
      flick_iiopxx_encode_new_chunk_align(8, 2, 0, 0);
      flick_cdr_encode_unsigned32(0, _data->service_context._buffer[_t3_array_iter].context_id, CORBA::ULong );
      flick_cdr_encode_unsigned32(4, _data->service_context._buffer[_t3_array_iter].context_data._length, CORBA::ULong );
      flick_iiopxx_encode_end_chunk(8);
      flick_iiopxx_encode_end_glob(11);
      flick_iiopxx_encode_new_glob(1 * _data->service_context._buffer[_t3_array_iter].context_data._length, _flick_abort85);
      flick_iiopxx_encode_new_chunk(1 * _data->service_context._buffer[_t3_array_iter].context_data._length);
      flick_cdr_encode_bcopy(0, _data->service_context._buffer[_t3_array_iter].context_data._buffer, 1 * _data->service_context._buffer[_t3_array_iter].context_data._length);
      flick_iiopxx_encode_end_chunk(1 * _data->service_context._buffer[_t3_array_iter].context_data._length);
      flick_iiopxx_encode_end_glob(1 * _data->service_context._buffer[_t3_array_iter].context_data._length);
      continue;
      {
      _flick_abort85:
        goto _flick_abort75;
      }
    }
  flick_iiopxx_encode_new_glob(15, _flick_abort75);
  flick_iiopxx_encode_new_chunk_align(12, 2, 0, 0);
  flick_cdr_encode_unsigned32(0, _data->request_id, CORBA::ULong );
  flick_cdr_encode_unsigned8(4, _data->response_expected, CORBA::Boolean );
  flick_cdr_encode_unsigned32(8, _data->object_key._length, CORBA::ULong );
  flick_iiopxx_encode_end_chunk(12);
  flick_iiopxx_encode_end_glob(15);
  flick_iiopxx_encode_new_glob(1 * _data->object_key._length, _flick_abort75);
  flick_iiopxx_encode_new_chunk(1 * _data->object_key._length);
  flick_cdr_encode_bcopy(0, _data->object_key._buffer, 1 * _data->object_key._length);
  flick_iiopxx_encode_end_chunk(1 * _data->object_key._length);
  flick_iiopxx_encode_end_glob(1 * _data->object_key._length);
  flick_iiopxx_encode_new_glob(7, _flick_abort75);
  flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
  flick_cdr_encode_unsigned32(0, _t4_temp_string_len, flick_unsigned32_t );
  flick_iiopxx_encode_end_chunk(4);
  flick_iiopxx_encode_end_glob(7);
  flick_iiopxx_encode_new_glob(1 * _t4_temp_string_len, _flick_abort75);
  flick_iiopxx_encode_new_chunk(1 * _t4_temp_string_len);
  flick_cdr_encode_bcopy(0, _data->operation, 1 * _t4_temp_string_len);
  flick_iiopxx_encode_end_chunk(1 * _t4_temp_string_len);
  flick_iiopxx_encode_end_glob(1 * _t4_temp_string_len);
  flick_cdrxx_encode_IOR(iiopxx, _data->requesting_principal, 0, GIOP::Principal , _flick_abort75);
  return 0;
  {
  _flick_abort75:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_GIOP_RequestHeader(flick_marshal_stream_t _stream, struct ::GIOP::RequestHeader *_data)
{
  CORBA::ULong _t5_array_iter;
  flick_unsigned32_t _t6_temp_string_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(4);
  flick_iiopxx_check_span(4, _flick_abort95);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->service_context._length, CORBA::ULong );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_end_glob(4);
  {
    struct ::IOP::ServiceContext *_t_alloc_ptr;

    _t_alloc_ptr = (struct ::IOP::ServiceContext *)new (struct ::IOP::ServiceContext [_data->service_context._length]);
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort95);
    _data->service_context._buffer = _t_alloc_ptr;
    _data->service_context._maximum = _data->service_context._length;
    _data->service_context._release = 1;
  }
  for (_t5_array_iter = 0; _t5_array_iter < _data->service_context._length; _t5_array_iter++)
    {
      flick_iiopxx_decode_new_glob(11);
      flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
      flick_iiopxx_check_span(8, _flick_abort105);
      flick_cdr_decode_unsigned32(0, _data->service_context._buffer[_t5_array_iter].context_id, CORBA::ULong );
      flick_cdr_decode_unsigned32(4, _data->service_context._buffer[_t5_array_iter].context_data._length, CORBA::ULong );
      flick_iiopxx_decode_end_chunk(8);
      flick_iiopxx_decode_end_glob(11);
      flick_iiopxx_decode_new_glob(1 * _data->service_context._buffer[_t5_array_iter].context_data._length);
      flick_iiopxx_check_span(1 * _data->service_context._buffer[_t5_array_iter].context_data._length, _flick_abort105);
      flick_iiopxx_decode_new_chunk(1 * _data->service_context._buffer[_t5_array_iter].context_data._length);
      {
        CORBA::Octet *_t_alloc_ptr;

        _t_alloc_ptr = (CORBA::Octet *)new (CORBA::Octet [_data->service_context._buffer[_t5_array_iter].context_data._length]);
        if (!_t_alloc_ptr)
          flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort105);
        _data->service_context._buffer[_t5_array_iter].context_data._buffer = _t_alloc_ptr;
        _data->service_context._buffer[_t5_array_iter].context_data._maximum = _data->service_context._buffer[_t5_array_iter].context_data._length;
        _data->service_context._buffer[_t5_array_iter].context_data._release = 1;
      }
      flick_cdr_decode_bcopy(0, _data->service_context._buffer[_t5_array_iter].context_data._buffer, 1 * _data->service_context._buffer[_t5_array_iter].context_data._length);
      flick_iiopxx_decode_end_chunk(1 * _data->service_context._buffer[_t5_array_iter].context_data._length);
      flick_iiopxx_decode_end_glob(1 * _data->service_context._buffer[_t5_array_iter].context_data._length);
      continue;
      {
      _flick_abort105:
        goto _flick_abort95;
      }
    }
  flick_iiopxx_decode_new_glob(15);
  flick_iiopxx_decode_new_chunk_align(12, 2, 0, 0);
  flick_iiopxx_check_span(12, _flick_abort95);
  flick_cdr_decode_unsigned32(0, _data->request_id, CORBA::ULong );
  flick_cdr_decode_unsigned8(4, _data->response_expected, CORBA::Boolean );
  flick_cdr_decode_unsigned32(8, _data->object_key._length, CORBA::ULong );
  flick_iiopxx_decode_end_chunk(12);
  flick_iiopxx_decode_end_glob(15);
  flick_iiopxx_decode_new_glob(1 * _data->object_key._length);
  flick_iiopxx_check_span(1 * _data->object_key._length, _flick_abort95);
  flick_iiopxx_decode_new_chunk(1 * _data->object_key._length);
  {
    CORBA::Octet *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA::Octet *)new (CORBA::Octet [_data->object_key._length]);
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort95);
    _data->object_key._buffer = _t_alloc_ptr;
    _data->object_key._maximum = _data->object_key._length;
    _data->object_key._release = 1;
  }
  flick_cdr_decode_bcopy(0, _data->object_key._buffer, 1 * _data->object_key._length);
  flick_iiopxx_decode_end_chunk(1 * _data->object_key._length);
  flick_iiopxx_decode_end_glob(1 * _data->object_key._length);
  flick_iiopxx_decode_new_glob(7);
  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
  flick_iiopxx_check_span(4, _flick_abort95);
  flick_cdr_decode_unsigned32(0, _t6_temp_string_len, flick_unsigned32_t );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_end_glob(7);
  flick_iiopxx_decode_new_glob(1 * _t6_temp_string_len);
  flick_iiopxx_check_span(1 * _t6_temp_string_len, _flick_abort95);
  flick_iiopxx_decode_new_chunk(1 * _t6_temp_string_len);
  {
    CORBA::Char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t6_temp_string_len * sizeof(CORBA::Char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort95);
    _data->operation = _t_alloc_ptr;
  }
  flick_cdr_decode_bcopy(0, _data->operation, 1 * _t6_temp_string_len);
  flick_iiopxx_decode_end_chunk(1 * _t6_temp_string_len);
  flick_iiopxx_decode_end_glob(1 * _t6_temp_string_len);
  flick_cdrxx_decode_IOR(iiopxx, _data->requesting_principal, 1, GIOP::Principal , _flick_abort95);
  return 0;
  {
  _flick_abort95:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_GIOP_RequestHeader_swap(flick_marshal_stream_t _stream, struct ::GIOP::RequestHeader *_data)
{
  CORBA::ULong _t7_array_iter;
  flick_unsigned32_t _t8_temp_string_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(4);
  flick_iiopxx_check_span(4, _flick_abort115);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->service_context._length, CORBA::ULong );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_end_glob(4);
  {
    struct ::IOP::ServiceContext *_t_alloc_ptr;

    _t_alloc_ptr = (struct ::IOP::ServiceContext *)new (struct ::IOP::ServiceContext [_data->service_context._length]);
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort115);
    _data->service_context._buffer = _t_alloc_ptr;
    _data->service_context._maximum = _data->service_context._length;
    _data->service_context._release = 1;
  }
  for (_t7_array_iter = 0; _t7_array_iter < _data->service_context._length; _t7_array_iter++)
    {
      flick_iiopxx_decode_new_glob(11);
      flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
      flick_iiopxx_check_span(8, _flick_abort125);
      flick_cdr_swap_decode_unsigned32(0, _data->service_context._buffer[_t7_array_iter].context_id, CORBA::ULong );
      flick_cdr_swap_decode_unsigned32(4, _data->service_context._buffer[_t7_array_iter].context_data._length, CORBA::ULong );
      flick_iiopxx_decode_end_chunk(8);
      flick_iiopxx_decode_end_glob(11);
      flick_iiopxx_decode_new_glob(1 * _data->service_context._buffer[_t7_array_iter].context_data._length);
      flick_iiopxx_check_span(1 * _data->service_context._buffer[_t7_array_iter].context_data._length, _flick_abort125);
      flick_iiopxx_decode_new_chunk(1 * _data->service_context._buffer[_t7_array_iter].context_data._length);
      {
        CORBA::Octet *_t_alloc_ptr;

        _t_alloc_ptr = (CORBA::Octet *)new (CORBA::Octet [_data->service_context._buffer[_t7_array_iter].context_data._length]);
        if (!_t_alloc_ptr)
          flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort125);
        _data->service_context._buffer[_t7_array_iter].context_data._buffer = _t_alloc_ptr;
        _data->service_context._buffer[_t7_array_iter].context_data._maximum = _data->service_context._buffer[_t7_array_iter].context_data._length;
        _data->service_context._buffer[_t7_array_iter].context_data._release = 1;
      }
      flick_cdr_swap_decode_bcopy(0, _data->service_context._buffer[_t7_array_iter].context_data._buffer, 1 * _data->service_context._buffer[_t7_array_iter].context_data._length);
      flick_iiopxx_decode_end_chunk(1 * _data->service_context._buffer[_t7_array_iter].context_data._length);
      flick_iiopxx_decode_end_glob(1 * _data->service_context._buffer[_t7_array_iter].context_data._length);
      continue;
      {
      _flick_abort125:
        goto _flick_abort115;
      }
    }
  flick_iiopxx_decode_new_glob(15);
  flick_iiopxx_decode_new_chunk_align(12, 2, 0, 0);
  flick_iiopxx_check_span(12, _flick_abort115);
  flick_cdr_swap_decode_unsigned32(0, _data->request_id, CORBA::ULong );
  flick_cdr_swap_decode_unsigned8(4, _data->response_expected, CORBA::Boolean );
  flick_cdr_swap_decode_unsigned32(8, _data->object_key._length, CORBA::ULong );
  flick_iiopxx_decode_end_chunk(12);
  flick_iiopxx_decode_end_glob(15);
  flick_iiopxx_decode_new_glob(1 * _data->object_key._length);
  flick_iiopxx_check_span(1 * _data->object_key._length, _flick_abort115);
  flick_iiopxx_decode_new_chunk(1 * _data->object_key._length);
  {
    CORBA::Octet *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA::Octet *)new (CORBA::Octet [_data->object_key._length]);
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort115);
    _data->object_key._buffer = _t_alloc_ptr;
    _data->object_key._maximum = _data->object_key._length;
    _data->object_key._release = 1;
  }
  flick_cdr_swap_decode_bcopy(0, _data->object_key._buffer, 1 * _data->object_key._length);
  flick_iiopxx_decode_end_chunk(1 * _data->object_key._length);
  flick_iiopxx_decode_end_glob(1 * _data->object_key._length);
  flick_iiopxx_decode_new_glob(7);
  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
  flick_iiopxx_check_span(4, _flick_abort115);
  flick_cdr_swap_decode_unsigned32(0, _t8_temp_string_len, flick_unsigned32_t );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_end_glob(7);
  flick_iiopxx_decode_new_glob(1 * _t8_temp_string_len);
  flick_iiopxx_check_span(1 * _t8_temp_string_len, _flick_abort115);
  flick_iiopxx_decode_new_chunk(1 * _t8_temp_string_len);
  {
    CORBA::Char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t8_temp_string_len * sizeof(CORBA::Char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort115);
    _data->operation = _t_alloc_ptr;
  }
  flick_cdr_swap_decode_bcopy(0, _data->operation, 1 * _t8_temp_string_len);
  flick_iiopxx_decode_end_chunk(1 * _t8_temp_string_len);
  flick_iiopxx_decode_end_glob(1 * _t8_temp_string_len);
  flick_cdr_swapxx_decode_IOR(iiopxx, _data->requesting_principal, 1, GIOP::Principal , _flick_abort115);
  return 0;
  {
  _flick_abort115:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_GIOP_ReplyStatusType(flick_marshal_stream_t _stream, const enum ::GIOP::ReplyStatusType *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(4, _flick_abort135);
  flick_iiopxx_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, *_data, const enum ::GIOP::ReplyStatusType );
  flick_iiopxx_encode_end_chunk(4);
  flick_iiopxx_encode_end_glob(4);
  return 0;
  {
  _flick_abort135:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_GIOP_ReplyStatusType(flick_marshal_stream_t _stream, enum ::GIOP::ReplyStatusType *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(4);
  flick_iiopxx_check_span(4, _flick_abort136);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, *_data, enum ::GIOP::ReplyStatusType );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_end_glob(4);
  return 0;
  {
  _flick_abort136:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_GIOP_ReplyStatusType_swap(flick_marshal_stream_t _stream, enum ::GIOP::ReplyStatusType *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(4);
  flick_iiopxx_check_span(4, _flick_abort137);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, *_data, enum ::GIOP::ReplyStatusType );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_end_glob(4);
  return 0;
  {
  _flick_abort137:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_GIOP_ReplyHeader(flick_marshal_stream_t _stream, const struct ::GIOP::ReplyHeader *_data)
{
  CORBA::ULong _t9_array_iter;

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(4, _flick_abort138);
  flick_iiopxx_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->server_context._length, CORBA::ULong );
  flick_iiopxx_encode_end_chunk(4);
  flick_iiopxx_encode_end_glob(4);
  for (_t9_array_iter = 0; _t9_array_iter < _data->server_context._length; _t9_array_iter++)
    {
      flick_iiopxx_encode_new_glob(11, _flick_abort148);
      flick_iiopxx_encode_new_chunk_align(8, 2, 0, 0);
      flick_cdr_encode_unsigned32(0, _data->server_context._buffer[_t9_array_iter].context_id, CORBA::ULong );
      flick_cdr_encode_unsigned32(4, _data->server_context._buffer[_t9_array_iter].context_data._length, CORBA::ULong );
      flick_iiopxx_encode_end_chunk(8);
      flick_iiopxx_encode_end_glob(11);
      flick_iiopxx_encode_new_glob(1 * _data->server_context._buffer[_t9_array_iter].context_data._length, _flick_abort148);
      flick_iiopxx_encode_new_chunk(1 * _data->server_context._buffer[_t9_array_iter].context_data._length);
      flick_cdr_encode_bcopy(0, _data->server_context._buffer[_t9_array_iter].context_data._buffer, 1 * _data->server_context._buffer[_t9_array_iter].context_data._length);
      flick_iiopxx_encode_end_chunk(1 * _data->server_context._buffer[_t9_array_iter].context_data._length);
      flick_iiopxx_encode_end_glob(1 * _data->server_context._buffer[_t9_array_iter].context_data._length);
      continue;
      {
      _flick_abort148:
        goto _flick_abort138;
      }
    }
  flick_iiopxx_encode_new_glob(11, _flick_abort138);
  flick_iiopxx_encode_new_chunk_align(8, 2, 0, 0);
  flick_cdr_encode_unsigned32(0, _data->request_id, CORBA::ULong );
  flick_cdr_encode_unsigned32(4, _data->reply_status, enum ::GIOP::ReplyStatusType );
  flick_iiopxx_encode_end_chunk(8);
  flick_iiopxx_encode_end_glob(11);
  return 0;
  {
  _flick_abort138:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_GIOP_ReplyHeader(flick_marshal_stream_t _stream, struct ::GIOP::ReplyHeader *_data)
{
  CORBA::ULong _t10_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(4);
  flick_iiopxx_check_span(4, _flick_abort154);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->server_context._length, CORBA::ULong );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_end_glob(4);
  {
    struct ::IOP::ServiceContext *_t_alloc_ptr;

    _t_alloc_ptr = (struct ::IOP::ServiceContext *)new (struct ::IOP::ServiceContext [_data->server_context._length]);
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort154);
    _data->server_context._buffer = _t_alloc_ptr;
    _data->server_context._maximum = _data->server_context._length;
    _data->server_context._release = 1;
  }
  for (_t10_array_iter = 0; _t10_array_iter < _data->server_context._length; _t10_array_iter++)
    {
      flick_iiopxx_decode_new_glob(11);
      flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
      flick_iiopxx_check_span(8, _flick_abort164);
      flick_cdr_decode_unsigned32(0, _data->server_context._buffer[_t10_array_iter].context_id, CORBA::ULong );
      flick_cdr_decode_unsigned32(4, _data->server_context._buffer[_t10_array_iter].context_data._length, CORBA::ULong );
      flick_iiopxx_decode_end_chunk(8);
      flick_iiopxx_decode_end_glob(11);
      flick_iiopxx_decode_new_glob(1 * _data->server_context._buffer[_t10_array_iter].context_data._length);
      flick_iiopxx_check_span(1 * _data->server_context._buffer[_t10_array_iter].context_data._length, _flick_abort164);
      flick_iiopxx_decode_new_chunk(1 * _data->server_context._buffer[_t10_array_iter].context_data._length);
      {
        CORBA::Octet *_t_alloc_ptr;

        _t_alloc_ptr = (CORBA::Octet *)new (CORBA::Octet [_data->server_context._buffer[_t10_array_iter].context_data._length]);
        if (!_t_alloc_ptr)
          flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort164);
        _data->server_context._buffer[_t10_array_iter].context_data._buffer = _t_alloc_ptr;
        _data->server_context._buffer[_t10_array_iter].context_data._maximum = _data->server_context._buffer[_t10_array_iter].context_data._length;
        _data->server_context._buffer[_t10_array_iter].context_data._release = 1;
      }
      flick_cdr_decode_bcopy(0, _data->server_context._buffer[_t10_array_iter].context_data._buffer, 1 * _data->server_context._buffer[_t10_array_iter].context_data._length);
      flick_iiopxx_decode_end_chunk(1 * _data->server_context._buffer[_t10_array_iter].context_data._length);
      flick_iiopxx_decode_end_glob(1 * _data->server_context._buffer[_t10_array_iter].context_data._length);
      continue;
      {
      _flick_abort164:
        goto _flick_abort154;
      }
    }
  flick_iiopxx_decode_new_glob(11);
  flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
  flick_iiopxx_check_span(8, _flick_abort154);
  flick_cdr_decode_unsigned32(0, _data->request_id, CORBA::ULong );
  flick_cdr_decode_unsigned32(4, _data->reply_status, enum ::GIOP::ReplyStatusType );
  flick_iiopxx_decode_end_chunk(8);
  flick_iiopxx_decode_end_glob(11);
  return 0;
  {
  _flick_abort154:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_GIOP_ReplyHeader_swap(flick_marshal_stream_t _stream, struct ::GIOP::ReplyHeader *_data)
{
  CORBA::ULong _t11_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(4);
  flick_iiopxx_check_span(4, _flick_abort170);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->server_context._length, CORBA::ULong );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_end_glob(4);
  {
    struct ::IOP::ServiceContext *_t_alloc_ptr;

    _t_alloc_ptr = (struct ::IOP::ServiceContext *)new (struct ::IOP::ServiceContext [_data->server_context._length]);
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort170);
    _data->server_context._buffer = _t_alloc_ptr;
    _data->server_context._maximum = _data->server_context._length;
    _data->server_context._release = 1;
  }
  for (_t11_array_iter = 0; _t11_array_iter < _data->server_context._length; _t11_array_iter++)
    {
      flick_iiopxx_decode_new_glob(11);
      flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
      flick_iiopxx_check_span(8, _flick_abort180);
      flick_cdr_swap_decode_unsigned32(0, _data->server_context._buffer[_t11_array_iter].context_id, CORBA::ULong );
      flick_cdr_swap_decode_unsigned32(4, _data->server_context._buffer[_t11_array_iter].context_data._length, CORBA::ULong );
      flick_iiopxx_decode_end_chunk(8);
      flick_iiopxx_decode_end_glob(11);
      flick_iiopxx_decode_new_glob(1 * _data->server_context._buffer[_t11_array_iter].context_data._length);
      flick_iiopxx_check_span(1 * _data->server_context._buffer[_t11_array_iter].context_data._length, _flick_abort180);
      flick_iiopxx_decode_new_chunk(1 * _data->server_context._buffer[_t11_array_iter].context_data._length);
      {
        CORBA::Octet *_t_alloc_ptr;

        _t_alloc_ptr = (CORBA::Octet *)new (CORBA::Octet [_data->server_context._buffer[_t11_array_iter].context_data._length]);
        if (!_t_alloc_ptr)
          flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort180);
        _data->server_context._buffer[_t11_array_iter].context_data._buffer = _t_alloc_ptr;
        _data->server_context._buffer[_t11_array_iter].context_data._maximum = _data->server_context._buffer[_t11_array_iter].context_data._length;
        _data->server_context._buffer[_t11_array_iter].context_data._release = 1;
      }
      flick_cdr_swap_decode_bcopy(0, _data->server_context._buffer[_t11_array_iter].context_data._buffer, 1 * _data->server_context._buffer[_t11_array_iter].context_data._length);
      flick_iiopxx_decode_end_chunk(1 * _data->server_context._buffer[_t11_array_iter].context_data._length);
      flick_iiopxx_decode_end_glob(1 * _data->server_context._buffer[_t11_array_iter].context_data._length);
      continue;
      {
      _flick_abort180:
        goto _flick_abort170;
      }
    }
  flick_iiopxx_decode_new_glob(11);
  flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
  flick_iiopxx_check_span(8, _flick_abort170);
  flick_cdr_swap_decode_unsigned32(0, _data->request_id, CORBA::ULong );
  flick_cdr_swap_decode_unsigned32(4, _data->reply_status, enum ::GIOP::ReplyStatusType );
  flick_iiopxx_decode_end_chunk(8);
  flick_iiopxx_decode_end_glob(11);
  return 0;
  {
  _flick_abort170:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_GIOP_CancelRequestHeader(flick_marshal_stream_t _stream, const struct ::GIOP::CancelRequestHeader *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(4, _flick_abort186);
  flick_iiopxx_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->request_id, CORBA::ULong );
  flick_iiopxx_encode_end_chunk(4);
  flick_iiopxx_encode_end_glob(4);
  return 0;
  {
  _flick_abort186:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_GIOP_CancelRequestHeader(flick_marshal_stream_t _stream, struct ::GIOP::CancelRequestHeader *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(4);
  flick_iiopxx_check_span(4, _flick_abort187);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->request_id, CORBA::ULong );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_end_glob(4);
  return 0;
  {
  _flick_abort187:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_GIOP_CancelRequestHeader_swap(flick_marshal_stream_t _stream, struct ::GIOP::CancelRequestHeader *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(4);
  flick_iiopxx_check_span(4, _flick_abort188);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->request_id, CORBA::ULong );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_end_glob(4);
  return 0;
  {
  _flick_abort188:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_GIOP_LocateRequestHeader(flick_marshal_stream_t _stream, const struct ::GIOP::LocateRequestHeader *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(8, _flick_abort189);
  flick_iiopxx_encode_new_chunk(8);
  flick_cdr_encode_unsigned32(0, _data->request_id, CORBA::ULong );
  flick_cdr_encode_unsigned32(4, _data->object_key._length, CORBA::ULong );
  flick_iiopxx_encode_end_chunk(8);
  flick_iiopxx_encode_end_glob(8);
  flick_iiopxx_encode_new_glob(1 * _data->object_key._length, _flick_abort189);
  flick_iiopxx_encode_new_chunk(1 * _data->object_key._length);
  flick_cdr_encode_bcopy(0, _data->object_key._buffer, 1 * _data->object_key._length);
  flick_iiopxx_encode_end_chunk(1 * _data->object_key._length);
  flick_iiopxx_encode_end_glob(1 * _data->object_key._length);
  return 0;
  {
  _flick_abort189:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_GIOP_LocateRequestHeader(flick_marshal_stream_t _stream, struct ::GIOP::LocateRequestHeader *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(8);
  flick_iiopxx_check_span(8, _flick_abort192);
  flick_iiopxx_decode_new_chunk(8);
  flick_cdr_decode_unsigned32(0, _data->request_id, CORBA::ULong );
  flick_cdr_decode_unsigned32(4, _data->object_key._length, CORBA::ULong );
  flick_iiopxx_decode_end_chunk(8);
  flick_iiopxx_decode_end_glob(8);
  flick_iiopxx_decode_new_glob(1 * _data->object_key._length);
  flick_iiopxx_check_span(1 * _data->object_key._length, _flick_abort192);
  flick_iiopxx_decode_new_chunk(1 * _data->object_key._length);
  {
    CORBA::Octet *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA::Octet *)new (CORBA::Octet [_data->object_key._length]);
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort192);
    _data->object_key._buffer = _t_alloc_ptr;
    _data->object_key._maximum = _data->object_key._length;
    _data->object_key._release = 1;
  }
  flick_cdr_decode_bcopy(0, _data->object_key._buffer, 1 * _data->object_key._length);
  flick_iiopxx_decode_end_chunk(1 * _data->object_key._length);
  flick_iiopxx_decode_end_glob(1 * _data->object_key._length);
  return 0;
  {
  _flick_abort192:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_GIOP_LocateRequestHeader_swap(flick_marshal_stream_t _stream, struct ::GIOP::LocateRequestHeader *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(8);
  flick_iiopxx_check_span(8, _flick_abort195);
  flick_iiopxx_decode_new_chunk(8);
  flick_cdr_swap_decode_unsigned32(0, _data->request_id, CORBA::ULong );
  flick_cdr_swap_decode_unsigned32(4, _data->object_key._length, CORBA::ULong );
  flick_iiopxx_decode_end_chunk(8);
  flick_iiopxx_decode_end_glob(8);
  flick_iiopxx_decode_new_glob(1 * _data->object_key._length);
  flick_iiopxx_check_span(1 * _data->object_key._length, _flick_abort195);
  flick_iiopxx_decode_new_chunk(1 * _data->object_key._length);
  {
    CORBA::Octet *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA::Octet *)new (CORBA::Octet [_data->object_key._length]);
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort195);
    _data->object_key._buffer = _t_alloc_ptr;
    _data->object_key._maximum = _data->object_key._length;
    _data->object_key._release = 1;
  }
  flick_cdr_swap_decode_bcopy(0, _data->object_key._buffer, 1 * _data->object_key._length);
  flick_iiopxx_decode_end_chunk(1 * _data->object_key._length);
  flick_iiopxx_decode_end_glob(1 * _data->object_key._length);
  return 0;
  {
  _flick_abort195:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_GIOP_LocateStatusType(flick_marshal_stream_t _stream, const enum ::GIOP::LocateStatusType *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(4, _flick_abort198);
  flick_iiopxx_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, *_data, const enum ::GIOP::LocateStatusType );
  flick_iiopxx_encode_end_chunk(4);
  flick_iiopxx_encode_end_glob(4);
  return 0;
  {
  _flick_abort198:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_GIOP_LocateStatusType(flick_marshal_stream_t _stream, enum ::GIOP::LocateStatusType *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(4);
  flick_iiopxx_check_span(4, _flick_abort199);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, *_data, enum ::GIOP::LocateStatusType );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_end_glob(4);
  return 0;
  {
  _flick_abort199:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_GIOP_LocateStatusType_swap(flick_marshal_stream_t _stream, enum ::GIOP::LocateStatusType *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(4);
  flick_iiopxx_check_span(4, _flick_abort200);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, *_data, enum ::GIOP::LocateStatusType );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_end_glob(4);
  return 0;
  {
  _flick_abort200:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_GIOP_LocateReplyHeader(flick_marshal_stream_t _stream, const struct ::GIOP::LocateReplyHeader *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(8, _flick_abort201);
  flick_iiopxx_encode_new_chunk(8);
  flick_cdr_encode_unsigned32(0, _data->request_id, CORBA::ULong );
  flick_cdr_encode_unsigned32(4, _data->locate_status, enum ::GIOP::LocateStatusType );
  flick_iiopxx_encode_end_chunk(8);
  flick_iiopxx_encode_end_glob(8);
  return 0;
  {
  _flick_abort201:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_GIOP_LocateReplyHeader(flick_marshal_stream_t _stream, struct ::GIOP::LocateReplyHeader *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(8);
  flick_iiopxx_check_span(8, _flick_abort202);
  flick_iiopxx_decode_new_chunk(8);
  flick_cdr_decode_unsigned32(0, _data->request_id, CORBA::ULong );
  flick_cdr_decode_unsigned32(4, _data->locate_status, enum ::GIOP::LocateStatusType );
  flick_iiopxx_decode_end_chunk(8);
  flick_iiopxx_decode_end_glob(8);
  return 0;
  {
  _flick_abort202:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_GIOP_LocateReplyHeader_swap(flick_marshal_stream_t _stream, struct ::GIOP::LocateReplyHeader *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(8);
  flick_iiopxx_check_span(8, _flick_abort203);
  flick_iiopxx_decode_new_chunk(8);
  flick_cdr_swap_decode_unsigned32(0, _data->request_id, CORBA::ULong );
  flick_cdr_swap_decode_unsigned32(4, _data->locate_status, enum ::GIOP::LocateStatusType );
  flick_iiopxx_decode_end_chunk(8);
  flick_iiopxx_decode_end_glob(8);
  return 0;
  {
  _flick_abort203:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_IIOP_ProfileBody(flick_marshal_stream_t _stream, const struct ::IIOP::ProfileBody *_data)
{
  flick_unsigned32_t _t12_temp_string_len;

  flick_cdr_stringlen(CORBA::Char *, _data->host, flick_unsigned32_t , _t12_temp_string_len);

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(8, _flick_abort204);
  flick_iiopxx_encode_new_chunk(8);
  flick_cdr_encode_char8(0, _data->iiop_version.major, CORBA::Char );
  flick_cdr_encode_char8(1, _data->iiop_version.minor, CORBA::Char );
  flick_cdr_encode_unsigned32(4, _t12_temp_string_len, flick_unsigned32_t );
  flick_iiopxx_encode_end_chunk(8);
  flick_iiopxx_encode_end_glob(8);
  flick_iiopxx_encode_new_glob(1 * _t12_temp_string_len, _flick_abort204);
  flick_iiopxx_encode_new_chunk(1 * _t12_temp_string_len);
  flick_cdr_encode_bcopy(0, _data->host, 1 * _t12_temp_string_len);
  flick_iiopxx_encode_end_chunk(1 * _t12_temp_string_len);
  flick_iiopxx_encode_end_glob(1 * _t12_temp_string_len);
  flick_iiopxx_encode_new_glob(9, _flick_abort204);
  flick_iiopxx_encode_new_chunk_align(2, 1, 0, 0);
  flick_cdr_encode_unsigned16(0, _data->port, CORBA::UShort );
  flick_iiopxx_encode_end_chunk(2);
  flick_iiopxx_encode_new_chunk_align(4, 2, 1, 0);
  flick_cdr_encode_unsigned32(0, _data->object_key._length, CORBA::ULong );
  flick_iiopxx_encode_end_chunk(4);
  flick_iiopxx_encode_end_glob(9);
  flick_iiopxx_encode_new_glob(1 * _data->object_key._length, _flick_abort204);
  flick_iiopxx_encode_new_chunk(1 * _data->object_key._length);
  flick_cdr_encode_bcopy(0, _data->object_key._buffer, 1 * _data->object_key._length);
  flick_iiopxx_encode_end_chunk(1 * _data->object_key._length);
  flick_iiopxx_encode_end_glob(1 * _data->object_key._length);
  return 0;
  {
  _flick_abort204:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_IIOP_ProfileBody(flick_marshal_stream_t _stream, struct ::IIOP::ProfileBody *_data)
{
  flick_unsigned32_t _t13_temp_string_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(8);
  flick_iiopxx_check_span(8, _flick_abort209);
  flick_iiopxx_decode_new_chunk(8);
  flick_cdr_decode_char8(0, _data->iiop_version.major, CORBA::Char );
  flick_cdr_decode_char8(1, _data->iiop_version.minor, CORBA::Char );
  flick_cdr_decode_unsigned32(4, _t13_temp_string_len, flick_unsigned32_t );
  flick_iiopxx_decode_end_chunk(8);
  flick_iiopxx_decode_end_glob(8);
  flick_iiopxx_decode_new_glob(1 * _t13_temp_string_len);
  flick_iiopxx_check_span(1 * _t13_temp_string_len, _flick_abort209);
  flick_iiopxx_decode_new_chunk(1 * _t13_temp_string_len);
  {
    CORBA::Char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t13_temp_string_len * sizeof(CORBA::Char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort209);
    _data->host = _t_alloc_ptr;
  }
  flick_cdr_decode_bcopy(0, _data->host, 1 * _t13_temp_string_len);
  flick_iiopxx_decode_end_chunk(1 * _t13_temp_string_len);
  flick_iiopxx_decode_end_glob(1 * _t13_temp_string_len);
  flick_iiopxx_decode_new_glob(9);
  flick_iiopxx_decode_new_chunk_align(2, 1, 0, 0);
  flick_iiopxx_check_span(2, _flick_abort209);
  flick_cdr_decode_unsigned16(0, _data->port, CORBA::UShort );
  flick_iiopxx_decode_end_chunk(2);
  flick_iiopxx_decode_new_chunk_align(4, 2, 1, 0);
  flick_iiopxx_check_span(4, _flick_abort209);
  flick_cdr_decode_unsigned32(0, _data->object_key._length, CORBA::ULong );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_end_glob(9);
  flick_iiopxx_decode_new_glob(1 * _data->object_key._length);
  flick_iiopxx_check_span(1 * _data->object_key._length, _flick_abort209);
  flick_iiopxx_decode_new_chunk(1 * _data->object_key._length);
  {
    CORBA::Octet *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA::Octet *)new (CORBA::Octet [_data->object_key._length]);
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort209);
    _data->object_key._buffer = _t_alloc_ptr;
    _data->object_key._maximum = _data->object_key._length;
    _data->object_key._release = 1;
  }
  flick_cdr_decode_bcopy(0, _data->object_key._buffer, 1 * _data->object_key._length);
  flick_iiopxx_decode_end_chunk(1 * _data->object_key._length);
  flick_iiopxx_decode_end_glob(1 * _data->object_key._length);
  return 0;
  {
  _flick_abort209:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_IIOP_ProfileBody_swap(flick_marshal_stream_t _stream, struct ::IIOP::ProfileBody *_data)
{
  flick_unsigned32_t _t14_temp_string_len;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(8);
  flick_iiopxx_check_span(8, _flick_abort214);
  flick_iiopxx_decode_new_chunk(8);
  flick_cdr_swap_decode_char8(0, _data->iiop_version.major, CORBA::Char );
  flick_cdr_swap_decode_char8(1, _data->iiop_version.minor, CORBA::Char );
  flick_cdr_swap_decode_unsigned32(4, _t14_temp_string_len, flick_unsigned32_t );
  flick_iiopxx_decode_end_chunk(8);
  flick_iiopxx_decode_end_glob(8);
  flick_iiopxx_decode_new_glob(1 * _t14_temp_string_len);
  flick_iiopxx_check_span(1 * _t14_temp_string_len, _flick_abort214);
  flick_iiopxx_decode_new_chunk(1 * _t14_temp_string_len);
  {
    CORBA::Char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t14_temp_string_len * sizeof(CORBA::Char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort214);
    _data->host = _t_alloc_ptr;
  }
  flick_cdr_swap_decode_bcopy(0, _data->host, 1 * _t14_temp_string_len);
  flick_iiopxx_decode_end_chunk(1 * _t14_temp_string_len);
  flick_iiopxx_decode_end_glob(1 * _t14_temp_string_len);
  flick_iiopxx_decode_new_glob(9);
  flick_iiopxx_decode_new_chunk_align(2, 1, 0, 0);
  flick_iiopxx_check_span(2, _flick_abort214);
  flick_cdr_swap_decode_unsigned16(0, _data->port, CORBA::UShort );
  flick_iiopxx_decode_end_chunk(2);
  flick_iiopxx_decode_new_chunk_align(4, 2, 1, 0);
  flick_iiopxx_check_span(4, _flick_abort214);
  flick_cdr_swap_decode_unsigned32(0, _data->object_key._length, CORBA::ULong );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_end_glob(9);
  flick_iiopxx_decode_new_glob(1 * _data->object_key._length);
  flick_iiopxx_check_span(1 * _data->object_key._length, _flick_abort214);
  flick_iiopxx_decode_new_chunk(1 * _data->object_key._length);
  {
    CORBA::Octet *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA::Octet *)new (CORBA::Octet [_data->object_key._length]);
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort214);
    _data->object_key._buffer = _t_alloc_ptr;
    _data->object_key._maximum = _data->object_key._length;
    _data->object_key._release = 1;
  }
  flick_cdr_swap_decode_bcopy(0, _data->object_key._buffer, 1 * _data->object_key._length);
  flick_iiopxx_decode_end_chunk(1 * _data->object_key._length);
  flick_iiopxx_decode_end_glob(1 * _data->object_key._length);
  return 0;
  {
  _flick_abort214:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

