#include "dif2-client.h"
#include "dif2-server.h"

static const CORBA::Long _oc_ex1[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    12, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6578313a), ACE_NTOHL(0x312e3000) /* repository ID = IDL:ex1:1.0 */,
    4, ACE_NTOHL(0x65783100) /* name = ex1 */
};

static CORBA::TypeCode _tc_TAO_tc_ex1 (CORBA::tk_objref, sizeof(_oc_ex1), (char *) &_oc_ex1, 0, sizeof(ex1 ));

CORBA::TypeCode_ptr _tc_ex1 = &_tc_TAO_tc_ex1;


#if defined (ACE_HAS_EXPLICIT_TEMPLATE_INSTANTIATION)
  template class TAO_Object_Field_T<ex1 >;
#elif defined (ACE_HAS_TEMPLATE_INSTANTIATION_PRAGMA)
#  pragma instantiate TAO_Object_Field_T<ex1 >
#endif /* ACE_HAS_EXPLICIT_TEMPLATE_INSTANTIATION */

ex1_ptr ex1::_duplicate(ex1_ptr obj)
{
  if( !CORBA::is_nil(obj) )
    obj->_incr_refcnt();
  return obj;
}

ex1_ptr ex1::_narrow(CORBA::Object_ptr obj, CORBA::Environment &_env)
{
  if( CORBA::is_nil(obj) )
    return ex1::_nil();
  if( !obj->_is_a("IDL:ex1:1.0", _env) )
    return ex1::_nil();
  return ex1::_unchecked_narrow(obj, _env);
}

ex1_ptr ex1::_unchecked_narrow(CORBA::Object_ptr _obj, CORBA::Environment &_env)
{
  if( CORBA::is_nil(_obj) )
    return ex1::_nil();
  TAO_Stub *stub = _obj->_stubobj();
  stub->_incr_refcnt();
  void* servant = 0;
  if (_obj->_is_collocated () && _obj->_servant() != 0)
    servant = _obj->_servant()->_downcast ("IDL:Coffee:1.0");
  if (servant == 0)
    return new ex1 (stub);
  return new _tao_collocated_ex1(
      ACE_reinterpret_cast(POA_ex1_ptr , servant),
      stub
    );
}

ex1_ptr ex1::_nil()
{
  return (ex1_ptr )NULL;
}

CORBA::Boolean ex1::_is_a(const CORBA::Char *_type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)_type_id, "IDL:ex1:1.0")) ||
      (!ACE_OS::strcmp((char *)_type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return this->CORBA_Object::_is_a(_type_id, _env);
}

const char *ex1::_interface_repository_id() const
{
  return "IDL:ex1:1.0";
}

ex1::ex1()
{}

ex1::~ex1()
{}

void operator<<=(CORBA::Any &a, ex1_ptr o)
{
  CORBA::Object_ptr *_tao_obj_ptr = 0;
  ACE_TRY_NEW_ENV
  {
    ACE_NEW(_tao_obj_ptr, CORBA::Object_ptr);
    *_tao_obj_ptr = ex1::_duplicate(o);
    a.replace (_tc_ex1, _tao_obj_ptr, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _tao_obj_ptr;
  }
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, ex1_ptr &o)
{
  CORBA::Object_ptr *tmp = 0;
  ACE_TRY_NEW_ENV
  {
    o = ex1::_nil();
    CORBA::TypeCode_var type = a.type();
    if (!type->equal (_tc_ex1, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    TAO_InputCDR stream (a._tao_get_cdr());
    CORBA::Object_var _tao_obj_var;
    ACE_NEW_RETURN (tmp, CORBA::Object_ptr, 0);
    if (stream.decode(_tc_ex1, &_tao_obj_var.out(), 0, ACE_TRY_ENV)
       == CORBA::TypeCode::TRAVERSE_CONTINUE)
    {
      o = ex1::_narrow(_tao_obj_var.in(), ACE_TRY_ENV);
      ACE_TRY_CHECK;
      *tmp = (CORBA::Object_ptr) o;
      ((CORBA::Any *)&a)->replace(_tc_ex1, tmp, 1, ACE_TRY_ENV);
      ACE_TRY_CHECK;
      return 1;
    }
  }
  ACE_CATCHANY
  {
    delete tmp;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

ex1::ex1(TAO_Stub *objref, TAO_ServantBase *_tao_servant, CORBA::Boolean _tao_collocated)
  : CORBA_Object(objref, _tao_servant, _tao_collocated)
{}

ex1_var::ex1_var()
  : ptr_(ex1::_nil())
{}

ex1_var::ex1_var(ex1_ptr p)
  : ptr_(p)
{}

ex1_var::ex1_var(const ex1_var &a)
  : ptr_(ex1::_duplicate(a.ptr()))
{}

ex1_var::~ex1_var()
{
  CORBA::release(this->ptr_);
}

ex1_var &ex1_var::operator=(ex1_ptr p)
{
  CORBA::release(this->ptr_);
  this->ptr_ = p;
  return *this;
}

ex1_var &ex1_var::operator=(const ex1_var &p)
{
  if( this != &p )
  {
    CORBA::release(this->ptr_);
    this->ptr_ = ex1::_duplicate(p.ptr());
  }
  return *this;
}

ex1_ptr ex1_var::operator->() const
{
  return this->ptr_;
}

ex1_var::operator const ex1_ptr &() const
{
  return this->ptr_;
}

ex1_var::operator ex1_ptr &()
{
  return this->ptr_;
}

ex1_ptr ex1_var::in() const
{
  return this->ptr_;
}

ex1_ptr &ex1_var::inout()
{
  return this->ptr_;
}

ex1_ptr &ex1_var::out()
{
  CORBA::release(this->ptr_);
  this->ptr_ = ex1::_nil();
  return this->ptr_;
}

ex1_ptr ex1_var::_retn()
{
  ex1_ptr  val = this->ptr_;
  this->ptr_ = ex1::_nil();
  return val;
}

ex1_ptr ex1_var::ptr() const
{
  return this->ptr_;
}

ex1_out::ex1_out(ex1_ptr &r)
  : ptr_(r)
{
  this->ptr_ = ex1::_nil();
}

ex1_out::ex1_out(ex1_var &r)
  : ptr_(r.out())
{
  CORBA::release(this->ptr_);
  this->ptr_ = ex1::_nil();
}

ex1_out::ex1_out(const ex1_out &r)
  : ptr_(ACE_const_cast(ex1_out &,r).ptr_)
{}

ex1_out &ex1_out::operator=(const ex1_out &r)
{
  this->ptr_ = ACE_const_cast(ex1_out &,r).ptr_;
  return *this;
}

ex1_out &ex1_out::operator=(const ex1_var &r)
{
  this->ptr_ = ex1::_duplicate(r.ptr());
  return *this;
}

ex1_out &ex1_out::operator=(ex1_ptr r)
{
  this->ptr_ = r;
  return *this;
}

ex1_out::operator ex1_ptr &()
{
  return this->ptr_;
}

ex1_ptr &ex1_out::ptr()
{
  return this->ptr_;
}

ex1_ptr ex1_out::operator->()
{
  return this->ptr_;
}

static const CORBA::Long _oc_ex2[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    12, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6578323a), ACE_NTOHL(0x312e3000) /* repository ID = IDL:ex2:1.0 */,
    4, ACE_NTOHL(0x65783200) /* name = ex2 */
};

static CORBA::TypeCode _tc_TAO_tc_ex2 (CORBA::tk_objref, sizeof(_oc_ex2), (char *) &_oc_ex2, 0, sizeof(ex2 ));

CORBA::TypeCode_ptr _tc_ex2 = &_tc_TAO_tc_ex2;


#if defined (ACE_HAS_EXPLICIT_TEMPLATE_INSTANTIATION)
  template class TAO_Object_Field_T<ex2 >;
#elif defined (ACE_HAS_TEMPLATE_INSTANTIATION_PRAGMA)
#  pragma instantiate TAO_Object_Field_T<ex2 >
#endif /* ACE_HAS_EXPLICIT_TEMPLATE_INSTANTIATION */

ex2_ptr ex2::_duplicate(ex2_ptr obj)
{
  if( !CORBA::is_nil(obj) )
    obj->_incr_refcnt();
  return obj;
}

ex2_ptr ex2::_narrow(CORBA::Object_ptr obj, CORBA::Environment &_env)
{
  if( CORBA::is_nil(obj) )
    return ex2::_nil();
  if( !obj->_is_a("IDL:ex2:1.0", _env) )
    return ex2::_nil();
  return ex2::_unchecked_narrow(obj, _env);
}

ex2_ptr ex2::_unchecked_narrow(CORBA::Object_ptr _obj, CORBA::Environment &_env)
{
  if( CORBA::is_nil(_obj) )
    return ex2::_nil();
  TAO_Stub *stub = _obj->_stubobj();
  stub->_incr_refcnt();
  void* servant = 0;
  if (_obj->_is_collocated () && _obj->_servant() != 0)
    servant = _obj->_servant()->_downcast ("IDL:Coffee:1.0");
  if (servant == 0)
    return new ex2 (stub);
  return new _tao_collocated_ex2(
      ACE_reinterpret_cast(POA_ex2_ptr , servant),
      stub
    );
}

ex2_ptr ex2::_nil()
{
  return (ex2_ptr )NULL;
}

CORBA::Boolean ex2::_is_a(const CORBA::Char *_type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)_type_id, "IDL:ex1:1.0")) ||
      (!ACE_OS::strcmp((char *)_type_id, "IDL:ex2:1.0")) ||
      (!ACE_OS::strcmp((char *)_type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return this->CORBA_Object::_is_a(_type_id, _env);
}

const char *ex2::_interface_repository_id() const
{
  return "IDL:ex2:1.0";
}

ex2::ex2()
{}

ex2::~ex2()
{}

void operator<<=(CORBA::Any &a, ex2_ptr o)
{
  CORBA::Object_ptr *_tao_obj_ptr = 0;
  ACE_TRY_NEW_ENV
  {
    ACE_NEW(_tao_obj_ptr, CORBA::Object_ptr);
    *_tao_obj_ptr = ex2::_duplicate(o);
    a.replace (_tc_ex2, _tao_obj_ptr, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _tao_obj_ptr;
  }
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, ex2_ptr &o)
{
  CORBA::Object_ptr *tmp = 0;
  ACE_TRY_NEW_ENV
  {
    o = ex2::_nil();
    CORBA::TypeCode_var type = a.type();
    if (!type->equal (_tc_ex2, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    TAO_InputCDR stream (a._tao_get_cdr());
    CORBA::Object_var _tao_obj_var;
    ACE_NEW_RETURN (tmp, CORBA::Object_ptr, 0);
    if (stream.decode(_tc_ex2, &_tao_obj_var.out(), 0, ACE_TRY_ENV)
       == CORBA::TypeCode::TRAVERSE_CONTINUE)
    {
      o = ex2::_narrow(_tao_obj_var.in(), ACE_TRY_ENV);
      ACE_TRY_CHECK;
      *tmp = (CORBA::Object_ptr) o;
      ((CORBA::Any *)&a)->replace(_tc_ex2, tmp, 1, ACE_TRY_ENV);
      ACE_TRY_CHECK;
      return 1;
    }
  }
  ACE_CATCHANY
  {
    delete tmp;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

ex2::ex2(TAO_Stub *objref, TAO_ServantBase *_tao_servant, CORBA::Boolean _tao_collocated)
  : CORBA_Object(objref, _tao_servant, _tao_collocated)
{}

ex2_var::ex2_var()
  : ptr_(ex2::_nil())
{}

ex2_var::ex2_var(ex2_ptr p)
  : ptr_(p)
{}

ex2_var::ex2_var(const ex2_var &a)
  : ptr_(ex2::_duplicate(a.ptr()))
{}

ex2_var::~ex2_var()
{
  CORBA::release(this->ptr_);
}

ex2_var &ex2_var::operator=(ex2_ptr p)
{
  CORBA::release(this->ptr_);
  this->ptr_ = p;
  return *this;
}

ex2_var &ex2_var::operator=(const ex2_var &p)
{
  if( this != &p )
  {
    CORBA::release(this->ptr_);
    this->ptr_ = ex2::_duplicate(p.ptr());
  }
  return *this;
}

ex2_ptr ex2_var::operator->() const
{
  return this->ptr_;
}

ex2_var::operator const ex2_ptr &() const
{
  return this->ptr_;
}

ex2_var::operator ex2_ptr &()
{
  return this->ptr_;
}

ex2_ptr ex2_var::in() const
{
  return this->ptr_;
}

ex2_ptr &ex2_var::inout()
{
  return this->ptr_;
}

ex2_ptr &ex2_var::out()
{
  CORBA::release(this->ptr_);
  this->ptr_ = ex2::_nil();
  return this->ptr_;
}

ex2_ptr ex2_var::_retn()
{
  ex2_ptr  val = this->ptr_;
  this->ptr_ = ex2::_nil();
  return val;
}

ex2_ptr ex2_var::ptr() const
{
  return this->ptr_;
}

ex2_out::ex2_out(ex2_ptr &r)
  : ptr_(r)
{
  this->ptr_ = ex2::_nil();
}

ex2_out::ex2_out(ex2_var &r)
  : ptr_(r.out())
{
  CORBA::release(this->ptr_);
  this->ptr_ = ex2::_nil();
}

ex2_out::ex2_out(const ex2_out &r)
  : ptr_(ACE_const_cast(ex2_out &,r).ptr_)
{}

ex2_out &ex2_out::operator=(const ex2_out &r)
{
  this->ptr_ = ACE_const_cast(ex2_out &,r).ptr_;
  return *this;
}

ex2_out &ex2_out::operator=(const ex2_var &r)
{
  this->ptr_ = ex2::_duplicate(r.ptr());
  return *this;
}

ex2_out &ex2_out::operator=(ex2_ptr r)
{
  this->ptr_ = r;
  return *this;
}

ex2_out::operator ex2_ptr &()
{
  return this->ptr_;
}

ex2_ptr &ex2_out::ptr()
{
  return this->ptr_;
}

ex2_ptr ex2_out::operator->()
{
  return this->ptr_;
}

static const CORBA::Long _oc_ex3[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    12, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6578333a), ACE_NTOHL(0x312e3000) /* repository ID = IDL:ex3:1.0 */,
    4, ACE_NTOHL(0x65783300) /* name = ex3 */
};

static CORBA::TypeCode _tc_TAO_tc_ex3 (CORBA::tk_objref, sizeof(_oc_ex3), (char *) &_oc_ex3, 0, sizeof(ex3 ));

CORBA::TypeCode_ptr _tc_ex3 = &_tc_TAO_tc_ex3;


#if defined (ACE_HAS_EXPLICIT_TEMPLATE_INSTANTIATION)
  template class TAO_Object_Field_T<ex3 >;
#elif defined (ACE_HAS_TEMPLATE_INSTANTIATION_PRAGMA)
#  pragma instantiate TAO_Object_Field_T<ex3 >
#endif /* ACE_HAS_EXPLICIT_TEMPLATE_INSTANTIATION */

ex3_ptr ex3::_duplicate(ex3_ptr obj)
{
  if( !CORBA::is_nil(obj) )
    obj->_incr_refcnt();
  return obj;
}

ex3_ptr ex3::_narrow(CORBA::Object_ptr obj, CORBA::Environment &_env)
{
  if( CORBA::is_nil(obj) )
    return ex3::_nil();
  if( !obj->_is_a("IDL:ex3:1.0", _env) )
    return ex3::_nil();
  return ex3::_unchecked_narrow(obj, _env);
}

ex3_ptr ex3::_unchecked_narrow(CORBA::Object_ptr _obj, CORBA::Environment &_env)
{
  if( CORBA::is_nil(_obj) )
    return ex3::_nil();
  TAO_Stub *stub = _obj->_stubobj();
  stub->_incr_refcnt();
  void* servant = 0;
  if (_obj->_is_collocated () && _obj->_servant() != 0)
    servant = _obj->_servant()->_downcast ("IDL:Coffee:1.0");
  if (servant == 0)
    return new ex3 (stub);
  return new _tao_collocated_ex3(
      ACE_reinterpret_cast(POA_ex3_ptr , servant),
      stub
    );
}

ex3_ptr ex3::_nil()
{
  return (ex3_ptr )NULL;
}

CORBA::Boolean ex3::_is_a(const CORBA::Char *_type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)_type_id, "IDL:ex1:1.0")) ||
      (!ACE_OS::strcmp((char *)_type_id, "IDL:ex3:1.0")) ||
      (!ACE_OS::strcmp((char *)_type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return this->CORBA_Object::_is_a(_type_id, _env);
}

const char *ex3::_interface_repository_id() const
{
  return "IDL:ex3:1.0";
}

ex3::ex3()
{}

ex3::~ex3()
{}

void operator<<=(CORBA::Any &a, ex3_ptr o)
{
  CORBA::Object_ptr *_tao_obj_ptr = 0;
  ACE_TRY_NEW_ENV
  {
    ACE_NEW(_tao_obj_ptr, CORBA::Object_ptr);
    *_tao_obj_ptr = ex3::_duplicate(o);
    a.replace (_tc_ex3, _tao_obj_ptr, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _tao_obj_ptr;
  }
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, ex3_ptr &o)
{
  CORBA::Object_ptr *tmp = 0;
  ACE_TRY_NEW_ENV
  {
    o = ex3::_nil();
    CORBA::TypeCode_var type = a.type();
    if (!type->equal (_tc_ex3, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    TAO_InputCDR stream (a._tao_get_cdr());
    CORBA::Object_var _tao_obj_var;
    ACE_NEW_RETURN (tmp, CORBA::Object_ptr, 0);
    if (stream.decode(_tc_ex3, &_tao_obj_var.out(), 0, ACE_TRY_ENV)
       == CORBA::TypeCode::TRAVERSE_CONTINUE)
    {
      o = ex3::_narrow(_tao_obj_var.in(), ACE_TRY_ENV);
      ACE_TRY_CHECK;
      *tmp = (CORBA::Object_ptr) o;
      ((CORBA::Any *)&a)->replace(_tc_ex3, tmp, 1, ACE_TRY_ENV);
      ACE_TRY_CHECK;
      return 1;
    }
  }
  ACE_CATCHANY
  {
    delete tmp;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

ex3::ex3(TAO_Stub *objref, TAO_ServantBase *_tao_servant, CORBA::Boolean _tao_collocated)
  : CORBA_Object(objref, _tao_servant, _tao_collocated)
{}

ex3_var::ex3_var()
  : ptr_(ex3::_nil())
{}

ex3_var::ex3_var(ex3_ptr p)
  : ptr_(p)
{}

ex3_var::ex3_var(const ex3_var &a)
  : ptr_(ex3::_duplicate(a.ptr()))
{}

ex3_var::~ex3_var()
{
  CORBA::release(this->ptr_);
}

ex3_var &ex3_var::operator=(ex3_ptr p)
{
  CORBA::release(this->ptr_);
  this->ptr_ = p;
  return *this;
}

ex3_var &ex3_var::operator=(const ex3_var &p)
{
  if( this != &p )
  {
    CORBA::release(this->ptr_);
    this->ptr_ = ex3::_duplicate(p.ptr());
  }
  return *this;
}

ex3_ptr ex3_var::operator->() const
{
  return this->ptr_;
}

ex3_var::operator const ex3_ptr &() const
{
  return this->ptr_;
}

ex3_var::operator ex3_ptr &()
{
  return this->ptr_;
}

ex3_ptr ex3_var::in() const
{
  return this->ptr_;
}

ex3_ptr &ex3_var::inout()
{
  return this->ptr_;
}

ex3_ptr &ex3_var::out()
{
  CORBA::release(this->ptr_);
  this->ptr_ = ex3::_nil();
  return this->ptr_;
}

ex3_ptr ex3_var::_retn()
{
  ex3_ptr  val = this->ptr_;
  this->ptr_ = ex3::_nil();
  return val;
}

ex3_ptr ex3_var::ptr() const
{
  return this->ptr_;
}

ex3_out::ex3_out(ex3_ptr &r)
  : ptr_(r)
{
  this->ptr_ = ex3::_nil();
}

ex3_out::ex3_out(ex3_var &r)
  : ptr_(r.out())
{
  CORBA::release(this->ptr_);
  this->ptr_ = ex3::_nil();
}

ex3_out::ex3_out(const ex3_out &r)
  : ptr_(ACE_const_cast(ex3_out &,r).ptr_)
{}

ex3_out &ex3_out::operator=(const ex3_out &r)
{
  this->ptr_ = ACE_const_cast(ex3_out &,r).ptr_;
  return *this;
}

ex3_out &ex3_out::operator=(const ex3_var &r)
{
  this->ptr_ = ex3::_duplicate(r.ptr());
  return *this;
}

ex3_out &ex3_out::operator=(ex3_ptr r)
{
  this->ptr_ = r;
  return *this;
}

ex3_out::operator ex3_ptr &()
{
  return this->ptr_;
}

ex3_ptr &ex3_out::ptr()
{
  return this->ptr_;
}

ex3_ptr ex3_out::operator->()
{
  return this->ptr_;
}

static const CORBA::Long _oc_ex4[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    12, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6578343a), ACE_NTOHL(0x312e3000) /* repository ID = IDL:ex4:1.0 */,
    4, ACE_NTOHL(0x65783400) /* name = ex4 */
};

static CORBA::TypeCode _tc_TAO_tc_ex4 (CORBA::tk_objref, sizeof(_oc_ex4), (char *) &_oc_ex4, 0, sizeof(ex4 ));

CORBA::TypeCode_ptr _tc_ex4 = &_tc_TAO_tc_ex4;


#if defined (ACE_HAS_EXPLICIT_TEMPLATE_INSTANTIATION)
  template class TAO_Object_Field_T<ex4 >;
#elif defined (ACE_HAS_TEMPLATE_INSTANTIATION_PRAGMA)
#  pragma instantiate TAO_Object_Field_T<ex4 >
#endif /* ACE_HAS_EXPLICIT_TEMPLATE_INSTANTIATION */

ex4_ptr ex4::_duplicate(ex4_ptr obj)
{
  if( !CORBA::is_nil(obj) )
    obj->_incr_refcnt();
  return obj;
}

ex4_ptr ex4::_narrow(CORBA::Object_ptr obj, CORBA::Environment &_env)
{
  if( CORBA::is_nil(obj) )
    return ex4::_nil();
  if( !obj->_is_a("IDL:ex4:1.0", _env) )
    return ex4::_nil();
  return ex4::_unchecked_narrow(obj, _env);
}

ex4_ptr ex4::_unchecked_narrow(CORBA::Object_ptr _obj, CORBA::Environment &_env)
{
  if( CORBA::is_nil(_obj) )
    return ex4::_nil();
  TAO_Stub *stub = _obj->_stubobj();
  stub->_incr_refcnt();
  void* servant = 0;
  if (_obj->_is_collocated () && _obj->_servant() != 0)
    servant = _obj->_servant()->_downcast ("IDL:Coffee:1.0");
  if (servant == 0)
    return new ex4 (stub);
  return new _tao_collocated_ex4(
      ACE_reinterpret_cast(POA_ex4_ptr , servant),
      stub
    );
}

ex4_ptr ex4::_nil()
{
  return (ex4_ptr )NULL;
}

CORBA::Boolean ex4::_is_a(const CORBA::Char *_type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)_type_id, "IDL:ex1:1.0")) ||
      (!ACE_OS::strcmp((char *)_type_id, "IDL:ex2:1.0")) ||
      (!ACE_OS::strcmp((char *)_type_id, "IDL:ex3:1.0")) ||
      (!ACE_OS::strcmp((char *)_type_id, "IDL:ex4:1.0")) ||
      (!ACE_OS::strcmp((char *)_type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return this->CORBA_Object::_is_a(_type_id, _env);
}

const char *ex4::_interface_repository_id() const
{
  return "IDL:ex4:1.0";
}

ex4::ex4()
{}

ex4::~ex4()
{}

void operator<<=(CORBA::Any &a, ex4_ptr o)
{
  CORBA::Object_ptr *_tao_obj_ptr = 0;
  ACE_TRY_NEW_ENV
  {
    ACE_NEW(_tao_obj_ptr, CORBA::Object_ptr);
    *_tao_obj_ptr = ex4::_duplicate(o);
    a.replace (_tc_ex4, _tao_obj_ptr, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _tao_obj_ptr;
  }
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, ex4_ptr &o)
{
  CORBA::Object_ptr *tmp = 0;
  ACE_TRY_NEW_ENV
  {
    o = ex4::_nil();
    CORBA::TypeCode_var type = a.type();
    if (!type->equal (_tc_ex4, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    TAO_InputCDR stream (a._tao_get_cdr());
    CORBA::Object_var _tao_obj_var;
    ACE_NEW_RETURN (tmp, CORBA::Object_ptr, 0);
    if (stream.decode(_tc_ex4, &_tao_obj_var.out(), 0, ACE_TRY_ENV)
       == CORBA::TypeCode::TRAVERSE_CONTINUE)
    {
      o = ex4::_narrow(_tao_obj_var.in(), ACE_TRY_ENV);
      ACE_TRY_CHECK;
      *tmp = (CORBA::Object_ptr) o;
      ((CORBA::Any *)&a)->replace(_tc_ex4, tmp, 1, ACE_TRY_ENV);
      ACE_TRY_CHECK;
      return 1;
    }
  }
  ACE_CATCHANY
  {
    delete tmp;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

ex4::ex4(TAO_Stub *objref, TAO_ServantBase *_tao_servant, CORBA::Boolean _tao_collocated)
  : CORBA_Object(objref, _tao_servant, _tao_collocated)
{}

ex4_var::ex4_var()
  : ptr_(ex4::_nil())
{}

ex4_var::ex4_var(ex4_ptr p)
  : ptr_(p)
{}

ex4_var::ex4_var(const ex4_var &a)
  : ptr_(ex4::_duplicate(a.ptr()))
{}

ex4_var::~ex4_var()
{
  CORBA::release(this->ptr_);
}

ex4_var &ex4_var::operator=(ex4_ptr p)
{
  CORBA::release(this->ptr_);
  this->ptr_ = p;
  return *this;
}

ex4_var &ex4_var::operator=(const ex4_var &p)
{
  if( this != &p )
  {
    CORBA::release(this->ptr_);
    this->ptr_ = ex4::_duplicate(p.ptr());
  }
  return *this;
}

ex4_ptr ex4_var::operator->() const
{
  return this->ptr_;
}

ex4_var::operator const ex4_ptr &() const
{
  return this->ptr_;
}

ex4_var::operator ex4_ptr &()
{
  return this->ptr_;
}

ex4_ptr ex4_var::in() const
{
  return this->ptr_;
}

ex4_ptr &ex4_var::inout()
{
  return this->ptr_;
}

ex4_ptr &ex4_var::out()
{
  CORBA::release(this->ptr_);
  this->ptr_ = ex4::_nil();
  return this->ptr_;
}

ex4_ptr ex4_var::_retn()
{
  ex4_ptr  val = this->ptr_;
  this->ptr_ = ex4::_nil();
  return val;
}

ex4_ptr ex4_var::ptr() const
{
  return this->ptr_;
}

ex4_out::ex4_out(ex4_ptr &r)
  : ptr_(r)
{
  this->ptr_ = ex4::_nil();
}

ex4_out::ex4_out(ex4_var &r)
  : ptr_(r.out())
{
  CORBA::release(this->ptr_);
  this->ptr_ = ex4::_nil();
}

ex4_out::ex4_out(const ex4_out &r)
  : ptr_(ACE_const_cast(ex4_out &,r).ptr_)
{}

ex4_out &ex4_out::operator=(const ex4_out &r)
{
  this->ptr_ = ACE_const_cast(ex4_out &,r).ptr_;
  return *this;
}

ex4_out &ex4_out::operator=(const ex4_var &r)
{
  this->ptr_ = ex4::_duplicate(r.ptr());
  return *this;
}

ex4_out &ex4_out::operator=(ex4_ptr r)
{
  this->ptr_ = r;
  return *this;
}

ex4_out::operator ex4_ptr &()
{
  return this->ptr_;
}

ex4_ptr &ex4_out::ptr()
{
  return this->ptr_;
}

ex4_ptr ex4_out::operator->()
{
  return this->ptr_;
}

int flick_marshal_stub_ex1(flick_marshal_stream_t _stream, const ex1_ptr *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdrxx_encode_IOR(iiopxx, *_data, 0, ex1 , _flick_abort0);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_ex1(flick_marshal_stream_t _stream, ex1_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdrxx_decode_IOR(iiopxx, *_data, 1, ex1 , _flick_abort1);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_ex1_swap(flick_marshal_stream_t _stream, ex1_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swapxx_decode_IOR(iiopxx, *_data, 1, ex1 , _flick_abort2);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

void ex1::op0(/* ex1 *this, */ CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort4);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort4);
    }
    {
      flick_iiopxx_encode_new_glob(12, _flick_abort4);
      flick_iiopxx_encode_new_chunk(12);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '0', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_iiopxx_encode_end_chunk(12);
      flick_iiopxx_encode_end_glob(12);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort4);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort4);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t1_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(4);
        flick_iiopxx_check_span(4, _flick_abort4);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t1_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t1_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_end_glob(4);
              break;
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(4);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort18);
              break;
              {
              _flick_abort18:
                goto _flick_abort4;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort19);
              flick_iiopxx_decode_end_glob(4);
              break;
              {
              _flick_abort19:
                goto _flick_abort4;
              }
            }
          }
      }
    else
      {
        int _t0_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(4);
        flick_iiopxx_check_span(4, _flick_abort4);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t0_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t0_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_end_glob(4);
              break;
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(4);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort11);
              break;
              {
              _flick_abort11:
                goto _flick_abort4;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort12);
              flick_iiopxx_decode_end_glob(4);
              break;
              {
              _flick_abort12:
                goto _flick_abort4;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return;
    {
    _flick_abort4:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort3);
    _flick_abort3:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return;
}

CORBA::Float ex1::op1(/* ex1 *this, */ CORBA::Float f, ::CORBA::Double &d, CORBA::Long &l, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  CORBA::Float _return;

  _return = 0.000000;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort21);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort21);
    }
    {
      flick_iiopxx_encode_new_glob(20, _flick_abort21);
      flick_iiopxx_encode_new_chunk(20);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '1', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_float32(12, f, CORBA::Float );
      flick_cdr_encode_signed32(16, l, CORBA::Long );
      flick_iiopxx_encode_end_chunk(20);
      flick_iiopxx_encode_end_glob(20);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort21);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort21);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t3_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(24);
        flick_iiopxx_check_span(4, _flick_abort21);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t3_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t3_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort34);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_float32(0, _return, CORBA::Float );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_new_chunk_align(12, 3, 2, 0);
              flick_iiopxx_check_span(12, _flick_abort34);
              flick_cdr_swap_decode_float64(0, d, CORBA::Double );
              flick_cdr_swap_decode_signed32(8, l, CORBA::Long );
              flick_iiopxx_decode_end_chunk(12);
              flick_iiopxx_decode_end_glob(24);
              break;
              {
              _flick_abort34:
                goto _flick_abort21;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(24);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort35);
              break;
              {
              _flick_abort35:
                goto _flick_abort21;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort36);
              flick_iiopxx_decode_end_glob(24);
              break;
              {
              _flick_abort36:
                goto _flick_abort21;
              }
            }
          }
      }
    else
      {
        int _t2_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(24);
        flick_iiopxx_check_span(4, _flick_abort21);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t2_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t2_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort27);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_float32(0, _return, CORBA::Float );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_new_chunk_align(12, 3, 2, 0);
              flick_iiopxx_check_span(12, _flick_abort27);
              flick_cdr_decode_float64(0, d, CORBA::Double );
              flick_cdr_decode_signed32(8, l, CORBA::Long );
              flick_iiopxx_decode_end_chunk(12);
              flick_iiopxx_decode_end_glob(24);
              break;
              {
              _flick_abort27:
                goto _flick_abort21;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(24);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort28);
              break;
              {
              _flick_abort28:
                goto _flick_abort21;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort29);
              flick_iiopxx_decode_end_glob(24);
              break;
              {
              _flick_abort29:
                goto _flick_abort21;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort21:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort20);
    _flick_abort20:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

CORBA::Double ex1::op2(/* ex1 *this, */ CORBA::Double d, ::CORBA::Long &l, CORBA::Short &s, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  CORBA::Double _return;

  _return = 0.000000;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort38);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort38);
    }
    {
      flick_iiopxx_encode_new_glob(26, _flick_abort38);
      flick_iiopxx_encode_new_chunk(12);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '2', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_iiopxx_encode_end_chunk(12);
      flick_iiopxx_encode_new_chunk_align(10, 3, 2, 0);
      flick_cdr_encode_float64(0, d, CORBA::Double );
      flick_cdr_encode_signed16(8, s, CORBA::Short );
      flick_iiopxx_encode_end_chunk(10);
      flick_iiopxx_encode_end_glob(26);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort38);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort38);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t5_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(22);
        flick_iiopxx_check_span(4, _flick_abort38);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t5_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t5_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_new_chunk_align(14, 3, 2, 0);
              flick_iiopxx_check_span(14, _flick_abort51);
              flick_cdr_swap_decode_float64(0, _return, CORBA::Double );
              flick_cdr_swap_decode_signed32(8, l, CORBA::Long );
              flick_cdr_swap_decode_signed16(12, s, CORBA::Short );
              flick_iiopxx_decode_end_chunk(14);
              flick_iiopxx_decode_end_glob(22);
              break;
              {
              _flick_abort51:
                goto _flick_abort38;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(22);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort52);
              break;
              {
              _flick_abort52:
                goto _flick_abort38;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort53);
              flick_iiopxx_decode_end_glob(22);
              break;
              {
              _flick_abort53:
                goto _flick_abort38;
              }
            }
          }
      }
    else
      {
        int _t4_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(22);
        flick_iiopxx_check_span(4, _flick_abort38);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t4_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t4_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_new_chunk_align(14, 3, 2, 0);
              flick_iiopxx_check_span(14, _flick_abort44);
              flick_cdr_decode_float64(0, _return, CORBA::Double );
              flick_cdr_decode_signed32(8, l, CORBA::Long );
              flick_cdr_decode_signed16(12, s, CORBA::Short );
              flick_iiopxx_decode_end_chunk(14);
              flick_iiopxx_decode_end_glob(22);
              break;
              {
              _flick_abort44:
                goto _flick_abort38;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(22);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort45);
              break;
              {
              _flick_abort45:
                goto _flick_abort38;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort46);
              flick_iiopxx_decode_end_glob(22);
              break;
              {
              _flick_abort46:
                goto _flick_abort38;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort38:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort37);
    _flick_abort37:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

CORBA::Long ex1::op3(/* ex1 *this, */ CORBA::Long l, ::CORBA::Short &s, CORBA::ULong &ul, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  CORBA::Long _return;

  _return = 0;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort55);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort55);
    }
    {
      flick_iiopxx_encode_new_glob(20, _flick_abort55);
      flick_iiopxx_encode_new_chunk(20);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '3', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_signed32(12, l, CORBA::Long );
      flick_cdr_encode_unsigned32(16, ul, CORBA::ULong );
      flick_iiopxx_encode_end_chunk(20);
      flick_iiopxx_encode_end_glob(20);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort55);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort55);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t7_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(16);
        flick_iiopxx_check_span(4, _flick_abort55);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t7_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t7_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(12, _flick_abort68);
              flick_iiopxx_decode_new_chunk(12);
              flick_cdr_swap_decode_signed32(0, _return, CORBA::Long );
              flick_cdr_swap_decode_signed16(4, s, CORBA::Short );
              flick_cdr_swap_decode_unsigned32(8, ul, CORBA::ULong );
              flick_iiopxx_decode_end_chunk(12);
              flick_iiopxx_decode_end_glob(16);
              break;
              {
              _flick_abort68:
                goto _flick_abort55;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(16);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort69);
              break;
              {
              _flick_abort69:
                goto _flick_abort55;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort70);
              flick_iiopxx_decode_end_glob(16);
              break;
              {
              _flick_abort70:
                goto _flick_abort55;
              }
            }
          }
      }
    else
      {
        int _t6_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(16);
        flick_iiopxx_check_span(4, _flick_abort55);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t6_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t6_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(12, _flick_abort61);
              flick_iiopxx_decode_new_chunk(12);
              flick_cdr_decode_signed32(0, _return, CORBA::Long );
              flick_cdr_decode_signed16(4, s, CORBA::Short );
              flick_cdr_decode_unsigned32(8, ul, CORBA::ULong );
              flick_iiopxx_decode_end_chunk(12);
              flick_iiopxx_decode_end_glob(16);
              break;
              {
              _flick_abort61:
                goto _flick_abort55;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(16);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort62);
              break;
              {
              _flick_abort62:
                goto _flick_abort55;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort63);
              flick_iiopxx_decode_end_glob(16);
              break;
              {
              _flick_abort63:
                goto _flick_abort55;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort55:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort54);
    _flick_abort54:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

CORBA::Short ex1::op4(/* ex1 *this, */ CORBA::Short s, ::CORBA::ULong &ul, CORBA::UShort &us, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  CORBA::Short _return;

  _return = 0;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort72);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort72);
    }
    {
      flick_iiopxx_encode_new_glob(16, _flick_abort72);
      flick_iiopxx_encode_new_chunk(16);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '4', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_signed16(12, s, CORBA::Short );
      flick_cdr_encode_unsigned16(14, us, CORBA::UShort );
      flick_iiopxx_encode_end_chunk(16);
      flick_iiopxx_encode_end_glob(16);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort72);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort72);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t9_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(14);
        flick_iiopxx_check_span(4, _flick_abort72);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t9_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t9_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(10, _flick_abort85);
              flick_iiopxx_decode_new_chunk(10);
              flick_cdr_swap_decode_signed16(0, _return, CORBA::Short );
              flick_cdr_swap_decode_unsigned32(4, ul, CORBA::ULong );
              flick_cdr_swap_decode_unsigned16(8, us, CORBA::UShort );
              flick_iiopxx_decode_end_chunk(10);
              flick_iiopxx_decode_end_glob(14);
              break;
              {
              _flick_abort85:
                goto _flick_abort72;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(14);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort86);
              break;
              {
              _flick_abort86:
                goto _flick_abort72;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort87);
              flick_iiopxx_decode_end_glob(14);
              break;
              {
              _flick_abort87:
                goto _flick_abort72;
              }
            }
          }
      }
    else
      {
        int _t8_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(14);
        flick_iiopxx_check_span(4, _flick_abort72);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t8_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t8_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(10, _flick_abort78);
              flick_iiopxx_decode_new_chunk(10);
              flick_cdr_decode_signed16(0, _return, CORBA::Short );
              flick_cdr_decode_unsigned32(4, ul, CORBA::ULong );
              flick_cdr_decode_unsigned16(8, us, CORBA::UShort );
              flick_iiopxx_decode_end_chunk(10);
              flick_iiopxx_decode_end_glob(14);
              break;
              {
              _flick_abort78:
                goto _flick_abort72;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(14);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort79);
              break;
              {
              _flick_abort79:
                goto _flick_abort72;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort80);
              flick_iiopxx_decode_end_glob(14);
              break;
              {
              _flick_abort80:
                goto _flick_abort72;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort72:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort71);
    _flick_abort71:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

CORBA::ULong ex1::op5(/* ex1 *this, */ CORBA::ULong &ul, CORBA::UShort us, ::CORBA::Char &c, CORBA::Boolean b, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  CORBA::ULong _return;

  _return = 0;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort89);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort89);
    }
    {
      flick_iiopxx_encode_new_glob(19, _flick_abort89);
      flick_iiopxx_encode_new_chunk(19);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '5', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_unsigned32(12, ul, CORBA::ULong );
      flick_cdr_encode_unsigned16(16, us, CORBA::UShort );
      flick_cdr_encode_unsigned8(18, b, CORBA::Boolean );
      flick_iiopxx_encode_end_chunk(19);
      flick_iiopxx_encode_end_glob(19);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort89);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort89);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t11_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(13);
        flick_iiopxx_check_span(4, _flick_abort89);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t11_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t11_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(9, _flick_abort102);
              flick_iiopxx_decode_new_chunk(9);
              flick_cdr_swap_decode_unsigned32(0, _return, CORBA::ULong );
              flick_cdr_swap_decode_unsigned32(4, ul, CORBA::ULong );
              flick_cdr_swap_decode_char8(8, c, CORBA::Char );
              flick_iiopxx_decode_end_chunk(9);
              flick_iiopxx_decode_end_glob(13);
              break;
              {
              _flick_abort102:
                goto _flick_abort89;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(13);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort103);
              break;
              {
              _flick_abort103:
                goto _flick_abort89;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort104);
              flick_iiopxx_decode_end_glob(13);
              break;
              {
              _flick_abort104:
                goto _flick_abort89;
              }
            }
          }
      }
    else
      {
        int _t10_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(13);
        flick_iiopxx_check_span(4, _flick_abort89);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t10_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t10_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(9, _flick_abort95);
              flick_iiopxx_decode_new_chunk(9);
              flick_cdr_decode_unsigned32(0, _return, CORBA::ULong );
              flick_cdr_decode_unsigned32(4, ul, CORBA::ULong );
              flick_cdr_decode_char8(8, c, CORBA::Char );
              flick_iiopxx_decode_end_chunk(9);
              flick_iiopxx_decode_end_glob(13);
              break;
              {
              _flick_abort95:
                goto _flick_abort89;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(13);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort96);
              break;
              {
              _flick_abort96:
                goto _flick_abort89;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort97);
              flick_iiopxx_decode_end_glob(13);
              break;
              {
              _flick_abort97:
                goto _flick_abort89;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort89:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort88);
    _flick_abort88:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

CORBA::UShort ex1::op6(/* ex1 *this, */ ::CORBA::UShort &us, CORBA::Char &c, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  CORBA::UShort _return;

  _return = 0;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort106);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort106);
    }
    {
      flick_iiopxx_encode_new_glob(13, _flick_abort106);
      flick_iiopxx_encode_new_chunk(13);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '6', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_char8(12, c, CORBA::Char );
      flick_iiopxx_encode_end_chunk(13);
      flick_iiopxx_encode_end_glob(13);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort106);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort106);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t13_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(9);
        flick_iiopxx_check_span(4, _flick_abort106);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t13_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t13_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(5, _flick_abort119);
              flick_iiopxx_decode_new_chunk(5);
              flick_cdr_swap_decode_unsigned16(0, _return, CORBA::UShort );
              flick_cdr_swap_decode_unsigned16(2, us, CORBA::UShort );
              flick_cdr_swap_decode_char8(4, c, CORBA::Char );
              flick_iiopxx_decode_end_chunk(5);
              flick_iiopxx_decode_end_glob(9);
              break;
              {
              _flick_abort119:
                goto _flick_abort106;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(9);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort120);
              break;
              {
              _flick_abort120:
                goto _flick_abort106;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort121);
              flick_iiopxx_decode_end_glob(9);
              break;
              {
              _flick_abort121:
                goto _flick_abort106;
              }
            }
          }
      }
    else
      {
        int _t12_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(9);
        flick_iiopxx_check_span(4, _flick_abort106);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t12_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t12_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(5, _flick_abort112);
              flick_iiopxx_decode_new_chunk(5);
              flick_cdr_decode_unsigned16(0, _return, CORBA::UShort );
              flick_cdr_decode_unsigned16(2, us, CORBA::UShort );
              flick_cdr_decode_char8(4, c, CORBA::Char );
              flick_iiopxx_decode_end_chunk(5);
              flick_iiopxx_decode_end_glob(9);
              break;
              {
              _flick_abort112:
                goto _flick_abort106;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(9);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort113);
              break;
              {
              _flick_abort113:
                goto _flick_abort106;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort114);
              flick_iiopxx_decode_end_glob(9);
              break;
              {
              _flick_abort114:
                goto _flick_abort106;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort106:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort105);
    _flick_abort105:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

int flick_marshal_stub_ex2(flick_marshal_stream_t _stream, const ex2_ptr *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdrxx_encode_IOR(iiopxx, *_data, 0, ex2 , _flick_abort122);
  return 0;
  {
  _flick_abort122:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_ex2(flick_marshal_stream_t _stream, ex2_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdrxx_decode_IOR(iiopxx, *_data, 1, ex2 , _flick_abort123);
  return 0;
  {
  _flick_abort123:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_ex2_swap(flick_marshal_stream_t _stream, ex2_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swapxx_decode_IOR(iiopxx, *_data, 1, ex2 , _flick_abort124);
  return 0;
  {
  _flick_abort124:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

CORBA::Char ex2::op7(/* ex2 *this, */ CORBA::Char c, ::CORBA::Boolean &b, CORBA::Octet &o, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  CORBA::Char _return;

  _return = 0;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort126);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort126);
    }
    {
      flick_iiopxx_encode_new_glob(14, _flick_abort126);
      flick_iiopxx_encode_new_chunk(14);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '7', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_char8(12, c, CORBA::Char );
      flick_cdr_encode_unsigned8(13, o, CORBA::Octet );
      flick_iiopxx_encode_end_chunk(14);
      flick_iiopxx_encode_end_glob(14);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort126);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort126);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t15_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(7);
        flick_iiopxx_check_span(4, _flick_abort126);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t15_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t15_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(3, _flick_abort139);
              flick_iiopxx_decode_new_chunk(3);
              flick_cdr_swap_decode_char8(0, _return, CORBA::Char );
              flick_cdr_swap_decode_unsigned8(1, b, CORBA::Boolean );
              flick_cdr_swap_decode_unsigned8(2, o, CORBA::Octet );
              flick_iiopxx_decode_end_chunk(3);
              flick_iiopxx_decode_end_glob(7);
              break;
              {
              _flick_abort139:
                goto _flick_abort126;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(7);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort140);
              break;
              {
              _flick_abort140:
                goto _flick_abort126;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort141);
              flick_iiopxx_decode_end_glob(7);
              break;
              {
              _flick_abort141:
                goto _flick_abort126;
              }
            }
          }
      }
    else
      {
        int _t14_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(7);
        flick_iiopxx_check_span(4, _flick_abort126);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t14_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t14_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(3, _flick_abort132);
              flick_iiopxx_decode_new_chunk(3);
              flick_cdr_decode_char8(0, _return, CORBA::Char );
              flick_cdr_decode_unsigned8(1, b, CORBA::Boolean );
              flick_cdr_decode_unsigned8(2, o, CORBA::Octet );
              flick_iiopxx_decode_end_chunk(3);
              flick_iiopxx_decode_end_glob(7);
              break;
              {
              _flick_abort132:
                goto _flick_abort126;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(7);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort133);
              break;
              {
              _flick_abort133:
                goto _flick_abort126;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort134);
              flick_iiopxx_decode_end_glob(7);
              break;
              {
              _flick_abort134:
                goto _flick_abort126;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort126:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort125);
    _flick_abort125:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

CORBA::Boolean ex2::op8(/* ex2 *this, */ ::CORBA::Boolean &b, CORBA::Octet o, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  CORBA::Boolean _return;

  _return = 0;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort143);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort143);
    }
    {
      flick_iiopxx_encode_new_glob(13, _flick_abort143);
      flick_iiopxx_encode_new_chunk(13);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '8', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_unsigned8(12, o, CORBA::Octet );
      flick_iiopxx_encode_end_chunk(13);
      flick_iiopxx_encode_end_glob(13);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort143);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort143);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t17_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(6);
        flick_iiopxx_check_span(4, _flick_abort143);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t17_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t17_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(2, _flick_abort156);
              flick_iiopxx_decode_new_chunk(2);
              flick_cdr_swap_decode_unsigned8(0, _return, CORBA::Boolean );
              flick_cdr_swap_decode_unsigned8(1, b, CORBA::Boolean );
              flick_iiopxx_decode_end_chunk(2);
              flick_iiopxx_decode_end_glob(6);
              break;
              {
              _flick_abort156:
                goto _flick_abort143;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(6);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort157);
              break;
              {
              _flick_abort157:
                goto _flick_abort143;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort158);
              flick_iiopxx_decode_end_glob(6);
              break;
              {
              _flick_abort158:
                goto _flick_abort143;
              }
            }
          }
      }
    else
      {
        int _t16_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(6);
        flick_iiopxx_check_span(4, _flick_abort143);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t16_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t16_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(2, _flick_abort149);
              flick_iiopxx_decode_new_chunk(2);
              flick_cdr_decode_unsigned8(0, _return, CORBA::Boolean );
              flick_cdr_decode_unsigned8(1, b, CORBA::Boolean );
              flick_iiopxx_decode_end_chunk(2);
              flick_iiopxx_decode_end_glob(6);
              break;
              {
              _flick_abort149:
                goto _flick_abort143;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(6);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort150);
              break;
              {
              _flick_abort150:
                goto _flick_abort143;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort151);
              flick_iiopxx_decode_end_glob(6);
              break;
              {
              _flick_abort151:
                goto _flick_abort143;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort143:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort142);
    _flick_abort142:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

CORBA::Octet ex2::op9(/* ex2 *this, */ CORBA::Octet &o, ::CORBA::String_out s, const char *ls, CORBA::Long &l, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  CORBA::Octet _return;

  _return = 0;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort160);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort160);
    }
    {
      flick_unsigned32_t _t19_temp_string_len;

      flick_cdr_stringlen(CORBA::Char *, ls, flick_unsigned32_t , _t19_temp_string_len);

      flick_iiopxx_encode_new_glob(38, _flick_abort160);
      flick_iiopxx_encode_new_chunk(20 + 1 * _t19_temp_string_len);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '9', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_unsigned8(12, o, CORBA::Octet );
      flick_cdr_encode_unsigned32(16, _t19_temp_string_len, flick_unsigned32_t );
      if (_t19_temp_string_len > 11)
        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort160);
      flick_cdr_encode_bcopy(20, ls, 1 * _t19_temp_string_len);
      flick_iiopxx_encode_end_chunk(20 + 1 * _t19_temp_string_len);
      flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
      flick_cdr_encode_signed32(0, l, CORBA::Long );
      flick_iiopxx_encode_end_chunk(4);
      flick_iiopxx_encode_end_glob(38);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort160);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort160);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t23_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(12);
        flick_iiopxx_check_span(4, _flick_abort160);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t23_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t23_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t25_temp_string_len;

              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(8, _flick_abort186);
              flick_iiopxx_decode_new_chunk(8);
              flick_cdr_swap_decode_unsigned8(0, _return, CORBA::Octet );
              flick_cdr_swap_decode_unsigned8(1, o, CORBA::Octet );
              flick_cdr_swap_decode_unsigned32(4, _t25_temp_string_len, flick_unsigned32_t );
              flick_iiopxx_decode_end_chunk(8);
              flick_iiopxx_decode_end_glob(12);
              flick_iiopxx_decode_new_glob(1 * _t25_temp_string_len);
              flick_iiopxx_check_span(1 * _t25_temp_string_len, _flick_abort186);
              flick_iiopxx_decode_new_chunk(1 * _t25_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t25_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort186);
                s = _t_alloc_ptr;
              }
              flick_cdr_swap_decode_bcopy(0, s, 1 * _t25_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t25_temp_string_len);
              flick_iiopxx_decode_end_glob(1 * _t25_temp_string_len);
              flick_iiopxx_decode_new_glob(7);
              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
              flick_iiopxx_check_span(4, _flick_abort189);
              flick_cdr_swap_decode_signed32(0, l, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(7);
              break;
              {
              _flick_abort189:
                CORBA_string_flick_free(s);
              _flick_abort186:
                goto _flick_abort160;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(12);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort190);
              break;
              {
              _flick_abort190:
                goto _flick_abort160;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort191);
              flick_iiopxx_decode_end_glob(12);
              break;
              {
              _flick_abort191:
                goto _flick_abort160;
              }
            }
          }
      }
    else
      {
        int _t20_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(12);
        flick_iiopxx_check_span(4, _flick_abort160);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t20_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t20_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t22_temp_string_len;

              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(8, _flick_abort173);
              flick_iiopxx_decode_new_chunk(8);
              flick_cdr_decode_unsigned8(0, _return, CORBA::Octet );
              flick_cdr_decode_unsigned8(1, o, CORBA::Octet );
              flick_cdr_decode_unsigned32(4, _t22_temp_string_len, flick_unsigned32_t );
              flick_iiopxx_decode_end_chunk(8);
              flick_iiopxx_decode_end_glob(12);
              flick_iiopxx_decode_new_glob(1 * _t22_temp_string_len);
              flick_iiopxx_check_span(1 * _t22_temp_string_len, _flick_abort173);
              flick_iiopxx_decode_new_chunk(1 * _t22_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t22_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort173);
                s = _t_alloc_ptr;
              }
              flick_cdr_decode_bcopy(0, s, 1 * _t22_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t22_temp_string_len);
              flick_iiopxx_decode_end_glob(1 * _t22_temp_string_len);
              flick_iiopxx_decode_new_glob(7);
              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
              flick_iiopxx_check_span(4, _flick_abort176);
              flick_cdr_decode_signed32(0, l, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(7);
              break;
              {
              _flick_abort176:
                CORBA_string_flick_free(s);
              _flick_abort173:
                goto _flick_abort160;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(12);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort177);
              break;
              {
              _flick_abort177:
                goto _flick_abort160;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort178);
              flick_iiopxx_decode_end_glob(12);
              break;
              {
              _flick_abort178:
                goto _flick_abort160;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort160:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort159);
    _flick_abort159:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

char *ex2::op10(/* ex2 *this, */ const char *s, ::CORBA::String_out ls, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  char *_return;

  _return = 0;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort193);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort193);
    }
    {
      flick_unsigned32_t _t27_temp_string_len;

      flick_cdr_stringlen(CORBA::Char *, s, flick_unsigned32_t , _t27_temp_string_len);

      flick_iiopxx_encode_new_glob(20, _flick_abort193);
      flick_iiopxx_encode_new_chunk(20);
      flick_cdr_encode_unsigned32(0, 5, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '1', flick_char8_t );
      flick_cdr_encode_char8(7, '0', flick_char8_t );
      flick_cdr_encode_char8(8, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(12, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_unsigned32(16, _t27_temp_string_len, flick_unsigned32_t );
      flick_iiopxx_encode_end_chunk(20);
      flick_iiopxx_encode_end_glob(20);
      flick_iiopxx_encode_new_glob(1 * _t27_temp_string_len, _flick_abort193);
      flick_iiopxx_encode_new_chunk(1 * _t27_temp_string_len);
      flick_cdr_encode_bcopy(0, s, 1 * _t27_temp_string_len);
      flick_iiopxx_encode_end_chunk(1 * _t27_temp_string_len);
      flick_iiopxx_encode_end_glob(1 * _t27_temp_string_len);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort193);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort193);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t33_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort193);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t33_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t33_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t36_temp_string_len;
              flick_unsigned32_t _t37_temp_string_len;

              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort228);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_unsigned32(0, _t36_temp_string_len, flick_unsigned32_t );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              flick_iiopxx_decode_new_glob(1 * _t36_temp_string_len);
              flick_iiopxx_check_span(1 * _t36_temp_string_len, _flick_abort228);
              flick_iiopxx_decode_new_chunk(1 * _t36_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t36_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort228);
                _return = _t_alloc_ptr;
              }
              flick_cdr_swap_decode_bcopy(0, _return, 1 * _t36_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t36_temp_string_len);
              flick_iiopxx_decode_end_glob(1 * _t36_temp_string_len);
              flick_iiopxx_decode_new_glob(18);
              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
              flick_iiopxx_check_span(4, _flick_abort231);
              flick_cdr_swap_decode_unsigned32(0, _t37_temp_string_len, flick_unsigned32_t );
              if (_t37_temp_string_len > 11)
                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort231);
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_check_span(1 * _t37_temp_string_len, _flick_abort231);
              flick_iiopxx_decode_new_chunk(1 * _t37_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t37_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort231);
                ls = _t_alloc_ptr;
              }
              flick_cdr_swap_decode_bcopy(0, ls, 1 * _t37_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t37_temp_string_len);
              flick_iiopxx_decode_end_glob(18);
              break;
              {
              _flick_abort231:
                CORBA_string_flick_free(_return);
              _flick_abort228:
                goto _flick_abort193;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort235);
              break;
              {
              _flick_abort235:
                goto _flick_abort193;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort236);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort236:
                goto _flick_abort193;
              }
            }
          }
      }
    else
      {
        int _t28_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort193);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t28_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t28_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t31_temp_string_len;
              flick_unsigned32_t _t32_temp_string_len;

              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort209);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_unsigned32(0, _t31_temp_string_len, flick_unsigned32_t );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              flick_iiopxx_decode_new_glob(1 * _t31_temp_string_len);
              flick_iiopxx_check_span(1 * _t31_temp_string_len, _flick_abort209);
              flick_iiopxx_decode_new_chunk(1 * _t31_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t31_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort209);
                _return = _t_alloc_ptr;
              }
              flick_cdr_decode_bcopy(0, _return, 1 * _t31_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t31_temp_string_len);
              flick_iiopxx_decode_end_glob(1 * _t31_temp_string_len);
              flick_iiopxx_decode_new_glob(18);
              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
              flick_iiopxx_check_span(4, _flick_abort212);
              flick_cdr_decode_unsigned32(0, _t32_temp_string_len, flick_unsigned32_t );
              if (_t32_temp_string_len > 11)
                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort212);
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_check_span(1 * _t32_temp_string_len, _flick_abort212);
              flick_iiopxx_decode_new_chunk(1 * _t32_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t32_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort212);
                ls = _t_alloc_ptr;
              }
              flick_cdr_decode_bcopy(0, ls, 1 * _t32_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t32_temp_string_len);
              flick_iiopxx_decode_end_glob(18);
              break;
              {
              _flick_abort212:
                CORBA_string_flick_free(_return);
              _flick_abort209:
                goto _flick_abort193;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort216);
              break;
              {
              _flick_abort216:
                goto _flick_abort193;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort217);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort217:
                goto _flick_abort193;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort193:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort192);
    _flick_abort192:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

char *ex2::op11(/* ex2 *this, */ char *&ls, ::CORBA::Long &l, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  char *_return;

  _return = 0;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort238);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort238);
    }
    {
      flick_unsigned32_t _t39_temp_string_len;

      flick_cdr_stringlen(CORBA::Char *, ls, flick_unsigned32_t , _t39_temp_string_len);

      flick_iiopxx_encode_new_glob(31, _flick_abort238);
      flick_iiopxx_encode_new_chunk(20 + 1 * _t39_temp_string_len);
      flick_cdr_encode_unsigned32(0, 5, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '1', flick_char8_t );
      flick_cdr_encode_char8(7, '1', flick_char8_t );
      flick_cdr_encode_char8(8, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(12, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_unsigned32(16, _t39_temp_string_len, flick_unsigned32_t );
      if (_t39_temp_string_len > 11)
        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort238);
      flick_cdr_encode_bcopy(20, ls, 1 * _t39_temp_string_len);
      CORBA_string_flick_free(ls);
      ls = 0;
      flick_iiopxx_encode_end_chunk(20 + 1 * _t39_temp_string_len);
      flick_iiopxx_encode_end_glob(31);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort238);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort238);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t45_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(44);
        flick_iiopxx_check_span(4, _flick_abort238);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t45_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t45_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t48_temp_string_len;
              flick_unsigned32_t _t49_temp_string_len;

              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort273);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_unsigned32(0, _t48_temp_string_len, flick_unsigned32_t );
              if (_t48_temp_string_len > 11)
                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort273);
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_check_span(1 * _t48_temp_string_len, _flick_abort273);
              flick_iiopxx_decode_new_chunk(1 * _t48_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t48_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort273);
                _return = _t_alloc_ptr;
              }
              flick_cdr_swap_decode_bcopy(0, _return, 1 * _t48_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t48_temp_string_len);
              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
              flick_iiopxx_check_span(4, _flick_abort276);
              flick_cdr_swap_decode_unsigned32(0, _t49_temp_string_len, flick_unsigned32_t );
              if (_t49_temp_string_len > 11)
                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort276);
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_check_span(1 * _t49_temp_string_len, _flick_abort276);
              flick_iiopxx_decode_new_chunk(1 * _t49_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t49_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort276);
                ls = _t_alloc_ptr;
              }
              flick_cdr_swap_decode_bcopy(0, ls, 1 * _t49_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t49_temp_string_len);
              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
              flick_iiopxx_check_span(4, _flick_abort279);
              flick_cdr_swap_decode_signed32(0, l, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(44);
              break;
              {
              _flick_abort279:
                CORBA_string_flick_free(ls);
              _flick_abort276:
                CORBA_string_flick_free(_return);
              _flick_abort273:
                goto _flick_abort238;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(44);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort280);
              break;
              {
              _flick_abort280:
                goto _flick_abort238;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort281);
              flick_iiopxx_decode_end_glob(44);
              break;
              {
              _flick_abort281:
                goto _flick_abort238;
              }
            }
          }
      }
    else
      {
        int _t40_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(44);
        flick_iiopxx_check_span(4, _flick_abort238);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t40_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t40_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t43_temp_string_len;
              flick_unsigned32_t _t44_temp_string_len;

              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort254);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_unsigned32(0, _t43_temp_string_len, flick_unsigned32_t );
              if (_t43_temp_string_len > 11)
                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort254);
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_check_span(1 * _t43_temp_string_len, _flick_abort254);
              flick_iiopxx_decode_new_chunk(1 * _t43_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t43_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort254);
                _return = _t_alloc_ptr;
              }
              flick_cdr_decode_bcopy(0, _return, 1 * _t43_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t43_temp_string_len);
              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
              flick_iiopxx_check_span(4, _flick_abort257);
              flick_cdr_decode_unsigned32(0, _t44_temp_string_len, flick_unsigned32_t );
              if (_t44_temp_string_len > 11)
                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort257);
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_check_span(1 * _t44_temp_string_len, _flick_abort257);
              flick_iiopxx_decode_new_chunk(1 * _t44_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t44_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort257);
                ls = _t_alloc_ptr;
              }
              flick_cdr_decode_bcopy(0, ls, 1 * _t44_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t44_temp_string_len);
              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
              flick_iiopxx_check_span(4, _flick_abort260);
              flick_cdr_decode_signed32(0, l, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(44);
              break;
              {
              _flick_abort260:
                CORBA_string_flick_free(ls);
              _flick_abort257:
                CORBA_string_flick_free(_return);
              _flick_abort254:
                goto _flick_abort238;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(44);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort261);
              break;
              {
              _flick_abort261:
                goto _flick_abort238;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort262);
              flick_iiopxx_decode_end_glob(44);
              break;
              {
              _flick_abort262:
                goto _flick_abort238;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort238:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort237);
    _flick_abort237:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

CORBA::Long ex2::op12(/* ex2 *this, */ CORBA::Long l, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  CORBA::Long _return;

  _return = 0;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort283);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort283);
    }
    {
      flick_iiopxx_encode_new_glob(20, _flick_abort283);
      flick_iiopxx_encode_new_chunk(20);
      flick_cdr_encode_unsigned32(0, 5, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '1', flick_char8_t );
      flick_cdr_encode_char8(7, '2', flick_char8_t );
      flick_cdr_encode_char8(8, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(12, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_signed32(16, l, CORBA::Long );
      flick_iiopxx_encode_end_chunk(20);
      flick_iiopxx_encode_end_glob(20);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort283);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort283);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t51_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort283);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t51_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t51_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort296);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_signed32(0, _return, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort296:
                goto _flick_abort283;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort297);
              break;
              {
              _flick_abort297:
                goto _flick_abort283;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort298);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort298:
                goto _flick_abort283;
              }
            }
          }
      }
    else
      {
        int _t50_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort283);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t50_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t50_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort289);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_signed32(0, _return, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort289:
                goto _flick_abort283;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort290);
              break;
              {
              _flick_abort290:
                goto _flick_abort283;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort291);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort291:
                goto _flick_abort283;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort283:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort282);
    _flick_abort282:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

void ex2::op0(/* ex2 *this, */ CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort300);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort300);
    }
    {
      flick_iiopxx_encode_new_glob(12, _flick_abort300);
      flick_iiopxx_encode_new_chunk(12);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '0', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_iiopxx_encode_end_chunk(12);
      flick_iiopxx_encode_end_glob(12);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort300);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort300);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t53_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(4);
        flick_iiopxx_check_span(4, _flick_abort300);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t53_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t53_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_end_glob(4);
              break;
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(4);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort314);
              break;
              {
              _flick_abort314:
                goto _flick_abort300;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort315);
              flick_iiopxx_decode_end_glob(4);
              break;
              {
              _flick_abort315:
                goto _flick_abort300;
              }
            }
          }
      }
    else
      {
        int _t52_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(4);
        flick_iiopxx_check_span(4, _flick_abort300);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t52_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t52_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_end_glob(4);
              break;
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(4);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort307);
              break;
              {
              _flick_abort307:
                goto _flick_abort300;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort308);
              flick_iiopxx_decode_end_glob(4);
              break;
              {
              _flick_abort308:
                goto _flick_abort300;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return;
    {
    _flick_abort300:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort299);
    _flick_abort299:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return;
}

CORBA::Float ex2::op1(/* ex2 *this, */ CORBA::Float f, ::CORBA::Double &d, CORBA::Long &l, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  CORBA::Float _return;

  _return = 0.000000;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort317);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort317);
    }
    {
      flick_iiopxx_encode_new_glob(20, _flick_abort317);
      flick_iiopxx_encode_new_chunk(20);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '1', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_float32(12, f, CORBA::Float );
      flick_cdr_encode_signed32(16, l, CORBA::Long );
      flick_iiopxx_encode_end_chunk(20);
      flick_iiopxx_encode_end_glob(20);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort317);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort317);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t55_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(24);
        flick_iiopxx_check_span(4, _flick_abort317);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t55_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t55_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort330);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_float32(0, _return, CORBA::Float );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_new_chunk_align(12, 3, 2, 0);
              flick_iiopxx_check_span(12, _flick_abort330);
              flick_cdr_swap_decode_float64(0, d, CORBA::Double );
              flick_cdr_swap_decode_signed32(8, l, CORBA::Long );
              flick_iiopxx_decode_end_chunk(12);
              flick_iiopxx_decode_end_glob(24);
              break;
              {
              _flick_abort330:
                goto _flick_abort317;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(24);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort331);
              break;
              {
              _flick_abort331:
                goto _flick_abort317;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort332);
              flick_iiopxx_decode_end_glob(24);
              break;
              {
              _flick_abort332:
                goto _flick_abort317;
              }
            }
          }
      }
    else
      {
        int _t54_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(24);
        flick_iiopxx_check_span(4, _flick_abort317);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t54_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t54_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort323);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_float32(0, _return, CORBA::Float );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_new_chunk_align(12, 3, 2, 0);
              flick_iiopxx_check_span(12, _flick_abort323);
              flick_cdr_decode_float64(0, d, CORBA::Double );
              flick_cdr_decode_signed32(8, l, CORBA::Long );
              flick_iiopxx_decode_end_chunk(12);
              flick_iiopxx_decode_end_glob(24);
              break;
              {
              _flick_abort323:
                goto _flick_abort317;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(24);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort324);
              break;
              {
              _flick_abort324:
                goto _flick_abort317;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort325);
              flick_iiopxx_decode_end_glob(24);
              break;
              {
              _flick_abort325:
                goto _flick_abort317;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort317:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort316);
    _flick_abort316:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

CORBA::Double ex2::op2(/* ex2 *this, */ CORBA::Double d, ::CORBA::Long &l, CORBA::Short &s, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  CORBA::Double _return;

  _return = 0.000000;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort334);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort334);
    }
    {
      flick_iiopxx_encode_new_glob(26, _flick_abort334);
      flick_iiopxx_encode_new_chunk(12);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '2', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_iiopxx_encode_end_chunk(12);
      flick_iiopxx_encode_new_chunk_align(10, 3, 2, 0);
      flick_cdr_encode_float64(0, d, CORBA::Double );
      flick_cdr_encode_signed16(8, s, CORBA::Short );
      flick_iiopxx_encode_end_chunk(10);
      flick_iiopxx_encode_end_glob(26);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort334);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort334);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t57_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(22);
        flick_iiopxx_check_span(4, _flick_abort334);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t57_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t57_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_new_chunk_align(14, 3, 2, 0);
              flick_iiopxx_check_span(14, _flick_abort347);
              flick_cdr_swap_decode_float64(0, _return, CORBA::Double );
              flick_cdr_swap_decode_signed32(8, l, CORBA::Long );
              flick_cdr_swap_decode_signed16(12, s, CORBA::Short );
              flick_iiopxx_decode_end_chunk(14);
              flick_iiopxx_decode_end_glob(22);
              break;
              {
              _flick_abort347:
                goto _flick_abort334;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(22);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort348);
              break;
              {
              _flick_abort348:
                goto _flick_abort334;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort349);
              flick_iiopxx_decode_end_glob(22);
              break;
              {
              _flick_abort349:
                goto _flick_abort334;
              }
            }
          }
      }
    else
      {
        int _t56_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(22);
        flick_iiopxx_check_span(4, _flick_abort334);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t56_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t56_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_new_chunk_align(14, 3, 2, 0);
              flick_iiopxx_check_span(14, _flick_abort340);
              flick_cdr_decode_float64(0, _return, CORBA::Double );
              flick_cdr_decode_signed32(8, l, CORBA::Long );
              flick_cdr_decode_signed16(12, s, CORBA::Short );
              flick_iiopxx_decode_end_chunk(14);
              flick_iiopxx_decode_end_glob(22);
              break;
              {
              _flick_abort340:
                goto _flick_abort334;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(22);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort341);
              break;
              {
              _flick_abort341:
                goto _flick_abort334;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort342);
              flick_iiopxx_decode_end_glob(22);
              break;
              {
              _flick_abort342:
                goto _flick_abort334;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort334:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort333);
    _flick_abort333:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

CORBA::Long ex2::op3(/* ex2 *this, */ CORBA::Long l, ::CORBA::Short &s, CORBA::ULong &ul, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  CORBA::Long _return;

  _return = 0;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort351);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort351);
    }
    {
      flick_iiopxx_encode_new_glob(20, _flick_abort351);
      flick_iiopxx_encode_new_chunk(20);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '3', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_signed32(12, l, CORBA::Long );
      flick_cdr_encode_unsigned32(16, ul, CORBA::ULong );
      flick_iiopxx_encode_end_chunk(20);
      flick_iiopxx_encode_end_glob(20);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort351);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort351);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t59_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(16);
        flick_iiopxx_check_span(4, _flick_abort351);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t59_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t59_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(12, _flick_abort364);
              flick_iiopxx_decode_new_chunk(12);
              flick_cdr_swap_decode_signed32(0, _return, CORBA::Long );
              flick_cdr_swap_decode_signed16(4, s, CORBA::Short );
              flick_cdr_swap_decode_unsigned32(8, ul, CORBA::ULong );
              flick_iiopxx_decode_end_chunk(12);
              flick_iiopxx_decode_end_glob(16);
              break;
              {
              _flick_abort364:
                goto _flick_abort351;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(16);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort365);
              break;
              {
              _flick_abort365:
                goto _flick_abort351;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort366);
              flick_iiopxx_decode_end_glob(16);
              break;
              {
              _flick_abort366:
                goto _flick_abort351;
              }
            }
          }
      }
    else
      {
        int _t58_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(16);
        flick_iiopxx_check_span(4, _flick_abort351);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t58_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t58_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(12, _flick_abort357);
              flick_iiopxx_decode_new_chunk(12);
              flick_cdr_decode_signed32(0, _return, CORBA::Long );
              flick_cdr_decode_signed16(4, s, CORBA::Short );
              flick_cdr_decode_unsigned32(8, ul, CORBA::ULong );
              flick_iiopxx_decode_end_chunk(12);
              flick_iiopxx_decode_end_glob(16);
              break;
              {
              _flick_abort357:
                goto _flick_abort351;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(16);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort358);
              break;
              {
              _flick_abort358:
                goto _flick_abort351;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort359);
              flick_iiopxx_decode_end_glob(16);
              break;
              {
              _flick_abort359:
                goto _flick_abort351;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort351:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort350);
    _flick_abort350:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

CORBA::Short ex2::op4(/* ex2 *this, */ CORBA::Short s, ::CORBA::ULong &ul, CORBA::UShort &us, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  CORBA::Short _return;

  _return = 0;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort368);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort368);
    }
    {
      flick_iiopxx_encode_new_glob(16, _flick_abort368);
      flick_iiopxx_encode_new_chunk(16);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '4', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_signed16(12, s, CORBA::Short );
      flick_cdr_encode_unsigned16(14, us, CORBA::UShort );
      flick_iiopxx_encode_end_chunk(16);
      flick_iiopxx_encode_end_glob(16);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort368);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort368);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t61_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(14);
        flick_iiopxx_check_span(4, _flick_abort368);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t61_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t61_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(10, _flick_abort381);
              flick_iiopxx_decode_new_chunk(10);
              flick_cdr_swap_decode_signed16(0, _return, CORBA::Short );
              flick_cdr_swap_decode_unsigned32(4, ul, CORBA::ULong );
              flick_cdr_swap_decode_unsigned16(8, us, CORBA::UShort );
              flick_iiopxx_decode_end_chunk(10);
              flick_iiopxx_decode_end_glob(14);
              break;
              {
              _flick_abort381:
                goto _flick_abort368;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(14);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort382);
              break;
              {
              _flick_abort382:
                goto _flick_abort368;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort383);
              flick_iiopxx_decode_end_glob(14);
              break;
              {
              _flick_abort383:
                goto _flick_abort368;
              }
            }
          }
      }
    else
      {
        int _t60_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(14);
        flick_iiopxx_check_span(4, _flick_abort368);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t60_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t60_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(10, _flick_abort374);
              flick_iiopxx_decode_new_chunk(10);
              flick_cdr_decode_signed16(0, _return, CORBA::Short );
              flick_cdr_decode_unsigned32(4, ul, CORBA::ULong );
              flick_cdr_decode_unsigned16(8, us, CORBA::UShort );
              flick_iiopxx_decode_end_chunk(10);
              flick_iiopxx_decode_end_glob(14);
              break;
              {
              _flick_abort374:
                goto _flick_abort368;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(14);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort375);
              break;
              {
              _flick_abort375:
                goto _flick_abort368;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort376);
              flick_iiopxx_decode_end_glob(14);
              break;
              {
              _flick_abort376:
                goto _flick_abort368;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort368:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort367);
    _flick_abort367:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

CORBA::ULong ex2::op5(/* ex2 *this, */ CORBA::ULong &ul, CORBA::UShort us, ::CORBA::Char &c, CORBA::Boolean b, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  CORBA::ULong _return;

  _return = 0;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort385);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort385);
    }
    {
      flick_iiopxx_encode_new_glob(19, _flick_abort385);
      flick_iiopxx_encode_new_chunk(19);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '5', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_unsigned32(12, ul, CORBA::ULong );
      flick_cdr_encode_unsigned16(16, us, CORBA::UShort );
      flick_cdr_encode_unsigned8(18, b, CORBA::Boolean );
      flick_iiopxx_encode_end_chunk(19);
      flick_iiopxx_encode_end_glob(19);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort385);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort385);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t63_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(13);
        flick_iiopxx_check_span(4, _flick_abort385);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t63_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t63_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(9, _flick_abort398);
              flick_iiopxx_decode_new_chunk(9);
              flick_cdr_swap_decode_unsigned32(0, _return, CORBA::ULong );
              flick_cdr_swap_decode_unsigned32(4, ul, CORBA::ULong );
              flick_cdr_swap_decode_char8(8, c, CORBA::Char );
              flick_iiopxx_decode_end_chunk(9);
              flick_iiopxx_decode_end_glob(13);
              break;
              {
              _flick_abort398:
                goto _flick_abort385;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(13);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort399);
              break;
              {
              _flick_abort399:
                goto _flick_abort385;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort400);
              flick_iiopxx_decode_end_glob(13);
              break;
              {
              _flick_abort400:
                goto _flick_abort385;
              }
            }
          }
      }
    else
      {
        int _t62_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(13);
        flick_iiopxx_check_span(4, _flick_abort385);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t62_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t62_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(9, _flick_abort391);
              flick_iiopxx_decode_new_chunk(9);
              flick_cdr_decode_unsigned32(0, _return, CORBA::ULong );
              flick_cdr_decode_unsigned32(4, ul, CORBA::ULong );
              flick_cdr_decode_char8(8, c, CORBA::Char );
              flick_iiopxx_decode_end_chunk(9);
              flick_iiopxx_decode_end_glob(13);
              break;
              {
              _flick_abort391:
                goto _flick_abort385;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(13);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort392);
              break;
              {
              _flick_abort392:
                goto _flick_abort385;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort393);
              flick_iiopxx_decode_end_glob(13);
              break;
              {
              _flick_abort393:
                goto _flick_abort385;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort385:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort384);
    _flick_abort384:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

CORBA::UShort ex2::op6(/* ex2 *this, */ ::CORBA::UShort &us, CORBA::Char &c, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  CORBA::UShort _return;

  _return = 0;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort402);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort402);
    }
    {
      flick_iiopxx_encode_new_glob(13, _flick_abort402);
      flick_iiopxx_encode_new_chunk(13);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '6', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_char8(12, c, CORBA::Char );
      flick_iiopxx_encode_end_chunk(13);
      flick_iiopxx_encode_end_glob(13);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort402);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort402);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t65_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(9);
        flick_iiopxx_check_span(4, _flick_abort402);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t65_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t65_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(5, _flick_abort415);
              flick_iiopxx_decode_new_chunk(5);
              flick_cdr_swap_decode_unsigned16(0, _return, CORBA::UShort );
              flick_cdr_swap_decode_unsigned16(2, us, CORBA::UShort );
              flick_cdr_swap_decode_char8(4, c, CORBA::Char );
              flick_iiopxx_decode_end_chunk(5);
              flick_iiopxx_decode_end_glob(9);
              break;
              {
              _flick_abort415:
                goto _flick_abort402;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(9);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort416);
              break;
              {
              _flick_abort416:
                goto _flick_abort402;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort417);
              flick_iiopxx_decode_end_glob(9);
              break;
              {
              _flick_abort417:
                goto _flick_abort402;
              }
            }
          }
      }
    else
      {
        int _t64_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(9);
        flick_iiopxx_check_span(4, _flick_abort402);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t64_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t64_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(5, _flick_abort408);
              flick_iiopxx_decode_new_chunk(5);
              flick_cdr_decode_unsigned16(0, _return, CORBA::UShort );
              flick_cdr_decode_unsigned16(2, us, CORBA::UShort );
              flick_cdr_decode_char8(4, c, CORBA::Char );
              flick_iiopxx_decode_end_chunk(5);
              flick_iiopxx_decode_end_glob(9);
              break;
              {
              _flick_abort408:
                goto _flick_abort402;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(9);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort409);
              break;
              {
              _flick_abort409:
                goto _flick_abort402;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort410);
              flick_iiopxx_decode_end_glob(9);
              break;
              {
              _flick_abort410:
                goto _flick_abort402;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort402:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort401);
    _flick_abort401:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

int flick_marshal_stub_ex3(flick_marshal_stream_t _stream, const ex3_ptr *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdrxx_encode_IOR(iiopxx, *_data, 0, ex3 , _flick_abort418);
  return 0;
  {
  _flick_abort418:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_ex3(flick_marshal_stream_t _stream, ex3_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdrxx_decode_IOR(iiopxx, *_data, 1, ex3 , _flick_abort419);
  return 0;
  {
  _flick_abort419:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_ex3_swap(flick_marshal_stream_t _stream, ex3_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swapxx_decode_IOR(iiopxx, *_data, 1, ex3 , _flick_abort420);
  return 0;
  {
  _flick_abort420:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

CORBA::Float ex3::float_attribute(/* ex3 *this, */ CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  CORBA::Float _return;

  _return = 0.000000;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort422);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort422);
    }
    {
      flick_iiopxx_encode_new_glob(32, _flick_abort422);
      flick_iiopxx_encode_new_chunk(32);
      flick_cdr_encode_unsigned32(0, 21, flick_unsigned32_t );
      flick_cdr_encode_char8(4, '_', flick_char8_t );
      flick_cdr_encode_char8(5, 'g', flick_char8_t );
      flick_cdr_encode_char8(6, 'e', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 'f', flick_char8_t );
      flick_cdr_encode_char8(10, 'l', flick_char8_t );
      flick_cdr_encode_char8(11, 'o', flick_char8_t );
      flick_cdr_encode_char8(12, 'a', flick_char8_t );
      flick_cdr_encode_char8(13, 't', flick_char8_t );
      flick_cdr_encode_char8(14, '_', flick_char8_t );
      flick_cdr_encode_char8(15, 'a', flick_char8_t );
      flick_cdr_encode_char8(16, 't', flick_char8_t );
      flick_cdr_encode_char8(17, 't', flick_char8_t );
      flick_cdr_encode_char8(18, 'r', flick_char8_t );
      flick_cdr_encode_char8(19, 'i', flick_char8_t );
      flick_cdr_encode_char8(20, 'b', flick_char8_t );
      flick_cdr_encode_char8(21, 'u', flick_char8_t );
      flick_cdr_encode_char8(22, 't', flick_char8_t );
      flick_cdr_encode_char8(23, 'e', flick_char8_t );
      flick_cdr_encode_char8(24, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(28, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_iiopxx_encode_end_chunk(32);
      flick_iiopxx_encode_end_glob(32);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort422);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort422);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t67_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort422);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t67_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t67_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort435);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_float32(0, _return, CORBA::Float );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort435:
                goto _flick_abort422;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort436);
              break;
              {
              _flick_abort436:
                goto _flick_abort422;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort437);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort437:
                goto _flick_abort422;
              }
            }
          }
      }
    else
      {
        int _t66_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort422);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t66_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t66_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort428);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_float32(0, _return, CORBA::Float );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort428:
                goto _flick_abort422;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort429);
              break;
              {
              _flick_abort429:
                goto _flick_abort422;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort430);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort430:
                goto _flick_abort422;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort422:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort421);
    _flick_abort421:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

CORBA::Double ex3::double_attribute(/* ex3 *this, */ CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  CORBA::Double _return;

  _return = 0.000000;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort439);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort439);
    }
    {
      flick_iiopxx_encode_new_glob(32, _flick_abort439);
      flick_iiopxx_encode_new_chunk(32);
      flick_cdr_encode_unsigned32(0, 22, flick_unsigned32_t );
      flick_cdr_encode_char8(4, '_', flick_char8_t );
      flick_cdr_encode_char8(5, 'g', flick_char8_t );
      flick_cdr_encode_char8(6, 'e', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 'd', flick_char8_t );
      flick_cdr_encode_char8(10, 'o', flick_char8_t );
      flick_cdr_encode_char8(11, 'u', flick_char8_t );
      flick_cdr_encode_char8(12, 'b', flick_char8_t );
      flick_cdr_encode_char8(13, 'l', flick_char8_t );
      flick_cdr_encode_char8(14, 'e', flick_char8_t );
      flick_cdr_encode_char8(15, '_', flick_char8_t );
      flick_cdr_encode_char8(16, 'a', flick_char8_t );
      flick_cdr_encode_char8(17, 't', flick_char8_t );
      flick_cdr_encode_char8(18, 't', flick_char8_t );
      flick_cdr_encode_char8(19, 'r', flick_char8_t );
      flick_cdr_encode_char8(20, 'i', flick_char8_t );
      flick_cdr_encode_char8(21, 'b', flick_char8_t );
      flick_cdr_encode_char8(22, 'u', flick_char8_t );
      flick_cdr_encode_char8(23, 't', flick_char8_t );
      flick_cdr_encode_char8(24, 'e', flick_char8_t );
      flick_cdr_encode_char8(25, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(28, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_iiopxx_encode_end_chunk(32);
      flick_iiopxx_encode_end_glob(32);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort439);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort439);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t69_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(16);
        flick_iiopxx_check_span(4, _flick_abort439);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t69_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t69_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_new_chunk_align(8, 3, 2, 0);
              flick_iiopxx_check_span(8, _flick_abort452);
              flick_cdr_swap_decode_float64(0, _return, CORBA::Double );
              flick_iiopxx_decode_end_chunk(8);
              flick_iiopxx_decode_end_glob(16);
              break;
              {
              _flick_abort452:
                goto _flick_abort439;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(16);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort453);
              break;
              {
              _flick_abort453:
                goto _flick_abort439;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort454);
              flick_iiopxx_decode_end_glob(16);
              break;
              {
              _flick_abort454:
                goto _flick_abort439;
              }
            }
          }
      }
    else
      {
        int _t68_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(16);
        flick_iiopxx_check_span(4, _flick_abort439);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t68_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t68_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_new_chunk_align(8, 3, 2, 0);
              flick_iiopxx_check_span(8, _flick_abort445);
              flick_cdr_decode_float64(0, _return, CORBA::Double );
              flick_iiopxx_decode_end_chunk(8);
              flick_iiopxx_decode_end_glob(16);
              break;
              {
              _flick_abort445:
                goto _flick_abort439;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(16);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort446);
              break;
              {
              _flick_abort446:
                goto _flick_abort439;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort447);
              flick_iiopxx_decode_end_glob(16);
              break;
              {
              _flick_abort447:
                goto _flick_abort439;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort439:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort438);
    _flick_abort438:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

void ex3::double_attribute(/* ex3 *this, */ CORBA::Double double_attribute, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort456);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort456);
    }
    {
      flick_iiopxx_encode_new_glob(44, _flick_abort456);
      flick_iiopxx_encode_new_chunk(32);
      flick_cdr_encode_unsigned32(0, 22, flick_unsigned32_t );
      flick_cdr_encode_char8(4, '_', flick_char8_t );
      flick_cdr_encode_char8(5, 's', flick_char8_t );
      flick_cdr_encode_char8(6, 'e', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 'd', flick_char8_t );
      flick_cdr_encode_char8(10, 'o', flick_char8_t );
      flick_cdr_encode_char8(11, 'u', flick_char8_t );
      flick_cdr_encode_char8(12, 'b', flick_char8_t );
      flick_cdr_encode_char8(13, 'l', flick_char8_t );
      flick_cdr_encode_char8(14, 'e', flick_char8_t );
      flick_cdr_encode_char8(15, '_', flick_char8_t );
      flick_cdr_encode_char8(16, 'a', flick_char8_t );
      flick_cdr_encode_char8(17, 't', flick_char8_t );
      flick_cdr_encode_char8(18, 't', flick_char8_t );
      flick_cdr_encode_char8(19, 'r', flick_char8_t );
      flick_cdr_encode_char8(20, 'i', flick_char8_t );
      flick_cdr_encode_char8(21, 'b', flick_char8_t );
      flick_cdr_encode_char8(22, 'u', flick_char8_t );
      flick_cdr_encode_char8(23, 't', flick_char8_t );
      flick_cdr_encode_char8(24, 'e', flick_char8_t );
      flick_cdr_encode_char8(25, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(28, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_iiopxx_encode_end_chunk(32);
      flick_iiopxx_encode_new_chunk_align(8, 3, 2, 0);
      flick_cdr_encode_float64(0, double_attribute, CORBA::Double );
      flick_iiopxx_encode_end_chunk(8);
      flick_iiopxx_encode_end_glob(44);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort456);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort456);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t71_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(4);
        flick_iiopxx_check_span(4, _flick_abort456);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t71_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t71_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_end_glob(4);
              break;
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(4);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort470);
              break;
              {
              _flick_abort470:
                goto _flick_abort456;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort471);
              flick_iiopxx_decode_end_glob(4);
              break;
              {
              _flick_abort471:
                goto _flick_abort456;
              }
            }
          }
      }
    else
      {
        int _t70_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(4);
        flick_iiopxx_check_span(4, _flick_abort456);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t70_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t70_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_end_glob(4);
              break;
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(4);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort463);
              break;
              {
              _flick_abort463:
                goto _flick_abort456;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort464);
              flick_iiopxx_decode_end_glob(4);
              break;
              {
              _flick_abort464:
                goto _flick_abort456;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return;
    {
    _flick_abort456:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort455);
    _flick_abort455:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return;
}

CORBA::Long ex3::long_attribute(/* ex3 *this, */ CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  CORBA::Long _return;

  _return = 0;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort473);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort473);
    }
    {
      flick_iiopxx_encode_new_glob(28, _flick_abort473);
      flick_iiopxx_encode_new_chunk(28);
      flick_cdr_encode_unsigned32(0, 20, flick_unsigned32_t );
      flick_cdr_encode_char8(4, '_', flick_char8_t );
      flick_cdr_encode_char8(5, 'g', flick_char8_t );
      flick_cdr_encode_char8(6, 'e', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 'l', flick_char8_t );
      flick_cdr_encode_char8(10, 'o', flick_char8_t );
      flick_cdr_encode_char8(11, 'n', flick_char8_t );
      flick_cdr_encode_char8(12, 'g', flick_char8_t );
      flick_cdr_encode_char8(13, '_', flick_char8_t );
      flick_cdr_encode_char8(14, 'a', flick_char8_t );
      flick_cdr_encode_char8(15, 't', flick_char8_t );
      flick_cdr_encode_char8(16, 't', flick_char8_t );
      flick_cdr_encode_char8(17, 'r', flick_char8_t );
      flick_cdr_encode_char8(18, 'i', flick_char8_t );
      flick_cdr_encode_char8(19, 'b', flick_char8_t );
      flick_cdr_encode_char8(20, 'u', flick_char8_t );
      flick_cdr_encode_char8(21, 't', flick_char8_t );
      flick_cdr_encode_char8(22, 'e', flick_char8_t );
      flick_cdr_encode_char8(23, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(24, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_iiopxx_encode_end_chunk(28);
      flick_iiopxx_encode_end_glob(28);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort473);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort473);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t73_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort473);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t73_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t73_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort486);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_signed32(0, _return, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort486:
                goto _flick_abort473;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort487);
              break;
              {
              _flick_abort487:
                goto _flick_abort473;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort488);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort488:
                goto _flick_abort473;
              }
            }
          }
      }
    else
      {
        int _t72_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort473);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t72_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t72_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort479);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_signed32(0, _return, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort479:
                goto _flick_abort473;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort480);
              break;
              {
              _flick_abort480:
                goto _flick_abort473;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort481);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort481:
                goto _flick_abort473;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort473:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort472);
    _flick_abort472:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

CORBA::Short ex3::short_attribute(/* ex3 *this, */ CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  CORBA::Short _return;

  _return = 0;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort490);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort490);
    }
    {
      flick_iiopxx_encode_new_glob(32, _flick_abort490);
      flick_iiopxx_encode_new_chunk(32);
      flick_cdr_encode_unsigned32(0, 21, flick_unsigned32_t );
      flick_cdr_encode_char8(4, '_', flick_char8_t );
      flick_cdr_encode_char8(5, 'g', flick_char8_t );
      flick_cdr_encode_char8(6, 'e', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 's', flick_char8_t );
      flick_cdr_encode_char8(10, 'h', flick_char8_t );
      flick_cdr_encode_char8(11, 'o', flick_char8_t );
      flick_cdr_encode_char8(12, 'r', flick_char8_t );
      flick_cdr_encode_char8(13, 't', flick_char8_t );
      flick_cdr_encode_char8(14, '_', flick_char8_t );
      flick_cdr_encode_char8(15, 'a', flick_char8_t );
      flick_cdr_encode_char8(16, 't', flick_char8_t );
      flick_cdr_encode_char8(17, 't', flick_char8_t );
      flick_cdr_encode_char8(18, 'r', flick_char8_t );
      flick_cdr_encode_char8(19, 'i', flick_char8_t );
      flick_cdr_encode_char8(20, 'b', flick_char8_t );
      flick_cdr_encode_char8(21, 'u', flick_char8_t );
      flick_cdr_encode_char8(22, 't', flick_char8_t );
      flick_cdr_encode_char8(23, 'e', flick_char8_t );
      flick_cdr_encode_char8(24, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(28, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_iiopxx_encode_end_chunk(32);
      flick_iiopxx_encode_end_glob(32);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort490);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort490);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t75_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(6);
        flick_iiopxx_check_span(4, _flick_abort490);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t75_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t75_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(2, _flick_abort503);
              flick_iiopxx_decode_new_chunk(2);
              flick_cdr_swap_decode_signed16(0, _return, CORBA::Short );
              flick_iiopxx_decode_end_chunk(2);
              flick_iiopxx_decode_end_glob(6);
              break;
              {
              _flick_abort503:
                goto _flick_abort490;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(6);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort504);
              break;
              {
              _flick_abort504:
                goto _flick_abort490;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort505);
              flick_iiopxx_decode_end_glob(6);
              break;
              {
              _flick_abort505:
                goto _flick_abort490;
              }
            }
          }
      }
    else
      {
        int _t74_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(6);
        flick_iiopxx_check_span(4, _flick_abort490);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t74_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t74_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(2, _flick_abort496);
              flick_iiopxx_decode_new_chunk(2);
              flick_cdr_decode_signed16(0, _return, CORBA::Short );
              flick_iiopxx_decode_end_chunk(2);
              flick_iiopxx_decode_end_glob(6);
              break;
              {
              _flick_abort496:
                goto _flick_abort490;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(6);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort497);
              break;
              {
              _flick_abort497:
                goto _flick_abort490;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort498);
              flick_iiopxx_decode_end_glob(6);
              break;
              {
              _flick_abort498:
                goto _flick_abort490;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort490:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort489);
    _flick_abort489:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

void ex3::short_attribute(/* ex3 *this, */ CORBA::Short short_attribute, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort507);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort507);
    }
    {
      flick_iiopxx_encode_new_glob(34, _flick_abort507);
      flick_iiopxx_encode_new_chunk(34);
      flick_cdr_encode_unsigned32(0, 21, flick_unsigned32_t );
      flick_cdr_encode_char8(4, '_', flick_char8_t );
      flick_cdr_encode_char8(5, 's', flick_char8_t );
      flick_cdr_encode_char8(6, 'e', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 's', flick_char8_t );
      flick_cdr_encode_char8(10, 'h', flick_char8_t );
      flick_cdr_encode_char8(11, 'o', flick_char8_t );
      flick_cdr_encode_char8(12, 'r', flick_char8_t );
      flick_cdr_encode_char8(13, 't', flick_char8_t );
      flick_cdr_encode_char8(14, '_', flick_char8_t );
      flick_cdr_encode_char8(15, 'a', flick_char8_t );
      flick_cdr_encode_char8(16, 't', flick_char8_t );
      flick_cdr_encode_char8(17, 't', flick_char8_t );
      flick_cdr_encode_char8(18, 'r', flick_char8_t );
      flick_cdr_encode_char8(19, 'i', flick_char8_t );
      flick_cdr_encode_char8(20, 'b', flick_char8_t );
      flick_cdr_encode_char8(21, 'u', flick_char8_t );
      flick_cdr_encode_char8(22, 't', flick_char8_t );
      flick_cdr_encode_char8(23, 'e', flick_char8_t );
      flick_cdr_encode_char8(24, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(28, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_signed16(32, short_attribute, CORBA::Short );
      flick_iiopxx_encode_end_chunk(34);
      flick_iiopxx_encode_end_glob(34);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort507);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort507);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t77_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(4);
        flick_iiopxx_check_span(4, _flick_abort507);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t77_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t77_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_end_glob(4);
              break;
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(4);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort521);
              break;
              {
              _flick_abort521:
                goto _flick_abort507;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort522);
              flick_iiopxx_decode_end_glob(4);
              break;
              {
              _flick_abort522:
                goto _flick_abort507;
              }
            }
          }
      }
    else
      {
        int _t76_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(4);
        flick_iiopxx_check_span(4, _flick_abort507);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t76_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t76_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_end_glob(4);
              break;
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(4);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort514);
              break;
              {
              _flick_abort514:
                goto _flick_abort507;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort515);
              flick_iiopxx_decode_end_glob(4);
              break;
              {
              _flick_abort515:
                goto _flick_abort507;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return;
    {
    _flick_abort507:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort506);
    _flick_abort506:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return;
}

CORBA::ULong ex3::unsigned_long_attribute(/* ex3 *this, */ CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  CORBA::ULong _return;

  _return = 0;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort524);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort524);
    }
    {
      flick_iiopxx_encode_new_glob(40, _flick_abort524);
      flick_iiopxx_encode_new_chunk(40);
      flick_cdr_encode_unsigned32(0, 29, flick_unsigned32_t );
      flick_cdr_encode_char8(4, '_', flick_char8_t );
      flick_cdr_encode_char8(5, 'g', flick_char8_t );
      flick_cdr_encode_char8(6, 'e', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 'u', flick_char8_t );
      flick_cdr_encode_char8(10, 'n', flick_char8_t );
      flick_cdr_encode_char8(11, 's', flick_char8_t );
      flick_cdr_encode_char8(12, 'i', flick_char8_t );
      flick_cdr_encode_char8(13, 'g', flick_char8_t );
      flick_cdr_encode_char8(14, 'n', flick_char8_t );
      flick_cdr_encode_char8(15, 'e', flick_char8_t );
      flick_cdr_encode_char8(16, 'd', flick_char8_t );
      flick_cdr_encode_char8(17, '_', flick_char8_t );
      flick_cdr_encode_char8(18, 'l', flick_char8_t );
      flick_cdr_encode_char8(19, 'o', flick_char8_t );
      flick_cdr_encode_char8(20, 'n', flick_char8_t );
      flick_cdr_encode_char8(21, 'g', flick_char8_t );
      flick_cdr_encode_char8(22, '_', flick_char8_t );
      flick_cdr_encode_char8(23, 'a', flick_char8_t );
      flick_cdr_encode_char8(24, 't', flick_char8_t );
      flick_cdr_encode_char8(25, 't', flick_char8_t );
      flick_cdr_encode_char8(26, 'r', flick_char8_t );
      flick_cdr_encode_char8(27, 'i', flick_char8_t );
      flick_cdr_encode_char8(28, 'b', flick_char8_t );
      flick_cdr_encode_char8(29, 'u', flick_char8_t );
      flick_cdr_encode_char8(30, 't', flick_char8_t );
      flick_cdr_encode_char8(31, 'e', flick_char8_t );
      flick_cdr_encode_char8(32, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(36, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_iiopxx_encode_end_chunk(40);
      flick_iiopxx_encode_end_glob(40);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort524);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort524);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t79_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort524);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t79_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t79_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort537);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_unsigned32(0, _return, CORBA::ULong );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort537:
                goto _flick_abort524;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort538);
              break;
              {
              _flick_abort538:
                goto _flick_abort524;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort539);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort539:
                goto _flick_abort524;
              }
            }
          }
      }
    else
      {
        int _t78_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort524);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t78_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t78_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort530);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_unsigned32(0, _return, CORBA::ULong );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort530:
                goto _flick_abort524;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort531);
              break;
              {
              _flick_abort531:
                goto _flick_abort524;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort532);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort532:
                goto _flick_abort524;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort524:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort523);
    _flick_abort523:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

void ex3::op0(/* ex3 *this, */ CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort541);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort541);
    }
    {
      flick_iiopxx_encode_new_glob(12, _flick_abort541);
      flick_iiopxx_encode_new_chunk(12);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '0', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_iiopxx_encode_end_chunk(12);
      flick_iiopxx_encode_end_glob(12);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort541);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort541);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t81_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(4);
        flick_iiopxx_check_span(4, _flick_abort541);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t81_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t81_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_end_glob(4);
              break;
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(4);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort555);
              break;
              {
              _flick_abort555:
                goto _flick_abort541;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort556);
              flick_iiopxx_decode_end_glob(4);
              break;
              {
              _flick_abort556:
                goto _flick_abort541;
              }
            }
          }
      }
    else
      {
        int _t80_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(4);
        flick_iiopxx_check_span(4, _flick_abort541);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t80_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t80_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_end_glob(4);
              break;
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(4);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort548);
              break;
              {
              _flick_abort548:
                goto _flick_abort541;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort549);
              flick_iiopxx_decode_end_glob(4);
              break;
              {
              _flick_abort549:
                goto _flick_abort541;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return;
    {
    _flick_abort541:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort540);
    _flick_abort540:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return;
}

CORBA::Float ex3::op1(/* ex3 *this, */ CORBA::Float f, ::CORBA::Double &d, CORBA::Long &l, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  CORBA::Float _return;

  _return = 0.000000;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort558);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort558);
    }
    {
      flick_iiopxx_encode_new_glob(20, _flick_abort558);
      flick_iiopxx_encode_new_chunk(20);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '1', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_float32(12, f, CORBA::Float );
      flick_cdr_encode_signed32(16, l, CORBA::Long );
      flick_iiopxx_encode_end_chunk(20);
      flick_iiopxx_encode_end_glob(20);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort558);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort558);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t83_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(24);
        flick_iiopxx_check_span(4, _flick_abort558);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t83_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t83_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort571);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_float32(0, _return, CORBA::Float );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_new_chunk_align(12, 3, 2, 0);
              flick_iiopxx_check_span(12, _flick_abort571);
              flick_cdr_swap_decode_float64(0, d, CORBA::Double );
              flick_cdr_swap_decode_signed32(8, l, CORBA::Long );
              flick_iiopxx_decode_end_chunk(12);
              flick_iiopxx_decode_end_glob(24);
              break;
              {
              _flick_abort571:
                goto _flick_abort558;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(24);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort572);
              break;
              {
              _flick_abort572:
                goto _flick_abort558;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort573);
              flick_iiopxx_decode_end_glob(24);
              break;
              {
              _flick_abort573:
                goto _flick_abort558;
              }
            }
          }
      }
    else
      {
        int _t82_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(24);
        flick_iiopxx_check_span(4, _flick_abort558);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t82_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t82_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort564);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_float32(0, _return, CORBA::Float );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_new_chunk_align(12, 3, 2, 0);
              flick_iiopxx_check_span(12, _flick_abort564);
              flick_cdr_decode_float64(0, d, CORBA::Double );
              flick_cdr_decode_signed32(8, l, CORBA::Long );
              flick_iiopxx_decode_end_chunk(12);
              flick_iiopxx_decode_end_glob(24);
              break;
              {
              _flick_abort564:
                goto _flick_abort558;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(24);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort565);
              break;
              {
              _flick_abort565:
                goto _flick_abort558;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort566);
              flick_iiopxx_decode_end_glob(24);
              break;
              {
              _flick_abort566:
                goto _flick_abort558;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort558:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort557);
    _flick_abort557:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

CORBA::Double ex3::op2(/* ex3 *this, */ CORBA::Double d, ::CORBA::Long &l, CORBA::Short &s, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  CORBA::Double _return;

  _return = 0.000000;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort575);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort575);
    }
    {
      flick_iiopxx_encode_new_glob(26, _flick_abort575);
      flick_iiopxx_encode_new_chunk(12);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '2', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_iiopxx_encode_end_chunk(12);
      flick_iiopxx_encode_new_chunk_align(10, 3, 2, 0);
      flick_cdr_encode_float64(0, d, CORBA::Double );
      flick_cdr_encode_signed16(8, s, CORBA::Short );
      flick_iiopxx_encode_end_chunk(10);
      flick_iiopxx_encode_end_glob(26);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort575);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort575);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t85_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(22);
        flick_iiopxx_check_span(4, _flick_abort575);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t85_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t85_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_new_chunk_align(14, 3, 2, 0);
              flick_iiopxx_check_span(14, _flick_abort588);
              flick_cdr_swap_decode_float64(0, _return, CORBA::Double );
              flick_cdr_swap_decode_signed32(8, l, CORBA::Long );
              flick_cdr_swap_decode_signed16(12, s, CORBA::Short );
              flick_iiopxx_decode_end_chunk(14);
              flick_iiopxx_decode_end_glob(22);
              break;
              {
              _flick_abort588:
                goto _flick_abort575;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(22);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort589);
              break;
              {
              _flick_abort589:
                goto _flick_abort575;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort590);
              flick_iiopxx_decode_end_glob(22);
              break;
              {
              _flick_abort590:
                goto _flick_abort575;
              }
            }
          }
      }
    else
      {
        int _t84_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(22);
        flick_iiopxx_check_span(4, _flick_abort575);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t84_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t84_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_new_chunk_align(14, 3, 2, 0);
              flick_iiopxx_check_span(14, _flick_abort581);
              flick_cdr_decode_float64(0, _return, CORBA::Double );
              flick_cdr_decode_signed32(8, l, CORBA::Long );
              flick_cdr_decode_signed16(12, s, CORBA::Short );
              flick_iiopxx_decode_end_chunk(14);
              flick_iiopxx_decode_end_glob(22);
              break;
              {
              _flick_abort581:
                goto _flick_abort575;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(22);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort582);
              break;
              {
              _flick_abort582:
                goto _flick_abort575;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort583);
              flick_iiopxx_decode_end_glob(22);
              break;
              {
              _flick_abort583:
                goto _flick_abort575;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort575:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort574);
    _flick_abort574:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

CORBA::Long ex3::op3(/* ex3 *this, */ CORBA::Long l, ::CORBA::Short &s, CORBA::ULong &ul, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  CORBA::Long _return;

  _return = 0;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort592);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort592);
    }
    {
      flick_iiopxx_encode_new_glob(20, _flick_abort592);
      flick_iiopxx_encode_new_chunk(20);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '3', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_signed32(12, l, CORBA::Long );
      flick_cdr_encode_unsigned32(16, ul, CORBA::ULong );
      flick_iiopxx_encode_end_chunk(20);
      flick_iiopxx_encode_end_glob(20);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort592);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort592);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t87_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(16);
        flick_iiopxx_check_span(4, _flick_abort592);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t87_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t87_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(12, _flick_abort605);
              flick_iiopxx_decode_new_chunk(12);
              flick_cdr_swap_decode_signed32(0, _return, CORBA::Long );
              flick_cdr_swap_decode_signed16(4, s, CORBA::Short );
              flick_cdr_swap_decode_unsigned32(8, ul, CORBA::ULong );
              flick_iiopxx_decode_end_chunk(12);
              flick_iiopxx_decode_end_glob(16);
              break;
              {
              _flick_abort605:
                goto _flick_abort592;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(16);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort606);
              break;
              {
              _flick_abort606:
                goto _flick_abort592;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort607);
              flick_iiopxx_decode_end_glob(16);
              break;
              {
              _flick_abort607:
                goto _flick_abort592;
              }
            }
          }
      }
    else
      {
        int _t86_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(16);
        flick_iiopxx_check_span(4, _flick_abort592);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t86_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t86_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(12, _flick_abort598);
              flick_iiopxx_decode_new_chunk(12);
              flick_cdr_decode_signed32(0, _return, CORBA::Long );
              flick_cdr_decode_signed16(4, s, CORBA::Short );
              flick_cdr_decode_unsigned32(8, ul, CORBA::ULong );
              flick_iiopxx_decode_end_chunk(12);
              flick_iiopxx_decode_end_glob(16);
              break;
              {
              _flick_abort598:
                goto _flick_abort592;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(16);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort599);
              break;
              {
              _flick_abort599:
                goto _flick_abort592;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort600);
              flick_iiopxx_decode_end_glob(16);
              break;
              {
              _flick_abort600:
                goto _flick_abort592;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort592:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort591);
    _flick_abort591:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

CORBA::Short ex3::op4(/* ex3 *this, */ CORBA::Short s, ::CORBA::ULong &ul, CORBA::UShort &us, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  CORBA::Short _return;

  _return = 0;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort609);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort609);
    }
    {
      flick_iiopxx_encode_new_glob(16, _flick_abort609);
      flick_iiopxx_encode_new_chunk(16);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '4', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_signed16(12, s, CORBA::Short );
      flick_cdr_encode_unsigned16(14, us, CORBA::UShort );
      flick_iiopxx_encode_end_chunk(16);
      flick_iiopxx_encode_end_glob(16);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort609);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort609);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t89_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(14);
        flick_iiopxx_check_span(4, _flick_abort609);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t89_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t89_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(10, _flick_abort622);
              flick_iiopxx_decode_new_chunk(10);
              flick_cdr_swap_decode_signed16(0, _return, CORBA::Short );
              flick_cdr_swap_decode_unsigned32(4, ul, CORBA::ULong );
              flick_cdr_swap_decode_unsigned16(8, us, CORBA::UShort );
              flick_iiopxx_decode_end_chunk(10);
              flick_iiopxx_decode_end_glob(14);
              break;
              {
              _flick_abort622:
                goto _flick_abort609;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(14);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort623);
              break;
              {
              _flick_abort623:
                goto _flick_abort609;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort624);
              flick_iiopxx_decode_end_glob(14);
              break;
              {
              _flick_abort624:
                goto _flick_abort609;
              }
            }
          }
      }
    else
      {
        int _t88_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(14);
        flick_iiopxx_check_span(4, _flick_abort609);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t88_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t88_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(10, _flick_abort615);
              flick_iiopxx_decode_new_chunk(10);
              flick_cdr_decode_signed16(0, _return, CORBA::Short );
              flick_cdr_decode_unsigned32(4, ul, CORBA::ULong );
              flick_cdr_decode_unsigned16(8, us, CORBA::UShort );
              flick_iiopxx_decode_end_chunk(10);
              flick_iiopxx_decode_end_glob(14);
              break;
              {
              _flick_abort615:
                goto _flick_abort609;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(14);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort616);
              break;
              {
              _flick_abort616:
                goto _flick_abort609;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort617);
              flick_iiopxx_decode_end_glob(14);
              break;
              {
              _flick_abort617:
                goto _flick_abort609;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort609:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort608);
    _flick_abort608:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

CORBA::ULong ex3::op5(/* ex3 *this, */ CORBA::ULong &ul, CORBA::UShort us, ::CORBA::Char &c, CORBA::Boolean b, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  CORBA::ULong _return;

  _return = 0;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort626);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort626);
    }
    {
      flick_iiopxx_encode_new_glob(19, _flick_abort626);
      flick_iiopxx_encode_new_chunk(19);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '5', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_unsigned32(12, ul, CORBA::ULong );
      flick_cdr_encode_unsigned16(16, us, CORBA::UShort );
      flick_cdr_encode_unsigned8(18, b, CORBA::Boolean );
      flick_iiopxx_encode_end_chunk(19);
      flick_iiopxx_encode_end_glob(19);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort626);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort626);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t91_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(13);
        flick_iiopxx_check_span(4, _flick_abort626);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t91_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t91_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(9, _flick_abort639);
              flick_iiopxx_decode_new_chunk(9);
              flick_cdr_swap_decode_unsigned32(0, _return, CORBA::ULong );
              flick_cdr_swap_decode_unsigned32(4, ul, CORBA::ULong );
              flick_cdr_swap_decode_char8(8, c, CORBA::Char );
              flick_iiopxx_decode_end_chunk(9);
              flick_iiopxx_decode_end_glob(13);
              break;
              {
              _flick_abort639:
                goto _flick_abort626;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(13);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort640);
              break;
              {
              _flick_abort640:
                goto _flick_abort626;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort641);
              flick_iiopxx_decode_end_glob(13);
              break;
              {
              _flick_abort641:
                goto _flick_abort626;
              }
            }
          }
      }
    else
      {
        int _t90_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(13);
        flick_iiopxx_check_span(4, _flick_abort626);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t90_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t90_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(9, _flick_abort632);
              flick_iiopxx_decode_new_chunk(9);
              flick_cdr_decode_unsigned32(0, _return, CORBA::ULong );
              flick_cdr_decode_unsigned32(4, ul, CORBA::ULong );
              flick_cdr_decode_char8(8, c, CORBA::Char );
              flick_iiopxx_decode_end_chunk(9);
              flick_iiopxx_decode_end_glob(13);
              break;
              {
              _flick_abort632:
                goto _flick_abort626;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(13);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort633);
              break;
              {
              _flick_abort633:
                goto _flick_abort626;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort634);
              flick_iiopxx_decode_end_glob(13);
              break;
              {
              _flick_abort634:
                goto _flick_abort626;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort626:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort625);
    _flick_abort625:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

CORBA::UShort ex3::op6(/* ex3 *this, */ ::CORBA::UShort &us, CORBA::Char &c, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  CORBA::UShort _return;

  _return = 0;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort643);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort643);
    }
    {
      flick_iiopxx_encode_new_glob(13, _flick_abort643);
      flick_iiopxx_encode_new_chunk(13);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '6', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_char8(12, c, CORBA::Char );
      flick_iiopxx_encode_end_chunk(13);
      flick_iiopxx_encode_end_glob(13);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort643);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort643);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t93_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(9);
        flick_iiopxx_check_span(4, _flick_abort643);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t93_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t93_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(5, _flick_abort656);
              flick_iiopxx_decode_new_chunk(5);
              flick_cdr_swap_decode_unsigned16(0, _return, CORBA::UShort );
              flick_cdr_swap_decode_unsigned16(2, us, CORBA::UShort );
              flick_cdr_swap_decode_char8(4, c, CORBA::Char );
              flick_iiopxx_decode_end_chunk(5);
              flick_iiopxx_decode_end_glob(9);
              break;
              {
              _flick_abort656:
                goto _flick_abort643;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(9);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort657);
              break;
              {
              _flick_abort657:
                goto _flick_abort643;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort658);
              flick_iiopxx_decode_end_glob(9);
              break;
              {
              _flick_abort658:
                goto _flick_abort643;
              }
            }
          }
      }
    else
      {
        int _t92_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(9);
        flick_iiopxx_check_span(4, _flick_abort643);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t92_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t92_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(5, _flick_abort649);
              flick_iiopxx_decode_new_chunk(5);
              flick_cdr_decode_unsigned16(0, _return, CORBA::UShort );
              flick_cdr_decode_unsigned16(2, us, CORBA::UShort );
              flick_cdr_decode_char8(4, c, CORBA::Char );
              flick_iiopxx_decode_end_chunk(5);
              flick_iiopxx_decode_end_glob(9);
              break;
              {
              _flick_abort649:
                goto _flick_abort643;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(9);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort650);
              break;
              {
              _flick_abort650:
                goto _flick_abort643;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort651);
              flick_iiopxx_decode_end_glob(9);
              break;
              {
              _flick_abort651:
                goto _flick_abort643;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort643:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort642);
    _flick_abort642:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

int flick_marshal_stub_ex4(flick_marshal_stream_t _stream, const ex4_ptr *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdrxx_encode_IOR(iiopxx, *_data, 0, ex4 , _flick_abort659);
  return 0;
  {
  _flick_abort659:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_ex4(flick_marshal_stream_t _stream, ex4_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdrxx_decode_IOR(iiopxx, *_data, 1, ex4 , _flick_abort660);
  return 0;
  {
  _flick_abort660:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_ex4_swap(flick_marshal_stream_t _stream, ex4_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swapxx_decode_IOR(iiopxx, *_data, 1, ex4 , _flick_abort661);
  return 0;
  {
  _flick_abort661:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

CORBA::UShort ex4::unsigned_short_attribute(/* ex4 *this, */ CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  CORBA::UShort _return;

  _return = 0;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort663);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort663);
    }
    {
      flick_iiopxx_encode_new_glob(40, _flick_abort663);
      flick_iiopxx_encode_new_chunk(40);
      flick_cdr_encode_unsigned32(0, 30, flick_unsigned32_t );
      flick_cdr_encode_char8(4, '_', flick_char8_t );
      flick_cdr_encode_char8(5, 'g', flick_char8_t );
      flick_cdr_encode_char8(6, 'e', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 'u', flick_char8_t );
      flick_cdr_encode_char8(10, 'n', flick_char8_t );
      flick_cdr_encode_char8(11, 's', flick_char8_t );
      flick_cdr_encode_char8(12, 'i', flick_char8_t );
      flick_cdr_encode_char8(13, 'g', flick_char8_t );
      flick_cdr_encode_char8(14, 'n', flick_char8_t );
      flick_cdr_encode_char8(15, 'e', flick_char8_t );
      flick_cdr_encode_char8(16, 'd', flick_char8_t );
      flick_cdr_encode_char8(17, '_', flick_char8_t );
      flick_cdr_encode_char8(18, 's', flick_char8_t );
      flick_cdr_encode_char8(19, 'h', flick_char8_t );
      flick_cdr_encode_char8(20, 'o', flick_char8_t );
      flick_cdr_encode_char8(21, 'r', flick_char8_t );
      flick_cdr_encode_char8(22, 't', flick_char8_t );
      flick_cdr_encode_char8(23, '_', flick_char8_t );
      flick_cdr_encode_char8(24, 'a', flick_char8_t );
      flick_cdr_encode_char8(25, 't', flick_char8_t );
      flick_cdr_encode_char8(26, 't', flick_char8_t );
      flick_cdr_encode_char8(27, 'r', flick_char8_t );
      flick_cdr_encode_char8(28, 'i', flick_char8_t );
      flick_cdr_encode_char8(29, 'b', flick_char8_t );
      flick_cdr_encode_char8(30, 'u', flick_char8_t );
      flick_cdr_encode_char8(31, 't', flick_char8_t );
      flick_cdr_encode_char8(32, 'e', flick_char8_t );
      flick_cdr_encode_char8(33, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(36, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_iiopxx_encode_end_chunk(40);
      flick_iiopxx_encode_end_glob(40);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort663);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort663);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t95_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(6);
        flick_iiopxx_check_span(4, _flick_abort663);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t95_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t95_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(2, _flick_abort676);
              flick_iiopxx_decode_new_chunk(2);
              flick_cdr_swap_decode_unsigned16(0, _return, CORBA::UShort );
              flick_iiopxx_decode_end_chunk(2);
              flick_iiopxx_decode_end_glob(6);
              break;
              {
              _flick_abort676:
                goto _flick_abort663;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(6);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort677);
              break;
              {
              _flick_abort677:
                goto _flick_abort663;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort678);
              flick_iiopxx_decode_end_glob(6);
              break;
              {
              _flick_abort678:
                goto _flick_abort663;
              }
            }
          }
      }
    else
      {
        int _t94_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(6);
        flick_iiopxx_check_span(4, _flick_abort663);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t94_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t94_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(2, _flick_abort669);
              flick_iiopxx_decode_new_chunk(2);
              flick_cdr_decode_unsigned16(0, _return, CORBA::UShort );
              flick_iiopxx_decode_end_chunk(2);
              flick_iiopxx_decode_end_glob(6);
              break;
              {
              _flick_abort669:
                goto _flick_abort663;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(6);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort670);
              break;
              {
              _flick_abort670:
                goto _flick_abort663;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort671);
              flick_iiopxx_decode_end_glob(6);
              break;
              {
              _flick_abort671:
                goto _flick_abort663;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort663:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort662);
    _flick_abort662:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

void ex4::unsigned_short_attribute(/* ex4 *this, */ CORBA::UShort unsigned_short_attribute, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort680);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort680);
    }
    {
      flick_iiopxx_encode_new_glob(42, _flick_abort680);
      flick_iiopxx_encode_new_chunk(42);
      flick_cdr_encode_unsigned32(0, 30, flick_unsigned32_t );
      flick_cdr_encode_char8(4, '_', flick_char8_t );
      flick_cdr_encode_char8(5, 's', flick_char8_t );
      flick_cdr_encode_char8(6, 'e', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 'u', flick_char8_t );
      flick_cdr_encode_char8(10, 'n', flick_char8_t );
      flick_cdr_encode_char8(11, 's', flick_char8_t );
      flick_cdr_encode_char8(12, 'i', flick_char8_t );
      flick_cdr_encode_char8(13, 'g', flick_char8_t );
      flick_cdr_encode_char8(14, 'n', flick_char8_t );
      flick_cdr_encode_char8(15, 'e', flick_char8_t );
      flick_cdr_encode_char8(16, 'd', flick_char8_t );
      flick_cdr_encode_char8(17, '_', flick_char8_t );
      flick_cdr_encode_char8(18, 's', flick_char8_t );
      flick_cdr_encode_char8(19, 'h', flick_char8_t );
      flick_cdr_encode_char8(20, 'o', flick_char8_t );
      flick_cdr_encode_char8(21, 'r', flick_char8_t );
      flick_cdr_encode_char8(22, 't', flick_char8_t );
      flick_cdr_encode_char8(23, '_', flick_char8_t );
      flick_cdr_encode_char8(24, 'a', flick_char8_t );
      flick_cdr_encode_char8(25, 't', flick_char8_t );
      flick_cdr_encode_char8(26, 't', flick_char8_t );
      flick_cdr_encode_char8(27, 'r', flick_char8_t );
      flick_cdr_encode_char8(28, 'i', flick_char8_t );
      flick_cdr_encode_char8(29, 'b', flick_char8_t );
      flick_cdr_encode_char8(30, 'u', flick_char8_t );
      flick_cdr_encode_char8(31, 't', flick_char8_t );
      flick_cdr_encode_char8(32, 'e', flick_char8_t );
      flick_cdr_encode_char8(33, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(36, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_unsigned16(40, unsigned_short_attribute, CORBA::UShort );
      flick_iiopxx_encode_end_chunk(42);
      flick_iiopxx_encode_end_glob(42);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort680);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort680);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t97_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(4);
        flick_iiopxx_check_span(4, _flick_abort680);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t97_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t97_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_end_glob(4);
              break;
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(4);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort694);
              break;
              {
              _flick_abort694:
                goto _flick_abort680;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort695);
              flick_iiopxx_decode_end_glob(4);
              break;
              {
              _flick_abort695:
                goto _flick_abort680;
              }
            }
          }
      }
    else
      {
        int _t96_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(4);
        flick_iiopxx_check_span(4, _flick_abort680);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t96_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t96_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_end_glob(4);
              break;
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(4);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort687);
              break;
              {
              _flick_abort687:
                goto _flick_abort680;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort688);
              flick_iiopxx_decode_end_glob(4);
              break;
              {
              _flick_abort688:
                goto _flick_abort680;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return;
    {
    _flick_abort680:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort679);
    _flick_abort679:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return;
}

CORBA::Char ex4::char_attribute(/* ex4 *this, */ CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  CORBA::Char _return;

  _return = 0;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort697);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort697);
    }
    {
      flick_iiopxx_encode_new_glob(28, _flick_abort697);
      flick_iiopxx_encode_new_chunk(28);
      flick_cdr_encode_unsigned32(0, 20, flick_unsigned32_t );
      flick_cdr_encode_char8(4, '_', flick_char8_t );
      flick_cdr_encode_char8(5, 'g', flick_char8_t );
      flick_cdr_encode_char8(6, 'e', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 'c', flick_char8_t );
      flick_cdr_encode_char8(10, 'h', flick_char8_t );
      flick_cdr_encode_char8(11, 'a', flick_char8_t );
      flick_cdr_encode_char8(12, 'r', flick_char8_t );
      flick_cdr_encode_char8(13, '_', flick_char8_t );
      flick_cdr_encode_char8(14, 'a', flick_char8_t );
      flick_cdr_encode_char8(15, 't', flick_char8_t );
      flick_cdr_encode_char8(16, 't', flick_char8_t );
      flick_cdr_encode_char8(17, 'r', flick_char8_t );
      flick_cdr_encode_char8(18, 'i', flick_char8_t );
      flick_cdr_encode_char8(19, 'b', flick_char8_t );
      flick_cdr_encode_char8(20, 'u', flick_char8_t );
      flick_cdr_encode_char8(21, 't', flick_char8_t );
      flick_cdr_encode_char8(22, 'e', flick_char8_t );
      flick_cdr_encode_char8(23, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(24, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_iiopxx_encode_end_chunk(28);
      flick_iiopxx_encode_end_glob(28);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort697);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort697);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t99_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(5);
        flick_iiopxx_check_span(4, _flick_abort697);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t99_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t99_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(1, _flick_abort710);
              flick_iiopxx_decode_new_chunk(1);
              flick_cdr_swap_decode_char8(0, _return, CORBA::Char );
              flick_iiopxx_decode_end_chunk(1);
              flick_iiopxx_decode_end_glob(5);
              break;
              {
              _flick_abort710:
                goto _flick_abort697;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(5);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort711);
              break;
              {
              _flick_abort711:
                goto _flick_abort697;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort712);
              flick_iiopxx_decode_end_glob(5);
              break;
              {
              _flick_abort712:
                goto _flick_abort697;
              }
            }
          }
      }
    else
      {
        int _t98_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(5);
        flick_iiopxx_check_span(4, _flick_abort697);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t98_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t98_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(1, _flick_abort703);
              flick_iiopxx_decode_new_chunk(1);
              flick_cdr_decode_char8(0, _return, CORBA::Char );
              flick_iiopxx_decode_end_chunk(1);
              flick_iiopxx_decode_end_glob(5);
              break;
              {
              _flick_abort703:
                goto _flick_abort697;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(5);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort704);
              break;
              {
              _flick_abort704:
                goto _flick_abort697;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort705);
              flick_iiopxx_decode_end_glob(5);
              break;
              {
              _flick_abort705:
                goto _flick_abort697;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort697:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort696);
    _flick_abort696:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

CORBA::Boolean ex4::boolean_attribute(/* ex4 *this, */ CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  CORBA::Boolean _return;

  _return = 0;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort714);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort714);
    }
    {
      flick_iiopxx_encode_new_glob(32, _flick_abort714);
      flick_iiopxx_encode_new_chunk(32);
      flick_cdr_encode_unsigned32(0, 23, flick_unsigned32_t );
      flick_cdr_encode_char8(4, '_', flick_char8_t );
      flick_cdr_encode_char8(5, 'g', flick_char8_t );
      flick_cdr_encode_char8(6, 'e', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 'b', flick_char8_t );
      flick_cdr_encode_char8(10, 'o', flick_char8_t );
      flick_cdr_encode_char8(11, 'o', flick_char8_t );
      flick_cdr_encode_char8(12, 'l', flick_char8_t );
      flick_cdr_encode_char8(13, 'e', flick_char8_t );
      flick_cdr_encode_char8(14, 'a', flick_char8_t );
      flick_cdr_encode_char8(15, 'n', flick_char8_t );
      flick_cdr_encode_char8(16, '_', flick_char8_t );
      flick_cdr_encode_char8(17, 'a', flick_char8_t );
      flick_cdr_encode_char8(18, 't', flick_char8_t );
      flick_cdr_encode_char8(19, 't', flick_char8_t );
      flick_cdr_encode_char8(20, 'r', flick_char8_t );
      flick_cdr_encode_char8(21, 'i', flick_char8_t );
      flick_cdr_encode_char8(22, 'b', flick_char8_t );
      flick_cdr_encode_char8(23, 'u', flick_char8_t );
      flick_cdr_encode_char8(24, 't', flick_char8_t );
      flick_cdr_encode_char8(25, 'e', flick_char8_t );
      flick_cdr_encode_char8(26, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(28, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_iiopxx_encode_end_chunk(32);
      flick_iiopxx_encode_end_glob(32);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort714);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort714);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t101_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(5);
        flick_iiopxx_check_span(4, _flick_abort714);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t101_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t101_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(1, _flick_abort727);
              flick_iiopxx_decode_new_chunk(1);
              flick_cdr_swap_decode_unsigned8(0, _return, CORBA::Boolean );
              flick_iiopxx_decode_end_chunk(1);
              flick_iiopxx_decode_end_glob(5);
              break;
              {
              _flick_abort727:
                goto _flick_abort714;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(5);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort728);
              break;
              {
              _flick_abort728:
                goto _flick_abort714;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort729);
              flick_iiopxx_decode_end_glob(5);
              break;
              {
              _flick_abort729:
                goto _flick_abort714;
              }
            }
          }
      }
    else
      {
        int _t100_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(5);
        flick_iiopxx_check_span(4, _flick_abort714);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t100_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t100_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(1, _flick_abort720);
              flick_iiopxx_decode_new_chunk(1);
              flick_cdr_decode_unsigned8(0, _return, CORBA::Boolean );
              flick_iiopxx_decode_end_chunk(1);
              flick_iiopxx_decode_end_glob(5);
              break;
              {
              _flick_abort720:
                goto _flick_abort714;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(5);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort721);
              break;
              {
              _flick_abort721:
                goto _flick_abort714;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort722);
              flick_iiopxx_decode_end_glob(5);
              break;
              {
              _flick_abort722:
                goto _flick_abort714;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort714:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort713);
    _flick_abort713:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

void ex4::boolean_attribute(/* ex4 *this, */ CORBA::Boolean boolean_attribute, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort731);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort731);
    }
    {
      flick_iiopxx_encode_new_glob(33, _flick_abort731);
      flick_iiopxx_encode_new_chunk(33);
      flick_cdr_encode_unsigned32(0, 23, flick_unsigned32_t );
      flick_cdr_encode_char8(4, '_', flick_char8_t );
      flick_cdr_encode_char8(5, 's', flick_char8_t );
      flick_cdr_encode_char8(6, 'e', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 'b', flick_char8_t );
      flick_cdr_encode_char8(10, 'o', flick_char8_t );
      flick_cdr_encode_char8(11, 'o', flick_char8_t );
      flick_cdr_encode_char8(12, 'l', flick_char8_t );
      flick_cdr_encode_char8(13, 'e', flick_char8_t );
      flick_cdr_encode_char8(14, 'a', flick_char8_t );
      flick_cdr_encode_char8(15, 'n', flick_char8_t );
      flick_cdr_encode_char8(16, '_', flick_char8_t );
      flick_cdr_encode_char8(17, 'a', flick_char8_t );
      flick_cdr_encode_char8(18, 't', flick_char8_t );
      flick_cdr_encode_char8(19, 't', flick_char8_t );
      flick_cdr_encode_char8(20, 'r', flick_char8_t );
      flick_cdr_encode_char8(21, 'i', flick_char8_t );
      flick_cdr_encode_char8(22, 'b', flick_char8_t );
      flick_cdr_encode_char8(23, 'u', flick_char8_t );
      flick_cdr_encode_char8(24, 't', flick_char8_t );
      flick_cdr_encode_char8(25, 'e', flick_char8_t );
      flick_cdr_encode_char8(26, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(28, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_unsigned8(32, boolean_attribute, CORBA::Boolean );
      flick_iiopxx_encode_end_chunk(33);
      flick_iiopxx_encode_end_glob(33);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort731);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort731);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t103_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(4);
        flick_iiopxx_check_span(4, _flick_abort731);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t103_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t103_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_end_glob(4);
              break;
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(4);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort745);
              break;
              {
              _flick_abort745:
                goto _flick_abort731;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort746);
              flick_iiopxx_decode_end_glob(4);
              break;
              {
              _flick_abort746:
                goto _flick_abort731;
              }
            }
          }
      }
    else
      {
        int _t102_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(4);
        flick_iiopxx_check_span(4, _flick_abort731);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t102_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t102_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_end_glob(4);
              break;
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(4);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort738);
              break;
              {
              _flick_abort738:
                goto _flick_abort731;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort739);
              flick_iiopxx_decode_end_glob(4);
              break;
              {
              _flick_abort739:
                goto _flick_abort731;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return;
    {
    _flick_abort731:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort730);
    _flick_abort730:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return;
}

CORBA::Octet ex4::octet_attribute(/* ex4 *this, */ CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  CORBA::Octet _return;

  _return = 0;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort748);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort748);
    }
    {
      flick_iiopxx_encode_new_glob(32, _flick_abort748);
      flick_iiopxx_encode_new_chunk(32);
      flick_cdr_encode_unsigned32(0, 21, flick_unsigned32_t );
      flick_cdr_encode_char8(4, '_', flick_char8_t );
      flick_cdr_encode_char8(5, 'g', flick_char8_t );
      flick_cdr_encode_char8(6, 'e', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 'o', flick_char8_t );
      flick_cdr_encode_char8(10, 'c', flick_char8_t );
      flick_cdr_encode_char8(11, 't', flick_char8_t );
      flick_cdr_encode_char8(12, 'e', flick_char8_t );
      flick_cdr_encode_char8(13, 't', flick_char8_t );
      flick_cdr_encode_char8(14, '_', flick_char8_t );
      flick_cdr_encode_char8(15, 'a', flick_char8_t );
      flick_cdr_encode_char8(16, 't', flick_char8_t );
      flick_cdr_encode_char8(17, 't', flick_char8_t );
      flick_cdr_encode_char8(18, 'r', flick_char8_t );
      flick_cdr_encode_char8(19, 'i', flick_char8_t );
      flick_cdr_encode_char8(20, 'b', flick_char8_t );
      flick_cdr_encode_char8(21, 'u', flick_char8_t );
      flick_cdr_encode_char8(22, 't', flick_char8_t );
      flick_cdr_encode_char8(23, 'e', flick_char8_t );
      flick_cdr_encode_char8(24, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(28, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_iiopxx_encode_end_chunk(32);
      flick_iiopxx_encode_end_glob(32);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort748);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort748);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t105_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(5);
        flick_iiopxx_check_span(4, _flick_abort748);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t105_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t105_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(1, _flick_abort761);
              flick_iiopxx_decode_new_chunk(1);
              flick_cdr_swap_decode_unsigned8(0, _return, CORBA::Octet );
              flick_iiopxx_decode_end_chunk(1);
              flick_iiopxx_decode_end_glob(5);
              break;
              {
              _flick_abort761:
                goto _flick_abort748;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(5);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort762);
              break;
              {
              _flick_abort762:
                goto _flick_abort748;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort763);
              flick_iiopxx_decode_end_glob(5);
              break;
              {
              _flick_abort763:
                goto _flick_abort748;
              }
            }
          }
      }
    else
      {
        int _t104_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(5);
        flick_iiopxx_check_span(4, _flick_abort748);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t104_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t104_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(1, _flick_abort754);
              flick_iiopxx_decode_new_chunk(1);
              flick_cdr_decode_unsigned8(0, _return, CORBA::Octet );
              flick_iiopxx_decode_end_chunk(1);
              flick_iiopxx_decode_end_glob(5);
              break;
              {
              _flick_abort754:
                goto _flick_abort748;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(5);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort755);
              break;
              {
              _flick_abort755:
                goto _flick_abort748;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort756);
              flick_iiopxx_decode_end_glob(5);
              break;
              {
              _flick_abort756:
                goto _flick_abort748;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort748:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort747);
    _flick_abort747:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

char *ex4::string_attribute(/* ex4 *this, */ CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  char *_return;

  _return = 0;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort765);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort765);
    }
    {
      flick_iiopxx_encode_new_glob(32, _flick_abort765);
      flick_iiopxx_encode_new_chunk(32);
      flick_cdr_encode_unsigned32(0, 22, flick_unsigned32_t );
      flick_cdr_encode_char8(4, '_', flick_char8_t );
      flick_cdr_encode_char8(5, 'g', flick_char8_t );
      flick_cdr_encode_char8(6, 'e', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 's', flick_char8_t );
      flick_cdr_encode_char8(10, 't', flick_char8_t );
      flick_cdr_encode_char8(11, 'r', flick_char8_t );
      flick_cdr_encode_char8(12, 'i', flick_char8_t );
      flick_cdr_encode_char8(13, 'n', flick_char8_t );
      flick_cdr_encode_char8(14, 'g', flick_char8_t );
      flick_cdr_encode_char8(15, '_', flick_char8_t );
      flick_cdr_encode_char8(16, 'a', flick_char8_t );
      flick_cdr_encode_char8(17, 't', flick_char8_t );
      flick_cdr_encode_char8(18, 't', flick_char8_t );
      flick_cdr_encode_char8(19, 'r', flick_char8_t );
      flick_cdr_encode_char8(20, 'i', flick_char8_t );
      flick_cdr_encode_char8(21, 'b', flick_char8_t );
      flick_cdr_encode_char8(22, 'u', flick_char8_t );
      flick_cdr_encode_char8(23, 't', flick_char8_t );
      flick_cdr_encode_char8(24, 'e', flick_char8_t );
      flick_cdr_encode_char8(25, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(28, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_iiopxx_encode_end_chunk(32);
      flick_iiopxx_encode_end_glob(32);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort765);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort765);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t109_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort765);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t109_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t109_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t111_temp_string_len;

              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort787);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_unsigned32(0, _t111_temp_string_len, flick_unsigned32_t );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              flick_iiopxx_decode_new_glob(1 * _t111_temp_string_len);
              flick_iiopxx_check_span(1 * _t111_temp_string_len, _flick_abort787);
              flick_iiopxx_decode_new_chunk(1 * _t111_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t111_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort787);
                _return = _t_alloc_ptr;
              }
              flick_cdr_swap_decode_bcopy(0, _return, 1 * _t111_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t111_temp_string_len);
              flick_iiopxx_decode_end_glob(1 * _t111_temp_string_len);
              break;
              {
              _flick_abort787:
                goto _flick_abort765;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort791);
              break;
              {
              _flick_abort791:
                goto _flick_abort765;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort792);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort792:
                goto _flick_abort765;
              }
            }
          }
      }
    else
      {
        int _t106_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort765);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t106_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t106_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t108_temp_string_len;

              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort774);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_unsigned32(0, _t108_temp_string_len, flick_unsigned32_t );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              flick_iiopxx_decode_new_glob(1 * _t108_temp_string_len);
              flick_iiopxx_check_span(1 * _t108_temp_string_len, _flick_abort774);
              flick_iiopxx_decode_new_chunk(1 * _t108_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t108_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort774);
                _return = _t_alloc_ptr;
              }
              flick_cdr_decode_bcopy(0, _return, 1 * _t108_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t108_temp_string_len);
              flick_iiopxx_decode_end_glob(1 * _t108_temp_string_len);
              break;
              {
              _flick_abort774:
                goto _flick_abort765;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort778);
              break;
              {
              _flick_abort778:
                goto _flick_abort765;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort779);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort779:
                goto _flick_abort765;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort765:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort764);
    _flick_abort764:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

void ex4::string_attribute(/* ex4 *this, */ const char *string_attribute, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort794);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort794);
    }
    {
      flick_unsigned32_t _t113_temp_string_len;

      flick_cdr_stringlen(CORBA::Char *, string_attribute, flick_unsigned32_t , _t113_temp_string_len);

      flick_iiopxx_encode_new_glob(36, _flick_abort794);
      flick_iiopxx_encode_new_chunk(36);
      flick_cdr_encode_unsigned32(0, 22, flick_unsigned32_t );
      flick_cdr_encode_char8(4, '_', flick_char8_t );
      flick_cdr_encode_char8(5, 's', flick_char8_t );
      flick_cdr_encode_char8(6, 'e', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 's', flick_char8_t );
      flick_cdr_encode_char8(10, 't', flick_char8_t );
      flick_cdr_encode_char8(11, 'r', flick_char8_t );
      flick_cdr_encode_char8(12, 'i', flick_char8_t );
      flick_cdr_encode_char8(13, 'n', flick_char8_t );
      flick_cdr_encode_char8(14, 'g', flick_char8_t );
      flick_cdr_encode_char8(15, '_', flick_char8_t );
      flick_cdr_encode_char8(16, 'a', flick_char8_t );
      flick_cdr_encode_char8(17, 't', flick_char8_t );
      flick_cdr_encode_char8(18, 't', flick_char8_t );
      flick_cdr_encode_char8(19, 'r', flick_char8_t );
      flick_cdr_encode_char8(20, 'i', flick_char8_t );
      flick_cdr_encode_char8(21, 'b', flick_char8_t );
      flick_cdr_encode_char8(22, 'u', flick_char8_t );
      flick_cdr_encode_char8(23, 't', flick_char8_t );
      flick_cdr_encode_char8(24, 'e', flick_char8_t );
      flick_cdr_encode_char8(25, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(28, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_unsigned32(32, _t113_temp_string_len, flick_unsigned32_t );
      flick_iiopxx_encode_end_chunk(36);
      flick_iiopxx_encode_end_glob(36);
      flick_iiopxx_encode_new_glob(1 * _t113_temp_string_len, _flick_abort794);
      flick_iiopxx_encode_new_chunk(1 * _t113_temp_string_len);
      flick_cdr_encode_bcopy(0, string_attribute, 1 * _t113_temp_string_len);
      flick_iiopxx_encode_end_chunk(1 * _t113_temp_string_len);
      flick_iiopxx_encode_end_glob(1 * _t113_temp_string_len);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort794);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort794);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t115_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(4);
        flick_iiopxx_check_span(4, _flick_abort794);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t115_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t115_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_end_glob(4);
              break;
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(4);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort812);
              break;
              {
              _flick_abort812:
                goto _flick_abort794;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort813);
              flick_iiopxx_decode_end_glob(4);
              break;
              {
              _flick_abort813:
                goto _flick_abort794;
              }
            }
          }
      }
    else
      {
        int _t114_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(4);
        flick_iiopxx_check_span(4, _flick_abort794);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t114_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t114_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_end_glob(4);
              break;
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(4);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort805);
              break;
              {
              _flick_abort805:
                goto _flick_abort794;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort806);
              flick_iiopxx_decode_end_glob(4);
              break;
              {
              _flick_abort806:
                goto _flick_abort794;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return;
    {
    _flick_abort794:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort793);
    _flick_abort793:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return;
}

char *ex4::limited_string_attribute(/* ex4 *this, */ CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  char *_return;

  _return = 0;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort815);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort815);
    }
    {
      flick_iiopxx_encode_new_glob(40, _flick_abort815);
      flick_iiopxx_encode_new_chunk(40);
      flick_cdr_encode_unsigned32(0, 30, flick_unsigned32_t );
      flick_cdr_encode_char8(4, '_', flick_char8_t );
      flick_cdr_encode_char8(5, 'g', flick_char8_t );
      flick_cdr_encode_char8(6, 'e', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 'l', flick_char8_t );
      flick_cdr_encode_char8(10, 'i', flick_char8_t );
      flick_cdr_encode_char8(11, 'm', flick_char8_t );
      flick_cdr_encode_char8(12, 'i', flick_char8_t );
      flick_cdr_encode_char8(13, 't', flick_char8_t );
      flick_cdr_encode_char8(14, 'e', flick_char8_t );
      flick_cdr_encode_char8(15, 'd', flick_char8_t );
      flick_cdr_encode_char8(16, '_', flick_char8_t );
      flick_cdr_encode_char8(17, 's', flick_char8_t );
      flick_cdr_encode_char8(18, 't', flick_char8_t );
      flick_cdr_encode_char8(19, 'r', flick_char8_t );
      flick_cdr_encode_char8(20, 'i', flick_char8_t );
      flick_cdr_encode_char8(21, 'n', flick_char8_t );
      flick_cdr_encode_char8(22, 'g', flick_char8_t );
      flick_cdr_encode_char8(23, '_', flick_char8_t );
      flick_cdr_encode_char8(24, 'a', flick_char8_t );
      flick_cdr_encode_char8(25, 't', flick_char8_t );
      flick_cdr_encode_char8(26, 't', flick_char8_t );
      flick_cdr_encode_char8(27, 'r', flick_char8_t );
      flick_cdr_encode_char8(28, 'i', flick_char8_t );
      flick_cdr_encode_char8(29, 'b', flick_char8_t );
      flick_cdr_encode_char8(30, 'u', flick_char8_t );
      flick_cdr_encode_char8(31, 't', flick_char8_t );
      flick_cdr_encode_char8(32, 'e', flick_char8_t );
      flick_cdr_encode_char8(33, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(36, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_iiopxx_encode_end_chunk(40);
      flick_iiopxx_encode_end_glob(40);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort815);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort815);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t119_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(19);
        flick_iiopxx_check_span(4, _flick_abort815);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t119_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t119_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t121_temp_string_len;

              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort837);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_unsigned32(0, _t121_temp_string_len, flick_unsigned32_t );
              if (_t121_temp_string_len > 11)
                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort837);
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_check_span(1 * _t121_temp_string_len, _flick_abort837);
              flick_iiopxx_decode_new_chunk(1 * _t121_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t121_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort837);
                _return = _t_alloc_ptr;
              }
              flick_cdr_swap_decode_bcopy(0, _return, 1 * _t121_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t121_temp_string_len);
              flick_iiopxx_decode_end_glob(19);
              break;
              {
              _flick_abort837:
                goto _flick_abort815;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(19);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort841);
              break;
              {
              _flick_abort841:
                goto _flick_abort815;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort842);
              flick_iiopxx_decode_end_glob(19);
              break;
              {
              _flick_abort842:
                goto _flick_abort815;
              }
            }
          }
      }
    else
      {
        int _t116_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(19);
        flick_iiopxx_check_span(4, _flick_abort815);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t116_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t116_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t118_temp_string_len;

              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort824);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_unsigned32(0, _t118_temp_string_len, flick_unsigned32_t );
              if (_t118_temp_string_len > 11)
                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort824);
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_check_span(1 * _t118_temp_string_len, _flick_abort824);
              flick_iiopxx_decode_new_chunk(1 * _t118_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t118_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort824);
                _return = _t_alloc_ptr;
              }
              flick_cdr_decode_bcopy(0, _return, 1 * _t118_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t118_temp_string_len);
              flick_iiopxx_decode_end_glob(19);
              break;
              {
              _flick_abort824:
                goto _flick_abort815;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(19);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort828);
              break;
              {
              _flick_abort828:
                goto _flick_abort815;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort829);
              flick_iiopxx_decode_end_glob(19);
              break;
              {
              _flick_abort829:
                goto _flick_abort815;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort815:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort814);
    _flick_abort814:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

CORBA::Char ex4::op7(/* ex4 *this, */ CORBA::Char c, ::CORBA::Boolean &b, CORBA::Octet &o, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  CORBA::Char _return;

  _return = 0;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort844);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort844);
    }
    {
      flick_iiopxx_encode_new_glob(14, _flick_abort844);
      flick_iiopxx_encode_new_chunk(14);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '7', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_char8(12, c, CORBA::Char );
      flick_cdr_encode_unsigned8(13, o, CORBA::Octet );
      flick_iiopxx_encode_end_chunk(14);
      flick_iiopxx_encode_end_glob(14);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort844);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort844);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t123_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(7);
        flick_iiopxx_check_span(4, _flick_abort844);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t123_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t123_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(3, _flick_abort857);
              flick_iiopxx_decode_new_chunk(3);
              flick_cdr_swap_decode_char8(0, _return, CORBA::Char );
              flick_cdr_swap_decode_unsigned8(1, b, CORBA::Boolean );
              flick_cdr_swap_decode_unsigned8(2, o, CORBA::Octet );
              flick_iiopxx_decode_end_chunk(3);
              flick_iiopxx_decode_end_glob(7);
              break;
              {
              _flick_abort857:
                goto _flick_abort844;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(7);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort858);
              break;
              {
              _flick_abort858:
                goto _flick_abort844;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort859);
              flick_iiopxx_decode_end_glob(7);
              break;
              {
              _flick_abort859:
                goto _flick_abort844;
              }
            }
          }
      }
    else
      {
        int _t122_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(7);
        flick_iiopxx_check_span(4, _flick_abort844);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t122_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t122_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(3, _flick_abort850);
              flick_iiopxx_decode_new_chunk(3);
              flick_cdr_decode_char8(0, _return, CORBA::Char );
              flick_cdr_decode_unsigned8(1, b, CORBA::Boolean );
              flick_cdr_decode_unsigned8(2, o, CORBA::Octet );
              flick_iiopxx_decode_end_chunk(3);
              flick_iiopxx_decode_end_glob(7);
              break;
              {
              _flick_abort850:
                goto _flick_abort844;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(7);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort851);
              break;
              {
              _flick_abort851:
                goto _flick_abort844;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort852);
              flick_iiopxx_decode_end_glob(7);
              break;
              {
              _flick_abort852:
                goto _flick_abort844;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort844:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort843);
    _flick_abort843:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

CORBA::Boolean ex4::op8(/* ex4 *this, */ ::CORBA::Boolean &b, CORBA::Octet o, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  CORBA::Boolean _return;

  _return = 0;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort861);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort861);
    }
    {
      flick_iiopxx_encode_new_glob(13, _flick_abort861);
      flick_iiopxx_encode_new_chunk(13);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '8', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_unsigned8(12, o, CORBA::Octet );
      flick_iiopxx_encode_end_chunk(13);
      flick_iiopxx_encode_end_glob(13);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort861);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort861);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t125_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(6);
        flick_iiopxx_check_span(4, _flick_abort861);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t125_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t125_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(2, _flick_abort874);
              flick_iiopxx_decode_new_chunk(2);
              flick_cdr_swap_decode_unsigned8(0, _return, CORBA::Boolean );
              flick_cdr_swap_decode_unsigned8(1, b, CORBA::Boolean );
              flick_iiopxx_decode_end_chunk(2);
              flick_iiopxx_decode_end_glob(6);
              break;
              {
              _flick_abort874:
                goto _flick_abort861;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(6);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort875);
              break;
              {
              _flick_abort875:
                goto _flick_abort861;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort876);
              flick_iiopxx_decode_end_glob(6);
              break;
              {
              _flick_abort876:
                goto _flick_abort861;
              }
            }
          }
      }
    else
      {
        int _t124_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(6);
        flick_iiopxx_check_span(4, _flick_abort861);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t124_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t124_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(2, _flick_abort867);
              flick_iiopxx_decode_new_chunk(2);
              flick_cdr_decode_unsigned8(0, _return, CORBA::Boolean );
              flick_cdr_decode_unsigned8(1, b, CORBA::Boolean );
              flick_iiopxx_decode_end_chunk(2);
              flick_iiopxx_decode_end_glob(6);
              break;
              {
              _flick_abort867:
                goto _flick_abort861;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(6);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort868);
              break;
              {
              _flick_abort868:
                goto _flick_abort861;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort869);
              flick_iiopxx_decode_end_glob(6);
              break;
              {
              _flick_abort869:
                goto _flick_abort861;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort861:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort860);
    _flick_abort860:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

CORBA::Octet ex4::op9(/* ex4 *this, */ CORBA::Octet &o, ::CORBA::String_out s, const char *ls, CORBA::Long &l, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  CORBA::Octet _return;

  _return = 0;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort878);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort878);
    }
    {
      flick_unsigned32_t _t127_temp_string_len;

      flick_cdr_stringlen(CORBA::Char *, ls, flick_unsigned32_t , _t127_temp_string_len);

      flick_iiopxx_encode_new_glob(38, _flick_abort878);
      flick_iiopxx_encode_new_chunk(20 + 1 * _t127_temp_string_len);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '9', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_unsigned8(12, o, CORBA::Octet );
      flick_cdr_encode_unsigned32(16, _t127_temp_string_len, flick_unsigned32_t );
      if (_t127_temp_string_len > 11)
        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort878);
      flick_cdr_encode_bcopy(20, ls, 1 * _t127_temp_string_len);
      flick_iiopxx_encode_end_chunk(20 + 1 * _t127_temp_string_len);
      flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
      flick_cdr_encode_signed32(0, l, CORBA::Long );
      flick_iiopxx_encode_end_chunk(4);
      flick_iiopxx_encode_end_glob(38);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort878);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort878);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t131_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(12);
        flick_iiopxx_check_span(4, _flick_abort878);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t131_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t131_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t133_temp_string_len;

              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(8, _flick_abort904);
              flick_iiopxx_decode_new_chunk(8);
              flick_cdr_swap_decode_unsigned8(0, _return, CORBA::Octet );
              flick_cdr_swap_decode_unsigned8(1, o, CORBA::Octet );
              flick_cdr_swap_decode_unsigned32(4, _t133_temp_string_len, flick_unsigned32_t );
              flick_iiopxx_decode_end_chunk(8);
              flick_iiopxx_decode_end_glob(12);
              flick_iiopxx_decode_new_glob(1 * _t133_temp_string_len);
              flick_iiopxx_check_span(1 * _t133_temp_string_len, _flick_abort904);
              flick_iiopxx_decode_new_chunk(1 * _t133_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t133_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort904);
                s = _t_alloc_ptr;
              }
              flick_cdr_swap_decode_bcopy(0, s, 1 * _t133_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t133_temp_string_len);
              flick_iiopxx_decode_end_glob(1 * _t133_temp_string_len);
              flick_iiopxx_decode_new_glob(7);
              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
              flick_iiopxx_check_span(4, _flick_abort907);
              flick_cdr_swap_decode_signed32(0, l, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(7);
              break;
              {
              _flick_abort907:
                CORBA_string_flick_free(s);
              _flick_abort904:
                goto _flick_abort878;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(12);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort908);
              break;
              {
              _flick_abort908:
                goto _flick_abort878;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort909);
              flick_iiopxx_decode_end_glob(12);
              break;
              {
              _flick_abort909:
                goto _flick_abort878;
              }
            }
          }
      }
    else
      {
        int _t128_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(12);
        flick_iiopxx_check_span(4, _flick_abort878);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t128_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t128_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t130_temp_string_len;

              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(8, _flick_abort891);
              flick_iiopxx_decode_new_chunk(8);
              flick_cdr_decode_unsigned8(0, _return, CORBA::Octet );
              flick_cdr_decode_unsigned8(1, o, CORBA::Octet );
              flick_cdr_decode_unsigned32(4, _t130_temp_string_len, flick_unsigned32_t );
              flick_iiopxx_decode_end_chunk(8);
              flick_iiopxx_decode_end_glob(12);
              flick_iiopxx_decode_new_glob(1 * _t130_temp_string_len);
              flick_iiopxx_check_span(1 * _t130_temp_string_len, _flick_abort891);
              flick_iiopxx_decode_new_chunk(1 * _t130_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t130_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort891);
                s = _t_alloc_ptr;
              }
              flick_cdr_decode_bcopy(0, s, 1 * _t130_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t130_temp_string_len);
              flick_iiopxx_decode_end_glob(1 * _t130_temp_string_len);
              flick_iiopxx_decode_new_glob(7);
              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
              flick_iiopxx_check_span(4, _flick_abort894);
              flick_cdr_decode_signed32(0, l, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(7);
              break;
              {
              _flick_abort894:
                CORBA_string_flick_free(s);
              _flick_abort891:
                goto _flick_abort878;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(12);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort895);
              break;
              {
              _flick_abort895:
                goto _flick_abort878;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort896);
              flick_iiopxx_decode_end_glob(12);
              break;
              {
              _flick_abort896:
                goto _flick_abort878;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort878:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort877);
    _flick_abort877:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

char *ex4::op10(/* ex4 *this, */ const char *s, ::CORBA::String_out ls, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  char *_return;

  _return = 0;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort911);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort911);
    }
    {
      flick_unsigned32_t _t135_temp_string_len;

      flick_cdr_stringlen(CORBA::Char *, s, flick_unsigned32_t , _t135_temp_string_len);

      flick_iiopxx_encode_new_glob(20, _flick_abort911);
      flick_iiopxx_encode_new_chunk(20);
      flick_cdr_encode_unsigned32(0, 5, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '1', flick_char8_t );
      flick_cdr_encode_char8(7, '0', flick_char8_t );
      flick_cdr_encode_char8(8, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(12, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_unsigned32(16, _t135_temp_string_len, flick_unsigned32_t );
      flick_iiopxx_encode_end_chunk(20);
      flick_iiopxx_encode_end_glob(20);
      flick_iiopxx_encode_new_glob(1 * _t135_temp_string_len, _flick_abort911);
      flick_iiopxx_encode_new_chunk(1 * _t135_temp_string_len);
      flick_cdr_encode_bcopy(0, s, 1 * _t135_temp_string_len);
      flick_iiopxx_encode_end_chunk(1 * _t135_temp_string_len);
      flick_iiopxx_encode_end_glob(1 * _t135_temp_string_len);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort911);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort911);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t141_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort911);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t141_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t141_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t144_temp_string_len;
              flick_unsigned32_t _t145_temp_string_len;

              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort946);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_unsigned32(0, _t144_temp_string_len, flick_unsigned32_t );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              flick_iiopxx_decode_new_glob(1 * _t144_temp_string_len);
              flick_iiopxx_check_span(1 * _t144_temp_string_len, _flick_abort946);
              flick_iiopxx_decode_new_chunk(1 * _t144_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t144_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort946);
                _return = _t_alloc_ptr;
              }
              flick_cdr_swap_decode_bcopy(0, _return, 1 * _t144_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t144_temp_string_len);
              flick_iiopxx_decode_end_glob(1 * _t144_temp_string_len);
              flick_iiopxx_decode_new_glob(18);
              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
              flick_iiopxx_check_span(4, _flick_abort949);
              flick_cdr_swap_decode_unsigned32(0, _t145_temp_string_len, flick_unsigned32_t );
              if (_t145_temp_string_len > 11)
                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort949);
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_check_span(1 * _t145_temp_string_len, _flick_abort949);
              flick_iiopxx_decode_new_chunk(1 * _t145_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t145_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort949);
                ls = _t_alloc_ptr;
              }
              flick_cdr_swap_decode_bcopy(0, ls, 1 * _t145_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t145_temp_string_len);
              flick_iiopxx_decode_end_glob(18);
              break;
              {
              _flick_abort949:
                CORBA_string_flick_free(_return);
              _flick_abort946:
                goto _flick_abort911;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort953);
              break;
              {
              _flick_abort953:
                goto _flick_abort911;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort954);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort954:
                goto _flick_abort911;
              }
            }
          }
      }
    else
      {
        int _t136_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort911);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t136_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t136_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t139_temp_string_len;
              flick_unsigned32_t _t140_temp_string_len;

              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort927);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_unsigned32(0, _t139_temp_string_len, flick_unsigned32_t );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              flick_iiopxx_decode_new_glob(1 * _t139_temp_string_len);
              flick_iiopxx_check_span(1 * _t139_temp_string_len, _flick_abort927);
              flick_iiopxx_decode_new_chunk(1 * _t139_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t139_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort927);
                _return = _t_alloc_ptr;
              }
              flick_cdr_decode_bcopy(0, _return, 1 * _t139_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t139_temp_string_len);
              flick_iiopxx_decode_end_glob(1 * _t139_temp_string_len);
              flick_iiopxx_decode_new_glob(18);
              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
              flick_iiopxx_check_span(4, _flick_abort930);
              flick_cdr_decode_unsigned32(0, _t140_temp_string_len, flick_unsigned32_t );
              if (_t140_temp_string_len > 11)
                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort930);
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_check_span(1 * _t140_temp_string_len, _flick_abort930);
              flick_iiopxx_decode_new_chunk(1 * _t140_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t140_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort930);
                ls = _t_alloc_ptr;
              }
              flick_cdr_decode_bcopy(0, ls, 1 * _t140_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t140_temp_string_len);
              flick_iiopxx_decode_end_glob(18);
              break;
              {
              _flick_abort930:
                CORBA_string_flick_free(_return);
              _flick_abort927:
                goto _flick_abort911;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort934);
              break;
              {
              _flick_abort934:
                goto _flick_abort911;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort935);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort935:
                goto _flick_abort911;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort911:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort910);
    _flick_abort910:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

char *ex4::op11(/* ex4 *this, */ char *&ls, ::CORBA::Long &l, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  char *_return;

  _return = 0;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort956);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort956);
    }
    {
      flick_unsigned32_t _t147_temp_string_len;

      flick_cdr_stringlen(CORBA::Char *, ls, flick_unsigned32_t , _t147_temp_string_len);

      flick_iiopxx_encode_new_glob(31, _flick_abort956);
      flick_iiopxx_encode_new_chunk(20 + 1 * _t147_temp_string_len);
      flick_cdr_encode_unsigned32(0, 5, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '1', flick_char8_t );
      flick_cdr_encode_char8(7, '1', flick_char8_t );
      flick_cdr_encode_char8(8, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(12, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_unsigned32(16, _t147_temp_string_len, flick_unsigned32_t );
      if (_t147_temp_string_len > 11)
        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort956);
      flick_cdr_encode_bcopy(20, ls, 1 * _t147_temp_string_len);
      CORBA_string_flick_free(ls);
      ls = 0;
      flick_iiopxx_encode_end_chunk(20 + 1 * _t147_temp_string_len);
      flick_iiopxx_encode_end_glob(31);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort956);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort956);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t153_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(44);
        flick_iiopxx_check_span(4, _flick_abort956);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t153_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t153_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t156_temp_string_len;
              flick_unsigned32_t _t157_temp_string_len;

              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort991);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_unsigned32(0, _t156_temp_string_len, flick_unsigned32_t );
              if (_t156_temp_string_len > 11)
                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort991);
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_check_span(1 * _t156_temp_string_len, _flick_abort991);
              flick_iiopxx_decode_new_chunk(1 * _t156_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t156_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort991);
                _return = _t_alloc_ptr;
              }
              flick_cdr_swap_decode_bcopy(0, _return, 1 * _t156_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t156_temp_string_len);
              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
              flick_iiopxx_check_span(4, _flick_abort994);
              flick_cdr_swap_decode_unsigned32(0, _t157_temp_string_len, flick_unsigned32_t );
              if (_t157_temp_string_len > 11)
                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort994);
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_check_span(1 * _t157_temp_string_len, _flick_abort994);
              flick_iiopxx_decode_new_chunk(1 * _t157_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t157_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort994);
                ls = _t_alloc_ptr;
              }
              flick_cdr_swap_decode_bcopy(0, ls, 1 * _t157_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t157_temp_string_len);
              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
              flick_iiopxx_check_span(4, _flick_abort997);
              flick_cdr_swap_decode_signed32(0, l, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(44);
              break;
              {
              _flick_abort997:
                CORBA_string_flick_free(ls);
              _flick_abort994:
                CORBA_string_flick_free(_return);
              _flick_abort991:
                goto _flick_abort956;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(44);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort998);
              break;
              {
              _flick_abort998:
                goto _flick_abort956;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort999);
              flick_iiopxx_decode_end_glob(44);
              break;
              {
              _flick_abort999:
                goto _flick_abort956;
              }
            }
          }
      }
    else
      {
        int _t148_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(44);
        flick_iiopxx_check_span(4, _flick_abort956);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t148_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t148_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              flick_unsigned32_t _t151_temp_string_len;
              flick_unsigned32_t _t152_temp_string_len;

              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort972);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_unsigned32(0, _t151_temp_string_len, flick_unsigned32_t );
              if (_t151_temp_string_len > 11)
                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort972);
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_check_span(1 * _t151_temp_string_len, _flick_abort972);
              flick_iiopxx_decode_new_chunk(1 * _t151_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t151_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort972);
                _return = _t_alloc_ptr;
              }
              flick_cdr_decode_bcopy(0, _return, 1 * _t151_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t151_temp_string_len);
              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
              flick_iiopxx_check_span(4, _flick_abort975);
              flick_cdr_decode_unsigned32(0, _t152_temp_string_len, flick_unsigned32_t );
              if (_t152_temp_string_len > 11)
                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort975);
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_check_span(1 * _t152_temp_string_len, _flick_abort975);
              flick_iiopxx_decode_new_chunk(1 * _t152_temp_string_len);
              {
                CORBA::Char *_t_alloc_ptr;

                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t152_temp_string_len * sizeof(CORBA::Char )));
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort975);
                ls = _t_alloc_ptr;
              }
              flick_cdr_decode_bcopy(0, ls, 1 * _t152_temp_string_len);
              flick_iiopxx_decode_end_chunk(1 * _t152_temp_string_len);
              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
              flick_iiopxx_check_span(4, _flick_abort978);
              flick_cdr_decode_signed32(0, l, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(44);
              break;
              {
              _flick_abort978:
                CORBA_string_flick_free(ls);
              _flick_abort975:
                CORBA_string_flick_free(_return);
              _flick_abort972:
                goto _flick_abort956;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(44);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort979);
              break;
              {
              _flick_abort979:
                goto _flick_abort956;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort980);
              flick_iiopxx_decode_end_glob(44);
              break;
              {
              _flick_abort980:
                goto _flick_abort956;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort956:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort955);
    _flick_abort955:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

CORBA::Long ex4::op12(/* ex4 *this, */ CORBA::Long l, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  CORBA::Long _return;

  _return = 0;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1001);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort1001);
    }
    {
      flick_iiopxx_encode_new_glob(20, _flick_abort1001);
      flick_iiopxx_encode_new_chunk(20);
      flick_cdr_encode_unsigned32(0, 5, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '1', flick_char8_t );
      flick_cdr_encode_char8(7, '2', flick_char8_t );
      flick_cdr_encode_char8(8, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(12, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_signed32(16, l, CORBA::Long );
      flick_iiopxx_encode_end_chunk(20);
      flick_iiopxx_encode_end_glob(20);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1001);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1001);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t159_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort1001);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t159_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t159_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort1014);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_signed32(0, _return, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort1014:
                goto _flick_abort1001;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort1015);
              break;
              {
              _flick_abort1015:
                goto _flick_abort1001;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1016);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort1016:
                goto _flick_abort1001;
              }
            }
          }
      }
    else
      {
        int _t158_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort1001);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t158_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t158_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort1007);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_signed32(0, _return, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort1007:
                goto _flick_abort1001;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort1008);
              break;
              {
              _flick_abort1008:
                goto _flick_abort1001;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1009);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort1009:
                goto _flick_abort1001;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort1001:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort1000);
    _flick_abort1000:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

void ex4::op0(/* ex4 *this, */ CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1018);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort1018);
    }
    {
      flick_iiopxx_encode_new_glob(12, _flick_abort1018);
      flick_iiopxx_encode_new_chunk(12);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '0', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_iiopxx_encode_end_chunk(12);
      flick_iiopxx_encode_end_glob(12);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1018);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1018);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t161_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(4);
        flick_iiopxx_check_span(4, _flick_abort1018);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t161_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t161_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_end_glob(4);
              break;
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(4);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort1032);
              break;
              {
              _flick_abort1032:
                goto _flick_abort1018;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1033);
              flick_iiopxx_decode_end_glob(4);
              break;
              {
              _flick_abort1033:
                goto _flick_abort1018;
              }
            }
          }
      }
    else
      {
        int _t160_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(4);
        flick_iiopxx_check_span(4, _flick_abort1018);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t160_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t160_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_end_glob(4);
              break;
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(4);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort1025);
              break;
              {
              _flick_abort1025:
                goto _flick_abort1018;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1026);
              flick_iiopxx_decode_end_glob(4);
              break;
              {
              _flick_abort1026:
                goto _flick_abort1018;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return;
    {
    _flick_abort1018:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort1017);
    _flick_abort1017:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return;
}

CORBA::Float ex4::op1(/* ex4 *this, */ CORBA::Float f, ::CORBA::Double &d, CORBA::Long &l, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  CORBA::Float _return;

  _return = 0.000000;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1035);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort1035);
    }
    {
      flick_iiopxx_encode_new_glob(20, _flick_abort1035);
      flick_iiopxx_encode_new_chunk(20);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '1', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_float32(12, f, CORBA::Float );
      flick_cdr_encode_signed32(16, l, CORBA::Long );
      flick_iiopxx_encode_end_chunk(20);
      flick_iiopxx_encode_end_glob(20);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1035);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1035);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t163_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(24);
        flick_iiopxx_check_span(4, _flick_abort1035);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t163_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t163_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort1048);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_float32(0, _return, CORBA::Float );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_new_chunk_align(12, 3, 2, 0);
              flick_iiopxx_check_span(12, _flick_abort1048);
              flick_cdr_swap_decode_float64(0, d, CORBA::Double );
              flick_cdr_swap_decode_signed32(8, l, CORBA::Long );
              flick_iiopxx_decode_end_chunk(12);
              flick_iiopxx_decode_end_glob(24);
              break;
              {
              _flick_abort1048:
                goto _flick_abort1035;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(24);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort1049);
              break;
              {
              _flick_abort1049:
                goto _flick_abort1035;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1050);
              flick_iiopxx_decode_end_glob(24);
              break;
              {
              _flick_abort1050:
                goto _flick_abort1035;
              }
            }
          }
      }
    else
      {
        int _t162_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(24);
        flick_iiopxx_check_span(4, _flick_abort1035);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t162_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t162_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort1041);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_float32(0, _return, CORBA::Float );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_new_chunk_align(12, 3, 2, 0);
              flick_iiopxx_check_span(12, _flick_abort1041);
              flick_cdr_decode_float64(0, d, CORBA::Double );
              flick_cdr_decode_signed32(8, l, CORBA::Long );
              flick_iiopxx_decode_end_chunk(12);
              flick_iiopxx_decode_end_glob(24);
              break;
              {
              _flick_abort1041:
                goto _flick_abort1035;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(24);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort1042);
              break;
              {
              _flick_abort1042:
                goto _flick_abort1035;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1043);
              flick_iiopxx_decode_end_glob(24);
              break;
              {
              _flick_abort1043:
                goto _flick_abort1035;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort1035:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort1034);
    _flick_abort1034:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

CORBA::Double ex4::op2(/* ex4 *this, */ CORBA::Double d, ::CORBA::Long &l, CORBA::Short &s, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  CORBA::Double _return;

  _return = 0.000000;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1052);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort1052);
    }
    {
      flick_iiopxx_encode_new_glob(26, _flick_abort1052);
      flick_iiopxx_encode_new_chunk(12);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '2', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_iiopxx_encode_end_chunk(12);
      flick_iiopxx_encode_new_chunk_align(10, 3, 2, 0);
      flick_cdr_encode_float64(0, d, CORBA::Double );
      flick_cdr_encode_signed16(8, s, CORBA::Short );
      flick_iiopxx_encode_end_chunk(10);
      flick_iiopxx_encode_end_glob(26);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1052);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1052);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t165_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(22);
        flick_iiopxx_check_span(4, _flick_abort1052);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t165_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t165_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_new_chunk_align(14, 3, 2, 0);
              flick_iiopxx_check_span(14, _flick_abort1065);
              flick_cdr_swap_decode_float64(0, _return, CORBA::Double );
              flick_cdr_swap_decode_signed32(8, l, CORBA::Long );
              flick_cdr_swap_decode_signed16(12, s, CORBA::Short );
              flick_iiopxx_decode_end_chunk(14);
              flick_iiopxx_decode_end_glob(22);
              break;
              {
              _flick_abort1065:
                goto _flick_abort1052;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(22);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort1066);
              break;
              {
              _flick_abort1066:
                goto _flick_abort1052;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1067);
              flick_iiopxx_decode_end_glob(22);
              break;
              {
              _flick_abort1067:
                goto _flick_abort1052;
              }
            }
          }
      }
    else
      {
        int _t164_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(22);
        flick_iiopxx_check_span(4, _flick_abort1052);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t164_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t164_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_new_chunk_align(14, 3, 2, 0);
              flick_iiopxx_check_span(14, _flick_abort1058);
              flick_cdr_decode_float64(0, _return, CORBA::Double );
              flick_cdr_decode_signed32(8, l, CORBA::Long );
              flick_cdr_decode_signed16(12, s, CORBA::Short );
              flick_iiopxx_decode_end_chunk(14);
              flick_iiopxx_decode_end_glob(22);
              break;
              {
              _flick_abort1058:
                goto _flick_abort1052;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(22);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort1059);
              break;
              {
              _flick_abort1059:
                goto _flick_abort1052;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1060);
              flick_iiopxx_decode_end_glob(22);
              break;
              {
              _flick_abort1060:
                goto _flick_abort1052;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort1052:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort1051);
    _flick_abort1051:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

CORBA::Long ex4::op3(/* ex4 *this, */ CORBA::Long l, ::CORBA::Short &s, CORBA::ULong &ul, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  CORBA::Long _return;

  _return = 0;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1069);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort1069);
    }
    {
      flick_iiopxx_encode_new_glob(20, _flick_abort1069);
      flick_iiopxx_encode_new_chunk(20);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '3', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_signed32(12, l, CORBA::Long );
      flick_cdr_encode_unsigned32(16, ul, CORBA::ULong );
      flick_iiopxx_encode_end_chunk(20);
      flick_iiopxx_encode_end_glob(20);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1069);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1069);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t167_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(16);
        flick_iiopxx_check_span(4, _flick_abort1069);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t167_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t167_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(12, _flick_abort1082);
              flick_iiopxx_decode_new_chunk(12);
              flick_cdr_swap_decode_signed32(0, _return, CORBA::Long );
              flick_cdr_swap_decode_signed16(4, s, CORBA::Short );
              flick_cdr_swap_decode_unsigned32(8, ul, CORBA::ULong );
              flick_iiopxx_decode_end_chunk(12);
              flick_iiopxx_decode_end_glob(16);
              break;
              {
              _flick_abort1082:
                goto _flick_abort1069;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(16);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort1083);
              break;
              {
              _flick_abort1083:
                goto _flick_abort1069;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1084);
              flick_iiopxx_decode_end_glob(16);
              break;
              {
              _flick_abort1084:
                goto _flick_abort1069;
              }
            }
          }
      }
    else
      {
        int _t166_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(16);
        flick_iiopxx_check_span(4, _flick_abort1069);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t166_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t166_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(12, _flick_abort1075);
              flick_iiopxx_decode_new_chunk(12);
              flick_cdr_decode_signed32(0, _return, CORBA::Long );
              flick_cdr_decode_signed16(4, s, CORBA::Short );
              flick_cdr_decode_unsigned32(8, ul, CORBA::ULong );
              flick_iiopxx_decode_end_chunk(12);
              flick_iiopxx_decode_end_glob(16);
              break;
              {
              _flick_abort1075:
                goto _flick_abort1069;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(16);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort1076);
              break;
              {
              _flick_abort1076:
                goto _flick_abort1069;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1077);
              flick_iiopxx_decode_end_glob(16);
              break;
              {
              _flick_abort1077:
                goto _flick_abort1069;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort1069:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort1068);
    _flick_abort1068:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

CORBA::Short ex4::op4(/* ex4 *this, */ CORBA::Short s, ::CORBA::ULong &ul, CORBA::UShort &us, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  CORBA::Short _return;

  _return = 0;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1086);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort1086);
    }
    {
      flick_iiopxx_encode_new_glob(16, _flick_abort1086);
      flick_iiopxx_encode_new_chunk(16);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '4', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_signed16(12, s, CORBA::Short );
      flick_cdr_encode_unsigned16(14, us, CORBA::UShort );
      flick_iiopxx_encode_end_chunk(16);
      flick_iiopxx_encode_end_glob(16);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1086);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1086);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t169_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(14);
        flick_iiopxx_check_span(4, _flick_abort1086);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t169_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t169_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(10, _flick_abort1099);
              flick_iiopxx_decode_new_chunk(10);
              flick_cdr_swap_decode_signed16(0, _return, CORBA::Short );
              flick_cdr_swap_decode_unsigned32(4, ul, CORBA::ULong );
              flick_cdr_swap_decode_unsigned16(8, us, CORBA::UShort );
              flick_iiopxx_decode_end_chunk(10);
              flick_iiopxx_decode_end_glob(14);
              break;
              {
              _flick_abort1099:
                goto _flick_abort1086;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(14);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort1100);
              break;
              {
              _flick_abort1100:
                goto _flick_abort1086;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1101);
              flick_iiopxx_decode_end_glob(14);
              break;
              {
              _flick_abort1101:
                goto _flick_abort1086;
              }
            }
          }
      }
    else
      {
        int _t168_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(14);
        flick_iiopxx_check_span(4, _flick_abort1086);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t168_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t168_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(10, _flick_abort1092);
              flick_iiopxx_decode_new_chunk(10);
              flick_cdr_decode_signed16(0, _return, CORBA::Short );
              flick_cdr_decode_unsigned32(4, ul, CORBA::ULong );
              flick_cdr_decode_unsigned16(8, us, CORBA::UShort );
              flick_iiopxx_decode_end_chunk(10);
              flick_iiopxx_decode_end_glob(14);
              break;
              {
              _flick_abort1092:
                goto _flick_abort1086;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(14);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort1093);
              break;
              {
              _flick_abort1093:
                goto _flick_abort1086;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1094);
              flick_iiopxx_decode_end_glob(14);
              break;
              {
              _flick_abort1094:
                goto _flick_abort1086;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort1086:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort1085);
    _flick_abort1085:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

CORBA::ULong ex4::op5(/* ex4 *this, */ CORBA::ULong &ul, CORBA::UShort us, ::CORBA::Char &c, CORBA::Boolean b, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  CORBA::ULong _return;

  _return = 0;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1103);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort1103);
    }
    {
      flick_iiopxx_encode_new_glob(19, _flick_abort1103);
      flick_iiopxx_encode_new_chunk(19);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '5', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_unsigned32(12, ul, CORBA::ULong );
      flick_cdr_encode_unsigned16(16, us, CORBA::UShort );
      flick_cdr_encode_unsigned8(18, b, CORBA::Boolean );
      flick_iiopxx_encode_end_chunk(19);
      flick_iiopxx_encode_end_glob(19);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1103);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1103);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t171_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(13);
        flick_iiopxx_check_span(4, _flick_abort1103);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t171_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t171_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(9, _flick_abort1116);
              flick_iiopxx_decode_new_chunk(9);
              flick_cdr_swap_decode_unsigned32(0, _return, CORBA::ULong );
              flick_cdr_swap_decode_unsigned32(4, ul, CORBA::ULong );
              flick_cdr_swap_decode_char8(8, c, CORBA::Char );
              flick_iiopxx_decode_end_chunk(9);
              flick_iiopxx_decode_end_glob(13);
              break;
              {
              _flick_abort1116:
                goto _flick_abort1103;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(13);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort1117);
              break;
              {
              _flick_abort1117:
                goto _flick_abort1103;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1118);
              flick_iiopxx_decode_end_glob(13);
              break;
              {
              _flick_abort1118:
                goto _flick_abort1103;
              }
            }
          }
      }
    else
      {
        int _t170_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(13);
        flick_iiopxx_check_span(4, _flick_abort1103);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t170_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t170_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(9, _flick_abort1109);
              flick_iiopxx_decode_new_chunk(9);
              flick_cdr_decode_unsigned32(0, _return, CORBA::ULong );
              flick_cdr_decode_unsigned32(4, ul, CORBA::ULong );
              flick_cdr_decode_char8(8, c, CORBA::Char );
              flick_iiopxx_decode_end_chunk(9);
              flick_iiopxx_decode_end_glob(13);
              break;
              {
              _flick_abort1109:
                goto _flick_abort1103;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(13);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort1110);
              break;
              {
              _flick_abort1110:
                goto _flick_abort1103;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1111);
              flick_iiopxx_decode_end_glob(13);
              break;
              {
              _flick_abort1111:
                goto _flick_abort1103;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort1103:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort1102);
    _flick_abort1102:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

CORBA::UShort ex4::op6(/* ex4 *this, */ ::CORBA::UShort &us, CORBA::Char &c, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  CORBA::UShort _return;

  _return = 0;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1120);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort1120);
    }
    {
      flick_iiopxx_encode_new_glob(13, _flick_abort1120);
      flick_iiopxx_encode_new_chunk(13);
      flick_cdr_encode_unsigned32(0, 4, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'o', flick_char8_t );
      flick_cdr_encode_char8(5, 'p', flick_char8_t );
      flick_cdr_encode_char8(6, '6', flick_char8_t );
      flick_cdr_encode_char8(7, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(8, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_char8(12, c, CORBA::Char );
      flick_iiopxx_encode_end_chunk(13);
      flick_iiopxx_encode_end_glob(13);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1120);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1120);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t173_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(9);
        flick_iiopxx_check_span(4, _flick_abort1120);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t173_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t173_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(5, _flick_abort1133);
              flick_iiopxx_decode_new_chunk(5);
              flick_cdr_swap_decode_unsigned16(0, _return, CORBA::UShort );
              flick_cdr_swap_decode_unsigned16(2, us, CORBA::UShort );
              flick_cdr_swap_decode_char8(4, c, CORBA::Char );
              flick_iiopxx_decode_end_chunk(5);
              flick_iiopxx_decode_end_glob(9);
              break;
              {
              _flick_abort1133:
                goto _flick_abort1120;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(9);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort1134);
              break;
              {
              _flick_abort1134:
                goto _flick_abort1120;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1135);
              flick_iiopxx_decode_end_glob(9);
              break;
              {
              _flick_abort1135:
                goto _flick_abort1120;
              }
            }
          }
      }
    else
      {
        int _t172_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(9);
        flick_iiopxx_check_span(4, _flick_abort1120);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t172_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t172_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(5, _flick_abort1126);
              flick_iiopxx_decode_new_chunk(5);
              flick_cdr_decode_unsigned16(0, _return, CORBA::UShort );
              flick_cdr_decode_unsigned16(2, us, CORBA::UShort );
              flick_cdr_decode_char8(4, c, CORBA::Char );
              flick_iiopxx_decode_end_chunk(5);
              flick_iiopxx_decode_end_glob(9);
              break;
              {
              _flick_abort1126:
                goto _flick_abort1120;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(9);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort1127);
              break;
              {
              _flick_abort1127:
                goto _flick_abort1120;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1128);
              flick_iiopxx_decode_end_glob(9);
              break;
              {
              _flick_abort1128:
                goto _flick_abort1120;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort1120:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort1119);
    _flick_abort1119:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

CORBA::Float ex4::float_attribute(/* ex4 *this, */ CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  CORBA::Float _return;

  _return = 0.000000;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1137);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort1137);
    }
    {
      flick_iiopxx_encode_new_glob(32, _flick_abort1137);
      flick_iiopxx_encode_new_chunk(32);
      flick_cdr_encode_unsigned32(0, 21, flick_unsigned32_t );
      flick_cdr_encode_char8(4, '_', flick_char8_t );
      flick_cdr_encode_char8(5, 'g', flick_char8_t );
      flick_cdr_encode_char8(6, 'e', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 'f', flick_char8_t );
      flick_cdr_encode_char8(10, 'l', flick_char8_t );
      flick_cdr_encode_char8(11, 'o', flick_char8_t );
      flick_cdr_encode_char8(12, 'a', flick_char8_t );
      flick_cdr_encode_char8(13, 't', flick_char8_t );
      flick_cdr_encode_char8(14, '_', flick_char8_t );
      flick_cdr_encode_char8(15, 'a', flick_char8_t );
      flick_cdr_encode_char8(16, 't', flick_char8_t );
      flick_cdr_encode_char8(17, 't', flick_char8_t );
      flick_cdr_encode_char8(18, 'r', flick_char8_t );
      flick_cdr_encode_char8(19, 'i', flick_char8_t );
      flick_cdr_encode_char8(20, 'b', flick_char8_t );
      flick_cdr_encode_char8(21, 'u', flick_char8_t );
      flick_cdr_encode_char8(22, 't', flick_char8_t );
      flick_cdr_encode_char8(23, 'e', flick_char8_t );
      flick_cdr_encode_char8(24, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(28, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_iiopxx_encode_end_chunk(32);
      flick_iiopxx_encode_end_glob(32);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1137);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1137);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t175_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort1137);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t175_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t175_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort1150);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_float32(0, _return, CORBA::Float );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort1150:
                goto _flick_abort1137;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort1151);
              break;
              {
              _flick_abort1151:
                goto _flick_abort1137;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1152);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort1152:
                goto _flick_abort1137;
              }
            }
          }
      }
    else
      {
        int _t174_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort1137);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t174_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t174_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort1143);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_float32(0, _return, CORBA::Float );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort1143:
                goto _flick_abort1137;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort1144);
              break;
              {
              _flick_abort1144:
                goto _flick_abort1137;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1145);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort1145:
                goto _flick_abort1137;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort1137:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort1136);
    _flick_abort1136:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

CORBA::Double ex4::double_attribute(/* ex4 *this, */ CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  CORBA::Double _return;

  _return = 0.000000;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1154);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort1154);
    }
    {
      flick_iiopxx_encode_new_glob(32, _flick_abort1154);
      flick_iiopxx_encode_new_chunk(32);
      flick_cdr_encode_unsigned32(0, 22, flick_unsigned32_t );
      flick_cdr_encode_char8(4, '_', flick_char8_t );
      flick_cdr_encode_char8(5, 'g', flick_char8_t );
      flick_cdr_encode_char8(6, 'e', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 'd', flick_char8_t );
      flick_cdr_encode_char8(10, 'o', flick_char8_t );
      flick_cdr_encode_char8(11, 'u', flick_char8_t );
      flick_cdr_encode_char8(12, 'b', flick_char8_t );
      flick_cdr_encode_char8(13, 'l', flick_char8_t );
      flick_cdr_encode_char8(14, 'e', flick_char8_t );
      flick_cdr_encode_char8(15, '_', flick_char8_t );
      flick_cdr_encode_char8(16, 'a', flick_char8_t );
      flick_cdr_encode_char8(17, 't', flick_char8_t );
      flick_cdr_encode_char8(18, 't', flick_char8_t );
      flick_cdr_encode_char8(19, 'r', flick_char8_t );
      flick_cdr_encode_char8(20, 'i', flick_char8_t );
      flick_cdr_encode_char8(21, 'b', flick_char8_t );
      flick_cdr_encode_char8(22, 'u', flick_char8_t );
      flick_cdr_encode_char8(23, 't', flick_char8_t );
      flick_cdr_encode_char8(24, 'e', flick_char8_t );
      flick_cdr_encode_char8(25, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(28, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_iiopxx_encode_end_chunk(32);
      flick_iiopxx_encode_end_glob(32);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1154);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1154);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t177_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(16);
        flick_iiopxx_check_span(4, _flick_abort1154);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t177_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t177_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_new_chunk_align(8, 3, 2, 0);
              flick_iiopxx_check_span(8, _flick_abort1167);
              flick_cdr_swap_decode_float64(0, _return, CORBA::Double );
              flick_iiopxx_decode_end_chunk(8);
              flick_iiopxx_decode_end_glob(16);
              break;
              {
              _flick_abort1167:
                goto _flick_abort1154;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(16);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort1168);
              break;
              {
              _flick_abort1168:
                goto _flick_abort1154;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1169);
              flick_iiopxx_decode_end_glob(16);
              break;
              {
              _flick_abort1169:
                goto _flick_abort1154;
              }
            }
          }
      }
    else
      {
        int _t176_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(16);
        flick_iiopxx_check_span(4, _flick_abort1154);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t176_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t176_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_new_chunk_align(8, 3, 2, 0);
              flick_iiopxx_check_span(8, _flick_abort1160);
              flick_cdr_decode_float64(0, _return, CORBA::Double );
              flick_iiopxx_decode_end_chunk(8);
              flick_iiopxx_decode_end_glob(16);
              break;
              {
              _flick_abort1160:
                goto _flick_abort1154;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(16);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort1161);
              break;
              {
              _flick_abort1161:
                goto _flick_abort1154;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1162);
              flick_iiopxx_decode_end_glob(16);
              break;
              {
              _flick_abort1162:
                goto _flick_abort1154;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort1154:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort1153);
    _flick_abort1153:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

void ex4::double_attribute(/* ex4 *this, */ CORBA::Double double_attribute, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1171);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort1171);
    }
    {
      flick_iiopxx_encode_new_glob(44, _flick_abort1171);
      flick_iiopxx_encode_new_chunk(32);
      flick_cdr_encode_unsigned32(0, 22, flick_unsigned32_t );
      flick_cdr_encode_char8(4, '_', flick_char8_t );
      flick_cdr_encode_char8(5, 's', flick_char8_t );
      flick_cdr_encode_char8(6, 'e', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 'd', flick_char8_t );
      flick_cdr_encode_char8(10, 'o', flick_char8_t );
      flick_cdr_encode_char8(11, 'u', flick_char8_t );
      flick_cdr_encode_char8(12, 'b', flick_char8_t );
      flick_cdr_encode_char8(13, 'l', flick_char8_t );
      flick_cdr_encode_char8(14, 'e', flick_char8_t );
      flick_cdr_encode_char8(15, '_', flick_char8_t );
      flick_cdr_encode_char8(16, 'a', flick_char8_t );
      flick_cdr_encode_char8(17, 't', flick_char8_t );
      flick_cdr_encode_char8(18, 't', flick_char8_t );
      flick_cdr_encode_char8(19, 'r', flick_char8_t );
      flick_cdr_encode_char8(20, 'i', flick_char8_t );
      flick_cdr_encode_char8(21, 'b', flick_char8_t );
      flick_cdr_encode_char8(22, 'u', flick_char8_t );
      flick_cdr_encode_char8(23, 't', flick_char8_t );
      flick_cdr_encode_char8(24, 'e', flick_char8_t );
      flick_cdr_encode_char8(25, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(28, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_iiopxx_encode_end_chunk(32);
      flick_iiopxx_encode_new_chunk_align(8, 3, 2, 0);
      flick_cdr_encode_float64(0, double_attribute, CORBA::Double );
      flick_iiopxx_encode_end_chunk(8);
      flick_iiopxx_encode_end_glob(44);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1171);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1171);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t179_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(4);
        flick_iiopxx_check_span(4, _flick_abort1171);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t179_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t179_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_end_glob(4);
              break;
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(4);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort1185);
              break;
              {
              _flick_abort1185:
                goto _flick_abort1171;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1186);
              flick_iiopxx_decode_end_glob(4);
              break;
              {
              _flick_abort1186:
                goto _flick_abort1171;
              }
            }
          }
      }
    else
      {
        int _t178_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(4);
        flick_iiopxx_check_span(4, _flick_abort1171);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t178_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t178_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_end_glob(4);
              break;
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(4);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort1178);
              break;
              {
              _flick_abort1178:
                goto _flick_abort1171;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1179);
              flick_iiopxx_decode_end_glob(4);
              break;
              {
              _flick_abort1179:
                goto _flick_abort1171;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return;
    {
    _flick_abort1171:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort1170);
    _flick_abort1170:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return;
}

CORBA::Long ex4::long_attribute(/* ex4 *this, */ CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  CORBA::Long _return;

  _return = 0;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1188);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort1188);
    }
    {
      flick_iiopxx_encode_new_glob(28, _flick_abort1188);
      flick_iiopxx_encode_new_chunk(28);
      flick_cdr_encode_unsigned32(0, 20, flick_unsigned32_t );
      flick_cdr_encode_char8(4, '_', flick_char8_t );
      flick_cdr_encode_char8(5, 'g', flick_char8_t );
      flick_cdr_encode_char8(6, 'e', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 'l', flick_char8_t );
      flick_cdr_encode_char8(10, 'o', flick_char8_t );
      flick_cdr_encode_char8(11, 'n', flick_char8_t );
      flick_cdr_encode_char8(12, 'g', flick_char8_t );
      flick_cdr_encode_char8(13, '_', flick_char8_t );
      flick_cdr_encode_char8(14, 'a', flick_char8_t );
      flick_cdr_encode_char8(15, 't', flick_char8_t );
      flick_cdr_encode_char8(16, 't', flick_char8_t );
      flick_cdr_encode_char8(17, 'r', flick_char8_t );
      flick_cdr_encode_char8(18, 'i', flick_char8_t );
      flick_cdr_encode_char8(19, 'b', flick_char8_t );
      flick_cdr_encode_char8(20, 'u', flick_char8_t );
      flick_cdr_encode_char8(21, 't', flick_char8_t );
      flick_cdr_encode_char8(22, 'e', flick_char8_t );
      flick_cdr_encode_char8(23, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(24, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_iiopxx_encode_end_chunk(28);
      flick_iiopxx_encode_end_glob(28);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1188);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1188);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t181_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort1188);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t181_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t181_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort1201);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_signed32(0, _return, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort1201:
                goto _flick_abort1188;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort1202);
              break;
              {
              _flick_abort1202:
                goto _flick_abort1188;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1203);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort1203:
                goto _flick_abort1188;
              }
            }
          }
      }
    else
      {
        int _t180_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort1188);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t180_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t180_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort1194);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_signed32(0, _return, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort1194:
                goto _flick_abort1188;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort1195);
              break;
              {
              _flick_abort1195:
                goto _flick_abort1188;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1196);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort1196:
                goto _flick_abort1188;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort1188:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort1187);
    _flick_abort1187:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

CORBA::Short ex4::short_attribute(/* ex4 *this, */ CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  CORBA::Short _return;

  _return = 0;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1205);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort1205);
    }
    {
      flick_iiopxx_encode_new_glob(32, _flick_abort1205);
      flick_iiopxx_encode_new_chunk(32);
      flick_cdr_encode_unsigned32(0, 21, flick_unsigned32_t );
      flick_cdr_encode_char8(4, '_', flick_char8_t );
      flick_cdr_encode_char8(5, 'g', flick_char8_t );
      flick_cdr_encode_char8(6, 'e', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 's', flick_char8_t );
      flick_cdr_encode_char8(10, 'h', flick_char8_t );
      flick_cdr_encode_char8(11, 'o', flick_char8_t );
      flick_cdr_encode_char8(12, 'r', flick_char8_t );
      flick_cdr_encode_char8(13, 't', flick_char8_t );
      flick_cdr_encode_char8(14, '_', flick_char8_t );
      flick_cdr_encode_char8(15, 'a', flick_char8_t );
      flick_cdr_encode_char8(16, 't', flick_char8_t );
      flick_cdr_encode_char8(17, 't', flick_char8_t );
      flick_cdr_encode_char8(18, 'r', flick_char8_t );
      flick_cdr_encode_char8(19, 'i', flick_char8_t );
      flick_cdr_encode_char8(20, 'b', flick_char8_t );
      flick_cdr_encode_char8(21, 'u', flick_char8_t );
      flick_cdr_encode_char8(22, 't', flick_char8_t );
      flick_cdr_encode_char8(23, 'e', flick_char8_t );
      flick_cdr_encode_char8(24, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(28, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_iiopxx_encode_end_chunk(32);
      flick_iiopxx_encode_end_glob(32);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1205);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1205);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t183_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(6);
        flick_iiopxx_check_span(4, _flick_abort1205);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t183_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t183_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(2, _flick_abort1218);
              flick_iiopxx_decode_new_chunk(2);
              flick_cdr_swap_decode_signed16(0, _return, CORBA::Short );
              flick_iiopxx_decode_end_chunk(2);
              flick_iiopxx_decode_end_glob(6);
              break;
              {
              _flick_abort1218:
                goto _flick_abort1205;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(6);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort1219);
              break;
              {
              _flick_abort1219:
                goto _flick_abort1205;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1220);
              flick_iiopxx_decode_end_glob(6);
              break;
              {
              _flick_abort1220:
                goto _flick_abort1205;
              }
            }
          }
      }
    else
      {
        int _t182_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(6);
        flick_iiopxx_check_span(4, _flick_abort1205);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t182_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t182_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(2, _flick_abort1211);
              flick_iiopxx_decode_new_chunk(2);
              flick_cdr_decode_signed16(0, _return, CORBA::Short );
              flick_iiopxx_decode_end_chunk(2);
              flick_iiopxx_decode_end_glob(6);
              break;
              {
              _flick_abort1211:
                goto _flick_abort1205;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(6);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort1212);
              break;
              {
              _flick_abort1212:
                goto _flick_abort1205;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1213);
              flick_iiopxx_decode_end_glob(6);
              break;
              {
              _flick_abort1213:
                goto _flick_abort1205;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort1205:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort1204);
    _flick_abort1204:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

void ex4::short_attribute(/* ex4 *this, */ CORBA::Short short_attribute, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1222);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort1222);
    }
    {
      flick_iiopxx_encode_new_glob(34, _flick_abort1222);
      flick_iiopxx_encode_new_chunk(34);
      flick_cdr_encode_unsigned32(0, 21, flick_unsigned32_t );
      flick_cdr_encode_char8(4, '_', flick_char8_t );
      flick_cdr_encode_char8(5, 's', flick_char8_t );
      flick_cdr_encode_char8(6, 'e', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 's', flick_char8_t );
      flick_cdr_encode_char8(10, 'h', flick_char8_t );
      flick_cdr_encode_char8(11, 'o', flick_char8_t );
      flick_cdr_encode_char8(12, 'r', flick_char8_t );
      flick_cdr_encode_char8(13, 't', flick_char8_t );
      flick_cdr_encode_char8(14, '_', flick_char8_t );
      flick_cdr_encode_char8(15, 'a', flick_char8_t );
      flick_cdr_encode_char8(16, 't', flick_char8_t );
      flick_cdr_encode_char8(17, 't', flick_char8_t );
      flick_cdr_encode_char8(18, 'r', flick_char8_t );
      flick_cdr_encode_char8(19, 'i', flick_char8_t );
      flick_cdr_encode_char8(20, 'b', flick_char8_t );
      flick_cdr_encode_char8(21, 'u', flick_char8_t );
      flick_cdr_encode_char8(22, 't', flick_char8_t );
      flick_cdr_encode_char8(23, 'e', flick_char8_t );
      flick_cdr_encode_char8(24, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(28, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_signed16(32, short_attribute, CORBA::Short );
      flick_iiopxx_encode_end_chunk(34);
      flick_iiopxx_encode_end_glob(34);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1222);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1222);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t185_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(4);
        flick_iiopxx_check_span(4, _flick_abort1222);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t185_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t185_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_end_glob(4);
              break;
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(4);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort1236);
              break;
              {
              _flick_abort1236:
                goto _flick_abort1222;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1237);
              flick_iiopxx_decode_end_glob(4);
              break;
              {
              _flick_abort1237:
                goto _flick_abort1222;
              }
            }
          }
      }
    else
      {
        int _t184_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(4);
        flick_iiopxx_check_span(4, _flick_abort1222);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t184_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t184_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_end_glob(4);
              break;
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(4);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort1229);
              break;
              {
              _flick_abort1229:
                goto _flick_abort1222;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1230);
              flick_iiopxx_decode_end_glob(4);
              break;
              {
              _flick_abort1230:
                goto _flick_abort1222;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return;
    {
    _flick_abort1222:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort1221);
    _flick_abort1221:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return;
}

CORBA::ULong ex4::unsigned_long_attribute(/* ex4 *this, */ CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  CORBA::ULong _return;

  _return = 0;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1239);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort1239);
    }
    {
      flick_iiopxx_encode_new_glob(40, _flick_abort1239);
      flick_iiopxx_encode_new_chunk(40);
      flick_cdr_encode_unsigned32(0, 29, flick_unsigned32_t );
      flick_cdr_encode_char8(4, '_', flick_char8_t );
      flick_cdr_encode_char8(5, 'g', flick_char8_t );
      flick_cdr_encode_char8(6, 'e', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 'u', flick_char8_t );
      flick_cdr_encode_char8(10, 'n', flick_char8_t );
      flick_cdr_encode_char8(11, 's', flick_char8_t );
      flick_cdr_encode_char8(12, 'i', flick_char8_t );
      flick_cdr_encode_char8(13, 'g', flick_char8_t );
      flick_cdr_encode_char8(14, 'n', flick_char8_t );
      flick_cdr_encode_char8(15, 'e', flick_char8_t );
      flick_cdr_encode_char8(16, 'd', flick_char8_t );
      flick_cdr_encode_char8(17, '_', flick_char8_t );
      flick_cdr_encode_char8(18, 'l', flick_char8_t );
      flick_cdr_encode_char8(19, 'o', flick_char8_t );
      flick_cdr_encode_char8(20, 'n', flick_char8_t );
      flick_cdr_encode_char8(21, 'g', flick_char8_t );
      flick_cdr_encode_char8(22, '_', flick_char8_t );
      flick_cdr_encode_char8(23, 'a', flick_char8_t );
      flick_cdr_encode_char8(24, 't', flick_char8_t );
      flick_cdr_encode_char8(25, 't', flick_char8_t );
      flick_cdr_encode_char8(26, 'r', flick_char8_t );
      flick_cdr_encode_char8(27, 'i', flick_char8_t );
      flick_cdr_encode_char8(28, 'b', flick_char8_t );
      flick_cdr_encode_char8(29, 'u', flick_char8_t );
      flick_cdr_encode_char8(30, 't', flick_char8_t );
      flick_cdr_encode_char8(31, 'e', flick_char8_t );
      flick_cdr_encode_char8(32, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(36, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_iiopxx_encode_end_chunk(40);
      flick_iiopxx_encode_end_glob(40);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1239);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort1239);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t187_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort1239);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t187_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t187_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort1252);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_unsigned32(0, _return, CORBA::ULong );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort1252:
                goto _flick_abort1239;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort1253);
              break;
              {
              _flick_abort1253:
                goto _flick_abort1239;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1254);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort1254:
                goto _flick_abort1239;
              }
            }
          }
      }
    else
      {
        int _t186_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort1239);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t186_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t186_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort1245);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_unsigned32(0, _return, CORBA::ULong );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort1245:
                goto _flick_abort1239;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort1246);
              break;
              {
              _flick_abort1246:
                goto _flick_abort1239;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1247);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort1247:
                goto _flick_abort1239;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort1239:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort1238);
    _flick_abort1238:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

