#include "dif2-server.h"

POA_ex1::POA_ex1()
{}

POA_ex1::POA_ex1(const POA_ex1 &rhs)
  : TAO_ServantBase(rhs)
{}

POA_ex1::~POA_ex1()
{}

ex1 *POA_ex1::_this(CORBA::Environment &_env)
{
  TAO_Stub *stub = this->_create_stub(_env);
  TAO_CHECK_ENV_RETURN(_env, 0);
  return new _tao_collocated_ex1(this, stub);
}

CORBA::Boolean POA_ex1::_is_a(const CORBA::Char *type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)type_id, "IDL:ex1:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return 0;
}

void *POA_ex1::_downcast(const char *logical_type_id)
{
  if(ACE_OS::strcmp(logical_type_id, "IDL:ex1:1.0") == 0)
    return ACE_static_cast(POA_ex1_ptr , this);
   
  if(ACE_OS::strcmp(logical_type_id, "IDL:omg.org/CORBA/Object:1.0") == 0)
    return ACE_static_cast(PortableServer::Servant, this);
  return 0;
}

const char *POA_ex1::_interface_repository_id() const
{
  return "IDL:ex1:1.0";
}

template <class T>
  POA_ex1_tie<T>::POA_ex1_tie(T &t)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(0)
{}

template <class T>
  POA_ex1_tie<T>::POA_ex1_tie(T &t, PortableServer::POA_ptr poa)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(0)
{}

template <class T>
  POA_ex1_tie<T>::POA_ex1_tie(T *t, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(release)
{}

template <class T>
  POA_ex1_tie<T>::POA_ex1_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(release)
{}

template <class T>
  POA_ex1_tie<T>::~POA_ex1_tie()
{
  if( this->rel_ ) delete this->ptr_;
}

template <class T>
  T *POA_ex1_tie<T>::_tied_object()
{
  return this->ptr_;
}

template <class T>
  void POA_ex1_tie<T>::_tied_object(T &obj)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = &obj;
  this->rel_ = 0;
}

template <class T>
  void POA_ex1_tie<T>::_tied_object(T &obj, CORBA::Boolean release)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = obj;
  this->rel_ = release;
}

template <class T>
  CORBA::Boolean POA_ex1_tie<T>::_is_owner()
{
  return this->rel_;
}

template <class T>
  void POA_ex1_tie<T>::_is_owner(CORBA::Boolean b)
{
  this->rel_ = b;
}

template <class T>
  PortableServer::POA_ptr POA_ex1_tie<T>::_default_POA()
{
  if( !(CORBA::is_nil(this->poa_.in())) )
    return PortableServer::POA::_duplicate(this->poa_.in());
  else
  {
    TAO_POA *poa = TAO_ORB_Core_instance()->root_poa();
    PortableServer::POA_var result = poa->_this(env);
    if( env.exception() != 0 )
      return PortableServer::POA::_nil();
    else
      return result._retn();
  }
}

template <class T>
  POA_ex1_tie<T>::POA_ex1_tie(const POA_ex1_tie &c)
{}

template <class T>
  void POA_ex1_tie<T>::operator=(const POA_ex1_tie &c)
{}

template <class T>
  void POA_ex1_tie<T>::op0(/* POA_ex1 *this, */ CORBA::Environment &_ev)
{
  this->ptr_->op0 (_ev);
}

template <class T>
  CORBA::Float POA_ex1_tie<T>::op1(/* POA_ex1 *this, */ CORBA::Float f, ::CORBA::Double &d, CORBA::Long &l, CORBA::Environment &_ev)
{
  return this->ptr_->op1 (f, d, l, _ev);
}

template <class T>
  CORBA::Double POA_ex1_tie<T>::op2(/* POA_ex1 *this, */ CORBA::Double d, ::CORBA::Long &l, CORBA::Short &s, CORBA::Environment &_ev)
{
  return this->ptr_->op2 (d, l, s, _ev);
}

template <class T>
  CORBA::Long POA_ex1_tie<T>::op3(/* POA_ex1 *this, */ CORBA::Long l, ::CORBA::Short &s, CORBA::ULong &ul, CORBA::Environment &_ev)
{
  return this->ptr_->op3 (l, s, ul, _ev);
}

template <class T>
  CORBA::Short POA_ex1_tie<T>::op4(/* POA_ex1 *this, */ CORBA::Short s, ::CORBA::ULong &ul, CORBA::UShort &us, CORBA::Environment &_ev)
{
  return this->ptr_->op4 (s, ul, us, _ev);
}

template <class T>
  CORBA::ULong POA_ex1_tie<T>::op5(/* POA_ex1 *this, */ CORBA::ULong &ul, CORBA::UShort us, ::CORBA::Char &c, CORBA::Boolean b, CORBA::Environment &_ev)
{
  return this->ptr_->op5 (ul, us, c, b, _ev);
}

template <class T>
  CORBA::UShort POA_ex1_tie<T>::op6(/* POA_ex1 *this, */ ::CORBA::UShort &us, CORBA::Char &c, CORBA::Environment &_ev)
{
  return this->ptr_->op6 (us, c, _ev);
}

_tao_collocated_ex1::_tao_collocated_ex1(POA_ex1_ptr servant, TAO_Stub *stub)
  : ex1(),
    CORBA_Object(stub, servant, 1),
    servant_ (servant)
{
}

POA_ex1_ptr _tao_collocated_ex1::_get_servant() const
{
  return this->servant_;
}

void _tao_collocated_ex1::op0(CORBA::Environment &_ev)
{
  this->servant_->op0 (_ev);
}

CORBA::Float _tao_collocated_ex1::op1(CORBA::Float f, ::CORBA::Double &d, CORBA::Long &l, CORBA::Environment &_ev)
{
  return this->servant_->op1 (f, d, l, _ev);
}

CORBA::Double _tao_collocated_ex1::op2(CORBA::Double d, ::CORBA::Long &l, CORBA::Short &s, CORBA::Environment &_ev)
{
  return this->servant_->op2 (d, l, s, _ev);
}

CORBA::Long _tao_collocated_ex1::op3(CORBA::Long l, ::CORBA::Short &s, CORBA::ULong &ul, CORBA::Environment &_ev)
{
  return this->servant_->op3 (l, s, ul, _ev);
}

CORBA::Short _tao_collocated_ex1::op4(CORBA::Short s, ::CORBA::ULong &ul, CORBA::UShort &us, CORBA::Environment &_ev)
{
  return this->servant_->op4 (s, ul, us, _ev);
}

CORBA::ULong _tao_collocated_ex1::op5(CORBA::ULong &ul, CORBA::UShort us, ::CORBA::Char &c, CORBA::Boolean b, CORBA::Environment &_ev)
{
  return this->servant_->op5 (ul, us, c, b, _ev);
}

CORBA::UShort _tao_collocated_ex1::op6(::CORBA::UShort &us, CORBA::Char &c, CORBA::Environment &_ev)
{
  return this->servant_->op6 (us, c, _ev);
}

CORBA::Boolean _tao_collocated_ex1::_is_a(const char *type_id, CORBA::Environment &_ev)
{
  return this->servant_->_is_a (type_id, _ev);
}

POA_ex2::POA_ex2()
{}

POA_ex2::POA_ex2(const POA_ex2 &rhs)
  : TAO_ServantBase(rhs)
{}

POA_ex2::~POA_ex2()
{}

ex2 *POA_ex2::_this(CORBA::Environment &_env)
{
  TAO_Stub *stub = this->_create_stub(_env);
  TAO_CHECK_ENV_RETURN(_env, 0);
  return new _tao_collocated_ex2(this, stub);
}

CORBA::Boolean POA_ex2::_is_a(const CORBA::Char *type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)type_id, "IDL:ex1:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, "IDL:ex2:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return 0;
}

void *POA_ex2::_downcast(const char *logical_type_id)
{
  if(ACE_OS::strcmp(logical_type_id, "IDL:ex2:1.0") == 0)
    return ACE_static_cast(POA_ex2_ptr , this);
  
  if(ACE_OS::strcmp(logical_type_id, "IDL:ex1:1.0") == 0)
    return ACE_reinterpret_cast(POA_ex1_ptr , this); 
  if(ACE_OS::strcmp(logical_type_id, "IDL:omg.org/CORBA/Object:1.0") == 0)
    return ACE_static_cast(PortableServer::Servant, this);
  return 0;
}

const char *POA_ex2::_interface_repository_id() const
{
  return "IDL:ex2:1.0";
}

template <class T>
  POA_ex2_tie<T>::POA_ex2_tie(T &t)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(0)
{}

template <class T>
  POA_ex2_tie<T>::POA_ex2_tie(T &t, PortableServer::POA_ptr poa)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(0)
{}

template <class T>
  POA_ex2_tie<T>::POA_ex2_tie(T *t, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(release)
{}

template <class T>
  POA_ex2_tie<T>::POA_ex2_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(release)
{}

template <class T>
  POA_ex2_tie<T>::~POA_ex2_tie()
{
  if( this->rel_ ) delete this->ptr_;
}

template <class T>
  T *POA_ex2_tie<T>::_tied_object()
{
  return this->ptr_;
}

template <class T>
  void POA_ex2_tie<T>::_tied_object(T &obj)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = &obj;
  this->rel_ = 0;
}

template <class T>
  void POA_ex2_tie<T>::_tied_object(T &obj, CORBA::Boolean release)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = obj;
  this->rel_ = release;
}

template <class T>
  CORBA::Boolean POA_ex2_tie<T>::_is_owner()
{
  return this->rel_;
}

template <class T>
  void POA_ex2_tie<T>::_is_owner(CORBA::Boolean b)
{
  this->rel_ = b;
}

template <class T>
  PortableServer::POA_ptr POA_ex2_tie<T>::_default_POA()
{
  if( !(CORBA::is_nil(this->poa_.in())) )
    return PortableServer::POA::_duplicate(this->poa_.in());
  else
  {
    TAO_POA *poa = TAO_ORB_Core_instance()->root_poa();
    PortableServer::POA_var result = poa->_this(env);
    if( env.exception() != 0 )
      return PortableServer::POA::_nil();
    else
      return result._retn();
  }
}

template <class T>
  POA_ex2_tie<T>::POA_ex2_tie(const POA_ex2_tie &c)
{}

template <class T>
  void POA_ex2_tie<T>::operator=(const POA_ex2_tie &c)
{}

template <class T>
  CORBA::Char POA_ex2_tie<T>::op7(/* POA_ex2 *this, */ CORBA::Char c, ::CORBA::Boolean &b, CORBA::Octet &o, CORBA::Environment &_ev)
{
  return this->ptr_->op7 (c, b, o, _ev);
}

template <class T>
  CORBA::Boolean POA_ex2_tie<T>::op8(/* POA_ex2 *this, */ ::CORBA::Boolean &b, CORBA::Octet o, CORBA::Environment &_ev)
{
  return this->ptr_->op8 (b, o, _ev);
}

template <class T>
  CORBA::Octet POA_ex2_tie<T>::op9(/* POA_ex2 *this, */ CORBA::Octet &o, ::CORBA::String_out s, const char *ls, CORBA::Long &l, CORBA::Environment &_ev)
{
  return this->ptr_->op9 (o, s, ls, l, _ev);
}

template <class T>
  char *POA_ex2_tie<T>::op10(/* POA_ex2 *this, */ const char *s, ::CORBA::String_out ls, CORBA::Environment &_ev)
{
  return this->ptr_->op10 (s, ls, _ev);
}

template <class T>
  char *POA_ex2_tie<T>::op11(/* POA_ex2 *this, */ char *&ls, ::CORBA::Long &l, CORBA::Environment &_ev)
{
  return this->ptr_->op11 (ls, l, _ev);
}

template <class T>
  CORBA::Long POA_ex2_tie<T>::op12(/* POA_ex2 *this, */ CORBA::Long l, CORBA::Environment &_ev)
{
  return this->ptr_->op12 (l, _ev);
}

template <class T>
  void POA_ex2_tie<T>::op0(/* POA_ex2 *this, */ CORBA::Environment &_ev)
{
  this->ptr_->op0 (_ev);
}

template <class T>
  CORBA::Float POA_ex2_tie<T>::op1(/* POA_ex2 *this, */ CORBA::Float f, ::CORBA::Double &d, CORBA::Long &l, CORBA::Environment &_ev)
{
  return this->ptr_->op1 (f, d, l, _ev);
}

template <class T>
  CORBA::Double POA_ex2_tie<T>::op2(/* POA_ex2 *this, */ CORBA::Double d, ::CORBA::Long &l, CORBA::Short &s, CORBA::Environment &_ev)
{
  return this->ptr_->op2 (d, l, s, _ev);
}

template <class T>
  CORBA::Long POA_ex2_tie<T>::op3(/* POA_ex2 *this, */ CORBA::Long l, ::CORBA::Short &s, CORBA::ULong &ul, CORBA::Environment &_ev)
{
  return this->ptr_->op3 (l, s, ul, _ev);
}

template <class T>
  CORBA::Short POA_ex2_tie<T>::op4(/* POA_ex2 *this, */ CORBA::Short s, ::CORBA::ULong &ul, CORBA::UShort &us, CORBA::Environment &_ev)
{
  return this->ptr_->op4 (s, ul, us, _ev);
}

template <class T>
  CORBA::ULong POA_ex2_tie<T>::op5(/* POA_ex2 *this, */ CORBA::ULong &ul, CORBA::UShort us, ::CORBA::Char &c, CORBA::Boolean b, CORBA::Environment &_ev)
{
  return this->ptr_->op5 (ul, us, c, b, _ev);
}

template <class T>
  CORBA::UShort POA_ex2_tie<T>::op6(/* POA_ex2 *this, */ ::CORBA::UShort &us, CORBA::Char &c, CORBA::Environment &_ev)
{
  return this->ptr_->op6 (us, c, _ev);
}

_tao_collocated_ex2::_tao_collocated_ex2(POA_ex2_ptr servant, TAO_Stub *stub)
  : ex2(),
    CORBA_Object(stub, servant, 1),
    servant_ (servant)
{
}

POA_ex2_ptr _tao_collocated_ex2::_get_servant() const
{
  return this->servant_;
}

CORBA::Char _tao_collocated_ex2::op7(CORBA::Char c, ::CORBA::Boolean &b, CORBA::Octet &o, CORBA::Environment &_ev)
{
  return this->servant_->op7 (c, b, o, _ev);
}

CORBA::Boolean _tao_collocated_ex2::op8(::CORBA::Boolean &b, CORBA::Octet o, CORBA::Environment &_ev)
{
  return this->servant_->op8 (b, o, _ev);
}

CORBA::Octet _tao_collocated_ex2::op9(CORBA::Octet &o, ::CORBA::String_out s, const char *ls, CORBA::Long &l, CORBA::Environment &_ev)
{
  return this->servant_->op9 (o, s, ls, l, _ev);
}

char *_tao_collocated_ex2::op10(const char *s, ::CORBA::String_out ls, CORBA::Environment &_ev)
{
  return this->servant_->op10 (s, ls, _ev);
}

char *_tao_collocated_ex2::op11(char *&ls, ::CORBA::Long &l, CORBA::Environment &_ev)
{
  return this->servant_->op11 (ls, l, _ev);
}

CORBA::Long _tao_collocated_ex2::op12(CORBA::Long l, CORBA::Environment &_ev)
{
  return this->servant_->op12 (l, _ev);
}

void _tao_collocated_ex2::op0(CORBA::Environment &_ev)
{
  this->servant_->op0 (_ev);
}

CORBA::Float _tao_collocated_ex2::op1(CORBA::Float f, ::CORBA::Double &d, CORBA::Long &l, CORBA::Environment &_ev)
{
  return this->servant_->op1 (f, d, l, _ev);
}

CORBA::Double _tao_collocated_ex2::op2(CORBA::Double d, ::CORBA::Long &l, CORBA::Short &s, CORBA::Environment &_ev)
{
  return this->servant_->op2 (d, l, s, _ev);
}

CORBA::Long _tao_collocated_ex2::op3(CORBA::Long l, ::CORBA::Short &s, CORBA::ULong &ul, CORBA::Environment &_ev)
{
  return this->servant_->op3 (l, s, ul, _ev);
}

CORBA::Short _tao_collocated_ex2::op4(CORBA::Short s, ::CORBA::ULong &ul, CORBA::UShort &us, CORBA::Environment &_ev)
{
  return this->servant_->op4 (s, ul, us, _ev);
}

CORBA::ULong _tao_collocated_ex2::op5(CORBA::ULong &ul, CORBA::UShort us, ::CORBA::Char &c, CORBA::Boolean b, CORBA::Environment &_ev)
{
  return this->servant_->op5 (ul, us, c, b, _ev);
}

CORBA::UShort _tao_collocated_ex2::op6(::CORBA::UShort &us, CORBA::Char &c, CORBA::Environment &_ev)
{
  return this->servant_->op6 (us, c, _ev);
}

CORBA::Boolean _tao_collocated_ex2::_is_a(const char *type_id, CORBA::Environment &_ev)
{
  return this->servant_->_is_a (type_id, _ev);
}

POA_ex3::POA_ex3()
{}

POA_ex3::POA_ex3(const POA_ex3 &rhs)
  : TAO_ServantBase(rhs)
{}

POA_ex3::~POA_ex3()
{}

ex3 *POA_ex3::_this(CORBA::Environment &_env)
{
  TAO_Stub *stub = this->_create_stub(_env);
  TAO_CHECK_ENV_RETURN(_env, 0);
  return new _tao_collocated_ex3(this, stub);
}

CORBA::Boolean POA_ex3::_is_a(const CORBA::Char *type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)type_id, "IDL:ex1:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, "IDL:ex3:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return 0;
}

void *POA_ex3::_downcast(const char *logical_type_id)
{
  if(ACE_OS::strcmp(logical_type_id, "IDL:ex3:1.0") == 0)
    return ACE_static_cast(POA_ex3_ptr , this);
  
  if(ACE_OS::strcmp(logical_type_id, "IDL:ex1:1.0") == 0)
    return ACE_reinterpret_cast(POA_ex1_ptr , this); 
  if(ACE_OS::strcmp(logical_type_id, "IDL:omg.org/CORBA/Object:1.0") == 0)
    return ACE_static_cast(PortableServer::Servant, this);
  return 0;
}

const char *POA_ex3::_interface_repository_id() const
{
  return "IDL:ex3:1.0";
}

template <class T>
  POA_ex3_tie<T>::POA_ex3_tie(T &t)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(0)
{}

template <class T>
  POA_ex3_tie<T>::POA_ex3_tie(T &t, PortableServer::POA_ptr poa)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(0)
{}

template <class T>
  POA_ex3_tie<T>::POA_ex3_tie(T *t, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(release)
{}

template <class T>
  POA_ex3_tie<T>::POA_ex3_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(release)
{}

template <class T>
  POA_ex3_tie<T>::~POA_ex3_tie()
{
  if( this->rel_ ) delete this->ptr_;
}

template <class T>
  T *POA_ex3_tie<T>::_tied_object()
{
  return this->ptr_;
}

template <class T>
  void POA_ex3_tie<T>::_tied_object(T &obj)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = &obj;
  this->rel_ = 0;
}

template <class T>
  void POA_ex3_tie<T>::_tied_object(T &obj, CORBA::Boolean release)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = obj;
  this->rel_ = release;
}

template <class T>
  CORBA::Boolean POA_ex3_tie<T>::_is_owner()
{
  return this->rel_;
}

template <class T>
  void POA_ex3_tie<T>::_is_owner(CORBA::Boolean b)
{
  this->rel_ = b;
}

template <class T>
  PortableServer::POA_ptr POA_ex3_tie<T>::_default_POA()
{
  if( !(CORBA::is_nil(this->poa_.in())) )
    return PortableServer::POA::_duplicate(this->poa_.in());
  else
  {
    TAO_POA *poa = TAO_ORB_Core_instance()->root_poa();
    PortableServer::POA_var result = poa->_this(env);
    if( env.exception() != 0 )
      return PortableServer::POA::_nil();
    else
      return result._retn();
  }
}

template <class T>
  POA_ex3_tie<T>::POA_ex3_tie(const POA_ex3_tie &c)
{}

template <class T>
  void POA_ex3_tie<T>::operator=(const POA_ex3_tie &c)
{}

template <class T>
  CORBA::Float POA_ex3_tie<T>::float_attribute(/* POA_ex3 *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->float_attribute (_ev);
}

template <class T>
  CORBA::Double POA_ex3_tie<T>::double_attribute(/* POA_ex3 *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->double_attribute (_ev);
}

template <class T>
  void POA_ex3_tie<T>::double_attribute(/* POA_ex3 *this, */ CORBA::Double double_attribute, CORBA::Environment &_ev)
{
  this->ptr_->double_attribute (double_attribute, _ev);
}

template <class T>
  CORBA::Long POA_ex3_tie<T>::long_attribute(/* POA_ex3 *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->long_attribute (_ev);
}

template <class T>
  CORBA::Short POA_ex3_tie<T>::short_attribute(/* POA_ex3 *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->short_attribute (_ev);
}

template <class T>
  void POA_ex3_tie<T>::short_attribute(/* POA_ex3 *this, */ CORBA::Short short_attribute, CORBA::Environment &_ev)
{
  this->ptr_->short_attribute (short_attribute, _ev);
}

template <class T>
  CORBA::ULong POA_ex3_tie<T>::unsigned_long_attribute(/* POA_ex3 *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->unsigned_long_attribute (_ev);
}

template <class T>
  void POA_ex3_tie<T>::op0(/* POA_ex3 *this, */ CORBA::Environment &_ev)
{
  this->ptr_->op0 (_ev);
}

template <class T>
  CORBA::Float POA_ex3_tie<T>::op1(/* POA_ex3 *this, */ CORBA::Float f, ::CORBA::Double &d, CORBA::Long &l, CORBA::Environment &_ev)
{
  return this->ptr_->op1 (f, d, l, _ev);
}

template <class T>
  CORBA::Double POA_ex3_tie<T>::op2(/* POA_ex3 *this, */ CORBA::Double d, ::CORBA::Long &l, CORBA::Short &s, CORBA::Environment &_ev)
{
  return this->ptr_->op2 (d, l, s, _ev);
}

template <class T>
  CORBA::Long POA_ex3_tie<T>::op3(/* POA_ex3 *this, */ CORBA::Long l, ::CORBA::Short &s, CORBA::ULong &ul, CORBA::Environment &_ev)
{
  return this->ptr_->op3 (l, s, ul, _ev);
}

template <class T>
  CORBA::Short POA_ex3_tie<T>::op4(/* POA_ex3 *this, */ CORBA::Short s, ::CORBA::ULong &ul, CORBA::UShort &us, CORBA::Environment &_ev)
{
  return this->ptr_->op4 (s, ul, us, _ev);
}

template <class T>
  CORBA::ULong POA_ex3_tie<T>::op5(/* POA_ex3 *this, */ CORBA::ULong &ul, CORBA::UShort us, ::CORBA::Char &c, CORBA::Boolean b, CORBA::Environment &_ev)
{
  return this->ptr_->op5 (ul, us, c, b, _ev);
}

template <class T>
  CORBA::UShort POA_ex3_tie<T>::op6(/* POA_ex3 *this, */ ::CORBA::UShort &us, CORBA::Char &c, CORBA::Environment &_ev)
{
  return this->ptr_->op6 (us, c, _ev);
}

_tao_collocated_ex3::_tao_collocated_ex3(POA_ex3_ptr servant, TAO_Stub *stub)
  : ex3(),
    CORBA_Object(stub, servant, 1),
    servant_ (servant)
{
}

POA_ex3_ptr _tao_collocated_ex3::_get_servant() const
{
  return this->servant_;
}

CORBA::Float _tao_collocated_ex3::float_attribute(CORBA::Environment &_ev)
{
  return this->servant_->float_attribute (_ev);
}

CORBA::Double _tao_collocated_ex3::double_attribute(CORBA::Environment &_ev)
{
  return this->servant_->double_attribute (_ev);
}

void _tao_collocated_ex3::double_attribute(CORBA::Double double_attribute, CORBA::Environment &_ev)
{
  this->servant_->double_attribute (double_attribute, _ev);
}

CORBA::Long _tao_collocated_ex3::long_attribute(CORBA::Environment &_ev)
{
  return this->servant_->long_attribute (_ev);
}

CORBA::Short _tao_collocated_ex3::short_attribute(CORBA::Environment &_ev)
{
  return this->servant_->short_attribute (_ev);
}

void _tao_collocated_ex3::short_attribute(CORBA::Short short_attribute, CORBA::Environment &_ev)
{
  this->servant_->short_attribute (short_attribute, _ev);
}

CORBA::ULong _tao_collocated_ex3::unsigned_long_attribute(CORBA::Environment &_ev)
{
  return this->servant_->unsigned_long_attribute (_ev);
}

void _tao_collocated_ex3::op0(CORBA::Environment &_ev)
{
  this->servant_->op0 (_ev);
}

CORBA::Float _tao_collocated_ex3::op1(CORBA::Float f, ::CORBA::Double &d, CORBA::Long &l, CORBA::Environment &_ev)
{
  return this->servant_->op1 (f, d, l, _ev);
}

CORBA::Double _tao_collocated_ex3::op2(CORBA::Double d, ::CORBA::Long &l, CORBA::Short &s, CORBA::Environment &_ev)
{
  return this->servant_->op2 (d, l, s, _ev);
}

CORBA::Long _tao_collocated_ex3::op3(CORBA::Long l, ::CORBA::Short &s, CORBA::ULong &ul, CORBA::Environment &_ev)
{
  return this->servant_->op3 (l, s, ul, _ev);
}

CORBA::Short _tao_collocated_ex3::op4(CORBA::Short s, ::CORBA::ULong &ul, CORBA::UShort &us, CORBA::Environment &_ev)
{
  return this->servant_->op4 (s, ul, us, _ev);
}

CORBA::ULong _tao_collocated_ex3::op5(CORBA::ULong &ul, CORBA::UShort us, ::CORBA::Char &c, CORBA::Boolean b, CORBA::Environment &_ev)
{
  return this->servant_->op5 (ul, us, c, b, _ev);
}

CORBA::UShort _tao_collocated_ex3::op6(::CORBA::UShort &us, CORBA::Char &c, CORBA::Environment &_ev)
{
  return this->servant_->op6 (us, c, _ev);
}

CORBA::Boolean _tao_collocated_ex3::_is_a(const char *type_id, CORBA::Environment &_ev)
{
  return this->servant_->_is_a (type_id, _ev);
}

POA_ex4::POA_ex4()
{}

POA_ex4::POA_ex4(const POA_ex4 &rhs)
  : TAO_ServantBase(rhs)
{}

POA_ex4::~POA_ex4()
{}

ex4 *POA_ex4::_this(CORBA::Environment &_env)
{
  TAO_Stub *stub = this->_create_stub(_env);
  TAO_CHECK_ENV_RETURN(_env, 0);
  return new _tao_collocated_ex4(this, stub);
}

CORBA::Boolean POA_ex4::_is_a(const CORBA::Char *type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)type_id, "IDL:ex1:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, "IDL:ex2:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, "IDL:ex3:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, "IDL:ex4:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return 0;
}

void *POA_ex4::_downcast(const char *logical_type_id)
{
  if(ACE_OS::strcmp(logical_type_id, "IDL:ex4:1.0") == 0)
    return ACE_static_cast(POA_ex4_ptr , this);
  
  if(ACE_OS::strcmp(logical_type_id, "IDL:ex1:1.0") == 0)
    return ACE_reinterpret_cast(POA_ex1_ptr , this);
  if(ACE_OS::strcmp(logical_type_id, "IDL:ex2:1.0") == 0)
    return ACE_reinterpret_cast(POA_ex2_ptr , this);
  if(ACE_OS::strcmp(logical_type_id, "IDL:ex3:1.0") == 0)
    return ACE_reinterpret_cast(POA_ex3_ptr , this); 
  if(ACE_OS::strcmp(logical_type_id, "IDL:omg.org/CORBA/Object:1.0") == 0)
    return ACE_static_cast(PortableServer::Servant, this);
  return 0;
}

const char *POA_ex4::_interface_repository_id() const
{
  return "IDL:ex4:1.0";
}

template <class T>
  POA_ex4_tie<T>::POA_ex4_tie(T &t)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(0)
{}

template <class T>
  POA_ex4_tie<T>::POA_ex4_tie(T &t, PortableServer::POA_ptr poa)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(0)
{}

template <class T>
  POA_ex4_tie<T>::POA_ex4_tie(T *t, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(release)
{}

template <class T>
  POA_ex4_tie<T>::POA_ex4_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(release)
{}

template <class T>
  POA_ex4_tie<T>::~POA_ex4_tie()
{
  if( this->rel_ ) delete this->ptr_;
}

template <class T>
  T *POA_ex4_tie<T>::_tied_object()
{
  return this->ptr_;
}

template <class T>
  void POA_ex4_tie<T>::_tied_object(T &obj)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = &obj;
  this->rel_ = 0;
}

template <class T>
  void POA_ex4_tie<T>::_tied_object(T &obj, CORBA::Boolean release)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = obj;
  this->rel_ = release;
}

template <class T>
  CORBA::Boolean POA_ex4_tie<T>::_is_owner()
{
  return this->rel_;
}

template <class T>
  void POA_ex4_tie<T>::_is_owner(CORBA::Boolean b)
{
  this->rel_ = b;
}

template <class T>
  PortableServer::POA_ptr POA_ex4_tie<T>::_default_POA()
{
  if( !(CORBA::is_nil(this->poa_.in())) )
    return PortableServer::POA::_duplicate(this->poa_.in());
  else
  {
    TAO_POA *poa = TAO_ORB_Core_instance()->root_poa();
    PortableServer::POA_var result = poa->_this(env);
    if( env.exception() != 0 )
      return PortableServer::POA::_nil();
    else
      return result._retn();
  }
}

template <class T>
  POA_ex4_tie<T>::POA_ex4_tie(const POA_ex4_tie &c)
{}

template <class T>
  void POA_ex4_tie<T>::operator=(const POA_ex4_tie &c)
{}

template <class T>
  CORBA::UShort POA_ex4_tie<T>::unsigned_short_attribute(/* POA_ex4 *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->unsigned_short_attribute (_ev);
}

template <class T>
  void POA_ex4_tie<T>::unsigned_short_attribute(/* POA_ex4 *this, */ CORBA::UShort unsigned_short_attribute, CORBA::Environment &_ev)
{
  this->ptr_->unsigned_short_attribute (unsigned_short_attribute, _ev);
}

template <class T>
  CORBA::Char POA_ex4_tie<T>::char_attribute(/* POA_ex4 *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->char_attribute (_ev);
}

template <class T>
  CORBA::Boolean POA_ex4_tie<T>::boolean_attribute(/* POA_ex4 *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->boolean_attribute (_ev);
}

template <class T>
  void POA_ex4_tie<T>::boolean_attribute(/* POA_ex4 *this, */ CORBA::Boolean boolean_attribute, CORBA::Environment &_ev)
{
  this->ptr_->boolean_attribute (boolean_attribute, _ev);
}

template <class T>
  CORBA::Octet POA_ex4_tie<T>::octet_attribute(/* POA_ex4 *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->octet_attribute (_ev);
}

template <class T>
  char *POA_ex4_tie<T>::string_attribute(/* POA_ex4 *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->string_attribute (_ev);
}

template <class T>
  void POA_ex4_tie<T>::string_attribute(/* POA_ex4 *this, */ const char *string_attribute, CORBA::Environment &_ev)
{
  this->ptr_->string_attribute (string_attribute, _ev);
}

template <class T>
  char *POA_ex4_tie<T>::limited_string_attribute(/* POA_ex4 *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->limited_string_attribute (_ev);
}

template <class T>
  CORBA::Char POA_ex4_tie<T>::op7(/* POA_ex4 *this, */ CORBA::Char c, ::CORBA::Boolean &b, CORBA::Octet &o, CORBA::Environment &_ev)
{
  return this->ptr_->op7 (c, b, o, _ev);
}

template <class T>
  CORBA::Boolean POA_ex4_tie<T>::op8(/* POA_ex4 *this, */ ::CORBA::Boolean &b, CORBA::Octet o, CORBA::Environment &_ev)
{
  return this->ptr_->op8 (b, o, _ev);
}

template <class T>
  CORBA::Octet POA_ex4_tie<T>::op9(/* POA_ex4 *this, */ CORBA::Octet &o, ::CORBA::String_out s, const char *ls, CORBA::Long &l, CORBA::Environment &_ev)
{
  return this->ptr_->op9 (o, s, ls, l, _ev);
}

template <class T>
  char *POA_ex4_tie<T>::op10(/* POA_ex4 *this, */ const char *s, ::CORBA::String_out ls, CORBA::Environment &_ev)
{
  return this->ptr_->op10 (s, ls, _ev);
}

template <class T>
  char *POA_ex4_tie<T>::op11(/* POA_ex4 *this, */ char *&ls, ::CORBA::Long &l, CORBA::Environment &_ev)
{
  return this->ptr_->op11 (ls, l, _ev);
}

template <class T>
  CORBA::Long POA_ex4_tie<T>::op12(/* POA_ex4 *this, */ CORBA::Long l, CORBA::Environment &_ev)
{
  return this->ptr_->op12 (l, _ev);
}

template <class T>
  void POA_ex4_tie<T>::op0(/* POA_ex4 *this, */ CORBA::Environment &_ev)
{
  this->ptr_->op0 (_ev);
}

template <class T>
  CORBA::Float POA_ex4_tie<T>::op1(/* POA_ex4 *this, */ CORBA::Float f, ::CORBA::Double &d, CORBA::Long &l, CORBA::Environment &_ev)
{
  return this->ptr_->op1 (f, d, l, _ev);
}

template <class T>
  CORBA::Double POA_ex4_tie<T>::op2(/* POA_ex4 *this, */ CORBA::Double d, ::CORBA::Long &l, CORBA::Short &s, CORBA::Environment &_ev)
{
  return this->ptr_->op2 (d, l, s, _ev);
}

template <class T>
  CORBA::Long POA_ex4_tie<T>::op3(/* POA_ex4 *this, */ CORBA::Long l, ::CORBA::Short &s, CORBA::ULong &ul, CORBA::Environment &_ev)
{
  return this->ptr_->op3 (l, s, ul, _ev);
}

template <class T>
  CORBA::Short POA_ex4_tie<T>::op4(/* POA_ex4 *this, */ CORBA::Short s, ::CORBA::ULong &ul, CORBA::UShort &us, CORBA::Environment &_ev)
{
  return this->ptr_->op4 (s, ul, us, _ev);
}

template <class T>
  CORBA::ULong POA_ex4_tie<T>::op5(/* POA_ex4 *this, */ CORBA::ULong &ul, CORBA::UShort us, ::CORBA::Char &c, CORBA::Boolean b, CORBA::Environment &_ev)
{
  return this->ptr_->op5 (ul, us, c, b, _ev);
}

template <class T>
  CORBA::UShort POA_ex4_tie<T>::op6(/* POA_ex4 *this, */ ::CORBA::UShort &us, CORBA::Char &c, CORBA::Environment &_ev)
{
  return this->ptr_->op6 (us, c, _ev);
}

template <class T>
  CORBA::Float POA_ex4_tie<T>::float_attribute(/* POA_ex4 *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->float_attribute (_ev);
}

template <class T>
  CORBA::Double POA_ex4_tie<T>::double_attribute(/* POA_ex4 *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->double_attribute (_ev);
}

template <class T>
  void POA_ex4_tie<T>::double_attribute(/* POA_ex4 *this, */ CORBA::Double double_attribute, CORBA::Environment &_ev)
{
  this->ptr_->double_attribute (double_attribute, _ev);
}

template <class T>
  CORBA::Long POA_ex4_tie<T>::long_attribute(/* POA_ex4 *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->long_attribute (_ev);
}

template <class T>
  CORBA::Short POA_ex4_tie<T>::short_attribute(/* POA_ex4 *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->short_attribute (_ev);
}

template <class T>
  void POA_ex4_tie<T>::short_attribute(/* POA_ex4 *this, */ CORBA::Short short_attribute, CORBA::Environment &_ev)
{
  this->ptr_->short_attribute (short_attribute, _ev);
}

template <class T>
  CORBA::ULong POA_ex4_tie<T>::unsigned_long_attribute(/* POA_ex4 *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->unsigned_long_attribute (_ev);
}

_tao_collocated_ex4::_tao_collocated_ex4(POA_ex4_ptr servant, TAO_Stub *stub)
  : ex4(),
    CORBA_Object(stub, servant, 1),
    servant_ (servant)
{
}

POA_ex4_ptr _tao_collocated_ex4::_get_servant() const
{
  return this->servant_;
}

CORBA::UShort _tao_collocated_ex4::unsigned_short_attribute(CORBA::Environment &_ev)
{
  return this->servant_->unsigned_short_attribute (_ev);
}

void _tao_collocated_ex4::unsigned_short_attribute(CORBA::UShort unsigned_short_attribute, CORBA::Environment &_ev)
{
  this->servant_->unsigned_short_attribute (unsigned_short_attribute, _ev);
}

CORBA::Char _tao_collocated_ex4::char_attribute(CORBA::Environment &_ev)
{
  return this->servant_->char_attribute (_ev);
}

CORBA::Boolean _tao_collocated_ex4::boolean_attribute(CORBA::Environment &_ev)
{
  return this->servant_->boolean_attribute (_ev);
}

void _tao_collocated_ex4::boolean_attribute(CORBA::Boolean boolean_attribute, CORBA::Environment &_ev)
{
  this->servant_->boolean_attribute (boolean_attribute, _ev);
}

CORBA::Octet _tao_collocated_ex4::octet_attribute(CORBA::Environment &_ev)
{
  return this->servant_->octet_attribute (_ev);
}

char *_tao_collocated_ex4::string_attribute(CORBA::Environment &_ev)
{
  return this->servant_->string_attribute (_ev);
}

void _tao_collocated_ex4::string_attribute(const char *string_attribute, CORBA::Environment &_ev)
{
  this->servant_->string_attribute (string_attribute, _ev);
}

char *_tao_collocated_ex4::limited_string_attribute(CORBA::Environment &_ev)
{
  return this->servant_->limited_string_attribute (_ev);
}

CORBA::Char _tao_collocated_ex4::op7(CORBA::Char c, ::CORBA::Boolean &b, CORBA::Octet &o, CORBA::Environment &_ev)
{
  return this->servant_->op7 (c, b, o, _ev);
}

CORBA::Boolean _tao_collocated_ex4::op8(::CORBA::Boolean &b, CORBA::Octet o, CORBA::Environment &_ev)
{
  return this->servant_->op8 (b, o, _ev);
}

CORBA::Octet _tao_collocated_ex4::op9(CORBA::Octet &o, ::CORBA::String_out s, const char *ls, CORBA::Long &l, CORBA::Environment &_ev)
{
  return this->servant_->op9 (o, s, ls, l, _ev);
}

char *_tao_collocated_ex4::op10(const char *s, ::CORBA::String_out ls, CORBA::Environment &_ev)
{
  return this->servant_->op10 (s, ls, _ev);
}

char *_tao_collocated_ex4::op11(char *&ls, ::CORBA::Long &l, CORBA::Environment &_ev)
{
  return this->servant_->op11 (ls, l, _ev);
}

CORBA::Long _tao_collocated_ex4::op12(CORBA::Long l, CORBA::Environment &_ev)
{
  return this->servant_->op12 (l, _ev);
}

void _tao_collocated_ex4::op0(CORBA::Environment &_ev)
{
  this->servant_->op0 (_ev);
}

CORBA::Float _tao_collocated_ex4::op1(CORBA::Float f, ::CORBA::Double &d, CORBA::Long &l, CORBA::Environment &_ev)
{
  return this->servant_->op1 (f, d, l, _ev);
}

CORBA::Double _tao_collocated_ex4::op2(CORBA::Double d, ::CORBA::Long &l, CORBA::Short &s, CORBA::Environment &_ev)
{
  return this->servant_->op2 (d, l, s, _ev);
}

CORBA::Long _tao_collocated_ex4::op3(CORBA::Long l, ::CORBA::Short &s, CORBA::ULong &ul, CORBA::Environment &_ev)
{
  return this->servant_->op3 (l, s, ul, _ev);
}

CORBA::Short _tao_collocated_ex4::op4(CORBA::Short s, ::CORBA::ULong &ul, CORBA::UShort &us, CORBA::Environment &_ev)
{
  return this->servant_->op4 (s, ul, us, _ev);
}

CORBA::ULong _tao_collocated_ex4::op5(CORBA::ULong &ul, CORBA::UShort us, ::CORBA::Char &c, CORBA::Boolean b, CORBA::Environment &_ev)
{
  return this->servant_->op5 (ul, us, c, b, _ev);
}

CORBA::UShort _tao_collocated_ex4::op6(::CORBA::UShort &us, CORBA::Char &c, CORBA::Environment &_ev)
{
  return this->servant_->op6 (us, c, _ev);
}

CORBA::Float _tao_collocated_ex4::float_attribute(CORBA::Environment &_ev)
{
  return this->servant_->float_attribute (_ev);
}

CORBA::Double _tao_collocated_ex4::double_attribute(CORBA::Environment &_ev)
{
  return this->servant_->double_attribute (_ev);
}

void _tao_collocated_ex4::double_attribute(CORBA::Double double_attribute, CORBA::Environment &_ev)
{
  this->servant_->double_attribute (double_attribute, _ev);
}

CORBA::Long _tao_collocated_ex4::long_attribute(CORBA::Environment &_ev)
{
  return this->servant_->long_attribute (_ev);
}

CORBA::Short _tao_collocated_ex4::short_attribute(CORBA::Environment &_ev)
{
  return this->servant_->short_attribute (_ev);
}

void _tao_collocated_ex4::short_attribute(CORBA::Short short_attribute, CORBA::Environment &_ev)
{
  this->servant_->short_attribute (short_attribute, _ev);
}

CORBA::ULong _tao_collocated_ex4::unsigned_long_attribute(CORBA::Environment &_ev)
{
  return this->servant_->unsigned_long_attribute (_ev);
}

CORBA::Boolean _tao_collocated_ex4::_is_a(const char *type_id, CORBA::Environment &_ev)
{
  return this->servant_->_is_a (type_id, _ev);
}

int flick_marshal_stub_ex1(flick_marshal_stream_t _stream, ex1_ptr *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdrxx_encode_IOR(iiopxx, *_data, 0, ex1 , _flick_abort0);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_ex1(flick_marshal_stream_t _stream, ex1_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdrxx_decode_IOR(iiopxx, *_data, 1, ex1 , _flick_abort1);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_ex1_swap(flick_marshal_stream_t _stream, ex1_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swapxx_decode_IOR(iiopxx, *_data, 1, ex1 , _flick_abort2);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

void POA_ex1::_dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env){
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_InputCDR &_in_cdr = _tao_req.incoming();
  TAO_OutputCDR &_out_cdr = _tao_req.outgoing();
  flick_iiopxx_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (_in_cdr.do_byte_swap()) {
  {
    unsigned int _t63_switch_tag;

    flick_iiopxx_decode_new_glob(16);
    flick_iiopxx_check_span(12, _flick_abort5);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t63_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t63_switch_tag)
      {
      case (unsigned int) 4:
        {
          unsigned int _t64_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t64_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t64_switch_tag)
            {
            case /* op0 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623296):
              {
                {
                  POA_ex1 *_local_this;
                  unsigned int _t65_principal_len;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort231);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t65_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_check_span(_t65_principal_len, _flick_abort231);
                  flick_iiopxx_decode_new_glob(_t65_principal_len);
                  flick_iiopxx_decode_new_chunk(_t65_principal_len);
                  flick_iiopxx_decode_end_chunk(_t65_principal_len);
                  flick_iiopxx_decode_end_glob(_t65_principal_len);
                  /* Begin decode phase on parameters */
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _local_this->op0(_ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t66_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t66_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort231);
                    flick_iiopxx_encode_new_glob(4, _flick_abort231);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t66_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t66_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_end_glob(4);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(4);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort237);
                          break;
                          {
                          _flick_abort237:
                            goto _flick_abort231;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort238);
                          flick_iiopxx_encode_end_glob(4);
                          break;
                          {
                          _flick_abort238:
                            goto _flick_abort231;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort231:
                    goto _flick_abort230;
                  }
                }
                break;
                {
                _flick_abort230:
                  goto _flick_abort5;
                }
              }
            case /* op1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623552):
              {
                {
                  POA_ex1 *_local_this;
                  unsigned int _t67_principal_len;
                  CORBA::Float _return;
                  CORBA::Float _local_f;
                  CORBA::Double _local_d;
                  CORBA::Long _local_l;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort240);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t67_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_check_span(_t67_principal_len, _flick_abort240);
                  flick_iiopxx_decode_new_glob(_t67_principal_len);
                  flick_iiopxx_decode_new_chunk(_t67_principal_len);
                  flick_iiopxx_decode_end_chunk(_t67_principal_len);
                  flick_iiopxx_decode_end_glob(_t67_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0.000000;
                  flick_iiopxx_decode_new_glob(11);
                  flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                  flick_iiopxx_check_span(8, _flick_abort240);
                  flick_cdr_swap_decode_float32(0, _local_f, CORBA::Float );
                  flick_cdr_swap_decode_signed32(4, _local_l, CORBA::Long );
                  flick_iiopxx_decode_end_chunk(8);
                  flick_iiopxx_decode_end_glob(11);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op1(_local_f, _local_d, _local_l, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t68_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t68_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort240);
                    flick_iiopxx_encode_new_glob(24, _flick_abort240);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t68_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t68_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_float32(0, _return, CORBA::Float );
                          flick_iiopxx_encode_end_chunk(4);
                          flick_iiopxx_encode_new_chunk_align(12, 3, 2, 0);
                          flick_cdr_encode_float64(0, _local_d, CORBA::Double );
                          flick_cdr_encode_signed32(8, _local_l, CORBA::Long );
                          flick_iiopxx_encode_end_chunk(12);
                          flick_iiopxx_encode_end_glob(24);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(24);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort246);
                          break;
                          {
                          _flick_abort246:
                            goto _flick_abort240;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort247);
                          flick_iiopxx_encode_end_glob(24);
                          break;
                          {
                          _flick_abort247:
                            goto _flick_abort240;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort240:
                    goto _flick_abort239;
                  }
                }
                break;
                {
                _flick_abort239:
                  goto _flick_abort5;
                }
              }
            case /* op2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623808):
              {
                {
                  POA_ex1 *_local_this;
                  unsigned int _t69_principal_len;
                  CORBA::Double _return;
                  CORBA::Double _local_d;
                  CORBA::Long _local_l;
                  CORBA::Short _local_s;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort249);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t69_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_check_span(_t69_principal_len, _flick_abort249);
                  flick_iiopxx_decode_new_glob(_t69_principal_len);
                  flick_iiopxx_decode_new_chunk(_t69_principal_len);
                  flick_iiopxx_decode_end_chunk(_t69_principal_len);
                  flick_iiopxx_decode_end_glob(_t69_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0.000000;
                  flick_iiopxx_decode_new_glob(17);
                  flick_iiopxx_decode_new_chunk_align(10, 3, 0, 0);
                  flick_iiopxx_check_span(10, _flick_abort249);
                  flick_cdr_swap_decode_float64(0, _local_d, CORBA::Double );
                  flick_cdr_swap_decode_signed16(8, _local_s, CORBA::Short );
                  flick_iiopxx_decode_end_chunk(10);
                  flick_iiopxx_decode_end_glob(17);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op2(_local_d, _local_l, _local_s, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t70_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t70_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort249);
                    flick_iiopxx_encode_new_glob(22, _flick_abort249);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t70_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t70_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk_align(14, 3, 2, 0);
                          flick_cdr_encode_float64(0, _return, CORBA::Double );
                          flick_cdr_encode_signed32(8, _local_l, CORBA::Long );
                          flick_cdr_encode_signed16(12, _local_s, CORBA::Short );
                          flick_iiopxx_encode_end_chunk(14);
                          flick_iiopxx_encode_end_glob(22);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(22);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort255);
                          break;
                          {
                          _flick_abort255:
                            goto _flick_abort249;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort256);
                          flick_iiopxx_encode_end_glob(22);
                          break;
                          {
                          _flick_abort256:
                            goto _flick_abort249;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort249:
                    goto _flick_abort248;
                  }
                }
                break;
                {
                _flick_abort248:
                  goto _flick_abort5;
                }
              }
            case /* op3 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624064):
              {
                {
                  POA_ex1 *_local_this;
                  unsigned int _t71_principal_len;
                  CORBA::Long _return;
                  CORBA::Long _local_l;
                  CORBA::Short _local_s;
                  CORBA::ULong _local_ul;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort258);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t71_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_check_span(_t71_principal_len, _flick_abort258);
                  flick_iiopxx_decode_new_glob(_t71_principal_len);
                  flick_iiopxx_decode_new_chunk(_t71_principal_len);
                  flick_iiopxx_decode_end_chunk(_t71_principal_len);
                  flick_iiopxx_decode_end_glob(_t71_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(11);
                  flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                  flick_iiopxx_check_span(8, _flick_abort258);
                  flick_cdr_swap_decode_signed32(0, _local_l, CORBA::Long );
                  flick_cdr_swap_decode_unsigned32(4, _local_ul, CORBA::ULong );
                  flick_iiopxx_decode_end_chunk(8);
                  flick_iiopxx_decode_end_glob(11);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op3(_local_l, _local_s, _local_ul, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t72_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t72_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort258);
                    flick_iiopxx_encode_new_glob(16, _flick_abort258);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t72_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t72_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(12);
                          flick_cdr_encode_signed32(0, _return, CORBA::Long );
                          flick_cdr_encode_signed16(4, _local_s, CORBA::Short );
                          flick_cdr_encode_unsigned32(8, _local_ul, CORBA::ULong );
                          flick_iiopxx_encode_end_chunk(12);
                          flick_iiopxx_encode_end_glob(16);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(16);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort264);
                          break;
                          {
                          _flick_abort264:
                            goto _flick_abort258;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort265);
                          flick_iiopxx_encode_end_glob(16);
                          break;
                          {
                          _flick_abort265:
                            goto _flick_abort258;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort258:
                    goto _flick_abort257;
                  }
                }
                break;
                {
                _flick_abort257:
                  goto _flick_abort5;
                }
              }
            case /* op4 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624320):
              {
                {
                  POA_ex1 *_local_this;
                  unsigned int _t73_principal_len;
                  CORBA::Short _return;
                  CORBA::Short _local_s;
                  CORBA::ULong _local_ul;
                  CORBA::UShort _local_us;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort267);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t73_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_check_span(_t73_principal_len, _flick_abort267);
                  flick_iiopxx_decode_new_glob(_t73_principal_len);
                  flick_iiopxx_decode_new_chunk(_t73_principal_len);
                  flick_iiopxx_decode_end_chunk(_t73_principal_len);
                  flick_iiopxx_decode_end_glob(_t73_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(5);
                  flick_iiopxx_decode_new_chunk_align(4, 1, 0, 0);
                  flick_iiopxx_check_span(4, _flick_abort267);
                  flick_cdr_swap_decode_signed16(0, _local_s, CORBA::Short );
                  flick_cdr_swap_decode_unsigned16(2, _local_us, CORBA::UShort );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(5);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op4(_local_s, _local_ul, _local_us, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t74_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t74_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort267);
                    flick_iiopxx_encode_new_glob(14, _flick_abort267);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t74_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t74_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(10);
                          flick_cdr_encode_signed16(0, _return, CORBA::Short );
                          flick_cdr_encode_unsigned32(4, _local_ul, CORBA::ULong );
                          flick_cdr_encode_unsigned16(8, _local_us, CORBA::UShort );
                          flick_iiopxx_encode_end_chunk(10);
                          flick_iiopxx_encode_end_glob(14);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(14);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort273);
                          break;
                          {
                          _flick_abort273:
                            goto _flick_abort267;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort274);
                          flick_iiopxx_encode_end_glob(14);
                          break;
                          {
                          _flick_abort274:
                            goto _flick_abort267;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort267:
                    goto _flick_abort266;
                  }
                }
                break;
                {
                _flick_abort266:
                  goto _flick_abort5;
                }
              }
            case /* op5 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624576):
              {
                {
                  POA_ex1 *_local_this;
                  unsigned int _t75_principal_len;
                  CORBA::ULong _return;
                  CORBA::ULong _local_ul;
                  CORBA::UShort _local_us;
                  CORBA::Char _local_c;
                  CORBA::Boolean _local_b;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort276);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t75_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_check_span(_t75_principal_len, _flick_abort276);
                  flick_iiopxx_decode_new_glob(_t75_principal_len);
                  flick_iiopxx_decode_new_chunk(_t75_principal_len);
                  flick_iiopxx_decode_end_chunk(_t75_principal_len);
                  flick_iiopxx_decode_end_glob(_t75_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(10);
                  flick_iiopxx_decode_new_chunk_align(7, 2, 0, 0);
                  flick_iiopxx_check_span(7, _flick_abort276);
                  flick_cdr_swap_decode_unsigned32(0, _local_ul, CORBA::ULong );
                  flick_cdr_swap_decode_unsigned16(4, _local_us, CORBA::UShort );
                  flick_cdr_swap_decode_unsigned8(6, _local_b, CORBA::Boolean );
                  flick_iiopxx_decode_end_chunk(7);
                  flick_iiopxx_decode_end_glob(10);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op5(_local_ul, _local_us, _local_c, _local_b, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t76_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t76_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort276);
                    flick_iiopxx_encode_new_glob(13, _flick_abort276);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t76_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t76_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(9);
                          flick_cdr_encode_unsigned32(0, _return, CORBA::ULong );
                          flick_cdr_encode_unsigned32(4, _local_ul, CORBA::ULong );
                          flick_cdr_encode_char8(8, _local_c, CORBA::Char );
                          flick_iiopxx_encode_end_chunk(9);
                          flick_iiopxx_encode_end_glob(13);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(13);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort282);
                          break;
                          {
                          _flick_abort282:
                            goto _flick_abort276;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort283);
                          flick_iiopxx_encode_end_glob(13);
                          break;
                          {
                          _flick_abort283:
                            goto _flick_abort276;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort276:
                    goto _flick_abort275;
                  }
                }
                break;
                {
                _flick_abort275:
                  goto _flick_abort5;
                }
              }
            case /* op6 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624832):
              {
                {
                  POA_ex1 *_local_this;
                  unsigned int _t77_principal_len;
                  CORBA::UShort _return;
                  CORBA::UShort _local_us;
                  CORBA::Char _local_c;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort285);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t77_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_check_span(_t77_principal_len + 1, _flick_abort285);
                  flick_iiopxx_decode_new_glob(_t77_principal_len);
                  flick_iiopxx_decode_new_chunk(_t77_principal_len);
                  flick_iiopxx_decode_end_chunk(_t77_principal_len);
                  flick_iiopxx_decode_end_glob(_t77_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(1);
                  flick_iiopxx_decode_new_chunk(1);
                  flick_cdr_swap_decode_char8(0, _local_c, CORBA::Char );
                  flick_iiopxx_decode_end_chunk(1);
                  flick_iiopxx_decode_end_glob(1);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op6(_local_us, _local_c, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t78_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t78_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort285);
                    flick_iiopxx_encode_new_glob(9, _flick_abort285);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t78_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t78_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(5);
                          flick_cdr_encode_unsigned16(0, _return, CORBA::UShort );
                          flick_cdr_encode_unsigned16(2, _local_us, CORBA::UShort );
                          flick_cdr_encode_char8(4, _local_c, CORBA::Char );
                          flick_iiopxx_encode_end_chunk(5);
                          flick_iiopxx_encode_end_glob(9);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(9);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort291);
                          break;
                          {
                          _flick_abort291:
                            goto _flick_abort285;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort292);
                          flick_iiopxx_encode_end_glob(9);
                          break;
                          {
                          _flick_abort292:
                            goto _flick_abort285;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort285:
                    goto _flick_abort284;
                  }
                }
                break;
                {
                _flick_abort284:
                  goto _flick_abort5;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t79_switch_tag;

          flick_iiopxx_check_span(12, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t79_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t79_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t80_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t80_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t80_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_ex1 *_local_this;
                        unsigned int _t81_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t82_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort294);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t81_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_check_span(_t81_principal_len, _flick_abort294);
                        flick_iiopxx_decode_new_glob(_t81_principal_len);
                        flick_iiopxx_decode_new_chunk(_t81_principal_len);
                        flick_iiopxx_decode_end_chunk(_t81_principal_len);
                        flick_iiopxx_decode_end_glob(_t81_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort294);
                        flick_cdr_swap_decode_unsigned32(0, _t82_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t82_temp_string_len);
                        flick_iiopxx_check_span(1 * _t82_temp_string_len, _flick_abort294);
                        flick_iiopxx_decode_new_chunk(1 * _t82_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_type_id, CORBA::Char *);
                        flick_iiopxx_decode_end_chunk(1 * _t82_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t82_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t83_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t83_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort294);
                          flick_iiopxx_encode_new_glob(5, _flick_abort294);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t83_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t83_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort302);
                                break;
                                {
                                _flick_abort302:
                                  goto _flick_abort294;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort303);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort303:
                                  goto _flick_abort294;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort294:
                          goto _flick_abort293;
                        }
                      }
                      break;
                      {
                      _flick_abort293:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
          flick_iiopxx_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t21_switch_tag;

    flick_iiopxx_decode_new_glob(16);
    flick_iiopxx_check_span(12, _flick_abort5);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t21_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t21_switch_tag)
      {
      case (unsigned int) 4:
        {
          unsigned int _t22_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t22_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t22_switch_tag)
            {
            case /* op0 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623296):
              {
                {
                  POA_ex1 *_local_this;
                  unsigned int _t23_principal_len;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort82);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t23_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_check_span(_t23_principal_len, _flick_abort82);
                  flick_iiopxx_decode_new_glob(_t23_principal_len);
                  flick_iiopxx_decode_new_chunk(_t23_principal_len);
                  flick_iiopxx_decode_end_chunk(_t23_principal_len);
                  flick_iiopxx_decode_end_glob(_t23_principal_len);
                  /* Begin decode phase on parameters */
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _local_this->op0(_ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t24_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t24_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort82);
                    flick_iiopxx_encode_new_glob(4, _flick_abort82);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t24_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t24_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_end_glob(4);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(4);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort88);
                          break;
                          {
                          _flick_abort88:
                            goto _flick_abort82;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort89);
                          flick_iiopxx_encode_end_glob(4);
                          break;
                          {
                          _flick_abort89:
                            goto _flick_abort82;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort82:
                    goto _flick_abort81;
                  }
                }
                break;
                {
                _flick_abort81:
                  goto _flick_abort5;
                }
              }
            case /* op1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623552):
              {
                {
                  POA_ex1 *_local_this;
                  unsigned int _t25_principal_len;
                  CORBA::Float _return;
                  CORBA::Float _local_f;
                  CORBA::Double _local_d;
                  CORBA::Long _local_l;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort91);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t25_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_check_span(_t25_principal_len, _flick_abort91);
                  flick_iiopxx_decode_new_glob(_t25_principal_len);
                  flick_iiopxx_decode_new_chunk(_t25_principal_len);
                  flick_iiopxx_decode_end_chunk(_t25_principal_len);
                  flick_iiopxx_decode_end_glob(_t25_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0.000000;
                  flick_iiopxx_decode_new_glob(11);
                  flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                  flick_iiopxx_check_span(8, _flick_abort91);
                  flick_cdr_decode_float32(0, _local_f, CORBA::Float );
                  flick_cdr_decode_signed32(4, _local_l, CORBA::Long );
                  flick_iiopxx_decode_end_chunk(8);
                  flick_iiopxx_decode_end_glob(11);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op1(_local_f, _local_d, _local_l, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t26_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t26_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort91);
                    flick_iiopxx_encode_new_glob(24, _flick_abort91);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t26_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t26_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_float32(0, _return, CORBA::Float );
                          flick_iiopxx_encode_end_chunk(4);
                          flick_iiopxx_encode_new_chunk_align(12, 3, 2, 0);
                          flick_cdr_encode_float64(0, _local_d, CORBA::Double );
                          flick_cdr_encode_signed32(8, _local_l, CORBA::Long );
                          flick_iiopxx_encode_end_chunk(12);
                          flick_iiopxx_encode_end_glob(24);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(24);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort97);
                          break;
                          {
                          _flick_abort97:
                            goto _flick_abort91;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort98);
                          flick_iiopxx_encode_end_glob(24);
                          break;
                          {
                          _flick_abort98:
                            goto _flick_abort91;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort91:
                    goto _flick_abort90;
                  }
                }
                break;
                {
                _flick_abort90:
                  goto _flick_abort5;
                }
              }
            case /* op2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623808):
              {
                {
                  POA_ex1 *_local_this;
                  unsigned int _t27_principal_len;
                  CORBA::Double _return;
                  CORBA::Double _local_d;
                  CORBA::Long _local_l;
                  CORBA::Short _local_s;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort100);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t27_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_check_span(_t27_principal_len, _flick_abort100);
                  flick_iiopxx_decode_new_glob(_t27_principal_len);
                  flick_iiopxx_decode_new_chunk(_t27_principal_len);
                  flick_iiopxx_decode_end_chunk(_t27_principal_len);
                  flick_iiopxx_decode_end_glob(_t27_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0.000000;
                  flick_iiopxx_decode_new_glob(17);
                  flick_iiopxx_decode_new_chunk_align(10, 3, 0, 0);
                  flick_iiopxx_check_span(10, _flick_abort100);
                  flick_cdr_decode_float64(0, _local_d, CORBA::Double );
                  flick_cdr_decode_signed16(8, _local_s, CORBA::Short );
                  flick_iiopxx_decode_end_chunk(10);
                  flick_iiopxx_decode_end_glob(17);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op2(_local_d, _local_l, _local_s, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t28_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t28_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort100);
                    flick_iiopxx_encode_new_glob(22, _flick_abort100);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t28_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t28_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk_align(14, 3, 2, 0);
                          flick_cdr_encode_float64(0, _return, CORBA::Double );
                          flick_cdr_encode_signed32(8, _local_l, CORBA::Long );
                          flick_cdr_encode_signed16(12, _local_s, CORBA::Short );
                          flick_iiopxx_encode_end_chunk(14);
                          flick_iiopxx_encode_end_glob(22);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(22);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort106);
                          break;
                          {
                          _flick_abort106:
                            goto _flick_abort100;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort107);
                          flick_iiopxx_encode_end_glob(22);
                          break;
                          {
                          _flick_abort107:
                            goto _flick_abort100;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort100:
                    goto _flick_abort99;
                  }
                }
                break;
                {
                _flick_abort99:
                  goto _flick_abort5;
                }
              }
            case /* op3 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624064):
              {
                {
                  POA_ex1 *_local_this;
                  unsigned int _t29_principal_len;
                  CORBA::Long _return;
                  CORBA::Long _local_l;
                  CORBA::Short _local_s;
                  CORBA::ULong _local_ul;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort109);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t29_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_check_span(_t29_principal_len, _flick_abort109);
                  flick_iiopxx_decode_new_glob(_t29_principal_len);
                  flick_iiopxx_decode_new_chunk(_t29_principal_len);
                  flick_iiopxx_decode_end_chunk(_t29_principal_len);
                  flick_iiopxx_decode_end_glob(_t29_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(11);
                  flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                  flick_iiopxx_check_span(8, _flick_abort109);
                  flick_cdr_decode_signed32(0, _local_l, CORBA::Long );
                  flick_cdr_decode_unsigned32(4, _local_ul, CORBA::ULong );
                  flick_iiopxx_decode_end_chunk(8);
                  flick_iiopxx_decode_end_glob(11);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op3(_local_l, _local_s, _local_ul, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t30_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t30_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort109);
                    flick_iiopxx_encode_new_glob(16, _flick_abort109);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t30_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t30_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(12);
                          flick_cdr_encode_signed32(0, _return, CORBA::Long );
                          flick_cdr_encode_signed16(4, _local_s, CORBA::Short );
                          flick_cdr_encode_unsigned32(8, _local_ul, CORBA::ULong );
                          flick_iiopxx_encode_end_chunk(12);
                          flick_iiopxx_encode_end_glob(16);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(16);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort115);
                          break;
                          {
                          _flick_abort115:
                            goto _flick_abort109;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort116);
                          flick_iiopxx_encode_end_glob(16);
                          break;
                          {
                          _flick_abort116:
                            goto _flick_abort109;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort109:
                    goto _flick_abort108;
                  }
                }
                break;
                {
                _flick_abort108:
                  goto _flick_abort5;
                }
              }
            case /* op4 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624320):
              {
                {
                  POA_ex1 *_local_this;
                  unsigned int _t31_principal_len;
                  CORBA::Short _return;
                  CORBA::Short _local_s;
                  CORBA::ULong _local_ul;
                  CORBA::UShort _local_us;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort118);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t31_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_check_span(_t31_principal_len, _flick_abort118);
                  flick_iiopxx_decode_new_glob(_t31_principal_len);
                  flick_iiopxx_decode_new_chunk(_t31_principal_len);
                  flick_iiopxx_decode_end_chunk(_t31_principal_len);
                  flick_iiopxx_decode_end_glob(_t31_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(5);
                  flick_iiopxx_decode_new_chunk_align(4, 1, 0, 0);
                  flick_iiopxx_check_span(4, _flick_abort118);
                  flick_cdr_decode_signed16(0, _local_s, CORBA::Short );
                  flick_cdr_decode_unsigned16(2, _local_us, CORBA::UShort );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(5);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op4(_local_s, _local_ul, _local_us, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t32_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t32_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort118);
                    flick_iiopxx_encode_new_glob(14, _flick_abort118);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t32_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t32_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(10);
                          flick_cdr_encode_signed16(0, _return, CORBA::Short );
                          flick_cdr_encode_unsigned32(4, _local_ul, CORBA::ULong );
                          flick_cdr_encode_unsigned16(8, _local_us, CORBA::UShort );
                          flick_iiopxx_encode_end_chunk(10);
                          flick_iiopxx_encode_end_glob(14);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(14);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort124);
                          break;
                          {
                          _flick_abort124:
                            goto _flick_abort118;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort125);
                          flick_iiopxx_encode_end_glob(14);
                          break;
                          {
                          _flick_abort125:
                            goto _flick_abort118;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort118:
                    goto _flick_abort117;
                  }
                }
                break;
                {
                _flick_abort117:
                  goto _flick_abort5;
                }
              }
            case /* op5 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624576):
              {
                {
                  POA_ex1 *_local_this;
                  unsigned int _t33_principal_len;
                  CORBA::ULong _return;
                  CORBA::ULong _local_ul;
                  CORBA::UShort _local_us;
                  CORBA::Char _local_c;
                  CORBA::Boolean _local_b;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort127);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t33_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_check_span(_t33_principal_len, _flick_abort127);
                  flick_iiopxx_decode_new_glob(_t33_principal_len);
                  flick_iiopxx_decode_new_chunk(_t33_principal_len);
                  flick_iiopxx_decode_end_chunk(_t33_principal_len);
                  flick_iiopxx_decode_end_glob(_t33_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(10);
                  flick_iiopxx_decode_new_chunk_align(7, 2, 0, 0);
                  flick_iiopxx_check_span(7, _flick_abort127);
                  flick_cdr_decode_unsigned32(0, _local_ul, CORBA::ULong );
                  flick_cdr_decode_unsigned16(4, _local_us, CORBA::UShort );
                  flick_cdr_decode_unsigned8(6, _local_b, CORBA::Boolean );
                  flick_iiopxx_decode_end_chunk(7);
                  flick_iiopxx_decode_end_glob(10);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op5(_local_ul, _local_us, _local_c, _local_b, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t34_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t34_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort127);
                    flick_iiopxx_encode_new_glob(13, _flick_abort127);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t34_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t34_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(9);
                          flick_cdr_encode_unsigned32(0, _return, CORBA::ULong );
                          flick_cdr_encode_unsigned32(4, _local_ul, CORBA::ULong );
                          flick_cdr_encode_char8(8, _local_c, CORBA::Char );
                          flick_iiopxx_encode_end_chunk(9);
                          flick_iiopxx_encode_end_glob(13);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(13);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort133);
                          break;
                          {
                          _flick_abort133:
                            goto _flick_abort127;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort134);
                          flick_iiopxx_encode_end_glob(13);
                          break;
                          {
                          _flick_abort134:
                            goto _flick_abort127;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort127:
                    goto _flick_abort126;
                  }
                }
                break;
                {
                _flick_abort126:
                  goto _flick_abort5;
                }
              }
            case /* op6 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624832):
              {
                {
                  POA_ex1 *_local_this;
                  unsigned int _t35_principal_len;
                  CORBA::UShort _return;
                  CORBA::UShort _local_us;
                  CORBA::Char _local_c;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort136);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t35_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_check_span(_t35_principal_len + 1, _flick_abort136);
                  flick_iiopxx_decode_new_glob(_t35_principal_len);
                  flick_iiopxx_decode_new_chunk(_t35_principal_len);
                  flick_iiopxx_decode_end_chunk(_t35_principal_len);
                  flick_iiopxx_decode_end_glob(_t35_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(1);
                  flick_iiopxx_decode_new_chunk(1);
                  flick_cdr_decode_char8(0, _local_c, CORBA::Char );
                  flick_iiopxx_decode_end_chunk(1);
                  flick_iiopxx_decode_end_glob(1);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op6(_local_us, _local_c, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t36_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t36_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort136);
                    flick_iiopxx_encode_new_glob(9, _flick_abort136);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t36_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t36_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(5);
                          flick_cdr_encode_unsigned16(0, _return, CORBA::UShort );
                          flick_cdr_encode_unsigned16(2, _local_us, CORBA::UShort );
                          flick_cdr_encode_char8(4, _local_c, CORBA::Char );
                          flick_iiopxx_encode_end_chunk(5);
                          flick_iiopxx_encode_end_glob(9);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(9);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort142);
                          break;
                          {
                          _flick_abort142:
                            goto _flick_abort136;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort143);
                          flick_iiopxx_encode_end_glob(9);
                          break;
                          {
                          _flick_abort143:
                            goto _flick_abort136;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort136:
                    goto _flick_abort135;
                  }
                }
                break;
                {
                _flick_abort135:
                  goto _flick_abort5;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t37_switch_tag;

          flick_iiopxx_check_span(12, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t37_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t37_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t38_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t38_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t38_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_ex1 *_local_this;
                        unsigned int _t39_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t40_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort145);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t39_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_check_span(_t39_principal_len, _flick_abort145);
                        flick_iiopxx_decode_new_glob(_t39_principal_len);
                        flick_iiopxx_decode_new_chunk(_t39_principal_len);
                        flick_iiopxx_decode_end_chunk(_t39_principal_len);
                        flick_iiopxx_decode_end_glob(_t39_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort145);
                        flick_cdr_decode_unsigned32(0, _t40_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t40_temp_string_len);
                        flick_iiopxx_check_span(1 * _t40_temp_string_len, _flick_abort145);
                        flick_iiopxx_decode_new_chunk(1 * _t40_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_type_id, CORBA::Char *);
                        flick_iiopxx_decode_end_chunk(1 * _t40_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t40_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t41_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t41_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort145);
                          flick_iiopxx_encode_new_glob(5, _flick_abort145);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t41_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t41_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort153);
                                break;
                                {
                                _flick_abort153:
                                  goto _flick_abort145;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort154);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort154:
                                  goto _flick_abort145;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort145:
                          goto _flick_abort144;
                        }
                      }
                      break;
                      {
                      _flick_abort144:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
          flick_iiopxx_decode_end_glob(16);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return;
  {
  _flick_abort5:
    flick_corbaxx_server_error(cdr, iiopxx, _flick_reaper, _flick_abort4);
  _flick_abort4:
    return ;
  }
_flick_reaper:
  return ;
}

int flick_marshal_stub_ex2(flick_marshal_stream_t _stream, ex2_ptr *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdrxx_encode_IOR(iiopxx, *_data, 0, ex2 , _flick_abort304);
  return 0;
  {
  _flick_abort304:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_ex2(flick_marshal_stream_t _stream, ex2_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdrxx_decode_IOR(iiopxx, *_data, 1, ex2 , _flick_abort305);
  return 0;
  {
  _flick_abort305:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_ex2_swap(flick_marshal_stream_t _stream, ex2_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swapxx_decode_IOR(iiopxx, *_data, 1, ex2 , _flick_abort306);
  return 0;
  {
  _flick_abort306:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

void POA_ex2::_dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env){
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_InputCDR &_in_cdr = _tao_req.incoming();
  TAO_OutputCDR &_out_cdr = _tao_req.outgoing();
  flick_iiopxx_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (_in_cdr.do_byte_swap()) {
  {
    unsigned int _t234_switch_tag;

    flick_iiopxx_decode_new_glob(16);
    flick_iiopxx_check_span(12, _flick_abort309);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t234_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t234_switch_tag)
      {
      case (unsigned int) 4:
        {
          unsigned int _t235_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t235_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t235_switch_tag)
            {
            case /* op7 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869625088):
              {
                {
                  POA_ex2 *_local_this;
                  unsigned int _t236_principal_len;
                  CORBA::Char _return;
                  CORBA::Char _local_c;
                  CORBA::Boolean _local_b;
                  CORBA::Octet _local_o;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort778);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t236_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_check_span(_t236_principal_len + 2, _flick_abort778);
                  flick_iiopxx_decode_new_glob(_t236_principal_len);
                  flick_iiopxx_decode_new_chunk(_t236_principal_len);
                  flick_iiopxx_decode_end_chunk(_t236_principal_len);
                  flick_iiopxx_decode_end_glob(_t236_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(2);
                  flick_iiopxx_decode_new_chunk(2);
                  flick_cdr_swap_decode_char8(0, _local_c, CORBA::Char );
                  flick_cdr_swap_decode_unsigned8(1, _local_o, CORBA::Octet );
                  flick_iiopxx_decode_end_chunk(2);
                  flick_iiopxx_decode_end_glob(2);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op7(_local_c, _local_b, _local_o, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t237_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t237_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort778);
                    flick_iiopxx_encode_new_glob(7, _flick_abort778);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t237_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t237_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(3);
                          flick_cdr_encode_char8(0, _return, CORBA::Char );
                          flick_cdr_encode_unsigned8(1, _local_b, CORBA::Boolean );
                          flick_cdr_encode_unsigned8(2, _local_o, CORBA::Octet );
                          flick_iiopxx_encode_end_chunk(3);
                          flick_iiopxx_encode_end_glob(7);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(7);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort784);
                          break;
                          {
                          _flick_abort784:
                            goto _flick_abort778;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort785);
                          flick_iiopxx_encode_end_glob(7);
                          break;
                          {
                          _flick_abort785:
                            goto _flick_abort778;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort778:
                    goto _flick_abort777;
                  }
                }
                break;
                {
                _flick_abort777:
                  goto _flick_abort309;
                }
              }
            case /* op8 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869625344):
              {
                {
                  POA_ex2 *_local_this;
                  unsigned int _t238_principal_len;
                  CORBA::Boolean _return;
                  CORBA::Boolean _local_b;
                  CORBA::Octet _local_o;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort787);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t238_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_check_span(_t238_principal_len + 1, _flick_abort787);
                  flick_iiopxx_decode_new_glob(_t238_principal_len);
                  flick_iiopxx_decode_new_chunk(_t238_principal_len);
                  flick_iiopxx_decode_end_chunk(_t238_principal_len);
                  flick_iiopxx_decode_end_glob(_t238_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(1);
                  flick_iiopxx_decode_new_chunk(1);
                  flick_cdr_swap_decode_unsigned8(0, _local_o, CORBA::Octet );
                  flick_iiopxx_decode_end_chunk(1);
                  flick_iiopxx_decode_end_glob(1);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op8(_local_b, _local_o, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t239_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t239_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort787);
                    flick_iiopxx_encode_new_glob(6, _flick_abort787);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t239_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t239_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(2);
                          flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                          flick_cdr_encode_unsigned8(1, _local_b, CORBA::Boolean );
                          flick_iiopxx_encode_end_chunk(2);
                          flick_iiopxx_encode_end_glob(6);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(6);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort793);
                          break;
                          {
                          _flick_abort793:
                            goto _flick_abort787;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort794);
                          flick_iiopxx_encode_end_glob(6);
                          break;
                          {
                          _flick_abort794:
                            goto _flick_abort787;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort787:
                    goto _flick_abort786;
                  }
                }
                break;
                {
                _flick_abort786:
                  goto _flick_abort309;
                }
              }
            case /* op9 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869625600):
              {
                {
                  POA_ex2 *_local_this;
                  unsigned int _t240_principal_len;
                  CORBA::Octet _return;
                  CORBA::Octet _local_o;
                  char *_local_s;
                  char *_local_ls;
                  flick_unsigned32_t _t241_temp_string_len;
                  CORBA::Long _local_l;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort796);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t240_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_check_span(_t240_principal_len + 1, _flick_abort796);
                  flick_iiopxx_decode_new_glob(_t240_principal_len);
                  flick_iiopxx_decode_new_chunk(_t240_principal_len);
                  flick_iiopxx_decode_end_chunk(_t240_principal_len);
                  flick_iiopxx_decode_end_glob(_t240_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(26);
                  flick_iiopxx_decode_new_chunk(1);
                  flick_cdr_swap_decode_unsigned8(0, _local_o, CORBA::Octet );
                  flick_iiopxx_decode_end_chunk(1);
                  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                  flick_iiopxx_check_span(4, _flick_abort796);
                  flick_cdr_swap_decode_unsigned32(0, _t241_temp_string_len, flick_unsigned32_t );
                  if (_t241_temp_string_len > 11)
                    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort796);
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_check_span(1 * _t241_temp_string_len, _flick_abort796);
                  flick_iiopxx_decode_new_chunk(1 * _t241_temp_string_len);
                  flick_cdr_swap_decode_msgptr(0, _local_ls, CORBA::Char *);
                  flick_iiopxx_decode_end_chunk(1 * _t241_temp_string_len);
                  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                  flick_iiopxx_check_span(4, _flick_abort796);
                  flick_cdr_swap_decode_signed32(0, _local_l, CORBA::Long );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(26);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op9(_local_o, _local_s, _local_ls, _local_l, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t242_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t242_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort796);
                    flick_iiopxx_encode_new_glob(12, _flick_abort796);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t242_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t242_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          flick_unsigned32_t _t244_temp_string_len;

                          flick_cdr_stringlen(CORBA::Char *, _local_s, flick_unsigned32_t , _t244_temp_string_len);

                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(8);
                          flick_cdr_encode_unsigned8(0, _return, CORBA::Octet );
                          flick_cdr_encode_unsigned8(1, _local_o, CORBA::Octet );
                          flick_cdr_encode_unsigned32(4, _t244_temp_string_len, flick_unsigned32_t );
                          flick_iiopxx_encode_end_chunk(8);
                          flick_iiopxx_encode_end_glob(12);
                          flick_iiopxx_encode_new_glob(1 * _t244_temp_string_len, _flick_abort805);
                          flick_iiopxx_encode_new_chunk(1 * _t244_temp_string_len);
                          flick_cdr_encode_bcopy(0, _local_s, 1 * _t244_temp_string_len);
                          CORBA_string_flick_free(_local_s);
                          _local_s = 0;
                          flick_iiopxx_encode_end_chunk(1 * _t244_temp_string_len);
                          flick_iiopxx_encode_end_glob(1 * _t244_temp_string_len);
                          flick_iiopxx_encode_new_glob(7, _flick_abort805);
                          flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                          flick_cdr_encode_signed32(0, _local_l, CORBA::Long );
                          flick_iiopxx_encode_end_chunk(4);
                          flick_iiopxx_encode_end_glob(7);
                          break;
                          {
                          _flick_abort805:
                            goto _flick_abort796;
                          }
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(12);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort808);
                          break;
                          {
                          _flick_abort808:
                            goto _flick_abort796;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort809);
                          flick_iiopxx_encode_end_glob(12);
                          break;
                          {
                          _flick_abort809:
                            goto _flick_abort796;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort796:
                    goto _flick_abort795;
                  }
                }
                break;
                {
                _flick_abort795:
                  goto _flick_abort309;
                }
              }
            case /* op0 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623296):
              {
                {
                  POA_ex2 *_local_this;
                  unsigned int _t245_principal_len;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort811);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t245_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_check_span(_t245_principal_len, _flick_abort811);
                  flick_iiopxx_decode_new_glob(_t245_principal_len);
                  flick_iiopxx_decode_new_chunk(_t245_principal_len);
                  flick_iiopxx_decode_end_chunk(_t245_principal_len);
                  flick_iiopxx_decode_end_glob(_t245_principal_len);
                  /* Begin decode phase on parameters */
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _local_this->op0(_ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t246_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t246_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort811);
                    flick_iiopxx_encode_new_glob(4, _flick_abort811);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t246_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t246_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_end_glob(4);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(4);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort817);
                          break;
                          {
                          _flick_abort817:
                            goto _flick_abort811;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort818);
                          flick_iiopxx_encode_end_glob(4);
                          break;
                          {
                          _flick_abort818:
                            goto _flick_abort811;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort811:
                    goto _flick_abort810;
                  }
                }
                break;
                {
                _flick_abort810:
                  goto _flick_abort309;
                }
              }
            case /* op1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623552):
              {
                {
                  POA_ex2 *_local_this;
                  unsigned int _t247_principal_len;
                  CORBA::Float _return;
                  CORBA::Float _local_f;
                  CORBA::Double _local_d;
                  CORBA::Long _local_l;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort820);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t247_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_check_span(_t247_principal_len, _flick_abort820);
                  flick_iiopxx_decode_new_glob(_t247_principal_len);
                  flick_iiopxx_decode_new_chunk(_t247_principal_len);
                  flick_iiopxx_decode_end_chunk(_t247_principal_len);
                  flick_iiopxx_decode_end_glob(_t247_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0.000000;
                  flick_iiopxx_decode_new_glob(11);
                  flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                  flick_iiopxx_check_span(8, _flick_abort820);
                  flick_cdr_swap_decode_float32(0, _local_f, CORBA::Float );
                  flick_cdr_swap_decode_signed32(4, _local_l, CORBA::Long );
                  flick_iiopxx_decode_end_chunk(8);
                  flick_iiopxx_decode_end_glob(11);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op1(_local_f, _local_d, _local_l, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t248_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t248_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort820);
                    flick_iiopxx_encode_new_glob(24, _flick_abort820);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t248_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t248_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_float32(0, _return, CORBA::Float );
                          flick_iiopxx_encode_end_chunk(4);
                          flick_iiopxx_encode_new_chunk_align(12, 3, 2, 0);
                          flick_cdr_encode_float64(0, _local_d, CORBA::Double );
                          flick_cdr_encode_signed32(8, _local_l, CORBA::Long );
                          flick_iiopxx_encode_end_chunk(12);
                          flick_iiopxx_encode_end_glob(24);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(24);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort826);
                          break;
                          {
                          _flick_abort826:
                            goto _flick_abort820;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort827);
                          flick_iiopxx_encode_end_glob(24);
                          break;
                          {
                          _flick_abort827:
                            goto _flick_abort820;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort820:
                    goto _flick_abort819;
                  }
                }
                break;
                {
                _flick_abort819:
                  goto _flick_abort309;
                }
              }
            case /* op2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623808):
              {
                {
                  POA_ex2 *_local_this;
                  unsigned int _t249_principal_len;
                  CORBA::Double _return;
                  CORBA::Double _local_d;
                  CORBA::Long _local_l;
                  CORBA::Short _local_s;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort829);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t249_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_check_span(_t249_principal_len, _flick_abort829);
                  flick_iiopxx_decode_new_glob(_t249_principal_len);
                  flick_iiopxx_decode_new_chunk(_t249_principal_len);
                  flick_iiopxx_decode_end_chunk(_t249_principal_len);
                  flick_iiopxx_decode_end_glob(_t249_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0.000000;
                  flick_iiopxx_decode_new_glob(17);
                  flick_iiopxx_decode_new_chunk_align(10, 3, 0, 0);
                  flick_iiopxx_check_span(10, _flick_abort829);
                  flick_cdr_swap_decode_float64(0, _local_d, CORBA::Double );
                  flick_cdr_swap_decode_signed16(8, _local_s, CORBA::Short );
                  flick_iiopxx_decode_end_chunk(10);
                  flick_iiopxx_decode_end_glob(17);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op2(_local_d, _local_l, _local_s, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t250_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t250_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort829);
                    flick_iiopxx_encode_new_glob(22, _flick_abort829);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t250_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t250_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk_align(14, 3, 2, 0);
                          flick_cdr_encode_float64(0, _return, CORBA::Double );
                          flick_cdr_encode_signed32(8, _local_l, CORBA::Long );
                          flick_cdr_encode_signed16(12, _local_s, CORBA::Short );
                          flick_iiopxx_encode_end_chunk(14);
                          flick_iiopxx_encode_end_glob(22);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(22);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort835);
                          break;
                          {
                          _flick_abort835:
                            goto _flick_abort829;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort836);
                          flick_iiopxx_encode_end_glob(22);
                          break;
                          {
                          _flick_abort836:
                            goto _flick_abort829;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort829:
                    goto _flick_abort828;
                  }
                }
                break;
                {
                _flick_abort828:
                  goto _flick_abort309;
                }
              }
            case /* op3 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624064):
              {
                {
                  POA_ex2 *_local_this;
                  unsigned int _t251_principal_len;
                  CORBA::Long _return;
                  CORBA::Long _local_l;
                  CORBA::Short _local_s;
                  CORBA::ULong _local_ul;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort838);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t251_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_check_span(_t251_principal_len, _flick_abort838);
                  flick_iiopxx_decode_new_glob(_t251_principal_len);
                  flick_iiopxx_decode_new_chunk(_t251_principal_len);
                  flick_iiopxx_decode_end_chunk(_t251_principal_len);
                  flick_iiopxx_decode_end_glob(_t251_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(11);
                  flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                  flick_iiopxx_check_span(8, _flick_abort838);
                  flick_cdr_swap_decode_signed32(0, _local_l, CORBA::Long );
                  flick_cdr_swap_decode_unsigned32(4, _local_ul, CORBA::ULong );
                  flick_iiopxx_decode_end_chunk(8);
                  flick_iiopxx_decode_end_glob(11);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op3(_local_l, _local_s, _local_ul, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t252_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t252_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort838);
                    flick_iiopxx_encode_new_glob(16, _flick_abort838);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t252_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t252_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(12);
                          flick_cdr_encode_signed32(0, _return, CORBA::Long );
                          flick_cdr_encode_signed16(4, _local_s, CORBA::Short );
                          flick_cdr_encode_unsigned32(8, _local_ul, CORBA::ULong );
                          flick_iiopxx_encode_end_chunk(12);
                          flick_iiopxx_encode_end_glob(16);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(16);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort844);
                          break;
                          {
                          _flick_abort844:
                            goto _flick_abort838;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort845);
                          flick_iiopxx_encode_end_glob(16);
                          break;
                          {
                          _flick_abort845:
                            goto _flick_abort838;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort838:
                    goto _flick_abort837;
                  }
                }
                break;
                {
                _flick_abort837:
                  goto _flick_abort309;
                }
              }
            case /* op4 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624320):
              {
                {
                  POA_ex2 *_local_this;
                  unsigned int _t253_principal_len;
                  CORBA::Short _return;
                  CORBA::Short _local_s;
                  CORBA::ULong _local_ul;
                  CORBA::UShort _local_us;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort847);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t253_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_check_span(_t253_principal_len, _flick_abort847);
                  flick_iiopxx_decode_new_glob(_t253_principal_len);
                  flick_iiopxx_decode_new_chunk(_t253_principal_len);
                  flick_iiopxx_decode_end_chunk(_t253_principal_len);
                  flick_iiopxx_decode_end_glob(_t253_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(5);
                  flick_iiopxx_decode_new_chunk_align(4, 1, 0, 0);
                  flick_iiopxx_check_span(4, _flick_abort847);
                  flick_cdr_swap_decode_signed16(0, _local_s, CORBA::Short );
                  flick_cdr_swap_decode_unsigned16(2, _local_us, CORBA::UShort );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(5);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op4(_local_s, _local_ul, _local_us, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t254_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t254_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort847);
                    flick_iiopxx_encode_new_glob(14, _flick_abort847);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t254_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t254_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(10);
                          flick_cdr_encode_signed16(0, _return, CORBA::Short );
                          flick_cdr_encode_unsigned32(4, _local_ul, CORBA::ULong );
                          flick_cdr_encode_unsigned16(8, _local_us, CORBA::UShort );
                          flick_iiopxx_encode_end_chunk(10);
                          flick_iiopxx_encode_end_glob(14);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(14);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort853);
                          break;
                          {
                          _flick_abort853:
                            goto _flick_abort847;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort854);
                          flick_iiopxx_encode_end_glob(14);
                          break;
                          {
                          _flick_abort854:
                            goto _flick_abort847;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort847:
                    goto _flick_abort846;
                  }
                }
                break;
                {
                _flick_abort846:
                  goto _flick_abort309;
                }
              }
            case /* op5 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624576):
              {
                {
                  POA_ex2 *_local_this;
                  unsigned int _t255_principal_len;
                  CORBA::ULong _return;
                  CORBA::ULong _local_ul;
                  CORBA::UShort _local_us;
                  CORBA::Char _local_c;
                  CORBA::Boolean _local_b;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort856);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t255_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_check_span(_t255_principal_len, _flick_abort856);
                  flick_iiopxx_decode_new_glob(_t255_principal_len);
                  flick_iiopxx_decode_new_chunk(_t255_principal_len);
                  flick_iiopxx_decode_end_chunk(_t255_principal_len);
                  flick_iiopxx_decode_end_glob(_t255_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(10);
                  flick_iiopxx_decode_new_chunk_align(7, 2, 0, 0);
                  flick_iiopxx_check_span(7, _flick_abort856);
                  flick_cdr_swap_decode_unsigned32(0, _local_ul, CORBA::ULong );
                  flick_cdr_swap_decode_unsigned16(4, _local_us, CORBA::UShort );
                  flick_cdr_swap_decode_unsigned8(6, _local_b, CORBA::Boolean );
                  flick_iiopxx_decode_end_chunk(7);
                  flick_iiopxx_decode_end_glob(10);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op5(_local_ul, _local_us, _local_c, _local_b, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t256_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t256_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort856);
                    flick_iiopxx_encode_new_glob(13, _flick_abort856);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t256_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t256_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(9);
                          flick_cdr_encode_unsigned32(0, _return, CORBA::ULong );
                          flick_cdr_encode_unsigned32(4, _local_ul, CORBA::ULong );
                          flick_cdr_encode_char8(8, _local_c, CORBA::Char );
                          flick_iiopxx_encode_end_chunk(9);
                          flick_iiopxx_encode_end_glob(13);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(13);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort862);
                          break;
                          {
                          _flick_abort862:
                            goto _flick_abort856;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort863);
                          flick_iiopxx_encode_end_glob(13);
                          break;
                          {
                          _flick_abort863:
                            goto _flick_abort856;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort856:
                    goto _flick_abort855;
                  }
                }
                break;
                {
                _flick_abort855:
                  goto _flick_abort309;
                }
              }
            case /* op6 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624832):
              {
                {
                  POA_ex2 *_local_this;
                  unsigned int _t257_principal_len;
                  CORBA::UShort _return;
                  CORBA::UShort _local_us;
                  CORBA::Char _local_c;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort865);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t257_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_check_span(_t257_principal_len + 1, _flick_abort865);
                  flick_iiopxx_decode_new_glob(_t257_principal_len);
                  flick_iiopxx_decode_new_chunk(_t257_principal_len);
                  flick_iiopxx_decode_end_chunk(_t257_principal_len);
                  flick_iiopxx_decode_end_glob(_t257_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(1);
                  flick_iiopxx_decode_new_chunk(1);
                  flick_cdr_swap_decode_char8(0, _local_c, CORBA::Char );
                  flick_iiopxx_decode_end_chunk(1);
                  flick_iiopxx_decode_end_glob(1);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op6(_local_us, _local_c, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t258_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t258_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort865);
                    flick_iiopxx_encode_new_glob(9, _flick_abort865);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t258_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t258_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(5);
                          flick_cdr_encode_unsigned16(0, _return, CORBA::UShort );
                          flick_cdr_encode_unsigned16(2, _local_us, CORBA::UShort );
                          flick_cdr_encode_char8(4, _local_c, CORBA::Char );
                          flick_iiopxx_encode_end_chunk(5);
                          flick_iiopxx_encode_end_glob(9);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(9);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort871);
                          break;
                          {
                          _flick_abort871:
                            goto _flick_abort865;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort872);
                          flick_iiopxx_encode_end_glob(9);
                          break;
                          {
                          _flick_abort872:
                            goto _flick_abort865;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort865:
                    goto _flick_abort864;
                  }
                }
                break;
                {
                _flick_abort864:
                  goto _flick_abort309;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort309);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          unsigned int _t259_switch_tag;

          flick_iiopxx_check_span(12, _flick_abort309);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t259_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t259_switch_tag)
            {
            case /* op10 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623600):
              {
                char _t260_switch_tag;

                flick_iiopxx_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t260_switch_tag, char );
                flick_iiopxx_decode_end_chunk(1);
                switch ((char )_t260_switch_tag)
                  {
                  case 0:
                    {
                      {
                        POA_ex2 *_local_this;
                        unsigned int _t261_principal_len;
                        char *_return;
                        char *_local_s;
                        flick_unsigned32_t _t262_temp_string_len;
                        char *_local_ls;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort874);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(7);
                        flick_cdr_swap_decode_unsigned32(3, _t261_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(7);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_check_span(_t261_principal_len, _flick_abort874);
                        flick_iiopxx_decode_new_glob(_t261_principal_len);
                        flick_iiopxx_decode_new_chunk(_t261_principal_len);
                        flick_iiopxx_decode_end_chunk(_t261_principal_len);
                        flick_iiopxx_decode_end_glob(_t261_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort874);
                        flick_cdr_swap_decode_unsigned32(0, _t262_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t262_temp_string_len);
                        flick_iiopxx_check_span(1 * _t262_temp_string_len, _flick_abort874);
                        flick_iiopxx_decode_new_chunk(1 * _t262_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_s, CORBA::Char *);
                        flick_iiopxx_decode_end_chunk(1 * _t262_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t262_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->op10(_local_s, _local_ls, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t263_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t263_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort874);
                          flick_iiopxx_encode_new_glob(8, _flick_abort874);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t263_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t263_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                flick_unsigned32_t _t266_temp_string_len;
                                flick_unsigned32_t _t267_temp_string_len;

                                flick_cdr_stringlen(CORBA::Char *, _return, flick_unsigned32_t , _t266_temp_string_len);
                                flick_cdr_stringlen(CORBA::Char *, _local_ls, flick_unsigned32_t , _t267_temp_string_len);

                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_unsigned32(0, _t266_temp_string_len, flick_unsigned32_t );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(8);
                                flick_iiopxx_encode_new_glob(1 * _t266_temp_string_len, _flick_abort885);
                                flick_iiopxx_encode_new_chunk(1 * _t266_temp_string_len);
                                flick_cdr_encode_bcopy(0, _return, 1 * _t266_temp_string_len);
                                CORBA_string_flick_free(_return);
                                _return = 0;
                                flick_iiopxx_encode_end_chunk(1 * _t266_temp_string_len);
                                flick_iiopxx_encode_end_glob(1 * _t266_temp_string_len);
                                flick_iiopxx_encode_new_glob(18, _flick_abort885);
                                flick_iiopxx_encode_new_chunk_align(4 + 1 * _t267_temp_string_len, 2, 0, 0);
                                flick_cdr_encode_unsigned32(0, _t267_temp_string_len, flick_unsigned32_t );
                                if (_t267_temp_string_len > 11)
                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort885);
                                flick_cdr_encode_bcopy(4, _local_ls, 1 * _t267_temp_string_len);
                                CORBA_string_flick_free(_local_ls);
                                _local_ls = 0;
                                flick_iiopxx_encode_end_chunk(4 + 1 * _t267_temp_string_len);
                                flick_iiopxx_encode_end_glob(18);
                                break;
                                {
                                _flick_abort885:
                                  goto _flick_abort874;
                                }
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(8);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort890);
                                break;
                                {
                                _flick_abort890:
                                  goto _flick_abort874;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort891);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                                {
                                _flick_abort891:
                                  goto _flick_abort874;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort874:
                          goto _flick_abort873;
                        }
                      }
                      break;
                      {
                      _flick_abort873:
                        goto _flick_abort309;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort309);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* op11 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623601):
              {
                char _t268_switch_tag;

                flick_iiopxx_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t268_switch_tag, char );
                flick_iiopxx_decode_end_chunk(1);
                switch ((char )_t268_switch_tag)
                  {
                  case 0:
                    {
                      {
                        POA_ex2 *_local_this;
                        unsigned int _t269_principal_len;
                        char *_return;
                        char *_local_ls;
                        flick_unsigned32_t _t270_temp_string_len;
                        CORBA::Long _local_l;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort893);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(7);
                        flick_cdr_swap_decode_unsigned32(3, _t269_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(7);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_check_span(_t269_principal_len, _flick_abort893);
                        flick_iiopxx_decode_new_glob(_t269_principal_len);
                        flick_iiopxx_decode_new_chunk(_t269_principal_len);
                        flick_iiopxx_decode_end_chunk(_t269_principal_len);
                        flick_iiopxx_decode_end_glob(_t269_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(18);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort893);
                        flick_cdr_swap_decode_unsigned32(0, _t270_temp_string_len, flick_unsigned32_t );
                        if (_t270_temp_string_len > 11)
                          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort893);
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_check_span(1 * _t270_temp_string_len, _flick_abort893);
                        flick_iiopxx_decode_new_chunk(1 * _t270_temp_string_len);
                        {
                          CORBA::Char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t270_temp_string_len * sizeof(CORBA::Char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort893);
                          _local_ls = _t_alloc_ptr;
                        }
                        flick_cdr_swap_decode_bcopy(0, _local_ls, 1 * _t270_temp_string_len);
                        flick_iiopxx_decode_end_chunk(1 * _t270_temp_string_len);
                        flick_iiopxx_decode_end_glob(18);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->op11(_local_ls, _local_l, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t271_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t271_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort896);
                          flick_iiopxx_encode_new_glob(44, _flick_abort896);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t271_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t271_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                flick_unsigned32_t _t274_temp_string_len;
                                flick_unsigned32_t _t275_temp_string_len;

                                flick_cdr_stringlen(CORBA::Char *, _return, flick_unsigned32_t , _t274_temp_string_len);
                                flick_cdr_stringlen(CORBA::Char *, _local_ls, flick_unsigned32_t , _t275_temp_string_len);

                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(4 + 1 * _t274_temp_string_len);
                                flick_cdr_encode_unsigned32(0, _t274_temp_string_len, flick_unsigned32_t );
                                if (_t274_temp_string_len > 11)
                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort905);
                                flick_cdr_encode_bcopy(4, _return, 1 * _t274_temp_string_len);
                                CORBA_string_flick_free(_return);
                                _return = 0;
                                flick_iiopxx_encode_end_chunk(4 + 1 * _t274_temp_string_len);
                                flick_iiopxx_encode_new_chunk_align(4 + 1 * _t275_temp_string_len, 2, 0, 0);
                                flick_cdr_encode_unsigned32(0, _t275_temp_string_len, flick_unsigned32_t );
                                if (_t275_temp_string_len > 11)
                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort905);
                                flick_cdr_encode_bcopy(4, _local_ls, 1 * _t275_temp_string_len);
                                CORBA_string_flick_free(_local_ls);
                                _local_ls = 0;
                                flick_iiopxx_encode_end_chunk(4 + 1 * _t275_temp_string_len);
                                flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                flick_cdr_encode_signed32(0, _local_l, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(44);
                                break;
                                {
                                _flick_abort905:
                                  goto _flick_abort896;
                                }
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(44);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort910);
                                break;
                                {
                                _flick_abort910:
                                  goto _flick_abort896;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort911);
                                flick_iiopxx_encode_end_glob(44);
                                break;
                                {
                                _flick_abort911:
                                  goto _flick_abort896;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort896:
                          CORBA_string_flick_free(_local_ls);
                        _flick_abort893:
                          goto _flick_abort892;
                        }
                      }
                      break;
                      {
                      _flick_abort892:
                        goto _flick_abort309;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort309);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* op12 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623602):
              {
                char _t276_switch_tag;

                flick_iiopxx_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t276_switch_tag, char );
                flick_iiopxx_decode_end_chunk(1);
                switch ((char )_t276_switch_tag)
                  {
                  case 0:
                    {
                      {
                        POA_ex2 *_local_this;
                        unsigned int _t277_principal_len;
                        CORBA::Long _return;
                        CORBA::Long _local_l;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort913);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(7);
                        flick_cdr_swap_decode_unsigned32(3, _t277_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(7);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_check_span(_t277_principal_len, _flick_abort913);
                        flick_iiopxx_decode_new_glob(_t277_principal_len);
                        flick_iiopxx_decode_new_chunk(_t277_principal_len);
                        flick_iiopxx_decode_end_chunk(_t277_principal_len);
                        flick_iiopxx_decode_end_glob(_t277_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort913);
                        flick_cdr_swap_decode_signed32(0, _local_l, CORBA::Long );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->op12(_local_l, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t278_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t278_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort913);
                          flick_iiopxx_encode_new_glob(8, _flick_abort913);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t278_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t278_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(8);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort919);
                                break;
                                {
                                _flick_abort919:
                                  goto _flick_abort913;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort920);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                                {
                                _flick_abort920:
                                  goto _flick_abort913;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort913:
                          goto _flick_abort912;
                        }
                      }
                      break;
                      {
                      _flick_abort912:
                        goto _flick_abort309;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort309);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort309);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t279_switch_tag;

          flick_iiopxx_check_span(12, _flick_abort309);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t279_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t279_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t280_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t280_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t280_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_ex2 *_local_this;
                        unsigned int _t281_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t282_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort922);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t281_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_check_span(_t281_principal_len, _flick_abort922);
                        flick_iiopxx_decode_new_glob(_t281_principal_len);
                        flick_iiopxx_decode_new_chunk(_t281_principal_len);
                        flick_iiopxx_decode_end_chunk(_t281_principal_len);
                        flick_iiopxx_decode_end_glob(_t281_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort922);
                        flick_cdr_swap_decode_unsigned32(0, _t282_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t282_temp_string_len);
                        flick_iiopxx_check_span(1 * _t282_temp_string_len, _flick_abort922);
                        flick_iiopxx_decode_new_chunk(1 * _t282_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_type_id, CORBA::Char *);
                        flick_iiopxx_decode_end_chunk(1 * _t282_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t282_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t283_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t283_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort922);
                          flick_iiopxx_encode_new_glob(5, _flick_abort922);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t283_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t283_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort930);
                                break;
                                {
                                _flick_abort930:
                                  goto _flick_abort922;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort931);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort931:
                                  goto _flick_abort922;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort922:
                          goto _flick_abort921;
                        }
                      }
                      break;
                      {
                      _flick_abort921:
                        goto _flick_abort309;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort309);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort309);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort309);
          flick_iiopxx_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t134_switch_tag;

    flick_iiopxx_decode_new_glob(16);
    flick_iiopxx_check_span(12, _flick_abort309);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t134_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t134_switch_tag)
      {
      case (unsigned int) 4:
        {
          unsigned int _t135_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t135_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t135_switch_tag)
            {
            case /* op7 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869625088):
              {
                {
                  POA_ex2 *_local_this;
                  unsigned int _t136_principal_len;
                  CORBA::Char _return;
                  CORBA::Char _local_c;
                  CORBA::Boolean _local_b;
                  CORBA::Octet _local_o;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort467);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t136_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_check_span(_t136_principal_len + 2, _flick_abort467);
                  flick_iiopxx_decode_new_glob(_t136_principal_len);
                  flick_iiopxx_decode_new_chunk(_t136_principal_len);
                  flick_iiopxx_decode_end_chunk(_t136_principal_len);
                  flick_iiopxx_decode_end_glob(_t136_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(2);
                  flick_iiopxx_decode_new_chunk(2);
                  flick_cdr_decode_char8(0, _local_c, CORBA::Char );
                  flick_cdr_decode_unsigned8(1, _local_o, CORBA::Octet );
                  flick_iiopxx_decode_end_chunk(2);
                  flick_iiopxx_decode_end_glob(2);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op7(_local_c, _local_b, _local_o, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t137_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t137_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort467);
                    flick_iiopxx_encode_new_glob(7, _flick_abort467);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t137_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t137_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(3);
                          flick_cdr_encode_char8(0, _return, CORBA::Char );
                          flick_cdr_encode_unsigned8(1, _local_b, CORBA::Boolean );
                          flick_cdr_encode_unsigned8(2, _local_o, CORBA::Octet );
                          flick_iiopxx_encode_end_chunk(3);
                          flick_iiopxx_encode_end_glob(7);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(7);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort473);
                          break;
                          {
                          _flick_abort473:
                            goto _flick_abort467;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort474);
                          flick_iiopxx_encode_end_glob(7);
                          break;
                          {
                          _flick_abort474:
                            goto _flick_abort467;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort467:
                    goto _flick_abort466;
                  }
                }
                break;
                {
                _flick_abort466:
                  goto _flick_abort309;
                }
              }
            case /* op8 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869625344):
              {
                {
                  POA_ex2 *_local_this;
                  unsigned int _t138_principal_len;
                  CORBA::Boolean _return;
                  CORBA::Boolean _local_b;
                  CORBA::Octet _local_o;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort476);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t138_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_check_span(_t138_principal_len + 1, _flick_abort476);
                  flick_iiopxx_decode_new_glob(_t138_principal_len);
                  flick_iiopxx_decode_new_chunk(_t138_principal_len);
                  flick_iiopxx_decode_end_chunk(_t138_principal_len);
                  flick_iiopxx_decode_end_glob(_t138_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(1);
                  flick_iiopxx_decode_new_chunk(1);
                  flick_cdr_decode_unsigned8(0, _local_o, CORBA::Octet );
                  flick_iiopxx_decode_end_chunk(1);
                  flick_iiopxx_decode_end_glob(1);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op8(_local_b, _local_o, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t139_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t139_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort476);
                    flick_iiopxx_encode_new_glob(6, _flick_abort476);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t139_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t139_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(2);
                          flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                          flick_cdr_encode_unsigned8(1, _local_b, CORBA::Boolean );
                          flick_iiopxx_encode_end_chunk(2);
                          flick_iiopxx_encode_end_glob(6);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(6);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort482);
                          break;
                          {
                          _flick_abort482:
                            goto _flick_abort476;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort483);
                          flick_iiopxx_encode_end_glob(6);
                          break;
                          {
                          _flick_abort483:
                            goto _flick_abort476;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort476:
                    goto _flick_abort475;
                  }
                }
                break;
                {
                _flick_abort475:
                  goto _flick_abort309;
                }
              }
            case /* op9 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869625600):
              {
                {
                  POA_ex2 *_local_this;
                  unsigned int _t140_principal_len;
                  CORBA::Octet _return;
                  CORBA::Octet _local_o;
                  char *_local_s;
                  char *_local_ls;
                  flick_unsigned32_t _t141_temp_string_len;
                  CORBA::Long _local_l;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort485);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t140_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_check_span(_t140_principal_len + 1, _flick_abort485);
                  flick_iiopxx_decode_new_glob(_t140_principal_len);
                  flick_iiopxx_decode_new_chunk(_t140_principal_len);
                  flick_iiopxx_decode_end_chunk(_t140_principal_len);
                  flick_iiopxx_decode_end_glob(_t140_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(26);
                  flick_iiopxx_decode_new_chunk(1);
                  flick_cdr_decode_unsigned8(0, _local_o, CORBA::Octet );
                  flick_iiopxx_decode_end_chunk(1);
                  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                  flick_iiopxx_check_span(4, _flick_abort485);
                  flick_cdr_decode_unsigned32(0, _t141_temp_string_len, flick_unsigned32_t );
                  if (_t141_temp_string_len > 11)
                    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort485);
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_check_span(1 * _t141_temp_string_len, _flick_abort485);
                  flick_iiopxx_decode_new_chunk(1 * _t141_temp_string_len);
                  flick_cdr_decode_msgptr(0, _local_ls, CORBA::Char *);
                  flick_iiopxx_decode_end_chunk(1 * _t141_temp_string_len);
                  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                  flick_iiopxx_check_span(4, _flick_abort485);
                  flick_cdr_decode_signed32(0, _local_l, CORBA::Long );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(26);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op9(_local_o, _local_s, _local_ls, _local_l, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t142_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t142_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort485);
                    flick_iiopxx_encode_new_glob(12, _flick_abort485);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t142_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t142_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          flick_unsigned32_t _t144_temp_string_len;

                          flick_cdr_stringlen(CORBA::Char *, _local_s, flick_unsigned32_t , _t144_temp_string_len);

                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(8);
                          flick_cdr_encode_unsigned8(0, _return, CORBA::Octet );
                          flick_cdr_encode_unsigned8(1, _local_o, CORBA::Octet );
                          flick_cdr_encode_unsigned32(4, _t144_temp_string_len, flick_unsigned32_t );
                          flick_iiopxx_encode_end_chunk(8);
                          flick_iiopxx_encode_end_glob(12);
                          flick_iiopxx_encode_new_glob(1 * _t144_temp_string_len, _flick_abort494);
                          flick_iiopxx_encode_new_chunk(1 * _t144_temp_string_len);
                          flick_cdr_encode_bcopy(0, _local_s, 1 * _t144_temp_string_len);
                          CORBA_string_flick_free(_local_s);
                          _local_s = 0;
                          flick_iiopxx_encode_end_chunk(1 * _t144_temp_string_len);
                          flick_iiopxx_encode_end_glob(1 * _t144_temp_string_len);
                          flick_iiopxx_encode_new_glob(7, _flick_abort494);
                          flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                          flick_cdr_encode_signed32(0, _local_l, CORBA::Long );
                          flick_iiopxx_encode_end_chunk(4);
                          flick_iiopxx_encode_end_glob(7);
                          break;
                          {
                          _flick_abort494:
                            goto _flick_abort485;
                          }
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(12);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort497);
                          break;
                          {
                          _flick_abort497:
                            goto _flick_abort485;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort498);
                          flick_iiopxx_encode_end_glob(12);
                          break;
                          {
                          _flick_abort498:
                            goto _flick_abort485;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort485:
                    goto _flick_abort484;
                  }
                }
                break;
                {
                _flick_abort484:
                  goto _flick_abort309;
                }
              }
            case /* op0 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623296):
              {
                {
                  POA_ex2 *_local_this;
                  unsigned int _t145_principal_len;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort500);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t145_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_check_span(_t145_principal_len, _flick_abort500);
                  flick_iiopxx_decode_new_glob(_t145_principal_len);
                  flick_iiopxx_decode_new_chunk(_t145_principal_len);
                  flick_iiopxx_decode_end_chunk(_t145_principal_len);
                  flick_iiopxx_decode_end_glob(_t145_principal_len);
                  /* Begin decode phase on parameters */
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _local_this->op0(_ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t146_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t146_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort500);
                    flick_iiopxx_encode_new_glob(4, _flick_abort500);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t146_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t146_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_end_glob(4);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(4);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort506);
                          break;
                          {
                          _flick_abort506:
                            goto _flick_abort500;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort507);
                          flick_iiopxx_encode_end_glob(4);
                          break;
                          {
                          _flick_abort507:
                            goto _flick_abort500;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort500:
                    goto _flick_abort499;
                  }
                }
                break;
                {
                _flick_abort499:
                  goto _flick_abort309;
                }
              }
            case /* op1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623552):
              {
                {
                  POA_ex2 *_local_this;
                  unsigned int _t147_principal_len;
                  CORBA::Float _return;
                  CORBA::Float _local_f;
                  CORBA::Double _local_d;
                  CORBA::Long _local_l;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort509);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t147_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_check_span(_t147_principal_len, _flick_abort509);
                  flick_iiopxx_decode_new_glob(_t147_principal_len);
                  flick_iiopxx_decode_new_chunk(_t147_principal_len);
                  flick_iiopxx_decode_end_chunk(_t147_principal_len);
                  flick_iiopxx_decode_end_glob(_t147_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0.000000;
                  flick_iiopxx_decode_new_glob(11);
                  flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                  flick_iiopxx_check_span(8, _flick_abort509);
                  flick_cdr_decode_float32(0, _local_f, CORBA::Float );
                  flick_cdr_decode_signed32(4, _local_l, CORBA::Long );
                  flick_iiopxx_decode_end_chunk(8);
                  flick_iiopxx_decode_end_glob(11);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op1(_local_f, _local_d, _local_l, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t148_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t148_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort509);
                    flick_iiopxx_encode_new_glob(24, _flick_abort509);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t148_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t148_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_float32(0, _return, CORBA::Float );
                          flick_iiopxx_encode_end_chunk(4);
                          flick_iiopxx_encode_new_chunk_align(12, 3, 2, 0);
                          flick_cdr_encode_float64(0, _local_d, CORBA::Double );
                          flick_cdr_encode_signed32(8, _local_l, CORBA::Long );
                          flick_iiopxx_encode_end_chunk(12);
                          flick_iiopxx_encode_end_glob(24);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(24);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort515);
                          break;
                          {
                          _flick_abort515:
                            goto _flick_abort509;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort516);
                          flick_iiopxx_encode_end_glob(24);
                          break;
                          {
                          _flick_abort516:
                            goto _flick_abort509;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort509:
                    goto _flick_abort508;
                  }
                }
                break;
                {
                _flick_abort508:
                  goto _flick_abort309;
                }
              }
            case /* op2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623808):
              {
                {
                  POA_ex2 *_local_this;
                  unsigned int _t149_principal_len;
                  CORBA::Double _return;
                  CORBA::Double _local_d;
                  CORBA::Long _local_l;
                  CORBA::Short _local_s;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort518);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t149_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_check_span(_t149_principal_len, _flick_abort518);
                  flick_iiopxx_decode_new_glob(_t149_principal_len);
                  flick_iiopxx_decode_new_chunk(_t149_principal_len);
                  flick_iiopxx_decode_end_chunk(_t149_principal_len);
                  flick_iiopxx_decode_end_glob(_t149_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0.000000;
                  flick_iiopxx_decode_new_glob(17);
                  flick_iiopxx_decode_new_chunk_align(10, 3, 0, 0);
                  flick_iiopxx_check_span(10, _flick_abort518);
                  flick_cdr_decode_float64(0, _local_d, CORBA::Double );
                  flick_cdr_decode_signed16(8, _local_s, CORBA::Short );
                  flick_iiopxx_decode_end_chunk(10);
                  flick_iiopxx_decode_end_glob(17);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op2(_local_d, _local_l, _local_s, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t150_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t150_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort518);
                    flick_iiopxx_encode_new_glob(22, _flick_abort518);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t150_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t150_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk_align(14, 3, 2, 0);
                          flick_cdr_encode_float64(0, _return, CORBA::Double );
                          flick_cdr_encode_signed32(8, _local_l, CORBA::Long );
                          flick_cdr_encode_signed16(12, _local_s, CORBA::Short );
                          flick_iiopxx_encode_end_chunk(14);
                          flick_iiopxx_encode_end_glob(22);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(22);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort524);
                          break;
                          {
                          _flick_abort524:
                            goto _flick_abort518;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort525);
                          flick_iiopxx_encode_end_glob(22);
                          break;
                          {
                          _flick_abort525:
                            goto _flick_abort518;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort518:
                    goto _flick_abort517;
                  }
                }
                break;
                {
                _flick_abort517:
                  goto _flick_abort309;
                }
              }
            case /* op3 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624064):
              {
                {
                  POA_ex2 *_local_this;
                  unsigned int _t151_principal_len;
                  CORBA::Long _return;
                  CORBA::Long _local_l;
                  CORBA::Short _local_s;
                  CORBA::ULong _local_ul;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort527);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t151_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_check_span(_t151_principal_len, _flick_abort527);
                  flick_iiopxx_decode_new_glob(_t151_principal_len);
                  flick_iiopxx_decode_new_chunk(_t151_principal_len);
                  flick_iiopxx_decode_end_chunk(_t151_principal_len);
                  flick_iiopxx_decode_end_glob(_t151_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(11);
                  flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                  flick_iiopxx_check_span(8, _flick_abort527);
                  flick_cdr_decode_signed32(0, _local_l, CORBA::Long );
                  flick_cdr_decode_unsigned32(4, _local_ul, CORBA::ULong );
                  flick_iiopxx_decode_end_chunk(8);
                  flick_iiopxx_decode_end_glob(11);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op3(_local_l, _local_s, _local_ul, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t152_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t152_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort527);
                    flick_iiopxx_encode_new_glob(16, _flick_abort527);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t152_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t152_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(12);
                          flick_cdr_encode_signed32(0, _return, CORBA::Long );
                          flick_cdr_encode_signed16(4, _local_s, CORBA::Short );
                          flick_cdr_encode_unsigned32(8, _local_ul, CORBA::ULong );
                          flick_iiopxx_encode_end_chunk(12);
                          flick_iiopxx_encode_end_glob(16);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(16);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort533);
                          break;
                          {
                          _flick_abort533:
                            goto _flick_abort527;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort534);
                          flick_iiopxx_encode_end_glob(16);
                          break;
                          {
                          _flick_abort534:
                            goto _flick_abort527;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort527:
                    goto _flick_abort526;
                  }
                }
                break;
                {
                _flick_abort526:
                  goto _flick_abort309;
                }
              }
            case /* op4 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624320):
              {
                {
                  POA_ex2 *_local_this;
                  unsigned int _t153_principal_len;
                  CORBA::Short _return;
                  CORBA::Short _local_s;
                  CORBA::ULong _local_ul;
                  CORBA::UShort _local_us;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort536);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t153_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_check_span(_t153_principal_len, _flick_abort536);
                  flick_iiopxx_decode_new_glob(_t153_principal_len);
                  flick_iiopxx_decode_new_chunk(_t153_principal_len);
                  flick_iiopxx_decode_end_chunk(_t153_principal_len);
                  flick_iiopxx_decode_end_glob(_t153_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(5);
                  flick_iiopxx_decode_new_chunk_align(4, 1, 0, 0);
                  flick_iiopxx_check_span(4, _flick_abort536);
                  flick_cdr_decode_signed16(0, _local_s, CORBA::Short );
                  flick_cdr_decode_unsigned16(2, _local_us, CORBA::UShort );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(5);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op4(_local_s, _local_ul, _local_us, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t154_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t154_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort536);
                    flick_iiopxx_encode_new_glob(14, _flick_abort536);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t154_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t154_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(10);
                          flick_cdr_encode_signed16(0, _return, CORBA::Short );
                          flick_cdr_encode_unsigned32(4, _local_ul, CORBA::ULong );
                          flick_cdr_encode_unsigned16(8, _local_us, CORBA::UShort );
                          flick_iiopxx_encode_end_chunk(10);
                          flick_iiopxx_encode_end_glob(14);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(14);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort542);
                          break;
                          {
                          _flick_abort542:
                            goto _flick_abort536;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort543);
                          flick_iiopxx_encode_end_glob(14);
                          break;
                          {
                          _flick_abort543:
                            goto _flick_abort536;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort536:
                    goto _flick_abort535;
                  }
                }
                break;
                {
                _flick_abort535:
                  goto _flick_abort309;
                }
              }
            case /* op5 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624576):
              {
                {
                  POA_ex2 *_local_this;
                  unsigned int _t155_principal_len;
                  CORBA::ULong _return;
                  CORBA::ULong _local_ul;
                  CORBA::UShort _local_us;
                  CORBA::Char _local_c;
                  CORBA::Boolean _local_b;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort545);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t155_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_check_span(_t155_principal_len, _flick_abort545);
                  flick_iiopxx_decode_new_glob(_t155_principal_len);
                  flick_iiopxx_decode_new_chunk(_t155_principal_len);
                  flick_iiopxx_decode_end_chunk(_t155_principal_len);
                  flick_iiopxx_decode_end_glob(_t155_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(10);
                  flick_iiopxx_decode_new_chunk_align(7, 2, 0, 0);
                  flick_iiopxx_check_span(7, _flick_abort545);
                  flick_cdr_decode_unsigned32(0, _local_ul, CORBA::ULong );
                  flick_cdr_decode_unsigned16(4, _local_us, CORBA::UShort );
                  flick_cdr_decode_unsigned8(6, _local_b, CORBA::Boolean );
                  flick_iiopxx_decode_end_chunk(7);
                  flick_iiopxx_decode_end_glob(10);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op5(_local_ul, _local_us, _local_c, _local_b, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t156_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t156_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort545);
                    flick_iiopxx_encode_new_glob(13, _flick_abort545);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t156_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t156_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(9);
                          flick_cdr_encode_unsigned32(0, _return, CORBA::ULong );
                          flick_cdr_encode_unsigned32(4, _local_ul, CORBA::ULong );
                          flick_cdr_encode_char8(8, _local_c, CORBA::Char );
                          flick_iiopxx_encode_end_chunk(9);
                          flick_iiopxx_encode_end_glob(13);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(13);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort551);
                          break;
                          {
                          _flick_abort551:
                            goto _flick_abort545;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort552);
                          flick_iiopxx_encode_end_glob(13);
                          break;
                          {
                          _flick_abort552:
                            goto _flick_abort545;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort545:
                    goto _flick_abort544;
                  }
                }
                break;
                {
                _flick_abort544:
                  goto _flick_abort309;
                }
              }
            case /* op6 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624832):
              {
                {
                  POA_ex2 *_local_this;
                  unsigned int _t157_principal_len;
                  CORBA::UShort _return;
                  CORBA::UShort _local_us;
                  CORBA::Char _local_c;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort554);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t157_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(16);
                  flick_iiopxx_check_span(_t157_principal_len + 1, _flick_abort554);
                  flick_iiopxx_decode_new_glob(_t157_principal_len);
                  flick_iiopxx_decode_new_chunk(_t157_principal_len);
                  flick_iiopxx_decode_end_chunk(_t157_principal_len);
                  flick_iiopxx_decode_end_glob(_t157_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(1);
                  flick_iiopxx_decode_new_chunk(1);
                  flick_cdr_decode_char8(0, _local_c, CORBA::Char );
                  flick_iiopxx_decode_end_chunk(1);
                  flick_iiopxx_decode_end_glob(1);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op6(_local_us, _local_c, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t158_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t158_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort554);
                    flick_iiopxx_encode_new_glob(9, _flick_abort554);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t158_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t158_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(5);
                          flick_cdr_encode_unsigned16(0, _return, CORBA::UShort );
                          flick_cdr_encode_unsigned16(2, _local_us, CORBA::UShort );
                          flick_cdr_encode_char8(4, _local_c, CORBA::Char );
                          flick_iiopxx_encode_end_chunk(5);
                          flick_iiopxx_encode_end_glob(9);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(9);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort560);
                          break;
                          {
                          _flick_abort560:
                            goto _flick_abort554;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort561);
                          flick_iiopxx_encode_end_glob(9);
                          break;
                          {
                          _flick_abort561:
                            goto _flick_abort554;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort554:
                    goto _flick_abort553;
                  }
                }
                break;
                {
                _flick_abort553:
                  goto _flick_abort309;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort309);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          unsigned int _t159_switch_tag;

          flick_iiopxx_check_span(12, _flick_abort309);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t159_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t159_switch_tag)
            {
            case /* op10 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623600):
              {
                char _t160_switch_tag;

                flick_iiopxx_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t160_switch_tag, char );
                flick_iiopxx_decode_end_chunk(1);
                switch ((char )_t160_switch_tag)
                  {
                  case 0:
                    {
                      {
                        POA_ex2 *_local_this;
                        unsigned int _t161_principal_len;
                        char *_return;
                        char *_local_s;
                        flick_unsigned32_t _t162_temp_string_len;
                        char *_local_ls;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort563);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(7);
                        flick_cdr_decode_unsigned32(3, _t161_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(7);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_check_span(_t161_principal_len, _flick_abort563);
                        flick_iiopxx_decode_new_glob(_t161_principal_len);
                        flick_iiopxx_decode_new_chunk(_t161_principal_len);
                        flick_iiopxx_decode_end_chunk(_t161_principal_len);
                        flick_iiopxx_decode_end_glob(_t161_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort563);
                        flick_cdr_decode_unsigned32(0, _t162_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t162_temp_string_len);
                        flick_iiopxx_check_span(1 * _t162_temp_string_len, _flick_abort563);
                        flick_iiopxx_decode_new_chunk(1 * _t162_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_s, CORBA::Char *);
                        flick_iiopxx_decode_end_chunk(1 * _t162_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t162_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->op10(_local_s, _local_ls, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t163_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t163_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort563);
                          flick_iiopxx_encode_new_glob(8, _flick_abort563);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t163_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t163_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                flick_unsigned32_t _t166_temp_string_len;
                                flick_unsigned32_t _t167_temp_string_len;

                                flick_cdr_stringlen(CORBA::Char *, _return, flick_unsigned32_t , _t166_temp_string_len);
                                flick_cdr_stringlen(CORBA::Char *, _local_ls, flick_unsigned32_t , _t167_temp_string_len);

                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_unsigned32(0, _t166_temp_string_len, flick_unsigned32_t );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(8);
                                flick_iiopxx_encode_new_glob(1 * _t166_temp_string_len, _flick_abort574);
                                flick_iiopxx_encode_new_chunk(1 * _t166_temp_string_len);
                                flick_cdr_encode_bcopy(0, _return, 1 * _t166_temp_string_len);
                                CORBA_string_flick_free(_return);
                                _return = 0;
                                flick_iiopxx_encode_end_chunk(1 * _t166_temp_string_len);
                                flick_iiopxx_encode_end_glob(1 * _t166_temp_string_len);
                                flick_iiopxx_encode_new_glob(18, _flick_abort574);
                                flick_iiopxx_encode_new_chunk_align(4 + 1 * _t167_temp_string_len, 2, 0, 0);
                                flick_cdr_encode_unsigned32(0, _t167_temp_string_len, flick_unsigned32_t );
                                if (_t167_temp_string_len > 11)
                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort574);
                                flick_cdr_encode_bcopy(4, _local_ls, 1 * _t167_temp_string_len);
                                CORBA_string_flick_free(_local_ls);
                                _local_ls = 0;
                                flick_iiopxx_encode_end_chunk(4 + 1 * _t167_temp_string_len);
                                flick_iiopxx_encode_end_glob(18);
                                break;
                                {
                                _flick_abort574:
                                  goto _flick_abort563;
                                }
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(8);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort579);
                                break;
                                {
                                _flick_abort579:
                                  goto _flick_abort563;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort580);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                                {
                                _flick_abort580:
                                  goto _flick_abort563;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort563:
                          goto _flick_abort562;
                        }
                      }
                      break;
                      {
                      _flick_abort562:
                        goto _flick_abort309;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort309);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* op11 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623601):
              {
                char _t168_switch_tag;

                flick_iiopxx_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t168_switch_tag, char );
                flick_iiopxx_decode_end_chunk(1);
                switch ((char )_t168_switch_tag)
                  {
                  case 0:
                    {
                      {
                        POA_ex2 *_local_this;
                        unsigned int _t169_principal_len;
                        char *_return;
                        char *_local_ls;
                        flick_unsigned32_t _t170_temp_string_len;
                        CORBA::Long _local_l;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort582);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(7);
                        flick_cdr_decode_unsigned32(3, _t169_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(7);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_check_span(_t169_principal_len, _flick_abort582);
                        flick_iiopxx_decode_new_glob(_t169_principal_len);
                        flick_iiopxx_decode_new_chunk(_t169_principal_len);
                        flick_iiopxx_decode_end_chunk(_t169_principal_len);
                        flick_iiopxx_decode_end_glob(_t169_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(18);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort582);
                        flick_cdr_decode_unsigned32(0, _t170_temp_string_len, flick_unsigned32_t );
                        if (_t170_temp_string_len > 11)
                          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort582);
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_check_span(1 * _t170_temp_string_len, _flick_abort582);
                        flick_iiopxx_decode_new_chunk(1 * _t170_temp_string_len);
                        {
                          CORBA::Char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t170_temp_string_len * sizeof(CORBA::Char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort582);
                          _local_ls = _t_alloc_ptr;
                        }
                        flick_cdr_decode_bcopy(0, _local_ls, 1 * _t170_temp_string_len);
                        flick_iiopxx_decode_end_chunk(1 * _t170_temp_string_len);
                        flick_iiopxx_decode_end_glob(18);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->op11(_local_ls, _local_l, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t171_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t171_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort585);
                          flick_iiopxx_encode_new_glob(44, _flick_abort585);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t171_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t171_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                flick_unsigned32_t _t174_temp_string_len;
                                flick_unsigned32_t _t175_temp_string_len;

                                flick_cdr_stringlen(CORBA::Char *, _return, flick_unsigned32_t , _t174_temp_string_len);
                                flick_cdr_stringlen(CORBA::Char *, _local_ls, flick_unsigned32_t , _t175_temp_string_len);

                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(4 + 1 * _t174_temp_string_len);
                                flick_cdr_encode_unsigned32(0, _t174_temp_string_len, flick_unsigned32_t );
                                if (_t174_temp_string_len > 11)
                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort594);
                                flick_cdr_encode_bcopy(4, _return, 1 * _t174_temp_string_len);
                                CORBA_string_flick_free(_return);
                                _return = 0;
                                flick_iiopxx_encode_end_chunk(4 + 1 * _t174_temp_string_len);
                                flick_iiopxx_encode_new_chunk_align(4 + 1 * _t175_temp_string_len, 2, 0, 0);
                                flick_cdr_encode_unsigned32(0, _t175_temp_string_len, flick_unsigned32_t );
                                if (_t175_temp_string_len > 11)
                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort594);
                                flick_cdr_encode_bcopy(4, _local_ls, 1 * _t175_temp_string_len);
                                CORBA_string_flick_free(_local_ls);
                                _local_ls = 0;
                                flick_iiopxx_encode_end_chunk(4 + 1 * _t175_temp_string_len);
                                flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                flick_cdr_encode_signed32(0, _local_l, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(44);
                                break;
                                {
                                _flick_abort594:
                                  goto _flick_abort585;
                                }
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(44);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort599);
                                break;
                                {
                                _flick_abort599:
                                  goto _flick_abort585;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort600);
                                flick_iiopxx_encode_end_glob(44);
                                break;
                                {
                                _flick_abort600:
                                  goto _flick_abort585;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort585:
                          CORBA_string_flick_free(_local_ls);
                        _flick_abort582:
                          goto _flick_abort581;
                        }
                      }
                      break;
                      {
                      _flick_abort581:
                        goto _flick_abort309;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort309);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* op12 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623602):
              {
                char _t176_switch_tag;

                flick_iiopxx_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t176_switch_tag, char );
                flick_iiopxx_decode_end_chunk(1);
                switch ((char )_t176_switch_tag)
                  {
                  case 0:
                    {
                      {
                        POA_ex2 *_local_this;
                        unsigned int _t177_principal_len;
                        CORBA::Long _return;
                        CORBA::Long _local_l;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort602);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(7);
                        flick_cdr_decode_unsigned32(3, _t177_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(7);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_check_span(_t177_principal_len, _flick_abort602);
                        flick_iiopxx_decode_new_glob(_t177_principal_len);
                        flick_iiopxx_decode_new_chunk(_t177_principal_len);
                        flick_iiopxx_decode_end_chunk(_t177_principal_len);
                        flick_iiopxx_decode_end_glob(_t177_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort602);
                        flick_cdr_decode_signed32(0, _local_l, CORBA::Long );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->op12(_local_l, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t178_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t178_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort602);
                          flick_iiopxx_encode_new_glob(8, _flick_abort602);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t178_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t178_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(8);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort608);
                                break;
                                {
                                _flick_abort608:
                                  goto _flick_abort602;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort609);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                                {
                                _flick_abort609:
                                  goto _flick_abort602;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort602:
                          goto _flick_abort601;
                        }
                      }
                      break;
                      {
                      _flick_abort601:
                        goto _flick_abort309;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort309);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort309);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t179_switch_tag;

          flick_iiopxx_check_span(12, _flick_abort309);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t179_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t179_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t180_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t180_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t180_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_ex2 *_local_this;
                        unsigned int _t181_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t182_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort611);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t181_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_check_span(_t181_principal_len, _flick_abort611);
                        flick_iiopxx_decode_new_glob(_t181_principal_len);
                        flick_iiopxx_decode_new_chunk(_t181_principal_len);
                        flick_iiopxx_decode_end_chunk(_t181_principal_len);
                        flick_iiopxx_decode_end_glob(_t181_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort611);
                        flick_cdr_decode_unsigned32(0, _t182_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t182_temp_string_len);
                        flick_iiopxx_check_span(1 * _t182_temp_string_len, _flick_abort611);
                        flick_iiopxx_decode_new_chunk(1 * _t182_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_type_id, CORBA::Char *);
                        flick_iiopxx_decode_end_chunk(1 * _t182_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t182_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t183_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t183_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort611);
                          flick_iiopxx_encode_new_glob(5, _flick_abort611);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t183_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t183_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort619);
                                break;
                                {
                                _flick_abort619:
                                  goto _flick_abort611;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort620);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort620:
                                  goto _flick_abort611;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort611:
                          goto _flick_abort610;
                        }
                      }
                      break;
                      {
                      _flick_abort610:
                        goto _flick_abort309;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort309);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort309);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort309);
          flick_iiopxx_decode_end_glob(16);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return;
  {
  _flick_abort309:
    flick_corbaxx_server_error(cdr, iiopxx, _flick_reaper, _flick_abort308);
  _flick_abort308:
    return ;
  }
_flick_reaper:
  return ;
}

int flick_marshal_stub_ex3(flick_marshal_stream_t _stream, ex3_ptr *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdrxx_encode_IOR(iiopxx, *_data, 0, ex3 , _flick_abort932);
  return 0;
  {
  _flick_abort932:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_ex3(flick_marshal_stream_t _stream, ex3_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdrxx_decode_IOR(iiopxx, *_data, 1, ex3 , _flick_abort933);
  return 0;
  {
  _flick_abort933:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_ex3_swap(flick_marshal_stream_t _stream, ex3_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swapxx_decode_IOR(iiopxx, *_data, 1, ex3 , _flick_abort934);
  return 0;
  {
  _flick_abort934:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

void POA_ex3::_dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env){
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_InputCDR &_in_cdr = _tao_req.incoming();
  TAO_OutputCDR &_out_cdr = _tao_req.outgoing();
  flick_iiopxx_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (_in_cdr.do_byte_swap()) {
  {
    unsigned int _t506_switch_tag;

    flick_iiopxx_decode_new_glob(40);
    flick_iiopxx_check_span(12, _flick_abort937);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t506_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t506_switch_tag)
      {
      case (unsigned int) 21:
        {
          unsigned int _t507_switch_tag;

          flick_iiopxx_check_span(28, _flick_abort937);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t507_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t507_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t508_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t508_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t508_switch_tag)
                  {
                  case /* _flo */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600547951):
                    {
                      unsigned int _t509_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t509_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t509_switch_tag)
                        {
                        case /* at_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635016545):
                          {
                            unsigned int _t510_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t510_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t510_switch_tag)
                              {
                              case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                {
                                  unsigned int _t511_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t511_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t511_switch_tag)
                                    {
                                    case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                      {
                                        char _t512_switch_tag;

                                        flick_iiopxx_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t512_switch_tag, char );
                                        flick_iiopxx_decode_end_chunk(1);
                                        switch ((char )_t512_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                POA_ex3 *_local_this;
                                                unsigned int _t513_principal_len;
                                                CORBA::Float _return;
                                                CORBA::Environment _ev;

                                                flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1352);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_iiopxx_decode_new_chunk(7);
                                                flick_cdr_swap_decode_unsigned32(3, _t513_principal_len, unsigned int );
                                                flick_iiopxx_decode_end_chunk(7);
                                                flick_iiopxx_decode_end_glob(40);
                                                flick_iiopxx_check_span(_t513_principal_len, _flick_abort1352);
                                                flick_iiopxx_decode_new_glob(_t513_principal_len);
                                                flick_iiopxx_decode_new_chunk(_t513_principal_len);
                                                flick_iiopxx_decode_end_chunk(_t513_principal_len);
                                                flick_iiopxx_decode_end_glob(_t513_principal_len);
                                                /* Begin decode phase on parameters */
                                                _return = 0.000000;
                                                flick_iiopxx_server_end_decode();
                                                flick_corbaxx_init_environment();
                                                _return = _local_this->float_attribute(_ev);
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_iiopxx_server_start_encode();
                                                {
                                                  int _t514_temp_major;

                                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t514_temp_major);

                                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1352);
                                                  flick_iiopxx_encode_new_glob(8, _flick_abort1352);
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _t514_temp_major, int );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  switch (_t514_temp_major)
                                                    {
                                                    case CORBA::NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_iiopxx_encode_new_chunk(4);
                                                        flick_cdr_encode_float32(0, _return, CORBA::Float );
                                                        flick_iiopxx_encode_end_chunk(4);
                                                        flick_iiopxx_encode_end_glob(8);
                                                        break;
                                                      }
                                                    case CORBA::SYSTEM_EXCEPTION:
                                                      {
                                                        flick_iiopxx_encode_end_glob(8);
                                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1358);
                                                        break;
                                                        {
                                                        _flick_abort1358:
                                                          goto _flick_abort1352;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1359);
                                                        flick_iiopxx_encode_end_glob(8);
                                                        break;
                                                        {
                                                        _flick_abort1359:
                                                          goto _flick_abort1352;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_iiopxx_server_end_encode();
                                                break;
                                                {
                                                _flick_abort1352:
                                                  goto _flick_abort1351;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort1351:
                                                goto _flick_abort937;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                              flick_iiopxx_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _sho */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398895):
                    {
                      unsigned int _t515_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t515_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t515_switch_tag)
                        {
                        case /* rt_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1920229217):
                          {
                            unsigned int _t516_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t516_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t516_switch_tag)
                              {
                              case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                {
                                  unsigned int _t517_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t517_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t517_switch_tag)
                                    {
                                    case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                      {
                                        char _t518_switch_tag;

                                        flick_iiopxx_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t518_switch_tag, char );
                                        flick_iiopxx_decode_end_chunk(1);
                                        switch ((char )_t518_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                POA_ex3 *_local_this;
                                                unsigned int _t519_principal_len;
                                                CORBA::Short _return;
                                                CORBA::Environment _ev;

                                                flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1361);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_iiopxx_decode_new_chunk(7);
                                                flick_cdr_swap_decode_unsigned32(3, _t519_principal_len, unsigned int );
                                                flick_iiopxx_decode_end_chunk(7);
                                                flick_iiopxx_decode_end_glob(40);
                                                flick_iiopxx_check_span(_t519_principal_len, _flick_abort1361);
                                                flick_iiopxx_decode_new_glob(_t519_principal_len);
                                                flick_iiopxx_decode_new_chunk(_t519_principal_len);
                                                flick_iiopxx_decode_end_chunk(_t519_principal_len);
                                                flick_iiopxx_decode_end_glob(_t519_principal_len);
                                                /* Begin decode phase on parameters */
                                                _return = 0;
                                                flick_iiopxx_server_end_decode();
                                                flick_corbaxx_init_environment();
                                                _return = _local_this->short_attribute(_ev);
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_iiopxx_server_start_encode();
                                                {
                                                  int _t520_temp_major;

                                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t520_temp_major);

                                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1361);
                                                  flick_iiopxx_encode_new_glob(6, _flick_abort1361);
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _t520_temp_major, int );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  switch (_t520_temp_major)
                                                    {
                                                    case CORBA::NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_iiopxx_encode_new_chunk(2);
                                                        flick_cdr_encode_signed16(0, _return, CORBA::Short );
                                                        flick_iiopxx_encode_end_chunk(2);
                                                        flick_iiopxx_encode_end_glob(6);
                                                        break;
                                                      }
                                                    case CORBA::SYSTEM_EXCEPTION:
                                                      {
                                                        flick_iiopxx_encode_end_glob(6);
                                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1367);
                                                        break;
                                                        {
                                                        _flick_abort1367:
                                                          goto _flick_abort1361;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1368);
                                                        flick_iiopxx_encode_end_glob(6);
                                                        break;
                                                        {
                                                        _flick_abort1368:
                                                          goto _flick_abort1361;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_iiopxx_server_end_encode();
                                                break;
                                                {
                                                _flick_abort1361:
                                                  goto _flick_abort1360;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort1360:
                                                goto _flick_abort937;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                              flick_iiopxx_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                      flick_iiopxx_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t521_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t521_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t521_switch_tag)
                  {
                  case /* _sho */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398895):
                    {
                      unsigned int _t522_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t522_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t522_switch_tag)
                        {
                        case /* rt_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1920229217):
                          {
                            unsigned int _t523_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t523_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t523_switch_tag)
                              {
                              case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                {
                                  unsigned int _t524_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t524_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t524_switch_tag)
                                    {
                                    case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                      {
                                        char _t525_switch_tag;

                                        flick_iiopxx_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t525_switch_tag, char );
                                        flick_iiopxx_decode_end_chunk(1);
                                        switch ((char )_t525_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                POA_ex3 *_local_this;
                                                unsigned int _t526_principal_len;
                                                CORBA::Short _local_short_attribute;
                                                CORBA::Environment _ev;

                                                flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1370);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_iiopxx_decode_new_chunk(7);
                                                flick_cdr_swap_decode_unsigned32(3, _t526_principal_len, unsigned int );
                                                flick_iiopxx_decode_end_chunk(7);
                                                flick_iiopxx_decode_end_glob(40);
                                                flick_iiopxx_check_span(_t526_principal_len, _flick_abort1370);
                                                flick_iiopxx_decode_new_glob(_t526_principal_len);
                                                flick_iiopxx_decode_new_chunk(_t526_principal_len);
                                                flick_iiopxx_decode_end_chunk(_t526_principal_len);
                                                flick_iiopxx_decode_end_glob(_t526_principal_len);
                                                /* Begin decode phase on parameters */
                                                flick_iiopxx_decode_new_glob(3);
                                                flick_iiopxx_decode_new_chunk_align(2, 1, 0, 0);
                                                flick_iiopxx_check_span(2, _flick_abort1370);
                                                flick_cdr_swap_decode_signed16(0, _local_short_attribute, CORBA::Short );
                                                flick_iiopxx_decode_end_chunk(2);
                                                flick_iiopxx_decode_end_glob(3);
                                                flick_iiopxx_server_end_decode();
                                                flick_corbaxx_init_environment();
                                                _local_this->short_attribute(_local_short_attribute, _ev);
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_iiopxx_server_start_encode();
                                                {
                                                  int _t527_temp_major;

                                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t527_temp_major);

                                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1370);
                                                  flick_iiopxx_encode_new_glob(4, _flick_abort1370);
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _t527_temp_major, int );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  switch (_t527_temp_major)
                                                    {
                                                    case CORBA::NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_iiopxx_encode_end_glob(4);
                                                        break;
                                                      }
                                                    case CORBA::SYSTEM_EXCEPTION:
                                                      {
                                                        flick_iiopxx_encode_end_glob(4);
                                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1376);
                                                        break;
                                                        {
                                                        _flick_abort1376:
                                                          goto _flick_abort1370;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1377);
                                                        flick_iiopxx_encode_end_glob(4);
                                                        break;
                                                        {
                                                        _flick_abort1377:
                                                          goto _flick_abort1370;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_iiopxx_server_end_encode();
                                                break;
                                                {
                                                _flick_abort1370:
                                                  goto _flick_abort1369;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort1369:
                                                goto _flick_abort937;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                              flick_iiopxx_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                      flick_iiopxx_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                flick_iiopxx_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 22:
        {
          unsigned int _t528_switch_tag;

          flick_iiopxx_check_span(28, _flick_abort937);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t528_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t528_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t529_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t529_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t529_switch_tag)
                  {
                  case /* _dou */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600417653):
                    {
                      unsigned int _t530_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t530_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t530_switch_tag)
                        {
                        case /* ble_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651271007):
                          {
                            unsigned int _t531_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t531_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t531_switch_tag)
                              {
                              case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                {
                                  unsigned int _t532_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t532_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t532_switch_tag)
                                    {
                                    case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                      {
                                        unsigned short int _t533_switch_tag;

                                        flick_iiopxx_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t533_switch_tag, unsigned short int );
                                        flick_iiopxx_decode_end_chunk(2);
                                        switch ((unsigned short int )_t533_switch_tag)
                                          {
                                          case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                            {
                                              {
                                                POA_ex3 *_local_this;
                                                unsigned int _t534_principal_len;
                                                CORBA::Double _return;
                                                CORBA::Environment _ev;

                                                flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1379);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_iiopxx_decode_new_chunk(6);
                                                flick_cdr_swap_decode_unsigned32(2, _t534_principal_len, unsigned int );
                                                flick_iiopxx_decode_end_chunk(6);
                                                flick_iiopxx_decode_end_glob(40);
                                                flick_iiopxx_check_span(_t534_principal_len, _flick_abort1379);
                                                flick_iiopxx_decode_new_glob(_t534_principal_len);
                                                flick_iiopxx_decode_new_chunk(_t534_principal_len);
                                                flick_iiopxx_decode_end_chunk(_t534_principal_len);
                                                flick_iiopxx_decode_end_glob(_t534_principal_len);
                                                /* Begin decode phase on parameters */
                                                _return = 0.000000;
                                                flick_iiopxx_server_end_decode();
                                                flick_corbaxx_init_environment();
                                                _return = _local_this->double_attribute(_ev);
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_iiopxx_server_start_encode();
                                                {
                                                  int _t535_temp_major;

                                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t535_temp_major);

                                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1379);
                                                  flick_iiopxx_encode_new_glob(16, _flick_abort1379);
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _t535_temp_major, int );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  switch (_t535_temp_major)
                                                    {
                                                    case CORBA::NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_iiopxx_encode_new_chunk_align(8, 3, 2, 0);
                                                        flick_cdr_encode_float64(0, _return, CORBA::Double );
                                                        flick_iiopxx_encode_end_chunk(8);
                                                        flick_iiopxx_encode_end_glob(16);
                                                        break;
                                                      }
                                                    case CORBA::SYSTEM_EXCEPTION:
                                                      {
                                                        flick_iiopxx_encode_end_glob(16);
                                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1385);
                                                        break;
                                                        {
                                                        _flick_abort1385:
                                                          goto _flick_abort1379;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1386);
                                                        flick_iiopxx_encode_end_glob(16);
                                                        break;
                                                        {
                                                        _flick_abort1386:
                                                          goto _flick_abort1379;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_iiopxx_server_end_encode();
                                                break;
                                                {
                                                _flick_abort1379:
                                                  goto _flick_abort1378;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort1378:
                                                goto _flick_abort937;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                              flick_iiopxx_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                      flick_iiopxx_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t536_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t536_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t536_switch_tag)
                  {
                  case /* _dou */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600417653):
                    {
                      unsigned int _t537_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t537_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t537_switch_tag)
                        {
                        case /* ble_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651271007):
                          {
                            unsigned int _t538_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t538_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t538_switch_tag)
                              {
                              case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                {
                                  unsigned int _t539_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t539_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t539_switch_tag)
                                    {
                                    case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                      {
                                        unsigned short int _t540_switch_tag;

                                        flick_iiopxx_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t540_switch_tag, unsigned short int );
                                        flick_iiopxx_decode_end_chunk(2);
                                        switch ((unsigned short int )_t540_switch_tag)
                                          {
                                          case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                            {
                                              {
                                                POA_ex3 *_local_this;
                                                unsigned int _t541_principal_len;
                                                CORBA::Double _local_double_attribute;
                                                CORBA::Environment _ev;

                                                flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1388);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_iiopxx_decode_new_chunk(6);
                                                flick_cdr_swap_decode_unsigned32(2, _t541_principal_len, unsigned int );
                                                flick_iiopxx_decode_end_chunk(6);
                                                flick_iiopxx_decode_end_glob(40);
                                                flick_iiopxx_check_span(_t541_principal_len, _flick_abort1388);
                                                flick_iiopxx_decode_new_glob(_t541_principal_len);
                                                flick_iiopxx_decode_new_chunk(_t541_principal_len);
                                                flick_iiopxx_decode_end_chunk(_t541_principal_len);
                                                flick_iiopxx_decode_end_glob(_t541_principal_len);
                                                /* Begin decode phase on parameters */
                                                flick_iiopxx_decode_new_glob(15);
                                                flick_iiopxx_decode_new_chunk_align(8, 3, 0, 0);
                                                flick_iiopxx_check_span(8, _flick_abort1388);
                                                flick_cdr_swap_decode_float64(0, _local_double_attribute, CORBA::Double );
                                                flick_iiopxx_decode_end_chunk(8);
                                                flick_iiopxx_decode_end_glob(15);
                                                flick_iiopxx_server_end_decode();
                                                flick_corbaxx_init_environment();
                                                _local_this->double_attribute(_local_double_attribute, _ev);
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_iiopxx_server_start_encode();
                                                {
                                                  int _t542_temp_major;

                                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t542_temp_major);

                                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1388);
                                                  flick_iiopxx_encode_new_glob(4, _flick_abort1388);
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _t542_temp_major, int );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  switch (_t542_temp_major)
                                                    {
                                                    case CORBA::NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_iiopxx_encode_end_glob(4);
                                                        break;
                                                      }
                                                    case CORBA::SYSTEM_EXCEPTION:
                                                      {
                                                        flick_iiopxx_encode_end_glob(4);
                                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1394);
                                                        break;
                                                        {
                                                        _flick_abort1394:
                                                          goto _flick_abort1388;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1395);
                                                        flick_iiopxx_encode_end_glob(4);
                                                        break;
                                                        {
                                                        _flick_abort1395:
                                                          goto _flick_abort1388;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_iiopxx_server_end_encode();
                                                break;
                                                {
                                                _flick_abort1388:
                                                  goto _flick_abort1387;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort1387:
                                                goto _flick_abort937;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                              flick_iiopxx_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                      flick_iiopxx_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                flick_iiopxx_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 20:
        {
          unsigned int _t543_switch_tag;

          flick_iiopxx_check_span(24, _flick_abort937);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t543_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t543_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t544_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t544_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t544_switch_tag)
                  {
                  case /* _lon */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600941934):
                    {
                      unsigned int _t545_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t545_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t545_switch_tag)
                        {
                        case /* g_at */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1734304116):
                          {
                            unsigned int _t546_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t546_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t546_switch_tag)
                              {
                              case /* trib */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953655138):
                                {
                                  unsigned int _t547_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t547_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t547_switch_tag)
                                    {
                                    case /* ute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1970562304):
                                      {
                                        {
                                          POA_ex3 *_local_this;
                                          unsigned int _t548_principal_len;
                                          CORBA::Long _return;
                                          CORBA::Environment _ev;

                                          flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1397);
                                          /* Decode the requesting `Principal' pseudo object (client ID). */
                                          flick_iiopxx_decode_new_chunk(4);
                                          flick_cdr_swap_decode_unsigned32(0, _t548_principal_len, unsigned int );
                                          flick_iiopxx_decode_end_chunk(4);
                                          flick_iiopxx_decode_end_glob(40);
                                          flick_iiopxx_check_span(_t548_principal_len, _flick_abort1397);
                                          flick_iiopxx_decode_new_glob(_t548_principal_len);
                                          flick_iiopxx_decode_new_chunk(_t548_principal_len);
                                          flick_iiopxx_decode_end_chunk(_t548_principal_len);
                                          flick_iiopxx_decode_end_glob(_t548_principal_len);
                                          /* Begin decode phase on parameters */
                                          _return = 0;
                                          flick_iiopxx_server_end_decode();
                                          flick_corbaxx_init_environment();
                                          _return = _local_this->long_attribute(_ev);
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_iiopxx_server_start_encode();
                                          {
                                            int _t549_temp_major;

                                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t549_temp_major);

                                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1397);
                                            flick_iiopxx_encode_new_glob(8, _flick_abort1397);
                                            flick_iiopxx_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _t549_temp_major, int );
                                            flick_iiopxx_encode_end_chunk(4);
                                            switch (_t549_temp_major)
                                              {
                                              case CORBA::NO_EXCEPTION:
                                                {
                                                  /* Begin encode phase on parameters */
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  flick_iiopxx_encode_end_glob(8);
                                                  break;
                                                }
                                              case CORBA::SYSTEM_EXCEPTION:
                                                {
                                                  flick_iiopxx_encode_end_glob(8);
                                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1403);
                                                  break;
                                                  {
                                                  _flick_abort1403:
                                                    goto _flick_abort1397;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1404);
                                                  flick_iiopxx_encode_end_glob(8);
                                                  break;
                                                  {
                                                  _flick_abort1404:
                                                    goto _flick_abort1397;
                                                  }
                                                }
                                              }
                                          }
                                          flick_iiopxx_server_end_encode();
                                          break;
                                          {
                                          _flick_abort1397:
                                            goto _flick_abort1396;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort1396:
                                          goto _flick_abort937;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                      flick_iiopxx_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                flick_iiopxx_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 29:
        {
          unsigned int _t550_switch_tag;

          flick_iiopxx_check_span(36, _flick_abort937);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t550_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t550_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t551_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t551_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t551_switch_tag)
                  {
                  case /* _uns */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601531507):
                    {
                      unsigned int _t552_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t552_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t552_switch_tag)
                        {
                        case /* igne */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768386149):
                          {
                            unsigned int _t553_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t553_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t553_switch_tag)
                              {
                              case /* d_lo */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1683975279):
                                {
                                  unsigned int _t554_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t554_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t554_switch_tag)
                                    {
                                    case /* ng_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1852268385):
                                      {
                                        unsigned int _t555_switch_tag;

                                        flick_iiopxx_decode_new_chunk(4);
                                        flick_cdr_decode_unsigned32(0, _t555_switch_tag, unsigned int );
                                        flick_iiopxx_decode_end_chunk(4);
                                        switch ((unsigned int )_t555_switch_tag)
                                          {
                                          case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                            {
                                              unsigned int _t556_switch_tag;

                                              flick_iiopxx_decode_new_chunk(4);
                                              flick_cdr_decode_unsigned32(0, _t556_switch_tag, unsigned int );
                                              flick_iiopxx_decode_end_chunk(4);
                                              switch ((unsigned int )_t556_switch_tag)
                                                {
                                                case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                                  {
                                                    char _t557_switch_tag;

                                                    flick_iiopxx_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t557_switch_tag, char );
                                                    flick_iiopxx_decode_end_chunk(1);
                                                    switch ((char )_t557_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            POA_ex3 *_local_this;
                                                            unsigned int _t558_principal_len;
                                                            CORBA::ULong _return;
                                                            CORBA::Environment _ev;

                                                            flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1406);
                                                            /* Decode the requesting `Principal' pseudo object (client ID). */
                                                            flick_iiopxx_decode_new_chunk(7);
                                                            flick_cdr_swap_decode_unsigned32(3, _t558_principal_len, unsigned int );
                                                            flick_iiopxx_decode_end_chunk(7);
                                                            flick_iiopxx_decode_end_glob(40);
                                                            flick_iiopxx_check_span(_t558_principal_len, _flick_abort1406);
                                                            flick_iiopxx_decode_new_glob(_t558_principal_len);
                                                            flick_iiopxx_decode_new_chunk(_t558_principal_len);
                                                            flick_iiopxx_decode_end_chunk(_t558_principal_len);
                                                            flick_iiopxx_decode_end_glob(_t558_principal_len);
                                                            /* Begin decode phase on parameters */
                                                            _return = 0;
                                                            flick_iiopxx_server_end_decode();
                                                            flick_corbaxx_init_environment();
                                                            _return = _local_this->unsigned_long_attribute(_ev);
                                                            _stub_state.state = FLICK_STATE_MARSHAL;
                                                            flick_iiopxx_server_start_encode();
                                                            {
                                                              int _t559_temp_major;

                                                              flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t559_temp_major);

                                                              flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1406);
                                                              flick_iiopxx_encode_new_glob(8, _flick_abort1406);
                                                              flick_iiopxx_encode_new_chunk(4);
                                                              flick_cdr_encode_signed32(0, _t559_temp_major, int );
                                                              flick_iiopxx_encode_end_chunk(4);
                                                              switch (_t559_temp_major)
                                                                {
                                                                case CORBA::NO_EXCEPTION:
                                                                  {
                                                                    /* Begin encode phase on parameters */
                                                                    flick_iiopxx_encode_new_chunk(4);
                                                                    flick_cdr_encode_unsigned32(0, _return, CORBA::ULong );
                                                                    flick_iiopxx_encode_end_chunk(4);
                                                                    flick_iiopxx_encode_end_glob(8);
                                                                    break;
                                                                  }
                                                                case CORBA::SYSTEM_EXCEPTION:
                                                                  {
                                                                    flick_iiopxx_encode_end_glob(8);
                                                                    flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1412);
                                                                    break;
                                                                    {
                                                                    _flick_abort1412:
                                                                      goto _flick_abort1406;
                                                                    }
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1413);
                                                                    flick_iiopxx_encode_end_glob(8);
                                                                    break;
                                                                    {
                                                                    _flick_abort1413:
                                                                      goto _flick_abort1406;
                                                                    }
                                                                  }
                                                                }
                                                            }
                                                            flick_iiopxx_server_end_encode();
                                                            break;
                                                            {
                                                            _flick_abort1406:
                                                              goto _flick_abort1405;
                                                            }
                                                          }
                                                          break;
                                                          {
                                                          _flick_abort1405:
                                                            goto _flick_abort937;
                                                          }
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                                          flick_iiopxx_decode_end_glob(40);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                                    flick_iiopxx_decode_end_glob(40);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                              flick_iiopxx_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                      flick_iiopxx_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                flick_iiopxx_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 4:
        {
          unsigned int _t560_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t560_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t560_switch_tag)
            {
            case /* op0 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623296):
              {
                {
                  POA_ex3 *_local_this;
                  unsigned int _t561_principal_len;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1415);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t561_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(40);
                  flick_iiopxx_check_span(_t561_principal_len, _flick_abort1415);
                  flick_iiopxx_decode_new_glob(_t561_principal_len);
                  flick_iiopxx_decode_new_chunk(_t561_principal_len);
                  flick_iiopxx_decode_end_chunk(_t561_principal_len);
                  flick_iiopxx_decode_end_glob(_t561_principal_len);
                  /* Begin decode phase on parameters */
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _local_this->op0(_ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t562_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t562_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1415);
                    flick_iiopxx_encode_new_glob(4, _flick_abort1415);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t562_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t562_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_end_glob(4);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(4);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1421);
                          break;
                          {
                          _flick_abort1421:
                            goto _flick_abort1415;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1422);
                          flick_iiopxx_encode_end_glob(4);
                          break;
                          {
                          _flick_abort1422:
                            goto _flick_abort1415;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort1415:
                    goto _flick_abort1414;
                  }
                }
                break;
                {
                _flick_abort1414:
                  goto _flick_abort937;
                }
              }
            case /* op1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623552):
              {
                {
                  POA_ex3 *_local_this;
                  unsigned int _t563_principal_len;
                  CORBA::Float _return;
                  CORBA::Float _local_f;
                  CORBA::Double _local_d;
                  CORBA::Long _local_l;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1424);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t563_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(40);
                  flick_iiopxx_check_span(_t563_principal_len, _flick_abort1424);
                  flick_iiopxx_decode_new_glob(_t563_principal_len);
                  flick_iiopxx_decode_new_chunk(_t563_principal_len);
                  flick_iiopxx_decode_end_chunk(_t563_principal_len);
                  flick_iiopxx_decode_end_glob(_t563_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0.000000;
                  flick_iiopxx_decode_new_glob(11);
                  flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                  flick_iiopxx_check_span(8, _flick_abort1424);
                  flick_cdr_swap_decode_float32(0, _local_f, CORBA::Float );
                  flick_cdr_swap_decode_signed32(4, _local_l, CORBA::Long );
                  flick_iiopxx_decode_end_chunk(8);
                  flick_iiopxx_decode_end_glob(11);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op1(_local_f, _local_d, _local_l, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t564_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t564_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1424);
                    flick_iiopxx_encode_new_glob(24, _flick_abort1424);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t564_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t564_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_float32(0, _return, CORBA::Float );
                          flick_iiopxx_encode_end_chunk(4);
                          flick_iiopxx_encode_new_chunk_align(12, 3, 2, 0);
                          flick_cdr_encode_float64(0, _local_d, CORBA::Double );
                          flick_cdr_encode_signed32(8, _local_l, CORBA::Long );
                          flick_iiopxx_encode_end_chunk(12);
                          flick_iiopxx_encode_end_glob(24);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(24);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1430);
                          break;
                          {
                          _flick_abort1430:
                            goto _flick_abort1424;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1431);
                          flick_iiopxx_encode_end_glob(24);
                          break;
                          {
                          _flick_abort1431:
                            goto _flick_abort1424;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort1424:
                    goto _flick_abort1423;
                  }
                }
                break;
                {
                _flick_abort1423:
                  goto _flick_abort937;
                }
              }
            case /* op2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623808):
              {
                {
                  POA_ex3 *_local_this;
                  unsigned int _t565_principal_len;
                  CORBA::Double _return;
                  CORBA::Double _local_d;
                  CORBA::Long _local_l;
                  CORBA::Short _local_s;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1433);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t565_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(40);
                  flick_iiopxx_check_span(_t565_principal_len, _flick_abort1433);
                  flick_iiopxx_decode_new_glob(_t565_principal_len);
                  flick_iiopxx_decode_new_chunk(_t565_principal_len);
                  flick_iiopxx_decode_end_chunk(_t565_principal_len);
                  flick_iiopxx_decode_end_glob(_t565_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0.000000;
                  flick_iiopxx_decode_new_glob(17);
                  flick_iiopxx_decode_new_chunk_align(10, 3, 0, 0);
                  flick_iiopxx_check_span(10, _flick_abort1433);
                  flick_cdr_swap_decode_float64(0, _local_d, CORBA::Double );
                  flick_cdr_swap_decode_signed16(8, _local_s, CORBA::Short );
                  flick_iiopxx_decode_end_chunk(10);
                  flick_iiopxx_decode_end_glob(17);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op2(_local_d, _local_l, _local_s, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t566_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t566_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1433);
                    flick_iiopxx_encode_new_glob(22, _flick_abort1433);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t566_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t566_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk_align(14, 3, 2, 0);
                          flick_cdr_encode_float64(0, _return, CORBA::Double );
                          flick_cdr_encode_signed32(8, _local_l, CORBA::Long );
                          flick_cdr_encode_signed16(12, _local_s, CORBA::Short );
                          flick_iiopxx_encode_end_chunk(14);
                          flick_iiopxx_encode_end_glob(22);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(22);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1439);
                          break;
                          {
                          _flick_abort1439:
                            goto _flick_abort1433;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1440);
                          flick_iiopxx_encode_end_glob(22);
                          break;
                          {
                          _flick_abort1440:
                            goto _flick_abort1433;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort1433:
                    goto _flick_abort1432;
                  }
                }
                break;
                {
                _flick_abort1432:
                  goto _flick_abort937;
                }
              }
            case /* op3 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624064):
              {
                {
                  POA_ex3 *_local_this;
                  unsigned int _t567_principal_len;
                  CORBA::Long _return;
                  CORBA::Long _local_l;
                  CORBA::Short _local_s;
                  CORBA::ULong _local_ul;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1442);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t567_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(40);
                  flick_iiopxx_check_span(_t567_principal_len, _flick_abort1442);
                  flick_iiopxx_decode_new_glob(_t567_principal_len);
                  flick_iiopxx_decode_new_chunk(_t567_principal_len);
                  flick_iiopxx_decode_end_chunk(_t567_principal_len);
                  flick_iiopxx_decode_end_glob(_t567_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(11);
                  flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                  flick_iiopxx_check_span(8, _flick_abort1442);
                  flick_cdr_swap_decode_signed32(0, _local_l, CORBA::Long );
                  flick_cdr_swap_decode_unsigned32(4, _local_ul, CORBA::ULong );
                  flick_iiopxx_decode_end_chunk(8);
                  flick_iiopxx_decode_end_glob(11);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op3(_local_l, _local_s, _local_ul, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t568_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t568_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1442);
                    flick_iiopxx_encode_new_glob(16, _flick_abort1442);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t568_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t568_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(12);
                          flick_cdr_encode_signed32(0, _return, CORBA::Long );
                          flick_cdr_encode_signed16(4, _local_s, CORBA::Short );
                          flick_cdr_encode_unsigned32(8, _local_ul, CORBA::ULong );
                          flick_iiopxx_encode_end_chunk(12);
                          flick_iiopxx_encode_end_glob(16);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(16);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1448);
                          break;
                          {
                          _flick_abort1448:
                            goto _flick_abort1442;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1449);
                          flick_iiopxx_encode_end_glob(16);
                          break;
                          {
                          _flick_abort1449:
                            goto _flick_abort1442;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort1442:
                    goto _flick_abort1441;
                  }
                }
                break;
                {
                _flick_abort1441:
                  goto _flick_abort937;
                }
              }
            case /* op4 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624320):
              {
                {
                  POA_ex3 *_local_this;
                  unsigned int _t569_principal_len;
                  CORBA::Short _return;
                  CORBA::Short _local_s;
                  CORBA::ULong _local_ul;
                  CORBA::UShort _local_us;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1451);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t569_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(40);
                  flick_iiopxx_check_span(_t569_principal_len, _flick_abort1451);
                  flick_iiopxx_decode_new_glob(_t569_principal_len);
                  flick_iiopxx_decode_new_chunk(_t569_principal_len);
                  flick_iiopxx_decode_end_chunk(_t569_principal_len);
                  flick_iiopxx_decode_end_glob(_t569_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(5);
                  flick_iiopxx_decode_new_chunk_align(4, 1, 0, 0);
                  flick_iiopxx_check_span(4, _flick_abort1451);
                  flick_cdr_swap_decode_signed16(0, _local_s, CORBA::Short );
                  flick_cdr_swap_decode_unsigned16(2, _local_us, CORBA::UShort );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(5);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op4(_local_s, _local_ul, _local_us, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t570_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t570_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1451);
                    flick_iiopxx_encode_new_glob(14, _flick_abort1451);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t570_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t570_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(10);
                          flick_cdr_encode_signed16(0, _return, CORBA::Short );
                          flick_cdr_encode_unsigned32(4, _local_ul, CORBA::ULong );
                          flick_cdr_encode_unsigned16(8, _local_us, CORBA::UShort );
                          flick_iiopxx_encode_end_chunk(10);
                          flick_iiopxx_encode_end_glob(14);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(14);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1457);
                          break;
                          {
                          _flick_abort1457:
                            goto _flick_abort1451;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1458);
                          flick_iiopxx_encode_end_glob(14);
                          break;
                          {
                          _flick_abort1458:
                            goto _flick_abort1451;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort1451:
                    goto _flick_abort1450;
                  }
                }
                break;
                {
                _flick_abort1450:
                  goto _flick_abort937;
                }
              }
            case /* op5 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624576):
              {
                {
                  POA_ex3 *_local_this;
                  unsigned int _t571_principal_len;
                  CORBA::ULong _return;
                  CORBA::ULong _local_ul;
                  CORBA::UShort _local_us;
                  CORBA::Char _local_c;
                  CORBA::Boolean _local_b;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1460);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t571_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(40);
                  flick_iiopxx_check_span(_t571_principal_len, _flick_abort1460);
                  flick_iiopxx_decode_new_glob(_t571_principal_len);
                  flick_iiopxx_decode_new_chunk(_t571_principal_len);
                  flick_iiopxx_decode_end_chunk(_t571_principal_len);
                  flick_iiopxx_decode_end_glob(_t571_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(10);
                  flick_iiopxx_decode_new_chunk_align(7, 2, 0, 0);
                  flick_iiopxx_check_span(7, _flick_abort1460);
                  flick_cdr_swap_decode_unsigned32(0, _local_ul, CORBA::ULong );
                  flick_cdr_swap_decode_unsigned16(4, _local_us, CORBA::UShort );
                  flick_cdr_swap_decode_unsigned8(6, _local_b, CORBA::Boolean );
                  flick_iiopxx_decode_end_chunk(7);
                  flick_iiopxx_decode_end_glob(10);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op5(_local_ul, _local_us, _local_c, _local_b, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t572_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t572_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1460);
                    flick_iiopxx_encode_new_glob(13, _flick_abort1460);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t572_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t572_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(9);
                          flick_cdr_encode_unsigned32(0, _return, CORBA::ULong );
                          flick_cdr_encode_unsigned32(4, _local_ul, CORBA::ULong );
                          flick_cdr_encode_char8(8, _local_c, CORBA::Char );
                          flick_iiopxx_encode_end_chunk(9);
                          flick_iiopxx_encode_end_glob(13);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(13);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1466);
                          break;
                          {
                          _flick_abort1466:
                            goto _flick_abort1460;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1467);
                          flick_iiopxx_encode_end_glob(13);
                          break;
                          {
                          _flick_abort1467:
                            goto _flick_abort1460;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort1460:
                    goto _flick_abort1459;
                  }
                }
                break;
                {
                _flick_abort1459:
                  goto _flick_abort937;
                }
              }
            case /* op6 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624832):
              {
                {
                  POA_ex3 *_local_this;
                  unsigned int _t573_principal_len;
                  CORBA::UShort _return;
                  CORBA::UShort _local_us;
                  CORBA::Char _local_c;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1469);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t573_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(40);
                  flick_iiopxx_check_span(_t573_principal_len + 1, _flick_abort1469);
                  flick_iiopxx_decode_new_glob(_t573_principal_len);
                  flick_iiopxx_decode_new_chunk(_t573_principal_len);
                  flick_iiopxx_decode_end_chunk(_t573_principal_len);
                  flick_iiopxx_decode_end_glob(_t573_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(1);
                  flick_iiopxx_decode_new_chunk(1);
                  flick_cdr_swap_decode_char8(0, _local_c, CORBA::Char );
                  flick_iiopxx_decode_end_chunk(1);
                  flick_iiopxx_decode_end_glob(1);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op6(_local_us, _local_c, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t574_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t574_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1469);
                    flick_iiopxx_encode_new_glob(9, _flick_abort1469);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t574_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t574_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(5);
                          flick_cdr_encode_unsigned16(0, _return, CORBA::UShort );
                          flick_cdr_encode_unsigned16(2, _local_us, CORBA::UShort );
                          flick_cdr_encode_char8(4, _local_c, CORBA::Char );
                          flick_iiopxx_encode_end_chunk(5);
                          flick_iiopxx_encode_end_glob(9);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(9);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1475);
                          break;
                          {
                          _flick_abort1475:
                            goto _flick_abort1469;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1476);
                          flick_iiopxx_encode_end_glob(9);
                          break;
                          {
                          _flick_abort1476:
                            goto _flick_abort1469;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort1469:
                    goto _flick_abort1468;
                  }
                }
                break;
                {
                _flick_abort1468:
                  goto _flick_abort937;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                flick_iiopxx_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t575_switch_tag;

          flick_iiopxx_check_span(12, _flick_abort937);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t575_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t575_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t576_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t576_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t576_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_ex3 *_local_this;
                        unsigned int _t577_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t578_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1478);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t577_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(40);
                        flick_iiopxx_check_span(_t577_principal_len, _flick_abort1478);
                        flick_iiopxx_decode_new_glob(_t577_principal_len);
                        flick_iiopxx_decode_new_chunk(_t577_principal_len);
                        flick_iiopxx_decode_end_chunk(_t577_principal_len);
                        flick_iiopxx_decode_end_glob(_t577_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort1478);
                        flick_cdr_swap_decode_unsigned32(0, _t578_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t578_temp_string_len);
                        flick_iiopxx_check_span(1 * _t578_temp_string_len, _flick_abort1478);
                        flick_iiopxx_decode_new_chunk(1 * _t578_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_type_id, CORBA::Char *);
                        flick_iiopxx_decode_end_chunk(1 * _t578_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t578_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t579_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t579_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1478);
                          flick_iiopxx_encode_new_glob(5, _flick_abort1478);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t579_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t579_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1486);
                                break;
                                {
                                _flick_abort1486:
                                  goto _flick_abort1478;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1487);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort1487:
                                  goto _flick_abort1478;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort1478:
                          goto _flick_abort1477;
                        }
                      }
                      break;
                      {
                      _flick_abort1477:
                        goto _flick_abort937;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                      flick_iiopxx_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                flick_iiopxx_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
          flick_iiopxx_decode_end_glob(40);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t358_switch_tag;

    flick_iiopxx_decode_new_glob(40);
    flick_iiopxx_check_span(12, _flick_abort937);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t358_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t358_switch_tag)
      {
      case (unsigned int) 21:
        {
          unsigned int _t359_switch_tag;

          flick_iiopxx_check_span(28, _flick_abort937);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t359_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t359_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t360_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t360_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t360_switch_tag)
                  {
                  case /* _flo */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600547951):
                    {
                      unsigned int _t361_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t361_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t361_switch_tag)
                        {
                        case /* at_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635016545):
                          {
                            unsigned int _t362_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t362_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t362_switch_tag)
                              {
                              case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                {
                                  unsigned int _t363_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t363_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t363_switch_tag)
                                    {
                                    case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                      {
                                        char _t364_switch_tag;

                                        flick_iiopxx_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t364_switch_tag, char );
                                        flick_iiopxx_decode_end_chunk(1);
                                        switch ((char )_t364_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                POA_ex3 *_local_this;
                                                unsigned int _t365_principal_len;
                                                CORBA::Float _return;
                                                CORBA::Environment _ev;

                                                flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1077);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_iiopxx_decode_new_chunk(7);
                                                flick_cdr_decode_unsigned32(3, _t365_principal_len, unsigned int );
                                                flick_iiopxx_decode_end_chunk(7);
                                                flick_iiopxx_decode_end_glob(40);
                                                flick_iiopxx_check_span(_t365_principal_len, _flick_abort1077);
                                                flick_iiopxx_decode_new_glob(_t365_principal_len);
                                                flick_iiopxx_decode_new_chunk(_t365_principal_len);
                                                flick_iiopxx_decode_end_chunk(_t365_principal_len);
                                                flick_iiopxx_decode_end_glob(_t365_principal_len);
                                                /* Begin decode phase on parameters */
                                                _return = 0.000000;
                                                flick_iiopxx_server_end_decode();
                                                flick_corbaxx_init_environment();
                                                _return = _local_this->float_attribute(_ev);
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_iiopxx_server_start_encode();
                                                {
                                                  int _t366_temp_major;

                                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t366_temp_major);

                                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1077);
                                                  flick_iiopxx_encode_new_glob(8, _flick_abort1077);
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _t366_temp_major, int );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  switch (_t366_temp_major)
                                                    {
                                                    case CORBA::NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_iiopxx_encode_new_chunk(4);
                                                        flick_cdr_encode_float32(0, _return, CORBA::Float );
                                                        flick_iiopxx_encode_end_chunk(4);
                                                        flick_iiopxx_encode_end_glob(8);
                                                        break;
                                                      }
                                                    case CORBA::SYSTEM_EXCEPTION:
                                                      {
                                                        flick_iiopxx_encode_end_glob(8);
                                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1083);
                                                        break;
                                                        {
                                                        _flick_abort1083:
                                                          goto _flick_abort1077;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1084);
                                                        flick_iiopxx_encode_end_glob(8);
                                                        break;
                                                        {
                                                        _flick_abort1084:
                                                          goto _flick_abort1077;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_iiopxx_server_end_encode();
                                                break;
                                                {
                                                _flick_abort1077:
                                                  goto _flick_abort1076;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort1076:
                                                goto _flick_abort937;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                              flick_iiopxx_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _sho */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398895):
                    {
                      unsigned int _t367_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t367_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t367_switch_tag)
                        {
                        case /* rt_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1920229217):
                          {
                            unsigned int _t368_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t368_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t368_switch_tag)
                              {
                              case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                {
                                  unsigned int _t369_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t369_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t369_switch_tag)
                                    {
                                    case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                      {
                                        char _t370_switch_tag;

                                        flick_iiopxx_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t370_switch_tag, char );
                                        flick_iiopxx_decode_end_chunk(1);
                                        switch ((char )_t370_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                POA_ex3 *_local_this;
                                                unsigned int _t371_principal_len;
                                                CORBA::Short _return;
                                                CORBA::Environment _ev;

                                                flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1086);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_iiopxx_decode_new_chunk(7);
                                                flick_cdr_decode_unsigned32(3, _t371_principal_len, unsigned int );
                                                flick_iiopxx_decode_end_chunk(7);
                                                flick_iiopxx_decode_end_glob(40);
                                                flick_iiopxx_check_span(_t371_principal_len, _flick_abort1086);
                                                flick_iiopxx_decode_new_glob(_t371_principal_len);
                                                flick_iiopxx_decode_new_chunk(_t371_principal_len);
                                                flick_iiopxx_decode_end_chunk(_t371_principal_len);
                                                flick_iiopxx_decode_end_glob(_t371_principal_len);
                                                /* Begin decode phase on parameters */
                                                _return = 0;
                                                flick_iiopxx_server_end_decode();
                                                flick_corbaxx_init_environment();
                                                _return = _local_this->short_attribute(_ev);
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_iiopxx_server_start_encode();
                                                {
                                                  int _t372_temp_major;

                                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t372_temp_major);

                                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1086);
                                                  flick_iiopxx_encode_new_glob(6, _flick_abort1086);
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _t372_temp_major, int );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  switch (_t372_temp_major)
                                                    {
                                                    case CORBA::NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_iiopxx_encode_new_chunk(2);
                                                        flick_cdr_encode_signed16(0, _return, CORBA::Short );
                                                        flick_iiopxx_encode_end_chunk(2);
                                                        flick_iiopxx_encode_end_glob(6);
                                                        break;
                                                      }
                                                    case CORBA::SYSTEM_EXCEPTION:
                                                      {
                                                        flick_iiopxx_encode_end_glob(6);
                                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1092);
                                                        break;
                                                        {
                                                        _flick_abort1092:
                                                          goto _flick_abort1086;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1093);
                                                        flick_iiopxx_encode_end_glob(6);
                                                        break;
                                                        {
                                                        _flick_abort1093:
                                                          goto _flick_abort1086;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_iiopxx_server_end_encode();
                                                break;
                                                {
                                                _flick_abort1086:
                                                  goto _flick_abort1085;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort1085:
                                                goto _flick_abort937;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                              flick_iiopxx_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                      flick_iiopxx_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t373_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t373_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t373_switch_tag)
                  {
                  case /* _sho */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398895):
                    {
                      unsigned int _t374_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t374_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t374_switch_tag)
                        {
                        case /* rt_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1920229217):
                          {
                            unsigned int _t375_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t375_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t375_switch_tag)
                              {
                              case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                {
                                  unsigned int _t376_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t376_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t376_switch_tag)
                                    {
                                    case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                      {
                                        char _t377_switch_tag;

                                        flick_iiopxx_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t377_switch_tag, char );
                                        flick_iiopxx_decode_end_chunk(1);
                                        switch ((char )_t377_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                POA_ex3 *_local_this;
                                                unsigned int _t378_principal_len;
                                                CORBA::Short _local_short_attribute;
                                                CORBA::Environment _ev;

                                                flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1095);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_iiopxx_decode_new_chunk(7);
                                                flick_cdr_decode_unsigned32(3, _t378_principal_len, unsigned int );
                                                flick_iiopxx_decode_end_chunk(7);
                                                flick_iiopxx_decode_end_glob(40);
                                                flick_iiopxx_check_span(_t378_principal_len, _flick_abort1095);
                                                flick_iiopxx_decode_new_glob(_t378_principal_len);
                                                flick_iiopxx_decode_new_chunk(_t378_principal_len);
                                                flick_iiopxx_decode_end_chunk(_t378_principal_len);
                                                flick_iiopxx_decode_end_glob(_t378_principal_len);
                                                /* Begin decode phase on parameters */
                                                flick_iiopxx_decode_new_glob(3);
                                                flick_iiopxx_decode_new_chunk_align(2, 1, 0, 0);
                                                flick_iiopxx_check_span(2, _flick_abort1095);
                                                flick_cdr_decode_signed16(0, _local_short_attribute, CORBA::Short );
                                                flick_iiopxx_decode_end_chunk(2);
                                                flick_iiopxx_decode_end_glob(3);
                                                flick_iiopxx_server_end_decode();
                                                flick_corbaxx_init_environment();
                                                _local_this->short_attribute(_local_short_attribute, _ev);
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_iiopxx_server_start_encode();
                                                {
                                                  int _t379_temp_major;

                                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t379_temp_major);

                                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1095);
                                                  flick_iiopxx_encode_new_glob(4, _flick_abort1095);
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _t379_temp_major, int );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  switch (_t379_temp_major)
                                                    {
                                                    case CORBA::NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_iiopxx_encode_end_glob(4);
                                                        break;
                                                      }
                                                    case CORBA::SYSTEM_EXCEPTION:
                                                      {
                                                        flick_iiopxx_encode_end_glob(4);
                                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1101);
                                                        break;
                                                        {
                                                        _flick_abort1101:
                                                          goto _flick_abort1095;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1102);
                                                        flick_iiopxx_encode_end_glob(4);
                                                        break;
                                                        {
                                                        _flick_abort1102:
                                                          goto _flick_abort1095;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_iiopxx_server_end_encode();
                                                break;
                                                {
                                                _flick_abort1095:
                                                  goto _flick_abort1094;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort1094:
                                                goto _flick_abort937;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                              flick_iiopxx_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                      flick_iiopxx_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                flick_iiopxx_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 22:
        {
          unsigned int _t380_switch_tag;

          flick_iiopxx_check_span(28, _flick_abort937);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t380_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t380_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t381_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t381_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t381_switch_tag)
                  {
                  case /* _dou */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600417653):
                    {
                      unsigned int _t382_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t382_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t382_switch_tag)
                        {
                        case /* ble_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651271007):
                          {
                            unsigned int _t383_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t383_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t383_switch_tag)
                              {
                              case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                {
                                  unsigned int _t384_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t384_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t384_switch_tag)
                                    {
                                    case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                      {
                                        unsigned short int _t385_switch_tag;

                                        flick_iiopxx_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t385_switch_tag, unsigned short int );
                                        flick_iiopxx_decode_end_chunk(2);
                                        switch ((unsigned short int )_t385_switch_tag)
                                          {
                                          case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                            {
                                              {
                                                POA_ex3 *_local_this;
                                                unsigned int _t386_principal_len;
                                                CORBA::Double _return;
                                                CORBA::Environment _ev;

                                                flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1104);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_iiopxx_decode_new_chunk(6);
                                                flick_cdr_decode_unsigned32(2, _t386_principal_len, unsigned int );
                                                flick_iiopxx_decode_end_chunk(6);
                                                flick_iiopxx_decode_end_glob(40);
                                                flick_iiopxx_check_span(_t386_principal_len, _flick_abort1104);
                                                flick_iiopxx_decode_new_glob(_t386_principal_len);
                                                flick_iiopxx_decode_new_chunk(_t386_principal_len);
                                                flick_iiopxx_decode_end_chunk(_t386_principal_len);
                                                flick_iiopxx_decode_end_glob(_t386_principal_len);
                                                /* Begin decode phase on parameters */
                                                _return = 0.000000;
                                                flick_iiopxx_server_end_decode();
                                                flick_corbaxx_init_environment();
                                                _return = _local_this->double_attribute(_ev);
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_iiopxx_server_start_encode();
                                                {
                                                  int _t387_temp_major;

                                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t387_temp_major);

                                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1104);
                                                  flick_iiopxx_encode_new_glob(16, _flick_abort1104);
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _t387_temp_major, int );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  switch (_t387_temp_major)
                                                    {
                                                    case CORBA::NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_iiopxx_encode_new_chunk_align(8, 3, 2, 0);
                                                        flick_cdr_encode_float64(0, _return, CORBA::Double );
                                                        flick_iiopxx_encode_end_chunk(8);
                                                        flick_iiopxx_encode_end_glob(16);
                                                        break;
                                                      }
                                                    case CORBA::SYSTEM_EXCEPTION:
                                                      {
                                                        flick_iiopxx_encode_end_glob(16);
                                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1110);
                                                        break;
                                                        {
                                                        _flick_abort1110:
                                                          goto _flick_abort1104;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1111);
                                                        flick_iiopxx_encode_end_glob(16);
                                                        break;
                                                        {
                                                        _flick_abort1111:
                                                          goto _flick_abort1104;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_iiopxx_server_end_encode();
                                                break;
                                                {
                                                _flick_abort1104:
                                                  goto _flick_abort1103;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort1103:
                                                goto _flick_abort937;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                              flick_iiopxx_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                      flick_iiopxx_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t388_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t388_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t388_switch_tag)
                  {
                  case /* _dou */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600417653):
                    {
                      unsigned int _t389_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t389_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t389_switch_tag)
                        {
                        case /* ble_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651271007):
                          {
                            unsigned int _t390_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t390_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t390_switch_tag)
                              {
                              case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                {
                                  unsigned int _t391_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t391_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t391_switch_tag)
                                    {
                                    case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                      {
                                        unsigned short int _t392_switch_tag;

                                        flick_iiopxx_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t392_switch_tag, unsigned short int );
                                        flick_iiopxx_decode_end_chunk(2);
                                        switch ((unsigned short int )_t392_switch_tag)
                                          {
                                          case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                            {
                                              {
                                                POA_ex3 *_local_this;
                                                unsigned int _t393_principal_len;
                                                CORBA::Double _local_double_attribute;
                                                CORBA::Environment _ev;

                                                flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1113);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_iiopxx_decode_new_chunk(6);
                                                flick_cdr_decode_unsigned32(2, _t393_principal_len, unsigned int );
                                                flick_iiopxx_decode_end_chunk(6);
                                                flick_iiopxx_decode_end_glob(40);
                                                flick_iiopxx_check_span(_t393_principal_len, _flick_abort1113);
                                                flick_iiopxx_decode_new_glob(_t393_principal_len);
                                                flick_iiopxx_decode_new_chunk(_t393_principal_len);
                                                flick_iiopxx_decode_end_chunk(_t393_principal_len);
                                                flick_iiopxx_decode_end_glob(_t393_principal_len);
                                                /* Begin decode phase on parameters */
                                                flick_iiopxx_decode_new_glob(15);
                                                flick_iiopxx_decode_new_chunk_align(8, 3, 0, 0);
                                                flick_iiopxx_check_span(8, _flick_abort1113);
                                                flick_cdr_decode_float64(0, _local_double_attribute, CORBA::Double );
                                                flick_iiopxx_decode_end_chunk(8);
                                                flick_iiopxx_decode_end_glob(15);
                                                flick_iiopxx_server_end_decode();
                                                flick_corbaxx_init_environment();
                                                _local_this->double_attribute(_local_double_attribute, _ev);
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_iiopxx_server_start_encode();
                                                {
                                                  int _t394_temp_major;

                                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t394_temp_major);

                                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1113);
                                                  flick_iiopxx_encode_new_glob(4, _flick_abort1113);
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _t394_temp_major, int );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  switch (_t394_temp_major)
                                                    {
                                                    case CORBA::NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_iiopxx_encode_end_glob(4);
                                                        break;
                                                      }
                                                    case CORBA::SYSTEM_EXCEPTION:
                                                      {
                                                        flick_iiopxx_encode_end_glob(4);
                                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1119);
                                                        break;
                                                        {
                                                        _flick_abort1119:
                                                          goto _flick_abort1113;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1120);
                                                        flick_iiopxx_encode_end_glob(4);
                                                        break;
                                                        {
                                                        _flick_abort1120:
                                                          goto _flick_abort1113;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_iiopxx_server_end_encode();
                                                break;
                                                {
                                                _flick_abort1113:
                                                  goto _flick_abort1112;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort1112:
                                                goto _flick_abort937;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                              flick_iiopxx_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                      flick_iiopxx_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                flick_iiopxx_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 20:
        {
          unsigned int _t395_switch_tag;

          flick_iiopxx_check_span(24, _flick_abort937);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t395_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t395_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t396_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t396_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t396_switch_tag)
                  {
                  case /* _lon */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600941934):
                    {
                      unsigned int _t397_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t397_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t397_switch_tag)
                        {
                        case /* g_at */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1734304116):
                          {
                            unsigned int _t398_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t398_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t398_switch_tag)
                              {
                              case /* trib */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953655138):
                                {
                                  unsigned int _t399_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t399_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t399_switch_tag)
                                    {
                                    case /* ute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1970562304):
                                      {
                                        {
                                          POA_ex3 *_local_this;
                                          unsigned int _t400_principal_len;
                                          CORBA::Long _return;
                                          CORBA::Environment _ev;

                                          flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1122);
                                          /* Decode the requesting `Principal' pseudo object (client ID). */
                                          flick_iiopxx_decode_new_chunk(4);
                                          flick_cdr_decode_unsigned32(0, _t400_principal_len, unsigned int );
                                          flick_iiopxx_decode_end_chunk(4);
                                          flick_iiopxx_decode_end_glob(40);
                                          flick_iiopxx_check_span(_t400_principal_len, _flick_abort1122);
                                          flick_iiopxx_decode_new_glob(_t400_principal_len);
                                          flick_iiopxx_decode_new_chunk(_t400_principal_len);
                                          flick_iiopxx_decode_end_chunk(_t400_principal_len);
                                          flick_iiopxx_decode_end_glob(_t400_principal_len);
                                          /* Begin decode phase on parameters */
                                          _return = 0;
                                          flick_iiopxx_server_end_decode();
                                          flick_corbaxx_init_environment();
                                          _return = _local_this->long_attribute(_ev);
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_iiopxx_server_start_encode();
                                          {
                                            int _t401_temp_major;

                                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t401_temp_major);

                                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1122);
                                            flick_iiopxx_encode_new_glob(8, _flick_abort1122);
                                            flick_iiopxx_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _t401_temp_major, int );
                                            flick_iiopxx_encode_end_chunk(4);
                                            switch (_t401_temp_major)
                                              {
                                              case CORBA::NO_EXCEPTION:
                                                {
                                                  /* Begin encode phase on parameters */
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  flick_iiopxx_encode_end_glob(8);
                                                  break;
                                                }
                                              case CORBA::SYSTEM_EXCEPTION:
                                                {
                                                  flick_iiopxx_encode_end_glob(8);
                                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1128);
                                                  break;
                                                  {
                                                  _flick_abort1128:
                                                    goto _flick_abort1122;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1129);
                                                  flick_iiopxx_encode_end_glob(8);
                                                  break;
                                                  {
                                                  _flick_abort1129:
                                                    goto _flick_abort1122;
                                                  }
                                                }
                                              }
                                          }
                                          flick_iiopxx_server_end_encode();
                                          break;
                                          {
                                          _flick_abort1122:
                                            goto _flick_abort1121;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort1121:
                                          goto _flick_abort937;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                      flick_iiopxx_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                flick_iiopxx_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 29:
        {
          unsigned int _t402_switch_tag;

          flick_iiopxx_check_span(36, _flick_abort937);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t402_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t402_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t403_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t403_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t403_switch_tag)
                  {
                  case /* _uns */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601531507):
                    {
                      unsigned int _t404_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t404_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t404_switch_tag)
                        {
                        case /* igne */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768386149):
                          {
                            unsigned int _t405_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t405_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t405_switch_tag)
                              {
                              case /* d_lo */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1683975279):
                                {
                                  unsigned int _t406_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t406_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t406_switch_tag)
                                    {
                                    case /* ng_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1852268385):
                                      {
                                        unsigned int _t407_switch_tag;

                                        flick_iiopxx_decode_new_chunk(4);
                                        flick_cdr_decode_unsigned32(0, _t407_switch_tag, unsigned int );
                                        flick_iiopxx_decode_end_chunk(4);
                                        switch ((unsigned int )_t407_switch_tag)
                                          {
                                          case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                            {
                                              unsigned int _t408_switch_tag;

                                              flick_iiopxx_decode_new_chunk(4);
                                              flick_cdr_decode_unsigned32(0, _t408_switch_tag, unsigned int );
                                              flick_iiopxx_decode_end_chunk(4);
                                              switch ((unsigned int )_t408_switch_tag)
                                                {
                                                case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                                  {
                                                    char _t409_switch_tag;

                                                    flick_iiopxx_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t409_switch_tag, char );
                                                    flick_iiopxx_decode_end_chunk(1);
                                                    switch ((char )_t409_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            POA_ex3 *_local_this;
                                                            unsigned int _t410_principal_len;
                                                            CORBA::ULong _return;
                                                            CORBA::Environment _ev;

                                                            flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1131);
                                                            /* Decode the requesting `Principal' pseudo object (client ID). */
                                                            flick_iiopxx_decode_new_chunk(7);
                                                            flick_cdr_decode_unsigned32(3, _t410_principal_len, unsigned int );
                                                            flick_iiopxx_decode_end_chunk(7);
                                                            flick_iiopxx_decode_end_glob(40);
                                                            flick_iiopxx_check_span(_t410_principal_len, _flick_abort1131);
                                                            flick_iiopxx_decode_new_glob(_t410_principal_len);
                                                            flick_iiopxx_decode_new_chunk(_t410_principal_len);
                                                            flick_iiopxx_decode_end_chunk(_t410_principal_len);
                                                            flick_iiopxx_decode_end_glob(_t410_principal_len);
                                                            /* Begin decode phase on parameters */
                                                            _return = 0;
                                                            flick_iiopxx_server_end_decode();
                                                            flick_corbaxx_init_environment();
                                                            _return = _local_this->unsigned_long_attribute(_ev);
                                                            _stub_state.state = FLICK_STATE_MARSHAL;
                                                            flick_iiopxx_server_start_encode();
                                                            {
                                                              int _t411_temp_major;

                                                              flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t411_temp_major);

                                                              flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1131);
                                                              flick_iiopxx_encode_new_glob(8, _flick_abort1131);
                                                              flick_iiopxx_encode_new_chunk(4);
                                                              flick_cdr_encode_signed32(0, _t411_temp_major, int );
                                                              flick_iiopxx_encode_end_chunk(4);
                                                              switch (_t411_temp_major)
                                                                {
                                                                case CORBA::NO_EXCEPTION:
                                                                  {
                                                                    /* Begin encode phase on parameters */
                                                                    flick_iiopxx_encode_new_chunk(4);
                                                                    flick_cdr_encode_unsigned32(0, _return, CORBA::ULong );
                                                                    flick_iiopxx_encode_end_chunk(4);
                                                                    flick_iiopxx_encode_end_glob(8);
                                                                    break;
                                                                  }
                                                                case CORBA::SYSTEM_EXCEPTION:
                                                                  {
                                                                    flick_iiopxx_encode_end_glob(8);
                                                                    flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1137);
                                                                    break;
                                                                    {
                                                                    _flick_abort1137:
                                                                      goto _flick_abort1131;
                                                                    }
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1138);
                                                                    flick_iiopxx_encode_end_glob(8);
                                                                    break;
                                                                    {
                                                                    _flick_abort1138:
                                                                      goto _flick_abort1131;
                                                                    }
                                                                  }
                                                                }
                                                            }
                                                            flick_iiopxx_server_end_encode();
                                                            break;
                                                            {
                                                            _flick_abort1131:
                                                              goto _flick_abort1130;
                                                            }
                                                          }
                                                          break;
                                                          {
                                                          _flick_abort1130:
                                                            goto _flick_abort937;
                                                          }
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                                          flick_iiopxx_decode_end_glob(40);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                                    flick_iiopxx_decode_end_glob(40);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                              flick_iiopxx_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                      flick_iiopxx_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                flick_iiopxx_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 4:
        {
          unsigned int _t412_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t412_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t412_switch_tag)
            {
            case /* op0 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623296):
              {
                {
                  POA_ex3 *_local_this;
                  unsigned int _t413_principal_len;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1140);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t413_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(40);
                  flick_iiopxx_check_span(_t413_principal_len, _flick_abort1140);
                  flick_iiopxx_decode_new_glob(_t413_principal_len);
                  flick_iiopxx_decode_new_chunk(_t413_principal_len);
                  flick_iiopxx_decode_end_chunk(_t413_principal_len);
                  flick_iiopxx_decode_end_glob(_t413_principal_len);
                  /* Begin decode phase on parameters */
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _local_this->op0(_ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t414_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t414_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1140);
                    flick_iiopxx_encode_new_glob(4, _flick_abort1140);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t414_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t414_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_end_glob(4);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(4);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1146);
                          break;
                          {
                          _flick_abort1146:
                            goto _flick_abort1140;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1147);
                          flick_iiopxx_encode_end_glob(4);
                          break;
                          {
                          _flick_abort1147:
                            goto _flick_abort1140;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort1140:
                    goto _flick_abort1139;
                  }
                }
                break;
                {
                _flick_abort1139:
                  goto _flick_abort937;
                }
              }
            case /* op1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623552):
              {
                {
                  POA_ex3 *_local_this;
                  unsigned int _t415_principal_len;
                  CORBA::Float _return;
                  CORBA::Float _local_f;
                  CORBA::Double _local_d;
                  CORBA::Long _local_l;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1149);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t415_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(40);
                  flick_iiopxx_check_span(_t415_principal_len, _flick_abort1149);
                  flick_iiopxx_decode_new_glob(_t415_principal_len);
                  flick_iiopxx_decode_new_chunk(_t415_principal_len);
                  flick_iiopxx_decode_end_chunk(_t415_principal_len);
                  flick_iiopxx_decode_end_glob(_t415_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0.000000;
                  flick_iiopxx_decode_new_glob(11);
                  flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                  flick_iiopxx_check_span(8, _flick_abort1149);
                  flick_cdr_decode_float32(0, _local_f, CORBA::Float );
                  flick_cdr_decode_signed32(4, _local_l, CORBA::Long );
                  flick_iiopxx_decode_end_chunk(8);
                  flick_iiopxx_decode_end_glob(11);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op1(_local_f, _local_d, _local_l, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t416_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t416_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1149);
                    flick_iiopxx_encode_new_glob(24, _flick_abort1149);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t416_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t416_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_float32(0, _return, CORBA::Float );
                          flick_iiopxx_encode_end_chunk(4);
                          flick_iiopxx_encode_new_chunk_align(12, 3, 2, 0);
                          flick_cdr_encode_float64(0, _local_d, CORBA::Double );
                          flick_cdr_encode_signed32(8, _local_l, CORBA::Long );
                          flick_iiopxx_encode_end_chunk(12);
                          flick_iiopxx_encode_end_glob(24);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(24);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1155);
                          break;
                          {
                          _flick_abort1155:
                            goto _flick_abort1149;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1156);
                          flick_iiopxx_encode_end_glob(24);
                          break;
                          {
                          _flick_abort1156:
                            goto _flick_abort1149;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort1149:
                    goto _flick_abort1148;
                  }
                }
                break;
                {
                _flick_abort1148:
                  goto _flick_abort937;
                }
              }
            case /* op2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623808):
              {
                {
                  POA_ex3 *_local_this;
                  unsigned int _t417_principal_len;
                  CORBA::Double _return;
                  CORBA::Double _local_d;
                  CORBA::Long _local_l;
                  CORBA::Short _local_s;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1158);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t417_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(40);
                  flick_iiopxx_check_span(_t417_principal_len, _flick_abort1158);
                  flick_iiopxx_decode_new_glob(_t417_principal_len);
                  flick_iiopxx_decode_new_chunk(_t417_principal_len);
                  flick_iiopxx_decode_end_chunk(_t417_principal_len);
                  flick_iiopxx_decode_end_glob(_t417_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0.000000;
                  flick_iiopxx_decode_new_glob(17);
                  flick_iiopxx_decode_new_chunk_align(10, 3, 0, 0);
                  flick_iiopxx_check_span(10, _flick_abort1158);
                  flick_cdr_decode_float64(0, _local_d, CORBA::Double );
                  flick_cdr_decode_signed16(8, _local_s, CORBA::Short );
                  flick_iiopxx_decode_end_chunk(10);
                  flick_iiopxx_decode_end_glob(17);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op2(_local_d, _local_l, _local_s, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t418_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t418_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1158);
                    flick_iiopxx_encode_new_glob(22, _flick_abort1158);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t418_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t418_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk_align(14, 3, 2, 0);
                          flick_cdr_encode_float64(0, _return, CORBA::Double );
                          flick_cdr_encode_signed32(8, _local_l, CORBA::Long );
                          flick_cdr_encode_signed16(12, _local_s, CORBA::Short );
                          flick_iiopxx_encode_end_chunk(14);
                          flick_iiopxx_encode_end_glob(22);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(22);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1164);
                          break;
                          {
                          _flick_abort1164:
                            goto _flick_abort1158;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1165);
                          flick_iiopxx_encode_end_glob(22);
                          break;
                          {
                          _flick_abort1165:
                            goto _flick_abort1158;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort1158:
                    goto _flick_abort1157;
                  }
                }
                break;
                {
                _flick_abort1157:
                  goto _flick_abort937;
                }
              }
            case /* op3 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624064):
              {
                {
                  POA_ex3 *_local_this;
                  unsigned int _t419_principal_len;
                  CORBA::Long _return;
                  CORBA::Long _local_l;
                  CORBA::Short _local_s;
                  CORBA::ULong _local_ul;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1167);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t419_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(40);
                  flick_iiopxx_check_span(_t419_principal_len, _flick_abort1167);
                  flick_iiopxx_decode_new_glob(_t419_principal_len);
                  flick_iiopxx_decode_new_chunk(_t419_principal_len);
                  flick_iiopxx_decode_end_chunk(_t419_principal_len);
                  flick_iiopxx_decode_end_glob(_t419_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(11);
                  flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                  flick_iiopxx_check_span(8, _flick_abort1167);
                  flick_cdr_decode_signed32(0, _local_l, CORBA::Long );
                  flick_cdr_decode_unsigned32(4, _local_ul, CORBA::ULong );
                  flick_iiopxx_decode_end_chunk(8);
                  flick_iiopxx_decode_end_glob(11);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op3(_local_l, _local_s, _local_ul, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t420_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t420_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1167);
                    flick_iiopxx_encode_new_glob(16, _flick_abort1167);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t420_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t420_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(12);
                          flick_cdr_encode_signed32(0, _return, CORBA::Long );
                          flick_cdr_encode_signed16(4, _local_s, CORBA::Short );
                          flick_cdr_encode_unsigned32(8, _local_ul, CORBA::ULong );
                          flick_iiopxx_encode_end_chunk(12);
                          flick_iiopxx_encode_end_glob(16);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(16);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1173);
                          break;
                          {
                          _flick_abort1173:
                            goto _flick_abort1167;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1174);
                          flick_iiopxx_encode_end_glob(16);
                          break;
                          {
                          _flick_abort1174:
                            goto _flick_abort1167;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort1167:
                    goto _flick_abort1166;
                  }
                }
                break;
                {
                _flick_abort1166:
                  goto _flick_abort937;
                }
              }
            case /* op4 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624320):
              {
                {
                  POA_ex3 *_local_this;
                  unsigned int _t421_principal_len;
                  CORBA::Short _return;
                  CORBA::Short _local_s;
                  CORBA::ULong _local_ul;
                  CORBA::UShort _local_us;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1176);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t421_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(40);
                  flick_iiopxx_check_span(_t421_principal_len, _flick_abort1176);
                  flick_iiopxx_decode_new_glob(_t421_principal_len);
                  flick_iiopxx_decode_new_chunk(_t421_principal_len);
                  flick_iiopxx_decode_end_chunk(_t421_principal_len);
                  flick_iiopxx_decode_end_glob(_t421_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(5);
                  flick_iiopxx_decode_new_chunk_align(4, 1, 0, 0);
                  flick_iiopxx_check_span(4, _flick_abort1176);
                  flick_cdr_decode_signed16(0, _local_s, CORBA::Short );
                  flick_cdr_decode_unsigned16(2, _local_us, CORBA::UShort );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(5);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op4(_local_s, _local_ul, _local_us, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t422_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t422_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1176);
                    flick_iiopxx_encode_new_glob(14, _flick_abort1176);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t422_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t422_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(10);
                          flick_cdr_encode_signed16(0, _return, CORBA::Short );
                          flick_cdr_encode_unsigned32(4, _local_ul, CORBA::ULong );
                          flick_cdr_encode_unsigned16(8, _local_us, CORBA::UShort );
                          flick_iiopxx_encode_end_chunk(10);
                          flick_iiopxx_encode_end_glob(14);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(14);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1182);
                          break;
                          {
                          _flick_abort1182:
                            goto _flick_abort1176;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1183);
                          flick_iiopxx_encode_end_glob(14);
                          break;
                          {
                          _flick_abort1183:
                            goto _flick_abort1176;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort1176:
                    goto _flick_abort1175;
                  }
                }
                break;
                {
                _flick_abort1175:
                  goto _flick_abort937;
                }
              }
            case /* op5 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624576):
              {
                {
                  POA_ex3 *_local_this;
                  unsigned int _t423_principal_len;
                  CORBA::ULong _return;
                  CORBA::ULong _local_ul;
                  CORBA::UShort _local_us;
                  CORBA::Char _local_c;
                  CORBA::Boolean _local_b;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1185);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t423_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(40);
                  flick_iiopxx_check_span(_t423_principal_len, _flick_abort1185);
                  flick_iiopxx_decode_new_glob(_t423_principal_len);
                  flick_iiopxx_decode_new_chunk(_t423_principal_len);
                  flick_iiopxx_decode_end_chunk(_t423_principal_len);
                  flick_iiopxx_decode_end_glob(_t423_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(10);
                  flick_iiopxx_decode_new_chunk_align(7, 2, 0, 0);
                  flick_iiopxx_check_span(7, _flick_abort1185);
                  flick_cdr_decode_unsigned32(0, _local_ul, CORBA::ULong );
                  flick_cdr_decode_unsigned16(4, _local_us, CORBA::UShort );
                  flick_cdr_decode_unsigned8(6, _local_b, CORBA::Boolean );
                  flick_iiopxx_decode_end_chunk(7);
                  flick_iiopxx_decode_end_glob(10);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op5(_local_ul, _local_us, _local_c, _local_b, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t424_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t424_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1185);
                    flick_iiopxx_encode_new_glob(13, _flick_abort1185);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t424_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t424_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(9);
                          flick_cdr_encode_unsigned32(0, _return, CORBA::ULong );
                          flick_cdr_encode_unsigned32(4, _local_ul, CORBA::ULong );
                          flick_cdr_encode_char8(8, _local_c, CORBA::Char );
                          flick_iiopxx_encode_end_chunk(9);
                          flick_iiopxx_encode_end_glob(13);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(13);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1191);
                          break;
                          {
                          _flick_abort1191:
                            goto _flick_abort1185;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1192);
                          flick_iiopxx_encode_end_glob(13);
                          break;
                          {
                          _flick_abort1192:
                            goto _flick_abort1185;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort1185:
                    goto _flick_abort1184;
                  }
                }
                break;
                {
                _flick_abort1184:
                  goto _flick_abort937;
                }
              }
            case /* op6 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624832):
              {
                {
                  POA_ex3 *_local_this;
                  unsigned int _t425_principal_len;
                  CORBA::UShort _return;
                  CORBA::UShort _local_us;
                  CORBA::Char _local_c;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1194);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t425_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(40);
                  flick_iiopxx_check_span(_t425_principal_len + 1, _flick_abort1194);
                  flick_iiopxx_decode_new_glob(_t425_principal_len);
                  flick_iiopxx_decode_new_chunk(_t425_principal_len);
                  flick_iiopxx_decode_end_chunk(_t425_principal_len);
                  flick_iiopxx_decode_end_glob(_t425_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(1);
                  flick_iiopxx_decode_new_chunk(1);
                  flick_cdr_decode_char8(0, _local_c, CORBA::Char );
                  flick_iiopxx_decode_end_chunk(1);
                  flick_iiopxx_decode_end_glob(1);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op6(_local_us, _local_c, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t426_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t426_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1194);
                    flick_iiopxx_encode_new_glob(9, _flick_abort1194);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t426_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t426_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(5);
                          flick_cdr_encode_unsigned16(0, _return, CORBA::UShort );
                          flick_cdr_encode_unsigned16(2, _local_us, CORBA::UShort );
                          flick_cdr_encode_char8(4, _local_c, CORBA::Char );
                          flick_iiopxx_encode_end_chunk(5);
                          flick_iiopxx_encode_end_glob(9);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(9);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1200);
                          break;
                          {
                          _flick_abort1200:
                            goto _flick_abort1194;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1201);
                          flick_iiopxx_encode_end_glob(9);
                          break;
                          {
                          _flick_abort1201:
                            goto _flick_abort1194;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort1194:
                    goto _flick_abort1193;
                  }
                }
                break;
                {
                _flick_abort1193:
                  goto _flick_abort937;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                flick_iiopxx_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t427_switch_tag;

          flick_iiopxx_check_span(12, _flick_abort937);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t427_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t427_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t428_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t428_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t428_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_ex3 *_local_this;
                        unsigned int _t429_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t430_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1203);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t429_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(40);
                        flick_iiopxx_check_span(_t429_principal_len, _flick_abort1203);
                        flick_iiopxx_decode_new_glob(_t429_principal_len);
                        flick_iiopxx_decode_new_chunk(_t429_principal_len);
                        flick_iiopxx_decode_end_chunk(_t429_principal_len);
                        flick_iiopxx_decode_end_glob(_t429_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort1203);
                        flick_cdr_decode_unsigned32(0, _t430_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t430_temp_string_len);
                        flick_iiopxx_check_span(1 * _t430_temp_string_len, _flick_abort1203);
                        flick_iiopxx_decode_new_chunk(1 * _t430_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_type_id, CORBA::Char *);
                        flick_iiopxx_decode_end_chunk(1 * _t430_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t430_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t431_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t431_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1203);
                          flick_iiopxx_encode_new_glob(5, _flick_abort1203);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t431_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t431_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1211);
                                break;
                                {
                                _flick_abort1211:
                                  goto _flick_abort1203;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1212);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort1212:
                                  goto _flick_abort1203;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort1203:
                          goto _flick_abort1202;
                        }
                      }
                      break;
                      {
                      _flick_abort1202:
                        goto _flick_abort937;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                      flick_iiopxx_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                flick_iiopxx_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
          flick_iiopxx_decode_end_glob(40);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return;
  {
  _flick_abort937:
    flick_corbaxx_server_error(cdr, iiopxx, _flick_reaper, _flick_abort936);
  _flick_abort936:
    return ;
  }
_flick_reaper:
  return ;
}

int flick_marshal_stub_ex4(flick_marshal_stream_t _stream, ex4_ptr *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdrxx_encode_IOR(iiopxx, *_data, 0, ex4 , _flick_abort1488);
  return 0;
  {
  _flick_abort1488:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_ex4(flick_marshal_stream_t _stream, ex4_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdrxx_decode_IOR(iiopxx, *_data, 1, ex4 , _flick_abort1489);
  return 0;
  {
  _flick_abort1489:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_ex4_swap(flick_marshal_stream_t _stream, ex4_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swapxx_decode_IOR(iiopxx, *_data, 1, ex4 , _flick_abort1490);
  return 0;
  {
  _flick_abort1490:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

void POA_ex4::_dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env){
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_InputCDR &_in_cdr = _tao_req.incoming();
  TAO_OutputCDR &_out_cdr = _tao_req.outgoing();
  flick_iiopxx_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (_in_cdr.do_byte_swap()) {
  {
    unsigned int _t1105_switch_tag;

    flick_iiopxx_decode_new_glob(40);
    flick_iiopxx_check_span(12, _flick_abort1493);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t1105_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t1105_switch_tag)
      {
      case (unsigned int) 30:
        {
          unsigned int _t1106_switch_tag;

          flick_iiopxx_check_span(36, _flick_abort1493);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t1106_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t1106_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t1107_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t1107_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t1107_switch_tag)
                  {
                  case /* _uns */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601531507):
                    {
                      unsigned int _t1108_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1108_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t1108_switch_tag)
                        {
                        case /* igne */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768386149):
                          {
                            unsigned int _t1109_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1109_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t1109_switch_tag)
                              {
                              case /* d_sh */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1683977064):
                                {
                                  unsigned int _t1110_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1110_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t1110_switch_tag)
                                    {
                                    case /* ort_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869771871):
                                      {
                                        unsigned int _t1111_switch_tag;

                                        flick_iiopxx_decode_new_chunk(4);
                                        flick_cdr_decode_unsigned32(0, _t1111_switch_tag, unsigned int );
                                        flick_iiopxx_decode_end_chunk(4);
                                        switch ((unsigned int )_t1111_switch_tag)
                                          {
                                          case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                            {
                                              unsigned int _t1112_switch_tag;

                                              flick_iiopxx_decode_new_chunk(4);
                                              flick_cdr_decode_unsigned32(0, _t1112_switch_tag, unsigned int );
                                              flick_iiopxx_decode_end_chunk(4);
                                              switch ((unsigned int )_t1112_switch_tag)
                                                {
                                                case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                                  {
                                                    unsigned short int _t1113_switch_tag;

                                                    flick_iiopxx_decode_new_chunk(2);
                                                    flick_cdr_decode_unsigned16(0, _t1113_switch_tag, unsigned short int );
                                                    flick_iiopxx_decode_end_chunk(2);
                                                    switch ((unsigned short int )_t1113_switch_tag)
                                                      {
                                                      case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                                        {
                                                          {
                                                            POA_ex4 *_local_this;
                                                            unsigned int _t1114_principal_len;
                                                            CORBA::UShort _return;
                                                            CORBA::Environment _ev;

                                                            flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort2424);
                                                            /* Decode the requesting `Principal' pseudo object (client ID). */
                                                            flick_iiopxx_decode_new_chunk(6);
                                                            flick_cdr_swap_decode_unsigned32(2, _t1114_principal_len, unsigned int );
                                                            flick_iiopxx_decode_end_chunk(6);
                                                            flick_iiopxx_decode_end_glob(40);
                                                            flick_iiopxx_check_span(_t1114_principal_len, _flick_abort2424);
                                                            flick_iiopxx_decode_new_glob(_t1114_principal_len);
                                                            flick_iiopxx_decode_new_chunk(_t1114_principal_len);
                                                            flick_iiopxx_decode_end_chunk(_t1114_principal_len);
                                                            flick_iiopxx_decode_end_glob(_t1114_principal_len);
                                                            /* Begin decode phase on parameters */
                                                            _return = 0;
                                                            flick_iiopxx_server_end_decode();
                                                            flick_corbaxx_init_environment();
                                                            _return = _local_this->unsigned_short_attribute(_ev);
                                                            _stub_state.state = FLICK_STATE_MARSHAL;
                                                            flick_iiopxx_server_start_encode();
                                                            {
                                                              int _t1115_temp_major;

                                                              flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t1115_temp_major);

                                                              flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2424);
                                                              flick_iiopxx_encode_new_glob(6, _flick_abort2424);
                                                              flick_iiopxx_encode_new_chunk(4);
                                                              flick_cdr_encode_signed32(0, _t1115_temp_major, int );
                                                              flick_iiopxx_encode_end_chunk(4);
                                                              switch (_t1115_temp_major)
                                                                {
                                                                case CORBA::NO_EXCEPTION:
                                                                  {
                                                                    /* Begin encode phase on parameters */
                                                                    flick_iiopxx_encode_new_chunk(2);
                                                                    flick_cdr_encode_unsigned16(0, _return, CORBA::UShort );
                                                                    flick_iiopxx_encode_end_chunk(2);
                                                                    flick_iiopxx_encode_end_glob(6);
                                                                    break;
                                                                  }
                                                                case CORBA::SYSTEM_EXCEPTION:
                                                                  {
                                                                    flick_iiopxx_encode_end_glob(6);
                                                                    flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2430);
                                                                    break;
                                                                    {
                                                                    _flick_abort2430:
                                                                      goto _flick_abort2424;
                                                                    }
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2431);
                                                                    flick_iiopxx_encode_end_glob(6);
                                                                    break;
                                                                    {
                                                                    _flick_abort2431:
                                                                      goto _flick_abort2424;
                                                                    }
                                                                  }
                                                                }
                                                            }
                                                            flick_iiopxx_server_end_encode();
                                                            break;
                                                            {
                                                            _flick_abort2424:
                                                              goto _flick_abort2423;
                                                            }
                                                          }
                                                          break;
                                                          {
                                                          _flick_abort2423:
                                                            goto _flick_abort1493;
                                                          }
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                                          flick_iiopxx_decode_end_glob(40);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                                    flick_iiopxx_decode_end_glob(40);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                              flick_iiopxx_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _lim */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600940397):
                    {
                      unsigned int _t1116_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1116_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t1116_switch_tag)
                        {
                        case /* ited */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769235812):
                          {
                            unsigned int _t1117_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1117_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t1117_switch_tag)
                              {
                              case /* _str */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601401970):
                                {
                                  unsigned int _t1118_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1118_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t1118_switch_tag)
                                    {
                                    case /* ing_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768843103):
                                      {
                                        unsigned int _t1119_switch_tag;

                                        flick_iiopxx_decode_new_chunk(4);
                                        flick_cdr_decode_unsigned32(0, _t1119_switch_tag, unsigned int );
                                        flick_iiopxx_decode_end_chunk(4);
                                        switch ((unsigned int )_t1119_switch_tag)
                                          {
                                          case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                            {
                                              unsigned int _t1120_switch_tag;

                                              flick_iiopxx_decode_new_chunk(4);
                                              flick_cdr_decode_unsigned32(0, _t1120_switch_tag, unsigned int );
                                              flick_iiopxx_decode_end_chunk(4);
                                              switch ((unsigned int )_t1120_switch_tag)
                                                {
                                                case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                                  {
                                                    unsigned short int _t1121_switch_tag;

                                                    flick_iiopxx_decode_new_chunk(2);
                                                    flick_cdr_decode_unsigned16(0, _t1121_switch_tag, unsigned short int );
                                                    flick_iiopxx_decode_end_chunk(2);
                                                    switch ((unsigned short int )_t1121_switch_tag)
                                                      {
                                                      case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                                        {
                                                          {
                                                            POA_ex4 *_local_this;
                                                            unsigned int _t1122_principal_len;
                                                            char *_return;
                                                            CORBA::Environment _ev;

                                                            flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort2433);
                                                            /* Decode the requesting `Principal' pseudo object (client ID). */
                                                            flick_iiopxx_decode_new_chunk(6);
                                                            flick_cdr_swap_decode_unsigned32(2, _t1122_principal_len, unsigned int );
                                                            flick_iiopxx_decode_end_chunk(6);
                                                            flick_iiopxx_decode_end_glob(40);
                                                            flick_iiopxx_check_span(_t1122_principal_len, _flick_abort2433);
                                                            flick_iiopxx_decode_new_glob(_t1122_principal_len);
                                                            flick_iiopxx_decode_new_chunk(_t1122_principal_len);
                                                            flick_iiopxx_decode_end_chunk(_t1122_principal_len);
                                                            flick_iiopxx_decode_end_glob(_t1122_principal_len);
                                                            /* Begin decode phase on parameters */
                                                            _return = 0;
                                                            flick_iiopxx_server_end_decode();
                                                            flick_corbaxx_init_environment();
                                                            _return = _local_this->limited_string_attribute(_ev);
                                                            _stub_state.state = FLICK_STATE_MARSHAL;
                                                            flick_iiopxx_server_start_encode();
                                                            {
                                                              int _t1123_temp_major;

                                                              flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t1123_temp_major);

                                                              flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2433);
                                                              flick_iiopxx_encode_new_glob(19, _flick_abort2433);
                                                              flick_iiopxx_encode_new_chunk(4);
                                                              flick_cdr_encode_signed32(0, _t1123_temp_major, int );
                                                              flick_iiopxx_encode_end_chunk(4);
                                                              switch (_t1123_temp_major)
                                                                {
                                                                case CORBA::NO_EXCEPTION:
                                                                  {
                                                                    flick_unsigned32_t _t1125_temp_string_len;

                                                                    flick_cdr_stringlen(CORBA::Char *, _return, flick_unsigned32_t , _t1125_temp_string_len);

                                                                    /* Begin encode phase on parameters */
                                                                    flick_iiopxx_encode_new_chunk(4 + 1 * _t1125_temp_string_len);
                                                                    flick_cdr_encode_unsigned32(0, _t1125_temp_string_len, flick_unsigned32_t );
                                                                    if (_t1125_temp_string_len > 11)
                                                                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort2440);
                                                                    flick_cdr_encode_bcopy(4, _return, 1 * _t1125_temp_string_len);
                                                                    CORBA_string_flick_free(_return);
                                                                    _return = 0;
                                                                    flick_iiopxx_encode_end_chunk(4 + 1 * _t1125_temp_string_len);
                                                                    flick_iiopxx_encode_end_glob(19);
                                                                    break;
                                                                    {
                                                                    _flick_abort2440:
                                                                      goto _flick_abort2433;
                                                                    }
                                                                  }
                                                                case CORBA::SYSTEM_EXCEPTION:
                                                                  {
                                                                    flick_iiopxx_encode_end_glob(19);
                                                                    flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2443);
                                                                    break;
                                                                    {
                                                                    _flick_abort2443:
                                                                      goto _flick_abort2433;
                                                                    }
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2444);
                                                                    flick_iiopxx_encode_end_glob(19);
                                                                    break;
                                                                    {
                                                                    _flick_abort2444:
                                                                      goto _flick_abort2433;
                                                                    }
                                                                  }
                                                                }
                                                            }
                                                            flick_iiopxx_server_end_encode();
                                                            break;
                                                            {
                                                            _flick_abort2433:
                                                              goto _flick_abort2432;
                                                            }
                                                          }
                                                          break;
                                                          {
                                                          _flick_abort2432:
                                                            goto _flick_abort1493;
                                                          }
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                                          flick_iiopxx_decode_end_glob(40);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                                    flick_iiopxx_decode_end_glob(40);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                              flick_iiopxx_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                      flick_iiopxx_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t1126_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t1126_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t1126_switch_tag)
                  {
                  case /* _uns */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601531507):
                    {
                      unsigned int _t1127_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1127_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t1127_switch_tag)
                        {
                        case /* igne */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768386149):
                          {
                            unsigned int _t1128_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1128_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t1128_switch_tag)
                              {
                              case /* d_sh */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1683977064):
                                {
                                  unsigned int _t1129_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1129_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t1129_switch_tag)
                                    {
                                    case /* ort_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869771871):
                                      {
                                        unsigned int _t1130_switch_tag;

                                        flick_iiopxx_decode_new_chunk(4);
                                        flick_cdr_decode_unsigned32(0, _t1130_switch_tag, unsigned int );
                                        flick_iiopxx_decode_end_chunk(4);
                                        switch ((unsigned int )_t1130_switch_tag)
                                          {
                                          case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                            {
                                              unsigned int _t1131_switch_tag;

                                              flick_iiopxx_decode_new_chunk(4);
                                              flick_cdr_decode_unsigned32(0, _t1131_switch_tag, unsigned int );
                                              flick_iiopxx_decode_end_chunk(4);
                                              switch ((unsigned int )_t1131_switch_tag)
                                                {
                                                case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                                  {
                                                    unsigned short int _t1132_switch_tag;

                                                    flick_iiopxx_decode_new_chunk(2);
                                                    flick_cdr_decode_unsigned16(0, _t1132_switch_tag, unsigned short int );
                                                    flick_iiopxx_decode_end_chunk(2);
                                                    switch ((unsigned short int )_t1132_switch_tag)
                                                      {
                                                      case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                                        {
                                                          {
                                                            POA_ex4 *_local_this;
                                                            unsigned int _t1133_principal_len;
                                                            CORBA::UShort _local_unsigned_short_attribute;
                                                            CORBA::Environment _ev;

                                                            flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort2446);
                                                            /* Decode the requesting `Principal' pseudo object (client ID). */
                                                            flick_iiopxx_decode_new_chunk(6);
                                                            flick_cdr_swap_decode_unsigned32(2, _t1133_principal_len, unsigned int );
                                                            flick_iiopxx_decode_end_chunk(6);
                                                            flick_iiopxx_decode_end_glob(40);
                                                            flick_iiopxx_check_span(_t1133_principal_len, _flick_abort2446);
                                                            flick_iiopxx_decode_new_glob(_t1133_principal_len);
                                                            flick_iiopxx_decode_new_chunk(_t1133_principal_len);
                                                            flick_iiopxx_decode_end_chunk(_t1133_principal_len);
                                                            flick_iiopxx_decode_end_glob(_t1133_principal_len);
                                                            /* Begin decode phase on parameters */
                                                            flick_iiopxx_decode_new_glob(3);
                                                            flick_iiopxx_decode_new_chunk_align(2, 1, 0, 0);
                                                            flick_iiopxx_check_span(2, _flick_abort2446);
                                                            flick_cdr_swap_decode_unsigned16(0, _local_unsigned_short_attribute, CORBA::UShort );
                                                            flick_iiopxx_decode_end_chunk(2);
                                                            flick_iiopxx_decode_end_glob(3);
                                                            flick_iiopxx_server_end_decode();
                                                            flick_corbaxx_init_environment();
                                                            _local_this->unsigned_short_attribute(_local_unsigned_short_attribute, _ev);
                                                            _stub_state.state = FLICK_STATE_MARSHAL;
                                                            flick_iiopxx_server_start_encode();
                                                            {
                                                              int _t1134_temp_major;

                                                              flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t1134_temp_major);

                                                              flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2446);
                                                              flick_iiopxx_encode_new_glob(4, _flick_abort2446);
                                                              flick_iiopxx_encode_new_chunk(4);
                                                              flick_cdr_encode_signed32(0, _t1134_temp_major, int );
                                                              flick_iiopxx_encode_end_chunk(4);
                                                              switch (_t1134_temp_major)
                                                                {
                                                                case CORBA::NO_EXCEPTION:
                                                                  {
                                                                    /* Begin encode phase on parameters */
                                                                    flick_iiopxx_encode_end_glob(4);
                                                                    break;
                                                                  }
                                                                case CORBA::SYSTEM_EXCEPTION:
                                                                  {
                                                                    flick_iiopxx_encode_end_glob(4);
                                                                    flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2452);
                                                                    break;
                                                                    {
                                                                    _flick_abort2452:
                                                                      goto _flick_abort2446;
                                                                    }
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2453);
                                                                    flick_iiopxx_encode_end_glob(4);
                                                                    break;
                                                                    {
                                                                    _flick_abort2453:
                                                                      goto _flick_abort2446;
                                                                    }
                                                                  }
                                                                }
                                                            }
                                                            flick_iiopxx_server_end_encode();
                                                            break;
                                                            {
                                                            _flick_abort2446:
                                                              goto _flick_abort2445;
                                                            }
                                                          }
                                                          break;
                                                          {
                                                          _flick_abort2445:
                                                            goto _flick_abort1493;
                                                          }
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                                          flick_iiopxx_decode_end_glob(40);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                                    flick_iiopxx_decode_end_glob(40);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                              flick_iiopxx_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                      flick_iiopxx_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                flick_iiopxx_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 20:
        {
          unsigned int _t1135_switch_tag;

          flick_iiopxx_check_span(24, _flick_abort1493);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t1135_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t1135_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t1136_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t1136_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t1136_switch_tag)
                  {
                  case /* _cha */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600350305):
                    {
                      unsigned int _t1137_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1137_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t1137_switch_tag)
                        {
                        case /* r_at */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1918853492):
                          {
                            unsigned int _t1138_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1138_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t1138_switch_tag)
                              {
                              case /* trib */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953655138):
                                {
                                  unsigned int _t1139_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1139_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t1139_switch_tag)
                                    {
                                    case /* ute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1970562304):
                                      {
                                        {
                                          POA_ex4 *_local_this;
                                          unsigned int _t1140_principal_len;
                                          CORBA::Char _return;
                                          CORBA::Environment _ev;

                                          flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort2455);
                                          /* Decode the requesting `Principal' pseudo object (client ID). */
                                          flick_iiopxx_decode_new_chunk(4);
                                          flick_cdr_swap_decode_unsigned32(0, _t1140_principal_len, unsigned int );
                                          flick_iiopxx_decode_end_chunk(4);
                                          flick_iiopxx_decode_end_glob(40);
                                          flick_iiopxx_check_span(_t1140_principal_len, _flick_abort2455);
                                          flick_iiopxx_decode_new_glob(_t1140_principal_len);
                                          flick_iiopxx_decode_new_chunk(_t1140_principal_len);
                                          flick_iiopxx_decode_end_chunk(_t1140_principal_len);
                                          flick_iiopxx_decode_end_glob(_t1140_principal_len);
                                          /* Begin decode phase on parameters */
                                          _return = 0;
                                          flick_iiopxx_server_end_decode();
                                          flick_corbaxx_init_environment();
                                          _return = _local_this->char_attribute(_ev);
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_iiopxx_server_start_encode();
                                          {
                                            int _t1141_temp_major;

                                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t1141_temp_major);

                                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2455);
                                            flick_iiopxx_encode_new_glob(5, _flick_abort2455);
                                            flick_iiopxx_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _t1141_temp_major, int );
                                            flick_iiopxx_encode_end_chunk(4);
                                            switch (_t1141_temp_major)
                                              {
                                              case CORBA::NO_EXCEPTION:
                                                {
                                                  /* Begin encode phase on parameters */
                                                  flick_iiopxx_encode_new_chunk(1);
                                                  flick_cdr_encode_char8(0, _return, CORBA::Char );
                                                  flick_iiopxx_encode_end_chunk(1);
                                                  flick_iiopxx_encode_end_glob(5);
                                                  break;
                                                }
                                              case CORBA::SYSTEM_EXCEPTION:
                                                {
                                                  flick_iiopxx_encode_end_glob(5);
                                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2461);
                                                  break;
                                                  {
                                                  _flick_abort2461:
                                                    goto _flick_abort2455;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2462);
                                                  flick_iiopxx_encode_end_glob(5);
                                                  break;
                                                  {
                                                  _flick_abort2462:
                                                    goto _flick_abort2455;
                                                  }
                                                }
                                              }
                                          }
                                          flick_iiopxx_server_end_encode();
                                          break;
                                          {
                                          _flick_abort2455:
                                            goto _flick_abort2454;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort2454:
                                          goto _flick_abort1493;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _lon */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600941934):
                    {
                      unsigned int _t1142_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1142_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t1142_switch_tag)
                        {
                        case /* g_at */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1734304116):
                          {
                            unsigned int _t1143_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1143_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t1143_switch_tag)
                              {
                              case /* trib */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953655138):
                                {
                                  unsigned int _t1144_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1144_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t1144_switch_tag)
                                    {
                                    case /* ute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1970562304):
                                      {
                                        {
                                          POA_ex4 *_local_this;
                                          unsigned int _t1145_principal_len;
                                          CORBA::Long _return;
                                          CORBA::Environment _ev;

                                          flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort2464);
                                          /* Decode the requesting `Principal' pseudo object (client ID). */
                                          flick_iiopxx_decode_new_chunk(4);
                                          flick_cdr_swap_decode_unsigned32(0, _t1145_principal_len, unsigned int );
                                          flick_iiopxx_decode_end_chunk(4);
                                          flick_iiopxx_decode_end_glob(40);
                                          flick_iiopxx_check_span(_t1145_principal_len, _flick_abort2464);
                                          flick_iiopxx_decode_new_glob(_t1145_principal_len);
                                          flick_iiopxx_decode_new_chunk(_t1145_principal_len);
                                          flick_iiopxx_decode_end_chunk(_t1145_principal_len);
                                          flick_iiopxx_decode_end_glob(_t1145_principal_len);
                                          /* Begin decode phase on parameters */
                                          _return = 0;
                                          flick_iiopxx_server_end_decode();
                                          flick_corbaxx_init_environment();
                                          _return = _local_this->long_attribute(_ev);
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_iiopxx_server_start_encode();
                                          {
                                            int _t1146_temp_major;

                                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t1146_temp_major);

                                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2464);
                                            flick_iiopxx_encode_new_glob(8, _flick_abort2464);
                                            flick_iiopxx_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _t1146_temp_major, int );
                                            flick_iiopxx_encode_end_chunk(4);
                                            switch (_t1146_temp_major)
                                              {
                                              case CORBA::NO_EXCEPTION:
                                                {
                                                  /* Begin encode phase on parameters */
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  flick_iiopxx_encode_end_glob(8);
                                                  break;
                                                }
                                              case CORBA::SYSTEM_EXCEPTION:
                                                {
                                                  flick_iiopxx_encode_end_glob(8);
                                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2470);
                                                  break;
                                                  {
                                                  _flick_abort2470:
                                                    goto _flick_abort2464;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2471);
                                                  flick_iiopxx_encode_end_glob(8);
                                                  break;
                                                  {
                                                  _flick_abort2471:
                                                    goto _flick_abort2464;
                                                  }
                                                }
                                              }
                                          }
                                          flick_iiopxx_server_end_encode();
                                          break;
                                          {
                                          _flick_abort2464:
                                            goto _flick_abort2463;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort2463:
                                          goto _flick_abort1493;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                      flick_iiopxx_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                flick_iiopxx_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 23:
        {
          unsigned int _t1147_switch_tag;

          flick_iiopxx_check_span(28, _flick_abort1493);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t1147_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t1147_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t1148_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t1148_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t1148_switch_tag)
                  {
                  case /* _boo */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600286575):
                    {
                      unsigned int _t1149_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1149_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t1149_switch_tag)
                        {
                        case /* lean */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1818583406):
                          {
                            unsigned int _t1150_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1150_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t1150_switch_tag)
                              {
                              case /* _att */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600222324):
                                {
                                  unsigned int _t1151_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1151_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t1151_switch_tag)
                                    {
                                    case /* ribu */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1919509109):
                                      {
                                        unsigned short int _t1152_switch_tag;

                                        flick_iiopxx_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t1152_switch_tag, unsigned short int );
                                        flick_iiopxx_decode_end_chunk(2);
                                        switch ((unsigned short int )_t1152_switch_tag)
                                          {
                                          case /* te */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29797):
                                            {
                                              char _t1153_switch_tag;

                                              flick_iiopxx_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t1153_switch_tag, char );
                                              flick_iiopxx_decode_end_chunk(1);
                                              switch ((char )_t1153_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      POA_ex4 *_local_this;
                                                      unsigned int _t1154_principal_len;
                                                      CORBA::Boolean _return;
                                                      CORBA::Environment _ev;

                                                      flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort2473);
                                                      /* Decode the requesting `Principal' pseudo object (client ID). */
                                                      flick_iiopxx_decode_new_chunk(5);
                                                      flick_cdr_swap_decode_unsigned32(1, _t1154_principal_len, unsigned int );
                                                      flick_iiopxx_decode_end_chunk(5);
                                                      flick_iiopxx_decode_end_glob(40);
                                                      flick_iiopxx_check_span(_t1154_principal_len, _flick_abort2473);
                                                      flick_iiopxx_decode_new_glob(_t1154_principal_len);
                                                      flick_iiopxx_decode_new_chunk(_t1154_principal_len);
                                                      flick_iiopxx_decode_end_chunk(_t1154_principal_len);
                                                      flick_iiopxx_decode_end_glob(_t1154_principal_len);
                                                      /* Begin decode phase on parameters */
                                                      _return = 0;
                                                      flick_iiopxx_server_end_decode();
                                                      flick_corbaxx_init_environment();
                                                      _return = _local_this->boolean_attribute(_ev);
                                                      _stub_state.state = FLICK_STATE_MARSHAL;
                                                      flick_iiopxx_server_start_encode();
                                                      {
                                                        int _t1155_temp_major;

                                                        flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t1155_temp_major);

                                                        flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2473);
                                                        flick_iiopxx_encode_new_glob(5, _flick_abort2473);
                                                        flick_iiopxx_encode_new_chunk(4);
                                                        flick_cdr_encode_signed32(0, _t1155_temp_major, int );
                                                        flick_iiopxx_encode_end_chunk(4);
                                                        switch (_t1155_temp_major)
                                                          {
                                                          case CORBA::NO_EXCEPTION:
                                                            {
                                                              /* Begin encode phase on parameters */
                                                              flick_iiopxx_encode_new_chunk(1);
                                                              flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                                              flick_iiopxx_encode_end_chunk(1);
                                                              flick_iiopxx_encode_end_glob(5);
                                                              break;
                                                            }
                                                          case CORBA::SYSTEM_EXCEPTION:
                                                            {
                                                              flick_iiopxx_encode_end_glob(5);
                                                              flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2479);
                                                              break;
                                                              {
                                                              _flick_abort2479:
                                                                goto _flick_abort2473;
                                                              }
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2480);
                                                              flick_iiopxx_encode_end_glob(5);
                                                              break;
                                                              {
                                                              _flick_abort2480:
                                                                goto _flick_abort2473;
                                                              }
                                                            }
                                                          }
                                                      }
                                                      flick_iiopxx_server_end_encode();
                                                      break;
                                                      {
                                                      _flick_abort2473:
                                                        goto _flick_abort2472;
                                                      }
                                                    }
                                                    break;
                                                    {
                                                    _flick_abort2472:
                                                      goto _flick_abort1493;
                                                    }
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                                    flick_iiopxx_decode_end_glob(40);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                              flick_iiopxx_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                      flick_iiopxx_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t1156_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t1156_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t1156_switch_tag)
                  {
                  case /* _boo */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600286575):
                    {
                      unsigned int _t1157_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1157_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t1157_switch_tag)
                        {
                        case /* lean */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1818583406):
                          {
                            unsigned int _t1158_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1158_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t1158_switch_tag)
                              {
                              case /* _att */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600222324):
                                {
                                  unsigned int _t1159_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1159_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t1159_switch_tag)
                                    {
                                    case /* ribu */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1919509109):
                                      {
                                        unsigned short int _t1160_switch_tag;

                                        flick_iiopxx_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t1160_switch_tag, unsigned short int );
                                        flick_iiopxx_decode_end_chunk(2);
                                        switch ((unsigned short int )_t1160_switch_tag)
                                          {
                                          case /* te */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29797):
                                            {
                                              char _t1161_switch_tag;

                                              flick_iiopxx_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t1161_switch_tag, char );
                                              flick_iiopxx_decode_end_chunk(1);
                                              switch ((char )_t1161_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      POA_ex4 *_local_this;
                                                      unsigned int _t1162_principal_len;
                                                      CORBA::Boolean _local_boolean_attribute;
                                                      CORBA::Environment _ev;

                                                      flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort2482);
                                                      /* Decode the requesting `Principal' pseudo object (client ID). */
                                                      flick_iiopxx_decode_new_chunk(5);
                                                      flick_cdr_swap_decode_unsigned32(1, _t1162_principal_len, unsigned int );
                                                      flick_iiopxx_decode_end_chunk(5);
                                                      flick_iiopxx_decode_end_glob(40);
                                                      flick_iiopxx_check_span(_t1162_principal_len + 1, _flick_abort2482);
                                                      flick_iiopxx_decode_new_glob(_t1162_principal_len);
                                                      flick_iiopxx_decode_new_chunk(_t1162_principal_len);
                                                      flick_iiopxx_decode_end_chunk(_t1162_principal_len);
                                                      flick_iiopxx_decode_end_glob(_t1162_principal_len);
                                                      /* Begin decode phase on parameters */
                                                      flick_iiopxx_decode_new_glob(1);
                                                      flick_iiopxx_decode_new_chunk(1);
                                                      flick_cdr_swap_decode_unsigned8(0, _local_boolean_attribute, CORBA::Boolean );
                                                      flick_iiopxx_decode_end_chunk(1);
                                                      flick_iiopxx_decode_end_glob(1);
                                                      flick_iiopxx_server_end_decode();
                                                      flick_corbaxx_init_environment();
                                                      _local_this->boolean_attribute(_local_boolean_attribute, _ev);
                                                      _stub_state.state = FLICK_STATE_MARSHAL;
                                                      flick_iiopxx_server_start_encode();
                                                      {
                                                        int _t1163_temp_major;

                                                        flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t1163_temp_major);

                                                        flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2482);
                                                        flick_iiopxx_encode_new_glob(4, _flick_abort2482);
                                                        flick_iiopxx_encode_new_chunk(4);
                                                        flick_cdr_encode_signed32(0, _t1163_temp_major, int );
                                                        flick_iiopxx_encode_end_chunk(4);
                                                        switch (_t1163_temp_major)
                                                          {
                                                          case CORBA::NO_EXCEPTION:
                                                            {
                                                              /* Begin encode phase on parameters */
                                                              flick_iiopxx_encode_end_glob(4);
                                                              break;
                                                            }
                                                          case CORBA::SYSTEM_EXCEPTION:
                                                            {
                                                              flick_iiopxx_encode_end_glob(4);
                                                              flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2488);
                                                              break;
                                                              {
                                                              _flick_abort2488:
                                                                goto _flick_abort2482;
                                                              }
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2489);
                                                              flick_iiopxx_encode_end_glob(4);
                                                              break;
                                                              {
                                                              _flick_abort2489:
                                                                goto _flick_abort2482;
                                                              }
                                                            }
                                                          }
                                                      }
                                                      flick_iiopxx_server_end_encode();
                                                      break;
                                                      {
                                                      _flick_abort2482:
                                                        goto _flick_abort2481;
                                                      }
                                                    }
                                                    break;
                                                    {
                                                    _flick_abort2481:
                                                      goto _flick_abort1493;
                                                    }
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                                    flick_iiopxx_decode_end_glob(40);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                              flick_iiopxx_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                      flick_iiopxx_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                flick_iiopxx_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 21:
        {
          unsigned int _t1164_switch_tag;

          flick_iiopxx_check_span(28, _flick_abort1493);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t1164_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t1164_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t1165_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t1165_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t1165_switch_tag)
                  {
                  case /* _oct */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601135476):
                    {
                      unsigned int _t1166_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1166_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t1166_switch_tag)
                        {
                        case /* et_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1702125409):
                          {
                            unsigned int _t1167_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1167_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t1167_switch_tag)
                              {
                              case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                {
                                  unsigned int _t1168_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1168_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t1168_switch_tag)
                                    {
                                    case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                      {
                                        char _t1169_switch_tag;

                                        flick_iiopxx_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t1169_switch_tag, char );
                                        flick_iiopxx_decode_end_chunk(1);
                                        switch ((char )_t1169_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                POA_ex4 *_local_this;
                                                unsigned int _t1170_principal_len;
                                                CORBA::Octet _return;
                                                CORBA::Environment _ev;

                                                flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort2491);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_iiopxx_decode_new_chunk(7);
                                                flick_cdr_swap_decode_unsigned32(3, _t1170_principal_len, unsigned int );
                                                flick_iiopxx_decode_end_chunk(7);
                                                flick_iiopxx_decode_end_glob(40);
                                                flick_iiopxx_check_span(_t1170_principal_len, _flick_abort2491);
                                                flick_iiopxx_decode_new_glob(_t1170_principal_len);
                                                flick_iiopxx_decode_new_chunk(_t1170_principal_len);
                                                flick_iiopxx_decode_end_chunk(_t1170_principal_len);
                                                flick_iiopxx_decode_end_glob(_t1170_principal_len);
                                                /* Begin decode phase on parameters */
                                                _return = 0;
                                                flick_iiopxx_server_end_decode();
                                                flick_corbaxx_init_environment();
                                                _return = _local_this->octet_attribute(_ev);
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_iiopxx_server_start_encode();
                                                {
                                                  int _t1171_temp_major;

                                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t1171_temp_major);

                                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2491);
                                                  flick_iiopxx_encode_new_glob(5, _flick_abort2491);
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _t1171_temp_major, int );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  switch (_t1171_temp_major)
                                                    {
                                                    case CORBA::NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_iiopxx_encode_new_chunk(1);
                                                        flick_cdr_encode_unsigned8(0, _return, CORBA::Octet );
                                                        flick_iiopxx_encode_end_chunk(1);
                                                        flick_iiopxx_encode_end_glob(5);
                                                        break;
                                                      }
                                                    case CORBA::SYSTEM_EXCEPTION:
                                                      {
                                                        flick_iiopxx_encode_end_glob(5);
                                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2497);
                                                        break;
                                                        {
                                                        _flick_abort2497:
                                                          goto _flick_abort2491;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2498);
                                                        flick_iiopxx_encode_end_glob(5);
                                                        break;
                                                        {
                                                        _flick_abort2498:
                                                          goto _flick_abort2491;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_iiopxx_server_end_encode();
                                                break;
                                                {
                                                _flick_abort2491:
                                                  goto _flick_abort2490;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort2490:
                                                goto _flick_abort1493;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                              flick_iiopxx_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _flo */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600547951):
                    {
                      unsigned int _t1172_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1172_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t1172_switch_tag)
                        {
                        case /* at_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635016545):
                          {
                            unsigned int _t1173_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1173_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t1173_switch_tag)
                              {
                              case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                {
                                  unsigned int _t1174_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1174_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t1174_switch_tag)
                                    {
                                    case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                      {
                                        char _t1175_switch_tag;

                                        flick_iiopxx_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t1175_switch_tag, char );
                                        flick_iiopxx_decode_end_chunk(1);
                                        switch ((char )_t1175_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                POA_ex4 *_local_this;
                                                unsigned int _t1176_principal_len;
                                                CORBA::Float _return;
                                                CORBA::Environment _ev;

                                                flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort2500);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_iiopxx_decode_new_chunk(7);
                                                flick_cdr_swap_decode_unsigned32(3, _t1176_principal_len, unsigned int );
                                                flick_iiopxx_decode_end_chunk(7);
                                                flick_iiopxx_decode_end_glob(40);
                                                flick_iiopxx_check_span(_t1176_principal_len, _flick_abort2500);
                                                flick_iiopxx_decode_new_glob(_t1176_principal_len);
                                                flick_iiopxx_decode_new_chunk(_t1176_principal_len);
                                                flick_iiopxx_decode_end_chunk(_t1176_principal_len);
                                                flick_iiopxx_decode_end_glob(_t1176_principal_len);
                                                /* Begin decode phase on parameters */
                                                _return = 0.000000;
                                                flick_iiopxx_server_end_decode();
                                                flick_corbaxx_init_environment();
                                                _return = _local_this->float_attribute(_ev);
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_iiopxx_server_start_encode();
                                                {
                                                  int _t1177_temp_major;

                                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t1177_temp_major);

                                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2500);
                                                  flick_iiopxx_encode_new_glob(8, _flick_abort2500);
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _t1177_temp_major, int );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  switch (_t1177_temp_major)
                                                    {
                                                    case CORBA::NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_iiopxx_encode_new_chunk(4);
                                                        flick_cdr_encode_float32(0, _return, CORBA::Float );
                                                        flick_iiopxx_encode_end_chunk(4);
                                                        flick_iiopxx_encode_end_glob(8);
                                                        break;
                                                      }
                                                    case CORBA::SYSTEM_EXCEPTION:
                                                      {
                                                        flick_iiopxx_encode_end_glob(8);
                                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2506);
                                                        break;
                                                        {
                                                        _flick_abort2506:
                                                          goto _flick_abort2500;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2507);
                                                        flick_iiopxx_encode_end_glob(8);
                                                        break;
                                                        {
                                                        _flick_abort2507:
                                                          goto _flick_abort2500;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_iiopxx_server_end_encode();
                                                break;
                                                {
                                                _flick_abort2500:
                                                  goto _flick_abort2499;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort2499:
                                                goto _flick_abort1493;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                              flick_iiopxx_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _sho */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398895):
                    {
                      unsigned int _t1178_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1178_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t1178_switch_tag)
                        {
                        case /* rt_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1920229217):
                          {
                            unsigned int _t1179_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1179_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t1179_switch_tag)
                              {
                              case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                {
                                  unsigned int _t1180_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1180_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t1180_switch_tag)
                                    {
                                    case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                      {
                                        char _t1181_switch_tag;

                                        flick_iiopxx_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t1181_switch_tag, char );
                                        flick_iiopxx_decode_end_chunk(1);
                                        switch ((char )_t1181_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                POA_ex4 *_local_this;
                                                unsigned int _t1182_principal_len;
                                                CORBA::Short _return;
                                                CORBA::Environment _ev;

                                                flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort2509);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_iiopxx_decode_new_chunk(7);
                                                flick_cdr_swap_decode_unsigned32(3, _t1182_principal_len, unsigned int );
                                                flick_iiopxx_decode_end_chunk(7);
                                                flick_iiopxx_decode_end_glob(40);
                                                flick_iiopxx_check_span(_t1182_principal_len, _flick_abort2509);
                                                flick_iiopxx_decode_new_glob(_t1182_principal_len);
                                                flick_iiopxx_decode_new_chunk(_t1182_principal_len);
                                                flick_iiopxx_decode_end_chunk(_t1182_principal_len);
                                                flick_iiopxx_decode_end_glob(_t1182_principal_len);
                                                /* Begin decode phase on parameters */
                                                _return = 0;
                                                flick_iiopxx_server_end_decode();
                                                flick_corbaxx_init_environment();
                                                _return = _local_this->short_attribute(_ev);
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_iiopxx_server_start_encode();
                                                {
                                                  int _t1183_temp_major;

                                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t1183_temp_major);

                                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2509);
                                                  flick_iiopxx_encode_new_glob(6, _flick_abort2509);
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _t1183_temp_major, int );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  switch (_t1183_temp_major)
                                                    {
                                                    case CORBA::NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_iiopxx_encode_new_chunk(2);
                                                        flick_cdr_encode_signed16(0, _return, CORBA::Short );
                                                        flick_iiopxx_encode_end_chunk(2);
                                                        flick_iiopxx_encode_end_glob(6);
                                                        break;
                                                      }
                                                    case CORBA::SYSTEM_EXCEPTION:
                                                      {
                                                        flick_iiopxx_encode_end_glob(6);
                                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2515);
                                                        break;
                                                        {
                                                        _flick_abort2515:
                                                          goto _flick_abort2509;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2516);
                                                        flick_iiopxx_encode_end_glob(6);
                                                        break;
                                                        {
                                                        _flick_abort2516:
                                                          goto _flick_abort2509;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_iiopxx_server_end_encode();
                                                break;
                                                {
                                                _flick_abort2509:
                                                  goto _flick_abort2508;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort2508:
                                                goto _flick_abort1493;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                              flick_iiopxx_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                      flick_iiopxx_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t1184_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t1184_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t1184_switch_tag)
                  {
                  case /* _sho */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398895):
                    {
                      unsigned int _t1185_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1185_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t1185_switch_tag)
                        {
                        case /* rt_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1920229217):
                          {
                            unsigned int _t1186_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1186_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t1186_switch_tag)
                              {
                              case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                {
                                  unsigned int _t1187_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1187_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t1187_switch_tag)
                                    {
                                    case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                      {
                                        char _t1188_switch_tag;

                                        flick_iiopxx_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t1188_switch_tag, char );
                                        flick_iiopxx_decode_end_chunk(1);
                                        switch ((char )_t1188_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                POA_ex4 *_local_this;
                                                unsigned int _t1189_principal_len;
                                                CORBA::Short _local_short_attribute;
                                                CORBA::Environment _ev;

                                                flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort2518);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_iiopxx_decode_new_chunk(7);
                                                flick_cdr_swap_decode_unsigned32(3, _t1189_principal_len, unsigned int );
                                                flick_iiopxx_decode_end_chunk(7);
                                                flick_iiopxx_decode_end_glob(40);
                                                flick_iiopxx_check_span(_t1189_principal_len, _flick_abort2518);
                                                flick_iiopxx_decode_new_glob(_t1189_principal_len);
                                                flick_iiopxx_decode_new_chunk(_t1189_principal_len);
                                                flick_iiopxx_decode_end_chunk(_t1189_principal_len);
                                                flick_iiopxx_decode_end_glob(_t1189_principal_len);
                                                /* Begin decode phase on parameters */
                                                flick_iiopxx_decode_new_glob(3);
                                                flick_iiopxx_decode_new_chunk_align(2, 1, 0, 0);
                                                flick_iiopxx_check_span(2, _flick_abort2518);
                                                flick_cdr_swap_decode_signed16(0, _local_short_attribute, CORBA::Short );
                                                flick_iiopxx_decode_end_chunk(2);
                                                flick_iiopxx_decode_end_glob(3);
                                                flick_iiopxx_server_end_decode();
                                                flick_corbaxx_init_environment();
                                                _local_this->short_attribute(_local_short_attribute, _ev);
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_iiopxx_server_start_encode();
                                                {
                                                  int _t1190_temp_major;

                                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t1190_temp_major);

                                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2518);
                                                  flick_iiopxx_encode_new_glob(4, _flick_abort2518);
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _t1190_temp_major, int );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  switch (_t1190_temp_major)
                                                    {
                                                    case CORBA::NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_iiopxx_encode_end_glob(4);
                                                        break;
                                                      }
                                                    case CORBA::SYSTEM_EXCEPTION:
                                                      {
                                                        flick_iiopxx_encode_end_glob(4);
                                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2524);
                                                        break;
                                                        {
                                                        _flick_abort2524:
                                                          goto _flick_abort2518;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2525);
                                                        flick_iiopxx_encode_end_glob(4);
                                                        break;
                                                        {
                                                        _flick_abort2525:
                                                          goto _flick_abort2518;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_iiopxx_server_end_encode();
                                                break;
                                                {
                                                _flick_abort2518:
                                                  goto _flick_abort2517;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort2517:
                                                goto _flick_abort1493;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                              flick_iiopxx_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                      flick_iiopxx_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                flick_iiopxx_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 22:
        {
          unsigned int _t1191_switch_tag;

          flick_iiopxx_check_span(28, _flick_abort1493);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t1191_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t1191_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t1192_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t1192_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t1192_switch_tag)
                  {
                  case /* _str */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601401970):
                    {
                      unsigned int _t1193_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1193_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t1193_switch_tag)
                        {
                        case /* ing_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768843103):
                          {
                            unsigned int _t1194_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1194_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t1194_switch_tag)
                              {
                              case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                {
                                  unsigned int _t1195_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1195_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t1195_switch_tag)
                                    {
                                    case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                      {
                                        unsigned short int _t1196_switch_tag;

                                        flick_iiopxx_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t1196_switch_tag, unsigned short int );
                                        flick_iiopxx_decode_end_chunk(2);
                                        switch ((unsigned short int )_t1196_switch_tag)
                                          {
                                          case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                            {
                                              {
                                                POA_ex4 *_local_this;
                                                unsigned int _t1197_principal_len;
                                                char *_return;
                                                CORBA::Environment _ev;

                                                flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort2527);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_iiopxx_decode_new_chunk(6);
                                                flick_cdr_swap_decode_unsigned32(2, _t1197_principal_len, unsigned int );
                                                flick_iiopxx_decode_end_chunk(6);
                                                flick_iiopxx_decode_end_glob(40);
                                                flick_iiopxx_check_span(_t1197_principal_len, _flick_abort2527);
                                                flick_iiopxx_decode_new_glob(_t1197_principal_len);
                                                flick_iiopxx_decode_new_chunk(_t1197_principal_len);
                                                flick_iiopxx_decode_end_chunk(_t1197_principal_len);
                                                flick_iiopxx_decode_end_glob(_t1197_principal_len);
                                                /* Begin decode phase on parameters */
                                                _return = 0;
                                                flick_iiopxx_server_end_decode();
                                                flick_corbaxx_init_environment();
                                                _return = _local_this->string_attribute(_ev);
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_iiopxx_server_start_encode();
                                                {
                                                  int _t1198_temp_major;

                                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t1198_temp_major);

                                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2527);
                                                  flick_iiopxx_encode_new_glob(8, _flick_abort2527);
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _t1198_temp_major, int );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  switch (_t1198_temp_major)
                                                    {
                                                    case CORBA::NO_EXCEPTION:
                                                      {
                                                        flick_unsigned32_t _t1200_temp_string_len;

                                                        flick_cdr_stringlen(CORBA::Char *, _return, flick_unsigned32_t , _t1200_temp_string_len);

                                                        /* Begin encode phase on parameters */
                                                        flick_iiopxx_encode_new_chunk(4);
                                                        flick_cdr_encode_unsigned32(0, _t1200_temp_string_len, flick_unsigned32_t );
                                                        flick_iiopxx_encode_end_chunk(4);
                                                        flick_iiopxx_encode_end_glob(8);
                                                        flick_iiopxx_encode_new_glob(1 * _t1200_temp_string_len, _flick_abort2534);
                                                        flick_iiopxx_encode_new_chunk(1 * _t1200_temp_string_len);
                                                        flick_cdr_encode_bcopy(0, _return, 1 * _t1200_temp_string_len);
                                                        CORBA_string_flick_free(_return);
                                                        _return = 0;
                                                        flick_iiopxx_encode_end_chunk(1 * _t1200_temp_string_len);
                                                        flick_iiopxx_encode_end_glob(1 * _t1200_temp_string_len);
                                                        break;
                                                        {
                                                        _flick_abort2534:
                                                          goto _flick_abort2527;
                                                        }
                                                      }
                                                    case CORBA::SYSTEM_EXCEPTION:
                                                      {
                                                        flick_iiopxx_encode_end_glob(8);
                                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2537);
                                                        break;
                                                        {
                                                        _flick_abort2537:
                                                          goto _flick_abort2527;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2538);
                                                        flick_iiopxx_encode_end_glob(8);
                                                        break;
                                                        {
                                                        _flick_abort2538:
                                                          goto _flick_abort2527;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_iiopxx_server_end_encode();
                                                break;
                                                {
                                                _flick_abort2527:
                                                  goto _flick_abort2526;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort2526:
                                                goto _flick_abort1493;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                              flick_iiopxx_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _dou */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600417653):
                    {
                      unsigned int _t1201_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1201_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t1201_switch_tag)
                        {
                        case /* ble_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651271007):
                          {
                            unsigned int _t1202_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1202_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t1202_switch_tag)
                              {
                              case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                {
                                  unsigned int _t1203_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1203_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t1203_switch_tag)
                                    {
                                    case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                      {
                                        unsigned short int _t1204_switch_tag;

                                        flick_iiopxx_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t1204_switch_tag, unsigned short int );
                                        flick_iiopxx_decode_end_chunk(2);
                                        switch ((unsigned short int )_t1204_switch_tag)
                                          {
                                          case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                            {
                                              {
                                                POA_ex4 *_local_this;
                                                unsigned int _t1205_principal_len;
                                                CORBA::Double _return;
                                                CORBA::Environment _ev;

                                                flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort2540);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_iiopxx_decode_new_chunk(6);
                                                flick_cdr_swap_decode_unsigned32(2, _t1205_principal_len, unsigned int );
                                                flick_iiopxx_decode_end_chunk(6);
                                                flick_iiopxx_decode_end_glob(40);
                                                flick_iiopxx_check_span(_t1205_principal_len, _flick_abort2540);
                                                flick_iiopxx_decode_new_glob(_t1205_principal_len);
                                                flick_iiopxx_decode_new_chunk(_t1205_principal_len);
                                                flick_iiopxx_decode_end_chunk(_t1205_principal_len);
                                                flick_iiopxx_decode_end_glob(_t1205_principal_len);
                                                /* Begin decode phase on parameters */
                                                _return = 0.000000;
                                                flick_iiopxx_server_end_decode();
                                                flick_corbaxx_init_environment();
                                                _return = _local_this->double_attribute(_ev);
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_iiopxx_server_start_encode();
                                                {
                                                  int _t1206_temp_major;

                                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t1206_temp_major);

                                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2540);
                                                  flick_iiopxx_encode_new_glob(16, _flick_abort2540);
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _t1206_temp_major, int );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  switch (_t1206_temp_major)
                                                    {
                                                    case CORBA::NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_iiopxx_encode_new_chunk_align(8, 3, 2, 0);
                                                        flick_cdr_encode_float64(0, _return, CORBA::Double );
                                                        flick_iiopxx_encode_end_chunk(8);
                                                        flick_iiopxx_encode_end_glob(16);
                                                        break;
                                                      }
                                                    case CORBA::SYSTEM_EXCEPTION:
                                                      {
                                                        flick_iiopxx_encode_end_glob(16);
                                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2546);
                                                        break;
                                                        {
                                                        _flick_abort2546:
                                                          goto _flick_abort2540;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2547);
                                                        flick_iiopxx_encode_end_glob(16);
                                                        break;
                                                        {
                                                        _flick_abort2547:
                                                          goto _flick_abort2540;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_iiopxx_server_end_encode();
                                                break;
                                                {
                                                _flick_abort2540:
                                                  goto _flick_abort2539;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort2539:
                                                goto _flick_abort1493;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                              flick_iiopxx_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                      flick_iiopxx_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t1207_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t1207_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t1207_switch_tag)
                  {
                  case /* _str */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601401970):
                    {
                      unsigned int _t1208_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1208_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t1208_switch_tag)
                        {
                        case /* ing_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768843103):
                          {
                            unsigned int _t1209_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1209_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t1209_switch_tag)
                              {
                              case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                {
                                  unsigned int _t1210_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1210_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t1210_switch_tag)
                                    {
                                    case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                      {
                                        unsigned short int _t1211_switch_tag;

                                        flick_iiopxx_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t1211_switch_tag, unsigned short int );
                                        flick_iiopxx_decode_end_chunk(2);
                                        switch ((unsigned short int )_t1211_switch_tag)
                                          {
                                          case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                            {
                                              {
                                                POA_ex4 *_local_this;
                                                unsigned int _t1212_principal_len;
                                                char *_local_string_attribute;
                                                flick_unsigned32_t _t1213_temp_string_len;
                                                CORBA::Environment _ev;

                                                flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort2549);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_iiopxx_decode_new_chunk(6);
                                                flick_cdr_swap_decode_unsigned32(2, _t1212_principal_len, unsigned int );
                                                flick_iiopxx_decode_end_chunk(6);
                                                flick_iiopxx_decode_end_glob(40);
                                                flick_iiopxx_check_span(_t1212_principal_len, _flick_abort2549);
                                                flick_iiopxx_decode_new_glob(_t1212_principal_len);
                                                flick_iiopxx_decode_new_chunk(_t1212_principal_len);
                                                flick_iiopxx_decode_end_chunk(_t1212_principal_len);
                                                flick_iiopxx_decode_end_glob(_t1212_principal_len);
                                                /* Begin decode phase on parameters */
                                                flick_iiopxx_decode_new_glob(7);
                                                flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                                flick_iiopxx_check_span(4, _flick_abort2549);
                                                flick_cdr_swap_decode_unsigned32(0, _t1213_temp_string_len, flick_unsigned32_t );
                                                flick_iiopxx_decode_end_chunk(4);
                                                flick_iiopxx_decode_end_glob(7);
                                                flick_iiopxx_decode_new_glob(1 * _t1213_temp_string_len);
                                                flick_iiopxx_check_span(1 * _t1213_temp_string_len, _flick_abort2549);
                                                flick_iiopxx_decode_new_chunk(1 * _t1213_temp_string_len);
                                                flick_cdr_swap_decode_msgptr(0, _local_string_attribute, CORBA::Char *);
                                                flick_iiopxx_decode_end_chunk(1 * _t1213_temp_string_len);
                                                flick_iiopxx_decode_end_glob(1 * _t1213_temp_string_len);
                                                flick_iiopxx_server_end_decode();
                                                flick_corbaxx_init_environment();
                                                _local_this->string_attribute(_local_string_attribute, _ev);
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_iiopxx_server_start_encode();
                                                {
                                                  int _t1214_temp_major;

                                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t1214_temp_major);

                                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2549);
                                                  flick_iiopxx_encode_new_glob(4, _flick_abort2549);
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _t1214_temp_major, int );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  switch (_t1214_temp_major)
                                                    {
                                                    case CORBA::NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_iiopxx_encode_end_glob(4);
                                                        break;
                                                      }
                                                    case CORBA::SYSTEM_EXCEPTION:
                                                      {
                                                        flick_iiopxx_encode_end_glob(4);
                                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2557);
                                                        break;
                                                        {
                                                        _flick_abort2557:
                                                          goto _flick_abort2549;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2558);
                                                        flick_iiopxx_encode_end_glob(4);
                                                        break;
                                                        {
                                                        _flick_abort2558:
                                                          goto _flick_abort2549;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_iiopxx_server_end_encode();
                                                break;
                                                {
                                                _flick_abort2549:
                                                  goto _flick_abort2548;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort2548:
                                                goto _flick_abort1493;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                              flick_iiopxx_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _dou */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600417653):
                    {
                      unsigned int _t1215_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1215_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t1215_switch_tag)
                        {
                        case /* ble_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651271007):
                          {
                            unsigned int _t1216_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1216_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t1216_switch_tag)
                              {
                              case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                {
                                  unsigned int _t1217_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1217_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t1217_switch_tag)
                                    {
                                    case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                      {
                                        unsigned short int _t1218_switch_tag;

                                        flick_iiopxx_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t1218_switch_tag, unsigned short int );
                                        flick_iiopxx_decode_end_chunk(2);
                                        switch ((unsigned short int )_t1218_switch_tag)
                                          {
                                          case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                            {
                                              {
                                                POA_ex4 *_local_this;
                                                unsigned int _t1219_principal_len;
                                                CORBA::Double _local_double_attribute;
                                                CORBA::Environment _ev;

                                                flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort2560);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_iiopxx_decode_new_chunk(6);
                                                flick_cdr_swap_decode_unsigned32(2, _t1219_principal_len, unsigned int );
                                                flick_iiopxx_decode_end_chunk(6);
                                                flick_iiopxx_decode_end_glob(40);
                                                flick_iiopxx_check_span(_t1219_principal_len, _flick_abort2560);
                                                flick_iiopxx_decode_new_glob(_t1219_principal_len);
                                                flick_iiopxx_decode_new_chunk(_t1219_principal_len);
                                                flick_iiopxx_decode_end_chunk(_t1219_principal_len);
                                                flick_iiopxx_decode_end_glob(_t1219_principal_len);
                                                /* Begin decode phase on parameters */
                                                flick_iiopxx_decode_new_glob(15);
                                                flick_iiopxx_decode_new_chunk_align(8, 3, 0, 0);
                                                flick_iiopxx_check_span(8, _flick_abort2560);
                                                flick_cdr_swap_decode_float64(0, _local_double_attribute, CORBA::Double );
                                                flick_iiopxx_decode_end_chunk(8);
                                                flick_iiopxx_decode_end_glob(15);
                                                flick_iiopxx_server_end_decode();
                                                flick_corbaxx_init_environment();
                                                _local_this->double_attribute(_local_double_attribute, _ev);
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_iiopxx_server_start_encode();
                                                {
                                                  int _t1220_temp_major;

                                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t1220_temp_major);

                                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2560);
                                                  flick_iiopxx_encode_new_glob(4, _flick_abort2560);
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _t1220_temp_major, int );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  switch (_t1220_temp_major)
                                                    {
                                                    case CORBA::NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_iiopxx_encode_end_glob(4);
                                                        break;
                                                      }
                                                    case CORBA::SYSTEM_EXCEPTION:
                                                      {
                                                        flick_iiopxx_encode_end_glob(4);
                                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2566);
                                                        break;
                                                        {
                                                        _flick_abort2566:
                                                          goto _flick_abort2560;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2567);
                                                        flick_iiopxx_encode_end_glob(4);
                                                        break;
                                                        {
                                                        _flick_abort2567:
                                                          goto _flick_abort2560;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_iiopxx_server_end_encode();
                                                break;
                                                {
                                                _flick_abort2560:
                                                  goto _flick_abort2559;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort2559:
                                                goto _flick_abort1493;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                              flick_iiopxx_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                      flick_iiopxx_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                flick_iiopxx_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 4:
        {
          unsigned int _t1221_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t1221_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t1221_switch_tag)
            {
            case /* op7 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869625088):
              {
                {
                  POA_ex4 *_local_this;
                  unsigned int _t1222_principal_len;
                  CORBA::Char _return;
                  CORBA::Char _local_c;
                  CORBA::Boolean _local_b;
                  CORBA::Octet _local_o;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort2569);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t1222_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(40);
                  flick_iiopxx_check_span(_t1222_principal_len + 2, _flick_abort2569);
                  flick_iiopxx_decode_new_glob(_t1222_principal_len);
                  flick_iiopxx_decode_new_chunk(_t1222_principal_len);
                  flick_iiopxx_decode_end_chunk(_t1222_principal_len);
                  flick_iiopxx_decode_end_glob(_t1222_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(2);
                  flick_iiopxx_decode_new_chunk(2);
                  flick_cdr_swap_decode_char8(0, _local_c, CORBA::Char );
                  flick_cdr_swap_decode_unsigned8(1, _local_o, CORBA::Octet );
                  flick_iiopxx_decode_end_chunk(2);
                  flick_iiopxx_decode_end_glob(2);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op7(_local_c, _local_b, _local_o, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t1223_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t1223_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2569);
                    flick_iiopxx_encode_new_glob(7, _flick_abort2569);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t1223_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t1223_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(3);
                          flick_cdr_encode_char8(0, _return, CORBA::Char );
                          flick_cdr_encode_unsigned8(1, _local_b, CORBA::Boolean );
                          flick_cdr_encode_unsigned8(2, _local_o, CORBA::Octet );
                          flick_iiopxx_encode_end_chunk(3);
                          flick_iiopxx_encode_end_glob(7);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(7);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2575);
                          break;
                          {
                          _flick_abort2575:
                            goto _flick_abort2569;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2576);
                          flick_iiopxx_encode_end_glob(7);
                          break;
                          {
                          _flick_abort2576:
                            goto _flick_abort2569;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort2569:
                    goto _flick_abort2568;
                  }
                }
                break;
                {
                _flick_abort2568:
                  goto _flick_abort1493;
                }
              }
            case /* op8 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869625344):
              {
                {
                  POA_ex4 *_local_this;
                  unsigned int _t1224_principal_len;
                  CORBA::Boolean _return;
                  CORBA::Boolean _local_b;
                  CORBA::Octet _local_o;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort2578);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t1224_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(40);
                  flick_iiopxx_check_span(_t1224_principal_len + 1, _flick_abort2578);
                  flick_iiopxx_decode_new_glob(_t1224_principal_len);
                  flick_iiopxx_decode_new_chunk(_t1224_principal_len);
                  flick_iiopxx_decode_end_chunk(_t1224_principal_len);
                  flick_iiopxx_decode_end_glob(_t1224_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(1);
                  flick_iiopxx_decode_new_chunk(1);
                  flick_cdr_swap_decode_unsigned8(0, _local_o, CORBA::Octet );
                  flick_iiopxx_decode_end_chunk(1);
                  flick_iiopxx_decode_end_glob(1);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op8(_local_b, _local_o, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t1225_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t1225_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2578);
                    flick_iiopxx_encode_new_glob(6, _flick_abort2578);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t1225_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t1225_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(2);
                          flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                          flick_cdr_encode_unsigned8(1, _local_b, CORBA::Boolean );
                          flick_iiopxx_encode_end_chunk(2);
                          flick_iiopxx_encode_end_glob(6);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(6);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2584);
                          break;
                          {
                          _flick_abort2584:
                            goto _flick_abort2578;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2585);
                          flick_iiopxx_encode_end_glob(6);
                          break;
                          {
                          _flick_abort2585:
                            goto _flick_abort2578;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort2578:
                    goto _flick_abort2577;
                  }
                }
                break;
                {
                _flick_abort2577:
                  goto _flick_abort1493;
                }
              }
            case /* op9 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869625600):
              {
                {
                  POA_ex4 *_local_this;
                  unsigned int _t1226_principal_len;
                  CORBA::Octet _return;
                  CORBA::Octet _local_o;
                  char *_local_s;
                  char *_local_ls;
                  flick_unsigned32_t _t1227_temp_string_len;
                  CORBA::Long _local_l;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort2587);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t1226_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(40);
                  flick_iiopxx_check_span(_t1226_principal_len + 1, _flick_abort2587);
                  flick_iiopxx_decode_new_glob(_t1226_principal_len);
                  flick_iiopxx_decode_new_chunk(_t1226_principal_len);
                  flick_iiopxx_decode_end_chunk(_t1226_principal_len);
                  flick_iiopxx_decode_end_glob(_t1226_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(26);
                  flick_iiopxx_decode_new_chunk(1);
                  flick_cdr_swap_decode_unsigned8(0, _local_o, CORBA::Octet );
                  flick_iiopxx_decode_end_chunk(1);
                  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                  flick_iiopxx_check_span(4, _flick_abort2587);
                  flick_cdr_swap_decode_unsigned32(0, _t1227_temp_string_len, flick_unsigned32_t );
                  if (_t1227_temp_string_len > 11)
                    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort2587);
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_check_span(1 * _t1227_temp_string_len, _flick_abort2587);
                  flick_iiopxx_decode_new_chunk(1 * _t1227_temp_string_len);
                  flick_cdr_swap_decode_msgptr(0, _local_ls, CORBA::Char *);
                  flick_iiopxx_decode_end_chunk(1 * _t1227_temp_string_len);
                  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                  flick_iiopxx_check_span(4, _flick_abort2587);
                  flick_cdr_swap_decode_signed32(0, _local_l, CORBA::Long );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(26);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op9(_local_o, _local_s, _local_ls, _local_l, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t1228_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t1228_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2587);
                    flick_iiopxx_encode_new_glob(12, _flick_abort2587);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t1228_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t1228_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          flick_unsigned32_t _t1230_temp_string_len;

                          flick_cdr_stringlen(CORBA::Char *, _local_s, flick_unsigned32_t , _t1230_temp_string_len);

                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(8);
                          flick_cdr_encode_unsigned8(0, _return, CORBA::Octet );
                          flick_cdr_encode_unsigned8(1, _local_o, CORBA::Octet );
                          flick_cdr_encode_unsigned32(4, _t1230_temp_string_len, flick_unsigned32_t );
                          flick_iiopxx_encode_end_chunk(8);
                          flick_iiopxx_encode_end_glob(12);
                          flick_iiopxx_encode_new_glob(1 * _t1230_temp_string_len, _flick_abort2596);
                          flick_iiopxx_encode_new_chunk(1 * _t1230_temp_string_len);
                          flick_cdr_encode_bcopy(0, _local_s, 1 * _t1230_temp_string_len);
                          CORBA_string_flick_free(_local_s);
                          _local_s = 0;
                          flick_iiopxx_encode_end_chunk(1 * _t1230_temp_string_len);
                          flick_iiopxx_encode_end_glob(1 * _t1230_temp_string_len);
                          flick_iiopxx_encode_new_glob(7, _flick_abort2596);
                          flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                          flick_cdr_encode_signed32(0, _local_l, CORBA::Long );
                          flick_iiopxx_encode_end_chunk(4);
                          flick_iiopxx_encode_end_glob(7);
                          break;
                          {
                          _flick_abort2596:
                            goto _flick_abort2587;
                          }
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(12);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2599);
                          break;
                          {
                          _flick_abort2599:
                            goto _flick_abort2587;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2600);
                          flick_iiopxx_encode_end_glob(12);
                          break;
                          {
                          _flick_abort2600:
                            goto _flick_abort2587;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort2587:
                    goto _flick_abort2586;
                  }
                }
                break;
                {
                _flick_abort2586:
                  goto _flick_abort1493;
                }
              }
            case /* op0 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623296):
              {
                {
                  POA_ex4 *_local_this;
                  unsigned int _t1231_principal_len;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort2602);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t1231_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(40);
                  flick_iiopxx_check_span(_t1231_principal_len, _flick_abort2602);
                  flick_iiopxx_decode_new_glob(_t1231_principal_len);
                  flick_iiopxx_decode_new_chunk(_t1231_principal_len);
                  flick_iiopxx_decode_end_chunk(_t1231_principal_len);
                  flick_iiopxx_decode_end_glob(_t1231_principal_len);
                  /* Begin decode phase on parameters */
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _local_this->op0(_ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t1232_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t1232_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2602);
                    flick_iiopxx_encode_new_glob(4, _flick_abort2602);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t1232_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t1232_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_end_glob(4);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(4);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2608);
                          break;
                          {
                          _flick_abort2608:
                            goto _flick_abort2602;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2609);
                          flick_iiopxx_encode_end_glob(4);
                          break;
                          {
                          _flick_abort2609:
                            goto _flick_abort2602;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort2602:
                    goto _flick_abort2601;
                  }
                }
                break;
                {
                _flick_abort2601:
                  goto _flick_abort1493;
                }
              }
            case /* op1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623552):
              {
                {
                  POA_ex4 *_local_this;
                  unsigned int _t1233_principal_len;
                  CORBA::Float _return;
                  CORBA::Float _local_f;
                  CORBA::Double _local_d;
                  CORBA::Long _local_l;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort2611);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t1233_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(40);
                  flick_iiopxx_check_span(_t1233_principal_len, _flick_abort2611);
                  flick_iiopxx_decode_new_glob(_t1233_principal_len);
                  flick_iiopxx_decode_new_chunk(_t1233_principal_len);
                  flick_iiopxx_decode_end_chunk(_t1233_principal_len);
                  flick_iiopxx_decode_end_glob(_t1233_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0.000000;
                  flick_iiopxx_decode_new_glob(11);
                  flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                  flick_iiopxx_check_span(8, _flick_abort2611);
                  flick_cdr_swap_decode_float32(0, _local_f, CORBA::Float );
                  flick_cdr_swap_decode_signed32(4, _local_l, CORBA::Long );
                  flick_iiopxx_decode_end_chunk(8);
                  flick_iiopxx_decode_end_glob(11);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op1(_local_f, _local_d, _local_l, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t1234_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t1234_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2611);
                    flick_iiopxx_encode_new_glob(24, _flick_abort2611);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t1234_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t1234_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_float32(0, _return, CORBA::Float );
                          flick_iiopxx_encode_end_chunk(4);
                          flick_iiopxx_encode_new_chunk_align(12, 3, 2, 0);
                          flick_cdr_encode_float64(0, _local_d, CORBA::Double );
                          flick_cdr_encode_signed32(8, _local_l, CORBA::Long );
                          flick_iiopxx_encode_end_chunk(12);
                          flick_iiopxx_encode_end_glob(24);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(24);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2617);
                          break;
                          {
                          _flick_abort2617:
                            goto _flick_abort2611;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2618);
                          flick_iiopxx_encode_end_glob(24);
                          break;
                          {
                          _flick_abort2618:
                            goto _flick_abort2611;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort2611:
                    goto _flick_abort2610;
                  }
                }
                break;
                {
                _flick_abort2610:
                  goto _flick_abort1493;
                }
              }
            case /* op2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623808):
              {
                {
                  POA_ex4 *_local_this;
                  unsigned int _t1235_principal_len;
                  CORBA::Double _return;
                  CORBA::Double _local_d;
                  CORBA::Long _local_l;
                  CORBA::Short _local_s;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort2620);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t1235_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(40);
                  flick_iiopxx_check_span(_t1235_principal_len, _flick_abort2620);
                  flick_iiopxx_decode_new_glob(_t1235_principal_len);
                  flick_iiopxx_decode_new_chunk(_t1235_principal_len);
                  flick_iiopxx_decode_end_chunk(_t1235_principal_len);
                  flick_iiopxx_decode_end_glob(_t1235_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0.000000;
                  flick_iiopxx_decode_new_glob(17);
                  flick_iiopxx_decode_new_chunk_align(10, 3, 0, 0);
                  flick_iiopxx_check_span(10, _flick_abort2620);
                  flick_cdr_swap_decode_float64(0, _local_d, CORBA::Double );
                  flick_cdr_swap_decode_signed16(8, _local_s, CORBA::Short );
                  flick_iiopxx_decode_end_chunk(10);
                  flick_iiopxx_decode_end_glob(17);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op2(_local_d, _local_l, _local_s, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t1236_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t1236_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2620);
                    flick_iiopxx_encode_new_glob(22, _flick_abort2620);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t1236_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t1236_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk_align(14, 3, 2, 0);
                          flick_cdr_encode_float64(0, _return, CORBA::Double );
                          flick_cdr_encode_signed32(8, _local_l, CORBA::Long );
                          flick_cdr_encode_signed16(12, _local_s, CORBA::Short );
                          flick_iiopxx_encode_end_chunk(14);
                          flick_iiopxx_encode_end_glob(22);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(22);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2626);
                          break;
                          {
                          _flick_abort2626:
                            goto _flick_abort2620;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2627);
                          flick_iiopxx_encode_end_glob(22);
                          break;
                          {
                          _flick_abort2627:
                            goto _flick_abort2620;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort2620:
                    goto _flick_abort2619;
                  }
                }
                break;
                {
                _flick_abort2619:
                  goto _flick_abort1493;
                }
              }
            case /* op3 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624064):
              {
                {
                  POA_ex4 *_local_this;
                  unsigned int _t1237_principal_len;
                  CORBA::Long _return;
                  CORBA::Long _local_l;
                  CORBA::Short _local_s;
                  CORBA::ULong _local_ul;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort2629);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t1237_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(40);
                  flick_iiopxx_check_span(_t1237_principal_len, _flick_abort2629);
                  flick_iiopxx_decode_new_glob(_t1237_principal_len);
                  flick_iiopxx_decode_new_chunk(_t1237_principal_len);
                  flick_iiopxx_decode_end_chunk(_t1237_principal_len);
                  flick_iiopxx_decode_end_glob(_t1237_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(11);
                  flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                  flick_iiopxx_check_span(8, _flick_abort2629);
                  flick_cdr_swap_decode_signed32(0, _local_l, CORBA::Long );
                  flick_cdr_swap_decode_unsigned32(4, _local_ul, CORBA::ULong );
                  flick_iiopxx_decode_end_chunk(8);
                  flick_iiopxx_decode_end_glob(11);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op3(_local_l, _local_s, _local_ul, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t1238_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t1238_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2629);
                    flick_iiopxx_encode_new_glob(16, _flick_abort2629);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t1238_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t1238_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(12);
                          flick_cdr_encode_signed32(0, _return, CORBA::Long );
                          flick_cdr_encode_signed16(4, _local_s, CORBA::Short );
                          flick_cdr_encode_unsigned32(8, _local_ul, CORBA::ULong );
                          flick_iiopxx_encode_end_chunk(12);
                          flick_iiopxx_encode_end_glob(16);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(16);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2635);
                          break;
                          {
                          _flick_abort2635:
                            goto _flick_abort2629;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2636);
                          flick_iiopxx_encode_end_glob(16);
                          break;
                          {
                          _flick_abort2636:
                            goto _flick_abort2629;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort2629:
                    goto _flick_abort2628;
                  }
                }
                break;
                {
                _flick_abort2628:
                  goto _flick_abort1493;
                }
              }
            case /* op4 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624320):
              {
                {
                  POA_ex4 *_local_this;
                  unsigned int _t1239_principal_len;
                  CORBA::Short _return;
                  CORBA::Short _local_s;
                  CORBA::ULong _local_ul;
                  CORBA::UShort _local_us;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort2638);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t1239_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(40);
                  flick_iiopxx_check_span(_t1239_principal_len, _flick_abort2638);
                  flick_iiopxx_decode_new_glob(_t1239_principal_len);
                  flick_iiopxx_decode_new_chunk(_t1239_principal_len);
                  flick_iiopxx_decode_end_chunk(_t1239_principal_len);
                  flick_iiopxx_decode_end_glob(_t1239_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(5);
                  flick_iiopxx_decode_new_chunk_align(4, 1, 0, 0);
                  flick_iiopxx_check_span(4, _flick_abort2638);
                  flick_cdr_swap_decode_signed16(0, _local_s, CORBA::Short );
                  flick_cdr_swap_decode_unsigned16(2, _local_us, CORBA::UShort );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(5);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op4(_local_s, _local_ul, _local_us, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t1240_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t1240_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2638);
                    flick_iiopxx_encode_new_glob(14, _flick_abort2638);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t1240_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t1240_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(10);
                          flick_cdr_encode_signed16(0, _return, CORBA::Short );
                          flick_cdr_encode_unsigned32(4, _local_ul, CORBA::ULong );
                          flick_cdr_encode_unsigned16(8, _local_us, CORBA::UShort );
                          flick_iiopxx_encode_end_chunk(10);
                          flick_iiopxx_encode_end_glob(14);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(14);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2644);
                          break;
                          {
                          _flick_abort2644:
                            goto _flick_abort2638;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2645);
                          flick_iiopxx_encode_end_glob(14);
                          break;
                          {
                          _flick_abort2645:
                            goto _flick_abort2638;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort2638:
                    goto _flick_abort2637;
                  }
                }
                break;
                {
                _flick_abort2637:
                  goto _flick_abort1493;
                }
              }
            case /* op5 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624576):
              {
                {
                  POA_ex4 *_local_this;
                  unsigned int _t1241_principal_len;
                  CORBA::ULong _return;
                  CORBA::ULong _local_ul;
                  CORBA::UShort _local_us;
                  CORBA::Char _local_c;
                  CORBA::Boolean _local_b;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort2647);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t1241_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(40);
                  flick_iiopxx_check_span(_t1241_principal_len, _flick_abort2647);
                  flick_iiopxx_decode_new_glob(_t1241_principal_len);
                  flick_iiopxx_decode_new_chunk(_t1241_principal_len);
                  flick_iiopxx_decode_end_chunk(_t1241_principal_len);
                  flick_iiopxx_decode_end_glob(_t1241_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(10);
                  flick_iiopxx_decode_new_chunk_align(7, 2, 0, 0);
                  flick_iiopxx_check_span(7, _flick_abort2647);
                  flick_cdr_swap_decode_unsigned32(0, _local_ul, CORBA::ULong );
                  flick_cdr_swap_decode_unsigned16(4, _local_us, CORBA::UShort );
                  flick_cdr_swap_decode_unsigned8(6, _local_b, CORBA::Boolean );
                  flick_iiopxx_decode_end_chunk(7);
                  flick_iiopxx_decode_end_glob(10);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op5(_local_ul, _local_us, _local_c, _local_b, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t1242_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t1242_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2647);
                    flick_iiopxx_encode_new_glob(13, _flick_abort2647);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t1242_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t1242_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(9);
                          flick_cdr_encode_unsigned32(0, _return, CORBA::ULong );
                          flick_cdr_encode_unsigned32(4, _local_ul, CORBA::ULong );
                          flick_cdr_encode_char8(8, _local_c, CORBA::Char );
                          flick_iiopxx_encode_end_chunk(9);
                          flick_iiopxx_encode_end_glob(13);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(13);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2653);
                          break;
                          {
                          _flick_abort2653:
                            goto _flick_abort2647;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2654);
                          flick_iiopxx_encode_end_glob(13);
                          break;
                          {
                          _flick_abort2654:
                            goto _flick_abort2647;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort2647:
                    goto _flick_abort2646;
                  }
                }
                break;
                {
                _flick_abort2646:
                  goto _flick_abort1493;
                }
              }
            case /* op6 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624832):
              {
                {
                  POA_ex4 *_local_this;
                  unsigned int _t1243_principal_len;
                  CORBA::UShort _return;
                  CORBA::UShort _local_us;
                  CORBA::Char _local_c;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort2656);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t1243_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(40);
                  flick_iiopxx_check_span(_t1243_principal_len + 1, _flick_abort2656);
                  flick_iiopxx_decode_new_glob(_t1243_principal_len);
                  flick_iiopxx_decode_new_chunk(_t1243_principal_len);
                  flick_iiopxx_decode_end_chunk(_t1243_principal_len);
                  flick_iiopxx_decode_end_glob(_t1243_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(1);
                  flick_iiopxx_decode_new_chunk(1);
                  flick_cdr_swap_decode_char8(0, _local_c, CORBA::Char );
                  flick_iiopxx_decode_end_chunk(1);
                  flick_iiopxx_decode_end_glob(1);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op6(_local_us, _local_c, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t1244_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t1244_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2656);
                    flick_iiopxx_encode_new_glob(9, _flick_abort2656);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t1244_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t1244_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(5);
                          flick_cdr_encode_unsigned16(0, _return, CORBA::UShort );
                          flick_cdr_encode_unsigned16(2, _local_us, CORBA::UShort );
                          flick_cdr_encode_char8(4, _local_c, CORBA::Char );
                          flick_iiopxx_encode_end_chunk(5);
                          flick_iiopxx_encode_end_glob(9);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(9);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2662);
                          break;
                          {
                          _flick_abort2662:
                            goto _flick_abort2656;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2663);
                          flick_iiopxx_encode_end_glob(9);
                          break;
                          {
                          _flick_abort2663:
                            goto _flick_abort2656;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort2656:
                    goto _flick_abort2655;
                  }
                }
                break;
                {
                _flick_abort2655:
                  goto _flick_abort1493;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                flick_iiopxx_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          unsigned int _t1245_switch_tag;

          flick_iiopxx_check_span(12, _flick_abort1493);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t1245_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t1245_switch_tag)
            {
            case /* op10 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623600):
              {
                char _t1246_switch_tag;

                flick_iiopxx_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t1246_switch_tag, char );
                flick_iiopxx_decode_end_chunk(1);
                switch ((char )_t1246_switch_tag)
                  {
                  case 0:
                    {
                      {
                        POA_ex4 *_local_this;
                        unsigned int _t1247_principal_len;
                        char *_return;
                        char *_local_s;
                        flick_unsigned32_t _t1248_temp_string_len;
                        char *_local_ls;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort2665);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(7);
                        flick_cdr_swap_decode_unsigned32(3, _t1247_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(7);
                        flick_iiopxx_decode_end_glob(40);
                        flick_iiopxx_check_span(_t1247_principal_len, _flick_abort2665);
                        flick_iiopxx_decode_new_glob(_t1247_principal_len);
                        flick_iiopxx_decode_new_chunk(_t1247_principal_len);
                        flick_iiopxx_decode_end_chunk(_t1247_principal_len);
                        flick_iiopxx_decode_end_glob(_t1247_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort2665);
                        flick_cdr_swap_decode_unsigned32(0, _t1248_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t1248_temp_string_len);
                        flick_iiopxx_check_span(1 * _t1248_temp_string_len, _flick_abort2665);
                        flick_iiopxx_decode_new_chunk(1 * _t1248_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_s, CORBA::Char *);
                        flick_iiopxx_decode_end_chunk(1 * _t1248_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t1248_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->op10(_local_s, _local_ls, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t1249_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t1249_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2665);
                          flick_iiopxx_encode_new_glob(8, _flick_abort2665);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t1249_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t1249_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                flick_unsigned32_t _t1252_temp_string_len;
                                flick_unsigned32_t _t1253_temp_string_len;

                                flick_cdr_stringlen(CORBA::Char *, _return, flick_unsigned32_t , _t1252_temp_string_len);
                                flick_cdr_stringlen(CORBA::Char *, _local_ls, flick_unsigned32_t , _t1253_temp_string_len);

                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_unsigned32(0, _t1252_temp_string_len, flick_unsigned32_t );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(8);
                                flick_iiopxx_encode_new_glob(1 * _t1252_temp_string_len, _flick_abort2676);
                                flick_iiopxx_encode_new_chunk(1 * _t1252_temp_string_len);
                                flick_cdr_encode_bcopy(0, _return, 1 * _t1252_temp_string_len);
                                CORBA_string_flick_free(_return);
                                _return = 0;
                                flick_iiopxx_encode_end_chunk(1 * _t1252_temp_string_len);
                                flick_iiopxx_encode_end_glob(1 * _t1252_temp_string_len);
                                flick_iiopxx_encode_new_glob(18, _flick_abort2676);
                                flick_iiopxx_encode_new_chunk_align(4 + 1 * _t1253_temp_string_len, 2, 0, 0);
                                flick_cdr_encode_unsigned32(0, _t1253_temp_string_len, flick_unsigned32_t );
                                if (_t1253_temp_string_len > 11)
                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort2676);
                                flick_cdr_encode_bcopy(4, _local_ls, 1 * _t1253_temp_string_len);
                                CORBA_string_flick_free(_local_ls);
                                _local_ls = 0;
                                flick_iiopxx_encode_end_chunk(4 + 1 * _t1253_temp_string_len);
                                flick_iiopxx_encode_end_glob(18);
                                break;
                                {
                                _flick_abort2676:
                                  goto _flick_abort2665;
                                }
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(8);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2681);
                                break;
                                {
                                _flick_abort2681:
                                  goto _flick_abort2665;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2682);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                                {
                                _flick_abort2682:
                                  goto _flick_abort2665;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort2665:
                          goto _flick_abort2664;
                        }
                      }
                      break;
                      {
                      _flick_abort2664:
                        goto _flick_abort1493;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                      flick_iiopxx_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            case /* op11 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623601):
              {
                char _t1254_switch_tag;

                flick_iiopxx_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t1254_switch_tag, char );
                flick_iiopxx_decode_end_chunk(1);
                switch ((char )_t1254_switch_tag)
                  {
                  case 0:
                    {
                      {
                        POA_ex4 *_local_this;
                        unsigned int _t1255_principal_len;
                        char *_return;
                        char *_local_ls;
                        flick_unsigned32_t _t1256_temp_string_len;
                        CORBA::Long _local_l;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort2684);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(7);
                        flick_cdr_swap_decode_unsigned32(3, _t1255_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(7);
                        flick_iiopxx_decode_end_glob(40);
                        flick_iiopxx_check_span(_t1255_principal_len, _flick_abort2684);
                        flick_iiopxx_decode_new_glob(_t1255_principal_len);
                        flick_iiopxx_decode_new_chunk(_t1255_principal_len);
                        flick_iiopxx_decode_end_chunk(_t1255_principal_len);
                        flick_iiopxx_decode_end_glob(_t1255_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(18);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort2684);
                        flick_cdr_swap_decode_unsigned32(0, _t1256_temp_string_len, flick_unsigned32_t );
                        if (_t1256_temp_string_len > 11)
                          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort2684);
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_check_span(1 * _t1256_temp_string_len, _flick_abort2684);
                        flick_iiopxx_decode_new_chunk(1 * _t1256_temp_string_len);
                        {
                          CORBA::Char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t1256_temp_string_len * sizeof(CORBA::Char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort2684);
                          _local_ls = _t_alloc_ptr;
                        }
                        flick_cdr_swap_decode_bcopy(0, _local_ls, 1 * _t1256_temp_string_len);
                        flick_iiopxx_decode_end_chunk(1 * _t1256_temp_string_len);
                        flick_iiopxx_decode_end_glob(18);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->op11(_local_ls, _local_l, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t1257_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t1257_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2687);
                          flick_iiopxx_encode_new_glob(44, _flick_abort2687);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t1257_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t1257_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                flick_unsigned32_t _t1260_temp_string_len;
                                flick_unsigned32_t _t1261_temp_string_len;

                                flick_cdr_stringlen(CORBA::Char *, _return, flick_unsigned32_t , _t1260_temp_string_len);
                                flick_cdr_stringlen(CORBA::Char *, _local_ls, flick_unsigned32_t , _t1261_temp_string_len);

                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(4 + 1 * _t1260_temp_string_len);
                                flick_cdr_encode_unsigned32(0, _t1260_temp_string_len, flick_unsigned32_t );
                                if (_t1260_temp_string_len > 11)
                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort2696);
                                flick_cdr_encode_bcopy(4, _return, 1 * _t1260_temp_string_len);
                                CORBA_string_flick_free(_return);
                                _return = 0;
                                flick_iiopxx_encode_end_chunk(4 + 1 * _t1260_temp_string_len);
                                flick_iiopxx_encode_new_chunk_align(4 + 1 * _t1261_temp_string_len, 2, 0, 0);
                                flick_cdr_encode_unsigned32(0, _t1261_temp_string_len, flick_unsigned32_t );
                                if (_t1261_temp_string_len > 11)
                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort2696);
                                flick_cdr_encode_bcopy(4, _local_ls, 1 * _t1261_temp_string_len);
                                CORBA_string_flick_free(_local_ls);
                                _local_ls = 0;
                                flick_iiopxx_encode_end_chunk(4 + 1 * _t1261_temp_string_len);
                                flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                flick_cdr_encode_signed32(0, _local_l, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(44);
                                break;
                                {
                                _flick_abort2696:
                                  goto _flick_abort2687;
                                }
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(44);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2701);
                                break;
                                {
                                _flick_abort2701:
                                  goto _flick_abort2687;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2702);
                                flick_iiopxx_encode_end_glob(44);
                                break;
                                {
                                _flick_abort2702:
                                  goto _flick_abort2687;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort2687:
                          CORBA_string_flick_free(_local_ls);
                        _flick_abort2684:
                          goto _flick_abort2683;
                        }
                      }
                      break;
                      {
                      _flick_abort2683:
                        goto _flick_abort1493;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                      flick_iiopxx_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            case /* op12 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623602):
              {
                char _t1262_switch_tag;

                flick_iiopxx_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t1262_switch_tag, char );
                flick_iiopxx_decode_end_chunk(1);
                switch ((char )_t1262_switch_tag)
                  {
                  case 0:
                    {
                      {
                        POA_ex4 *_local_this;
                        unsigned int _t1263_principal_len;
                        CORBA::Long _return;
                        CORBA::Long _local_l;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort2704);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(7);
                        flick_cdr_swap_decode_unsigned32(3, _t1263_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(7);
                        flick_iiopxx_decode_end_glob(40);
                        flick_iiopxx_check_span(_t1263_principal_len, _flick_abort2704);
                        flick_iiopxx_decode_new_glob(_t1263_principal_len);
                        flick_iiopxx_decode_new_chunk(_t1263_principal_len);
                        flick_iiopxx_decode_end_chunk(_t1263_principal_len);
                        flick_iiopxx_decode_end_glob(_t1263_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort2704);
                        flick_cdr_swap_decode_signed32(0, _local_l, CORBA::Long );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->op12(_local_l, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t1264_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t1264_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2704);
                          flick_iiopxx_encode_new_glob(8, _flick_abort2704);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t1264_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t1264_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(8);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2710);
                                break;
                                {
                                _flick_abort2710:
                                  goto _flick_abort2704;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2711);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                                {
                                _flick_abort2711:
                                  goto _flick_abort2704;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort2704:
                          goto _flick_abort2703;
                        }
                      }
                      break;
                      {
                      _flick_abort2703:
                        goto _flick_abort1493;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                      flick_iiopxx_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                flick_iiopxx_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 29:
        {
          unsigned int _t1265_switch_tag;

          flick_iiopxx_check_span(36, _flick_abort1493);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t1265_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t1265_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t1266_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t1266_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t1266_switch_tag)
                  {
                  case /* _uns */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601531507):
                    {
                      unsigned int _t1267_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1267_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t1267_switch_tag)
                        {
                        case /* igne */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768386149):
                          {
                            unsigned int _t1268_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1268_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t1268_switch_tag)
                              {
                              case /* d_lo */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1683975279):
                                {
                                  unsigned int _t1269_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1269_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t1269_switch_tag)
                                    {
                                    case /* ng_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1852268385):
                                      {
                                        unsigned int _t1270_switch_tag;

                                        flick_iiopxx_decode_new_chunk(4);
                                        flick_cdr_decode_unsigned32(0, _t1270_switch_tag, unsigned int );
                                        flick_iiopxx_decode_end_chunk(4);
                                        switch ((unsigned int )_t1270_switch_tag)
                                          {
                                          case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                            {
                                              unsigned int _t1271_switch_tag;

                                              flick_iiopxx_decode_new_chunk(4);
                                              flick_cdr_decode_unsigned32(0, _t1271_switch_tag, unsigned int );
                                              flick_iiopxx_decode_end_chunk(4);
                                              switch ((unsigned int )_t1271_switch_tag)
                                                {
                                                case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                                  {
                                                    char _t1272_switch_tag;

                                                    flick_iiopxx_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t1272_switch_tag, char );
                                                    flick_iiopxx_decode_end_chunk(1);
                                                    switch ((char )_t1272_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            POA_ex4 *_local_this;
                                                            unsigned int _t1273_principal_len;
                                                            CORBA::ULong _return;
                                                            CORBA::Environment _ev;

                                                            flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort2713);
                                                            /* Decode the requesting `Principal' pseudo object (client ID). */
                                                            flick_iiopxx_decode_new_chunk(7);
                                                            flick_cdr_swap_decode_unsigned32(3, _t1273_principal_len, unsigned int );
                                                            flick_iiopxx_decode_end_chunk(7);
                                                            flick_iiopxx_decode_end_glob(40);
                                                            flick_iiopxx_check_span(_t1273_principal_len, _flick_abort2713);
                                                            flick_iiopxx_decode_new_glob(_t1273_principal_len);
                                                            flick_iiopxx_decode_new_chunk(_t1273_principal_len);
                                                            flick_iiopxx_decode_end_chunk(_t1273_principal_len);
                                                            flick_iiopxx_decode_end_glob(_t1273_principal_len);
                                                            /* Begin decode phase on parameters */
                                                            _return = 0;
                                                            flick_iiopxx_server_end_decode();
                                                            flick_corbaxx_init_environment();
                                                            _return = _local_this->unsigned_long_attribute(_ev);
                                                            _stub_state.state = FLICK_STATE_MARSHAL;
                                                            flick_iiopxx_server_start_encode();
                                                            {
                                                              int _t1274_temp_major;

                                                              flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t1274_temp_major);

                                                              flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2713);
                                                              flick_iiopxx_encode_new_glob(8, _flick_abort2713);
                                                              flick_iiopxx_encode_new_chunk(4);
                                                              flick_cdr_encode_signed32(0, _t1274_temp_major, int );
                                                              flick_iiopxx_encode_end_chunk(4);
                                                              switch (_t1274_temp_major)
                                                                {
                                                                case CORBA::NO_EXCEPTION:
                                                                  {
                                                                    /* Begin encode phase on parameters */
                                                                    flick_iiopxx_encode_new_chunk(4);
                                                                    flick_cdr_encode_unsigned32(0, _return, CORBA::ULong );
                                                                    flick_iiopxx_encode_end_chunk(4);
                                                                    flick_iiopxx_encode_end_glob(8);
                                                                    break;
                                                                  }
                                                                case CORBA::SYSTEM_EXCEPTION:
                                                                  {
                                                                    flick_iiopxx_encode_end_glob(8);
                                                                    flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2719);
                                                                    break;
                                                                    {
                                                                    _flick_abort2719:
                                                                      goto _flick_abort2713;
                                                                    }
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2720);
                                                                    flick_iiopxx_encode_end_glob(8);
                                                                    break;
                                                                    {
                                                                    _flick_abort2720:
                                                                      goto _flick_abort2713;
                                                                    }
                                                                  }
                                                                }
                                                            }
                                                            flick_iiopxx_server_end_encode();
                                                            break;
                                                            {
                                                            _flick_abort2713:
                                                              goto _flick_abort2712;
                                                            }
                                                          }
                                                          break;
                                                          {
                                                          _flick_abort2712:
                                                            goto _flick_abort1493;
                                                          }
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                                          flick_iiopxx_decode_end_glob(40);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                                    flick_iiopxx_decode_end_glob(40);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                              flick_iiopxx_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                      flick_iiopxx_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                flick_iiopxx_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t1275_switch_tag;

          flick_iiopxx_check_span(12, _flick_abort1493);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t1275_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t1275_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t1276_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t1276_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t1276_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_ex4 *_local_this;
                        unsigned int _t1277_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t1278_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort2722);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t1277_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(40);
                        flick_iiopxx_check_span(_t1277_principal_len, _flick_abort2722);
                        flick_iiopxx_decode_new_glob(_t1277_principal_len);
                        flick_iiopxx_decode_new_chunk(_t1277_principal_len);
                        flick_iiopxx_decode_end_chunk(_t1277_principal_len);
                        flick_iiopxx_decode_end_glob(_t1277_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort2722);
                        flick_cdr_swap_decode_unsigned32(0, _t1278_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t1278_temp_string_len);
                        flick_iiopxx_check_span(1 * _t1278_temp_string_len, _flick_abort2722);
                        flick_iiopxx_decode_new_chunk(1 * _t1278_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_type_id, CORBA::Char *);
                        flick_iiopxx_decode_end_chunk(1 * _t1278_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t1278_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t1279_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t1279_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2722);
                          flick_iiopxx_encode_new_glob(5, _flick_abort2722);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t1279_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t1279_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2730);
                                break;
                                {
                                _flick_abort2730:
                                  goto _flick_abort2722;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2731);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort2731:
                                  goto _flick_abort2722;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort2722:
                          goto _flick_abort2721;
                        }
                      }
                      break;
                      {
                      _flick_abort2721:
                        goto _flick_abort1493;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                      flick_iiopxx_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                flick_iiopxx_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
          flick_iiopxx_decode_end_glob(40);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t755_switch_tag;

    flick_iiopxx_decode_new_glob(40);
    flick_iiopxx_check_span(12, _flick_abort1493);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t755_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t755_switch_tag)
      {
      case (unsigned int) 30:
        {
          unsigned int _t756_switch_tag;

          flick_iiopxx_check_span(36, _flick_abort1493);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t756_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t756_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t757_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t757_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t757_switch_tag)
                  {
                  case /* _uns */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601531507):
                    {
                      unsigned int _t758_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t758_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t758_switch_tag)
                        {
                        case /* igne */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768386149):
                          {
                            unsigned int _t759_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t759_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t759_switch_tag)
                              {
                              case /* d_sh */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1683977064):
                                {
                                  unsigned int _t760_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t760_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t760_switch_tag)
                                    {
                                    case /* ort_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869771871):
                                      {
                                        unsigned int _t761_switch_tag;

                                        flick_iiopxx_decode_new_chunk(4);
                                        flick_cdr_decode_unsigned32(0, _t761_switch_tag, unsigned int );
                                        flick_iiopxx_decode_end_chunk(4);
                                        switch ((unsigned int )_t761_switch_tag)
                                          {
                                          case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                            {
                                              unsigned int _t762_switch_tag;

                                              flick_iiopxx_decode_new_chunk(4);
                                              flick_cdr_decode_unsigned32(0, _t762_switch_tag, unsigned int );
                                              flick_iiopxx_decode_end_chunk(4);
                                              switch ((unsigned int )_t762_switch_tag)
                                                {
                                                case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                                  {
                                                    unsigned short int _t763_switch_tag;

                                                    flick_iiopxx_decode_new_chunk(2);
                                                    flick_cdr_decode_unsigned16(0, _t763_switch_tag, unsigned short int );
                                                    flick_iiopxx_decode_end_chunk(2);
                                                    switch ((unsigned short int )_t763_switch_tag)
                                                      {
                                                      case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                                        {
                                                          {
                                                            POA_ex4 *_local_this;
                                                            unsigned int _t764_principal_len;
                                                            CORBA::UShort _return;
                                                            CORBA::Environment _ev;

                                                            flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1805);
                                                            /* Decode the requesting `Principal' pseudo object (client ID). */
                                                            flick_iiopxx_decode_new_chunk(6);
                                                            flick_cdr_decode_unsigned32(2, _t764_principal_len, unsigned int );
                                                            flick_iiopxx_decode_end_chunk(6);
                                                            flick_iiopxx_decode_end_glob(40);
                                                            flick_iiopxx_check_span(_t764_principal_len, _flick_abort1805);
                                                            flick_iiopxx_decode_new_glob(_t764_principal_len);
                                                            flick_iiopxx_decode_new_chunk(_t764_principal_len);
                                                            flick_iiopxx_decode_end_chunk(_t764_principal_len);
                                                            flick_iiopxx_decode_end_glob(_t764_principal_len);
                                                            /* Begin decode phase on parameters */
                                                            _return = 0;
                                                            flick_iiopxx_server_end_decode();
                                                            flick_corbaxx_init_environment();
                                                            _return = _local_this->unsigned_short_attribute(_ev);
                                                            _stub_state.state = FLICK_STATE_MARSHAL;
                                                            flick_iiopxx_server_start_encode();
                                                            {
                                                              int _t765_temp_major;

                                                              flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t765_temp_major);

                                                              flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1805);
                                                              flick_iiopxx_encode_new_glob(6, _flick_abort1805);
                                                              flick_iiopxx_encode_new_chunk(4);
                                                              flick_cdr_encode_signed32(0, _t765_temp_major, int );
                                                              flick_iiopxx_encode_end_chunk(4);
                                                              switch (_t765_temp_major)
                                                                {
                                                                case CORBA::NO_EXCEPTION:
                                                                  {
                                                                    /* Begin encode phase on parameters */
                                                                    flick_iiopxx_encode_new_chunk(2);
                                                                    flick_cdr_encode_unsigned16(0, _return, CORBA::UShort );
                                                                    flick_iiopxx_encode_end_chunk(2);
                                                                    flick_iiopxx_encode_end_glob(6);
                                                                    break;
                                                                  }
                                                                case CORBA::SYSTEM_EXCEPTION:
                                                                  {
                                                                    flick_iiopxx_encode_end_glob(6);
                                                                    flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1811);
                                                                    break;
                                                                    {
                                                                    _flick_abort1811:
                                                                      goto _flick_abort1805;
                                                                    }
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1812);
                                                                    flick_iiopxx_encode_end_glob(6);
                                                                    break;
                                                                    {
                                                                    _flick_abort1812:
                                                                      goto _flick_abort1805;
                                                                    }
                                                                  }
                                                                }
                                                            }
                                                            flick_iiopxx_server_end_encode();
                                                            break;
                                                            {
                                                            _flick_abort1805:
                                                              goto _flick_abort1804;
                                                            }
                                                          }
                                                          break;
                                                          {
                                                          _flick_abort1804:
                                                            goto _flick_abort1493;
                                                          }
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                                          flick_iiopxx_decode_end_glob(40);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                                    flick_iiopxx_decode_end_glob(40);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                              flick_iiopxx_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _lim */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600940397):
                    {
                      unsigned int _t766_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t766_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t766_switch_tag)
                        {
                        case /* ited */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769235812):
                          {
                            unsigned int _t767_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t767_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t767_switch_tag)
                              {
                              case /* _str */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601401970):
                                {
                                  unsigned int _t768_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t768_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t768_switch_tag)
                                    {
                                    case /* ing_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768843103):
                                      {
                                        unsigned int _t769_switch_tag;

                                        flick_iiopxx_decode_new_chunk(4);
                                        flick_cdr_decode_unsigned32(0, _t769_switch_tag, unsigned int );
                                        flick_iiopxx_decode_end_chunk(4);
                                        switch ((unsigned int )_t769_switch_tag)
                                          {
                                          case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                            {
                                              unsigned int _t770_switch_tag;

                                              flick_iiopxx_decode_new_chunk(4);
                                              flick_cdr_decode_unsigned32(0, _t770_switch_tag, unsigned int );
                                              flick_iiopxx_decode_end_chunk(4);
                                              switch ((unsigned int )_t770_switch_tag)
                                                {
                                                case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                                  {
                                                    unsigned short int _t771_switch_tag;

                                                    flick_iiopxx_decode_new_chunk(2);
                                                    flick_cdr_decode_unsigned16(0, _t771_switch_tag, unsigned short int );
                                                    flick_iiopxx_decode_end_chunk(2);
                                                    switch ((unsigned short int )_t771_switch_tag)
                                                      {
                                                      case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                                        {
                                                          {
                                                            POA_ex4 *_local_this;
                                                            unsigned int _t772_principal_len;
                                                            char *_return;
                                                            CORBA::Environment _ev;

                                                            flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1814);
                                                            /* Decode the requesting `Principal' pseudo object (client ID). */
                                                            flick_iiopxx_decode_new_chunk(6);
                                                            flick_cdr_decode_unsigned32(2, _t772_principal_len, unsigned int );
                                                            flick_iiopxx_decode_end_chunk(6);
                                                            flick_iiopxx_decode_end_glob(40);
                                                            flick_iiopxx_check_span(_t772_principal_len, _flick_abort1814);
                                                            flick_iiopxx_decode_new_glob(_t772_principal_len);
                                                            flick_iiopxx_decode_new_chunk(_t772_principal_len);
                                                            flick_iiopxx_decode_end_chunk(_t772_principal_len);
                                                            flick_iiopxx_decode_end_glob(_t772_principal_len);
                                                            /* Begin decode phase on parameters */
                                                            _return = 0;
                                                            flick_iiopxx_server_end_decode();
                                                            flick_corbaxx_init_environment();
                                                            _return = _local_this->limited_string_attribute(_ev);
                                                            _stub_state.state = FLICK_STATE_MARSHAL;
                                                            flick_iiopxx_server_start_encode();
                                                            {
                                                              int _t773_temp_major;

                                                              flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t773_temp_major);

                                                              flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1814);
                                                              flick_iiopxx_encode_new_glob(19, _flick_abort1814);
                                                              flick_iiopxx_encode_new_chunk(4);
                                                              flick_cdr_encode_signed32(0, _t773_temp_major, int );
                                                              flick_iiopxx_encode_end_chunk(4);
                                                              switch (_t773_temp_major)
                                                                {
                                                                case CORBA::NO_EXCEPTION:
                                                                  {
                                                                    flick_unsigned32_t _t775_temp_string_len;

                                                                    flick_cdr_stringlen(CORBA::Char *, _return, flick_unsigned32_t , _t775_temp_string_len);

                                                                    /* Begin encode phase on parameters */
                                                                    flick_iiopxx_encode_new_chunk(4 + 1 * _t775_temp_string_len);
                                                                    flick_cdr_encode_unsigned32(0, _t775_temp_string_len, flick_unsigned32_t );
                                                                    if (_t775_temp_string_len > 11)
                                                                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1821);
                                                                    flick_cdr_encode_bcopy(4, _return, 1 * _t775_temp_string_len);
                                                                    CORBA_string_flick_free(_return);
                                                                    _return = 0;
                                                                    flick_iiopxx_encode_end_chunk(4 + 1 * _t775_temp_string_len);
                                                                    flick_iiopxx_encode_end_glob(19);
                                                                    break;
                                                                    {
                                                                    _flick_abort1821:
                                                                      goto _flick_abort1814;
                                                                    }
                                                                  }
                                                                case CORBA::SYSTEM_EXCEPTION:
                                                                  {
                                                                    flick_iiopxx_encode_end_glob(19);
                                                                    flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1824);
                                                                    break;
                                                                    {
                                                                    _flick_abort1824:
                                                                      goto _flick_abort1814;
                                                                    }
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1825);
                                                                    flick_iiopxx_encode_end_glob(19);
                                                                    break;
                                                                    {
                                                                    _flick_abort1825:
                                                                      goto _flick_abort1814;
                                                                    }
                                                                  }
                                                                }
                                                            }
                                                            flick_iiopxx_server_end_encode();
                                                            break;
                                                            {
                                                            _flick_abort1814:
                                                              goto _flick_abort1813;
                                                            }
                                                          }
                                                          break;
                                                          {
                                                          _flick_abort1813:
                                                            goto _flick_abort1493;
                                                          }
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                                          flick_iiopxx_decode_end_glob(40);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                                    flick_iiopxx_decode_end_glob(40);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                              flick_iiopxx_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                      flick_iiopxx_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t776_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t776_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t776_switch_tag)
                  {
                  case /* _uns */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601531507):
                    {
                      unsigned int _t777_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t777_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t777_switch_tag)
                        {
                        case /* igne */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768386149):
                          {
                            unsigned int _t778_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t778_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t778_switch_tag)
                              {
                              case /* d_sh */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1683977064):
                                {
                                  unsigned int _t779_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t779_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t779_switch_tag)
                                    {
                                    case /* ort_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869771871):
                                      {
                                        unsigned int _t780_switch_tag;

                                        flick_iiopxx_decode_new_chunk(4);
                                        flick_cdr_decode_unsigned32(0, _t780_switch_tag, unsigned int );
                                        flick_iiopxx_decode_end_chunk(4);
                                        switch ((unsigned int )_t780_switch_tag)
                                          {
                                          case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                            {
                                              unsigned int _t781_switch_tag;

                                              flick_iiopxx_decode_new_chunk(4);
                                              flick_cdr_decode_unsigned32(0, _t781_switch_tag, unsigned int );
                                              flick_iiopxx_decode_end_chunk(4);
                                              switch ((unsigned int )_t781_switch_tag)
                                                {
                                                case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                                  {
                                                    unsigned short int _t782_switch_tag;

                                                    flick_iiopxx_decode_new_chunk(2);
                                                    flick_cdr_decode_unsigned16(0, _t782_switch_tag, unsigned short int );
                                                    flick_iiopxx_decode_end_chunk(2);
                                                    switch ((unsigned short int )_t782_switch_tag)
                                                      {
                                                      case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                                        {
                                                          {
                                                            POA_ex4 *_local_this;
                                                            unsigned int _t783_principal_len;
                                                            CORBA::UShort _local_unsigned_short_attribute;
                                                            CORBA::Environment _ev;

                                                            flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1827);
                                                            /* Decode the requesting `Principal' pseudo object (client ID). */
                                                            flick_iiopxx_decode_new_chunk(6);
                                                            flick_cdr_decode_unsigned32(2, _t783_principal_len, unsigned int );
                                                            flick_iiopxx_decode_end_chunk(6);
                                                            flick_iiopxx_decode_end_glob(40);
                                                            flick_iiopxx_check_span(_t783_principal_len, _flick_abort1827);
                                                            flick_iiopxx_decode_new_glob(_t783_principal_len);
                                                            flick_iiopxx_decode_new_chunk(_t783_principal_len);
                                                            flick_iiopxx_decode_end_chunk(_t783_principal_len);
                                                            flick_iiopxx_decode_end_glob(_t783_principal_len);
                                                            /* Begin decode phase on parameters */
                                                            flick_iiopxx_decode_new_glob(3);
                                                            flick_iiopxx_decode_new_chunk_align(2, 1, 0, 0);
                                                            flick_iiopxx_check_span(2, _flick_abort1827);
                                                            flick_cdr_decode_unsigned16(0, _local_unsigned_short_attribute, CORBA::UShort );
                                                            flick_iiopxx_decode_end_chunk(2);
                                                            flick_iiopxx_decode_end_glob(3);
                                                            flick_iiopxx_server_end_decode();
                                                            flick_corbaxx_init_environment();
                                                            _local_this->unsigned_short_attribute(_local_unsigned_short_attribute, _ev);
                                                            _stub_state.state = FLICK_STATE_MARSHAL;
                                                            flick_iiopxx_server_start_encode();
                                                            {
                                                              int _t784_temp_major;

                                                              flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t784_temp_major);

                                                              flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1827);
                                                              flick_iiopxx_encode_new_glob(4, _flick_abort1827);
                                                              flick_iiopxx_encode_new_chunk(4);
                                                              flick_cdr_encode_signed32(0, _t784_temp_major, int );
                                                              flick_iiopxx_encode_end_chunk(4);
                                                              switch (_t784_temp_major)
                                                                {
                                                                case CORBA::NO_EXCEPTION:
                                                                  {
                                                                    /* Begin encode phase on parameters */
                                                                    flick_iiopxx_encode_end_glob(4);
                                                                    break;
                                                                  }
                                                                case CORBA::SYSTEM_EXCEPTION:
                                                                  {
                                                                    flick_iiopxx_encode_end_glob(4);
                                                                    flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1833);
                                                                    break;
                                                                    {
                                                                    _flick_abort1833:
                                                                      goto _flick_abort1827;
                                                                    }
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1834);
                                                                    flick_iiopxx_encode_end_glob(4);
                                                                    break;
                                                                    {
                                                                    _flick_abort1834:
                                                                      goto _flick_abort1827;
                                                                    }
                                                                  }
                                                                }
                                                            }
                                                            flick_iiopxx_server_end_encode();
                                                            break;
                                                            {
                                                            _flick_abort1827:
                                                              goto _flick_abort1826;
                                                            }
                                                          }
                                                          break;
                                                          {
                                                          _flick_abort1826:
                                                            goto _flick_abort1493;
                                                          }
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                                          flick_iiopxx_decode_end_glob(40);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                                    flick_iiopxx_decode_end_glob(40);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                              flick_iiopxx_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                      flick_iiopxx_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                flick_iiopxx_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 20:
        {
          unsigned int _t785_switch_tag;

          flick_iiopxx_check_span(24, _flick_abort1493);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t785_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t785_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t786_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t786_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t786_switch_tag)
                  {
                  case /* _cha */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600350305):
                    {
                      unsigned int _t787_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t787_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t787_switch_tag)
                        {
                        case /* r_at */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1918853492):
                          {
                            unsigned int _t788_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t788_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t788_switch_tag)
                              {
                              case /* trib */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953655138):
                                {
                                  unsigned int _t789_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t789_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t789_switch_tag)
                                    {
                                    case /* ute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1970562304):
                                      {
                                        {
                                          POA_ex4 *_local_this;
                                          unsigned int _t790_principal_len;
                                          CORBA::Char _return;
                                          CORBA::Environment _ev;

                                          flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1836);
                                          /* Decode the requesting `Principal' pseudo object (client ID). */
                                          flick_iiopxx_decode_new_chunk(4);
                                          flick_cdr_decode_unsigned32(0, _t790_principal_len, unsigned int );
                                          flick_iiopxx_decode_end_chunk(4);
                                          flick_iiopxx_decode_end_glob(40);
                                          flick_iiopxx_check_span(_t790_principal_len, _flick_abort1836);
                                          flick_iiopxx_decode_new_glob(_t790_principal_len);
                                          flick_iiopxx_decode_new_chunk(_t790_principal_len);
                                          flick_iiopxx_decode_end_chunk(_t790_principal_len);
                                          flick_iiopxx_decode_end_glob(_t790_principal_len);
                                          /* Begin decode phase on parameters */
                                          _return = 0;
                                          flick_iiopxx_server_end_decode();
                                          flick_corbaxx_init_environment();
                                          _return = _local_this->char_attribute(_ev);
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_iiopxx_server_start_encode();
                                          {
                                            int _t791_temp_major;

                                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t791_temp_major);

                                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1836);
                                            flick_iiopxx_encode_new_glob(5, _flick_abort1836);
                                            flick_iiopxx_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _t791_temp_major, int );
                                            flick_iiopxx_encode_end_chunk(4);
                                            switch (_t791_temp_major)
                                              {
                                              case CORBA::NO_EXCEPTION:
                                                {
                                                  /* Begin encode phase on parameters */
                                                  flick_iiopxx_encode_new_chunk(1);
                                                  flick_cdr_encode_char8(0, _return, CORBA::Char );
                                                  flick_iiopxx_encode_end_chunk(1);
                                                  flick_iiopxx_encode_end_glob(5);
                                                  break;
                                                }
                                              case CORBA::SYSTEM_EXCEPTION:
                                                {
                                                  flick_iiopxx_encode_end_glob(5);
                                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1842);
                                                  break;
                                                  {
                                                  _flick_abort1842:
                                                    goto _flick_abort1836;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1843);
                                                  flick_iiopxx_encode_end_glob(5);
                                                  break;
                                                  {
                                                  _flick_abort1843:
                                                    goto _flick_abort1836;
                                                  }
                                                }
                                              }
                                          }
                                          flick_iiopxx_server_end_encode();
                                          break;
                                          {
                                          _flick_abort1836:
                                            goto _flick_abort1835;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort1835:
                                          goto _flick_abort1493;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _lon */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600941934):
                    {
                      unsigned int _t792_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t792_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t792_switch_tag)
                        {
                        case /* g_at */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1734304116):
                          {
                            unsigned int _t793_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t793_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t793_switch_tag)
                              {
                              case /* trib */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953655138):
                                {
                                  unsigned int _t794_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t794_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t794_switch_tag)
                                    {
                                    case /* ute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1970562304):
                                      {
                                        {
                                          POA_ex4 *_local_this;
                                          unsigned int _t795_principal_len;
                                          CORBA::Long _return;
                                          CORBA::Environment _ev;

                                          flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1845);
                                          /* Decode the requesting `Principal' pseudo object (client ID). */
                                          flick_iiopxx_decode_new_chunk(4);
                                          flick_cdr_decode_unsigned32(0, _t795_principal_len, unsigned int );
                                          flick_iiopxx_decode_end_chunk(4);
                                          flick_iiopxx_decode_end_glob(40);
                                          flick_iiopxx_check_span(_t795_principal_len, _flick_abort1845);
                                          flick_iiopxx_decode_new_glob(_t795_principal_len);
                                          flick_iiopxx_decode_new_chunk(_t795_principal_len);
                                          flick_iiopxx_decode_end_chunk(_t795_principal_len);
                                          flick_iiopxx_decode_end_glob(_t795_principal_len);
                                          /* Begin decode phase on parameters */
                                          _return = 0;
                                          flick_iiopxx_server_end_decode();
                                          flick_corbaxx_init_environment();
                                          _return = _local_this->long_attribute(_ev);
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_iiopxx_server_start_encode();
                                          {
                                            int _t796_temp_major;

                                            flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t796_temp_major);

                                            flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1845);
                                            flick_iiopxx_encode_new_glob(8, _flick_abort1845);
                                            flick_iiopxx_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _t796_temp_major, int );
                                            flick_iiopxx_encode_end_chunk(4);
                                            switch (_t796_temp_major)
                                              {
                                              case CORBA::NO_EXCEPTION:
                                                {
                                                  /* Begin encode phase on parameters */
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  flick_iiopxx_encode_end_glob(8);
                                                  break;
                                                }
                                              case CORBA::SYSTEM_EXCEPTION:
                                                {
                                                  flick_iiopxx_encode_end_glob(8);
                                                  flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1851);
                                                  break;
                                                  {
                                                  _flick_abort1851:
                                                    goto _flick_abort1845;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1852);
                                                  flick_iiopxx_encode_end_glob(8);
                                                  break;
                                                  {
                                                  _flick_abort1852:
                                                    goto _flick_abort1845;
                                                  }
                                                }
                                              }
                                          }
                                          flick_iiopxx_server_end_encode();
                                          break;
                                          {
                                          _flick_abort1845:
                                            goto _flick_abort1844;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort1844:
                                          goto _flick_abort1493;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                      flick_iiopxx_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                flick_iiopxx_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 23:
        {
          unsigned int _t797_switch_tag;

          flick_iiopxx_check_span(28, _flick_abort1493);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t797_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t797_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t798_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t798_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t798_switch_tag)
                  {
                  case /* _boo */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600286575):
                    {
                      unsigned int _t799_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t799_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t799_switch_tag)
                        {
                        case /* lean */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1818583406):
                          {
                            unsigned int _t800_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t800_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t800_switch_tag)
                              {
                              case /* _att */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600222324):
                                {
                                  unsigned int _t801_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t801_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t801_switch_tag)
                                    {
                                    case /* ribu */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1919509109):
                                      {
                                        unsigned short int _t802_switch_tag;

                                        flick_iiopxx_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t802_switch_tag, unsigned short int );
                                        flick_iiopxx_decode_end_chunk(2);
                                        switch ((unsigned short int )_t802_switch_tag)
                                          {
                                          case /* te */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29797):
                                            {
                                              char _t803_switch_tag;

                                              flick_iiopxx_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t803_switch_tag, char );
                                              flick_iiopxx_decode_end_chunk(1);
                                              switch ((char )_t803_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      POA_ex4 *_local_this;
                                                      unsigned int _t804_principal_len;
                                                      CORBA::Boolean _return;
                                                      CORBA::Environment _ev;

                                                      flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1854);
                                                      /* Decode the requesting `Principal' pseudo object (client ID). */
                                                      flick_iiopxx_decode_new_chunk(5);
                                                      flick_cdr_decode_unsigned32(1, _t804_principal_len, unsigned int );
                                                      flick_iiopxx_decode_end_chunk(5);
                                                      flick_iiopxx_decode_end_glob(40);
                                                      flick_iiopxx_check_span(_t804_principal_len, _flick_abort1854);
                                                      flick_iiopxx_decode_new_glob(_t804_principal_len);
                                                      flick_iiopxx_decode_new_chunk(_t804_principal_len);
                                                      flick_iiopxx_decode_end_chunk(_t804_principal_len);
                                                      flick_iiopxx_decode_end_glob(_t804_principal_len);
                                                      /* Begin decode phase on parameters */
                                                      _return = 0;
                                                      flick_iiopxx_server_end_decode();
                                                      flick_corbaxx_init_environment();
                                                      _return = _local_this->boolean_attribute(_ev);
                                                      _stub_state.state = FLICK_STATE_MARSHAL;
                                                      flick_iiopxx_server_start_encode();
                                                      {
                                                        int _t805_temp_major;

                                                        flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t805_temp_major);

                                                        flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1854);
                                                        flick_iiopxx_encode_new_glob(5, _flick_abort1854);
                                                        flick_iiopxx_encode_new_chunk(4);
                                                        flick_cdr_encode_signed32(0, _t805_temp_major, int );
                                                        flick_iiopxx_encode_end_chunk(4);
                                                        switch (_t805_temp_major)
                                                          {
                                                          case CORBA::NO_EXCEPTION:
                                                            {
                                                              /* Begin encode phase on parameters */
                                                              flick_iiopxx_encode_new_chunk(1);
                                                              flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                                              flick_iiopxx_encode_end_chunk(1);
                                                              flick_iiopxx_encode_end_glob(5);
                                                              break;
                                                            }
                                                          case CORBA::SYSTEM_EXCEPTION:
                                                            {
                                                              flick_iiopxx_encode_end_glob(5);
                                                              flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1860);
                                                              break;
                                                              {
                                                              _flick_abort1860:
                                                                goto _flick_abort1854;
                                                              }
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1861);
                                                              flick_iiopxx_encode_end_glob(5);
                                                              break;
                                                              {
                                                              _flick_abort1861:
                                                                goto _flick_abort1854;
                                                              }
                                                            }
                                                          }
                                                      }
                                                      flick_iiopxx_server_end_encode();
                                                      break;
                                                      {
                                                      _flick_abort1854:
                                                        goto _flick_abort1853;
                                                      }
                                                    }
                                                    break;
                                                    {
                                                    _flick_abort1853:
                                                      goto _flick_abort1493;
                                                    }
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                                    flick_iiopxx_decode_end_glob(40);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                              flick_iiopxx_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                      flick_iiopxx_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t806_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t806_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t806_switch_tag)
                  {
                  case /* _boo */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600286575):
                    {
                      unsigned int _t807_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t807_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t807_switch_tag)
                        {
                        case /* lean */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1818583406):
                          {
                            unsigned int _t808_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t808_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t808_switch_tag)
                              {
                              case /* _att */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600222324):
                                {
                                  unsigned int _t809_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t809_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t809_switch_tag)
                                    {
                                    case /* ribu */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1919509109):
                                      {
                                        unsigned short int _t810_switch_tag;

                                        flick_iiopxx_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t810_switch_tag, unsigned short int );
                                        flick_iiopxx_decode_end_chunk(2);
                                        switch ((unsigned short int )_t810_switch_tag)
                                          {
                                          case /* te */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29797):
                                            {
                                              char _t811_switch_tag;

                                              flick_iiopxx_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t811_switch_tag, char );
                                              flick_iiopxx_decode_end_chunk(1);
                                              switch ((char )_t811_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      POA_ex4 *_local_this;
                                                      unsigned int _t812_principal_len;
                                                      CORBA::Boolean _local_boolean_attribute;
                                                      CORBA::Environment _ev;

                                                      flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1863);
                                                      /* Decode the requesting `Principal' pseudo object (client ID). */
                                                      flick_iiopxx_decode_new_chunk(5);
                                                      flick_cdr_decode_unsigned32(1, _t812_principal_len, unsigned int );
                                                      flick_iiopxx_decode_end_chunk(5);
                                                      flick_iiopxx_decode_end_glob(40);
                                                      flick_iiopxx_check_span(_t812_principal_len + 1, _flick_abort1863);
                                                      flick_iiopxx_decode_new_glob(_t812_principal_len);
                                                      flick_iiopxx_decode_new_chunk(_t812_principal_len);
                                                      flick_iiopxx_decode_end_chunk(_t812_principal_len);
                                                      flick_iiopxx_decode_end_glob(_t812_principal_len);
                                                      /* Begin decode phase on parameters */
                                                      flick_iiopxx_decode_new_glob(1);
                                                      flick_iiopxx_decode_new_chunk(1);
                                                      flick_cdr_decode_unsigned8(0, _local_boolean_attribute, CORBA::Boolean );
                                                      flick_iiopxx_decode_end_chunk(1);
                                                      flick_iiopxx_decode_end_glob(1);
                                                      flick_iiopxx_server_end_decode();
                                                      flick_corbaxx_init_environment();
                                                      _local_this->boolean_attribute(_local_boolean_attribute, _ev);
                                                      _stub_state.state = FLICK_STATE_MARSHAL;
                                                      flick_iiopxx_server_start_encode();
                                                      {
                                                        int _t813_temp_major;

                                                        flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t813_temp_major);

                                                        flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1863);
                                                        flick_iiopxx_encode_new_glob(4, _flick_abort1863);
                                                        flick_iiopxx_encode_new_chunk(4);
                                                        flick_cdr_encode_signed32(0, _t813_temp_major, int );
                                                        flick_iiopxx_encode_end_chunk(4);
                                                        switch (_t813_temp_major)
                                                          {
                                                          case CORBA::NO_EXCEPTION:
                                                            {
                                                              /* Begin encode phase on parameters */
                                                              flick_iiopxx_encode_end_glob(4);
                                                              break;
                                                            }
                                                          case CORBA::SYSTEM_EXCEPTION:
                                                            {
                                                              flick_iiopxx_encode_end_glob(4);
                                                              flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1869);
                                                              break;
                                                              {
                                                              _flick_abort1869:
                                                                goto _flick_abort1863;
                                                              }
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1870);
                                                              flick_iiopxx_encode_end_glob(4);
                                                              break;
                                                              {
                                                              _flick_abort1870:
                                                                goto _flick_abort1863;
                                                              }
                                                            }
                                                          }
                                                      }
                                                      flick_iiopxx_server_end_encode();
                                                      break;
                                                      {
                                                      _flick_abort1863:
                                                        goto _flick_abort1862;
                                                      }
                                                    }
                                                    break;
                                                    {
                                                    _flick_abort1862:
                                                      goto _flick_abort1493;
                                                    }
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                                    flick_iiopxx_decode_end_glob(40);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                              flick_iiopxx_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                      flick_iiopxx_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                flick_iiopxx_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 21:
        {
          unsigned int _t814_switch_tag;

          flick_iiopxx_check_span(28, _flick_abort1493);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t814_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t814_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t815_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t815_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t815_switch_tag)
                  {
                  case /* _oct */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601135476):
                    {
                      unsigned int _t816_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t816_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t816_switch_tag)
                        {
                        case /* et_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1702125409):
                          {
                            unsigned int _t817_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t817_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t817_switch_tag)
                              {
                              case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                {
                                  unsigned int _t818_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t818_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t818_switch_tag)
                                    {
                                    case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                      {
                                        char _t819_switch_tag;

                                        flick_iiopxx_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t819_switch_tag, char );
                                        flick_iiopxx_decode_end_chunk(1);
                                        switch ((char )_t819_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                POA_ex4 *_local_this;
                                                unsigned int _t820_principal_len;
                                                CORBA::Octet _return;
                                                CORBA::Environment _ev;

                                                flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1872);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_iiopxx_decode_new_chunk(7);
                                                flick_cdr_decode_unsigned32(3, _t820_principal_len, unsigned int );
                                                flick_iiopxx_decode_end_chunk(7);
                                                flick_iiopxx_decode_end_glob(40);
                                                flick_iiopxx_check_span(_t820_principal_len, _flick_abort1872);
                                                flick_iiopxx_decode_new_glob(_t820_principal_len);
                                                flick_iiopxx_decode_new_chunk(_t820_principal_len);
                                                flick_iiopxx_decode_end_chunk(_t820_principal_len);
                                                flick_iiopxx_decode_end_glob(_t820_principal_len);
                                                /* Begin decode phase on parameters */
                                                _return = 0;
                                                flick_iiopxx_server_end_decode();
                                                flick_corbaxx_init_environment();
                                                _return = _local_this->octet_attribute(_ev);
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_iiopxx_server_start_encode();
                                                {
                                                  int _t821_temp_major;

                                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t821_temp_major);

                                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1872);
                                                  flick_iiopxx_encode_new_glob(5, _flick_abort1872);
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _t821_temp_major, int );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  switch (_t821_temp_major)
                                                    {
                                                    case CORBA::NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_iiopxx_encode_new_chunk(1);
                                                        flick_cdr_encode_unsigned8(0, _return, CORBA::Octet );
                                                        flick_iiopxx_encode_end_chunk(1);
                                                        flick_iiopxx_encode_end_glob(5);
                                                        break;
                                                      }
                                                    case CORBA::SYSTEM_EXCEPTION:
                                                      {
                                                        flick_iiopxx_encode_end_glob(5);
                                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1878);
                                                        break;
                                                        {
                                                        _flick_abort1878:
                                                          goto _flick_abort1872;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1879);
                                                        flick_iiopxx_encode_end_glob(5);
                                                        break;
                                                        {
                                                        _flick_abort1879:
                                                          goto _flick_abort1872;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_iiopxx_server_end_encode();
                                                break;
                                                {
                                                _flick_abort1872:
                                                  goto _flick_abort1871;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort1871:
                                                goto _flick_abort1493;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                              flick_iiopxx_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _flo */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600547951):
                    {
                      unsigned int _t822_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t822_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t822_switch_tag)
                        {
                        case /* at_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635016545):
                          {
                            unsigned int _t823_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t823_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t823_switch_tag)
                              {
                              case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                {
                                  unsigned int _t824_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t824_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t824_switch_tag)
                                    {
                                    case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                      {
                                        char _t825_switch_tag;

                                        flick_iiopxx_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t825_switch_tag, char );
                                        flick_iiopxx_decode_end_chunk(1);
                                        switch ((char )_t825_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                POA_ex4 *_local_this;
                                                unsigned int _t826_principal_len;
                                                CORBA::Float _return;
                                                CORBA::Environment _ev;

                                                flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1881);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_iiopxx_decode_new_chunk(7);
                                                flick_cdr_decode_unsigned32(3, _t826_principal_len, unsigned int );
                                                flick_iiopxx_decode_end_chunk(7);
                                                flick_iiopxx_decode_end_glob(40);
                                                flick_iiopxx_check_span(_t826_principal_len, _flick_abort1881);
                                                flick_iiopxx_decode_new_glob(_t826_principal_len);
                                                flick_iiopxx_decode_new_chunk(_t826_principal_len);
                                                flick_iiopxx_decode_end_chunk(_t826_principal_len);
                                                flick_iiopxx_decode_end_glob(_t826_principal_len);
                                                /* Begin decode phase on parameters */
                                                _return = 0.000000;
                                                flick_iiopxx_server_end_decode();
                                                flick_corbaxx_init_environment();
                                                _return = _local_this->float_attribute(_ev);
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_iiopxx_server_start_encode();
                                                {
                                                  int _t827_temp_major;

                                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t827_temp_major);

                                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1881);
                                                  flick_iiopxx_encode_new_glob(8, _flick_abort1881);
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _t827_temp_major, int );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  switch (_t827_temp_major)
                                                    {
                                                    case CORBA::NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_iiopxx_encode_new_chunk(4);
                                                        flick_cdr_encode_float32(0, _return, CORBA::Float );
                                                        flick_iiopxx_encode_end_chunk(4);
                                                        flick_iiopxx_encode_end_glob(8);
                                                        break;
                                                      }
                                                    case CORBA::SYSTEM_EXCEPTION:
                                                      {
                                                        flick_iiopxx_encode_end_glob(8);
                                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1887);
                                                        break;
                                                        {
                                                        _flick_abort1887:
                                                          goto _flick_abort1881;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1888);
                                                        flick_iiopxx_encode_end_glob(8);
                                                        break;
                                                        {
                                                        _flick_abort1888:
                                                          goto _flick_abort1881;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_iiopxx_server_end_encode();
                                                break;
                                                {
                                                _flick_abort1881:
                                                  goto _flick_abort1880;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort1880:
                                                goto _flick_abort1493;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                              flick_iiopxx_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _sho */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398895):
                    {
                      unsigned int _t828_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t828_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t828_switch_tag)
                        {
                        case /* rt_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1920229217):
                          {
                            unsigned int _t829_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t829_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t829_switch_tag)
                              {
                              case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                {
                                  unsigned int _t830_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t830_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t830_switch_tag)
                                    {
                                    case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                      {
                                        char _t831_switch_tag;

                                        flick_iiopxx_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t831_switch_tag, char );
                                        flick_iiopxx_decode_end_chunk(1);
                                        switch ((char )_t831_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                POA_ex4 *_local_this;
                                                unsigned int _t832_principal_len;
                                                CORBA::Short _return;
                                                CORBA::Environment _ev;

                                                flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1890);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_iiopxx_decode_new_chunk(7);
                                                flick_cdr_decode_unsigned32(3, _t832_principal_len, unsigned int );
                                                flick_iiopxx_decode_end_chunk(7);
                                                flick_iiopxx_decode_end_glob(40);
                                                flick_iiopxx_check_span(_t832_principal_len, _flick_abort1890);
                                                flick_iiopxx_decode_new_glob(_t832_principal_len);
                                                flick_iiopxx_decode_new_chunk(_t832_principal_len);
                                                flick_iiopxx_decode_end_chunk(_t832_principal_len);
                                                flick_iiopxx_decode_end_glob(_t832_principal_len);
                                                /* Begin decode phase on parameters */
                                                _return = 0;
                                                flick_iiopxx_server_end_decode();
                                                flick_corbaxx_init_environment();
                                                _return = _local_this->short_attribute(_ev);
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_iiopxx_server_start_encode();
                                                {
                                                  int _t833_temp_major;

                                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t833_temp_major);

                                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1890);
                                                  flick_iiopxx_encode_new_glob(6, _flick_abort1890);
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _t833_temp_major, int );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  switch (_t833_temp_major)
                                                    {
                                                    case CORBA::NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_iiopxx_encode_new_chunk(2);
                                                        flick_cdr_encode_signed16(0, _return, CORBA::Short );
                                                        flick_iiopxx_encode_end_chunk(2);
                                                        flick_iiopxx_encode_end_glob(6);
                                                        break;
                                                      }
                                                    case CORBA::SYSTEM_EXCEPTION:
                                                      {
                                                        flick_iiopxx_encode_end_glob(6);
                                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1896);
                                                        break;
                                                        {
                                                        _flick_abort1896:
                                                          goto _flick_abort1890;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1897);
                                                        flick_iiopxx_encode_end_glob(6);
                                                        break;
                                                        {
                                                        _flick_abort1897:
                                                          goto _flick_abort1890;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_iiopxx_server_end_encode();
                                                break;
                                                {
                                                _flick_abort1890:
                                                  goto _flick_abort1889;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort1889:
                                                goto _flick_abort1493;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                              flick_iiopxx_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                      flick_iiopxx_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t834_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t834_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t834_switch_tag)
                  {
                  case /* _sho */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398895):
                    {
                      unsigned int _t835_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t835_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t835_switch_tag)
                        {
                        case /* rt_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1920229217):
                          {
                            unsigned int _t836_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t836_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t836_switch_tag)
                              {
                              case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                {
                                  unsigned int _t837_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t837_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t837_switch_tag)
                                    {
                                    case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                      {
                                        char _t838_switch_tag;

                                        flick_iiopxx_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t838_switch_tag, char );
                                        flick_iiopxx_decode_end_chunk(1);
                                        switch ((char )_t838_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                POA_ex4 *_local_this;
                                                unsigned int _t839_principal_len;
                                                CORBA::Short _local_short_attribute;
                                                CORBA::Environment _ev;

                                                flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1899);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_iiopxx_decode_new_chunk(7);
                                                flick_cdr_decode_unsigned32(3, _t839_principal_len, unsigned int );
                                                flick_iiopxx_decode_end_chunk(7);
                                                flick_iiopxx_decode_end_glob(40);
                                                flick_iiopxx_check_span(_t839_principal_len, _flick_abort1899);
                                                flick_iiopxx_decode_new_glob(_t839_principal_len);
                                                flick_iiopxx_decode_new_chunk(_t839_principal_len);
                                                flick_iiopxx_decode_end_chunk(_t839_principal_len);
                                                flick_iiopxx_decode_end_glob(_t839_principal_len);
                                                /* Begin decode phase on parameters */
                                                flick_iiopxx_decode_new_glob(3);
                                                flick_iiopxx_decode_new_chunk_align(2, 1, 0, 0);
                                                flick_iiopxx_check_span(2, _flick_abort1899);
                                                flick_cdr_decode_signed16(0, _local_short_attribute, CORBA::Short );
                                                flick_iiopxx_decode_end_chunk(2);
                                                flick_iiopxx_decode_end_glob(3);
                                                flick_iiopxx_server_end_decode();
                                                flick_corbaxx_init_environment();
                                                _local_this->short_attribute(_local_short_attribute, _ev);
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_iiopxx_server_start_encode();
                                                {
                                                  int _t840_temp_major;

                                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t840_temp_major);

                                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1899);
                                                  flick_iiopxx_encode_new_glob(4, _flick_abort1899);
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _t840_temp_major, int );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  switch (_t840_temp_major)
                                                    {
                                                    case CORBA::NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_iiopxx_encode_end_glob(4);
                                                        break;
                                                      }
                                                    case CORBA::SYSTEM_EXCEPTION:
                                                      {
                                                        flick_iiopxx_encode_end_glob(4);
                                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1905);
                                                        break;
                                                        {
                                                        _flick_abort1905:
                                                          goto _flick_abort1899;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1906);
                                                        flick_iiopxx_encode_end_glob(4);
                                                        break;
                                                        {
                                                        _flick_abort1906:
                                                          goto _flick_abort1899;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_iiopxx_server_end_encode();
                                                break;
                                                {
                                                _flick_abort1899:
                                                  goto _flick_abort1898;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort1898:
                                                goto _flick_abort1493;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                              flick_iiopxx_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                      flick_iiopxx_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                flick_iiopxx_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 22:
        {
          unsigned int _t841_switch_tag;

          flick_iiopxx_check_span(28, _flick_abort1493);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t841_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t841_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t842_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t842_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t842_switch_tag)
                  {
                  case /* _str */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601401970):
                    {
                      unsigned int _t843_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t843_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t843_switch_tag)
                        {
                        case /* ing_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768843103):
                          {
                            unsigned int _t844_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t844_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t844_switch_tag)
                              {
                              case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                {
                                  unsigned int _t845_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t845_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t845_switch_tag)
                                    {
                                    case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                      {
                                        unsigned short int _t846_switch_tag;

                                        flick_iiopxx_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t846_switch_tag, unsigned short int );
                                        flick_iiopxx_decode_end_chunk(2);
                                        switch ((unsigned short int )_t846_switch_tag)
                                          {
                                          case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                            {
                                              {
                                                POA_ex4 *_local_this;
                                                unsigned int _t847_principal_len;
                                                char *_return;
                                                CORBA::Environment _ev;

                                                flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1908);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_iiopxx_decode_new_chunk(6);
                                                flick_cdr_decode_unsigned32(2, _t847_principal_len, unsigned int );
                                                flick_iiopxx_decode_end_chunk(6);
                                                flick_iiopxx_decode_end_glob(40);
                                                flick_iiopxx_check_span(_t847_principal_len, _flick_abort1908);
                                                flick_iiopxx_decode_new_glob(_t847_principal_len);
                                                flick_iiopxx_decode_new_chunk(_t847_principal_len);
                                                flick_iiopxx_decode_end_chunk(_t847_principal_len);
                                                flick_iiopxx_decode_end_glob(_t847_principal_len);
                                                /* Begin decode phase on parameters */
                                                _return = 0;
                                                flick_iiopxx_server_end_decode();
                                                flick_corbaxx_init_environment();
                                                _return = _local_this->string_attribute(_ev);
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_iiopxx_server_start_encode();
                                                {
                                                  int _t848_temp_major;

                                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t848_temp_major);

                                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1908);
                                                  flick_iiopxx_encode_new_glob(8, _flick_abort1908);
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _t848_temp_major, int );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  switch (_t848_temp_major)
                                                    {
                                                    case CORBA::NO_EXCEPTION:
                                                      {
                                                        flick_unsigned32_t _t850_temp_string_len;

                                                        flick_cdr_stringlen(CORBA::Char *, _return, flick_unsigned32_t , _t850_temp_string_len);

                                                        /* Begin encode phase on parameters */
                                                        flick_iiopxx_encode_new_chunk(4);
                                                        flick_cdr_encode_unsigned32(0, _t850_temp_string_len, flick_unsigned32_t );
                                                        flick_iiopxx_encode_end_chunk(4);
                                                        flick_iiopxx_encode_end_glob(8);
                                                        flick_iiopxx_encode_new_glob(1 * _t850_temp_string_len, _flick_abort1915);
                                                        flick_iiopxx_encode_new_chunk(1 * _t850_temp_string_len);
                                                        flick_cdr_encode_bcopy(0, _return, 1 * _t850_temp_string_len);
                                                        CORBA_string_flick_free(_return);
                                                        _return = 0;
                                                        flick_iiopxx_encode_end_chunk(1 * _t850_temp_string_len);
                                                        flick_iiopxx_encode_end_glob(1 * _t850_temp_string_len);
                                                        break;
                                                        {
                                                        _flick_abort1915:
                                                          goto _flick_abort1908;
                                                        }
                                                      }
                                                    case CORBA::SYSTEM_EXCEPTION:
                                                      {
                                                        flick_iiopxx_encode_end_glob(8);
                                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1918);
                                                        break;
                                                        {
                                                        _flick_abort1918:
                                                          goto _flick_abort1908;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1919);
                                                        flick_iiopxx_encode_end_glob(8);
                                                        break;
                                                        {
                                                        _flick_abort1919:
                                                          goto _flick_abort1908;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_iiopxx_server_end_encode();
                                                break;
                                                {
                                                _flick_abort1908:
                                                  goto _flick_abort1907;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort1907:
                                                goto _flick_abort1493;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                              flick_iiopxx_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _dou */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600417653):
                    {
                      unsigned int _t851_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t851_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t851_switch_tag)
                        {
                        case /* ble_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651271007):
                          {
                            unsigned int _t852_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t852_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t852_switch_tag)
                              {
                              case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                {
                                  unsigned int _t853_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t853_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t853_switch_tag)
                                    {
                                    case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                      {
                                        unsigned short int _t854_switch_tag;

                                        flick_iiopxx_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t854_switch_tag, unsigned short int );
                                        flick_iiopxx_decode_end_chunk(2);
                                        switch ((unsigned short int )_t854_switch_tag)
                                          {
                                          case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                            {
                                              {
                                                POA_ex4 *_local_this;
                                                unsigned int _t855_principal_len;
                                                CORBA::Double _return;
                                                CORBA::Environment _ev;

                                                flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1921);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_iiopxx_decode_new_chunk(6);
                                                flick_cdr_decode_unsigned32(2, _t855_principal_len, unsigned int );
                                                flick_iiopxx_decode_end_chunk(6);
                                                flick_iiopxx_decode_end_glob(40);
                                                flick_iiopxx_check_span(_t855_principal_len, _flick_abort1921);
                                                flick_iiopxx_decode_new_glob(_t855_principal_len);
                                                flick_iiopxx_decode_new_chunk(_t855_principal_len);
                                                flick_iiopxx_decode_end_chunk(_t855_principal_len);
                                                flick_iiopxx_decode_end_glob(_t855_principal_len);
                                                /* Begin decode phase on parameters */
                                                _return = 0.000000;
                                                flick_iiopxx_server_end_decode();
                                                flick_corbaxx_init_environment();
                                                _return = _local_this->double_attribute(_ev);
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_iiopxx_server_start_encode();
                                                {
                                                  int _t856_temp_major;

                                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t856_temp_major);

                                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1921);
                                                  flick_iiopxx_encode_new_glob(16, _flick_abort1921);
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _t856_temp_major, int );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  switch (_t856_temp_major)
                                                    {
                                                    case CORBA::NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_iiopxx_encode_new_chunk_align(8, 3, 2, 0);
                                                        flick_cdr_encode_float64(0, _return, CORBA::Double );
                                                        flick_iiopxx_encode_end_chunk(8);
                                                        flick_iiopxx_encode_end_glob(16);
                                                        break;
                                                      }
                                                    case CORBA::SYSTEM_EXCEPTION:
                                                      {
                                                        flick_iiopxx_encode_end_glob(16);
                                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1927);
                                                        break;
                                                        {
                                                        _flick_abort1927:
                                                          goto _flick_abort1921;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1928);
                                                        flick_iiopxx_encode_end_glob(16);
                                                        break;
                                                        {
                                                        _flick_abort1928:
                                                          goto _flick_abort1921;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_iiopxx_server_end_encode();
                                                break;
                                                {
                                                _flick_abort1921:
                                                  goto _flick_abort1920;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort1920:
                                                goto _flick_abort1493;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                              flick_iiopxx_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                      flick_iiopxx_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t857_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t857_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t857_switch_tag)
                  {
                  case /* _str */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601401970):
                    {
                      unsigned int _t858_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t858_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t858_switch_tag)
                        {
                        case /* ing_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768843103):
                          {
                            unsigned int _t859_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t859_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t859_switch_tag)
                              {
                              case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                {
                                  unsigned int _t860_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t860_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t860_switch_tag)
                                    {
                                    case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                      {
                                        unsigned short int _t861_switch_tag;

                                        flick_iiopxx_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t861_switch_tag, unsigned short int );
                                        flick_iiopxx_decode_end_chunk(2);
                                        switch ((unsigned short int )_t861_switch_tag)
                                          {
                                          case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                            {
                                              {
                                                POA_ex4 *_local_this;
                                                unsigned int _t862_principal_len;
                                                char *_local_string_attribute;
                                                flick_unsigned32_t _t863_temp_string_len;
                                                CORBA::Environment _ev;

                                                flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1930);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_iiopxx_decode_new_chunk(6);
                                                flick_cdr_decode_unsigned32(2, _t862_principal_len, unsigned int );
                                                flick_iiopxx_decode_end_chunk(6);
                                                flick_iiopxx_decode_end_glob(40);
                                                flick_iiopxx_check_span(_t862_principal_len, _flick_abort1930);
                                                flick_iiopxx_decode_new_glob(_t862_principal_len);
                                                flick_iiopxx_decode_new_chunk(_t862_principal_len);
                                                flick_iiopxx_decode_end_chunk(_t862_principal_len);
                                                flick_iiopxx_decode_end_glob(_t862_principal_len);
                                                /* Begin decode phase on parameters */
                                                flick_iiopxx_decode_new_glob(7);
                                                flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                                flick_iiopxx_check_span(4, _flick_abort1930);
                                                flick_cdr_decode_unsigned32(0, _t863_temp_string_len, flick_unsigned32_t );
                                                flick_iiopxx_decode_end_chunk(4);
                                                flick_iiopxx_decode_end_glob(7);
                                                flick_iiopxx_decode_new_glob(1 * _t863_temp_string_len);
                                                flick_iiopxx_check_span(1 * _t863_temp_string_len, _flick_abort1930);
                                                flick_iiopxx_decode_new_chunk(1 * _t863_temp_string_len);
                                                flick_cdr_decode_msgptr(0, _local_string_attribute, CORBA::Char *);
                                                flick_iiopxx_decode_end_chunk(1 * _t863_temp_string_len);
                                                flick_iiopxx_decode_end_glob(1 * _t863_temp_string_len);
                                                flick_iiopxx_server_end_decode();
                                                flick_corbaxx_init_environment();
                                                _local_this->string_attribute(_local_string_attribute, _ev);
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_iiopxx_server_start_encode();
                                                {
                                                  int _t864_temp_major;

                                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t864_temp_major);

                                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1930);
                                                  flick_iiopxx_encode_new_glob(4, _flick_abort1930);
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _t864_temp_major, int );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  switch (_t864_temp_major)
                                                    {
                                                    case CORBA::NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_iiopxx_encode_end_glob(4);
                                                        break;
                                                      }
                                                    case CORBA::SYSTEM_EXCEPTION:
                                                      {
                                                        flick_iiopxx_encode_end_glob(4);
                                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1938);
                                                        break;
                                                        {
                                                        _flick_abort1938:
                                                          goto _flick_abort1930;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1939);
                                                        flick_iiopxx_encode_end_glob(4);
                                                        break;
                                                        {
                                                        _flick_abort1939:
                                                          goto _flick_abort1930;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_iiopxx_server_end_encode();
                                                break;
                                                {
                                                _flick_abort1930:
                                                  goto _flick_abort1929;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort1929:
                                                goto _flick_abort1493;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                              flick_iiopxx_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _dou */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600417653):
                    {
                      unsigned int _t865_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t865_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t865_switch_tag)
                        {
                        case /* ble_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651271007):
                          {
                            unsigned int _t866_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t866_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t866_switch_tag)
                              {
                              case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                {
                                  unsigned int _t867_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t867_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t867_switch_tag)
                                    {
                                    case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                      {
                                        unsigned short int _t868_switch_tag;

                                        flick_iiopxx_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t868_switch_tag, unsigned short int );
                                        flick_iiopxx_decode_end_chunk(2);
                                        switch ((unsigned short int )_t868_switch_tag)
                                          {
                                          case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                            {
                                              {
                                                POA_ex4 *_local_this;
                                                unsigned int _t869_principal_len;
                                                CORBA::Double _local_double_attribute;
                                                CORBA::Environment _ev;

                                                flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1941);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_iiopxx_decode_new_chunk(6);
                                                flick_cdr_decode_unsigned32(2, _t869_principal_len, unsigned int );
                                                flick_iiopxx_decode_end_chunk(6);
                                                flick_iiopxx_decode_end_glob(40);
                                                flick_iiopxx_check_span(_t869_principal_len, _flick_abort1941);
                                                flick_iiopxx_decode_new_glob(_t869_principal_len);
                                                flick_iiopxx_decode_new_chunk(_t869_principal_len);
                                                flick_iiopxx_decode_end_chunk(_t869_principal_len);
                                                flick_iiopxx_decode_end_glob(_t869_principal_len);
                                                /* Begin decode phase on parameters */
                                                flick_iiopxx_decode_new_glob(15);
                                                flick_iiopxx_decode_new_chunk_align(8, 3, 0, 0);
                                                flick_iiopxx_check_span(8, _flick_abort1941);
                                                flick_cdr_decode_float64(0, _local_double_attribute, CORBA::Double );
                                                flick_iiopxx_decode_end_chunk(8);
                                                flick_iiopxx_decode_end_glob(15);
                                                flick_iiopxx_server_end_decode();
                                                flick_corbaxx_init_environment();
                                                _local_this->double_attribute(_local_double_attribute, _ev);
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_iiopxx_server_start_encode();
                                                {
                                                  int _t870_temp_major;

                                                  flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t870_temp_major);

                                                  flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1941);
                                                  flick_iiopxx_encode_new_glob(4, _flick_abort1941);
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _t870_temp_major, int );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  switch (_t870_temp_major)
                                                    {
                                                    case CORBA::NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_iiopxx_encode_end_glob(4);
                                                        break;
                                                      }
                                                    case CORBA::SYSTEM_EXCEPTION:
                                                      {
                                                        flick_iiopxx_encode_end_glob(4);
                                                        flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1947);
                                                        break;
                                                        {
                                                        _flick_abort1947:
                                                          goto _flick_abort1941;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1948);
                                                        flick_iiopxx_encode_end_glob(4);
                                                        break;
                                                        {
                                                        _flick_abort1948:
                                                          goto _flick_abort1941;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_iiopxx_server_end_encode();
                                                break;
                                                {
                                                _flick_abort1941:
                                                  goto _flick_abort1940;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort1940:
                                                goto _flick_abort1493;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                              flick_iiopxx_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                      flick_iiopxx_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                flick_iiopxx_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 4:
        {
          unsigned int _t871_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t871_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t871_switch_tag)
            {
            case /* op7 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869625088):
              {
                {
                  POA_ex4 *_local_this;
                  unsigned int _t872_principal_len;
                  CORBA::Char _return;
                  CORBA::Char _local_c;
                  CORBA::Boolean _local_b;
                  CORBA::Octet _local_o;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1950);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t872_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(40);
                  flick_iiopxx_check_span(_t872_principal_len + 2, _flick_abort1950);
                  flick_iiopxx_decode_new_glob(_t872_principal_len);
                  flick_iiopxx_decode_new_chunk(_t872_principal_len);
                  flick_iiopxx_decode_end_chunk(_t872_principal_len);
                  flick_iiopxx_decode_end_glob(_t872_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(2);
                  flick_iiopxx_decode_new_chunk(2);
                  flick_cdr_decode_char8(0, _local_c, CORBA::Char );
                  flick_cdr_decode_unsigned8(1, _local_o, CORBA::Octet );
                  flick_iiopxx_decode_end_chunk(2);
                  flick_iiopxx_decode_end_glob(2);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op7(_local_c, _local_b, _local_o, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t873_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t873_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1950);
                    flick_iiopxx_encode_new_glob(7, _flick_abort1950);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t873_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t873_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(3);
                          flick_cdr_encode_char8(0, _return, CORBA::Char );
                          flick_cdr_encode_unsigned8(1, _local_b, CORBA::Boolean );
                          flick_cdr_encode_unsigned8(2, _local_o, CORBA::Octet );
                          flick_iiopxx_encode_end_chunk(3);
                          flick_iiopxx_encode_end_glob(7);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(7);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1956);
                          break;
                          {
                          _flick_abort1956:
                            goto _flick_abort1950;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1957);
                          flick_iiopxx_encode_end_glob(7);
                          break;
                          {
                          _flick_abort1957:
                            goto _flick_abort1950;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort1950:
                    goto _flick_abort1949;
                  }
                }
                break;
                {
                _flick_abort1949:
                  goto _flick_abort1493;
                }
              }
            case /* op8 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869625344):
              {
                {
                  POA_ex4 *_local_this;
                  unsigned int _t874_principal_len;
                  CORBA::Boolean _return;
                  CORBA::Boolean _local_b;
                  CORBA::Octet _local_o;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1959);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t874_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(40);
                  flick_iiopxx_check_span(_t874_principal_len + 1, _flick_abort1959);
                  flick_iiopxx_decode_new_glob(_t874_principal_len);
                  flick_iiopxx_decode_new_chunk(_t874_principal_len);
                  flick_iiopxx_decode_end_chunk(_t874_principal_len);
                  flick_iiopxx_decode_end_glob(_t874_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(1);
                  flick_iiopxx_decode_new_chunk(1);
                  flick_cdr_decode_unsigned8(0, _local_o, CORBA::Octet );
                  flick_iiopxx_decode_end_chunk(1);
                  flick_iiopxx_decode_end_glob(1);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op8(_local_b, _local_o, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t875_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t875_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1959);
                    flick_iiopxx_encode_new_glob(6, _flick_abort1959);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t875_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t875_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(2);
                          flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                          flick_cdr_encode_unsigned8(1, _local_b, CORBA::Boolean );
                          flick_iiopxx_encode_end_chunk(2);
                          flick_iiopxx_encode_end_glob(6);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(6);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1965);
                          break;
                          {
                          _flick_abort1965:
                            goto _flick_abort1959;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1966);
                          flick_iiopxx_encode_end_glob(6);
                          break;
                          {
                          _flick_abort1966:
                            goto _flick_abort1959;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort1959:
                    goto _flick_abort1958;
                  }
                }
                break;
                {
                _flick_abort1958:
                  goto _flick_abort1493;
                }
              }
            case /* op9 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869625600):
              {
                {
                  POA_ex4 *_local_this;
                  unsigned int _t876_principal_len;
                  CORBA::Octet _return;
                  CORBA::Octet _local_o;
                  char *_local_s;
                  char *_local_ls;
                  flick_unsigned32_t _t877_temp_string_len;
                  CORBA::Long _local_l;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1968);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t876_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(40);
                  flick_iiopxx_check_span(_t876_principal_len + 1, _flick_abort1968);
                  flick_iiopxx_decode_new_glob(_t876_principal_len);
                  flick_iiopxx_decode_new_chunk(_t876_principal_len);
                  flick_iiopxx_decode_end_chunk(_t876_principal_len);
                  flick_iiopxx_decode_end_glob(_t876_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(26);
                  flick_iiopxx_decode_new_chunk(1);
                  flick_cdr_decode_unsigned8(0, _local_o, CORBA::Octet );
                  flick_iiopxx_decode_end_chunk(1);
                  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                  flick_iiopxx_check_span(4, _flick_abort1968);
                  flick_cdr_decode_unsigned32(0, _t877_temp_string_len, flick_unsigned32_t );
                  if (_t877_temp_string_len > 11)
                    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1968);
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_check_span(1 * _t877_temp_string_len, _flick_abort1968);
                  flick_iiopxx_decode_new_chunk(1 * _t877_temp_string_len);
                  flick_cdr_decode_msgptr(0, _local_ls, CORBA::Char *);
                  flick_iiopxx_decode_end_chunk(1 * _t877_temp_string_len);
                  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                  flick_iiopxx_check_span(4, _flick_abort1968);
                  flick_cdr_decode_signed32(0, _local_l, CORBA::Long );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(26);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op9(_local_o, _local_s, _local_ls, _local_l, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t878_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t878_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1968);
                    flick_iiopxx_encode_new_glob(12, _flick_abort1968);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t878_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t878_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          flick_unsigned32_t _t880_temp_string_len;

                          flick_cdr_stringlen(CORBA::Char *, _local_s, flick_unsigned32_t , _t880_temp_string_len);

                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(8);
                          flick_cdr_encode_unsigned8(0, _return, CORBA::Octet );
                          flick_cdr_encode_unsigned8(1, _local_o, CORBA::Octet );
                          flick_cdr_encode_unsigned32(4, _t880_temp_string_len, flick_unsigned32_t );
                          flick_iiopxx_encode_end_chunk(8);
                          flick_iiopxx_encode_end_glob(12);
                          flick_iiopxx_encode_new_glob(1 * _t880_temp_string_len, _flick_abort1977);
                          flick_iiopxx_encode_new_chunk(1 * _t880_temp_string_len);
                          flick_cdr_encode_bcopy(0, _local_s, 1 * _t880_temp_string_len);
                          CORBA_string_flick_free(_local_s);
                          _local_s = 0;
                          flick_iiopxx_encode_end_chunk(1 * _t880_temp_string_len);
                          flick_iiopxx_encode_end_glob(1 * _t880_temp_string_len);
                          flick_iiopxx_encode_new_glob(7, _flick_abort1977);
                          flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                          flick_cdr_encode_signed32(0, _local_l, CORBA::Long );
                          flick_iiopxx_encode_end_chunk(4);
                          flick_iiopxx_encode_end_glob(7);
                          break;
                          {
                          _flick_abort1977:
                            goto _flick_abort1968;
                          }
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(12);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1980);
                          break;
                          {
                          _flick_abort1980:
                            goto _flick_abort1968;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1981);
                          flick_iiopxx_encode_end_glob(12);
                          break;
                          {
                          _flick_abort1981:
                            goto _flick_abort1968;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort1968:
                    goto _flick_abort1967;
                  }
                }
                break;
                {
                _flick_abort1967:
                  goto _flick_abort1493;
                }
              }
            case /* op0 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623296):
              {
                {
                  POA_ex4 *_local_this;
                  unsigned int _t881_principal_len;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1983);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t881_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(40);
                  flick_iiopxx_check_span(_t881_principal_len, _flick_abort1983);
                  flick_iiopxx_decode_new_glob(_t881_principal_len);
                  flick_iiopxx_decode_new_chunk(_t881_principal_len);
                  flick_iiopxx_decode_end_chunk(_t881_principal_len);
                  flick_iiopxx_decode_end_glob(_t881_principal_len);
                  /* Begin decode phase on parameters */
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _local_this->op0(_ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t882_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t882_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1983);
                    flick_iiopxx_encode_new_glob(4, _flick_abort1983);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t882_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t882_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_end_glob(4);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(4);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1989);
                          break;
                          {
                          _flick_abort1989:
                            goto _flick_abort1983;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1990);
                          flick_iiopxx_encode_end_glob(4);
                          break;
                          {
                          _flick_abort1990:
                            goto _flick_abort1983;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort1983:
                    goto _flick_abort1982;
                  }
                }
                break;
                {
                _flick_abort1982:
                  goto _flick_abort1493;
                }
              }
            case /* op1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623552):
              {
                {
                  POA_ex4 *_local_this;
                  unsigned int _t883_principal_len;
                  CORBA::Float _return;
                  CORBA::Float _local_f;
                  CORBA::Double _local_d;
                  CORBA::Long _local_l;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort1992);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t883_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(40);
                  flick_iiopxx_check_span(_t883_principal_len, _flick_abort1992);
                  flick_iiopxx_decode_new_glob(_t883_principal_len);
                  flick_iiopxx_decode_new_chunk(_t883_principal_len);
                  flick_iiopxx_decode_end_chunk(_t883_principal_len);
                  flick_iiopxx_decode_end_glob(_t883_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0.000000;
                  flick_iiopxx_decode_new_glob(11);
                  flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                  flick_iiopxx_check_span(8, _flick_abort1992);
                  flick_cdr_decode_float32(0, _local_f, CORBA::Float );
                  flick_cdr_decode_signed32(4, _local_l, CORBA::Long );
                  flick_iiopxx_decode_end_chunk(8);
                  flick_iiopxx_decode_end_glob(11);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op1(_local_f, _local_d, _local_l, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t884_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t884_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1992);
                    flick_iiopxx_encode_new_glob(24, _flick_abort1992);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t884_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t884_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_float32(0, _return, CORBA::Float );
                          flick_iiopxx_encode_end_chunk(4);
                          flick_iiopxx_encode_new_chunk_align(12, 3, 2, 0);
                          flick_cdr_encode_float64(0, _local_d, CORBA::Double );
                          flick_cdr_encode_signed32(8, _local_l, CORBA::Long );
                          flick_iiopxx_encode_end_chunk(12);
                          flick_iiopxx_encode_end_glob(24);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(24);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1998);
                          break;
                          {
                          _flick_abort1998:
                            goto _flick_abort1992;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1999);
                          flick_iiopxx_encode_end_glob(24);
                          break;
                          {
                          _flick_abort1999:
                            goto _flick_abort1992;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort1992:
                    goto _flick_abort1991;
                  }
                }
                break;
                {
                _flick_abort1991:
                  goto _flick_abort1493;
                }
              }
            case /* op2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623808):
              {
                {
                  POA_ex4 *_local_this;
                  unsigned int _t885_principal_len;
                  CORBA::Double _return;
                  CORBA::Double _local_d;
                  CORBA::Long _local_l;
                  CORBA::Short _local_s;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort2001);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t885_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(40);
                  flick_iiopxx_check_span(_t885_principal_len, _flick_abort2001);
                  flick_iiopxx_decode_new_glob(_t885_principal_len);
                  flick_iiopxx_decode_new_chunk(_t885_principal_len);
                  flick_iiopxx_decode_end_chunk(_t885_principal_len);
                  flick_iiopxx_decode_end_glob(_t885_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0.000000;
                  flick_iiopxx_decode_new_glob(17);
                  flick_iiopxx_decode_new_chunk_align(10, 3, 0, 0);
                  flick_iiopxx_check_span(10, _flick_abort2001);
                  flick_cdr_decode_float64(0, _local_d, CORBA::Double );
                  flick_cdr_decode_signed16(8, _local_s, CORBA::Short );
                  flick_iiopxx_decode_end_chunk(10);
                  flick_iiopxx_decode_end_glob(17);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op2(_local_d, _local_l, _local_s, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t886_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t886_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2001);
                    flick_iiopxx_encode_new_glob(22, _flick_abort2001);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t886_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t886_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk_align(14, 3, 2, 0);
                          flick_cdr_encode_float64(0, _return, CORBA::Double );
                          flick_cdr_encode_signed32(8, _local_l, CORBA::Long );
                          flick_cdr_encode_signed16(12, _local_s, CORBA::Short );
                          flick_iiopxx_encode_end_chunk(14);
                          flick_iiopxx_encode_end_glob(22);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(22);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2007);
                          break;
                          {
                          _flick_abort2007:
                            goto _flick_abort2001;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2008);
                          flick_iiopxx_encode_end_glob(22);
                          break;
                          {
                          _flick_abort2008:
                            goto _flick_abort2001;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort2001:
                    goto _flick_abort2000;
                  }
                }
                break;
                {
                _flick_abort2000:
                  goto _flick_abort1493;
                }
              }
            case /* op3 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624064):
              {
                {
                  POA_ex4 *_local_this;
                  unsigned int _t887_principal_len;
                  CORBA::Long _return;
                  CORBA::Long _local_l;
                  CORBA::Short _local_s;
                  CORBA::ULong _local_ul;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort2010);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t887_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(40);
                  flick_iiopxx_check_span(_t887_principal_len, _flick_abort2010);
                  flick_iiopxx_decode_new_glob(_t887_principal_len);
                  flick_iiopxx_decode_new_chunk(_t887_principal_len);
                  flick_iiopxx_decode_end_chunk(_t887_principal_len);
                  flick_iiopxx_decode_end_glob(_t887_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(11);
                  flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                  flick_iiopxx_check_span(8, _flick_abort2010);
                  flick_cdr_decode_signed32(0, _local_l, CORBA::Long );
                  flick_cdr_decode_unsigned32(4, _local_ul, CORBA::ULong );
                  flick_iiopxx_decode_end_chunk(8);
                  flick_iiopxx_decode_end_glob(11);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op3(_local_l, _local_s, _local_ul, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t888_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t888_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2010);
                    flick_iiopxx_encode_new_glob(16, _flick_abort2010);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t888_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t888_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(12);
                          flick_cdr_encode_signed32(0, _return, CORBA::Long );
                          flick_cdr_encode_signed16(4, _local_s, CORBA::Short );
                          flick_cdr_encode_unsigned32(8, _local_ul, CORBA::ULong );
                          flick_iiopxx_encode_end_chunk(12);
                          flick_iiopxx_encode_end_glob(16);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(16);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2016);
                          break;
                          {
                          _flick_abort2016:
                            goto _flick_abort2010;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2017);
                          flick_iiopxx_encode_end_glob(16);
                          break;
                          {
                          _flick_abort2017:
                            goto _flick_abort2010;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort2010:
                    goto _flick_abort2009;
                  }
                }
                break;
                {
                _flick_abort2009:
                  goto _flick_abort1493;
                }
              }
            case /* op4 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624320):
              {
                {
                  POA_ex4 *_local_this;
                  unsigned int _t889_principal_len;
                  CORBA::Short _return;
                  CORBA::Short _local_s;
                  CORBA::ULong _local_ul;
                  CORBA::UShort _local_us;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort2019);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t889_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(40);
                  flick_iiopxx_check_span(_t889_principal_len, _flick_abort2019);
                  flick_iiopxx_decode_new_glob(_t889_principal_len);
                  flick_iiopxx_decode_new_chunk(_t889_principal_len);
                  flick_iiopxx_decode_end_chunk(_t889_principal_len);
                  flick_iiopxx_decode_end_glob(_t889_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(5);
                  flick_iiopxx_decode_new_chunk_align(4, 1, 0, 0);
                  flick_iiopxx_check_span(4, _flick_abort2019);
                  flick_cdr_decode_signed16(0, _local_s, CORBA::Short );
                  flick_cdr_decode_unsigned16(2, _local_us, CORBA::UShort );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(5);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op4(_local_s, _local_ul, _local_us, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t890_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t890_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2019);
                    flick_iiopxx_encode_new_glob(14, _flick_abort2019);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t890_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t890_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(10);
                          flick_cdr_encode_signed16(0, _return, CORBA::Short );
                          flick_cdr_encode_unsigned32(4, _local_ul, CORBA::ULong );
                          flick_cdr_encode_unsigned16(8, _local_us, CORBA::UShort );
                          flick_iiopxx_encode_end_chunk(10);
                          flick_iiopxx_encode_end_glob(14);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(14);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2025);
                          break;
                          {
                          _flick_abort2025:
                            goto _flick_abort2019;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2026);
                          flick_iiopxx_encode_end_glob(14);
                          break;
                          {
                          _flick_abort2026:
                            goto _flick_abort2019;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort2019:
                    goto _flick_abort2018;
                  }
                }
                break;
                {
                _flick_abort2018:
                  goto _flick_abort1493;
                }
              }
            case /* op5 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624576):
              {
                {
                  POA_ex4 *_local_this;
                  unsigned int _t891_principal_len;
                  CORBA::ULong _return;
                  CORBA::ULong _local_ul;
                  CORBA::UShort _local_us;
                  CORBA::Char _local_c;
                  CORBA::Boolean _local_b;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort2028);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t891_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(40);
                  flick_iiopxx_check_span(_t891_principal_len, _flick_abort2028);
                  flick_iiopxx_decode_new_glob(_t891_principal_len);
                  flick_iiopxx_decode_new_chunk(_t891_principal_len);
                  flick_iiopxx_decode_end_chunk(_t891_principal_len);
                  flick_iiopxx_decode_end_glob(_t891_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(10);
                  flick_iiopxx_decode_new_chunk_align(7, 2, 0, 0);
                  flick_iiopxx_check_span(7, _flick_abort2028);
                  flick_cdr_decode_unsigned32(0, _local_ul, CORBA::ULong );
                  flick_cdr_decode_unsigned16(4, _local_us, CORBA::UShort );
                  flick_cdr_decode_unsigned8(6, _local_b, CORBA::Boolean );
                  flick_iiopxx_decode_end_chunk(7);
                  flick_iiopxx_decode_end_glob(10);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op5(_local_ul, _local_us, _local_c, _local_b, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t892_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t892_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2028);
                    flick_iiopxx_encode_new_glob(13, _flick_abort2028);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t892_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t892_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(9);
                          flick_cdr_encode_unsigned32(0, _return, CORBA::ULong );
                          flick_cdr_encode_unsigned32(4, _local_ul, CORBA::ULong );
                          flick_cdr_encode_char8(8, _local_c, CORBA::Char );
                          flick_iiopxx_encode_end_chunk(9);
                          flick_iiopxx_encode_end_glob(13);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(13);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2034);
                          break;
                          {
                          _flick_abort2034:
                            goto _flick_abort2028;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2035);
                          flick_iiopxx_encode_end_glob(13);
                          break;
                          {
                          _flick_abort2035:
                            goto _flick_abort2028;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort2028:
                    goto _flick_abort2027;
                  }
                }
                break;
                {
                _flick_abort2027:
                  goto _flick_abort1493;
                }
              }
            case /* op6 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624832):
              {
                {
                  POA_ex4 *_local_this;
                  unsigned int _t893_principal_len;
                  CORBA::UShort _return;
                  CORBA::UShort _local_us;
                  CORBA::Char _local_c;
                  CORBA::Environment _ev;

                  flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort2037);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t893_principal_len, unsigned int );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(40);
                  flick_iiopxx_check_span(_t893_principal_len + 1, _flick_abort2037);
                  flick_iiopxx_decode_new_glob(_t893_principal_len);
                  flick_iiopxx_decode_new_chunk(_t893_principal_len);
                  flick_iiopxx_decode_end_chunk(_t893_principal_len);
                  flick_iiopxx_decode_end_glob(_t893_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_iiopxx_decode_new_glob(1);
                  flick_iiopxx_decode_new_chunk(1);
                  flick_cdr_decode_char8(0, _local_c, CORBA::Char );
                  flick_iiopxx_decode_end_chunk(1);
                  flick_iiopxx_decode_end_glob(1);
                  flick_iiopxx_server_end_decode();
                  flick_corbaxx_init_environment();
                  _return = _local_this->op6(_local_us, _local_c, _ev);
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_iiopxx_server_start_encode();
                  {
                    int _t894_temp_major;

                    flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t894_temp_major);

                    flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2037);
                    flick_iiopxx_encode_new_glob(9, _flick_abort2037);
                    flick_iiopxx_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _t894_temp_major, int );
                    flick_iiopxx_encode_end_chunk(4);
                    switch (_t894_temp_major)
                      {
                      case CORBA::NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_iiopxx_encode_new_chunk(5);
                          flick_cdr_encode_unsigned16(0, _return, CORBA::UShort );
                          flick_cdr_encode_unsigned16(2, _local_us, CORBA::UShort );
                          flick_cdr_encode_char8(4, _local_c, CORBA::Char );
                          flick_iiopxx_encode_end_chunk(5);
                          flick_iiopxx_encode_end_glob(9);
                          break;
                        }
                      case CORBA::SYSTEM_EXCEPTION:
                        {
                          flick_iiopxx_encode_end_glob(9);
                          flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2043);
                          break;
                          {
                          _flick_abort2043:
                            goto _flick_abort2037;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2044);
                          flick_iiopxx_encode_end_glob(9);
                          break;
                          {
                          _flick_abort2044:
                            goto _flick_abort2037;
                          }
                        }
                      }
                  }
                  flick_iiopxx_server_end_encode();
                  break;
                  {
                  _flick_abort2037:
                    goto _flick_abort2036;
                  }
                }
                break;
                {
                _flick_abort2036:
                  goto _flick_abort1493;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                flick_iiopxx_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          unsigned int _t895_switch_tag;

          flick_iiopxx_check_span(12, _flick_abort1493);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t895_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t895_switch_tag)
            {
            case /* op10 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623600):
              {
                char _t896_switch_tag;

                flick_iiopxx_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t896_switch_tag, char );
                flick_iiopxx_decode_end_chunk(1);
                switch ((char )_t896_switch_tag)
                  {
                  case 0:
                    {
                      {
                        POA_ex4 *_local_this;
                        unsigned int _t897_principal_len;
                        char *_return;
                        char *_local_s;
                        flick_unsigned32_t _t898_temp_string_len;
                        char *_local_ls;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort2046);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(7);
                        flick_cdr_decode_unsigned32(3, _t897_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(7);
                        flick_iiopxx_decode_end_glob(40);
                        flick_iiopxx_check_span(_t897_principal_len, _flick_abort2046);
                        flick_iiopxx_decode_new_glob(_t897_principal_len);
                        flick_iiopxx_decode_new_chunk(_t897_principal_len);
                        flick_iiopxx_decode_end_chunk(_t897_principal_len);
                        flick_iiopxx_decode_end_glob(_t897_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort2046);
                        flick_cdr_decode_unsigned32(0, _t898_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t898_temp_string_len);
                        flick_iiopxx_check_span(1 * _t898_temp_string_len, _flick_abort2046);
                        flick_iiopxx_decode_new_chunk(1 * _t898_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_s, CORBA::Char *);
                        flick_iiopxx_decode_end_chunk(1 * _t898_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t898_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->op10(_local_s, _local_ls, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t899_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t899_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2046);
                          flick_iiopxx_encode_new_glob(8, _flick_abort2046);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t899_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t899_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                flick_unsigned32_t _t902_temp_string_len;
                                flick_unsigned32_t _t903_temp_string_len;

                                flick_cdr_stringlen(CORBA::Char *, _return, flick_unsigned32_t , _t902_temp_string_len);
                                flick_cdr_stringlen(CORBA::Char *, _local_ls, flick_unsigned32_t , _t903_temp_string_len);

                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_unsigned32(0, _t902_temp_string_len, flick_unsigned32_t );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(8);
                                flick_iiopxx_encode_new_glob(1 * _t902_temp_string_len, _flick_abort2057);
                                flick_iiopxx_encode_new_chunk(1 * _t902_temp_string_len);
                                flick_cdr_encode_bcopy(0, _return, 1 * _t902_temp_string_len);
                                CORBA_string_flick_free(_return);
                                _return = 0;
                                flick_iiopxx_encode_end_chunk(1 * _t902_temp_string_len);
                                flick_iiopxx_encode_end_glob(1 * _t902_temp_string_len);
                                flick_iiopxx_encode_new_glob(18, _flick_abort2057);
                                flick_iiopxx_encode_new_chunk_align(4 + 1 * _t903_temp_string_len, 2, 0, 0);
                                flick_cdr_encode_unsigned32(0, _t903_temp_string_len, flick_unsigned32_t );
                                if (_t903_temp_string_len > 11)
                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort2057);
                                flick_cdr_encode_bcopy(4, _local_ls, 1 * _t903_temp_string_len);
                                CORBA_string_flick_free(_local_ls);
                                _local_ls = 0;
                                flick_iiopxx_encode_end_chunk(4 + 1 * _t903_temp_string_len);
                                flick_iiopxx_encode_end_glob(18);
                                break;
                                {
                                _flick_abort2057:
                                  goto _flick_abort2046;
                                }
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(8);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2062);
                                break;
                                {
                                _flick_abort2062:
                                  goto _flick_abort2046;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2063);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                                {
                                _flick_abort2063:
                                  goto _flick_abort2046;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort2046:
                          goto _flick_abort2045;
                        }
                      }
                      break;
                      {
                      _flick_abort2045:
                        goto _flick_abort1493;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                      flick_iiopxx_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            case /* op11 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623601):
              {
                char _t904_switch_tag;

                flick_iiopxx_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t904_switch_tag, char );
                flick_iiopxx_decode_end_chunk(1);
                switch ((char )_t904_switch_tag)
                  {
                  case 0:
                    {
                      {
                        POA_ex4 *_local_this;
                        unsigned int _t905_principal_len;
                        char *_return;
                        char *_local_ls;
                        flick_unsigned32_t _t906_temp_string_len;
                        CORBA::Long _local_l;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort2065);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(7);
                        flick_cdr_decode_unsigned32(3, _t905_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(7);
                        flick_iiopxx_decode_end_glob(40);
                        flick_iiopxx_check_span(_t905_principal_len, _flick_abort2065);
                        flick_iiopxx_decode_new_glob(_t905_principal_len);
                        flick_iiopxx_decode_new_chunk(_t905_principal_len);
                        flick_iiopxx_decode_end_chunk(_t905_principal_len);
                        flick_iiopxx_decode_end_glob(_t905_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(18);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort2065);
                        flick_cdr_decode_unsigned32(0, _t906_temp_string_len, flick_unsigned32_t );
                        if (_t906_temp_string_len > 11)
                          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort2065);
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_check_span(1 * _t906_temp_string_len, _flick_abort2065);
                        flick_iiopxx_decode_new_chunk(1 * _t906_temp_string_len);
                        {
                          CORBA::Char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t906_temp_string_len * sizeof(CORBA::Char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort2065);
                          _local_ls = _t_alloc_ptr;
                        }
                        flick_cdr_decode_bcopy(0, _local_ls, 1 * _t906_temp_string_len);
                        flick_iiopxx_decode_end_chunk(1 * _t906_temp_string_len);
                        flick_iiopxx_decode_end_glob(18);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->op11(_local_ls, _local_l, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t907_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t907_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2068);
                          flick_iiopxx_encode_new_glob(44, _flick_abort2068);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t907_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t907_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                flick_unsigned32_t _t910_temp_string_len;
                                flick_unsigned32_t _t911_temp_string_len;

                                flick_cdr_stringlen(CORBA::Char *, _return, flick_unsigned32_t , _t910_temp_string_len);
                                flick_cdr_stringlen(CORBA::Char *, _local_ls, flick_unsigned32_t , _t911_temp_string_len);

                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(4 + 1 * _t910_temp_string_len);
                                flick_cdr_encode_unsigned32(0, _t910_temp_string_len, flick_unsigned32_t );
                                if (_t910_temp_string_len > 11)
                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort2077);
                                flick_cdr_encode_bcopy(4, _return, 1 * _t910_temp_string_len);
                                CORBA_string_flick_free(_return);
                                _return = 0;
                                flick_iiopxx_encode_end_chunk(4 + 1 * _t910_temp_string_len);
                                flick_iiopxx_encode_new_chunk_align(4 + 1 * _t911_temp_string_len, 2, 0, 0);
                                flick_cdr_encode_unsigned32(0, _t911_temp_string_len, flick_unsigned32_t );
                                if (_t911_temp_string_len > 11)
                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort2077);
                                flick_cdr_encode_bcopy(4, _local_ls, 1 * _t911_temp_string_len);
                                CORBA_string_flick_free(_local_ls);
                                _local_ls = 0;
                                flick_iiopxx_encode_end_chunk(4 + 1 * _t911_temp_string_len);
                                flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                flick_cdr_encode_signed32(0, _local_l, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(44);
                                break;
                                {
                                _flick_abort2077:
                                  goto _flick_abort2068;
                                }
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(44);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2082);
                                break;
                                {
                                _flick_abort2082:
                                  goto _flick_abort2068;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2083);
                                flick_iiopxx_encode_end_glob(44);
                                break;
                                {
                                _flick_abort2083:
                                  goto _flick_abort2068;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort2068:
                          CORBA_string_flick_free(_local_ls);
                        _flick_abort2065:
                          goto _flick_abort2064;
                        }
                      }
                      break;
                      {
                      _flick_abort2064:
                        goto _flick_abort1493;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                      flick_iiopxx_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            case /* op12 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623602):
              {
                char _t912_switch_tag;

                flick_iiopxx_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t912_switch_tag, char );
                flick_iiopxx_decode_end_chunk(1);
                switch ((char )_t912_switch_tag)
                  {
                  case 0:
                    {
                      {
                        POA_ex4 *_local_this;
                        unsigned int _t913_principal_len;
                        CORBA::Long _return;
                        CORBA::Long _local_l;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort2085);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(7);
                        flick_cdr_decode_unsigned32(3, _t913_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(7);
                        flick_iiopxx_decode_end_glob(40);
                        flick_iiopxx_check_span(_t913_principal_len, _flick_abort2085);
                        flick_iiopxx_decode_new_glob(_t913_principal_len);
                        flick_iiopxx_decode_new_chunk(_t913_principal_len);
                        flick_iiopxx_decode_end_chunk(_t913_principal_len);
                        flick_iiopxx_decode_end_glob(_t913_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort2085);
                        flick_cdr_decode_signed32(0, _local_l, CORBA::Long );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->op12(_local_l, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t914_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t914_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2085);
                          flick_iiopxx_encode_new_glob(8, _flick_abort2085);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t914_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t914_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(4);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(8);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2091);
                                break;
                                {
                                _flick_abort2091:
                                  goto _flick_abort2085;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2092);
                                flick_iiopxx_encode_end_glob(8);
                                break;
                                {
                                _flick_abort2092:
                                  goto _flick_abort2085;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort2085:
                          goto _flick_abort2084;
                        }
                      }
                      break;
                      {
                      _flick_abort2084:
                        goto _flick_abort1493;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                      flick_iiopxx_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                flick_iiopxx_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 29:
        {
          unsigned int _t915_switch_tag;

          flick_iiopxx_check_span(36, _flick_abort1493);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t915_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t915_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t916_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t916_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t916_switch_tag)
                  {
                  case /* _uns */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601531507):
                    {
                      unsigned int _t917_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t917_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t917_switch_tag)
                        {
                        case /* igne */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768386149):
                          {
                            unsigned int _t918_switch_tag;

                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t918_switch_tag, unsigned int );
                            flick_iiopxx_decode_end_chunk(4);
                            switch ((unsigned int )_t918_switch_tag)
                              {
                              case /* d_lo */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1683975279):
                                {
                                  unsigned int _t919_switch_tag;

                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t919_switch_tag, unsigned int );
                                  flick_iiopxx_decode_end_chunk(4);
                                  switch ((unsigned int )_t919_switch_tag)
                                    {
                                    case /* ng_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1852268385):
                                      {
                                        unsigned int _t920_switch_tag;

                                        flick_iiopxx_decode_new_chunk(4);
                                        flick_cdr_decode_unsigned32(0, _t920_switch_tag, unsigned int );
                                        flick_iiopxx_decode_end_chunk(4);
                                        switch ((unsigned int )_t920_switch_tag)
                                          {
                                          case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                            {
                                              unsigned int _t921_switch_tag;

                                              flick_iiopxx_decode_new_chunk(4);
                                              flick_cdr_decode_unsigned32(0, _t921_switch_tag, unsigned int );
                                              flick_iiopxx_decode_end_chunk(4);
                                              switch ((unsigned int )_t921_switch_tag)
                                                {
                                                case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                                  {
                                                    char _t922_switch_tag;

                                                    flick_iiopxx_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t922_switch_tag, char );
                                                    flick_iiopxx_decode_end_chunk(1);
                                                    switch ((char )_t922_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            POA_ex4 *_local_this;
                                                            unsigned int _t923_principal_len;
                                                            CORBA::ULong _return;
                                                            CORBA::Environment _ev;

                                                            flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort2094);
                                                            /* Decode the requesting `Principal' pseudo object (client ID). */
                                                            flick_iiopxx_decode_new_chunk(7);
                                                            flick_cdr_decode_unsigned32(3, _t923_principal_len, unsigned int );
                                                            flick_iiopxx_decode_end_chunk(7);
                                                            flick_iiopxx_decode_end_glob(40);
                                                            flick_iiopxx_check_span(_t923_principal_len, _flick_abort2094);
                                                            flick_iiopxx_decode_new_glob(_t923_principal_len);
                                                            flick_iiopxx_decode_new_chunk(_t923_principal_len);
                                                            flick_iiopxx_decode_end_chunk(_t923_principal_len);
                                                            flick_iiopxx_decode_end_glob(_t923_principal_len);
                                                            /* Begin decode phase on parameters */
                                                            _return = 0;
                                                            flick_iiopxx_server_end_decode();
                                                            flick_corbaxx_init_environment();
                                                            _return = _local_this->unsigned_long_attribute(_ev);
                                                            _stub_state.state = FLICK_STATE_MARSHAL;
                                                            flick_iiopxx_server_start_encode();
                                                            {
                                                              int _t924_temp_major;

                                                              flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t924_temp_major);

                                                              flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2094);
                                                              flick_iiopxx_encode_new_glob(8, _flick_abort2094);
                                                              flick_iiopxx_encode_new_chunk(4);
                                                              flick_cdr_encode_signed32(0, _t924_temp_major, int );
                                                              flick_iiopxx_encode_end_chunk(4);
                                                              switch (_t924_temp_major)
                                                                {
                                                                case CORBA::NO_EXCEPTION:
                                                                  {
                                                                    /* Begin encode phase on parameters */
                                                                    flick_iiopxx_encode_new_chunk(4);
                                                                    flick_cdr_encode_unsigned32(0, _return, CORBA::ULong );
                                                                    flick_iiopxx_encode_end_chunk(4);
                                                                    flick_iiopxx_encode_end_glob(8);
                                                                    break;
                                                                  }
                                                                case CORBA::SYSTEM_EXCEPTION:
                                                                  {
                                                                    flick_iiopxx_encode_end_glob(8);
                                                                    flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2100);
                                                                    break;
                                                                    {
                                                                    _flick_abort2100:
                                                                      goto _flick_abort2094;
                                                                    }
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2101);
                                                                    flick_iiopxx_encode_end_glob(8);
                                                                    break;
                                                                    {
                                                                    _flick_abort2101:
                                                                      goto _flick_abort2094;
                                                                    }
                                                                  }
                                                                }
                                                            }
                                                            flick_iiopxx_server_end_encode();
                                                            break;
                                                            {
                                                            _flick_abort2094:
                                                              goto _flick_abort2093;
                                                            }
                                                          }
                                                          break;
                                                          {
                                                          _flick_abort2093:
                                                            goto _flick_abort1493;
                                                          }
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                                          flick_iiopxx_decode_end_glob(40);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                                    flick_iiopxx_decode_end_glob(40);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                              flick_iiopxx_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                        flick_iiopxx_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                  flick_iiopxx_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                            flick_iiopxx_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                      flick_iiopxx_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                flick_iiopxx_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t925_switch_tag;

          flick_iiopxx_check_span(12, _flick_abort1493);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t925_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t925_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t926_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t926_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t926_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_ex4 *_local_this;
                        unsigned int _t927_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t928_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort2103);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t927_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(40);
                        flick_iiopxx_check_span(_t927_principal_len, _flick_abort2103);
                        flick_iiopxx_decode_new_glob(_t927_principal_len);
                        flick_iiopxx_decode_new_chunk(_t927_principal_len);
                        flick_iiopxx_decode_end_chunk(_t927_principal_len);
                        flick_iiopxx_decode_end_glob(_t927_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort2103);
                        flick_cdr_decode_unsigned32(0, _t928_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t928_temp_string_len);
                        flick_iiopxx_check_span(1 * _t928_temp_string_len, _flick_abort2103);
                        flick_iiopxx_decode_new_chunk(1 * _t928_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_type_id, CORBA::Char *);
                        flick_iiopxx_decode_end_chunk(1 * _t928_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t928_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t929_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t929_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort2103);
                          flick_iiopxx_encode_new_glob(5, _flick_abort2103);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t929_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t929_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort2111);
                                break;
                                {
                                _flick_abort2111:
                                  goto _flick_abort2103;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2112);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort2112:
                                  goto _flick_abort2103;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort2103:
                          goto _flick_abort2102;
                        }
                      }
                      break;
                      {
                      _flick_abort2102:
                        goto _flick_abort1493;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                      flick_iiopxx_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                flick_iiopxx_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
          flick_iiopxx_decode_end_glob(40);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return;
  {
  _flick_abort1493:
    flick_corbaxx_server_error(cdr, iiopxx, _flick_reaper, _flick_abort1492);
  _flick_abort1492:
    return ;
  }
_flick_reaper:
  return ;
}

