#include "inherit-server.h"

POA_one::POA_one()
{}

POA_one::POA_one(const POA_one &rhs)
  : TAO_ServantBase(rhs)
{}

POA_one::~POA_one()
{}

one *POA_one::_this(CORBA::Environment &_env)
{
  TAO_Stub *stub = this->_create_stub(_env);
  TAO_CHECK_ENV_RETURN(_env, 0);
  return new _tao_collocated_one(this, stub);
}

CORBA::Boolean POA_one::_is_a(const CORBA::Char *type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)type_id, "IDL:one:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return 0;
}

void *POA_one::_downcast(const char *logical_type_id)
{
  if(ACE_OS::strcmp(logical_type_id, "IDL:one:1.0") == 0)
    return ACE_static_cast(POA_one_ptr , this);
   
  if(ACE_OS::strcmp(logical_type_id, "IDL:omg.org/CORBA/Object:1.0") == 0)
    return ACE_static_cast(PortableServer::Servant, this);
  return 0;
}

const char *POA_one::_interface_repository_id() const
{
  return "IDL:one:1.0";
}

template <class T>
  POA_one_tie<T>::POA_one_tie(T &t)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(0)
{}

template <class T>
  POA_one_tie<T>::POA_one_tie(T &t, PortableServer::POA_ptr poa)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(0)
{}

template <class T>
  POA_one_tie<T>::POA_one_tie(T *t, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(release)
{}

template <class T>
  POA_one_tie<T>::POA_one_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(release)
{}

template <class T>
  POA_one_tie<T>::~POA_one_tie()
{
  if( this->rel_ ) delete this->ptr_;
}

template <class T>
  T *POA_one_tie<T>::_tied_object()
{
  return this->ptr_;
}

template <class T>
  void POA_one_tie<T>::_tied_object(T &obj)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = &obj;
  this->rel_ = 0;
}

template <class T>
  void POA_one_tie<T>::_tied_object(T &obj, CORBA::Boolean release)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = obj;
  this->rel_ = release;
}

template <class T>
  CORBA::Boolean POA_one_tie<T>::_is_owner()
{
  return this->rel_;
}

template <class T>
  void POA_one_tie<T>::_is_owner(CORBA::Boolean b)
{
  this->rel_ = b;
}

template <class T>
  PortableServer::POA_ptr POA_one_tie<T>::_default_POA()
{
  if( !(CORBA::is_nil(this->poa_.in())) )
    return PortableServer::POA::_duplicate(this->poa_.in());
  else
  {
    TAO_POA *poa = TAO_ORB_Core_instance()->root_poa();
    PortableServer::POA_var result = poa->_this(env);
    if( env.exception() != 0 )
      return PortableServer::POA::_nil();
    else
      return result._retn();
  }
}

template <class T>
  POA_one_tie<T>::POA_one_tie(const POA_one_tie &c)
{}

template <class T>
  void POA_one_tie<T>::operator=(const POA_one_tie &c)
{}

template <class T>
  void POA_one_tie<T>::op_one(/* POA_one *this, */ CORBA::Environment &_ev)
{
  this->ptr_->op_one (_ev);
}

_tao_collocated_one::_tao_collocated_one(POA_one_ptr servant, TAO_Stub *stub)
  : one(),
    CORBA_Object(stub, servant, 1),
    servant_ (servant)
{
}

POA_one_ptr _tao_collocated_one::_get_servant() const
{
  return this->servant_;
}

void _tao_collocated_one::op_one(CORBA::Environment &_ev)
{
  this->servant_->op_one (_ev);
}

CORBA::Boolean _tao_collocated_one::_is_a(const char *type_id, CORBA::Environment &_ev)
{
  return this->servant_->_is_a (type_id, _ev);
}

POA_two::POA_two()
{}

POA_two::POA_two(const POA_two &rhs)
  : TAO_ServantBase(rhs)
{}

POA_two::~POA_two()
{}

two *POA_two::_this(CORBA::Environment &_env)
{
  TAO_Stub *stub = this->_create_stub(_env);
  TAO_CHECK_ENV_RETURN(_env, 0);
  return new _tao_collocated_two(this, stub);
}

CORBA::Boolean POA_two::_is_a(const CORBA::Char *type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)type_id, "IDL:one:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, "IDL:two:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return 0;
}

void *POA_two::_downcast(const char *logical_type_id)
{
  if(ACE_OS::strcmp(logical_type_id, "IDL:two:1.0") == 0)
    return ACE_static_cast(POA_two_ptr , this);
  
  if(ACE_OS::strcmp(logical_type_id, "IDL:one:1.0") == 0)
    return ACE_reinterpret_cast(POA_one_ptr , this); 
  if(ACE_OS::strcmp(logical_type_id, "IDL:omg.org/CORBA/Object:1.0") == 0)
    return ACE_static_cast(PortableServer::Servant, this);
  return 0;
}

const char *POA_two::_interface_repository_id() const
{
  return "IDL:two:1.0";
}

template <class T>
  POA_two_tie<T>::POA_two_tie(T &t)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(0)
{}

template <class T>
  POA_two_tie<T>::POA_two_tie(T &t, PortableServer::POA_ptr poa)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(0)
{}

template <class T>
  POA_two_tie<T>::POA_two_tie(T *t, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(release)
{}

template <class T>
  POA_two_tie<T>::POA_two_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(release)
{}

template <class T>
  POA_two_tie<T>::~POA_two_tie()
{
  if( this->rel_ ) delete this->ptr_;
}

template <class T>
  T *POA_two_tie<T>::_tied_object()
{
  return this->ptr_;
}

template <class T>
  void POA_two_tie<T>::_tied_object(T &obj)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = &obj;
  this->rel_ = 0;
}

template <class T>
  void POA_two_tie<T>::_tied_object(T &obj, CORBA::Boolean release)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = obj;
  this->rel_ = release;
}

template <class T>
  CORBA::Boolean POA_two_tie<T>::_is_owner()
{
  return this->rel_;
}

template <class T>
  void POA_two_tie<T>::_is_owner(CORBA::Boolean b)
{
  this->rel_ = b;
}

template <class T>
  PortableServer::POA_ptr POA_two_tie<T>::_default_POA()
{
  if( !(CORBA::is_nil(this->poa_.in())) )
    return PortableServer::POA::_duplicate(this->poa_.in());
  else
  {
    TAO_POA *poa = TAO_ORB_Core_instance()->root_poa();
    PortableServer::POA_var result = poa->_this(env);
    if( env.exception() != 0 )
      return PortableServer::POA::_nil();
    else
      return result._retn();
  }
}

template <class T>
  POA_two_tie<T>::POA_two_tie(const POA_two_tie &c)
{}

template <class T>
  void POA_two_tie<T>::operator=(const POA_two_tie &c)
{}

template <class T>
  void POA_two_tie<T>::op_two(/* POA_two *this, */ CORBA::Environment &_ev)
{
  this->ptr_->op_two (_ev);
}

template <class T>
  void POA_two_tie<T>::op_one(/* POA_two *this, */ CORBA::Environment &_ev)
{
  this->ptr_->op_one (_ev);
}

_tao_collocated_two::_tao_collocated_two(POA_two_ptr servant, TAO_Stub *stub)
  : two(),
    CORBA_Object(stub, servant, 1),
    servant_ (servant)
{
}

POA_two_ptr _tao_collocated_two::_get_servant() const
{
  return this->servant_;
}

void _tao_collocated_two::op_two(CORBA::Environment &_ev)
{
  this->servant_->op_two (_ev);
}

void _tao_collocated_two::op_one(CORBA::Environment &_ev)
{
  this->servant_->op_one (_ev);
}

CORBA::Boolean _tao_collocated_two::_is_a(const char *type_id, CORBA::Environment &_ev)
{
  return this->servant_->_is_a (type_id, _ev);
}

POA_three::POA_three()
{}

POA_three::POA_three(const POA_three &rhs)
  : TAO_ServantBase(rhs)
{}

POA_three::~POA_three()
{}

three *POA_three::_this(CORBA::Environment &_env)
{
  TAO_Stub *stub = this->_create_stub(_env);
  TAO_CHECK_ENV_RETURN(_env, 0);
  return new _tao_collocated_three(this, stub);
}

CORBA::Boolean POA_three::_is_a(const CORBA::Char *type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)type_id, "IDL:one:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, "IDL:three:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return 0;
}

void *POA_three::_downcast(const char *logical_type_id)
{
  if(ACE_OS::strcmp(logical_type_id, "IDL:three:1.0") == 0)
    return ACE_static_cast(POA_three_ptr , this);
  
  if(ACE_OS::strcmp(logical_type_id, "IDL:one:1.0") == 0)
    return ACE_reinterpret_cast(POA_one_ptr , this); 
  if(ACE_OS::strcmp(logical_type_id, "IDL:omg.org/CORBA/Object:1.0") == 0)
    return ACE_static_cast(PortableServer::Servant, this);
  return 0;
}

const char *POA_three::_interface_repository_id() const
{
  return "IDL:three:1.0";
}

template <class T>
  POA_three_tie<T>::POA_three_tie(T &t)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(0)
{}

template <class T>
  POA_three_tie<T>::POA_three_tie(T &t, PortableServer::POA_ptr poa)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(0)
{}

template <class T>
  POA_three_tie<T>::POA_three_tie(T *t, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(release)
{}

template <class T>
  POA_three_tie<T>::POA_three_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(release)
{}

template <class T>
  POA_three_tie<T>::~POA_three_tie()
{
  if( this->rel_ ) delete this->ptr_;
}

template <class T>
  T *POA_three_tie<T>::_tied_object()
{
  return this->ptr_;
}

template <class T>
  void POA_three_tie<T>::_tied_object(T &obj)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = &obj;
  this->rel_ = 0;
}

template <class T>
  void POA_three_tie<T>::_tied_object(T &obj, CORBA::Boolean release)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = obj;
  this->rel_ = release;
}

template <class T>
  CORBA::Boolean POA_three_tie<T>::_is_owner()
{
  return this->rel_;
}

template <class T>
  void POA_three_tie<T>::_is_owner(CORBA::Boolean b)
{
  this->rel_ = b;
}

template <class T>
  PortableServer::POA_ptr POA_three_tie<T>::_default_POA()
{
  if( !(CORBA::is_nil(this->poa_.in())) )
    return PortableServer::POA::_duplicate(this->poa_.in());
  else
  {
    TAO_POA *poa = TAO_ORB_Core_instance()->root_poa();
    PortableServer::POA_var result = poa->_this(env);
    if( env.exception() != 0 )
      return PortableServer::POA::_nil();
    else
      return result._retn();
  }
}

template <class T>
  POA_three_tie<T>::POA_three_tie(const POA_three_tie &c)
{}

template <class T>
  void POA_three_tie<T>::operator=(const POA_three_tie &c)
{}

template <class T>
  void POA_three_tie<T>::op_three(/* POA_three *this, */ CORBA::Environment &_ev)
{
  this->ptr_->op_three (_ev);
}

template <class T>
  void POA_three_tie<T>::op_one(/* POA_three *this, */ CORBA::Environment &_ev)
{
  this->ptr_->op_one (_ev);
}

_tao_collocated_three::_tao_collocated_three(POA_three_ptr servant, TAO_Stub *stub)
  : three(),
    CORBA_Object(stub, servant, 1),
    servant_ (servant)
{
}

POA_three_ptr _tao_collocated_three::_get_servant() const
{
  return this->servant_;
}

void _tao_collocated_three::op_three(CORBA::Environment &_ev)
{
  this->servant_->op_three (_ev);
}

void _tao_collocated_three::op_one(CORBA::Environment &_ev)
{
  this->servant_->op_one (_ev);
}

CORBA::Boolean _tao_collocated_three::_is_a(const char *type_id, CORBA::Environment &_ev)
{
  return this->servant_->_is_a (type_id, _ev);
}

POA_four::POA_four()
{}

POA_four::POA_four(const POA_four &rhs)
  : TAO_ServantBase(rhs)
{}

POA_four::~POA_four()
{}

four *POA_four::_this(CORBA::Environment &_env)
{
  TAO_Stub *stub = this->_create_stub(_env);
  TAO_CHECK_ENV_RETURN(_env, 0);
  return new _tao_collocated_four(this, stub);
}

CORBA::Boolean POA_four::_is_a(const CORBA::Char *type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)type_id, "IDL:one:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, "IDL:two:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, "IDL:three:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, "IDL:four:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return 0;
}

void *POA_four::_downcast(const char *logical_type_id)
{
  if(ACE_OS::strcmp(logical_type_id, "IDL:four:1.0") == 0)
    return ACE_static_cast(POA_four_ptr , this);
  
  if(ACE_OS::strcmp(logical_type_id, "IDL:one:1.0") == 0)
    return ACE_reinterpret_cast(POA_one_ptr , this);
  if(ACE_OS::strcmp(logical_type_id, "IDL:two:1.0") == 0)
    return ACE_reinterpret_cast(POA_two_ptr , this);
  if(ACE_OS::strcmp(logical_type_id, "IDL:three:1.0") == 0)
    return ACE_reinterpret_cast(POA_three_ptr , this); 
  if(ACE_OS::strcmp(logical_type_id, "IDL:omg.org/CORBA/Object:1.0") == 0)
    return ACE_static_cast(PortableServer::Servant, this);
  return 0;
}

const char *POA_four::_interface_repository_id() const
{
  return "IDL:four:1.0";
}

template <class T>
  POA_four_tie<T>::POA_four_tie(T &t)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(0)
{}

template <class T>
  POA_four_tie<T>::POA_four_tie(T &t, PortableServer::POA_ptr poa)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(0)
{}

template <class T>
  POA_four_tie<T>::POA_four_tie(T *t, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(release)
{}

template <class T>
  POA_four_tie<T>::POA_four_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(release)
{}

template <class T>
  POA_four_tie<T>::~POA_four_tie()
{
  if( this->rel_ ) delete this->ptr_;
}

template <class T>
  T *POA_four_tie<T>::_tied_object()
{
  return this->ptr_;
}

template <class T>
  void POA_four_tie<T>::_tied_object(T &obj)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = &obj;
  this->rel_ = 0;
}

template <class T>
  void POA_four_tie<T>::_tied_object(T &obj, CORBA::Boolean release)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = obj;
  this->rel_ = release;
}

template <class T>
  CORBA::Boolean POA_four_tie<T>::_is_owner()
{
  return this->rel_;
}

template <class T>
  void POA_four_tie<T>::_is_owner(CORBA::Boolean b)
{
  this->rel_ = b;
}

template <class T>
  PortableServer::POA_ptr POA_four_tie<T>::_default_POA()
{
  if( !(CORBA::is_nil(this->poa_.in())) )
    return PortableServer::POA::_duplicate(this->poa_.in());
  else
  {
    TAO_POA *poa = TAO_ORB_Core_instance()->root_poa();
    PortableServer::POA_var result = poa->_this(env);
    if( env.exception() != 0 )
      return PortableServer::POA::_nil();
    else
      return result._retn();
  }
}

template <class T>
  POA_four_tie<T>::POA_four_tie(const POA_four_tie &c)
{}

template <class T>
  void POA_four_tie<T>::operator=(const POA_four_tie &c)
{}

template <class T>
  void POA_four_tie<T>::op_four(/* POA_four *this, */ CORBA::Environment &_ev)
{
  this->ptr_->op_four (_ev);
}

template <class T>
  void POA_four_tie<T>::op_two(/* POA_four *this, */ CORBA::Environment &_ev)
{
  this->ptr_->op_two (_ev);
}

template <class T>
  void POA_four_tie<T>::op_one(/* POA_four *this, */ CORBA::Environment &_ev)
{
  this->ptr_->op_one (_ev);
}

template <class T>
  void POA_four_tie<T>::op_three(/* POA_four *this, */ CORBA::Environment &_ev)
{
  this->ptr_->op_three (_ev);
}

_tao_collocated_four::_tao_collocated_four(POA_four_ptr servant, TAO_Stub *stub)
  : four(),
    CORBA_Object(stub, servant, 1),
    servant_ (servant)
{
}

POA_four_ptr _tao_collocated_four::_get_servant() const
{
  return this->servant_;
}

void _tao_collocated_four::op_four(CORBA::Environment &_ev)
{
  this->servant_->op_four (_ev);
}

void _tao_collocated_four::op_two(CORBA::Environment &_ev)
{
  this->servant_->op_two (_ev);
}

void _tao_collocated_four::op_one(CORBA::Environment &_ev)
{
  this->servant_->op_one (_ev);
}

void _tao_collocated_four::op_three(CORBA::Environment &_ev)
{
  this->servant_->op_three (_ev);
}

CORBA::Boolean _tao_collocated_four::_is_a(const char *type_id, CORBA::Environment &_ev)
{
  return this->servant_->_is_a (type_id, _ev);
}

POA_five::POA_five()
{}

POA_five::POA_five(const POA_five &rhs)
  : TAO_ServantBase(rhs)
{}

POA_five::~POA_five()
{}

five *POA_five::_this(CORBA::Environment &_env)
{
  TAO_Stub *stub = this->_create_stub(_env);
  TAO_CHECK_ENV_RETURN(_env, 0);
  return new _tao_collocated_five(this, stub);
}

CORBA::Boolean POA_five::_is_a(const CORBA::Char *type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)type_id, "IDL:one:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, "IDL:two:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, "IDL:three:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, "IDL:four:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, "IDL:five:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return 0;
}

void *POA_five::_downcast(const char *logical_type_id)
{
  if(ACE_OS::strcmp(logical_type_id, "IDL:five:1.0") == 0)
    return ACE_static_cast(POA_five_ptr , this);
  
  if(ACE_OS::strcmp(logical_type_id, "IDL:one:1.0") == 0)
    return ACE_reinterpret_cast(POA_one_ptr , this);
  if(ACE_OS::strcmp(logical_type_id, "IDL:two:1.0") == 0)
    return ACE_reinterpret_cast(POA_two_ptr , this);
  if(ACE_OS::strcmp(logical_type_id, "IDL:three:1.0") == 0)
    return ACE_reinterpret_cast(POA_three_ptr , this);
  if(ACE_OS::strcmp(logical_type_id, "IDL:four:1.0") == 0)
    return ACE_reinterpret_cast(POA_four_ptr , this); 
  if(ACE_OS::strcmp(logical_type_id, "IDL:omg.org/CORBA/Object:1.0") == 0)
    return ACE_static_cast(PortableServer::Servant, this);
  return 0;
}

const char *POA_five::_interface_repository_id() const
{
  return "IDL:five:1.0";
}

template <class T>
  POA_five_tie<T>::POA_five_tie(T &t)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(0)
{}

template <class T>
  POA_five_tie<T>::POA_five_tie(T &t, PortableServer::POA_ptr poa)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(0)
{}

template <class T>
  POA_five_tie<T>::POA_five_tie(T *t, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(release)
{}

template <class T>
  POA_five_tie<T>::POA_five_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(release)
{}

template <class T>
  POA_five_tie<T>::~POA_five_tie()
{
  if( this->rel_ ) delete this->ptr_;
}

template <class T>
  T *POA_five_tie<T>::_tied_object()
{
  return this->ptr_;
}

template <class T>
  void POA_five_tie<T>::_tied_object(T &obj)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = &obj;
  this->rel_ = 0;
}

template <class T>
  void POA_five_tie<T>::_tied_object(T &obj, CORBA::Boolean release)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = obj;
  this->rel_ = release;
}

template <class T>
  CORBA::Boolean POA_five_tie<T>::_is_owner()
{
  return this->rel_;
}

template <class T>
  void POA_five_tie<T>::_is_owner(CORBA::Boolean b)
{
  this->rel_ = b;
}

template <class T>
  PortableServer::POA_ptr POA_five_tie<T>::_default_POA()
{
  if( !(CORBA::is_nil(this->poa_.in())) )
    return PortableServer::POA::_duplicate(this->poa_.in());
  else
  {
    TAO_POA *poa = TAO_ORB_Core_instance()->root_poa();
    PortableServer::POA_var result = poa->_this(env);
    if( env.exception() != 0 )
      return PortableServer::POA::_nil();
    else
      return result._retn();
  }
}

template <class T>
  POA_five_tie<T>::POA_five_tie(const POA_five_tie &c)
{}

template <class T>
  void POA_five_tie<T>::operator=(const POA_five_tie &c)
{}

template <class T>
  void POA_five_tie<T>::op_five(/* POA_five *this, */ CORBA::Environment &_ev)
{
  this->ptr_->op_five (_ev);
}

template <class T>
  void POA_five_tie<T>::op_four(/* POA_five *this, */ CORBA::Environment &_ev)
{
  this->ptr_->op_four (_ev);
}

template <class T>
  void POA_five_tie<T>::op_two(/* POA_five *this, */ CORBA::Environment &_ev)
{
  this->ptr_->op_two (_ev);
}

template <class T>
  void POA_five_tie<T>::op_one(/* POA_five *this, */ CORBA::Environment &_ev)
{
  this->ptr_->op_one (_ev);
}

template <class T>
  void POA_five_tie<T>::op_three(/* POA_five *this, */ CORBA::Environment &_ev)
{
  this->ptr_->op_three (_ev);
}

_tao_collocated_five::_tao_collocated_five(POA_five_ptr servant, TAO_Stub *stub)
  : five(),
    CORBA_Object(stub, servant, 1),
    servant_ (servant)
{
}

POA_five_ptr _tao_collocated_five::_get_servant() const
{
  return this->servant_;
}

void _tao_collocated_five::op_five(CORBA::Environment &_ev)
{
  this->servant_->op_five (_ev);
}

void _tao_collocated_five::op_four(CORBA::Environment &_ev)
{
  this->servant_->op_four (_ev);
}

void _tao_collocated_five::op_two(CORBA::Environment &_ev)
{
  this->servant_->op_two (_ev);
}

void _tao_collocated_five::op_one(CORBA::Environment &_ev)
{
  this->servant_->op_one (_ev);
}

void _tao_collocated_five::op_three(CORBA::Environment &_ev)
{
  this->servant_->op_three (_ev);
}

CORBA::Boolean _tao_collocated_five::_is_a(const char *type_id, CORBA::Environment &_ev)
{
  return this->servant_->_is_a (type_id, _ev);
}

POA_factory::POA_factory()
{}

POA_factory::POA_factory(const POA_factory &rhs)
  : TAO_ServantBase(rhs)
{}

POA_factory::~POA_factory()
{}

factory *POA_factory::_this(CORBA::Environment &_env)
{
  TAO_Stub *stub = this->_create_stub(_env);
  TAO_CHECK_ENV_RETURN(_env, 0);
  return new _tao_collocated_factory(this, stub);
}

CORBA::Boolean POA_factory::_is_a(const CORBA::Char *type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)type_id, "IDL:factory:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return 0;
}

void *POA_factory::_downcast(const char *logical_type_id)
{
  if(ACE_OS::strcmp(logical_type_id, "IDL:factory:1.0") == 0)
    return ACE_static_cast(POA_factory_ptr , this);
   
  if(ACE_OS::strcmp(logical_type_id, "IDL:omg.org/CORBA/Object:1.0") == 0)
    return ACE_static_cast(PortableServer::Servant, this);
  return 0;
}

const char *POA_factory::_interface_repository_id() const
{
  return "IDL:factory:1.0";
}

template <class T>
  POA_factory_tie<T>::POA_factory_tie(T &t)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(0)
{}

template <class T>
  POA_factory_tie<T>::POA_factory_tie(T &t, PortableServer::POA_ptr poa)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(0)
{}

template <class T>
  POA_factory_tie<T>::POA_factory_tie(T *t, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(release)
{}

template <class T>
  POA_factory_tie<T>::POA_factory_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(release)
{}

template <class T>
  POA_factory_tie<T>::~POA_factory_tie()
{
  if( this->rel_ ) delete this->ptr_;
}

template <class T>
  T *POA_factory_tie<T>::_tied_object()
{
  return this->ptr_;
}

template <class T>
  void POA_factory_tie<T>::_tied_object(T &obj)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = &obj;
  this->rel_ = 0;
}

template <class T>
  void POA_factory_tie<T>::_tied_object(T &obj, CORBA::Boolean release)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = obj;
  this->rel_ = release;
}

template <class T>
  CORBA::Boolean POA_factory_tie<T>::_is_owner()
{
  return this->rel_;
}

template <class T>
  void POA_factory_tie<T>::_is_owner(CORBA::Boolean b)
{
  this->rel_ = b;
}

template <class T>
  PortableServer::POA_ptr POA_factory_tie<T>::_default_POA()
{
  if( !(CORBA::is_nil(this->poa_.in())) )
    return PortableServer::POA::_duplicate(this->poa_.in());
  else
  {
    TAO_POA *poa = TAO_ORB_Core_instance()->root_poa();
    PortableServer::POA_var result = poa->_this(env);
    if( env.exception() != 0 )
      return PortableServer::POA::_nil();
    else
      return result._retn();
  }
}

template <class T>
  POA_factory_tie<T>::POA_factory_tie(const POA_factory_tie &c)
{}

template <class T>
  void POA_factory_tie<T>::operator=(const POA_factory_tie &c)
{}

template <class T>
  one_ptr POA_factory_tie<T>::get_one(/* POA_factory *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->get_one (_ev);
}

template <class T>
  two_ptr POA_factory_tie<T>::get_two(/* POA_factory *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->get_two (_ev);
}

template <class T>
  three_ptr POA_factory_tie<T>::get_three(/* POA_factory *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->get_three (_ev);
}

template <class T>
  four_ptr POA_factory_tie<T>::get_four(/* POA_factory *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->get_four (_ev);
}

template <class T>
  five_ptr POA_factory_tie<T>::get_five(/* POA_factory *this, */ CORBA::Environment &_ev)
{
  return this->ptr_->get_five (_ev);
}

_tao_collocated_factory::_tao_collocated_factory(POA_factory_ptr servant, TAO_Stub *stub)
  : factory(),
    CORBA_Object(stub, servant, 1),
    servant_ (servant)
{
}

POA_factory_ptr _tao_collocated_factory::_get_servant() const
{
  return this->servant_;
}

one_ptr _tao_collocated_factory::get_one(CORBA::Environment &_ev)
{
  return this->servant_->get_one (_ev);
}

two_ptr _tao_collocated_factory::get_two(CORBA::Environment &_ev)
{
  return this->servant_->get_two (_ev);
}

three_ptr _tao_collocated_factory::get_three(CORBA::Environment &_ev)
{
  return this->servant_->get_three (_ev);
}

four_ptr _tao_collocated_factory::get_four(CORBA::Environment &_ev)
{
  return this->servant_->get_four (_ev);
}

five_ptr _tao_collocated_factory::get_five(CORBA::Environment &_ev)
{
  return this->servant_->get_five (_ev);
}

CORBA::Boolean _tao_collocated_factory::_is_a(const char *type_id, CORBA::Environment &_ev)
{
  return this->servant_->_is_a (type_id, _ev);
}

int flick_marshal_stub_one(flick_marshal_stream_t _stream, one_ptr *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdrxx_encode_IOR(iiopxx, *_data, 0, one , _flick_abort0);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_one(flick_marshal_stream_t _stream, one_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdrxx_decode_IOR(iiopxx, *_data, 1, one , _flick_abort1);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_one_swap(flick_marshal_stream_t _stream, one_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swapxx_decode_IOR(iiopxx, *_data, 1, one , _flick_abort2);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

void POA_one::_dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env){
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_InputCDR &_in_cdr = _tao_req.incoming();
  TAO_OutputCDR &_out_cdr = _tao_req.outgoing();
  flick_iiopxx_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (_in_cdr.do_byte_swap()) {
  {
    unsigned int _t33_switch_tag;

    flick_iiopxx_decode_new_glob(16);
    flick_iiopxx_check_span(16, _flick_abort5);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t33_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t33_switch_tag)
      {
      case (unsigned int) 7:
        {
          unsigned int _t34_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t34_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t34_switch_tag)
            {
            case /* op_o */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869635439):
              {
                unsigned short int _t35_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t35_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t35_switch_tag)
                  {
                  case /* ne */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28261):
                    {
                      char _t36_switch_tag;

                      flick_iiopxx_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t36_switch_tag, char );
                      flick_iiopxx_decode_end_chunk(1);
                      switch ((char )_t36_switch_tag)
                        {
                        case 0:
                          {
                            {
                              POA_one *_local_this;
                              unsigned int _t37_principal_len;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort69);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(5);
                              flick_cdr_swap_decode_unsigned32(1, _t37_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(5);
                              flick_iiopxx_decode_end_glob(16);
                              flick_iiopxx_check_span(_t37_principal_len, _flick_abort69);
                              flick_iiopxx_decode_new_glob(_t37_principal_len);
                              flick_iiopxx_decode_new_chunk(_t37_principal_len);
                              flick_iiopxx_decode_end_chunk(_t37_principal_len);
                              flick_iiopxx_decode_end_glob(_t37_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _local_this->op_one(_ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t38_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t38_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort69);
                                flick_iiopxx_encode_new_glob(4, _flick_abort69);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t38_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t38_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(4);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort75);
                                      break;
                                      {
                                      _flick_abort75:
                                        goto _flick_abort69;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort76);
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort76:
                                        goto _flick_abort69;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort69:
                                goto _flick_abort68;
                              }
                            }
                            break;
                            {
                            _flick_abort68:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(16);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t39_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t39_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t39_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t40_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t40_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t40_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_one *_local_this;
                        unsigned int _t41_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t42_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort78);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t41_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_check_span(_t41_principal_len, _flick_abort78);
                        flick_iiopxx_decode_new_glob(_t41_principal_len);
                        flick_iiopxx_decode_new_chunk(_t41_principal_len);
                        flick_iiopxx_decode_end_chunk(_t41_principal_len);
                        flick_iiopxx_decode_end_glob(_t41_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort78);
                        flick_cdr_swap_decode_unsigned32(0, _t42_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t42_temp_string_len);
                        flick_iiopxx_check_span(1 * _t42_temp_string_len, _flick_abort78);
                        flick_iiopxx_decode_new_chunk(1 * _t42_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_type_id, CORBA::Char *);
                        flick_iiopxx_decode_end_chunk(1 * _t42_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t42_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t43_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t43_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort78);
                          flick_iiopxx_encode_new_glob(5, _flick_abort78);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t43_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t43_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort86);
                                break;
                                {
                                _flick_abort86:
                                  goto _flick_abort78;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort87);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort87:
                                  goto _flick_abort78;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort78:
                          goto _flick_abort77;
                        }
                      }
                      break;
                      {
                      _flick_abort77:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
          flick_iiopxx_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t11_switch_tag;

    flick_iiopxx_decode_new_glob(16);
    flick_iiopxx_check_span(16, _flick_abort5);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t11_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t11_switch_tag)
      {
      case (unsigned int) 7:
        {
          unsigned int _t12_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t12_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t12_switch_tag)
            {
            case /* op_o */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869635439):
              {
                unsigned short int _t13_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t13_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t13_switch_tag)
                  {
                  case /* ne */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28261):
                    {
                      char _t14_switch_tag;

                      flick_iiopxx_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t14_switch_tag, char );
                      flick_iiopxx_decode_end_chunk(1);
                      switch ((char )_t14_switch_tag)
                        {
                        case 0:
                          {
                            {
                              POA_one *_local_this;
                              unsigned int _t15_principal_len;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort28);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(5);
                              flick_cdr_decode_unsigned32(1, _t15_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(5);
                              flick_iiopxx_decode_end_glob(16);
                              flick_iiopxx_check_span(_t15_principal_len, _flick_abort28);
                              flick_iiopxx_decode_new_glob(_t15_principal_len);
                              flick_iiopxx_decode_new_chunk(_t15_principal_len);
                              flick_iiopxx_decode_end_chunk(_t15_principal_len);
                              flick_iiopxx_decode_end_glob(_t15_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _local_this->op_one(_ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t16_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t16_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort28);
                                flick_iiopxx_encode_new_glob(4, _flick_abort28);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t16_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t16_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(4);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort34);
                                      break;
                                      {
                                      _flick_abort34:
                                        goto _flick_abort28;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort35);
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort35:
                                        goto _flick_abort28;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort28:
                                goto _flick_abort27;
                              }
                            }
                            break;
                            {
                            _flick_abort27:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(16);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t17_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t17_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t17_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t18_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t18_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t18_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_one *_local_this;
                        unsigned int _t19_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t20_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort37);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t19_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_check_span(_t19_principal_len, _flick_abort37);
                        flick_iiopxx_decode_new_glob(_t19_principal_len);
                        flick_iiopxx_decode_new_chunk(_t19_principal_len);
                        flick_iiopxx_decode_end_chunk(_t19_principal_len);
                        flick_iiopxx_decode_end_glob(_t19_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort37);
                        flick_cdr_decode_unsigned32(0, _t20_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t20_temp_string_len);
                        flick_iiopxx_check_span(1 * _t20_temp_string_len, _flick_abort37);
                        flick_iiopxx_decode_new_chunk(1 * _t20_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_type_id, CORBA::Char *);
                        flick_iiopxx_decode_end_chunk(1 * _t20_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t20_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t21_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t21_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort37);
                          flick_iiopxx_encode_new_glob(5, _flick_abort37);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t21_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t21_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort45);
                                break;
                                {
                                _flick_abort45:
                                  goto _flick_abort37;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort46);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort46:
                                  goto _flick_abort37;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort37:
                          goto _flick_abort36;
                        }
                      }
                      break;
                      {
                      _flick_abort36:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
          flick_iiopxx_decode_end_glob(16);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return;
  {
  _flick_abort5:
    flick_corbaxx_server_error(cdr, iiopxx, _flick_reaper, _flick_abort4);
  _flick_abort4:
    return ;
  }
_flick_reaper:
  return ;
}

int flick_marshal_stub_two(flick_marshal_stream_t _stream, two_ptr *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdrxx_encode_IOR(iiopxx, *_data, 0, two , _flick_abort88);
  return 0;
  {
  _flick_abort88:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_two(flick_marshal_stream_t _stream, two_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdrxx_decode_IOR(iiopxx, *_data, 1, two , _flick_abort89);
  return 0;
  {
  _flick_abort89:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_two_swap(flick_marshal_stream_t _stream, two_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swapxx_decode_IOR(iiopxx, *_data, 1, two , _flick_abort90);
  return 0;
  {
  _flick_abort90:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

void POA_two::_dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env){
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_InputCDR &_in_cdr = _tao_req.incoming();
  TAO_OutputCDR &_out_cdr = _tao_req.outgoing();
  flick_iiopxx_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (_in_cdr.do_byte_swap()) {
  {
    unsigned int _t89_switch_tag;

    flick_iiopxx_decode_new_glob(16);
    flick_iiopxx_check_span(16, _flick_abort93);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t89_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t89_switch_tag)
      {
      case (unsigned int) 7:
        {
          unsigned int _t90_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t90_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t90_switch_tag)
            {
            case /* op_t */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869635444):
              {
                unsigned short int _t91_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t91_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t91_switch_tag)
                  {
                  case /* wo */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 30575):
                    {
                      char _t92_switch_tag;

                      flick_iiopxx_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t92_switch_tag, char );
                      flick_iiopxx_decode_end_chunk(1);
                      switch ((char )_t92_switch_tag)
                        {
                        case 0:
                          {
                            {
                              POA_two *_local_this;
                              unsigned int _t93_principal_len;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort184);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(5);
                              flick_cdr_swap_decode_unsigned32(1, _t93_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(5);
                              flick_iiopxx_decode_end_glob(16);
                              flick_iiopxx_check_span(_t93_principal_len, _flick_abort184);
                              flick_iiopxx_decode_new_glob(_t93_principal_len);
                              flick_iiopxx_decode_new_chunk(_t93_principal_len);
                              flick_iiopxx_decode_end_chunk(_t93_principal_len);
                              flick_iiopxx_decode_end_glob(_t93_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _local_this->op_two(_ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t94_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t94_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort184);
                                flick_iiopxx_encode_new_glob(4, _flick_abort184);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t94_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t94_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(4);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort190);
                                      break;
                                      {
                                      _flick_abort190:
                                        goto _flick_abort184;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort191);
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort191:
                                        goto _flick_abort184;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort184:
                                goto _flick_abort183;
                              }
                            }
                            break;
                            {
                            _flick_abort183:
                              goto _flick_abort93;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort93);
                            flick_iiopxx_decode_end_glob(16);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort93);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* op_o */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869635439):
              {
                unsigned short int _t95_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t95_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t95_switch_tag)
                  {
                  case /* ne */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28261):
                    {
                      char _t96_switch_tag;

                      flick_iiopxx_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t96_switch_tag, char );
                      flick_iiopxx_decode_end_chunk(1);
                      switch ((char )_t96_switch_tag)
                        {
                        case 0:
                          {
                            {
                              POA_two *_local_this;
                              unsigned int _t97_principal_len;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort193);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(5);
                              flick_cdr_swap_decode_unsigned32(1, _t97_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(5);
                              flick_iiopxx_decode_end_glob(16);
                              flick_iiopxx_check_span(_t97_principal_len, _flick_abort193);
                              flick_iiopxx_decode_new_glob(_t97_principal_len);
                              flick_iiopxx_decode_new_chunk(_t97_principal_len);
                              flick_iiopxx_decode_end_chunk(_t97_principal_len);
                              flick_iiopxx_decode_end_glob(_t97_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _local_this->op_one(_ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t98_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t98_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort193);
                                flick_iiopxx_encode_new_glob(4, _flick_abort193);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t98_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t98_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(4);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort199);
                                      break;
                                      {
                                      _flick_abort199:
                                        goto _flick_abort193;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort200);
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort200:
                                        goto _flick_abort193;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort193:
                                goto _flick_abort192;
                              }
                            }
                            break;
                            {
                            _flick_abort192:
                              goto _flick_abort93;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort93);
                            flick_iiopxx_decode_end_glob(16);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort93);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort93);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t99_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t99_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t99_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t100_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t100_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t100_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_two *_local_this;
                        unsigned int _t101_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t102_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort202);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t101_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_check_span(_t101_principal_len, _flick_abort202);
                        flick_iiopxx_decode_new_glob(_t101_principal_len);
                        flick_iiopxx_decode_new_chunk(_t101_principal_len);
                        flick_iiopxx_decode_end_chunk(_t101_principal_len);
                        flick_iiopxx_decode_end_glob(_t101_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort202);
                        flick_cdr_swap_decode_unsigned32(0, _t102_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t102_temp_string_len);
                        flick_iiopxx_check_span(1 * _t102_temp_string_len, _flick_abort202);
                        flick_iiopxx_decode_new_chunk(1 * _t102_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_type_id, CORBA::Char *);
                        flick_iiopxx_decode_end_chunk(1 * _t102_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t102_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t103_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t103_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort202);
                          flick_iiopxx_encode_new_glob(5, _flick_abort202);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t103_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t103_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort210);
                                break;
                                {
                                _flick_abort210:
                                  goto _flick_abort202;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort211);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort211:
                                  goto _flick_abort202;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort202:
                          goto _flick_abort201;
                        }
                      }
                      break;
                      {
                      _flick_abort201:
                        goto _flick_abort93;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort93);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort93);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort93);
          flick_iiopxx_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t59_switch_tag;

    flick_iiopxx_decode_new_glob(16);
    flick_iiopxx_check_span(16, _flick_abort93);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t59_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t59_switch_tag)
      {
      case (unsigned int) 7:
        {
          unsigned int _t60_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t60_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t60_switch_tag)
            {
            case /* op_t */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869635444):
              {
                unsigned short int _t61_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t61_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t61_switch_tag)
                  {
                  case /* wo */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 30575):
                    {
                      char _t62_switch_tag;

                      flick_iiopxx_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t62_switch_tag, char );
                      flick_iiopxx_decode_end_chunk(1);
                      switch ((char )_t62_switch_tag)
                        {
                        case 0:
                          {
                            {
                              POA_two *_local_this;
                              unsigned int _t63_principal_len;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort125);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(5);
                              flick_cdr_decode_unsigned32(1, _t63_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(5);
                              flick_iiopxx_decode_end_glob(16);
                              flick_iiopxx_check_span(_t63_principal_len, _flick_abort125);
                              flick_iiopxx_decode_new_glob(_t63_principal_len);
                              flick_iiopxx_decode_new_chunk(_t63_principal_len);
                              flick_iiopxx_decode_end_chunk(_t63_principal_len);
                              flick_iiopxx_decode_end_glob(_t63_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _local_this->op_two(_ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t64_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t64_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort125);
                                flick_iiopxx_encode_new_glob(4, _flick_abort125);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t64_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t64_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(4);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort131);
                                      break;
                                      {
                                      _flick_abort131:
                                        goto _flick_abort125;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort132);
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort132:
                                        goto _flick_abort125;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort125:
                                goto _flick_abort124;
                              }
                            }
                            break;
                            {
                            _flick_abort124:
                              goto _flick_abort93;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort93);
                            flick_iiopxx_decode_end_glob(16);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort93);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* op_o */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869635439):
              {
                unsigned short int _t65_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t65_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t65_switch_tag)
                  {
                  case /* ne */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28261):
                    {
                      char _t66_switch_tag;

                      flick_iiopxx_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t66_switch_tag, char );
                      flick_iiopxx_decode_end_chunk(1);
                      switch ((char )_t66_switch_tag)
                        {
                        case 0:
                          {
                            {
                              POA_two *_local_this;
                              unsigned int _t67_principal_len;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort134);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(5);
                              flick_cdr_decode_unsigned32(1, _t67_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(5);
                              flick_iiopxx_decode_end_glob(16);
                              flick_iiopxx_check_span(_t67_principal_len, _flick_abort134);
                              flick_iiopxx_decode_new_glob(_t67_principal_len);
                              flick_iiopxx_decode_new_chunk(_t67_principal_len);
                              flick_iiopxx_decode_end_chunk(_t67_principal_len);
                              flick_iiopxx_decode_end_glob(_t67_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _local_this->op_one(_ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t68_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t68_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort134);
                                flick_iiopxx_encode_new_glob(4, _flick_abort134);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t68_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t68_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(4);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort140);
                                      break;
                                      {
                                      _flick_abort140:
                                        goto _flick_abort134;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort141);
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort141:
                                        goto _flick_abort134;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort134:
                                goto _flick_abort133;
                              }
                            }
                            break;
                            {
                            _flick_abort133:
                              goto _flick_abort93;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort93);
                            flick_iiopxx_decode_end_glob(16);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort93);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort93);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t69_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t69_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t69_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t70_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t70_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t70_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_two *_local_this;
                        unsigned int _t71_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t72_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort143);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t71_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(16);
                        flick_iiopxx_check_span(_t71_principal_len, _flick_abort143);
                        flick_iiopxx_decode_new_glob(_t71_principal_len);
                        flick_iiopxx_decode_new_chunk(_t71_principal_len);
                        flick_iiopxx_decode_end_chunk(_t71_principal_len);
                        flick_iiopxx_decode_end_glob(_t71_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort143);
                        flick_cdr_decode_unsigned32(0, _t72_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t72_temp_string_len);
                        flick_iiopxx_check_span(1 * _t72_temp_string_len, _flick_abort143);
                        flick_iiopxx_decode_new_chunk(1 * _t72_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_type_id, CORBA::Char *);
                        flick_iiopxx_decode_end_chunk(1 * _t72_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t72_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t73_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t73_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort143);
                          flick_iiopxx_encode_new_glob(5, _flick_abort143);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t73_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t73_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort151);
                                break;
                                {
                                _flick_abort151:
                                  goto _flick_abort143;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort152);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort152:
                                  goto _flick_abort143;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort143:
                          goto _flick_abort142;
                        }
                      }
                      break;
                      {
                      _flick_abort142:
                        goto _flick_abort93;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort93);
                      flick_iiopxx_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort93);
                flick_iiopxx_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort93);
          flick_iiopxx_decode_end_glob(16);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return;
  {
  _flick_abort93:
    flick_corbaxx_server_error(cdr, iiopxx, _flick_reaper, _flick_abort92);
  _flick_abort92:
    return ;
  }
_flick_reaper:
  return ;
}

int flick_marshal_stub_three(flick_marshal_stream_t _stream, three_ptr *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdrxx_encode_IOR(iiopxx, *_data, 0, three , _flick_abort212);
  return 0;
  {
  _flick_abort212:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_three(flick_marshal_stream_t _stream, three_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdrxx_decode_IOR(iiopxx, *_data, 1, three , _flick_abort213);
  return 0;
  {
  _flick_abort213:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_three_swap(flick_marshal_stream_t _stream, three_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swapxx_decode_IOR(iiopxx, *_data, 1, three , _flick_abort214);
  return 0;
  {
  _flick_abort214:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

void POA_three::_dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env){
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_InputCDR &_in_cdr = _tao_req.incoming();
  TAO_OutputCDR &_out_cdr = _tao_req.outgoing();
  flick_iiopxx_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (_in_cdr.do_byte_swap()) {
  {
    unsigned int _t152_switch_tag;

    flick_iiopxx_decode_new_glob(20);
    flick_iiopxx_check_span(16, _flick_abort217);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t152_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t152_switch_tag)
      {
      case (unsigned int) 9:
        {
          unsigned int _t153_switch_tag;

          flick_iiopxx_check_span(16, _flick_abort217);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t153_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t153_switch_tag)
            {
            case /* op_t */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869635444):
              {
                unsigned int _t154_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t154_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t154_switch_tag)
                  {
                  case /* hree */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1752327525):
                    {
                      char _t155_switch_tag;

                      flick_iiopxx_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t155_switch_tag, char );
                      flick_iiopxx_decode_end_chunk(1);
                      switch ((char )_t155_switch_tag)
                        {
                        case 0:
                          {
                            {
                              POA_three *_local_this;
                              unsigned int _t156_principal_len;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort308);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(7);
                              flick_cdr_swap_decode_unsigned32(3, _t156_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(7);
                              flick_iiopxx_decode_end_glob(20);
                              flick_iiopxx_check_span(_t156_principal_len, _flick_abort308);
                              flick_iiopxx_decode_new_glob(_t156_principal_len);
                              flick_iiopxx_decode_new_chunk(_t156_principal_len);
                              flick_iiopxx_decode_end_chunk(_t156_principal_len);
                              flick_iiopxx_decode_end_glob(_t156_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _local_this->op_three(_ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t157_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t157_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort308);
                                flick_iiopxx_encode_new_glob(4, _flick_abort308);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t157_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t157_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(4);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort314);
                                      break;
                                      {
                                      _flick_abort314:
                                        goto _flick_abort308;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort315);
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort315:
                                        goto _flick_abort308;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort308:
                                goto _flick_abort307;
                              }
                            }
                            break;
                            {
                            _flick_abort307:
                              goto _flick_abort217;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort217);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort217);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort217);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          unsigned int _t158_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t158_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t158_switch_tag)
            {
            case /* op_o */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869635439):
              {
                unsigned short int _t159_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t159_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t159_switch_tag)
                  {
                  case /* ne */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28261):
                    {
                      char _t160_switch_tag;

                      flick_iiopxx_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t160_switch_tag, char );
                      flick_iiopxx_decode_end_chunk(1);
                      switch ((char )_t160_switch_tag)
                        {
                        case 0:
                          {
                            {
                              POA_three *_local_this;
                              unsigned int _t161_principal_len;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort317);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(5);
                              flick_cdr_swap_decode_unsigned32(1, _t161_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(5);
                              flick_iiopxx_decode_end_glob(20);
                              flick_iiopxx_check_span(_t161_principal_len, _flick_abort317);
                              flick_iiopxx_decode_new_glob(_t161_principal_len);
                              flick_iiopxx_decode_new_chunk(_t161_principal_len);
                              flick_iiopxx_decode_end_chunk(_t161_principal_len);
                              flick_iiopxx_decode_end_glob(_t161_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _local_this->op_one(_ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t162_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t162_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort317);
                                flick_iiopxx_encode_new_glob(4, _flick_abort317);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t162_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t162_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(4);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort323);
                                      break;
                                      {
                                      _flick_abort323:
                                        goto _flick_abort317;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort324);
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort324:
                                        goto _flick_abort317;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort317:
                                goto _flick_abort316;
                              }
                            }
                            break;
                            {
                            _flick_abort316:
                              goto _flick_abort217;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort217);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort217);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort217);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t163_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t163_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t163_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t164_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t164_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t164_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_three *_local_this;
                        unsigned int _t165_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t166_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort326);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t165_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(20);
                        flick_iiopxx_check_span(_t165_principal_len, _flick_abort326);
                        flick_iiopxx_decode_new_glob(_t165_principal_len);
                        flick_iiopxx_decode_new_chunk(_t165_principal_len);
                        flick_iiopxx_decode_end_chunk(_t165_principal_len);
                        flick_iiopxx_decode_end_glob(_t165_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort326);
                        flick_cdr_swap_decode_unsigned32(0, _t166_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t166_temp_string_len);
                        flick_iiopxx_check_span(1 * _t166_temp_string_len, _flick_abort326);
                        flick_iiopxx_decode_new_chunk(1 * _t166_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_type_id, CORBA::Char *);
                        flick_iiopxx_decode_end_chunk(1 * _t166_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t166_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t167_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t167_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort326);
                          flick_iiopxx_encode_new_glob(5, _flick_abort326);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t167_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t167_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort334);
                                break;
                                {
                                _flick_abort334:
                                  goto _flick_abort326;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort335);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort335:
                                  goto _flick_abort326;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort326:
                          goto _flick_abort325;
                        }
                      }
                      break;
                      {
                      _flick_abort325:
                        goto _flick_abort217;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort217);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort217);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort217);
          flick_iiopxx_decode_end_glob(20);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t120_switch_tag;

    flick_iiopxx_decode_new_glob(20);
    flick_iiopxx_check_span(16, _flick_abort217);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t120_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t120_switch_tag)
      {
      case (unsigned int) 9:
        {
          unsigned int _t121_switch_tag;

          flick_iiopxx_check_span(16, _flick_abort217);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t121_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t121_switch_tag)
            {
            case /* op_t */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869635444):
              {
                unsigned int _t122_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t122_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t122_switch_tag)
                  {
                  case /* hree */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1752327525):
                    {
                      char _t123_switch_tag;

                      flick_iiopxx_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t123_switch_tag, char );
                      flick_iiopxx_decode_end_chunk(1);
                      switch ((char )_t123_switch_tag)
                        {
                        case 0:
                          {
                            {
                              POA_three *_local_this;
                              unsigned int _t124_principal_len;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort249);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(7);
                              flick_cdr_decode_unsigned32(3, _t124_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(7);
                              flick_iiopxx_decode_end_glob(20);
                              flick_iiopxx_check_span(_t124_principal_len, _flick_abort249);
                              flick_iiopxx_decode_new_glob(_t124_principal_len);
                              flick_iiopxx_decode_new_chunk(_t124_principal_len);
                              flick_iiopxx_decode_end_chunk(_t124_principal_len);
                              flick_iiopxx_decode_end_glob(_t124_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _local_this->op_three(_ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t125_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t125_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort249);
                                flick_iiopxx_encode_new_glob(4, _flick_abort249);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t125_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t125_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(4);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort255);
                                      break;
                                      {
                                      _flick_abort255:
                                        goto _flick_abort249;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort256);
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort256:
                                        goto _flick_abort249;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort249:
                                goto _flick_abort248;
                              }
                            }
                            break;
                            {
                            _flick_abort248:
                              goto _flick_abort217;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort217);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort217);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort217);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          unsigned int _t126_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t126_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t126_switch_tag)
            {
            case /* op_o */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869635439):
              {
                unsigned short int _t127_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t127_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t127_switch_tag)
                  {
                  case /* ne */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28261):
                    {
                      char _t128_switch_tag;

                      flick_iiopxx_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t128_switch_tag, char );
                      flick_iiopxx_decode_end_chunk(1);
                      switch ((char )_t128_switch_tag)
                        {
                        case 0:
                          {
                            {
                              POA_three *_local_this;
                              unsigned int _t129_principal_len;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort258);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(5);
                              flick_cdr_decode_unsigned32(1, _t129_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(5);
                              flick_iiopxx_decode_end_glob(20);
                              flick_iiopxx_check_span(_t129_principal_len, _flick_abort258);
                              flick_iiopxx_decode_new_glob(_t129_principal_len);
                              flick_iiopxx_decode_new_chunk(_t129_principal_len);
                              flick_iiopxx_decode_end_chunk(_t129_principal_len);
                              flick_iiopxx_decode_end_glob(_t129_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _local_this->op_one(_ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t130_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t130_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort258);
                                flick_iiopxx_encode_new_glob(4, _flick_abort258);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t130_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t130_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(4);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort264);
                                      break;
                                      {
                                      _flick_abort264:
                                        goto _flick_abort258;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort265);
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort265:
                                        goto _flick_abort258;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort258:
                                goto _flick_abort257;
                              }
                            }
                            break;
                            {
                            _flick_abort257:
                              goto _flick_abort217;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort217);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort217);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort217);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t131_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t131_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t131_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t132_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t132_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t132_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_three *_local_this;
                        unsigned int _t133_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t134_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort267);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t133_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(20);
                        flick_iiopxx_check_span(_t133_principal_len, _flick_abort267);
                        flick_iiopxx_decode_new_glob(_t133_principal_len);
                        flick_iiopxx_decode_new_chunk(_t133_principal_len);
                        flick_iiopxx_decode_end_chunk(_t133_principal_len);
                        flick_iiopxx_decode_end_glob(_t133_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort267);
                        flick_cdr_decode_unsigned32(0, _t134_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t134_temp_string_len);
                        flick_iiopxx_check_span(1 * _t134_temp_string_len, _flick_abort267);
                        flick_iiopxx_decode_new_chunk(1 * _t134_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_type_id, CORBA::Char *);
                        flick_iiopxx_decode_end_chunk(1 * _t134_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t134_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t135_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t135_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort267);
                          flick_iiopxx_encode_new_glob(5, _flick_abort267);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t135_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t135_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort275);
                                break;
                                {
                                _flick_abort275:
                                  goto _flick_abort267;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort276);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort276:
                                  goto _flick_abort267;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort267:
                          goto _flick_abort266;
                        }
                      }
                      break;
                      {
                      _flick_abort266:
                        goto _flick_abort217;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort217);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort217);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort217);
          flick_iiopxx_decode_end_glob(20);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return;
  {
  _flick_abort217:
    flick_corbaxx_server_error(cdr, iiopxx, _flick_reaper, _flick_abort216);
  _flick_abort216:
    return ;
  }
_flick_reaper:
  return ;
}

int flick_marshal_stub_four(flick_marshal_stream_t _stream, four_ptr *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdrxx_encode_IOR(iiopxx, *_data, 0, four , _flick_abort336);
  return 0;
  {
  _flick_abort336:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_four(flick_marshal_stream_t _stream, four_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdrxx_decode_IOR(iiopxx, *_data, 1, four , _flick_abort337);
  return 0;
  {
  _flick_abort337:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_four_swap(flick_marshal_stream_t _stream, four_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swapxx_decode_IOR(iiopxx, *_data, 1, four , _flick_abort338);
  return 0;
  {
  _flick_abort338:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

void POA_four::_dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env){
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_InputCDR &_in_cdr = _tao_req.incoming();
  TAO_OutputCDR &_out_cdr = _tao_req.outgoing();
  flick_iiopxx_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (_in_cdr.do_byte_swap()) {
  {
    unsigned int _t240_switch_tag;

    flick_iiopxx_decode_new_glob(20);
    flick_iiopxx_check_span(16, _flick_abort341);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t240_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t240_switch_tag)
      {
      case (unsigned int) 8:
        {
          unsigned int _t241_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t241_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t241_switch_tag)
            {
            case /* op_f */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869635430):
              {
                unsigned int _t242_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t242_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t242_switch_tag)
                  {
                  case /* our */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869967872):
                    {
                      {
                        POA_four *_local_this;
                        unsigned int _t243_principal_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort486);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t243_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(20);
                        flick_iiopxx_check_span(_t243_principal_len, _flick_abort486);
                        flick_iiopxx_decode_new_glob(_t243_principal_len);
                        flick_iiopxx_decode_new_chunk(_t243_principal_len);
                        flick_iiopxx_decode_end_chunk(_t243_principal_len);
                        flick_iiopxx_decode_end_glob(_t243_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _local_this->op_four(_ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t244_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t244_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort486);
                          flick_iiopxx_encode_new_glob(4, _flick_abort486);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t244_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t244_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_end_glob(4);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(4);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort492);
                                break;
                                {
                                _flick_abort492:
                                  goto _flick_abort486;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort493);
                                flick_iiopxx_encode_end_glob(4);
                                break;
                                {
                                _flick_abort493:
                                  goto _flick_abort486;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort486:
                          goto _flick_abort485;
                        }
                      }
                      break;
                      {
                      _flick_abort485:
                        goto _flick_abort341;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort341);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort341);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          unsigned int _t245_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t245_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t245_switch_tag)
            {
            case /* op_t */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869635444):
              {
                unsigned short int _t246_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t246_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t246_switch_tag)
                  {
                  case /* wo */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 30575):
                    {
                      char _t247_switch_tag;

                      flick_iiopxx_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t247_switch_tag, char );
                      flick_iiopxx_decode_end_chunk(1);
                      switch ((char )_t247_switch_tag)
                        {
                        case 0:
                          {
                            {
                              POA_four *_local_this;
                              unsigned int _t248_principal_len;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort495);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(5);
                              flick_cdr_swap_decode_unsigned32(1, _t248_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(5);
                              flick_iiopxx_decode_end_glob(20);
                              flick_iiopxx_check_span(_t248_principal_len, _flick_abort495);
                              flick_iiopxx_decode_new_glob(_t248_principal_len);
                              flick_iiopxx_decode_new_chunk(_t248_principal_len);
                              flick_iiopxx_decode_end_chunk(_t248_principal_len);
                              flick_iiopxx_decode_end_glob(_t248_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _local_this->op_two(_ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t249_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t249_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort495);
                                flick_iiopxx_encode_new_glob(4, _flick_abort495);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t249_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t249_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(4);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort501);
                                      break;
                                      {
                                      _flick_abort501:
                                        goto _flick_abort495;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort502);
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort502:
                                        goto _flick_abort495;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort495:
                                goto _flick_abort494;
                              }
                            }
                            break;
                            {
                            _flick_abort494:
                              goto _flick_abort341;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort341);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort341);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* op_o */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869635439):
              {
                unsigned short int _t250_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t250_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t250_switch_tag)
                  {
                  case /* ne */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28261):
                    {
                      char _t251_switch_tag;

                      flick_iiopxx_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t251_switch_tag, char );
                      flick_iiopxx_decode_end_chunk(1);
                      switch ((char )_t251_switch_tag)
                        {
                        case 0:
                          {
                            {
                              POA_four *_local_this;
                              unsigned int _t252_principal_len;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort504);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(5);
                              flick_cdr_swap_decode_unsigned32(1, _t252_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(5);
                              flick_iiopxx_decode_end_glob(20);
                              flick_iiopxx_check_span(_t252_principal_len, _flick_abort504);
                              flick_iiopxx_decode_new_glob(_t252_principal_len);
                              flick_iiopxx_decode_new_chunk(_t252_principal_len);
                              flick_iiopxx_decode_end_chunk(_t252_principal_len);
                              flick_iiopxx_decode_end_glob(_t252_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _local_this->op_one(_ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t253_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t253_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort504);
                                flick_iiopxx_encode_new_glob(4, _flick_abort504);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t253_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t253_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(4);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort510);
                                      break;
                                      {
                                      _flick_abort510:
                                        goto _flick_abort504;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort511);
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort511:
                                        goto _flick_abort504;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort504:
                                goto _flick_abort503;
                              }
                            }
                            break;
                            {
                            _flick_abort503:
                              goto _flick_abort341;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort341);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort341);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort341);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          unsigned int _t254_switch_tag;

          flick_iiopxx_check_span(16, _flick_abort341);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t254_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t254_switch_tag)
            {
            case /* op_t */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869635444):
              {
                unsigned int _t255_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t255_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t255_switch_tag)
                  {
                  case /* hree */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1752327525):
                    {
                      char _t256_switch_tag;

                      flick_iiopxx_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t256_switch_tag, char );
                      flick_iiopxx_decode_end_chunk(1);
                      switch ((char )_t256_switch_tag)
                        {
                        case 0:
                          {
                            {
                              POA_four *_local_this;
                              unsigned int _t257_principal_len;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort513);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(7);
                              flick_cdr_swap_decode_unsigned32(3, _t257_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(7);
                              flick_iiopxx_decode_end_glob(20);
                              flick_iiopxx_check_span(_t257_principal_len, _flick_abort513);
                              flick_iiopxx_decode_new_glob(_t257_principal_len);
                              flick_iiopxx_decode_new_chunk(_t257_principal_len);
                              flick_iiopxx_decode_end_chunk(_t257_principal_len);
                              flick_iiopxx_decode_end_glob(_t257_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _local_this->op_three(_ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t258_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t258_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort513);
                                flick_iiopxx_encode_new_glob(4, _flick_abort513);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t258_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t258_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(4);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort519);
                                      break;
                                      {
                                      _flick_abort519:
                                        goto _flick_abort513;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort520);
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort520:
                                        goto _flick_abort513;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort513:
                                goto _flick_abort512;
                              }
                            }
                            break;
                            {
                            _flick_abort512:
                              goto _flick_abort341;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort341);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort341);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort341);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t259_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t259_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t259_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t260_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t260_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t260_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_four *_local_this;
                        unsigned int _t261_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t262_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort522);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t261_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(20);
                        flick_iiopxx_check_span(_t261_principal_len, _flick_abort522);
                        flick_iiopxx_decode_new_glob(_t261_principal_len);
                        flick_iiopxx_decode_new_chunk(_t261_principal_len);
                        flick_iiopxx_decode_end_chunk(_t261_principal_len);
                        flick_iiopxx_decode_end_glob(_t261_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort522);
                        flick_cdr_swap_decode_unsigned32(0, _t262_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t262_temp_string_len);
                        flick_iiopxx_check_span(1 * _t262_temp_string_len, _flick_abort522);
                        flick_iiopxx_decode_new_chunk(1 * _t262_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_type_id, CORBA::Char *);
                        flick_iiopxx_decode_end_chunk(1 * _t262_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t262_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t263_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t263_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort522);
                          flick_iiopxx_encode_new_glob(5, _flick_abort522);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t263_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t263_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort530);
                                break;
                                {
                                _flick_abort530:
                                  goto _flick_abort522;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort531);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort531:
                                  goto _flick_abort522;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort522:
                          goto _flick_abort521;
                        }
                      }
                      break;
                      {
                      _flick_abort521:
                        goto _flick_abort341;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort341);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort341);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort341);
          flick_iiopxx_decode_end_glob(20);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t192_switch_tag;

    flick_iiopxx_decode_new_glob(20);
    flick_iiopxx_check_span(16, _flick_abort341);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t192_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t192_switch_tag)
      {
      case (unsigned int) 8:
        {
          unsigned int _t193_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t193_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t193_switch_tag)
            {
            case /* op_f */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869635430):
              {
                unsigned int _t194_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t194_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t194_switch_tag)
                  {
                  case /* our */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869967872):
                    {
                      {
                        POA_four *_local_this;
                        unsigned int _t195_principal_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort391);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t195_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(20);
                        flick_iiopxx_check_span(_t195_principal_len, _flick_abort391);
                        flick_iiopxx_decode_new_glob(_t195_principal_len);
                        flick_iiopxx_decode_new_chunk(_t195_principal_len);
                        flick_iiopxx_decode_end_chunk(_t195_principal_len);
                        flick_iiopxx_decode_end_glob(_t195_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _local_this->op_four(_ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t196_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t196_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort391);
                          flick_iiopxx_encode_new_glob(4, _flick_abort391);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t196_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t196_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_end_glob(4);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(4);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort397);
                                break;
                                {
                                _flick_abort397:
                                  goto _flick_abort391;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort398);
                                flick_iiopxx_encode_end_glob(4);
                                break;
                                {
                                _flick_abort398:
                                  goto _flick_abort391;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort391:
                          goto _flick_abort390;
                        }
                      }
                      break;
                      {
                      _flick_abort390:
                        goto _flick_abort341;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort341);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort341);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          unsigned int _t197_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t197_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t197_switch_tag)
            {
            case /* op_t */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869635444):
              {
                unsigned short int _t198_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t198_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t198_switch_tag)
                  {
                  case /* wo */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 30575):
                    {
                      char _t199_switch_tag;

                      flick_iiopxx_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t199_switch_tag, char );
                      flick_iiopxx_decode_end_chunk(1);
                      switch ((char )_t199_switch_tag)
                        {
                        case 0:
                          {
                            {
                              POA_four *_local_this;
                              unsigned int _t200_principal_len;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort400);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(5);
                              flick_cdr_decode_unsigned32(1, _t200_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(5);
                              flick_iiopxx_decode_end_glob(20);
                              flick_iiopxx_check_span(_t200_principal_len, _flick_abort400);
                              flick_iiopxx_decode_new_glob(_t200_principal_len);
                              flick_iiopxx_decode_new_chunk(_t200_principal_len);
                              flick_iiopxx_decode_end_chunk(_t200_principal_len);
                              flick_iiopxx_decode_end_glob(_t200_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _local_this->op_two(_ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t201_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t201_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort400);
                                flick_iiopxx_encode_new_glob(4, _flick_abort400);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t201_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t201_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(4);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort406);
                                      break;
                                      {
                                      _flick_abort406:
                                        goto _flick_abort400;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort407);
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort407:
                                        goto _flick_abort400;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort400:
                                goto _flick_abort399;
                              }
                            }
                            break;
                            {
                            _flick_abort399:
                              goto _flick_abort341;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort341);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort341);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* op_o */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869635439):
              {
                unsigned short int _t202_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t202_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t202_switch_tag)
                  {
                  case /* ne */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28261):
                    {
                      char _t203_switch_tag;

                      flick_iiopxx_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t203_switch_tag, char );
                      flick_iiopxx_decode_end_chunk(1);
                      switch ((char )_t203_switch_tag)
                        {
                        case 0:
                          {
                            {
                              POA_four *_local_this;
                              unsigned int _t204_principal_len;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort409);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(5);
                              flick_cdr_decode_unsigned32(1, _t204_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(5);
                              flick_iiopxx_decode_end_glob(20);
                              flick_iiopxx_check_span(_t204_principal_len, _flick_abort409);
                              flick_iiopxx_decode_new_glob(_t204_principal_len);
                              flick_iiopxx_decode_new_chunk(_t204_principal_len);
                              flick_iiopxx_decode_end_chunk(_t204_principal_len);
                              flick_iiopxx_decode_end_glob(_t204_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _local_this->op_one(_ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t205_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t205_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort409);
                                flick_iiopxx_encode_new_glob(4, _flick_abort409);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t205_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t205_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(4);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort415);
                                      break;
                                      {
                                      _flick_abort415:
                                        goto _flick_abort409;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort416);
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort416:
                                        goto _flick_abort409;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort409:
                                goto _flick_abort408;
                              }
                            }
                            break;
                            {
                            _flick_abort408:
                              goto _flick_abort341;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort341);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort341);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort341);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          unsigned int _t206_switch_tag;

          flick_iiopxx_check_span(16, _flick_abort341);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t206_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t206_switch_tag)
            {
            case /* op_t */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869635444):
              {
                unsigned int _t207_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t207_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t207_switch_tag)
                  {
                  case /* hree */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1752327525):
                    {
                      char _t208_switch_tag;

                      flick_iiopxx_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t208_switch_tag, char );
                      flick_iiopxx_decode_end_chunk(1);
                      switch ((char )_t208_switch_tag)
                        {
                        case 0:
                          {
                            {
                              POA_four *_local_this;
                              unsigned int _t209_principal_len;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort418);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(7);
                              flick_cdr_decode_unsigned32(3, _t209_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(7);
                              flick_iiopxx_decode_end_glob(20);
                              flick_iiopxx_check_span(_t209_principal_len, _flick_abort418);
                              flick_iiopxx_decode_new_glob(_t209_principal_len);
                              flick_iiopxx_decode_new_chunk(_t209_principal_len);
                              flick_iiopxx_decode_end_chunk(_t209_principal_len);
                              flick_iiopxx_decode_end_glob(_t209_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _local_this->op_three(_ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t210_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t210_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort418);
                                flick_iiopxx_encode_new_glob(4, _flick_abort418);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t210_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t210_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(4);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort424);
                                      break;
                                      {
                                      _flick_abort424:
                                        goto _flick_abort418;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort425);
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort425:
                                        goto _flick_abort418;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort418:
                                goto _flick_abort417;
                              }
                            }
                            break;
                            {
                            _flick_abort417:
                              goto _flick_abort341;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort341);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort341);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort341);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t211_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t211_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t211_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t212_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t212_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t212_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_four *_local_this;
                        unsigned int _t213_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t214_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort427);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t213_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(20);
                        flick_iiopxx_check_span(_t213_principal_len, _flick_abort427);
                        flick_iiopxx_decode_new_glob(_t213_principal_len);
                        flick_iiopxx_decode_new_chunk(_t213_principal_len);
                        flick_iiopxx_decode_end_chunk(_t213_principal_len);
                        flick_iiopxx_decode_end_glob(_t213_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort427);
                        flick_cdr_decode_unsigned32(0, _t214_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t214_temp_string_len);
                        flick_iiopxx_check_span(1 * _t214_temp_string_len, _flick_abort427);
                        flick_iiopxx_decode_new_chunk(1 * _t214_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_type_id, CORBA::Char *);
                        flick_iiopxx_decode_end_chunk(1 * _t214_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t214_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t215_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t215_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort427);
                          flick_iiopxx_encode_new_glob(5, _flick_abort427);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t215_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t215_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort435);
                                break;
                                {
                                _flick_abort435:
                                  goto _flick_abort427;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort436);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort436:
                                  goto _flick_abort427;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort427:
                          goto _flick_abort426;
                        }
                      }
                      break;
                      {
                      _flick_abort426:
                        goto _flick_abort341;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort341);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort341);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort341);
          flick_iiopxx_decode_end_glob(20);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return;
  {
  _flick_abort341:
    flick_corbaxx_server_error(cdr, iiopxx, _flick_reaper, _flick_abort340);
  _flick_abort340:
    return ;
  }
_flick_reaper:
  return ;
}

int flick_marshal_stub_five(flick_marshal_stream_t _stream, five_ptr *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdrxx_encode_IOR(iiopxx, *_data, 0, five , _flick_abort532);
  return 0;
  {
  _flick_abort532:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_five(flick_marshal_stream_t _stream, five_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdrxx_decode_IOR(iiopxx, *_data, 1, five , _flick_abort533);
  return 0;
  {
  _flick_abort533:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_five_swap(flick_marshal_stream_t _stream, five_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swapxx_decode_IOR(iiopxx, *_data, 1, five , _flick_abort534);
  return 0;
  {
  _flick_abort534:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

void POA_five::_dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env){
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_InputCDR &_in_cdr = _tao_req.incoming();
  TAO_OutputCDR &_out_cdr = _tao_req.outgoing();
  flick_iiopxx_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (_in_cdr.do_byte_swap()) {
  {
    unsigned int _t342_switch_tag;

    flick_iiopxx_decode_new_glob(20);
    flick_iiopxx_check_span(16, _flick_abort537);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t342_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t342_switch_tag)
      {
      case (unsigned int) 8:
        {
          unsigned int _t343_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t343_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t343_switch_tag)
            {
            case /* op_f */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869635430):
              {
                unsigned int _t344_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t344_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t344_switch_tag)
                  {
                  case /* ive */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769366784):
                    {
                      {
                        POA_five *_local_this;
                        unsigned int _t345_principal_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort709);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t345_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(20);
                        flick_iiopxx_check_span(_t345_principal_len, _flick_abort709);
                        flick_iiopxx_decode_new_glob(_t345_principal_len);
                        flick_iiopxx_decode_new_chunk(_t345_principal_len);
                        flick_iiopxx_decode_end_chunk(_t345_principal_len);
                        flick_iiopxx_decode_end_glob(_t345_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _local_this->op_five(_ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t346_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t346_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort709);
                          flick_iiopxx_encode_new_glob(4, _flick_abort709);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t346_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t346_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_end_glob(4);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(4);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort715);
                                break;
                                {
                                _flick_abort715:
                                  goto _flick_abort709;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort716);
                                flick_iiopxx_encode_end_glob(4);
                                break;
                                {
                                _flick_abort716:
                                  goto _flick_abort709;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort709:
                          goto _flick_abort708;
                        }
                      }
                      break;
                      {
                      _flick_abort708:
                        goto _flick_abort537;
                      }
                    }
                  case /* our */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869967872):
                    {
                      {
                        POA_five *_local_this;
                        unsigned int _t347_principal_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort718);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t347_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(20);
                        flick_iiopxx_check_span(_t347_principal_len, _flick_abort718);
                        flick_iiopxx_decode_new_glob(_t347_principal_len);
                        flick_iiopxx_decode_new_chunk(_t347_principal_len);
                        flick_iiopxx_decode_end_chunk(_t347_principal_len);
                        flick_iiopxx_decode_end_glob(_t347_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _local_this->op_four(_ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t348_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t348_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort718);
                          flick_iiopxx_encode_new_glob(4, _flick_abort718);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t348_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t348_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_end_glob(4);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(4);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort724);
                                break;
                                {
                                _flick_abort724:
                                  goto _flick_abort718;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort725);
                                flick_iiopxx_encode_end_glob(4);
                                break;
                                {
                                _flick_abort725:
                                  goto _flick_abort718;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort718:
                          goto _flick_abort717;
                        }
                      }
                      break;
                      {
                      _flick_abort717:
                        goto _flick_abort537;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort537);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort537);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          unsigned int _t349_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t349_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t349_switch_tag)
            {
            case /* op_t */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869635444):
              {
                unsigned short int _t350_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t350_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t350_switch_tag)
                  {
                  case /* wo */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 30575):
                    {
                      char _t351_switch_tag;

                      flick_iiopxx_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t351_switch_tag, char );
                      flick_iiopxx_decode_end_chunk(1);
                      switch ((char )_t351_switch_tag)
                        {
                        case 0:
                          {
                            {
                              POA_five *_local_this;
                              unsigned int _t352_principal_len;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort727);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(5);
                              flick_cdr_swap_decode_unsigned32(1, _t352_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(5);
                              flick_iiopxx_decode_end_glob(20);
                              flick_iiopxx_check_span(_t352_principal_len, _flick_abort727);
                              flick_iiopxx_decode_new_glob(_t352_principal_len);
                              flick_iiopxx_decode_new_chunk(_t352_principal_len);
                              flick_iiopxx_decode_end_chunk(_t352_principal_len);
                              flick_iiopxx_decode_end_glob(_t352_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _local_this->op_two(_ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t353_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t353_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort727);
                                flick_iiopxx_encode_new_glob(4, _flick_abort727);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t353_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t353_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(4);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort733);
                                      break;
                                      {
                                      _flick_abort733:
                                        goto _flick_abort727;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort734);
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort734:
                                        goto _flick_abort727;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort727:
                                goto _flick_abort726;
                              }
                            }
                            break;
                            {
                            _flick_abort726:
                              goto _flick_abort537;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort537);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort537);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* op_o */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869635439):
              {
                unsigned short int _t354_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t354_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t354_switch_tag)
                  {
                  case /* ne */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28261):
                    {
                      char _t355_switch_tag;

                      flick_iiopxx_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t355_switch_tag, char );
                      flick_iiopxx_decode_end_chunk(1);
                      switch ((char )_t355_switch_tag)
                        {
                        case 0:
                          {
                            {
                              POA_five *_local_this;
                              unsigned int _t356_principal_len;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort736);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(5);
                              flick_cdr_swap_decode_unsigned32(1, _t356_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(5);
                              flick_iiopxx_decode_end_glob(20);
                              flick_iiopxx_check_span(_t356_principal_len, _flick_abort736);
                              flick_iiopxx_decode_new_glob(_t356_principal_len);
                              flick_iiopxx_decode_new_chunk(_t356_principal_len);
                              flick_iiopxx_decode_end_chunk(_t356_principal_len);
                              flick_iiopxx_decode_end_glob(_t356_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _local_this->op_one(_ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t357_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t357_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort736);
                                flick_iiopxx_encode_new_glob(4, _flick_abort736);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t357_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t357_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(4);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort742);
                                      break;
                                      {
                                      _flick_abort742:
                                        goto _flick_abort736;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort743);
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort743:
                                        goto _flick_abort736;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort736:
                                goto _flick_abort735;
                              }
                            }
                            break;
                            {
                            _flick_abort735:
                              goto _flick_abort537;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort537);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort537);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort537);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          unsigned int _t358_switch_tag;

          flick_iiopxx_check_span(16, _flick_abort537);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t358_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t358_switch_tag)
            {
            case /* op_t */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869635444):
              {
                unsigned int _t359_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t359_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t359_switch_tag)
                  {
                  case /* hree */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1752327525):
                    {
                      char _t360_switch_tag;

                      flick_iiopxx_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t360_switch_tag, char );
                      flick_iiopxx_decode_end_chunk(1);
                      switch ((char )_t360_switch_tag)
                        {
                        case 0:
                          {
                            {
                              POA_five *_local_this;
                              unsigned int _t361_principal_len;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort745);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(7);
                              flick_cdr_swap_decode_unsigned32(3, _t361_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(7);
                              flick_iiopxx_decode_end_glob(20);
                              flick_iiopxx_check_span(_t361_principal_len, _flick_abort745);
                              flick_iiopxx_decode_new_glob(_t361_principal_len);
                              flick_iiopxx_decode_new_chunk(_t361_principal_len);
                              flick_iiopxx_decode_end_chunk(_t361_principal_len);
                              flick_iiopxx_decode_end_glob(_t361_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _local_this->op_three(_ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t362_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t362_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort745);
                                flick_iiopxx_encode_new_glob(4, _flick_abort745);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t362_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t362_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(4);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort751);
                                      break;
                                      {
                                      _flick_abort751:
                                        goto _flick_abort745;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort752);
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort752:
                                        goto _flick_abort745;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort745:
                                goto _flick_abort744;
                              }
                            }
                            break;
                            {
                            _flick_abort744:
                              goto _flick_abort537;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort537);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort537);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort537);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t363_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t363_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t363_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t364_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t364_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t364_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_five *_local_this;
                        unsigned int _t365_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t366_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort754);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t365_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(20);
                        flick_iiopxx_check_span(_t365_principal_len, _flick_abort754);
                        flick_iiopxx_decode_new_glob(_t365_principal_len);
                        flick_iiopxx_decode_new_chunk(_t365_principal_len);
                        flick_iiopxx_decode_end_chunk(_t365_principal_len);
                        flick_iiopxx_decode_end_glob(_t365_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort754);
                        flick_cdr_swap_decode_unsigned32(0, _t366_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t366_temp_string_len);
                        flick_iiopxx_check_span(1 * _t366_temp_string_len, _flick_abort754);
                        flick_iiopxx_decode_new_chunk(1 * _t366_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_type_id, CORBA::Char *);
                        flick_iiopxx_decode_end_chunk(1 * _t366_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t366_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t367_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t367_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort754);
                          flick_iiopxx_encode_new_glob(5, _flick_abort754);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t367_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t367_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort762);
                                break;
                                {
                                _flick_abort762:
                                  goto _flick_abort754;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort763);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort763:
                                  goto _flick_abort754;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort754:
                          goto _flick_abort753;
                        }
                      }
                      break;
                      {
                      _flick_abort753:
                        goto _flick_abort537;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort537);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort537);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort537);
          flick_iiopxx_decode_end_glob(20);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t290_switch_tag;

    flick_iiopxx_decode_new_glob(20);
    flick_iiopxx_check_span(16, _flick_abort537);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t290_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t290_switch_tag)
      {
      case (unsigned int) 8:
        {
          unsigned int _t291_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t291_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t291_switch_tag)
            {
            case /* op_f */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869635430):
              {
                unsigned int _t292_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t292_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t292_switch_tag)
                  {
                  case /* ive */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769366784):
                    {
                      {
                        POA_five *_local_this;
                        unsigned int _t293_principal_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort596);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t293_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(20);
                        flick_iiopxx_check_span(_t293_principal_len, _flick_abort596);
                        flick_iiopxx_decode_new_glob(_t293_principal_len);
                        flick_iiopxx_decode_new_chunk(_t293_principal_len);
                        flick_iiopxx_decode_end_chunk(_t293_principal_len);
                        flick_iiopxx_decode_end_glob(_t293_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _local_this->op_five(_ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t294_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t294_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort596);
                          flick_iiopxx_encode_new_glob(4, _flick_abort596);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t294_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t294_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_end_glob(4);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(4);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort602);
                                break;
                                {
                                _flick_abort602:
                                  goto _flick_abort596;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort603);
                                flick_iiopxx_encode_end_glob(4);
                                break;
                                {
                                _flick_abort603:
                                  goto _flick_abort596;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort596:
                          goto _flick_abort595;
                        }
                      }
                      break;
                      {
                      _flick_abort595:
                        goto _flick_abort537;
                      }
                    }
                  case /* our */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869967872):
                    {
                      {
                        POA_five *_local_this;
                        unsigned int _t295_principal_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort605);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t295_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(20);
                        flick_iiopxx_check_span(_t295_principal_len, _flick_abort605);
                        flick_iiopxx_decode_new_glob(_t295_principal_len);
                        flick_iiopxx_decode_new_chunk(_t295_principal_len);
                        flick_iiopxx_decode_end_chunk(_t295_principal_len);
                        flick_iiopxx_decode_end_glob(_t295_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _local_this->op_four(_ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t296_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t296_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort605);
                          flick_iiopxx_encode_new_glob(4, _flick_abort605);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t296_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t296_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_end_glob(4);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(4);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort611);
                                break;
                                {
                                _flick_abort611:
                                  goto _flick_abort605;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort612);
                                flick_iiopxx_encode_end_glob(4);
                                break;
                                {
                                _flick_abort612:
                                  goto _flick_abort605;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort605:
                          goto _flick_abort604;
                        }
                      }
                      break;
                      {
                      _flick_abort604:
                        goto _flick_abort537;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort537);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort537);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          unsigned int _t297_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t297_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t297_switch_tag)
            {
            case /* op_t */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869635444):
              {
                unsigned short int _t298_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t298_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t298_switch_tag)
                  {
                  case /* wo */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 30575):
                    {
                      char _t299_switch_tag;

                      flick_iiopxx_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t299_switch_tag, char );
                      flick_iiopxx_decode_end_chunk(1);
                      switch ((char )_t299_switch_tag)
                        {
                        case 0:
                          {
                            {
                              POA_five *_local_this;
                              unsigned int _t300_principal_len;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort614);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(5);
                              flick_cdr_decode_unsigned32(1, _t300_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(5);
                              flick_iiopxx_decode_end_glob(20);
                              flick_iiopxx_check_span(_t300_principal_len, _flick_abort614);
                              flick_iiopxx_decode_new_glob(_t300_principal_len);
                              flick_iiopxx_decode_new_chunk(_t300_principal_len);
                              flick_iiopxx_decode_end_chunk(_t300_principal_len);
                              flick_iiopxx_decode_end_glob(_t300_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _local_this->op_two(_ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t301_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t301_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort614);
                                flick_iiopxx_encode_new_glob(4, _flick_abort614);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t301_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t301_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(4);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort620);
                                      break;
                                      {
                                      _flick_abort620:
                                        goto _flick_abort614;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort621);
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort621:
                                        goto _flick_abort614;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort614:
                                goto _flick_abort613;
                              }
                            }
                            break;
                            {
                            _flick_abort613:
                              goto _flick_abort537;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort537);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort537);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* op_o */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869635439):
              {
                unsigned short int _t302_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t302_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t302_switch_tag)
                  {
                  case /* ne */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28261):
                    {
                      char _t303_switch_tag;

                      flick_iiopxx_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t303_switch_tag, char );
                      flick_iiopxx_decode_end_chunk(1);
                      switch ((char )_t303_switch_tag)
                        {
                        case 0:
                          {
                            {
                              POA_five *_local_this;
                              unsigned int _t304_principal_len;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort623);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(5);
                              flick_cdr_decode_unsigned32(1, _t304_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(5);
                              flick_iiopxx_decode_end_glob(20);
                              flick_iiopxx_check_span(_t304_principal_len, _flick_abort623);
                              flick_iiopxx_decode_new_glob(_t304_principal_len);
                              flick_iiopxx_decode_new_chunk(_t304_principal_len);
                              flick_iiopxx_decode_end_chunk(_t304_principal_len);
                              flick_iiopxx_decode_end_glob(_t304_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _local_this->op_one(_ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t305_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t305_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort623);
                                flick_iiopxx_encode_new_glob(4, _flick_abort623);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t305_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t305_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(4);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort629);
                                      break;
                                      {
                                      _flick_abort629:
                                        goto _flick_abort623;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort630);
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort630:
                                        goto _flick_abort623;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort623:
                                goto _flick_abort622;
                              }
                            }
                            break;
                            {
                            _flick_abort622:
                              goto _flick_abort537;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort537);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort537);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort537);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          unsigned int _t306_switch_tag;

          flick_iiopxx_check_span(16, _flick_abort537);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t306_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t306_switch_tag)
            {
            case /* op_t */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869635444):
              {
                unsigned int _t307_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t307_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t307_switch_tag)
                  {
                  case /* hree */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1752327525):
                    {
                      char _t308_switch_tag;

                      flick_iiopxx_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t308_switch_tag, char );
                      flick_iiopxx_decode_end_chunk(1);
                      switch ((char )_t308_switch_tag)
                        {
                        case 0:
                          {
                            {
                              POA_five *_local_this;
                              unsigned int _t309_principal_len;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort632);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(7);
                              flick_cdr_decode_unsigned32(3, _t309_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(7);
                              flick_iiopxx_decode_end_glob(20);
                              flick_iiopxx_check_span(_t309_principal_len, _flick_abort632);
                              flick_iiopxx_decode_new_glob(_t309_principal_len);
                              flick_iiopxx_decode_new_chunk(_t309_principal_len);
                              flick_iiopxx_decode_end_chunk(_t309_principal_len);
                              flick_iiopxx_decode_end_glob(_t309_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _local_this->op_three(_ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t310_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t310_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort632);
                                flick_iiopxx_encode_new_glob(4, _flick_abort632);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t310_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t310_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(4);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort638);
                                      break;
                                      {
                                      _flick_abort638:
                                        goto _flick_abort632;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort639);
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort639:
                                        goto _flick_abort632;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort632:
                                goto _flick_abort631;
                              }
                            }
                            break;
                            {
                            _flick_abort631:
                              goto _flick_abort537;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort537);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort537);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort537);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t311_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t311_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t311_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t312_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t312_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t312_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_five *_local_this;
                        unsigned int _t313_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t314_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort641);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t313_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(20);
                        flick_iiopxx_check_span(_t313_principal_len, _flick_abort641);
                        flick_iiopxx_decode_new_glob(_t313_principal_len);
                        flick_iiopxx_decode_new_chunk(_t313_principal_len);
                        flick_iiopxx_decode_end_chunk(_t313_principal_len);
                        flick_iiopxx_decode_end_glob(_t313_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort641);
                        flick_cdr_decode_unsigned32(0, _t314_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t314_temp_string_len);
                        flick_iiopxx_check_span(1 * _t314_temp_string_len, _flick_abort641);
                        flick_iiopxx_decode_new_chunk(1 * _t314_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_type_id, CORBA::Char *);
                        flick_iiopxx_decode_end_chunk(1 * _t314_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t314_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t315_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t315_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort641);
                          flick_iiopxx_encode_new_glob(5, _flick_abort641);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t315_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t315_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort649);
                                break;
                                {
                                _flick_abort649:
                                  goto _flick_abort641;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort650);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort650:
                                  goto _flick_abort641;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort641:
                          goto _flick_abort640;
                        }
                      }
                      break;
                      {
                      _flick_abort640:
                        goto _flick_abort537;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort537);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort537);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort537);
          flick_iiopxx_decode_end_glob(20);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return;
  {
  _flick_abort537:
    flick_corbaxx_server_error(cdr, iiopxx, _flick_reaper, _flick_abort536);
  _flick_abort536:
    return ;
  }
_flick_reaper:
  return ;
}

int flick_marshal_stub_factory(flick_marshal_stream_t _stream, factory_ptr *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdrxx_encode_IOR(iiopxx, *_data, 0, factory , _flick_abort764);
  return 0;
  {
  _flick_abort764:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_factory(flick_marshal_stream_t _stream, factory_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdrxx_decode_IOR(iiopxx, *_data, 1, factory , _flick_abort765);
  return 0;
  {
  _flick_abort765:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_factory_swap(flick_marshal_stream_t _stream, factory_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swapxx_decode_IOR(iiopxx, *_data, 1, factory , _flick_abort766);
  return 0;
  {
  _flick_abort766:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

void POA_factory::_dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env){
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_InputCDR &_in_cdr = _tao_req.incoming();
  TAO_OutputCDR &_out_cdr = _tao_req.outgoing();
  flick_iiopxx_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (_in_cdr.do_byte_swap()) {
  {
    unsigned int _t443_switch_tag;

    flick_iiopxx_decode_new_glob(20);
    flick_iiopxx_check_span(16, _flick_abort769);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t443_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t443_switch_tag)
      {
      case (unsigned int) 8:
        {
          unsigned int _t444_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t444_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t444_switch_tag)
            {
            case /* get_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1734702175):
              {
                unsigned int _t445_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t445_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t445_switch_tag)
                  {
                  case /* one */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869505792):
                    {
                      {
                        POA_factory *_local_this;
                        unsigned int _t446_principal_len;
                        one_ptr _return;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort941);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t446_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(20);
                        flick_iiopxx_check_span(_t446_principal_len, _flick_abort941);
                        flick_iiopxx_decode_new_glob(_t446_principal_len);
                        flick_iiopxx_decode_new_chunk(_t446_principal_len);
                        flick_iiopxx_decode_end_chunk(_t446_principal_len);
                        flick_iiopxx_decode_end_glob(_t446_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->get_one(_ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t447_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t447_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort941);
                          flick_iiopxx_encode_new_glob(4, _flick_abort941);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t447_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t447_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_end_glob(4);
                                flick_cdrxx_encode_IOR(iiopxx, _return, 0, one , _flick_abort946);
                                CORBA_object_flick_free(_return);
                                _return = 0;
                                break;
                                {
                                _flick_abort946:
                                  goto _flick_abort941;
                                }
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(4);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort947);
                                break;
                                {
                                _flick_abort947:
                                  goto _flick_abort941;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort948);
                                flick_iiopxx_encode_end_glob(4);
                                break;
                                {
                                _flick_abort948:
                                  goto _flick_abort941;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort941:
                          goto _flick_abort940;
                        }
                      }
                      break;
                      {
                      _flick_abort940:
                        goto _flick_abort769;
                      }
                    }
                  case /* two */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953984256):
                    {
                      {
                        POA_factory *_local_this;
                        unsigned int _t448_principal_len;
                        two_ptr _return;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort950);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t448_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(20);
                        flick_iiopxx_check_span(_t448_principal_len, _flick_abort950);
                        flick_iiopxx_decode_new_glob(_t448_principal_len);
                        flick_iiopxx_decode_new_chunk(_t448_principal_len);
                        flick_iiopxx_decode_end_chunk(_t448_principal_len);
                        flick_iiopxx_decode_end_glob(_t448_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->get_two(_ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t449_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t449_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort950);
                          flick_iiopxx_encode_new_glob(4, _flick_abort950);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t449_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t449_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_end_glob(4);
                                flick_cdrxx_encode_IOR(iiopxx, _return, 0, two , _flick_abort955);
                                CORBA_object_flick_free(_return);
                                _return = 0;
                                break;
                                {
                                _flick_abort955:
                                  goto _flick_abort950;
                                }
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(4);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort956);
                                break;
                                {
                                _flick_abort956:
                                  goto _flick_abort950;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort957);
                                flick_iiopxx_encode_end_glob(4);
                                break;
                                {
                                _flick_abort957:
                                  goto _flick_abort950;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort950:
                          goto _flick_abort949;
                        }
                      }
                      break;
                      {
                      _flick_abort949:
                        goto _flick_abort769;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort769);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort769);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          unsigned int _t450_switch_tag;

          flick_iiopxx_check_span(16, _flick_abort769);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t450_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t450_switch_tag)
            {
            case /* get_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1734702175):
              {
                unsigned int _t451_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t451_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t451_switch_tag)
                  {
                  case /* thre */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953002085):
                    {
                      unsigned short int _t452_switch_tag;

                      flick_iiopxx_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t452_switch_tag, unsigned short int );
                      flick_iiopxx_decode_end_chunk(2);
                      switch ((unsigned short int )_t452_switch_tag)
                        {
                        case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                          {
                            {
                              POA_factory *_local_this;
                              unsigned int _t453_principal_len;
                              three_ptr _return;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort959);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t453_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(6);
                              flick_iiopxx_decode_end_glob(20);
                              flick_iiopxx_check_span(_t453_principal_len, _flick_abort959);
                              flick_iiopxx_decode_new_glob(_t453_principal_len);
                              flick_iiopxx_decode_new_chunk(_t453_principal_len);
                              flick_iiopxx_decode_end_chunk(_t453_principal_len);
                              flick_iiopxx_decode_end_glob(_t453_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->get_three(_ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t454_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t454_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort959);
                                flick_iiopxx_encode_new_glob(4, _flick_abort959);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t454_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t454_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_end_glob(4);
                                      flick_cdrxx_encode_IOR(iiopxx, _return, 0, three , _flick_abort964);
                                      CORBA_object_flick_free(_return);
                                      _return = 0;
                                      break;
                                      {
                                      _flick_abort964:
                                        goto _flick_abort959;
                                      }
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(4);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort965);
                                      break;
                                      {
                                      _flick_abort965:
                                        goto _flick_abort959;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort966);
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort966:
                                        goto _flick_abort959;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort959:
                                goto _flick_abort958;
                              }
                            }
                            break;
                            {
                            _flick_abort958:
                              goto _flick_abort769;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort769);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort769);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort769);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          unsigned int _t455_switch_tag;

          flick_iiopxx_check_span(16, _flick_abort769);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t455_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t455_switch_tag)
            {
            case /* get_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1734702175):
              {
                unsigned int _t456_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t456_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t456_switch_tag)
                  {
                  case /* four */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1718580594):
                    {
                      char _t457_switch_tag;

                      flick_iiopxx_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t457_switch_tag, char );
                      flick_iiopxx_decode_end_chunk(1);
                      switch ((char )_t457_switch_tag)
                        {
                        case 0:
                          {
                            {
                              POA_factory *_local_this;
                              unsigned int _t458_principal_len;
                              four_ptr _return;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort968);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(7);
                              flick_cdr_swap_decode_unsigned32(3, _t458_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(7);
                              flick_iiopxx_decode_end_glob(20);
                              flick_iiopxx_check_span(_t458_principal_len, _flick_abort968);
                              flick_iiopxx_decode_new_glob(_t458_principal_len);
                              flick_iiopxx_decode_new_chunk(_t458_principal_len);
                              flick_iiopxx_decode_end_chunk(_t458_principal_len);
                              flick_iiopxx_decode_end_glob(_t458_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->get_four(_ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t459_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t459_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort968);
                                flick_iiopxx_encode_new_glob(4, _flick_abort968);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t459_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t459_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_end_glob(4);
                                      flick_cdrxx_encode_IOR(iiopxx, _return, 0, four , _flick_abort973);
                                      CORBA_object_flick_free(_return);
                                      _return = 0;
                                      break;
                                      {
                                      _flick_abort973:
                                        goto _flick_abort968;
                                      }
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(4);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort974);
                                      break;
                                      {
                                      _flick_abort974:
                                        goto _flick_abort968;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort975);
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort975:
                                        goto _flick_abort968;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort968:
                                goto _flick_abort967;
                              }
                            }
                            break;
                            {
                            _flick_abort967:
                              goto _flick_abort769;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort769);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  case /* five */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1718187621):
                    {
                      char _t460_switch_tag;

                      flick_iiopxx_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t460_switch_tag, char );
                      flick_iiopxx_decode_end_chunk(1);
                      switch ((char )_t460_switch_tag)
                        {
                        case 0:
                          {
                            {
                              POA_factory *_local_this;
                              unsigned int _t461_principal_len;
                              five_ptr _return;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort977);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(7);
                              flick_cdr_swap_decode_unsigned32(3, _t461_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(7);
                              flick_iiopxx_decode_end_glob(20);
                              flick_iiopxx_check_span(_t461_principal_len, _flick_abort977);
                              flick_iiopxx_decode_new_glob(_t461_principal_len);
                              flick_iiopxx_decode_new_chunk(_t461_principal_len);
                              flick_iiopxx_decode_end_chunk(_t461_principal_len);
                              flick_iiopxx_decode_end_glob(_t461_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->get_five(_ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t462_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t462_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort977);
                                flick_iiopxx_encode_new_glob(4, _flick_abort977);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t462_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t462_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_end_glob(4);
                                      flick_cdrxx_encode_IOR(iiopxx, _return, 0, five , _flick_abort982);
                                      CORBA_object_flick_free(_return);
                                      _return = 0;
                                      break;
                                      {
                                      _flick_abort982:
                                        goto _flick_abort977;
                                      }
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(4);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort983);
                                      break;
                                      {
                                      _flick_abort983:
                                        goto _flick_abort977;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort984);
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort984:
                                        goto _flick_abort977;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort977:
                                goto _flick_abort976;
                              }
                            }
                            break;
                            {
                            _flick_abort976:
                              goto _flick_abort769;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort769);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort769);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort769);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t463_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t463_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t463_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t464_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t464_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t464_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_factory *_local_this;
                        unsigned int _t465_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t466_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort986);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t465_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(20);
                        flick_iiopxx_check_span(_t465_principal_len, _flick_abort986);
                        flick_iiopxx_decode_new_glob(_t465_principal_len);
                        flick_iiopxx_decode_new_chunk(_t465_principal_len);
                        flick_iiopxx_decode_end_chunk(_t465_principal_len);
                        flick_iiopxx_decode_end_glob(_t465_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort986);
                        flick_cdr_swap_decode_unsigned32(0, _t466_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t466_temp_string_len);
                        flick_iiopxx_check_span(1 * _t466_temp_string_len, _flick_abort986);
                        flick_iiopxx_decode_new_chunk(1 * _t466_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_type_id, CORBA::Char *);
                        flick_iiopxx_decode_end_chunk(1 * _t466_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t466_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t467_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t467_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort986);
                          flick_iiopxx_encode_new_glob(5, _flick_abort986);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t467_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t467_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort994);
                                break;
                                {
                                _flick_abort994:
                                  goto _flick_abort986;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort995);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort995:
                                  goto _flick_abort986;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort986:
                          goto _flick_abort985;
                        }
                      }
                      break;
                      {
                      _flick_abort985:
                        goto _flick_abort769;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort769);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort769);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort769);
          flick_iiopxx_decode_end_glob(20);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t393_switch_tag;

    flick_iiopxx_decode_new_glob(20);
    flick_iiopxx_check_span(16, _flick_abort769);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t393_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t393_switch_tag)
      {
      case (unsigned int) 8:
        {
          unsigned int _t394_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t394_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t394_switch_tag)
            {
            case /* get_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1734702175):
              {
                unsigned int _t395_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t395_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t395_switch_tag)
                  {
                  case /* one */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869505792):
                    {
                      {
                        POA_factory *_local_this;
                        unsigned int _t396_principal_len;
                        one_ptr _return;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort828);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t396_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(20);
                        flick_iiopxx_check_span(_t396_principal_len, _flick_abort828);
                        flick_iiopxx_decode_new_glob(_t396_principal_len);
                        flick_iiopxx_decode_new_chunk(_t396_principal_len);
                        flick_iiopxx_decode_end_chunk(_t396_principal_len);
                        flick_iiopxx_decode_end_glob(_t396_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->get_one(_ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t397_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t397_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort828);
                          flick_iiopxx_encode_new_glob(4, _flick_abort828);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t397_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t397_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_end_glob(4);
                                flick_cdrxx_encode_IOR(iiopxx, _return, 0, one , _flick_abort833);
                                CORBA_object_flick_free(_return);
                                _return = 0;
                                break;
                                {
                                _flick_abort833:
                                  goto _flick_abort828;
                                }
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(4);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort834);
                                break;
                                {
                                _flick_abort834:
                                  goto _flick_abort828;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort835);
                                flick_iiopxx_encode_end_glob(4);
                                break;
                                {
                                _flick_abort835:
                                  goto _flick_abort828;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort828:
                          goto _flick_abort827;
                        }
                      }
                      break;
                      {
                      _flick_abort827:
                        goto _flick_abort769;
                      }
                    }
                  case /* two */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953984256):
                    {
                      {
                        POA_factory *_local_this;
                        unsigned int _t398_principal_len;
                        two_ptr _return;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort837);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t398_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(20);
                        flick_iiopxx_check_span(_t398_principal_len, _flick_abort837);
                        flick_iiopxx_decode_new_glob(_t398_principal_len);
                        flick_iiopxx_decode_new_chunk(_t398_principal_len);
                        flick_iiopxx_decode_end_chunk(_t398_principal_len);
                        flick_iiopxx_decode_end_glob(_t398_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->get_two(_ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t399_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t399_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort837);
                          flick_iiopxx_encode_new_glob(4, _flick_abort837);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t399_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t399_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_end_glob(4);
                                flick_cdrxx_encode_IOR(iiopxx, _return, 0, two , _flick_abort842);
                                CORBA_object_flick_free(_return);
                                _return = 0;
                                break;
                                {
                                _flick_abort842:
                                  goto _flick_abort837;
                                }
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(4);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort843);
                                break;
                                {
                                _flick_abort843:
                                  goto _flick_abort837;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort844);
                                flick_iiopxx_encode_end_glob(4);
                                break;
                                {
                                _flick_abort844:
                                  goto _flick_abort837;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort837:
                          goto _flick_abort836;
                        }
                      }
                      break;
                      {
                      _flick_abort836:
                        goto _flick_abort769;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort769);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort769);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          unsigned int _t400_switch_tag;

          flick_iiopxx_check_span(16, _flick_abort769);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t400_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t400_switch_tag)
            {
            case /* get_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1734702175):
              {
                unsigned int _t401_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t401_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t401_switch_tag)
                  {
                  case /* thre */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953002085):
                    {
                      unsigned short int _t402_switch_tag;

                      flick_iiopxx_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t402_switch_tag, unsigned short int );
                      flick_iiopxx_decode_end_chunk(2);
                      switch ((unsigned short int )_t402_switch_tag)
                        {
                        case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                          {
                            {
                              POA_factory *_local_this;
                              unsigned int _t403_principal_len;
                              three_ptr _return;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort846);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t403_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(6);
                              flick_iiopxx_decode_end_glob(20);
                              flick_iiopxx_check_span(_t403_principal_len, _flick_abort846);
                              flick_iiopxx_decode_new_glob(_t403_principal_len);
                              flick_iiopxx_decode_new_chunk(_t403_principal_len);
                              flick_iiopxx_decode_end_chunk(_t403_principal_len);
                              flick_iiopxx_decode_end_glob(_t403_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->get_three(_ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t404_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t404_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort846);
                                flick_iiopxx_encode_new_glob(4, _flick_abort846);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t404_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t404_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_end_glob(4);
                                      flick_cdrxx_encode_IOR(iiopxx, _return, 0, three , _flick_abort851);
                                      CORBA_object_flick_free(_return);
                                      _return = 0;
                                      break;
                                      {
                                      _flick_abort851:
                                        goto _flick_abort846;
                                      }
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(4);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort852);
                                      break;
                                      {
                                      _flick_abort852:
                                        goto _flick_abort846;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort853);
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort853:
                                        goto _flick_abort846;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort846:
                                goto _flick_abort845;
                              }
                            }
                            break;
                            {
                            _flick_abort845:
                              goto _flick_abort769;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort769);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort769);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort769);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          unsigned int _t405_switch_tag;

          flick_iiopxx_check_span(16, _flick_abort769);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t405_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t405_switch_tag)
            {
            case /* get_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1734702175):
              {
                unsigned int _t406_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t406_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t406_switch_tag)
                  {
                  case /* four */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1718580594):
                    {
                      char _t407_switch_tag;

                      flick_iiopxx_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t407_switch_tag, char );
                      flick_iiopxx_decode_end_chunk(1);
                      switch ((char )_t407_switch_tag)
                        {
                        case 0:
                          {
                            {
                              POA_factory *_local_this;
                              unsigned int _t408_principal_len;
                              four_ptr _return;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort855);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(7);
                              flick_cdr_decode_unsigned32(3, _t408_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(7);
                              flick_iiopxx_decode_end_glob(20);
                              flick_iiopxx_check_span(_t408_principal_len, _flick_abort855);
                              flick_iiopxx_decode_new_glob(_t408_principal_len);
                              flick_iiopxx_decode_new_chunk(_t408_principal_len);
                              flick_iiopxx_decode_end_chunk(_t408_principal_len);
                              flick_iiopxx_decode_end_glob(_t408_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->get_four(_ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t409_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t409_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort855);
                                flick_iiopxx_encode_new_glob(4, _flick_abort855);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t409_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t409_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_end_glob(4);
                                      flick_cdrxx_encode_IOR(iiopxx, _return, 0, four , _flick_abort860);
                                      CORBA_object_flick_free(_return);
                                      _return = 0;
                                      break;
                                      {
                                      _flick_abort860:
                                        goto _flick_abort855;
                                      }
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(4);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort861);
                                      break;
                                      {
                                      _flick_abort861:
                                        goto _flick_abort855;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort862);
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort862:
                                        goto _flick_abort855;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort855:
                                goto _flick_abort854;
                              }
                            }
                            break;
                            {
                            _flick_abort854:
                              goto _flick_abort769;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort769);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  case /* five */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1718187621):
                    {
                      char _t410_switch_tag;

                      flick_iiopxx_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t410_switch_tag, char );
                      flick_iiopxx_decode_end_chunk(1);
                      switch ((char )_t410_switch_tag)
                        {
                        case 0:
                          {
                            {
                              POA_factory *_local_this;
                              unsigned int _t411_principal_len;
                              five_ptr _return;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort864);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(7);
                              flick_cdr_decode_unsigned32(3, _t411_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(7);
                              flick_iiopxx_decode_end_glob(20);
                              flick_iiopxx_check_span(_t411_principal_len, _flick_abort864);
                              flick_iiopxx_decode_new_glob(_t411_principal_len);
                              flick_iiopxx_decode_new_chunk(_t411_principal_len);
                              flick_iiopxx_decode_end_chunk(_t411_principal_len);
                              flick_iiopxx_decode_end_glob(_t411_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->get_five(_ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t412_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t412_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort864);
                                flick_iiopxx_encode_new_glob(4, _flick_abort864);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t412_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t412_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_end_glob(4);
                                      flick_cdrxx_encode_IOR(iiopxx, _return, 0, five , _flick_abort869);
                                      CORBA_object_flick_free(_return);
                                      _return = 0;
                                      break;
                                      {
                                      _flick_abort869:
                                        goto _flick_abort864;
                                      }
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(4);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort870);
                                      break;
                                      {
                                      _flick_abort870:
                                        goto _flick_abort864;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort871);
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort871:
                                        goto _flick_abort864;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort864:
                                goto _flick_abort863;
                              }
                            }
                            break;
                            {
                            _flick_abort863:
                              goto _flick_abort769;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort769);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort769);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort769);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t413_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t413_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t413_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t414_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t414_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t414_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_factory *_local_this;
                        unsigned int _t415_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t416_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort873);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t415_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(20);
                        flick_iiopxx_check_span(_t415_principal_len, _flick_abort873);
                        flick_iiopxx_decode_new_glob(_t415_principal_len);
                        flick_iiopxx_decode_new_chunk(_t415_principal_len);
                        flick_iiopxx_decode_end_chunk(_t415_principal_len);
                        flick_iiopxx_decode_end_glob(_t415_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort873);
                        flick_cdr_decode_unsigned32(0, _t416_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t416_temp_string_len);
                        flick_iiopxx_check_span(1 * _t416_temp_string_len, _flick_abort873);
                        flick_iiopxx_decode_new_chunk(1 * _t416_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_type_id, CORBA::Char *);
                        flick_iiopxx_decode_end_chunk(1 * _t416_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t416_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t417_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t417_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort873);
                          flick_iiopxx_encode_new_glob(5, _flick_abort873);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t417_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t417_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort881);
                                break;
                                {
                                _flick_abort881:
                                  goto _flick_abort873;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort882);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort882:
                                  goto _flick_abort873;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort873:
                          goto _flick_abort872;
                        }
                      }
                      break;
                      {
                      _flick_abort872:
                        goto _flick_abort769;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort769);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort769);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort769);
          flick_iiopxx_decode_end_glob(20);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return;
  {
  _flick_abort769:
    flick_corbaxx_server_error(cdr, iiopxx, _flick_reaper, _flick_abort768);
  _flick_abort768:
    return ;
  }
_flick_reaper:
  return ;
}

