#include "parm_-server.h"

POA_test::POA_test()
{}

POA_test::POA_test(const POA_test &rhs)
  : TAO_ServantBase(rhs)
{}

POA_test::~POA_test()
{}

test *POA_test::_this(CORBA::Environment &_env)
{
  TAO_Stub *stub = this->_create_stub(_env);
  TAO_CHECK_ENV_RETURN(_env, 0);
  return new _tao_collocated_test(this, stub);
}

CORBA::Boolean POA_test::_is_a(const CORBA::Char *type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)type_id, "IDL:test:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return 0;
}

void *POA_test::_downcast(const char *logical_type_id)
{
  if(ACE_OS::strcmp(logical_type_id, "IDL:test:1.0") == 0)
    return ACE_static_cast(POA_test_ptr , this);
   
  if(ACE_OS::strcmp(logical_type_id, "IDL:omg.org/CORBA/Object:1.0") == 0)
    return ACE_static_cast(PortableServer::Servant, this);
  return 0;
}

const char *POA_test::_interface_repository_id() const
{
  return "IDL:test:1.0";
}

template <class T>
  POA_test_tie<T>::POA_test_tie(T &t)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(0)
{}

template <class T>
  POA_test_tie<T>::POA_test_tie(T &t, PortableServer::POA_ptr poa)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(0)
{}

template <class T>
  POA_test_tie<T>::POA_test_tie(T *t, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(release)
{}

template <class T>
  POA_test_tie<T>::POA_test_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(release)
{}

template <class T>
  POA_test_tie<T>::~POA_test_tie()
{
  if( this->rel_ ) delete this->ptr_;
}

template <class T>
  T *POA_test_tie<T>::_tied_object()
{
  return this->ptr_;
}

template <class T>
  void POA_test_tie<T>::_tied_object(T &obj)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = &obj;
  this->rel_ = 0;
}

template <class T>
  void POA_test_tie<T>::_tied_object(T &obj, CORBA::Boolean release)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = obj;
  this->rel_ = release;
}

template <class T>
  CORBA::Boolean POA_test_tie<T>::_is_owner()
{
  return this->rel_;
}

template <class T>
  void POA_test_tie<T>::_is_owner(CORBA::Boolean b)
{
  this->rel_ = b;
}

template <class T>
  PortableServer::POA_ptr POA_test_tie<T>::_default_POA()
{
  if( !(CORBA::is_nil(this->poa_.in())) )
    return PortableServer::POA::_duplicate(this->poa_.in());
  else
  {
    TAO_POA *poa = TAO_ORB_Core_instance()->root_poa();
    PortableServer::POA_var result = poa->_this(env);
    if( env.exception() != 0 )
      return PortableServer::POA::_nil();
    else
      return result._retn();
  }
}

template <class T>
  POA_test_tie<T>::POA_test_tie(const POA_test_tie &c)
{}

template <class T>
  void POA_test_tie<T>::operator=(const POA_test_tie &c)
{}

template <class T>
  CORBA::Short POA_test_tie<T>::Short(/* POA_test *this, */ CORBA::Short a, CORBA::Short &b, ::CORBA::Short &c, CORBA::Environment &_ev)
{
  return this->ptr_->Short (a, b, c, _ev);
}

template <class T>
  CORBA::Long POA_test_tie<T>::Long(/* POA_test *this, */ CORBA::Long a, CORBA::Long &b, ::CORBA::Long &c, CORBA::Environment &_ev)
{
  return this->ptr_->Long (a, b, c, _ev);
}

template <class T>
  CORBA::UShort POA_test_tie<T>::UShort(/* POA_test *this, */ CORBA::UShort a, CORBA::UShort &b, ::CORBA::UShort &c, CORBA::Environment &_ev)
{
  return this->ptr_->UShort (a, b, c, _ev);
}

template <class T>
  CORBA::ULong POA_test_tie<T>::ULong(/* POA_test *this, */ CORBA::ULong a, CORBA::ULong &b, ::CORBA::ULong &c, CORBA::Environment &_ev)
{
  return this->ptr_->ULong (a, b, c, _ev);
}

template <class T>
  CORBA::Float POA_test_tie<T>::Float(/* POA_test *this, */ CORBA::Float a, CORBA::Float &b, ::CORBA::Float &c, CORBA::Environment &_ev)
{
  return this->ptr_->Float (a, b, c, _ev);
}

template <class T>
  CORBA::Boolean POA_test_tie<T>::Boolean(/* POA_test *this, */ CORBA::Boolean a, CORBA::Boolean &b, ::CORBA::Boolean &c, CORBA::Environment &_ev)
{
  return this->ptr_->Boolean (a, b, c, _ev);
}

template <class T>
  CORBA::Char POA_test_tie<T>::Char(/* POA_test *this, */ CORBA::Char a, CORBA::Char &b, ::CORBA::Char &c, CORBA::Environment &_ev)
{
  return this->ptr_->Char (a, b, c, _ev);
}

template <class T>
  CORBA::Octet POA_test_tie<T>::Octet(/* POA_test *this, */ CORBA::Octet a, CORBA::Octet &b, ::CORBA::Octet &c, CORBA::Environment &_ev)
{
  return this->ptr_->Octet (a, b, c, _ev);
}

template <class T>
  enum Enumeration POA_test_tie<T>::Enum(/* POA_test *this, */ enum Enumeration a, enum Enumeration &b, Enumeration_out c, CORBA::Environment &_ev)
{
  return this->ptr_->Enum (a, b, c, _ev);
}

template <class T>
  struct FStruct POA_test_tie<T>::FixedStruct(/* POA_test *this, */ const struct FStruct &a, struct FStruct &b, FStruct_out c, CORBA::Environment &_ev)
{
  return this->ptr_->FixedStruct (a, b, c, _ev);
}

template <class T>
  struct VStruct *POA_test_tie<T>::VarStruct(/* POA_test *this, */ const struct VStruct &a, struct VStruct &b, VStruct_out c, CORBA::Environment &_ev)
{
  return this->ptr_->VarStruct (a, b, c, _ev);
}

template <class T>
  FUnion POA_test_tie<T>::FixedUnion(/* POA_test *this, */ const FUnion &a, FUnion &b, FUnion_out c, CORBA::Environment &_ev)
{
  return this->ptr_->FixedUnion (a, b, c, _ev);
}

template <class T>
  VUnion *POA_test_tie<T>::VarUnion(/* POA_test *this, */ const VUnion &a, VUnion &b, VUnion_out c, CORBA::Environment &_ev)
{
  return this->ptr_->VarUnion (a, b, c, _ev);
}

template <class T>
  char *POA_test_tie<T>::String(/* POA_test *this, */ const char *a, char *&b, ::CORBA::String_out c, CORBA::Environment &_ev)
{
  return this->ptr_->String (a, b, c, _ev);
}

template <class T>
  char *POA_test_tie<T>::BoundString(/* POA_test *this, */ const char *a, char *&b, ::CORBA::String_out c, CORBA::Environment &_ev)
{
  return this->ptr_->BoundString (a, b, c, _ev);
}

template <class T>
  ::test::arr_slice *POA_test_tie<T>::Array(/* POA_test *this, */ const ::test::arr a, ::test::arr b, ::test::arr_out c, CORBA::Environment &_ev)
{
  return this->ptr_->Array (a, b, c, _ev);
}

template <class T>
  ::test::seq *POA_test_tie<T>::Sequence(/* POA_test *this, */ const ::test::seq &a, ::test::seq &b, ::test::seq_out c, CORBA::Environment &_ev)
{
  return this->ptr_->Sequence (a, b, c, _ev);
}

_tao_collocated_test::_tao_collocated_test(POA_test_ptr servant, TAO_Stub *stub)
  : test(),
    CORBA_Object(stub, servant, 1),
    servant_ (servant)
{
}

POA_test_ptr _tao_collocated_test::_get_servant() const
{
  return this->servant_;
}

CORBA::Short _tao_collocated_test::Short(CORBA::Short a, CORBA::Short &b, ::CORBA::Short &c, CORBA::Environment &_ev)
{
  return this->servant_->Short (a, b, c, _ev);
}

CORBA::Long _tao_collocated_test::Long(CORBA::Long a, CORBA::Long &b, ::CORBA::Long &c, CORBA::Environment &_ev)
{
  return this->servant_->Long (a, b, c, _ev);
}

CORBA::UShort _tao_collocated_test::UShort(CORBA::UShort a, CORBA::UShort &b, ::CORBA::UShort &c, CORBA::Environment &_ev)
{
  return this->servant_->UShort (a, b, c, _ev);
}

CORBA::ULong _tao_collocated_test::ULong(CORBA::ULong a, CORBA::ULong &b, ::CORBA::ULong &c, CORBA::Environment &_ev)
{
  return this->servant_->ULong (a, b, c, _ev);
}

CORBA::Float _tao_collocated_test::Float(CORBA::Float a, CORBA::Float &b, ::CORBA::Float &c, CORBA::Environment &_ev)
{
  return this->servant_->Float (a, b, c, _ev);
}

CORBA::Boolean _tao_collocated_test::Boolean(CORBA::Boolean a, CORBA::Boolean &b, ::CORBA::Boolean &c, CORBA::Environment &_ev)
{
  return this->servant_->Boolean (a, b, c, _ev);
}

CORBA::Char _tao_collocated_test::Char(CORBA::Char a, CORBA::Char &b, ::CORBA::Char &c, CORBA::Environment &_ev)
{
  return this->servant_->Char (a, b, c, _ev);
}

CORBA::Octet _tao_collocated_test::Octet(CORBA::Octet a, CORBA::Octet &b, ::CORBA::Octet &c, CORBA::Environment &_ev)
{
  return this->servant_->Octet (a, b, c, _ev);
}

enum Enumeration _tao_collocated_test::Enum(enum Enumeration a, enum Enumeration &b, Enumeration_out c, CORBA::Environment &_ev)
{
  return this->servant_->Enum (a, b, c, _ev);
}

struct FStruct _tao_collocated_test::FixedStruct(const struct FStruct &a, struct FStruct &b, FStruct_out c, CORBA::Environment &_ev)
{
  return this->servant_->FixedStruct (a, b, c, _ev);
}

struct VStruct *_tao_collocated_test::VarStruct(const struct VStruct &a, struct VStruct &b, VStruct_out c, CORBA::Environment &_ev)
{
  return this->servant_->VarStruct (a, b, c, _ev);
}

FUnion _tao_collocated_test::FixedUnion(const FUnion &a, FUnion &b, FUnion_out c, CORBA::Environment &_ev)
{
  return this->servant_->FixedUnion (a, b, c, _ev);
}

VUnion *_tao_collocated_test::VarUnion(const VUnion &a, VUnion &b, VUnion_out c, CORBA::Environment &_ev)
{
  return this->servant_->VarUnion (a, b, c, _ev);
}

char *_tao_collocated_test::String(const char *a, char *&b, ::CORBA::String_out c, CORBA::Environment &_ev)
{
  return this->servant_->String (a, b, c, _ev);
}

char *_tao_collocated_test::BoundString(const char *a, char *&b, ::CORBA::String_out c, CORBA::Environment &_ev)
{
  return this->servant_->BoundString (a, b, c, _ev);
}

::test::arr_slice *_tao_collocated_test::Array(const ::test::arr a, ::test::arr b, ::test::arr_out c, CORBA::Environment &_ev)
{
  return this->servant_->Array (a, b, c, _ev);
}

::test::seq *_tao_collocated_test::Sequence(const ::test::seq &a, ::test::seq &b, ::test::seq_out c, CORBA::Environment &_ev)
{
  return this->servant_->Sequence (a, b, c, _ev);
}

CORBA::Boolean _tao_collocated_test::_is_a(const char *type_id, CORBA::Environment &_ev)
{
  return this->servant_->_is_a (type_id, _ev);
}

int flick_marshal_stub_test(flick_marshal_stream_t _stream, test_ptr *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdrxx_encode_IOR(iiopxx, *_data, 0, test , _flick_abort0);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_test(flick_marshal_stream_t _stream, test_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdrxx_decode_IOR(iiopxx, *_data, 1, test , _flick_abort1);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_test_swap(flick_marshal_stream_t _stream, test_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swapxx_decode_IOR(iiopxx, *_data, 1, test , _flick_abort2);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

void POA_test::_dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env){
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_InputCDR &_in_cdr = _tao_req.incoming();
  TAO_OutputCDR &_out_cdr = _tao_req.outgoing();
  flick_iiopxx_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (_in_cdr.do_byte_swap()) {
  {
    unsigned int _t343_switch_tag;

    flick_iiopxx_decode_new_glob(20);
    flick_iiopxx_check_span(16, _flick_abort5);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t343_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t343_switch_tag)
      {
      case (unsigned int) 6:
        {
          unsigned int _t344_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t344_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t344_switch_tag)
            {
            case /* Shor */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1399353202):
              {
                unsigned short int _t345_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t345_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t345_switch_tag)
                  {
                  case /* t */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29696):
                    {
                      {
                        POA_test *_local_this;
                        unsigned int _t346_principal_len;
                        CORBA::Short _return;
                        CORBA::Short _local_a;
                        CORBA::Short _local_b;
                        CORBA::Short _local_c;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1098);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t346_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(20);
                        flick_iiopxx_check_span(_t346_principal_len, _flick_abort1098);
                        flick_iiopxx_decode_new_glob(_t346_principal_len);
                        flick_iiopxx_decode_new_chunk(_t346_principal_len);
                        flick_iiopxx_decode_end_chunk(_t346_principal_len);
                        flick_iiopxx_decode_end_glob(_t346_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(5);
                        flick_iiopxx_decode_new_chunk_align(4, 1, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort1098);
                        flick_cdr_swap_decode_signed16(0, _local_a, CORBA::Short );
                        flick_cdr_swap_decode_signed16(2, _local_b, CORBA::Short );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(5);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->Short(_local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t347_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t347_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1098);
                          flick_iiopxx_encode_new_glob(10, _flick_abort1098);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t347_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t347_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(6);
                                flick_cdr_encode_signed16(0, _return, CORBA::Short );
                                flick_cdr_encode_signed16(2, _local_b, CORBA::Short );
                                flick_cdr_encode_signed16(4, _local_c, CORBA::Short );
                                flick_iiopxx_encode_end_chunk(6);
                                flick_iiopxx_encode_end_glob(10);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(10);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1104);
                                break;
                                {
                                _flick_abort1104:
                                  goto _flick_abort1098;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1105);
                                flick_iiopxx_encode_end_glob(10);
                                break;
                                {
                                _flick_abort1105:
                                  goto _flick_abort1098;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort1098:
                          goto _flick_abort1097;
                        }
                      }
                      break;
                      {
                      _flick_abort1097:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* ULon */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1431072622):
              {
                unsigned short int _t348_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t348_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t348_switch_tag)
                  {
                  case /* g */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 26368):
                    {
                      {
                        POA_test *_local_this;
                        unsigned int _t349_principal_len;
                        CORBA::ULong _return;
                        CORBA::ULong _local_a;
                        CORBA::ULong _local_b;
                        CORBA::ULong _local_c;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1107);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t349_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(20);
                        flick_iiopxx_check_span(_t349_principal_len, _flick_abort1107);
                        flick_iiopxx_decode_new_glob(_t349_principal_len);
                        flick_iiopxx_decode_new_chunk(_t349_principal_len);
                        flick_iiopxx_decode_end_chunk(_t349_principal_len);
                        flick_iiopxx_decode_end_glob(_t349_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(11);
                        flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                        flick_iiopxx_check_span(8, _flick_abort1107);
                        flick_cdr_swap_decode_unsigned32(0, _local_a, CORBA::ULong );
                        flick_cdr_swap_decode_unsigned32(4, _local_b, CORBA::ULong );
                        flick_iiopxx_decode_end_chunk(8);
                        flick_iiopxx_decode_end_glob(11);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->ULong(_local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t350_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t350_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1107);
                          flick_iiopxx_encode_new_glob(16, _flick_abort1107);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t350_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t350_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(12);
                                flick_cdr_encode_unsigned32(0, _return, CORBA::ULong );
                                flick_cdr_encode_unsigned32(4, _local_b, CORBA::ULong );
                                flick_cdr_encode_unsigned32(8, _local_c, CORBA::ULong );
                                flick_iiopxx_encode_end_chunk(12);
                                flick_iiopxx_encode_end_glob(16);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(16);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1113);
                                break;
                                {
                                _flick_abort1113:
                                  goto _flick_abort1107;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1114);
                                flick_iiopxx_encode_end_glob(16);
                                break;
                                {
                                _flick_abort1114:
                                  goto _flick_abort1107;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort1107:
                          goto _flick_abort1106;
                        }
                      }
                      break;
                      {
                      _flick_abort1106:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* Floa */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1181511521):
              {
                unsigned short int _t351_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t351_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t351_switch_tag)
                  {
                  case /* t */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29696):
                    {
                      {
                        POA_test *_local_this;
                        unsigned int _t352_principal_len;
                        CORBA::Float _return;
                        CORBA::Float _local_a;
                        CORBA::Float _local_b;
                        CORBA::Float _local_c;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1116);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t352_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(20);
                        flick_iiopxx_check_span(_t352_principal_len, _flick_abort1116);
                        flick_iiopxx_decode_new_glob(_t352_principal_len);
                        flick_iiopxx_decode_new_chunk(_t352_principal_len);
                        flick_iiopxx_decode_end_chunk(_t352_principal_len);
                        flick_iiopxx_decode_end_glob(_t352_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0.000000;
                        flick_iiopxx_decode_new_glob(11);
                        flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                        flick_iiopxx_check_span(8, _flick_abort1116);
                        flick_cdr_swap_decode_float32(0, _local_a, CORBA::Float );
                        flick_cdr_swap_decode_float32(4, _local_b, CORBA::Float );
                        flick_iiopxx_decode_end_chunk(8);
                        flick_iiopxx_decode_end_glob(11);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->Float(_local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t353_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t353_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1116);
                          flick_iiopxx_encode_new_glob(16, _flick_abort1116);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t353_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t353_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(12);
                                flick_cdr_encode_float32(0, _return, CORBA::Float );
                                flick_cdr_encode_float32(4, _local_b, CORBA::Float );
                                flick_cdr_encode_float32(8, _local_c, CORBA::Float );
                                flick_iiopxx_encode_end_chunk(12);
                                flick_iiopxx_encode_end_glob(16);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(16);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1122);
                                break;
                                {
                                _flick_abort1122:
                                  goto _flick_abort1116;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1123);
                                flick_iiopxx_encode_end_glob(16);
                                break;
                                {
                                _flick_abort1123:
                                  goto _flick_abort1116;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort1116:
                          goto _flick_abort1115;
                        }
                      }
                      break;
                      {
                      _flick_abort1115:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* Octe */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1331917925):
              {
                unsigned short int _t354_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t354_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t354_switch_tag)
                  {
                  case /* t */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29696):
                    {
                      {
                        POA_test *_local_this;
                        unsigned int _t355_principal_len;
                        CORBA::Octet _return;
                        CORBA::Octet _local_a;
                        CORBA::Octet _local_b;
                        CORBA::Octet _local_c;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1125);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t355_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(20);
                        flick_iiopxx_check_span(_t355_principal_len + 2, _flick_abort1125);
                        flick_iiopxx_decode_new_glob(_t355_principal_len);
                        flick_iiopxx_decode_new_chunk(_t355_principal_len);
                        flick_iiopxx_decode_end_chunk(_t355_principal_len);
                        flick_iiopxx_decode_end_glob(_t355_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(2);
                        flick_iiopxx_decode_new_chunk(2);
                        flick_cdr_swap_decode_unsigned8(0, _local_a, CORBA::Octet );
                        flick_cdr_swap_decode_unsigned8(1, _local_b, CORBA::Octet );
                        flick_iiopxx_decode_end_chunk(2);
                        flick_iiopxx_decode_end_glob(2);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->Octet(_local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t356_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t356_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1125);
                          flick_iiopxx_encode_new_glob(7, _flick_abort1125);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t356_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t356_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(3);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Octet );
                                flick_cdr_encode_unsigned8(1, _local_b, CORBA::Octet );
                                flick_cdr_encode_unsigned8(2, _local_c, CORBA::Octet );
                                flick_iiopxx_encode_end_chunk(3);
                                flick_iiopxx_encode_end_glob(7);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(7);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1131);
                                break;
                                {
                                _flick_abort1131:
                                  goto _flick_abort1125;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1132);
                                flick_iiopxx_encode_end_glob(7);
                                break;
                                {
                                _flick_abort1132:
                                  goto _flick_abort1125;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort1125:
                          goto _flick_abort1124;
                        }
                      }
                      break;
                      {
                      _flick_abort1124:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* Arra */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1098019425):
              {
                unsigned short int _t357_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t357_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t357_switch_tag)
                  {
                  case /* y */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 30976):
                    {
                      {
                        POA_test *_local_this;
                        unsigned int _t358_principal_len;
                        ::test::arr_slice *_return;
                        CORBA::Long *_local_a;
                        flick_unsigned32_t _t359_array_iter;
                        CORBA::Long *_local_b;
                        flick_unsigned32_t _t360_array_iter;
                        CORBA::Long *_local_c;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1134);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t358_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(20);
                        flick_iiopxx_check_span(_t358_principal_len, _flick_abort1134);
                        flick_iiopxx_decode_new_glob(_t358_principal_len);
                        flick_iiopxx_decode_new_chunk(_t358_principal_len);
                        flick_iiopxx_decode_end_chunk(_t358_principal_len);
                        flick_iiopxx_decode_end_glob(_t358_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(110);
                        {
                          CORBA::Long *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Long *)new (CORBA::Long [10]);
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1134);
                          _local_a = _t_alloc_ptr;
                        }
                        for (_t359_array_iter = 0; _t359_array_iter < 10; _t359_array_iter++)
                          {
                            flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                            flick_iiopxx_check_span(4, _flick_abort1138);
                            flick_cdr_swap_decode_signed32(0, _local_a[_t359_array_iter], CORBA::Long );
                            flick_iiopxx_decode_end_chunk(4);
                            continue;
                            {
                            _flick_abort1138:
                              goto _flick_abort1134;
                            }
                          }
                        {
                          CORBA::Long *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Long *)new (CORBA::Long [10]);
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1134);
                          _local_b = _t_alloc_ptr;
                        }
                        flick_iiopxx_check_span(10 * 4, _flick_abort1134);
                        for (_t360_array_iter = 0; _t360_array_iter < 10; _t360_array_iter++)
                          {
                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_swap_decode_signed32(0, _local_b[_t360_array_iter], CORBA::Long );
                            flick_iiopxx_decode_end_chunk(4);
                            continue;
                          }
                        {
                          CORBA::Long *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Long *)new (CORBA::Long [10]);
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1134);
                          _local_c = _t_alloc_ptr;
                        }
                        flick_iiopxx_decode_end_glob(110);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->Array(_local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t361_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t361_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1134);
                          flick_iiopxx_encode_new_glob(124, _flick_abort1134);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t361_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t361_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(120);
                                flick_cdr_encode_bcopy(0, _return, 40);
                                delete [] _return;
                                _return = 0;
                                flick_cdr_encode_bcopy(40, _local_b, 40);
                                delete [] _local_b;
                                _local_b = 0;
                                flick_cdr_encode_bcopy(80, _local_c, 40);
                                delete [] _local_c;
                                _local_c = 0;
                                flick_iiopxx_encode_end_chunk(120);
                                flick_iiopxx_encode_end_glob(124);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(124);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1163);
                                break;
                                {
                                _flick_abort1163:
                                  goto _flick_abort1134;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1164);
                                flick_iiopxx_encode_end_glob(124);
                                break;
                                {
                                _flick_abort1164:
                                  goto _flick_abort1134;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort1134:
                          goto _flick_abort1133;
                        }
                      }
                      break;
                      {
                      _flick_abort1133:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t362_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t362_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t362_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_test *_local_this;
                        unsigned int _t363_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t364_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1166);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t363_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(20);
                        flick_iiopxx_check_span(_t363_principal_len, _flick_abort1166);
                        flick_iiopxx_decode_new_glob(_t363_principal_len);
                        flick_iiopxx_decode_new_chunk(_t363_principal_len);
                        flick_iiopxx_decode_end_chunk(_t363_principal_len);
                        flick_iiopxx_decode_end_glob(_t363_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort1166);
                        flick_cdr_swap_decode_unsigned32(0, _t364_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t364_temp_string_len);
                        flick_iiopxx_check_span(1 * _t364_temp_string_len, _flick_abort1166);
                        flick_iiopxx_decode_new_chunk(1 * _t364_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_type_id, CORBA::Char *);
                        flick_iiopxx_decode_end_chunk(1 * _t364_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t364_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t365_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t365_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1166);
                          flick_iiopxx_encode_new_glob(5, _flick_abort1166);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t365_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t365_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1174);
                                break;
                                {
                                _flick_abort1174:
                                  goto _flick_abort1166;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1175);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort1175:
                                  goto _flick_abort1166;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort1166:
                          goto _flick_abort1165;
                        }
                      }
                      break;
                      {
                      _flick_abort1165:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          unsigned int _t366_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t366_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t366_switch_tag)
            {
            case /* Long */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1282371175):
              {
                char _t367_switch_tag;

                flick_iiopxx_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t367_switch_tag, char );
                flick_iiopxx_decode_end_chunk(1);
                switch ((char )_t367_switch_tag)
                  {
                  case 0:
                    {
                      {
                        POA_test *_local_this;
                        unsigned int _t368_principal_len;
                        CORBA::Long _return;
                        CORBA::Long _local_a;
                        CORBA::Long _local_b;
                        CORBA::Long _local_c;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1177);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(7);
                        flick_cdr_swap_decode_unsigned32(3, _t368_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(7);
                        flick_iiopxx_decode_end_glob(20);
                        flick_iiopxx_check_span(_t368_principal_len, _flick_abort1177);
                        flick_iiopxx_decode_new_glob(_t368_principal_len);
                        flick_iiopxx_decode_new_chunk(_t368_principal_len);
                        flick_iiopxx_decode_end_chunk(_t368_principal_len);
                        flick_iiopxx_decode_end_glob(_t368_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(11);
                        flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                        flick_iiopxx_check_span(8, _flick_abort1177);
                        flick_cdr_swap_decode_signed32(0, _local_a, CORBA::Long );
                        flick_cdr_swap_decode_signed32(4, _local_b, CORBA::Long );
                        flick_iiopxx_decode_end_chunk(8);
                        flick_iiopxx_decode_end_glob(11);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->Long(_local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t369_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t369_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1177);
                          flick_iiopxx_encode_new_glob(16, _flick_abort1177);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t369_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t369_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(12);
                                flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                flick_cdr_encode_signed32(4, _local_b, CORBA::Long );
                                flick_cdr_encode_signed32(8, _local_c, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(12);
                                flick_iiopxx_encode_end_glob(16);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(16);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1183);
                                break;
                                {
                                _flick_abort1183:
                                  goto _flick_abort1177;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1184);
                                flick_iiopxx_encode_end_glob(16);
                                break;
                                {
                                _flick_abort1184:
                                  goto _flick_abort1177;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort1177:
                          goto _flick_abort1176;
                        }
                      }
                      break;
                      {
                      _flick_abort1176:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* Char */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1130914162):
              {
                char _t370_switch_tag;

                flick_iiopxx_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t370_switch_tag, char );
                flick_iiopxx_decode_end_chunk(1);
                switch ((char )_t370_switch_tag)
                  {
                  case 0:
                    {
                      {
                        POA_test *_local_this;
                        unsigned int _t371_principal_len;
                        CORBA::Char _return;
                        CORBA::Char _local_a;
                        CORBA::Char _local_b;
                        CORBA::Char _local_c;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1186);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(7);
                        flick_cdr_swap_decode_unsigned32(3, _t371_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(7);
                        flick_iiopxx_decode_end_glob(20);
                        flick_iiopxx_check_span(_t371_principal_len + 2, _flick_abort1186);
                        flick_iiopxx_decode_new_glob(_t371_principal_len);
                        flick_iiopxx_decode_new_chunk(_t371_principal_len);
                        flick_iiopxx_decode_end_chunk(_t371_principal_len);
                        flick_iiopxx_decode_end_glob(_t371_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(2);
                        flick_iiopxx_decode_new_chunk(2);
                        flick_cdr_swap_decode_char8(0, _local_a, CORBA::Char );
                        flick_cdr_swap_decode_char8(1, _local_b, CORBA::Char );
                        flick_iiopxx_decode_end_chunk(2);
                        flick_iiopxx_decode_end_glob(2);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->Char(_local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t372_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t372_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1186);
                          flick_iiopxx_encode_new_glob(7, _flick_abort1186);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t372_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t372_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(3);
                                flick_cdr_encode_char8(0, _return, CORBA::Char );
                                flick_cdr_encode_char8(1, _local_b, CORBA::Char );
                                flick_cdr_encode_char8(2, _local_c, CORBA::Char );
                                flick_iiopxx_encode_end_chunk(3);
                                flick_iiopxx_encode_end_glob(7);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(7);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1192);
                                break;
                                {
                                _flick_abort1192:
                                  goto _flick_abort1186;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1193);
                                flick_iiopxx_encode_end_glob(7);
                                break;
                                {
                                _flick_abort1193:
                                  goto _flick_abort1186;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort1186:
                          goto _flick_abort1185;
                        }
                      }
                      break;
                      {
                      _flick_abort1185:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* Enum */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1164866925):
              {
                char _t373_switch_tag;

                flick_iiopxx_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t373_switch_tag, char );
                flick_iiopxx_decode_end_chunk(1);
                switch ((char )_t373_switch_tag)
                  {
                  case 0:
                    {
                      {
                        POA_test *_local_this;
                        unsigned int _t374_principal_len;
                        enum Enumeration _return;
                        enum Enumeration _local_a;
                        enum Enumeration _local_b;
                        enum Enumeration _local_c;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1195);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(7);
                        flick_cdr_swap_decode_unsigned32(3, _t374_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(7);
                        flick_iiopxx_decode_end_glob(20);
                        flick_iiopxx_check_span(_t374_principal_len, _flick_abort1195);
                        flick_iiopxx_decode_new_glob(_t374_principal_len);
                        flick_iiopxx_decode_new_chunk(_t374_principal_len);
                        flick_iiopxx_decode_end_chunk(_t374_principal_len);
                        flick_iiopxx_decode_end_glob(_t374_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiopxx_decode_new_glob(11);
                        flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                        flick_iiopxx_check_span(8, _flick_abort1195);
                        flick_cdr_swap_decode_unsigned32(0, _local_a, enum Enumeration );
                        flick_cdr_swap_decode_unsigned32(4, _local_b, enum Enumeration );
                        flick_iiopxx_decode_end_chunk(8);
                        flick_iiopxx_decode_end_glob(11);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->Enum(_local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t375_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t375_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1195);
                          flick_iiopxx_encode_new_glob(16, _flick_abort1195);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t375_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t375_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(12);
                                flick_cdr_encode_unsigned32(0, _return, enum Enumeration );
                                flick_cdr_encode_unsigned32(4, _local_b, enum Enumeration );
                                flick_cdr_encode_unsigned32(8, _local_c, enum Enumeration );
                                flick_iiopxx_encode_end_chunk(12);
                                flick_iiopxx_encode_end_glob(16);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(16);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1201);
                                break;
                                {
                                _flick_abort1201:
                                  goto _flick_abort1195;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1202);
                                flick_iiopxx_encode_end_glob(16);
                                break;
                                {
                                _flick_abort1202:
                                  goto _flick_abort1195;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort1195:
                          goto _flick_abort1194;
                        }
                      }
                      break;
                      {
                      _flick_abort1194:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          unsigned int _t376_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t376_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t376_switch_tag)
            {
            case /* USho */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1431529583):
              {
                unsigned short int _t377_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t377_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t377_switch_tag)
                  {
                  case /* rt */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29300):
                    {
                      char _t378_switch_tag;

                      flick_iiopxx_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t378_switch_tag, char );
                      flick_iiopxx_decode_end_chunk(1);
                      switch ((char )_t378_switch_tag)
                        {
                        case 0:
                          {
                            {
                              POA_test *_local_this;
                              unsigned int _t379_principal_len;
                              CORBA::UShort _return;
                              CORBA::UShort _local_a;
                              CORBA::UShort _local_b;
                              CORBA::UShort _local_c;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1204);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(5);
                              flick_cdr_swap_decode_unsigned32(1, _t379_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(5);
                              flick_iiopxx_decode_end_glob(20);
                              flick_iiopxx_check_span(_t379_principal_len, _flick_abort1204);
                              flick_iiopxx_decode_new_glob(_t379_principal_len);
                              flick_iiopxx_decode_new_chunk(_t379_principal_len);
                              flick_iiopxx_decode_end_chunk(_t379_principal_len);
                              flick_iiopxx_decode_end_glob(_t379_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiopxx_decode_new_glob(5);
                              flick_iiopxx_decode_new_chunk_align(4, 1, 0, 0);
                              flick_iiopxx_check_span(4, _flick_abort1204);
                              flick_cdr_swap_decode_unsigned16(0, _local_a, CORBA::UShort );
                              flick_cdr_swap_decode_unsigned16(2, _local_b, CORBA::UShort );
                              flick_iiopxx_decode_end_chunk(4);
                              flick_iiopxx_decode_end_glob(5);
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->UShort(_local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t380_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t380_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1204);
                                flick_iiopxx_encode_new_glob(10, _flick_abort1204);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t380_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t380_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_new_chunk(6);
                                      flick_cdr_encode_unsigned16(0, _return, CORBA::UShort );
                                      flick_cdr_encode_unsigned16(2, _local_b, CORBA::UShort );
                                      flick_cdr_encode_unsigned16(4, _local_c, CORBA::UShort );
                                      flick_iiopxx_encode_end_chunk(6);
                                      flick_iiopxx_encode_end_glob(10);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(10);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1210);
                                      break;
                                      {
                                      _flick_abort1210:
                                        goto _flick_abort1204;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1211);
                                      flick_iiopxx_encode_end_glob(10);
                                      break;
                                      {
                                      _flick_abort1211:
                                        goto _flick_abort1204;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort1204:
                                goto _flick_abort1203;
                              }
                            }
                            break;
                            {
                            _flick_abort1203:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* Stri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1400140393):
              {
                unsigned short int _t381_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t381_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t381_switch_tag)
                  {
                  case /* ng */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28263):
                    {
                      char _t382_switch_tag;

                      flick_iiopxx_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t382_switch_tag, char );
                      flick_iiopxx_decode_end_chunk(1);
                      switch ((char )_t382_switch_tag)
                        {
                        case 0:
                          {
                            {
                              POA_test *_local_this;
                              unsigned int _t383_principal_len;
                              char *_return;
                              char *_local_a;
                              flick_unsigned32_t _t384_temp_string_len;
                              char *_local_b;
                              flick_unsigned32_t _t385_temp_string_len;
                              char *_local_c;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1213);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(5);
                              flick_cdr_swap_decode_unsigned32(1, _t383_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(5);
                              flick_iiopxx_decode_end_glob(20);
                              flick_iiopxx_check_span(_t383_principal_len, _flick_abort1213);
                              flick_iiopxx_decode_new_glob(_t383_principal_len);
                              flick_iiopxx_decode_new_chunk(_t383_principal_len);
                              flick_iiopxx_decode_end_chunk(_t383_principal_len);
                              flick_iiopxx_decode_end_glob(_t383_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiopxx_decode_new_glob(7);
                              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiopxx_check_span(4, _flick_abort1213);
                              flick_cdr_swap_decode_unsigned32(0, _t384_temp_string_len, flick_unsigned32_t );
                              flick_iiopxx_decode_end_chunk(4);
                              flick_iiopxx_decode_end_glob(7);
                              flick_iiopxx_decode_new_glob(1 * _t384_temp_string_len);
                              flick_iiopxx_check_span(1 * _t384_temp_string_len, _flick_abort1213);
                              flick_iiopxx_decode_new_chunk(1 * _t384_temp_string_len);
                              flick_cdr_swap_decode_msgptr(0, _local_a, CORBA::Char *);
                              flick_iiopxx_decode_end_chunk(1 * _t384_temp_string_len);
                              flick_iiopxx_decode_end_glob(1 * _t384_temp_string_len);
                              flick_iiopxx_decode_new_glob(7);
                              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiopxx_check_span(4, _flick_abort1213);
                              flick_cdr_swap_decode_unsigned32(0, _t385_temp_string_len, flick_unsigned32_t );
                              flick_iiopxx_decode_end_chunk(4);
                              flick_iiopxx_decode_end_glob(7);
                              flick_iiopxx_decode_new_glob(1 * _t385_temp_string_len);
                              flick_iiopxx_check_span(1 * _t385_temp_string_len, _flick_abort1213);
                              flick_iiopxx_decode_new_chunk(1 * _t385_temp_string_len);
                              {
                                CORBA::Char *_t_alloc_ptr;

                                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t385_temp_string_len * sizeof(CORBA::Char )));
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1213);
                                _local_b = _t_alloc_ptr;
                              }
                              flick_cdr_swap_decode_bcopy(0, _local_b, 1 * _t385_temp_string_len);
                              flick_iiopxx_decode_end_chunk(1 * _t385_temp_string_len);
                              flick_iiopxx_decode_end_glob(1 * _t385_temp_string_len);
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->String(_local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t386_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t386_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1218);
                                flick_iiopxx_encode_new_glob(8, _flick_abort1218);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t386_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t386_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      flick_unsigned32_t _t390_temp_string_len;
                                      flick_unsigned32_t _t391_temp_string_len;
                                      flick_unsigned32_t _t392_temp_string_len;

                                      flick_cdr_stringlen(CORBA::Char *, _return, flick_unsigned32_t , _t390_temp_string_len);
                                      flick_cdr_stringlen(CORBA::Char *, _local_b, flick_unsigned32_t , _t391_temp_string_len);
                                      flick_cdr_stringlen(CORBA::Char *, _local_c, flick_unsigned32_t , _t392_temp_string_len);

                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_new_chunk(4);
                                      flick_cdr_encode_unsigned32(0, _t390_temp_string_len, flick_unsigned32_t );
                                      flick_iiopxx_encode_end_chunk(4);
                                      flick_iiopxx_encode_end_glob(8);
                                      flick_iiopxx_encode_new_glob(1 * _t390_temp_string_len, _flick_abort1229);
                                      flick_iiopxx_encode_new_chunk(1 * _t390_temp_string_len);
                                      flick_cdr_encode_bcopy(0, _return, 1 * _t390_temp_string_len);
                                      CORBA_string_flick_free(_return);
                                      _return = 0;
                                      flick_iiopxx_encode_end_chunk(1 * _t390_temp_string_len);
                                      flick_iiopxx_encode_end_glob(1 * _t390_temp_string_len);
                                      flick_iiopxx_encode_new_glob(7, _flick_abort1229);
                                      flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                      flick_cdr_encode_unsigned32(0, _t391_temp_string_len, flick_unsigned32_t );
                                      flick_iiopxx_encode_end_chunk(4);
                                      flick_iiopxx_encode_end_glob(7);
                                      flick_iiopxx_encode_new_glob(1 * _t391_temp_string_len, _flick_abort1229);
                                      flick_iiopxx_encode_new_chunk(1 * _t391_temp_string_len);
                                      flick_cdr_encode_bcopy(0, _local_b, 1 * _t391_temp_string_len);
                                      CORBA_string_flick_free(_local_b);
                                      _local_b = 0;
                                      flick_iiopxx_encode_end_chunk(1 * _t391_temp_string_len);
                                      flick_iiopxx_encode_end_glob(1 * _t391_temp_string_len);
                                      flick_iiopxx_encode_new_glob(7, _flick_abort1229);
                                      flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                      flick_cdr_encode_unsigned32(0, _t392_temp_string_len, flick_unsigned32_t );
                                      flick_iiopxx_encode_end_chunk(4);
                                      flick_iiopxx_encode_end_glob(7);
                                      flick_iiopxx_encode_new_glob(1 * _t392_temp_string_len, _flick_abort1229);
                                      flick_iiopxx_encode_new_chunk(1 * _t392_temp_string_len);
                                      flick_cdr_encode_bcopy(0, _local_c, 1 * _t392_temp_string_len);
                                      CORBA_string_flick_free(_local_c);
                                      _local_c = 0;
                                      flick_iiopxx_encode_end_chunk(1 * _t392_temp_string_len);
                                      flick_iiopxx_encode_end_glob(1 * _t392_temp_string_len);
                                      break;
                                      {
                                      _flick_abort1229:
                                        goto _flick_abort1218;
                                      }
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(8);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1236);
                                      break;
                                      {
                                      _flick_abort1236:
                                        goto _flick_abort1218;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1237);
                                      flick_iiopxx_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort1237:
                                        goto _flick_abort1218;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort1218:
                                CORBA_string_flick_free(_local_b);
                              _flick_abort1213:
                                goto _flick_abort1212;
                              }
                            }
                            break;
                            {
                            _flick_abort1212:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t393_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t393_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t393_switch_tag)
            {
            case /* Bool */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1114599276):
              {
                unsigned int _t394_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t394_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t394_switch_tag)
                  {
                  case /* ean */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1700883968):
                    {
                      {
                        POA_test *_local_this;
                        unsigned int _t395_principal_len;
                        CORBA::Boolean _return;
                        CORBA::Boolean _local_a;
                        CORBA::Boolean _local_b;
                        CORBA::Boolean _local_c;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1239);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _t395_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(20);
                        flick_iiopxx_check_span(_t395_principal_len + 2, _flick_abort1239);
                        flick_iiopxx_decode_new_glob(_t395_principal_len);
                        flick_iiopxx_decode_new_chunk(_t395_principal_len);
                        flick_iiopxx_decode_end_chunk(_t395_principal_len);
                        flick_iiopxx_decode_end_glob(_t395_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(2);
                        flick_iiopxx_decode_new_chunk(2);
                        flick_cdr_swap_decode_unsigned8(0, _local_a, CORBA::Boolean );
                        flick_cdr_swap_decode_unsigned8(1, _local_b, CORBA::Boolean );
                        flick_iiopxx_decode_end_chunk(2);
                        flick_iiopxx_decode_end_glob(2);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->Boolean(_local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t396_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t396_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1239);
                          flick_iiopxx_encode_new_glob(7, _flick_abort1239);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t396_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t396_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(3);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_cdr_encode_unsigned8(1, _local_b, CORBA::Boolean );
                                flick_cdr_encode_unsigned8(2, _local_c, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(3);
                                flick_iiopxx_encode_end_glob(7);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(7);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1245);
                                break;
                                {
                                _flick_abort1245:
                                  goto _flick_abort1239;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1246);
                                flick_iiopxx_encode_end_glob(7);
                                break;
                                {
                                _flick_abort1246:
                                  goto _flick_abort1239;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort1239:
                          goto _flick_abort1238;
                        }
                      }
                      break;
                      {
                      _flick_abort1238:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 12:
        {
          unsigned int _t397_switch_tag;

          flick_iiopxx_check_span(16, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t397_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t397_switch_tag)
            {
            case /* Fixe */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1181317221):
              {
                unsigned int _t398_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t398_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t398_switch_tag)
                  {
                  case /* dStr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1683190898):
                    {
                      unsigned int _t399_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t399_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t399_switch_tag)
                        {
                        case /* uct */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1969452032):
                          {
                            {
                              POA_test *_local_this;
                              unsigned int _t400_principal_len;
                              struct FStruct _return;
                              struct FStruct _local_a;
                              struct FStruct _local_b;
                              struct FStruct _local_c;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1248);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(4);
                              flick_cdr_swap_decode_unsigned32(0, _t400_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(4);
                              flick_iiopxx_decode_end_glob(20);
                              flick_iiopxx_check_span(_t400_principal_len, _flick_abort1248);
                              flick_iiopxx_decode_new_glob(_t400_principal_len);
                              flick_iiopxx_decode_new_chunk(_t400_principal_len);
                              flick_iiopxx_decode_end_chunk(_t400_principal_len);
                              flick_iiopxx_decode_end_glob(_t400_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiopxx_decode_new_glob(5);
                              flick_iiopxx_decode_new_chunk_align(4, 1, 0, 0);
                              flick_iiopxx_check_span(4, _flick_abort1248);
                              flick_cdr_swap_decode_signed16(0, _local_a.a, CORBA::Short );
                              flick_cdr_swap_decode_signed16(2, _local_b.a, CORBA::Short );
                              flick_iiopxx_decode_end_chunk(4);
                              flick_iiopxx_decode_end_glob(5);
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->FixedStruct(_local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t401_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t401_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1248);
                                flick_iiopxx_encode_new_glob(10, _flick_abort1248);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t401_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t401_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_new_chunk(6);
                                      flick_cdr_encode_signed16(0, _return.a, CORBA::Short );
                                      flick_cdr_encode_signed16(2, _local_b.a, CORBA::Short );
                                      flick_cdr_encode_signed16(4, _local_c.a, CORBA::Short );
                                      flick_iiopxx_encode_end_chunk(6);
                                      flick_iiopxx_encode_end_glob(10);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(10);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1254);
                                      break;
                                      {
                                      _flick_abort1254:
                                        goto _flick_abort1248;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1255);
                                      flick_iiopxx_encode_end_glob(10);
                                      break;
                                      {
                                      _flick_abort1255:
                                        goto _flick_abort1248;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort1248:
                                goto _flick_abort1247;
                              }
                            }
                            break;
                            {
                            _flick_abort1247:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* Boun */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1114600814):
              {
                unsigned int _t402_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t402_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t402_switch_tag)
                  {
                  case /* dStr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1683190898):
                    {
                      unsigned int _t403_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t403_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t403_switch_tag)
                        {
                        case /* ing */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768843008):
                          {
                            {
                              POA_test *_local_this;
                              unsigned int _t404_principal_len;
                              char *_return;
                              char *_local_a;
                              flick_unsigned32_t _t405_temp_string_len;
                              char *_local_b;
                              flick_unsigned32_t _t406_temp_string_len;
                              char *_local_c;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1257);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(4);
                              flick_cdr_swap_decode_unsigned32(0, _t404_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(4);
                              flick_iiopxx_decode_end_glob(20);
                              flick_iiopxx_check_span(_t404_principal_len, _flick_abort1257);
                              flick_iiopxx_decode_new_glob(_t404_principal_len);
                              flick_iiopxx_decode_new_chunk(_t404_principal_len);
                              flick_iiopxx_decode_end_chunk(_t404_principal_len);
                              flick_iiopxx_decode_end_glob(_t404_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiopxx_decode_new_glob(56);
                              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiopxx_check_span(4, _flick_abort1257);
                              flick_cdr_swap_decode_unsigned32(0, _t405_temp_string_len, flick_unsigned32_t );
                              if (_t405_temp_string_len > 21)
                                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1257);
                              flick_iiopxx_decode_end_chunk(4);
                              flick_iiopxx_check_span(1 * _t405_temp_string_len, _flick_abort1257);
                              flick_iiopxx_decode_new_chunk(1 * _t405_temp_string_len);
                              flick_cdr_swap_decode_msgptr(0, _local_a, CORBA::Char *);
                              flick_iiopxx_decode_end_chunk(1 * _t405_temp_string_len);
                              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiopxx_check_span(4, _flick_abort1257);
                              flick_cdr_swap_decode_unsigned32(0, _t406_temp_string_len, flick_unsigned32_t );
                              if (_t406_temp_string_len > 21)
                                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1257);
                              flick_iiopxx_decode_end_chunk(4);
                              flick_iiopxx_check_span(1 * _t406_temp_string_len, _flick_abort1257);
                              flick_iiopxx_decode_new_chunk(1 * _t406_temp_string_len);
                              {
                                CORBA::Char *_t_alloc_ptr;

                                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t406_temp_string_len * sizeof(CORBA::Char )));
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1257);
                                _local_b = _t_alloc_ptr;
                              }
                              flick_cdr_swap_decode_bcopy(0, _local_b, 1 * _t406_temp_string_len);
                              flick_iiopxx_decode_end_chunk(1 * _t406_temp_string_len);
                              flick_iiopxx_decode_end_glob(56);
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->BoundString(_local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t407_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t407_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1262);
                                flick_iiopxx_encode_new_glob(85, _flick_abort1262);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t407_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t407_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      flick_unsigned32_t _t411_temp_string_len;
                                      flick_unsigned32_t _t412_temp_string_len;
                                      flick_unsigned32_t _t413_temp_string_len;

                                      flick_cdr_stringlen(CORBA::Char *, _return, flick_unsigned32_t , _t411_temp_string_len);
                                      flick_cdr_stringlen(CORBA::Char *, _local_b, flick_unsigned32_t , _t412_temp_string_len);
                                      flick_cdr_stringlen(CORBA::Char *, _local_c, flick_unsigned32_t , _t413_temp_string_len);

                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_new_chunk(4 + 1 * _t411_temp_string_len);
                                      flick_cdr_encode_unsigned32(0, _t411_temp_string_len, flick_unsigned32_t );
                                      if (_t411_temp_string_len > 21)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1273);
                                      flick_cdr_encode_bcopy(4, _return, 1 * _t411_temp_string_len);
                                      CORBA_string_flick_free(_return);
                                      _return = 0;
                                      flick_iiopxx_encode_end_chunk(4 + 1 * _t411_temp_string_len);
                                      flick_iiopxx_encode_new_chunk_align(4 + 1 * _t412_temp_string_len, 2, 0, 0);
                                      flick_cdr_encode_unsigned32(0, _t412_temp_string_len, flick_unsigned32_t );
                                      if (_t412_temp_string_len > 21)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1273);
                                      flick_cdr_encode_bcopy(4, _local_b, 1 * _t412_temp_string_len);
                                      CORBA_string_flick_free(_local_b);
                                      _local_b = 0;
                                      flick_iiopxx_encode_end_chunk(4 + 1 * _t412_temp_string_len);
                                      flick_iiopxx_encode_new_chunk_align(4 + 1 * _t413_temp_string_len, 2, 0, 0);
                                      flick_cdr_encode_unsigned32(0, _t413_temp_string_len, flick_unsigned32_t );
                                      if (_t413_temp_string_len > 21)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1273);
                                      flick_cdr_encode_bcopy(4, _local_c, 1 * _t413_temp_string_len);
                                      CORBA_string_flick_free(_local_c);
                                      _local_c = 0;
                                      flick_iiopxx_encode_end_chunk(4 + 1 * _t413_temp_string_len);
                                      flick_iiopxx_encode_end_glob(85);
                                      break;
                                      {
                                      _flick_abort1273:
                                        goto _flick_abort1262;
                                      }
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(85);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1280);
                                      break;
                                      {
                                      _flick_abort1280:
                                        goto _flick_abort1262;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1281);
                                      flick_iiopxx_encode_end_glob(85);
                                      break;
                                      {
                                      _flick_abort1281:
                                        goto _flick_abort1262;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort1262:
                                CORBA_string_flick_free(_local_b);
                              _flick_abort1257:
                                goto _flick_abort1256;
                              }
                            }
                            break;
                            {
                            _flick_abort1256:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          unsigned int _t414_switch_tag;

          flick_iiopxx_check_span(16, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t414_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t414_switch_tag)
            {
            case /* VarS */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1449226835):
              {
                unsigned int _t415_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t415_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t415_switch_tag)
                  {
                  case /* truc */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953658211):
                    {
                      unsigned short int _t416_switch_tag;

                      flick_iiopxx_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t416_switch_tag, unsigned short int );
                      flick_iiopxx_decode_end_chunk(2);
                      switch ((unsigned short int )_t416_switch_tag)
                        {
                        case /* t */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29696):
                          {
                            {
                              POA_test *_local_this;
                              unsigned int _t417_principal_len;
                              struct VStruct *_return;
                              struct VStruct _local_a;
                              flick_unsigned32_t _t418_temp_string_len;
                              struct VStruct _local_b;
                              flick_unsigned32_t _t419_temp_string_len;
                              struct VStruct *_local_c;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1283);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t417_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(6);
                              flick_iiopxx_decode_end_glob(20);
                              flick_iiopxx_check_span(_t417_principal_len, _flick_abort1283);
                              flick_iiopxx_decode_new_glob(_t417_principal_len);
                              flick_iiopxx_decode_new_chunk(_t417_principal_len);
                              flick_iiopxx_decode_end_chunk(_t417_principal_len);
                              flick_iiopxx_decode_end_glob(_t417_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiopxx_decode_new_glob(7);
                              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiopxx_check_span(4, _flick_abort1283);
                              flick_cdr_swap_decode_unsigned32(0, _t418_temp_string_len, flick_unsigned32_t );
                              flick_iiopxx_decode_end_chunk(4);
                              flick_iiopxx_decode_end_glob(7);
                              flick_iiopxx_decode_new_glob(1 * _t418_temp_string_len);
                              flick_iiopxx_check_span(1 * _t418_temp_string_len, _flick_abort1283);
                              flick_iiopxx_decode_new_chunk(1 * _t418_temp_string_len);
                              {
                                CORBA::Char *_t_alloc_ptr;

                                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t418_temp_string_len * sizeof(CORBA::Char )));
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1283);
                                _local_a.a = _t_alloc_ptr;
                              }
                              flick_cdr_swap_decode_bcopy(0, _local_a.a, 1 * _t418_temp_string_len);
                              flick_iiopxx_decode_end_chunk(1 * _t418_temp_string_len);
                              flick_iiopxx_decode_end_glob(1 * _t418_temp_string_len);
                              flick_iiopxx_decode_new_glob(7);
                              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiopxx_check_span(4, _flick_abort1283);
                              flick_cdr_swap_decode_unsigned32(0, _t419_temp_string_len, flick_unsigned32_t );
                              flick_iiopxx_decode_end_chunk(4);
                              flick_iiopxx_decode_end_glob(7);
                              flick_iiopxx_decode_new_glob(1 * _t419_temp_string_len);
                              flick_iiopxx_check_span(1 * _t419_temp_string_len, _flick_abort1283);
                              flick_iiopxx_decode_new_chunk(1 * _t419_temp_string_len);
                              {
                                CORBA::Char *_t_alloc_ptr;

                                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t419_temp_string_len * sizeof(CORBA::Char )));
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1283);
                                _local_b.a = _t_alloc_ptr;
                              }
                              flick_cdr_swap_decode_bcopy(0, _local_b.a, 1 * _t419_temp_string_len);
                              flick_iiopxx_decode_end_chunk(1 * _t419_temp_string_len);
                              flick_iiopxx_decode_end_glob(1 * _t419_temp_string_len);
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->VarStruct(_local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t420_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t420_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1283);
                                flick_iiopxx_encode_new_glob(8, _flick_abort1283);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t420_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t420_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      flick_unsigned32_t _t424_temp_string_len;
                                      flick_unsigned32_t _t425_temp_string_len;
                                      flick_unsigned32_t _t426_temp_string_len;

                                      flick_cdr_stringlen(CORBA::Char *, _return->a, flick_unsigned32_t , _t424_temp_string_len);
                                      flick_cdr_stringlen(CORBA::Char *, _local_b.a, flick_unsigned32_t , _t425_temp_string_len);
                                      flick_cdr_stringlen(CORBA::Char *, _local_c->a, flick_unsigned32_t , _t426_temp_string_len);

                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_new_chunk(4);
                                      flick_cdr_encode_unsigned32(0, _t424_temp_string_len, flick_unsigned32_t );
                                      flick_iiopxx_encode_end_chunk(4);
                                      flick_iiopxx_encode_end_glob(8);
                                      flick_iiopxx_encode_new_glob(1 * _t424_temp_string_len, _flick_abort1298);
                                      flick_iiopxx_encode_new_chunk(1 * _t424_temp_string_len);
                                      flick_cdr_encode_bcopy(0, _return->a, 1 * _t424_temp_string_len);
                                      flick_iiopxx_encode_end_chunk(1 * _t424_temp_string_len);
                                      flick_iiopxx_encode_end_glob(1 * _t424_temp_string_len);
                                      delete _return;
                                      _return = 0;
                                      flick_iiopxx_encode_new_glob(7, _flick_abort1298);
                                      flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                      flick_cdr_encode_unsigned32(0, _t425_temp_string_len, flick_unsigned32_t );
                                      flick_iiopxx_encode_end_chunk(4);
                                      flick_iiopxx_encode_end_glob(7);
                                      flick_iiopxx_encode_new_glob(1 * _t425_temp_string_len, _flick_abort1298);
                                      flick_iiopxx_encode_new_chunk(1 * _t425_temp_string_len);
                                      flick_cdr_encode_bcopy(0, _local_b.a, 1 * _t425_temp_string_len);
                                      flick_iiopxx_encode_end_chunk(1 * _t425_temp_string_len);
                                      flick_iiopxx_encode_end_glob(1 * _t425_temp_string_len);
                                      flick_iiopxx_encode_new_glob(7, _flick_abort1298);
                                      flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                      flick_cdr_encode_unsigned32(0, _t426_temp_string_len, flick_unsigned32_t );
                                      flick_iiopxx_encode_end_chunk(4);
                                      flick_iiopxx_encode_end_glob(7);
                                      flick_iiopxx_encode_new_glob(1 * _t426_temp_string_len, _flick_abort1298);
                                      flick_iiopxx_encode_new_chunk(1 * _t426_temp_string_len);
                                      flick_cdr_encode_bcopy(0, _local_c->a, 1 * _t426_temp_string_len);
                                      flick_iiopxx_encode_end_chunk(1 * _t426_temp_string_len);
                                      flick_iiopxx_encode_end_glob(1 * _t426_temp_string_len);
                                      delete _local_c;
                                      _local_c = 0;
                                      break;
                                      {
                                      _flick_abort1298:
                                        goto _flick_abort1283;
                                      }
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(8);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1305);
                                      break;
                                      {
                                      _flick_abort1305:
                                        goto _flick_abort1283;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1306);
                                      flick_iiopxx_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort1306:
                                        goto _flick_abort1283;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort1283:
                                goto _flick_abort1282;
                              }
                            }
                            break;
                            {
                            _flick_abort1282:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          unsigned int _t427_switch_tag;

          flick_iiopxx_check_span(16, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t427_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t427_switch_tag)
            {
            case /* Fixe */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1181317221):
              {
                unsigned int _t428_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t428_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t428_switch_tag)
                  {
                  case /* dUni */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1683320425):
                    {
                      unsigned short int _t429_switch_tag;

                      flick_iiopxx_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t429_switch_tag, unsigned short int );
                      flick_iiopxx_decode_end_chunk(2);
                      switch ((unsigned short int )_t429_switch_tag)
                        {
                        case /* on */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28526):
                          {
                            char _t430_switch_tag;

                            flick_iiopxx_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t430_switch_tag, char );
                            flick_iiopxx_decode_end_chunk(1);
                            switch ((char )_t430_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    POA_test *_local_this;
                                    unsigned int _t431_principal_len;
                                    FUnion _return;
                                    FUnion _local_a;
                                    FUnion _local_b;
                                    FUnion _local_c;
                                    CORBA::Environment _ev;

                                    flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1308);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_iiopxx_decode_new_chunk(5);
                                    flick_cdr_swap_decode_unsigned32(1, _t431_principal_len, unsigned int );
                                    flick_iiopxx_decode_end_chunk(5);
                                    flick_iiopxx_decode_end_glob(20);
                                    flick_iiopxx_check_span(_t431_principal_len, _flick_abort1308);
                                    flick_iiopxx_decode_new_glob(_t431_principal_len);
                                    flick_iiopxx_decode_new_chunk(_t431_principal_len);
                                    flick_iiopxx_decode_end_chunk(_t431_principal_len);
                                    flick_iiopxx_decode_end_glob(_t431_principal_len);
                                    /* Begin decode phase on parameters */
                                    flick_iiopxx_decode_new_glob(22);
                                    flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_iiopxx_check_span(5, _flick_abort1308);
                                    flick_cdr_swap_decode_signed32(0, _local_a.disc_, CORBA::Long );
                                    flick_iiopxx_decode_end_chunk(4);
                                    switch (_local_a.disc_)
                                      {
                                      case 1:
                                        {
                                          flick_iiopxx_check_span(4, _flick_abort1312);
                                          flick_iiopxx_decode_new_chunk(4);
                                          flick_cdr_swap_decode_signed32(0, _local_a._u.x, CORBA::Long );
                                          flick_iiopxx_decode_end_chunk(4);
                                          break;
                                          {
                                          _flick_abort1312:
                                            goto _flick_abort1308;
                                          }
                                        }
                                      default:
                                        {
                                          flick_iiopxx_decode_new_chunk(1);
                                          flick_cdr_swap_decode_char8(0, _local_a._u.z, CORBA::Char );
                                          flick_iiopxx_decode_end_chunk(1);
                                          break;
                                          {
                                            goto _flick_abort1308;
                                          }
                                        }
                                      }
                                    flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_iiopxx_check_span(5, _flick_abort1308);
                                    flick_cdr_swap_decode_signed32(0, _local_b.disc_, CORBA::Long );
                                    flick_iiopxx_decode_end_chunk(4);
                                    switch (_local_b.disc_)
                                      {
                                      case 1:
                                        {
                                          flick_iiopxx_check_span(4, _flick_abort1317);
                                          flick_iiopxx_decode_new_chunk(4);
                                          flick_cdr_swap_decode_signed32(0, _local_b._u.x, CORBA::Long );
                                          flick_iiopxx_decode_end_chunk(4);
                                          break;
                                          {
                                          _flick_abort1317:
                                            goto _flick_abort1308;
                                          }
                                        }
                                      default:
                                        {
                                          flick_iiopxx_decode_new_chunk(1);
                                          flick_cdr_swap_decode_char8(0, _local_b._u.z, CORBA::Char );
                                          flick_iiopxx_decode_end_chunk(1);
                                          break;
                                          {
                                            goto _flick_abort1308;
                                          }
                                        }
                                      }
                                    flick_iiopxx_decode_end_glob(22);
                                    flick_iiopxx_server_end_decode();
                                    flick_corbaxx_init_environment();
                                    _return = _local_this->FixedUnion(_local_a, _local_b, _local_c, _ev);
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_iiopxx_server_start_encode();
                                    {
                                      int _t432_temp_major;

                                      flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t432_temp_major);

                                      flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1308);
                                      flick_iiopxx_encode_new_glob(34, _flick_abort1308);
                                      flick_iiopxx_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _t432_temp_major, int );
                                      flick_iiopxx_encode_end_chunk(4);
                                      switch (_t432_temp_major)
                                        {
                                        case CORBA::NO_EXCEPTION:
                                          {
                                            /* Begin encode phase on parameters */
                                            flick_iiopxx_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _return.disc_, CORBA::Long );
                                            flick_iiopxx_encode_end_chunk(4);
                                            switch (_return.disc_)
                                              {
                                              case 1:
                                                {
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _return._u.x, CORBA::Long );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_iiopxx_encode_new_chunk(1);
                                                  flick_cdr_encode_char8(0, _return._u.z, CORBA::Char );
                                                  flick_iiopxx_encode_end_chunk(1);
                                                  break;
                                                }
                                              }
                                            flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                            flick_cdr_encode_signed32(0, _local_b.disc_, CORBA::Long );
                                            flick_iiopxx_encode_end_chunk(4);
                                            switch (_local_b.disc_)
                                              {
                                              case 1:
                                                {
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _local_b._u.x, CORBA::Long );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_iiopxx_encode_new_chunk(1);
                                                  flick_cdr_encode_char8(0, _local_b._u.z, CORBA::Char );
                                                  flick_iiopxx_encode_end_chunk(1);
                                                  break;
                                                }
                                              }
                                            flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                            flick_cdr_encode_signed32(0, _local_c.disc_, CORBA::Long );
                                            flick_iiopxx_encode_end_chunk(4);
                                            switch (_local_c.disc_)
                                              {
                                              case 1:
                                                {
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _local_c._u.x, CORBA::Long );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_iiopxx_encode_new_chunk(1);
                                                  flick_cdr_encode_char8(0, _local_c._u.z, CORBA::Char );
                                                  flick_iiopxx_encode_end_chunk(1);
                                                  break;
                                                }
                                              }
                                            flick_iiopxx_encode_end_glob(34);
                                            break;
                                          }
                                        case CORBA::SYSTEM_EXCEPTION:
                                          {
                                            flick_iiopxx_encode_end_glob(34);
                                            flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1354);
                                            break;
                                            {
                                            _flick_abort1354:
                                              goto _flick_abort1308;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1355);
                                            flick_iiopxx_encode_end_glob(34);
                                            break;
                                            {
                                            _flick_abort1355:
                                              goto _flick_abort1308;
                                            }
                                          }
                                        }
                                    }
                                    flick_iiopxx_server_end_encode();
                                    break;
                                    {
                                    _flick_abort1308:
                                      goto _flick_abort1307;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort1307:
                                    goto _flick_abort5;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                                  flick_iiopxx_decode_end_glob(20);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          unsigned int _t433_switch_tag;

          flick_iiopxx_check_span(16, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t433_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t433_switch_tag)
            {
            case /* VarU */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1449226837):
              {
                unsigned int _t434_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t434_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t434_switch_tag)
                  {
                  case /* nion */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1852403566):
                    {
                      char _t435_switch_tag;

                      flick_iiopxx_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t435_switch_tag, char );
                      flick_iiopxx_decode_end_chunk(1);
                      switch ((char )_t435_switch_tag)
                        {
                        case 0:
                          {
                            {
                              POA_test *_local_this;
                              unsigned int _t436_principal_len;
                              VUnion *_return;
                              VUnion _local_a;
                              VUnion _local_b;
                              VUnion *_local_c;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1357);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(7);
                              flick_cdr_swap_decode_unsigned32(3, _t436_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(7);
                              flick_iiopxx_decode_end_glob(20);
                              flick_iiopxx_check_span(_t436_principal_len, _flick_abort1357);
                              flick_iiopxx_decode_new_glob(_t436_principal_len);
                              flick_iiopxx_decode_new_chunk(_t436_principal_len);
                              flick_iiopxx_decode_end_chunk(_t436_principal_len);
                              flick_iiopxx_decode_end_glob(_t436_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiopxx_decode_new_glob(11);
                              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiopxx_check_span(5, _flick_abort1357);
                              flick_cdr_swap_decode_signed32(0, _local_a.disc_, CORBA::Long );
                              flick_iiopxx_decode_end_chunk(4);
                              switch (_local_a.disc_)
                                {
                                case 1:
                                  {
                                    flick_unsigned32_t _t438_temp_string_len;

                                    flick_iiopxx_check_span(4, _flick_abort1363);
                                    flick_iiopxx_decode_new_chunk(4);
                                    flick_cdr_swap_decode_unsigned32(0, _t438_temp_string_len, flick_unsigned32_t );
                                    flick_iiopxx_decode_end_chunk(4);
                                    flick_iiopxx_decode_end_glob(11);
                                    flick_iiopxx_decode_new_glob(1 * _t438_temp_string_len);
                                    flick_iiopxx_check_span(1 * _t438_temp_string_len, _flick_abort1363);
                                    flick_iiopxx_decode_new_chunk(1 * _t438_temp_string_len);
                                    {
                                      CORBA::Char *_t_alloc_ptr;

                                      _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t438_temp_string_len * sizeof(CORBA::Char )));
                                      if (!_t_alloc_ptr)
                                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1363);
                                      _local_a._u.a = _t_alloc_ptr;
                                    }
                                    flick_cdr_swap_decode_bcopy(0, _local_a._u.a, 1 * _t438_temp_string_len);
                                    flick_iiopxx_decode_end_chunk(1 * _t438_temp_string_len);
                                    flick_iiopxx_decode_end_glob(1 * _t438_temp_string_len);
                                    break;
                                    {
                                    _flick_abort1363:
                                      goto _flick_abort1357;
                                    }
                                  }
                                default:
                                  {
                                    flick_iiopxx_decode_new_chunk(1);
                                    flick_cdr_swap_decode_char8(0, _local_a._u.z, CORBA::Char );
                                    flick_iiopxx_decode_end_chunk(1);
                                    flick_iiopxx_decode_end_glob(11);
                                    break;
                                    {
                                      goto _flick_abort1357;
                                    }
                                  }
                                }
                              flick_iiopxx_decode_new_glob(11);
                              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiopxx_check_span(5, _flick_abort1357);
                              flick_cdr_swap_decode_signed32(0, _local_b.disc_, CORBA::Long );
                              flick_iiopxx_decode_end_chunk(4);
                              switch (_local_b.disc_)
                                {
                                case 1:
                                  {
                                    flick_unsigned32_t _t440_temp_string_len;

                                    flick_iiopxx_check_span(4, _flick_abort1372);
                                    flick_iiopxx_decode_new_chunk(4);
                                    flick_cdr_swap_decode_unsigned32(0, _t440_temp_string_len, flick_unsigned32_t );
                                    flick_iiopxx_decode_end_chunk(4);
                                    flick_iiopxx_decode_end_glob(11);
                                    flick_iiopxx_decode_new_glob(1 * _t440_temp_string_len);
                                    flick_iiopxx_check_span(1 * _t440_temp_string_len, _flick_abort1372);
                                    flick_iiopxx_decode_new_chunk(1 * _t440_temp_string_len);
                                    {
                                      CORBA::Char *_t_alloc_ptr;

                                      _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t440_temp_string_len * sizeof(CORBA::Char )));
                                      if (!_t_alloc_ptr)
                                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort1372);
                                      _local_b._u.a = _t_alloc_ptr;
                                    }
                                    flick_cdr_swap_decode_bcopy(0, _local_b._u.a, 1 * _t440_temp_string_len);
                                    flick_iiopxx_decode_end_chunk(1 * _t440_temp_string_len);
                                    flick_iiopxx_decode_end_glob(1 * _t440_temp_string_len);
                                    break;
                                    {
                                    _flick_abort1372:
                                      goto _flick_abort1357;
                                    }
                                  }
                                default:
                                  {
                                    flick_iiopxx_decode_new_chunk(1);
                                    flick_cdr_swap_decode_char8(0, _local_b._u.z, CORBA::Char );
                                    flick_iiopxx_decode_end_chunk(1);
                                    flick_iiopxx_decode_end_glob(11);
                                    break;
                                    {
                                      goto _flick_abort1357;
                                    }
                                  }
                                }
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->VarUnion(_local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t441_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t441_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1357);
                                flick_iiopxx_encode_new_glob(12, _flick_abort1357);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t441_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t441_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _return->disc_, CORBA::Long );
                                      flick_iiopxx_encode_end_chunk(4);
                                      switch (_return->disc_)
                                        {
                                        case 1:
                                          {
                                            flick_unsigned32_t _t449_temp_string_len;

                                            flick_cdr_stringlen(CORBA::Char *, _return->_u.a, flick_unsigned32_t , _t449_temp_string_len);

                                            flick_iiopxx_encode_new_chunk(4);
                                            flick_cdr_encode_unsigned32(0, _t449_temp_string_len, flick_unsigned32_t );
                                            flick_iiopxx_encode_end_chunk(4);
                                            flick_iiopxx_encode_end_glob(12);
                                            flick_iiopxx_encode_new_glob(1 * _t449_temp_string_len, _flick_abort1413);
                                            flick_iiopxx_encode_new_chunk(1 * _t449_temp_string_len);
                                            flick_cdr_encode_bcopy(0, _return->_u.a, 1 * _t449_temp_string_len);
                                            flick_iiopxx_encode_end_chunk(1 * _t449_temp_string_len);
                                            flick_iiopxx_encode_end_glob(1 * _t449_temp_string_len);
                                            break;
                                            {
                                            _flick_abort1413:
                                              goto _flick_abort1407;
                                            }
                                          }
                                        default:
                                          {
                                            flick_iiopxx_encode_new_chunk(1);
                                            flick_cdr_encode_char8(0, _return->_u.z, CORBA::Char );
                                            flick_iiopxx_encode_end_chunk(1);
                                            flick_iiopxx_encode_end_glob(12);
                                            break;
                                          }
                                        }
                                      delete _return;
                                      _return = 0;
                                      flick_iiopxx_encode_new_glob(11, _flick_abort1407);
                                      flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                      flick_cdr_encode_signed32(0, _local_b.disc_, CORBA::Long );
                                      flick_iiopxx_encode_end_chunk(4);
                                      switch (_local_b.disc_)
                                        {
                                        case 1:
                                          {
                                            flick_unsigned32_t _t451_temp_string_len;

                                            flick_cdr_stringlen(CORBA::Char *, _local_b._u.a, flick_unsigned32_t , _t451_temp_string_len);

                                            flick_iiopxx_encode_new_chunk(4);
                                            flick_cdr_encode_unsigned32(0, _t451_temp_string_len, flick_unsigned32_t );
                                            flick_iiopxx_encode_end_chunk(4);
                                            flick_iiopxx_encode_end_glob(11);
                                            flick_iiopxx_encode_new_glob(1 * _t451_temp_string_len, _flick_abort1422);
                                            flick_iiopxx_encode_new_chunk(1 * _t451_temp_string_len);
                                            flick_cdr_encode_bcopy(0, _local_b._u.a, 1 * _t451_temp_string_len);
                                            flick_iiopxx_encode_end_chunk(1 * _t451_temp_string_len);
                                            flick_iiopxx_encode_end_glob(1 * _t451_temp_string_len);
                                            break;
                                            {
                                            _flick_abort1422:
                                              goto _flick_abort1407;
                                            }
                                          }
                                        default:
                                          {
                                            flick_iiopxx_encode_new_chunk(1);
                                            flick_cdr_encode_char8(0, _local_b._u.z, CORBA::Char );
                                            flick_iiopxx_encode_end_chunk(1);
                                            flick_iiopxx_encode_end_glob(11);
                                            break;
                                          }
                                        }
                                      flick_iiopxx_encode_new_glob(11, _flick_abort1407);
                                      flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                      flick_cdr_encode_signed32(0, _local_c->disc_, CORBA::Long );
                                      flick_iiopxx_encode_end_chunk(4);
                                      switch (_local_c->disc_)
                                        {
                                        case 1:
                                          {
                                            flick_unsigned32_t _t453_temp_string_len;

                                            flick_cdr_stringlen(CORBA::Char *, _local_c->_u.a, flick_unsigned32_t , _t453_temp_string_len);

                                            flick_iiopxx_encode_new_chunk(4);
                                            flick_cdr_encode_unsigned32(0, _t453_temp_string_len, flick_unsigned32_t );
                                            flick_iiopxx_encode_end_chunk(4);
                                            flick_iiopxx_encode_end_glob(11);
                                            flick_iiopxx_encode_new_glob(1 * _t453_temp_string_len, _flick_abort1431);
                                            flick_iiopxx_encode_new_chunk(1 * _t453_temp_string_len);
                                            flick_cdr_encode_bcopy(0, _local_c->_u.a, 1 * _t453_temp_string_len);
                                            flick_iiopxx_encode_end_chunk(1 * _t453_temp_string_len);
                                            flick_iiopxx_encode_end_glob(1 * _t453_temp_string_len);
                                            break;
                                            {
                                            _flick_abort1431:
                                              goto _flick_abort1407;
                                            }
                                          }
                                        default:
                                          {
                                            flick_iiopxx_encode_new_chunk(1);
                                            flick_cdr_encode_char8(0, _local_c->_u.z, CORBA::Char );
                                            flick_iiopxx_encode_end_chunk(1);
                                            flick_iiopxx_encode_end_glob(11);
                                            break;
                                          }
                                        }
                                      delete _local_c;
                                      _local_c = 0;
                                      break;
                                      {
                                      _flick_abort1407:
                                        goto _flick_abort1357;
                                      }
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(12);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1435);
                                      break;
                                      {
                                      _flick_abort1435:
                                        goto _flick_abort1357;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1436);
                                      flick_iiopxx_encode_end_glob(12);
                                      break;
                                      {
                                      _flick_abort1436:
                                        goto _flick_abort1357;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort1357:
                                goto _flick_abort1356;
                              }
                            }
                            break;
                            {
                            _flick_abort1356:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* Sequ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1399157109):
              {
                unsigned int _t454_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t454_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t454_switch_tag)
                  {
                  case /* ence */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701733221):
                    {
                      char _t455_switch_tag;

                      flick_iiopxx_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t455_switch_tag, char );
                      flick_iiopxx_decode_end_chunk(1);
                      switch ((char )_t455_switch_tag)
                        {
                        case 0:
                          {
                            {
                              POA_test *_local_this;
                              unsigned int _t456_principal_len;
                              ::test::seq *_return;
                              ::test::seq _local_a;
                              CORBA::ULong _t457_array_iter;
                              ::test::seq _local_b;
                              CORBA::ULong _t458_array_iter;
                              ::test::seq *_local_c;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort1438);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(7);
                              flick_cdr_swap_decode_unsigned32(3, _t456_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(7);
                              flick_iiopxx_decode_end_glob(20);
                              flick_iiopxx_check_span(_t456_principal_len, _flick_abort1438);
                              flick_iiopxx_decode_new_glob(_t456_principal_len);
                              flick_iiopxx_decode_new_chunk(_t456_principal_len);
                              flick_iiopxx_decode_end_chunk(_t456_principal_len);
                              flick_iiopxx_decode_end_glob(_t456_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiopxx_decode_new_glob(91);
                              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiopxx_check_span(4, _flick_abort1438);
                              flick_cdr_swap_decode_unsigned32(0, _local_a._length, CORBA::ULong );
                              flick_iiopxx_decode_end_chunk(4);
                              if (_local_a._length > 10)
                                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1438);
                              flick_iiopxx_check_span(_local_a._length * 4 + 4, _flick_abort1438);
                              for (_t457_array_iter = 0; _t457_array_iter < _local_a._length; _t457_array_iter++)
                                {
                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_swap_decode_signed32(0, _local_a._buffer[_t457_array_iter], CORBA::Long );
                                  flick_iiopxx_decode_end_chunk(4);
                                  continue;
                                }
                              flick_iiopxx_decode_new_chunk(4);
                              flick_cdr_swap_decode_unsigned32(0, _local_b._length, CORBA::ULong );
                              flick_iiopxx_decode_end_chunk(4);
                              if (_local_b._length > 10)
                                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1438);
                              flick_iiopxx_check_span(_local_b._length * 4, _flick_abort1438);
                              for (_t458_array_iter = 0; _t458_array_iter < _local_b._length; _t458_array_iter++)
                                {
                                  flick_iiopxx_decode_new_chunk(4);
                                  flick_cdr_swap_decode_signed32(0, _local_b._buffer[_t458_array_iter], CORBA::Long );
                                  flick_iiopxx_decode_end_chunk(4);
                                  continue;
                                }
                              flick_iiopxx_decode_end_glob(91);
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->Sequence(_local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t459_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t459_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort1438);
                                flick_iiopxx_encode_new_glob(136, _flick_abort1438);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t459_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t459_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_new_chunk(4 + 4 * _return->_length);
                                      flick_cdr_encode_unsigned32(0, _return->_length, CORBA::ULong );
                                      if (_return->_length > 10)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1459);
                                      flick_cdr_encode_bcopy(4, _return->_buffer, 4 * _return->_length);
                                      flick_iiopxx_encode_end_chunk(4 + 4 * _return->_length);
                                      delete _return;
                                      _return = 0;
                                      flick_iiopxx_encode_new_chunk(4 + 4 * _local_b._length);
                                      flick_cdr_encode_unsigned32(0, _local_b._length, CORBA::ULong );
                                      if (_local_b._length > 10)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1459);
                                      flick_cdr_encode_bcopy(4, _local_b._buffer, 4 * _local_b._length);
                                      flick_iiopxx_encode_end_chunk(4 + 4 * _local_b._length);
                                      flick_iiopxx_encode_new_chunk(4 + 4 * _local_c->_length);
                                      flick_cdr_encode_unsigned32(0, _local_c->_length, CORBA::ULong );
                                      if (_local_c->_length > 10)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1459);
                                      flick_cdr_encode_bcopy(4, _local_c->_buffer, 4 * _local_c->_length);
                                      flick_iiopxx_encode_end_chunk(4 + 4 * _local_c->_length);
                                      delete _local_c;
                                      _local_c = 0;
                                      flick_iiopxx_encode_end_glob(136);
                                      break;
                                      {
                                      _flick_abort1459:
                                        goto _flick_abort1438;
                                      }
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(136);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort1466);
                                      break;
                                      {
                                      _flick_abort1466:
                                        goto _flick_abort1438;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1467);
                                      flick_iiopxx_encode_end_glob(136);
                                      break;
                                      {
                                      _flick_abort1467:
                                        goto _flick_abort1438;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort1438:
                                goto _flick_abort1437;
                              }
                            }
                            break;
                            {
                            _flick_abort1437:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
          flick_iiopxx_decode_end_glob(20);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t113_switch_tag;

    flick_iiopxx_decode_new_glob(20);
    flick_iiopxx_check_span(16, _flick_abort5);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t113_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t113_switch_tag)
      {
      case (unsigned int) 6:
        {
          unsigned int _t114_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t114_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t114_switch_tag)
            {
            case /* Shor */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1399353202):
              {
                unsigned short int _t115_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t115_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t115_switch_tag)
                  {
                  case /* t */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29696):
                    {
                      {
                        POA_test *_local_this;
                        unsigned int _t116_principal_len;
                        CORBA::Short _return;
                        CORBA::Short _local_a;
                        CORBA::Short _local_b;
                        CORBA::Short _local_c;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort367);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t116_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(20);
                        flick_iiopxx_check_span(_t116_principal_len, _flick_abort367);
                        flick_iiopxx_decode_new_glob(_t116_principal_len);
                        flick_iiopxx_decode_new_chunk(_t116_principal_len);
                        flick_iiopxx_decode_end_chunk(_t116_principal_len);
                        flick_iiopxx_decode_end_glob(_t116_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(5);
                        flick_iiopxx_decode_new_chunk_align(4, 1, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort367);
                        flick_cdr_decode_signed16(0, _local_a, CORBA::Short );
                        flick_cdr_decode_signed16(2, _local_b, CORBA::Short );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(5);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->Short(_local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t117_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t117_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort367);
                          flick_iiopxx_encode_new_glob(10, _flick_abort367);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t117_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t117_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(6);
                                flick_cdr_encode_signed16(0, _return, CORBA::Short );
                                flick_cdr_encode_signed16(2, _local_b, CORBA::Short );
                                flick_cdr_encode_signed16(4, _local_c, CORBA::Short );
                                flick_iiopxx_encode_end_chunk(6);
                                flick_iiopxx_encode_end_glob(10);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(10);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort373);
                                break;
                                {
                                _flick_abort373:
                                  goto _flick_abort367;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort374);
                                flick_iiopxx_encode_end_glob(10);
                                break;
                                {
                                _flick_abort374:
                                  goto _flick_abort367;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort367:
                          goto _flick_abort366;
                        }
                      }
                      break;
                      {
                      _flick_abort366:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* ULon */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1431072622):
              {
                unsigned short int _t118_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t118_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t118_switch_tag)
                  {
                  case /* g */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 26368):
                    {
                      {
                        POA_test *_local_this;
                        unsigned int _t119_principal_len;
                        CORBA::ULong _return;
                        CORBA::ULong _local_a;
                        CORBA::ULong _local_b;
                        CORBA::ULong _local_c;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort376);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t119_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(20);
                        flick_iiopxx_check_span(_t119_principal_len, _flick_abort376);
                        flick_iiopxx_decode_new_glob(_t119_principal_len);
                        flick_iiopxx_decode_new_chunk(_t119_principal_len);
                        flick_iiopxx_decode_end_chunk(_t119_principal_len);
                        flick_iiopxx_decode_end_glob(_t119_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(11);
                        flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                        flick_iiopxx_check_span(8, _flick_abort376);
                        flick_cdr_decode_unsigned32(0, _local_a, CORBA::ULong );
                        flick_cdr_decode_unsigned32(4, _local_b, CORBA::ULong );
                        flick_iiopxx_decode_end_chunk(8);
                        flick_iiopxx_decode_end_glob(11);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->ULong(_local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t120_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t120_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort376);
                          flick_iiopxx_encode_new_glob(16, _flick_abort376);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t120_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t120_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(12);
                                flick_cdr_encode_unsigned32(0, _return, CORBA::ULong );
                                flick_cdr_encode_unsigned32(4, _local_b, CORBA::ULong );
                                flick_cdr_encode_unsigned32(8, _local_c, CORBA::ULong );
                                flick_iiopxx_encode_end_chunk(12);
                                flick_iiopxx_encode_end_glob(16);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(16);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort382);
                                break;
                                {
                                _flick_abort382:
                                  goto _flick_abort376;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort383);
                                flick_iiopxx_encode_end_glob(16);
                                break;
                                {
                                _flick_abort383:
                                  goto _flick_abort376;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort376:
                          goto _flick_abort375;
                        }
                      }
                      break;
                      {
                      _flick_abort375:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* Floa */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1181511521):
              {
                unsigned short int _t121_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t121_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t121_switch_tag)
                  {
                  case /* t */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29696):
                    {
                      {
                        POA_test *_local_this;
                        unsigned int _t122_principal_len;
                        CORBA::Float _return;
                        CORBA::Float _local_a;
                        CORBA::Float _local_b;
                        CORBA::Float _local_c;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort385);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t122_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(20);
                        flick_iiopxx_check_span(_t122_principal_len, _flick_abort385);
                        flick_iiopxx_decode_new_glob(_t122_principal_len);
                        flick_iiopxx_decode_new_chunk(_t122_principal_len);
                        flick_iiopxx_decode_end_chunk(_t122_principal_len);
                        flick_iiopxx_decode_end_glob(_t122_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0.000000;
                        flick_iiopxx_decode_new_glob(11);
                        flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                        flick_iiopxx_check_span(8, _flick_abort385);
                        flick_cdr_decode_float32(0, _local_a, CORBA::Float );
                        flick_cdr_decode_float32(4, _local_b, CORBA::Float );
                        flick_iiopxx_decode_end_chunk(8);
                        flick_iiopxx_decode_end_glob(11);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->Float(_local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t123_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t123_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort385);
                          flick_iiopxx_encode_new_glob(16, _flick_abort385);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t123_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t123_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(12);
                                flick_cdr_encode_float32(0, _return, CORBA::Float );
                                flick_cdr_encode_float32(4, _local_b, CORBA::Float );
                                flick_cdr_encode_float32(8, _local_c, CORBA::Float );
                                flick_iiopxx_encode_end_chunk(12);
                                flick_iiopxx_encode_end_glob(16);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(16);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort391);
                                break;
                                {
                                _flick_abort391:
                                  goto _flick_abort385;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort392);
                                flick_iiopxx_encode_end_glob(16);
                                break;
                                {
                                _flick_abort392:
                                  goto _flick_abort385;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort385:
                          goto _flick_abort384;
                        }
                      }
                      break;
                      {
                      _flick_abort384:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* Octe */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1331917925):
              {
                unsigned short int _t124_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t124_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t124_switch_tag)
                  {
                  case /* t */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29696):
                    {
                      {
                        POA_test *_local_this;
                        unsigned int _t125_principal_len;
                        CORBA::Octet _return;
                        CORBA::Octet _local_a;
                        CORBA::Octet _local_b;
                        CORBA::Octet _local_c;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort394);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t125_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(20);
                        flick_iiopxx_check_span(_t125_principal_len + 2, _flick_abort394);
                        flick_iiopxx_decode_new_glob(_t125_principal_len);
                        flick_iiopxx_decode_new_chunk(_t125_principal_len);
                        flick_iiopxx_decode_end_chunk(_t125_principal_len);
                        flick_iiopxx_decode_end_glob(_t125_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(2);
                        flick_iiopxx_decode_new_chunk(2);
                        flick_cdr_decode_unsigned8(0, _local_a, CORBA::Octet );
                        flick_cdr_decode_unsigned8(1, _local_b, CORBA::Octet );
                        flick_iiopxx_decode_end_chunk(2);
                        flick_iiopxx_decode_end_glob(2);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->Octet(_local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t126_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t126_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort394);
                          flick_iiopxx_encode_new_glob(7, _flick_abort394);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t126_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t126_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(3);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Octet );
                                flick_cdr_encode_unsigned8(1, _local_b, CORBA::Octet );
                                flick_cdr_encode_unsigned8(2, _local_c, CORBA::Octet );
                                flick_iiopxx_encode_end_chunk(3);
                                flick_iiopxx_encode_end_glob(7);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(7);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort400);
                                break;
                                {
                                _flick_abort400:
                                  goto _flick_abort394;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort401);
                                flick_iiopxx_encode_end_glob(7);
                                break;
                                {
                                _flick_abort401:
                                  goto _flick_abort394;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort394:
                          goto _flick_abort393;
                        }
                      }
                      break;
                      {
                      _flick_abort393:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* Arra */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1098019425):
              {
                unsigned short int _t127_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t127_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t127_switch_tag)
                  {
                  case /* y */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 30976):
                    {
                      {
                        POA_test *_local_this;
                        unsigned int _t128_principal_len;
                        ::test::arr_slice *_return;
                        CORBA::Long *_local_a;
                        CORBA::Long *_local_b;
                        CORBA::Long *_local_c;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort403);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t128_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(20);
                        flick_iiopxx_check_span(_t128_principal_len, _flick_abort403);
                        flick_iiopxx_decode_new_glob(_t128_principal_len);
                        flick_iiopxx_decode_new_chunk(_t128_principal_len);
                        flick_iiopxx_decode_end_chunk(_t128_principal_len);
                        flick_iiopxx_decode_end_glob(_t128_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(83);
                        flick_iiopxx_decode_new_chunk_align(80, 2, 0, 0);
                        flick_iiopxx_check_span(80, _flick_abort403);
                        {
                          CORBA::Long *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Long *)new (CORBA::Long [10]);
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort403);
                          _local_a = _t_alloc_ptr;
                        }
                        flick_cdr_decode_bcopy(0, _local_a, 40);
                        {
                          CORBA::Long *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Long *)new (CORBA::Long [10]);
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort403);
                          _local_b = _t_alloc_ptr;
                        }
                        flick_cdr_decode_bcopy(40, _local_b, 40);
                        {
                          CORBA::Long *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Long *)new (CORBA::Long [10]);
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort403);
                          _local_c = _t_alloc_ptr;
                        }
                        flick_iiopxx_decode_end_chunk(80);
                        flick_iiopxx_decode_end_glob(83);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->Array(_local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t129_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t129_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort403);
                          flick_iiopxx_encode_new_glob(124, _flick_abort403);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t129_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t129_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(120);
                                flick_cdr_encode_bcopy(0, _return, 40);
                                delete [] _return;
                                _return = 0;
                                flick_cdr_encode_bcopy(40, _local_b, 40);
                                delete [] _local_b;
                                _local_b = 0;
                                flick_cdr_encode_bcopy(80, _local_c, 40);
                                delete [] _local_c;
                                _local_c = 0;
                                flick_iiopxx_encode_end_chunk(120);
                                flick_iiopxx_encode_end_glob(124);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(124);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort426);
                                break;
                                {
                                _flick_abort426:
                                  goto _flick_abort403;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort427);
                                flick_iiopxx_encode_end_glob(124);
                                break;
                                {
                                _flick_abort427:
                                  goto _flick_abort403;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort403:
                          goto _flick_abort402;
                        }
                      }
                      break;
                      {
                      _flick_abort402:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t130_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t130_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t130_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_test *_local_this;
                        unsigned int _t131_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t132_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort429);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t131_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(20);
                        flick_iiopxx_check_span(_t131_principal_len, _flick_abort429);
                        flick_iiopxx_decode_new_glob(_t131_principal_len);
                        flick_iiopxx_decode_new_chunk(_t131_principal_len);
                        flick_iiopxx_decode_end_chunk(_t131_principal_len);
                        flick_iiopxx_decode_end_glob(_t131_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort429);
                        flick_cdr_decode_unsigned32(0, _t132_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t132_temp_string_len);
                        flick_iiopxx_check_span(1 * _t132_temp_string_len, _flick_abort429);
                        flick_iiopxx_decode_new_chunk(1 * _t132_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_type_id, CORBA::Char *);
                        flick_iiopxx_decode_end_chunk(1 * _t132_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t132_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t133_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t133_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort429);
                          flick_iiopxx_encode_new_glob(5, _flick_abort429);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t133_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t133_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort437);
                                break;
                                {
                                _flick_abort437:
                                  goto _flick_abort429;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort438);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort438:
                                  goto _flick_abort429;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort429:
                          goto _flick_abort428;
                        }
                      }
                      break;
                      {
                      _flick_abort428:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          unsigned int _t134_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t134_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t134_switch_tag)
            {
            case /* Long */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1282371175):
              {
                char _t135_switch_tag;

                flick_iiopxx_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t135_switch_tag, char );
                flick_iiopxx_decode_end_chunk(1);
                switch ((char )_t135_switch_tag)
                  {
                  case 0:
                    {
                      {
                        POA_test *_local_this;
                        unsigned int _t136_principal_len;
                        CORBA::Long _return;
                        CORBA::Long _local_a;
                        CORBA::Long _local_b;
                        CORBA::Long _local_c;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort440);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(7);
                        flick_cdr_decode_unsigned32(3, _t136_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(7);
                        flick_iiopxx_decode_end_glob(20);
                        flick_iiopxx_check_span(_t136_principal_len, _flick_abort440);
                        flick_iiopxx_decode_new_glob(_t136_principal_len);
                        flick_iiopxx_decode_new_chunk(_t136_principal_len);
                        flick_iiopxx_decode_end_chunk(_t136_principal_len);
                        flick_iiopxx_decode_end_glob(_t136_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(11);
                        flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                        flick_iiopxx_check_span(8, _flick_abort440);
                        flick_cdr_decode_signed32(0, _local_a, CORBA::Long );
                        flick_cdr_decode_signed32(4, _local_b, CORBA::Long );
                        flick_iiopxx_decode_end_chunk(8);
                        flick_iiopxx_decode_end_glob(11);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->Long(_local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t137_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t137_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort440);
                          flick_iiopxx_encode_new_glob(16, _flick_abort440);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t137_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t137_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(12);
                                flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                flick_cdr_encode_signed32(4, _local_b, CORBA::Long );
                                flick_cdr_encode_signed32(8, _local_c, CORBA::Long );
                                flick_iiopxx_encode_end_chunk(12);
                                flick_iiopxx_encode_end_glob(16);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(16);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort446);
                                break;
                                {
                                _flick_abort446:
                                  goto _flick_abort440;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort447);
                                flick_iiopxx_encode_end_glob(16);
                                break;
                                {
                                _flick_abort447:
                                  goto _flick_abort440;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort440:
                          goto _flick_abort439;
                        }
                      }
                      break;
                      {
                      _flick_abort439:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* Char */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1130914162):
              {
                char _t138_switch_tag;

                flick_iiopxx_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t138_switch_tag, char );
                flick_iiopxx_decode_end_chunk(1);
                switch ((char )_t138_switch_tag)
                  {
                  case 0:
                    {
                      {
                        POA_test *_local_this;
                        unsigned int _t139_principal_len;
                        CORBA::Char _return;
                        CORBA::Char _local_a;
                        CORBA::Char _local_b;
                        CORBA::Char _local_c;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort449);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(7);
                        flick_cdr_decode_unsigned32(3, _t139_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(7);
                        flick_iiopxx_decode_end_glob(20);
                        flick_iiopxx_check_span(_t139_principal_len + 2, _flick_abort449);
                        flick_iiopxx_decode_new_glob(_t139_principal_len);
                        flick_iiopxx_decode_new_chunk(_t139_principal_len);
                        flick_iiopxx_decode_end_chunk(_t139_principal_len);
                        flick_iiopxx_decode_end_glob(_t139_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(2);
                        flick_iiopxx_decode_new_chunk(2);
                        flick_cdr_decode_char8(0, _local_a, CORBA::Char );
                        flick_cdr_decode_char8(1, _local_b, CORBA::Char );
                        flick_iiopxx_decode_end_chunk(2);
                        flick_iiopxx_decode_end_glob(2);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->Char(_local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t140_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t140_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort449);
                          flick_iiopxx_encode_new_glob(7, _flick_abort449);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t140_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t140_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(3);
                                flick_cdr_encode_char8(0, _return, CORBA::Char );
                                flick_cdr_encode_char8(1, _local_b, CORBA::Char );
                                flick_cdr_encode_char8(2, _local_c, CORBA::Char );
                                flick_iiopxx_encode_end_chunk(3);
                                flick_iiopxx_encode_end_glob(7);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(7);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort455);
                                break;
                                {
                                _flick_abort455:
                                  goto _flick_abort449;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort456);
                                flick_iiopxx_encode_end_glob(7);
                                break;
                                {
                                _flick_abort456:
                                  goto _flick_abort449;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort449:
                          goto _flick_abort448;
                        }
                      }
                      break;
                      {
                      _flick_abort448:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* Enum */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1164866925):
              {
                char _t141_switch_tag;

                flick_iiopxx_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t141_switch_tag, char );
                flick_iiopxx_decode_end_chunk(1);
                switch ((char )_t141_switch_tag)
                  {
                  case 0:
                    {
                      {
                        POA_test *_local_this;
                        unsigned int _t142_principal_len;
                        enum Enumeration _return;
                        enum Enumeration _local_a;
                        enum Enumeration _local_b;
                        enum Enumeration _local_c;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort458);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(7);
                        flick_cdr_decode_unsigned32(3, _t142_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(7);
                        flick_iiopxx_decode_end_glob(20);
                        flick_iiopxx_check_span(_t142_principal_len, _flick_abort458);
                        flick_iiopxx_decode_new_glob(_t142_principal_len);
                        flick_iiopxx_decode_new_chunk(_t142_principal_len);
                        flick_iiopxx_decode_end_chunk(_t142_principal_len);
                        flick_iiopxx_decode_end_glob(_t142_principal_len);
                        /* Begin decode phase on parameters */
                        flick_iiopxx_decode_new_glob(11);
                        flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                        flick_iiopxx_check_span(8, _flick_abort458);
                        flick_cdr_decode_unsigned32(0, _local_a, enum Enumeration );
                        flick_cdr_decode_unsigned32(4, _local_b, enum Enumeration );
                        flick_iiopxx_decode_end_chunk(8);
                        flick_iiopxx_decode_end_glob(11);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->Enum(_local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t143_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t143_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort458);
                          flick_iiopxx_encode_new_glob(16, _flick_abort458);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t143_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t143_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(12);
                                flick_cdr_encode_unsigned32(0, _return, enum Enumeration );
                                flick_cdr_encode_unsigned32(4, _local_b, enum Enumeration );
                                flick_cdr_encode_unsigned32(8, _local_c, enum Enumeration );
                                flick_iiopxx_encode_end_chunk(12);
                                flick_iiopxx_encode_end_glob(16);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(16);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort464);
                                break;
                                {
                                _flick_abort464:
                                  goto _flick_abort458;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort465);
                                flick_iiopxx_encode_end_glob(16);
                                break;
                                {
                                _flick_abort465:
                                  goto _flick_abort458;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort458:
                          goto _flick_abort457;
                        }
                      }
                      break;
                      {
                      _flick_abort457:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 7:
        {
          unsigned int _t144_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t144_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t144_switch_tag)
            {
            case /* USho */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1431529583):
              {
                unsigned short int _t145_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t145_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t145_switch_tag)
                  {
                  case /* rt */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29300):
                    {
                      char _t146_switch_tag;

                      flick_iiopxx_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t146_switch_tag, char );
                      flick_iiopxx_decode_end_chunk(1);
                      switch ((char )_t146_switch_tag)
                        {
                        case 0:
                          {
                            {
                              POA_test *_local_this;
                              unsigned int _t147_principal_len;
                              CORBA::UShort _return;
                              CORBA::UShort _local_a;
                              CORBA::UShort _local_b;
                              CORBA::UShort _local_c;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort467);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(5);
                              flick_cdr_decode_unsigned32(1, _t147_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(5);
                              flick_iiopxx_decode_end_glob(20);
                              flick_iiopxx_check_span(_t147_principal_len, _flick_abort467);
                              flick_iiopxx_decode_new_glob(_t147_principal_len);
                              flick_iiopxx_decode_new_chunk(_t147_principal_len);
                              flick_iiopxx_decode_end_chunk(_t147_principal_len);
                              flick_iiopxx_decode_end_glob(_t147_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiopxx_decode_new_glob(5);
                              flick_iiopxx_decode_new_chunk_align(4, 1, 0, 0);
                              flick_iiopxx_check_span(4, _flick_abort467);
                              flick_cdr_decode_unsigned16(0, _local_a, CORBA::UShort );
                              flick_cdr_decode_unsigned16(2, _local_b, CORBA::UShort );
                              flick_iiopxx_decode_end_chunk(4);
                              flick_iiopxx_decode_end_glob(5);
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->UShort(_local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t148_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t148_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort467);
                                flick_iiopxx_encode_new_glob(10, _flick_abort467);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t148_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t148_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_new_chunk(6);
                                      flick_cdr_encode_unsigned16(0, _return, CORBA::UShort );
                                      flick_cdr_encode_unsigned16(2, _local_b, CORBA::UShort );
                                      flick_cdr_encode_unsigned16(4, _local_c, CORBA::UShort );
                                      flick_iiopxx_encode_end_chunk(6);
                                      flick_iiopxx_encode_end_glob(10);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(10);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort473);
                                      break;
                                      {
                                      _flick_abort473:
                                        goto _flick_abort467;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort474);
                                      flick_iiopxx_encode_end_glob(10);
                                      break;
                                      {
                                      _flick_abort474:
                                        goto _flick_abort467;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort467:
                                goto _flick_abort466;
                              }
                            }
                            break;
                            {
                            _flick_abort466:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* Stri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1400140393):
              {
                unsigned short int _t149_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t149_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t149_switch_tag)
                  {
                  case /* ng */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28263):
                    {
                      char _t150_switch_tag;

                      flick_iiopxx_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t150_switch_tag, char );
                      flick_iiopxx_decode_end_chunk(1);
                      switch ((char )_t150_switch_tag)
                        {
                        case 0:
                          {
                            {
                              POA_test *_local_this;
                              unsigned int _t151_principal_len;
                              char *_return;
                              char *_local_a;
                              flick_unsigned32_t _t152_temp_string_len;
                              char *_local_b;
                              flick_unsigned32_t _t153_temp_string_len;
                              char *_local_c;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort476);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(5);
                              flick_cdr_decode_unsigned32(1, _t151_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(5);
                              flick_iiopxx_decode_end_glob(20);
                              flick_iiopxx_check_span(_t151_principal_len, _flick_abort476);
                              flick_iiopxx_decode_new_glob(_t151_principal_len);
                              flick_iiopxx_decode_new_chunk(_t151_principal_len);
                              flick_iiopxx_decode_end_chunk(_t151_principal_len);
                              flick_iiopxx_decode_end_glob(_t151_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiopxx_decode_new_glob(7);
                              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiopxx_check_span(4, _flick_abort476);
                              flick_cdr_decode_unsigned32(0, _t152_temp_string_len, flick_unsigned32_t );
                              flick_iiopxx_decode_end_chunk(4);
                              flick_iiopxx_decode_end_glob(7);
                              flick_iiopxx_decode_new_glob(1 * _t152_temp_string_len);
                              flick_iiopxx_check_span(1 * _t152_temp_string_len, _flick_abort476);
                              flick_iiopxx_decode_new_chunk(1 * _t152_temp_string_len);
                              flick_cdr_decode_msgptr(0, _local_a, CORBA::Char *);
                              flick_iiopxx_decode_end_chunk(1 * _t152_temp_string_len);
                              flick_iiopxx_decode_end_glob(1 * _t152_temp_string_len);
                              flick_iiopxx_decode_new_glob(7);
                              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiopxx_check_span(4, _flick_abort476);
                              flick_cdr_decode_unsigned32(0, _t153_temp_string_len, flick_unsigned32_t );
                              flick_iiopxx_decode_end_chunk(4);
                              flick_iiopxx_decode_end_glob(7);
                              flick_iiopxx_decode_new_glob(1 * _t153_temp_string_len);
                              flick_iiopxx_check_span(1 * _t153_temp_string_len, _flick_abort476);
                              flick_iiopxx_decode_new_chunk(1 * _t153_temp_string_len);
                              {
                                CORBA::Char *_t_alloc_ptr;

                                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t153_temp_string_len * sizeof(CORBA::Char )));
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort476);
                                _local_b = _t_alloc_ptr;
                              }
                              flick_cdr_decode_bcopy(0, _local_b, 1 * _t153_temp_string_len);
                              flick_iiopxx_decode_end_chunk(1 * _t153_temp_string_len);
                              flick_iiopxx_decode_end_glob(1 * _t153_temp_string_len);
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->String(_local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t154_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t154_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort481);
                                flick_iiopxx_encode_new_glob(8, _flick_abort481);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t154_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t154_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      flick_unsigned32_t _t158_temp_string_len;
                                      flick_unsigned32_t _t159_temp_string_len;
                                      flick_unsigned32_t _t160_temp_string_len;

                                      flick_cdr_stringlen(CORBA::Char *, _return, flick_unsigned32_t , _t158_temp_string_len);
                                      flick_cdr_stringlen(CORBA::Char *, _local_b, flick_unsigned32_t , _t159_temp_string_len);
                                      flick_cdr_stringlen(CORBA::Char *, _local_c, flick_unsigned32_t , _t160_temp_string_len);

                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_new_chunk(4);
                                      flick_cdr_encode_unsigned32(0, _t158_temp_string_len, flick_unsigned32_t );
                                      flick_iiopxx_encode_end_chunk(4);
                                      flick_iiopxx_encode_end_glob(8);
                                      flick_iiopxx_encode_new_glob(1 * _t158_temp_string_len, _flick_abort492);
                                      flick_iiopxx_encode_new_chunk(1 * _t158_temp_string_len);
                                      flick_cdr_encode_bcopy(0, _return, 1 * _t158_temp_string_len);
                                      CORBA_string_flick_free(_return);
                                      _return = 0;
                                      flick_iiopxx_encode_end_chunk(1 * _t158_temp_string_len);
                                      flick_iiopxx_encode_end_glob(1 * _t158_temp_string_len);
                                      flick_iiopxx_encode_new_glob(7, _flick_abort492);
                                      flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                      flick_cdr_encode_unsigned32(0, _t159_temp_string_len, flick_unsigned32_t );
                                      flick_iiopxx_encode_end_chunk(4);
                                      flick_iiopxx_encode_end_glob(7);
                                      flick_iiopxx_encode_new_glob(1 * _t159_temp_string_len, _flick_abort492);
                                      flick_iiopxx_encode_new_chunk(1 * _t159_temp_string_len);
                                      flick_cdr_encode_bcopy(0, _local_b, 1 * _t159_temp_string_len);
                                      CORBA_string_flick_free(_local_b);
                                      _local_b = 0;
                                      flick_iiopxx_encode_end_chunk(1 * _t159_temp_string_len);
                                      flick_iiopxx_encode_end_glob(1 * _t159_temp_string_len);
                                      flick_iiopxx_encode_new_glob(7, _flick_abort492);
                                      flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                      flick_cdr_encode_unsigned32(0, _t160_temp_string_len, flick_unsigned32_t );
                                      flick_iiopxx_encode_end_chunk(4);
                                      flick_iiopxx_encode_end_glob(7);
                                      flick_iiopxx_encode_new_glob(1 * _t160_temp_string_len, _flick_abort492);
                                      flick_iiopxx_encode_new_chunk(1 * _t160_temp_string_len);
                                      flick_cdr_encode_bcopy(0, _local_c, 1 * _t160_temp_string_len);
                                      CORBA_string_flick_free(_local_c);
                                      _local_c = 0;
                                      flick_iiopxx_encode_end_chunk(1 * _t160_temp_string_len);
                                      flick_iiopxx_encode_end_glob(1 * _t160_temp_string_len);
                                      break;
                                      {
                                      _flick_abort492:
                                        goto _flick_abort481;
                                      }
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(8);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort499);
                                      break;
                                      {
                                      _flick_abort499:
                                        goto _flick_abort481;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort500);
                                      flick_iiopxx_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort500:
                                        goto _flick_abort481;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort481:
                                CORBA_string_flick_free(_local_b);
                              _flick_abort476:
                                goto _flick_abort475;
                              }
                            }
                            break;
                            {
                            _flick_abort475:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 8:
        {
          unsigned int _t161_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t161_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t161_switch_tag)
            {
            case /* Bool */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1114599276):
              {
                unsigned int _t162_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t162_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t162_switch_tag)
                  {
                  case /* ean */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1700883968):
                    {
                      {
                        POA_test *_local_this;
                        unsigned int _t163_principal_len;
                        CORBA::Boolean _return;
                        CORBA::Boolean _local_a;
                        CORBA::Boolean _local_b;
                        CORBA::Boolean _local_c;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort502);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _t163_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(20);
                        flick_iiopxx_check_span(_t163_principal_len + 2, _flick_abort502);
                        flick_iiopxx_decode_new_glob(_t163_principal_len);
                        flick_iiopxx_decode_new_chunk(_t163_principal_len);
                        flick_iiopxx_decode_end_chunk(_t163_principal_len);
                        flick_iiopxx_decode_end_glob(_t163_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(2);
                        flick_iiopxx_decode_new_chunk(2);
                        flick_cdr_decode_unsigned8(0, _local_a, CORBA::Boolean );
                        flick_cdr_decode_unsigned8(1, _local_b, CORBA::Boolean );
                        flick_iiopxx_decode_end_chunk(2);
                        flick_iiopxx_decode_end_glob(2);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->Boolean(_local_a, _local_b, _local_c, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t164_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t164_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort502);
                          flick_iiopxx_encode_new_glob(7, _flick_abort502);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t164_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t164_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(3);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_cdr_encode_unsigned8(1, _local_b, CORBA::Boolean );
                                flick_cdr_encode_unsigned8(2, _local_c, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(3);
                                flick_iiopxx_encode_end_glob(7);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(7);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort508);
                                break;
                                {
                                _flick_abort508:
                                  goto _flick_abort502;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort509);
                                flick_iiopxx_encode_end_glob(7);
                                break;
                                {
                                _flick_abort509:
                                  goto _flick_abort502;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort502:
                          goto _flick_abort501;
                        }
                      }
                      break;
                      {
                      _flick_abort501:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 12:
        {
          unsigned int _t165_switch_tag;

          flick_iiopxx_check_span(16, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t165_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t165_switch_tag)
            {
            case /* Fixe */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1181317221):
              {
                unsigned int _t166_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t166_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t166_switch_tag)
                  {
                  case /* dStr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1683190898):
                    {
                      unsigned int _t167_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t167_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t167_switch_tag)
                        {
                        case /* uct */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1969452032):
                          {
                            {
                              POA_test *_local_this;
                              unsigned int _t168_principal_len;
                              struct FStruct _return;
                              struct FStruct _local_a;
                              struct FStruct _local_b;
                              struct FStruct _local_c;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort511);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t168_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(4);
                              flick_iiopxx_decode_end_glob(20);
                              flick_iiopxx_check_span(_t168_principal_len, _flick_abort511);
                              flick_iiopxx_decode_new_glob(_t168_principal_len);
                              flick_iiopxx_decode_new_chunk(_t168_principal_len);
                              flick_iiopxx_decode_end_chunk(_t168_principal_len);
                              flick_iiopxx_decode_end_glob(_t168_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiopxx_decode_new_glob(5);
                              flick_iiopxx_decode_new_chunk_align(4, 1, 0, 0);
                              flick_iiopxx_check_span(4, _flick_abort511);
                              flick_cdr_decode_signed16(0, _local_a.a, CORBA::Short );
                              flick_cdr_decode_signed16(2, _local_b.a, CORBA::Short );
                              flick_iiopxx_decode_end_chunk(4);
                              flick_iiopxx_decode_end_glob(5);
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->FixedStruct(_local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t169_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t169_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort511);
                                flick_iiopxx_encode_new_glob(10, _flick_abort511);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t169_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t169_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_new_chunk(6);
                                      flick_cdr_encode_signed16(0, _return.a, CORBA::Short );
                                      flick_cdr_encode_signed16(2, _local_b.a, CORBA::Short );
                                      flick_cdr_encode_signed16(4, _local_c.a, CORBA::Short );
                                      flick_iiopxx_encode_end_chunk(6);
                                      flick_iiopxx_encode_end_glob(10);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(10);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort517);
                                      break;
                                      {
                                      _flick_abort517:
                                        goto _flick_abort511;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort518);
                                      flick_iiopxx_encode_end_glob(10);
                                      break;
                                      {
                                      _flick_abort518:
                                        goto _flick_abort511;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort511:
                                goto _flick_abort510;
                              }
                            }
                            break;
                            {
                            _flick_abort510:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* Boun */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1114600814):
              {
                unsigned int _t170_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t170_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t170_switch_tag)
                  {
                  case /* dStr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1683190898):
                    {
                      unsigned int _t171_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t171_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t171_switch_tag)
                        {
                        case /* ing */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768843008):
                          {
                            {
                              POA_test *_local_this;
                              unsigned int _t172_principal_len;
                              char *_return;
                              char *_local_a;
                              flick_unsigned32_t _t173_temp_string_len;
                              char *_local_b;
                              flick_unsigned32_t _t174_temp_string_len;
                              char *_local_c;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort520);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t172_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(4);
                              flick_iiopxx_decode_end_glob(20);
                              flick_iiopxx_check_span(_t172_principal_len, _flick_abort520);
                              flick_iiopxx_decode_new_glob(_t172_principal_len);
                              flick_iiopxx_decode_new_chunk(_t172_principal_len);
                              flick_iiopxx_decode_end_chunk(_t172_principal_len);
                              flick_iiopxx_decode_end_glob(_t172_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiopxx_decode_new_glob(56);
                              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiopxx_check_span(4, _flick_abort520);
                              flick_cdr_decode_unsigned32(0, _t173_temp_string_len, flick_unsigned32_t );
                              if (_t173_temp_string_len > 21)
                                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort520);
                              flick_iiopxx_decode_end_chunk(4);
                              flick_iiopxx_check_span(1 * _t173_temp_string_len, _flick_abort520);
                              flick_iiopxx_decode_new_chunk(1 * _t173_temp_string_len);
                              flick_cdr_decode_msgptr(0, _local_a, CORBA::Char *);
                              flick_iiopxx_decode_end_chunk(1 * _t173_temp_string_len);
                              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiopxx_check_span(4, _flick_abort520);
                              flick_cdr_decode_unsigned32(0, _t174_temp_string_len, flick_unsigned32_t );
                              if (_t174_temp_string_len > 21)
                                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort520);
                              flick_iiopxx_decode_end_chunk(4);
                              flick_iiopxx_check_span(1 * _t174_temp_string_len, _flick_abort520);
                              flick_iiopxx_decode_new_chunk(1 * _t174_temp_string_len);
                              {
                                CORBA::Char *_t_alloc_ptr;

                                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t174_temp_string_len * sizeof(CORBA::Char )));
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort520);
                                _local_b = _t_alloc_ptr;
                              }
                              flick_cdr_decode_bcopy(0, _local_b, 1 * _t174_temp_string_len);
                              flick_iiopxx_decode_end_chunk(1 * _t174_temp_string_len);
                              flick_iiopxx_decode_end_glob(56);
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->BoundString(_local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t175_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t175_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort525);
                                flick_iiopxx_encode_new_glob(85, _flick_abort525);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t175_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t175_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      flick_unsigned32_t _t179_temp_string_len;
                                      flick_unsigned32_t _t180_temp_string_len;
                                      flick_unsigned32_t _t181_temp_string_len;

                                      flick_cdr_stringlen(CORBA::Char *, _return, flick_unsigned32_t , _t179_temp_string_len);
                                      flick_cdr_stringlen(CORBA::Char *, _local_b, flick_unsigned32_t , _t180_temp_string_len);
                                      flick_cdr_stringlen(CORBA::Char *, _local_c, flick_unsigned32_t , _t181_temp_string_len);

                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_new_chunk(4 + 1 * _t179_temp_string_len);
                                      flick_cdr_encode_unsigned32(0, _t179_temp_string_len, flick_unsigned32_t );
                                      if (_t179_temp_string_len > 21)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort536);
                                      flick_cdr_encode_bcopy(4, _return, 1 * _t179_temp_string_len);
                                      CORBA_string_flick_free(_return);
                                      _return = 0;
                                      flick_iiopxx_encode_end_chunk(4 + 1 * _t179_temp_string_len);
                                      flick_iiopxx_encode_new_chunk_align(4 + 1 * _t180_temp_string_len, 2, 0, 0);
                                      flick_cdr_encode_unsigned32(0, _t180_temp_string_len, flick_unsigned32_t );
                                      if (_t180_temp_string_len > 21)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort536);
                                      flick_cdr_encode_bcopy(4, _local_b, 1 * _t180_temp_string_len);
                                      CORBA_string_flick_free(_local_b);
                                      _local_b = 0;
                                      flick_iiopxx_encode_end_chunk(4 + 1 * _t180_temp_string_len);
                                      flick_iiopxx_encode_new_chunk_align(4 + 1 * _t181_temp_string_len, 2, 0, 0);
                                      flick_cdr_encode_unsigned32(0, _t181_temp_string_len, flick_unsigned32_t );
                                      if (_t181_temp_string_len > 21)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort536);
                                      flick_cdr_encode_bcopy(4, _local_c, 1 * _t181_temp_string_len);
                                      CORBA_string_flick_free(_local_c);
                                      _local_c = 0;
                                      flick_iiopxx_encode_end_chunk(4 + 1 * _t181_temp_string_len);
                                      flick_iiopxx_encode_end_glob(85);
                                      break;
                                      {
                                      _flick_abort536:
                                        goto _flick_abort525;
                                      }
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(85);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort543);
                                      break;
                                      {
                                      _flick_abort543:
                                        goto _flick_abort525;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort544);
                                      flick_iiopxx_encode_end_glob(85);
                                      break;
                                      {
                                      _flick_abort544:
                                        goto _flick_abort525;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort525:
                                CORBA_string_flick_free(_local_b);
                              _flick_abort520:
                                goto _flick_abort519;
                              }
                            }
                            break;
                            {
                            _flick_abort519:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          unsigned int _t182_switch_tag;

          flick_iiopxx_check_span(16, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t182_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t182_switch_tag)
            {
            case /* VarS */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1449226835):
              {
                unsigned int _t183_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t183_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t183_switch_tag)
                  {
                  case /* truc */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953658211):
                    {
                      unsigned short int _t184_switch_tag;

                      flick_iiopxx_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t184_switch_tag, unsigned short int );
                      flick_iiopxx_decode_end_chunk(2);
                      switch ((unsigned short int )_t184_switch_tag)
                        {
                        case /* t */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29696):
                          {
                            {
                              POA_test *_local_this;
                              unsigned int _t185_principal_len;
                              struct VStruct *_return;
                              struct VStruct _local_a;
                              flick_unsigned32_t _t186_temp_string_len;
                              struct VStruct _local_b;
                              flick_unsigned32_t _t187_temp_string_len;
                              struct VStruct *_local_c;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort546);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t185_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(6);
                              flick_iiopxx_decode_end_glob(20);
                              flick_iiopxx_check_span(_t185_principal_len, _flick_abort546);
                              flick_iiopxx_decode_new_glob(_t185_principal_len);
                              flick_iiopxx_decode_new_chunk(_t185_principal_len);
                              flick_iiopxx_decode_end_chunk(_t185_principal_len);
                              flick_iiopxx_decode_end_glob(_t185_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiopxx_decode_new_glob(7);
                              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiopxx_check_span(4, _flick_abort546);
                              flick_cdr_decode_unsigned32(0, _t186_temp_string_len, flick_unsigned32_t );
                              flick_iiopxx_decode_end_chunk(4);
                              flick_iiopxx_decode_end_glob(7);
                              flick_iiopxx_decode_new_glob(1 * _t186_temp_string_len);
                              flick_iiopxx_check_span(1 * _t186_temp_string_len, _flick_abort546);
                              flick_iiopxx_decode_new_chunk(1 * _t186_temp_string_len);
                              {
                                CORBA::Char *_t_alloc_ptr;

                                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t186_temp_string_len * sizeof(CORBA::Char )));
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort546);
                                _local_a.a = _t_alloc_ptr;
                              }
                              flick_cdr_decode_bcopy(0, _local_a.a, 1 * _t186_temp_string_len);
                              flick_iiopxx_decode_end_chunk(1 * _t186_temp_string_len);
                              flick_iiopxx_decode_end_glob(1 * _t186_temp_string_len);
                              flick_iiopxx_decode_new_glob(7);
                              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiopxx_check_span(4, _flick_abort546);
                              flick_cdr_decode_unsigned32(0, _t187_temp_string_len, flick_unsigned32_t );
                              flick_iiopxx_decode_end_chunk(4);
                              flick_iiopxx_decode_end_glob(7);
                              flick_iiopxx_decode_new_glob(1 * _t187_temp_string_len);
                              flick_iiopxx_check_span(1 * _t187_temp_string_len, _flick_abort546);
                              flick_iiopxx_decode_new_chunk(1 * _t187_temp_string_len);
                              {
                                CORBA::Char *_t_alloc_ptr;

                                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t187_temp_string_len * sizeof(CORBA::Char )));
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort546);
                                _local_b.a = _t_alloc_ptr;
                              }
                              flick_cdr_decode_bcopy(0, _local_b.a, 1 * _t187_temp_string_len);
                              flick_iiopxx_decode_end_chunk(1 * _t187_temp_string_len);
                              flick_iiopxx_decode_end_glob(1 * _t187_temp_string_len);
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->VarStruct(_local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t188_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t188_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort546);
                                flick_iiopxx_encode_new_glob(8, _flick_abort546);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t188_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t188_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      flick_unsigned32_t _t192_temp_string_len;
                                      flick_unsigned32_t _t193_temp_string_len;
                                      flick_unsigned32_t _t194_temp_string_len;

                                      flick_cdr_stringlen(CORBA::Char *, _return->a, flick_unsigned32_t , _t192_temp_string_len);
                                      flick_cdr_stringlen(CORBA::Char *, _local_b.a, flick_unsigned32_t , _t193_temp_string_len);
                                      flick_cdr_stringlen(CORBA::Char *, _local_c->a, flick_unsigned32_t , _t194_temp_string_len);

                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_new_chunk(4);
                                      flick_cdr_encode_unsigned32(0, _t192_temp_string_len, flick_unsigned32_t );
                                      flick_iiopxx_encode_end_chunk(4);
                                      flick_iiopxx_encode_end_glob(8);
                                      flick_iiopxx_encode_new_glob(1 * _t192_temp_string_len, _flick_abort561);
                                      flick_iiopxx_encode_new_chunk(1 * _t192_temp_string_len);
                                      flick_cdr_encode_bcopy(0, _return->a, 1 * _t192_temp_string_len);
                                      flick_iiopxx_encode_end_chunk(1 * _t192_temp_string_len);
                                      flick_iiopxx_encode_end_glob(1 * _t192_temp_string_len);
                                      delete _return;
                                      _return = 0;
                                      flick_iiopxx_encode_new_glob(7, _flick_abort561);
                                      flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                      flick_cdr_encode_unsigned32(0, _t193_temp_string_len, flick_unsigned32_t );
                                      flick_iiopxx_encode_end_chunk(4);
                                      flick_iiopxx_encode_end_glob(7);
                                      flick_iiopxx_encode_new_glob(1 * _t193_temp_string_len, _flick_abort561);
                                      flick_iiopxx_encode_new_chunk(1 * _t193_temp_string_len);
                                      flick_cdr_encode_bcopy(0, _local_b.a, 1 * _t193_temp_string_len);
                                      flick_iiopxx_encode_end_chunk(1 * _t193_temp_string_len);
                                      flick_iiopxx_encode_end_glob(1 * _t193_temp_string_len);
                                      flick_iiopxx_encode_new_glob(7, _flick_abort561);
                                      flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                      flick_cdr_encode_unsigned32(0, _t194_temp_string_len, flick_unsigned32_t );
                                      flick_iiopxx_encode_end_chunk(4);
                                      flick_iiopxx_encode_end_glob(7);
                                      flick_iiopxx_encode_new_glob(1 * _t194_temp_string_len, _flick_abort561);
                                      flick_iiopxx_encode_new_chunk(1 * _t194_temp_string_len);
                                      flick_cdr_encode_bcopy(0, _local_c->a, 1 * _t194_temp_string_len);
                                      flick_iiopxx_encode_end_chunk(1 * _t194_temp_string_len);
                                      flick_iiopxx_encode_end_glob(1 * _t194_temp_string_len);
                                      delete _local_c;
                                      _local_c = 0;
                                      break;
                                      {
                                      _flick_abort561:
                                        goto _flick_abort546;
                                      }
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(8);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort568);
                                      break;
                                      {
                                      _flick_abort568:
                                        goto _flick_abort546;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort569);
                                      flick_iiopxx_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort569:
                                        goto _flick_abort546;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort546:
                                goto _flick_abort545;
                              }
                            }
                            break;
                            {
                            _flick_abort545:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          unsigned int _t195_switch_tag;

          flick_iiopxx_check_span(16, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t195_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t195_switch_tag)
            {
            case /* Fixe */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1181317221):
              {
                unsigned int _t196_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t196_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t196_switch_tag)
                  {
                  case /* dUni */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1683320425):
                    {
                      unsigned short int _t197_switch_tag;

                      flick_iiopxx_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t197_switch_tag, unsigned short int );
                      flick_iiopxx_decode_end_chunk(2);
                      switch ((unsigned short int )_t197_switch_tag)
                        {
                        case /* on */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28526):
                          {
                            char _t198_switch_tag;

                            flick_iiopxx_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t198_switch_tag, char );
                            flick_iiopxx_decode_end_chunk(1);
                            switch ((char )_t198_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    POA_test *_local_this;
                                    unsigned int _t199_principal_len;
                                    FUnion _return;
                                    FUnion _local_a;
                                    FUnion _local_b;
                                    FUnion _local_c;
                                    CORBA::Environment _ev;

                                    flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort571);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_iiopxx_decode_new_chunk(5);
                                    flick_cdr_decode_unsigned32(1, _t199_principal_len, unsigned int );
                                    flick_iiopxx_decode_end_chunk(5);
                                    flick_iiopxx_decode_end_glob(20);
                                    flick_iiopxx_check_span(_t199_principal_len, _flick_abort571);
                                    flick_iiopxx_decode_new_glob(_t199_principal_len);
                                    flick_iiopxx_decode_new_chunk(_t199_principal_len);
                                    flick_iiopxx_decode_end_chunk(_t199_principal_len);
                                    flick_iiopxx_decode_end_glob(_t199_principal_len);
                                    /* Begin decode phase on parameters */
                                    flick_iiopxx_decode_new_glob(22);
                                    flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_iiopxx_check_span(5, _flick_abort571);
                                    flick_cdr_decode_signed32(0, _local_a.disc_, CORBA::Long );
                                    flick_iiopxx_decode_end_chunk(4);
                                    switch (_local_a.disc_)
                                      {
                                      case 1:
                                        {
                                          flick_iiopxx_check_span(4, _flick_abort575);
                                          flick_iiopxx_decode_new_chunk(4);
                                          flick_cdr_decode_signed32(0, _local_a._u.x, CORBA::Long );
                                          flick_iiopxx_decode_end_chunk(4);
                                          break;
                                          {
                                          _flick_abort575:
                                            goto _flick_abort571;
                                          }
                                        }
                                      default:
                                        {
                                          flick_iiopxx_decode_new_chunk(1);
                                          flick_cdr_decode_char8(0, _local_a._u.z, CORBA::Char );
                                          flick_iiopxx_decode_end_chunk(1);
                                          break;
                                          {
                                            goto _flick_abort571;
                                          }
                                        }
                                      }
                                    flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_iiopxx_check_span(5, _flick_abort571);
                                    flick_cdr_decode_signed32(0, _local_b.disc_, CORBA::Long );
                                    flick_iiopxx_decode_end_chunk(4);
                                    switch (_local_b.disc_)
                                      {
                                      case 1:
                                        {
                                          flick_iiopxx_check_span(4, _flick_abort580);
                                          flick_iiopxx_decode_new_chunk(4);
                                          flick_cdr_decode_signed32(0, _local_b._u.x, CORBA::Long );
                                          flick_iiopxx_decode_end_chunk(4);
                                          break;
                                          {
                                          _flick_abort580:
                                            goto _flick_abort571;
                                          }
                                        }
                                      default:
                                        {
                                          flick_iiopxx_decode_new_chunk(1);
                                          flick_cdr_decode_char8(0, _local_b._u.z, CORBA::Char );
                                          flick_iiopxx_decode_end_chunk(1);
                                          break;
                                          {
                                            goto _flick_abort571;
                                          }
                                        }
                                      }
                                    flick_iiopxx_decode_end_glob(22);
                                    flick_iiopxx_server_end_decode();
                                    flick_corbaxx_init_environment();
                                    _return = _local_this->FixedUnion(_local_a, _local_b, _local_c, _ev);
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_iiopxx_server_start_encode();
                                    {
                                      int _t200_temp_major;

                                      flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t200_temp_major);

                                      flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort571);
                                      flick_iiopxx_encode_new_glob(34, _flick_abort571);
                                      flick_iiopxx_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _t200_temp_major, int );
                                      flick_iiopxx_encode_end_chunk(4);
                                      switch (_t200_temp_major)
                                        {
                                        case CORBA::NO_EXCEPTION:
                                          {
                                            /* Begin encode phase on parameters */
                                            flick_iiopxx_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _return.disc_, CORBA::Long );
                                            flick_iiopxx_encode_end_chunk(4);
                                            switch (_return.disc_)
                                              {
                                              case 1:
                                                {
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _return._u.x, CORBA::Long );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_iiopxx_encode_new_chunk(1);
                                                  flick_cdr_encode_char8(0, _return._u.z, CORBA::Char );
                                                  flick_iiopxx_encode_end_chunk(1);
                                                  break;
                                                }
                                              }
                                            flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                            flick_cdr_encode_signed32(0, _local_b.disc_, CORBA::Long );
                                            flick_iiopxx_encode_end_chunk(4);
                                            switch (_local_b.disc_)
                                              {
                                              case 1:
                                                {
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _local_b._u.x, CORBA::Long );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_iiopxx_encode_new_chunk(1);
                                                  flick_cdr_encode_char8(0, _local_b._u.z, CORBA::Char );
                                                  flick_iiopxx_encode_end_chunk(1);
                                                  break;
                                                }
                                              }
                                            flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                            flick_cdr_encode_signed32(0, _local_c.disc_, CORBA::Long );
                                            flick_iiopxx_encode_end_chunk(4);
                                            switch (_local_c.disc_)
                                              {
                                              case 1:
                                                {
                                                  flick_iiopxx_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _local_c._u.x, CORBA::Long );
                                                  flick_iiopxx_encode_end_chunk(4);
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_iiopxx_encode_new_chunk(1);
                                                  flick_cdr_encode_char8(0, _local_c._u.z, CORBA::Char );
                                                  flick_iiopxx_encode_end_chunk(1);
                                                  break;
                                                }
                                              }
                                            flick_iiopxx_encode_end_glob(34);
                                            break;
                                          }
                                        case CORBA::SYSTEM_EXCEPTION:
                                          {
                                            flick_iiopxx_encode_end_glob(34);
                                            flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort617);
                                            break;
                                            {
                                            _flick_abort617:
                                              goto _flick_abort571;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort618);
                                            flick_iiopxx_encode_end_glob(34);
                                            break;
                                            {
                                            _flick_abort618:
                                              goto _flick_abort571;
                                            }
                                          }
                                        }
                                    }
                                    flick_iiopxx_server_end_encode();
                                    break;
                                    {
                                    _flick_abort571:
                                      goto _flick_abort570;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort570:
                                    goto _flick_abort5;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                                  flick_iiopxx_decode_end_glob(20);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 9:
        {
          unsigned int _t201_switch_tag;

          flick_iiopxx_check_span(16, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t201_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t201_switch_tag)
            {
            case /* VarU */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1449226837):
              {
                unsigned int _t202_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t202_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t202_switch_tag)
                  {
                  case /* nion */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1852403566):
                    {
                      char _t203_switch_tag;

                      flick_iiopxx_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t203_switch_tag, char );
                      flick_iiopxx_decode_end_chunk(1);
                      switch ((char )_t203_switch_tag)
                        {
                        case 0:
                          {
                            {
                              POA_test *_local_this;
                              unsigned int _t204_principal_len;
                              VUnion *_return;
                              VUnion _local_a;
                              VUnion _local_b;
                              VUnion *_local_c;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort620);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(7);
                              flick_cdr_decode_unsigned32(3, _t204_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(7);
                              flick_iiopxx_decode_end_glob(20);
                              flick_iiopxx_check_span(_t204_principal_len, _flick_abort620);
                              flick_iiopxx_decode_new_glob(_t204_principal_len);
                              flick_iiopxx_decode_new_chunk(_t204_principal_len);
                              flick_iiopxx_decode_end_chunk(_t204_principal_len);
                              flick_iiopxx_decode_end_glob(_t204_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiopxx_decode_new_glob(11);
                              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiopxx_check_span(5, _flick_abort620);
                              flick_cdr_decode_signed32(0, _local_a.disc_, CORBA::Long );
                              flick_iiopxx_decode_end_chunk(4);
                              switch (_local_a.disc_)
                                {
                                case 1:
                                  {
                                    flick_unsigned32_t _t206_temp_string_len;

                                    flick_iiopxx_check_span(4, _flick_abort626);
                                    flick_iiopxx_decode_new_chunk(4);
                                    flick_cdr_decode_unsigned32(0, _t206_temp_string_len, flick_unsigned32_t );
                                    flick_iiopxx_decode_end_chunk(4);
                                    flick_iiopxx_decode_end_glob(11);
                                    flick_iiopxx_decode_new_glob(1 * _t206_temp_string_len);
                                    flick_iiopxx_check_span(1 * _t206_temp_string_len, _flick_abort626);
                                    flick_iiopxx_decode_new_chunk(1 * _t206_temp_string_len);
                                    {
                                      CORBA::Char *_t_alloc_ptr;

                                      _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t206_temp_string_len * sizeof(CORBA::Char )));
                                      if (!_t_alloc_ptr)
                                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort626);
                                      _local_a._u.a = _t_alloc_ptr;
                                    }
                                    flick_cdr_decode_bcopy(0, _local_a._u.a, 1 * _t206_temp_string_len);
                                    flick_iiopxx_decode_end_chunk(1 * _t206_temp_string_len);
                                    flick_iiopxx_decode_end_glob(1 * _t206_temp_string_len);
                                    break;
                                    {
                                    _flick_abort626:
                                      goto _flick_abort620;
                                    }
                                  }
                                default:
                                  {
                                    flick_iiopxx_decode_new_chunk(1);
                                    flick_cdr_decode_char8(0, _local_a._u.z, CORBA::Char );
                                    flick_iiopxx_decode_end_chunk(1);
                                    flick_iiopxx_decode_end_glob(11);
                                    break;
                                    {
                                      goto _flick_abort620;
                                    }
                                  }
                                }
                              flick_iiopxx_decode_new_glob(11);
                              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiopxx_check_span(5, _flick_abort620);
                              flick_cdr_decode_signed32(0, _local_b.disc_, CORBA::Long );
                              flick_iiopxx_decode_end_chunk(4);
                              switch (_local_b.disc_)
                                {
                                case 1:
                                  {
                                    flick_unsigned32_t _t208_temp_string_len;

                                    flick_iiopxx_check_span(4, _flick_abort635);
                                    flick_iiopxx_decode_new_chunk(4);
                                    flick_cdr_decode_unsigned32(0, _t208_temp_string_len, flick_unsigned32_t );
                                    flick_iiopxx_decode_end_chunk(4);
                                    flick_iiopxx_decode_end_glob(11);
                                    flick_iiopxx_decode_new_glob(1 * _t208_temp_string_len);
                                    flick_iiopxx_check_span(1 * _t208_temp_string_len, _flick_abort635);
                                    flick_iiopxx_decode_new_chunk(1 * _t208_temp_string_len);
                                    {
                                      CORBA::Char *_t_alloc_ptr;

                                      _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t208_temp_string_len * sizeof(CORBA::Char )));
                                      if (!_t_alloc_ptr)
                                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort635);
                                      _local_b._u.a = _t_alloc_ptr;
                                    }
                                    flick_cdr_decode_bcopy(0, _local_b._u.a, 1 * _t208_temp_string_len);
                                    flick_iiopxx_decode_end_chunk(1 * _t208_temp_string_len);
                                    flick_iiopxx_decode_end_glob(1 * _t208_temp_string_len);
                                    break;
                                    {
                                    _flick_abort635:
                                      goto _flick_abort620;
                                    }
                                  }
                                default:
                                  {
                                    flick_iiopxx_decode_new_chunk(1);
                                    flick_cdr_decode_char8(0, _local_b._u.z, CORBA::Char );
                                    flick_iiopxx_decode_end_chunk(1);
                                    flick_iiopxx_decode_end_glob(11);
                                    break;
                                    {
                                      goto _flick_abort620;
                                    }
                                  }
                                }
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->VarUnion(_local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t209_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t209_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort620);
                                flick_iiopxx_encode_new_glob(12, _flick_abort620);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t209_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t209_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _return->disc_, CORBA::Long );
                                      flick_iiopxx_encode_end_chunk(4);
                                      switch (_return->disc_)
                                        {
                                        case 1:
                                          {
                                            flick_unsigned32_t _t217_temp_string_len;

                                            flick_cdr_stringlen(CORBA::Char *, _return->_u.a, flick_unsigned32_t , _t217_temp_string_len);

                                            flick_iiopxx_encode_new_chunk(4);
                                            flick_cdr_encode_unsigned32(0, _t217_temp_string_len, flick_unsigned32_t );
                                            flick_iiopxx_encode_end_chunk(4);
                                            flick_iiopxx_encode_end_glob(12);
                                            flick_iiopxx_encode_new_glob(1 * _t217_temp_string_len, _flick_abort676);
                                            flick_iiopxx_encode_new_chunk(1 * _t217_temp_string_len);
                                            flick_cdr_encode_bcopy(0, _return->_u.a, 1 * _t217_temp_string_len);
                                            flick_iiopxx_encode_end_chunk(1 * _t217_temp_string_len);
                                            flick_iiopxx_encode_end_glob(1 * _t217_temp_string_len);
                                            break;
                                            {
                                            _flick_abort676:
                                              goto _flick_abort670;
                                            }
                                          }
                                        default:
                                          {
                                            flick_iiopxx_encode_new_chunk(1);
                                            flick_cdr_encode_char8(0, _return->_u.z, CORBA::Char );
                                            flick_iiopxx_encode_end_chunk(1);
                                            flick_iiopxx_encode_end_glob(12);
                                            break;
                                          }
                                        }
                                      delete _return;
                                      _return = 0;
                                      flick_iiopxx_encode_new_glob(11, _flick_abort670);
                                      flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                      flick_cdr_encode_signed32(0, _local_b.disc_, CORBA::Long );
                                      flick_iiopxx_encode_end_chunk(4);
                                      switch (_local_b.disc_)
                                        {
                                        case 1:
                                          {
                                            flick_unsigned32_t _t219_temp_string_len;

                                            flick_cdr_stringlen(CORBA::Char *, _local_b._u.a, flick_unsigned32_t , _t219_temp_string_len);

                                            flick_iiopxx_encode_new_chunk(4);
                                            flick_cdr_encode_unsigned32(0, _t219_temp_string_len, flick_unsigned32_t );
                                            flick_iiopxx_encode_end_chunk(4);
                                            flick_iiopxx_encode_end_glob(11);
                                            flick_iiopxx_encode_new_glob(1 * _t219_temp_string_len, _flick_abort685);
                                            flick_iiopxx_encode_new_chunk(1 * _t219_temp_string_len);
                                            flick_cdr_encode_bcopy(0, _local_b._u.a, 1 * _t219_temp_string_len);
                                            flick_iiopxx_encode_end_chunk(1 * _t219_temp_string_len);
                                            flick_iiopxx_encode_end_glob(1 * _t219_temp_string_len);
                                            break;
                                            {
                                            _flick_abort685:
                                              goto _flick_abort670;
                                            }
                                          }
                                        default:
                                          {
                                            flick_iiopxx_encode_new_chunk(1);
                                            flick_cdr_encode_char8(0, _local_b._u.z, CORBA::Char );
                                            flick_iiopxx_encode_end_chunk(1);
                                            flick_iiopxx_encode_end_glob(11);
                                            break;
                                          }
                                        }
                                      flick_iiopxx_encode_new_glob(11, _flick_abort670);
                                      flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                      flick_cdr_encode_signed32(0, _local_c->disc_, CORBA::Long );
                                      flick_iiopxx_encode_end_chunk(4);
                                      switch (_local_c->disc_)
                                        {
                                        case 1:
                                          {
                                            flick_unsigned32_t _t221_temp_string_len;

                                            flick_cdr_stringlen(CORBA::Char *, _local_c->_u.a, flick_unsigned32_t , _t221_temp_string_len);

                                            flick_iiopxx_encode_new_chunk(4);
                                            flick_cdr_encode_unsigned32(0, _t221_temp_string_len, flick_unsigned32_t );
                                            flick_iiopxx_encode_end_chunk(4);
                                            flick_iiopxx_encode_end_glob(11);
                                            flick_iiopxx_encode_new_glob(1 * _t221_temp_string_len, _flick_abort694);
                                            flick_iiopxx_encode_new_chunk(1 * _t221_temp_string_len);
                                            flick_cdr_encode_bcopy(0, _local_c->_u.a, 1 * _t221_temp_string_len);
                                            flick_iiopxx_encode_end_chunk(1 * _t221_temp_string_len);
                                            flick_iiopxx_encode_end_glob(1 * _t221_temp_string_len);
                                            break;
                                            {
                                            _flick_abort694:
                                              goto _flick_abort670;
                                            }
                                          }
                                        default:
                                          {
                                            flick_iiopxx_encode_new_chunk(1);
                                            flick_cdr_encode_char8(0, _local_c->_u.z, CORBA::Char );
                                            flick_iiopxx_encode_end_chunk(1);
                                            flick_iiopxx_encode_end_glob(11);
                                            break;
                                          }
                                        }
                                      delete _local_c;
                                      _local_c = 0;
                                      break;
                                      {
                                      _flick_abort670:
                                        goto _flick_abort620;
                                      }
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(12);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort698);
                                      break;
                                      {
                                      _flick_abort698:
                                        goto _flick_abort620;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort699);
                                      flick_iiopxx_encode_end_glob(12);
                                      break;
                                      {
                                      _flick_abort699:
                                        goto _flick_abort620;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort620:
                                goto _flick_abort619;
                              }
                            }
                            break;
                            {
                            _flick_abort619:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            case /* Sequ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1399157109):
              {
                unsigned int _t222_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t222_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t222_switch_tag)
                  {
                  case /* ence */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701733221):
                    {
                      char _t223_switch_tag;

                      flick_iiopxx_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t223_switch_tag, char );
                      flick_iiopxx_decode_end_chunk(1);
                      switch ((char )_t223_switch_tag)
                        {
                        case 0:
                          {
                            {
                              POA_test *_local_this;
                              unsigned int _t224_principal_len;
                              ::test::seq *_return;
                              ::test::seq _local_a;
                              ::test::seq _local_b;
                              ::test::seq *_local_c;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort701);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(7);
                              flick_cdr_decode_unsigned32(3, _t224_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(7);
                              flick_iiopxx_decode_end_glob(20);
                              flick_iiopxx_check_span(_t224_principal_len, _flick_abort701);
                              flick_iiopxx_decode_new_glob(_t224_principal_len);
                              flick_iiopxx_decode_new_chunk(_t224_principal_len);
                              flick_iiopxx_decode_end_chunk(_t224_principal_len);
                              flick_iiopxx_decode_end_glob(_t224_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiopxx_decode_new_glob(91);
                              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiopxx_check_span(4, _flick_abort701);
                              flick_cdr_decode_unsigned32(0, _local_a._length, CORBA::ULong );
                              if (_local_a._length > 10)
                                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort701);
                              flick_iiopxx_decode_end_chunk(4);
                              flick_iiopxx_check_span(4 * _local_a._length + 4, _flick_abort701);
                              flick_iiopxx_decode_new_chunk(4 * _local_a._length);
                              flick_cdr_decode_bcopy(0, _local_a._buffer, 4 * _local_a._length);
                              flick_iiopxx_decode_end_chunk(4 * _local_a._length);
                              flick_iiopxx_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _local_b._length, CORBA::ULong );
                              if (_local_b._length > 10)
                                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort701);
                              flick_iiopxx_decode_end_chunk(4);
                              flick_iiopxx_check_span(4 * _local_b._length, _flick_abort701);
                              flick_iiopxx_decode_new_chunk(4 * _local_b._length);
                              flick_cdr_decode_bcopy(0, _local_b._buffer, 4 * _local_b._length);
                              flick_iiopxx_decode_end_chunk(4 * _local_b._length);
                              flick_iiopxx_decode_end_glob(91);
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->Sequence(_local_a, _local_b, _local_c, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t225_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t225_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort701);
                                flick_iiopxx_encode_new_glob(136, _flick_abort701);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t225_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t225_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_new_chunk(4 + 4 * _return->_length);
                                      flick_cdr_encode_unsigned32(0, _return->_length, CORBA::ULong );
                                      if (_return->_length > 10)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort716);
                                      flick_cdr_encode_bcopy(4, _return->_buffer, 4 * _return->_length);
                                      flick_iiopxx_encode_end_chunk(4 + 4 * _return->_length);
                                      delete _return;
                                      _return = 0;
                                      flick_iiopxx_encode_new_chunk(4 + 4 * _local_b._length);
                                      flick_cdr_encode_unsigned32(0, _local_b._length, CORBA::ULong );
                                      if (_local_b._length > 10)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort716);
                                      flick_cdr_encode_bcopy(4, _local_b._buffer, 4 * _local_b._length);
                                      flick_iiopxx_encode_end_chunk(4 + 4 * _local_b._length);
                                      flick_iiopxx_encode_new_chunk(4 + 4 * _local_c->_length);
                                      flick_cdr_encode_unsigned32(0, _local_c->_length, CORBA::ULong );
                                      if (_local_c->_length > 10)
                                        flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort716);
                                      flick_cdr_encode_bcopy(4, _local_c->_buffer, 4 * _local_c->_length);
                                      flick_iiopxx_encode_end_chunk(4 + 4 * _local_c->_length);
                                      delete _local_c;
                                      _local_c = 0;
                                      flick_iiopxx_encode_end_glob(136);
                                      break;
                                      {
                                      _flick_abort716:
                                        goto _flick_abort701;
                                      }
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(136);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort723);
                                      break;
                                      {
                                      _flick_abort723:
                                        goto _flick_abort701;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort724);
                                      flick_iiopxx_encode_end_glob(136);
                                      break;
                                      {
                                      _flick_abort724:
                                        goto _flick_abort701;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort701:
                                goto _flick_abort700;
                              }
                            }
                            break;
                            {
                            _flick_abort700:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
          flick_iiopxx_decode_end_glob(20);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return;
  {
  _flick_abort5:
    flick_corbaxx_server_error(cdr, iiopxx, _flick_reaper, _flick_abort4);
  _flick_abort4:
    return ;
  }
_flick_reaper:
  return ;
}

