#include "recursive-client.h"
#include "recursive-server.h"

static const CORBA::Long _oc_ta[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    11, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74613a31), ACE_NTOHL(0x2e300000) /* repository ID = IDL:ta:1.0 */,
    3, ACE_NTOHL(0x74610000) /* name = ta */,
    7 /* member count */,
    2, ACE_NTOHL(0x61000000) /* name = a */,
    CORBA::tk_struct,
    72 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x623a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/tb:1.0 */,
      3, ACE_NTOHL(0x74620000) /* name = tb */,
      3 /* member count */,
      2, ACE_NTOHL(0x61000000) /* name = a */,
      CORBA::tk_long,
      2, ACE_NTOHL(0x62000000) /* name = b */,
      CORBA::tk_double,
      2, ACE_NTOHL(0x63000000) /* name = c */,
      CORBA::tk_short,
    2, ACE_NTOHL(0x62000000) /* name = b */,
    CORBA::tk_struct,
    136 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x633a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/tc:1.0 */,
      3, ACE_NTOHL(0x74630000) /* name = tc */,
      3 /* member count */,
      2, ACE_NTOHL(0x61000000) /* name = a */,
      CORBA::tk_char,
      2, ACE_NTOHL(0x62000000) /* name = b */,
      CORBA::tk_string,
      0,
      2, ACE_NTOHL(0x63000000) /* name = c */,
      CORBA::tk_alias,
      56 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        21, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x615f7463), ACE_NTOHL(0x00000000) /* name = flick_sequence_ta_tc */,
        CORBA::tk_sequence,
        16 /* encapsulation length */,
          TAO_ENCAP_BYTE_ORDER /* byte order */,
          -1, -84,
          0,
    2, ACE_NTOHL(0x63000000) /* name = c */,
    CORBA::tk_struct,
    300 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x643a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/td:1.0 */,
      3, ACE_NTOHL(0x74640000) /* name = td */,
      2 /* member count */,
      2, ACE_NTOHL(0x61000000) /* name = a */,
      CORBA::tk_struct,
      72 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x623a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/tb:1.0 */,
        3, ACE_NTOHL(0x74620000) /* name = tb */,
        3 /* member count */,
        2, ACE_NTOHL(0x61000000) /* name = a */,
        CORBA::tk_long,
        2, ACE_NTOHL(0x62000000) /* name = b */,
        CORBA::tk_double,
        2, ACE_NTOHL(0x63000000) /* name = c */,
        CORBA::tk_short,
      2, ACE_NTOHL(0x62000000) /* name = b */,
      CORBA::tk_struct,
      160 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        17, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x642f7465), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:ta/td/te:1.0 */,
        3, ACE_NTOHL(0x74650000) /* name = te */,
        5 /* member count */,
        2, ACE_NTOHL(0x61000000) /* name = a */,
        CORBA::tk_char,
        2, ACE_NTOHL(0x62000000) /* name = b */,
        CORBA::tk_char,
        2, ACE_NTOHL(0x63000000) /* name = c */,
        CORBA::tk_char,
        2, ACE_NTOHL(0x64000000) /* name = d */,
        CORBA::tk_char,
        2, ACE_NTOHL(0x65000000) /* name = e */,
        CORBA::tk_alias,
        56 /* encapsulation length */,
          TAO_ENCAP_BYTE_ORDER /* byte order */,
          21, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x615f7464), ACE_NTOHL(0x00000000) /* name = flick_sequence_ta_td */,
          CORBA::tk_sequence,
          16 /* encapsulation length */,
            TAO_ENCAP_BYTE_ORDER /* byte order */,
            -1, -144,
            0,
    5, ACE_NTOHL(0x6e657874), ACE_NTOHL(0x00000000) /* name = next */,
    CORBA::tk_alias,
    52 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      18, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x61000000) /* name = flick_sequence_ta */,
      CORBA::tk_sequence,
      16 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        -1, -612,
        0,
    2, ACE_NTOHL(0x64000000) /* name = d */,
    CORBA::tk_struct,
    72 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x623a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/tb:1.0 */,
      3, ACE_NTOHL(0x74620000) /* name = tb */,
      3 /* member count */,
      2, ACE_NTOHL(0x61000000) /* name = a */,
      CORBA::tk_long,
      2, ACE_NTOHL(0x62000000) /* name = b */,
      CORBA::tk_double,
      2, ACE_NTOHL(0x63000000) /* name = c */,
      CORBA::tk_short,
    2, ACE_NTOHL(0x65000000) /* name = e */,
    CORBA::tk_struct,
    136 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x633a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/tc:1.0 */,
      3, ACE_NTOHL(0x74630000) /* name = tc */,
      3 /* member count */,
      2, ACE_NTOHL(0x61000000) /* name = a */,
      CORBA::tk_char,
      2, ACE_NTOHL(0x62000000) /* name = b */,
      CORBA::tk_string,
      0,
      2, ACE_NTOHL(0x63000000) /* name = c */,
      CORBA::tk_alias,
      56 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        21, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x615f7463), ACE_NTOHL(0x00000000) /* name = flick_sequence_ta_tc */,
        CORBA::tk_sequence,
        16 /* encapsulation length */,
          TAO_ENCAP_BYTE_ORDER /* byte order */,
          -1, -84,
          0,
    2, ACE_NTOHL(0x66000000) /* name = f */,
    CORBA::tk_struct,
    300 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x643a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/td:1.0 */,
      3, ACE_NTOHL(0x74640000) /* name = td */,
      2 /* member count */,
      2, ACE_NTOHL(0x61000000) /* name = a */,
      CORBA::tk_struct,
      72 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x623a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/tb:1.0 */,
        3, ACE_NTOHL(0x74620000) /* name = tb */,
        3 /* member count */,
        2, ACE_NTOHL(0x61000000) /* name = a */,
        CORBA::tk_long,
        2, ACE_NTOHL(0x62000000) /* name = b */,
        CORBA::tk_double,
        2, ACE_NTOHL(0x63000000) /* name = c */,
        CORBA::tk_short,
      2, ACE_NTOHL(0x62000000) /* name = b */,
      CORBA::tk_struct,
      160 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        17, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x642f7465), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:ta/td/te:1.0 */,
        3, ACE_NTOHL(0x74650000) /* name = te */,
        5 /* member count */,
        2, ACE_NTOHL(0x61000000) /* name = a */,
        CORBA::tk_char,
        2, ACE_NTOHL(0x62000000) /* name = b */,
        CORBA::tk_char,
        2, ACE_NTOHL(0x63000000) /* name = c */,
        CORBA::tk_char,
        2, ACE_NTOHL(0x64000000) /* name = d */,
        CORBA::tk_char,
        2, ACE_NTOHL(0x65000000) /* name = e */,
        CORBA::tk_alias,
        56 /* encapsulation length */,
          TAO_ENCAP_BYTE_ORDER /* byte order */,
          21, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x615f7464), ACE_NTOHL(0x00000000) /* name = flick_sequence_ta_td */,
          CORBA::tk_sequence,
          16 /* encapsulation length */,
            TAO_ENCAP_BYTE_ORDER /* byte order */,
            -1, -144,
            0
};

static CORBA::TypeCode _tc_TAO_tc_ta (CORBA::tk_struct, sizeof(_oc_ta), (char *) &_oc_ta, 0, sizeof(struct ta ));

CORBA::TypeCode_ptr _tc_ta = &_tc_TAO_tc_ta;

void operator<<=(CORBA::Any &a, const struct ta &o)
{
  struct ta  *_any_val;
  ACE_NEW(_any_val, struct ta  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_ta, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, struct ta *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_ta, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, struct ta *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(_tc_ta, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (struct ta  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, struct ta , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(_tc_ta, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(_tc_ta, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

ta_var::ta_var()
  : ptr_(0)
{}

ta_var::ta_var(struct ta *p)
 : ptr_(p)
{}

ta_var::ta_var(const ta_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new struct ta (*a.ptr_);
  else
    this->ptr_ = 0;
}

ta_var::~ta_var()
{
  delete this->ptr_;
}

ta_var &ta_var::operator=(struct ta *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

ta_var &ta_var::operator=(const ta_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new struct ta (*p.ptr_);
  }
  return *this;
}

struct ta *ta_var::operator->()
{
  return this->ptr_;
}

const struct ta *ta_var::operator->() const
{
  return this->ptr_;
}

ta_var::operator const struct ta &() const
{
  return *this->ptr_;
}

ta_var::operator struct ta &()
{
  return *this->ptr_;
}

ta_var::operator struct ta &() const
{
  return *this->ptr_;
}

const struct ta &ta_var::in() const
{
  return *this->ptr_;
}

struct ta &ta_var::inout()
{
  return *this->ptr_;
}

struct ta *&ta_var::out()
{
  delete this->ptr_;
  this->ptr_ = 0;
  return this->ptr_;
}

struct ta *ta_var::_retn()
{
  struct ta  *tmp = this->ptr_;
  this->ptr_ = 0;
  return tmp;
}

struct ta *ta_var::ptr() const
{
  return this->ptr_;
}

ta_out::ta_out(struct ta *&r)
  : ptr_(r)
{
  this->ptr_ = 0;
}

ta_out::ta_out(ta_var &r)
  : ptr_(r.out())
{
  delete this->ptr_;
  this->ptr_ = 0;
}

ta_out::ta_out(const ta_out &r)
  : ptr_(ACE_const_cast(ta_out &,r).ptr_)
{}

ta_out &ta_out::operator=(const ta_out &r)
{
  this->ptr_ = ACE_const_cast(ta_out &,r).ptr_;
  return *this;
}

ta_out &ta_out::operator=(struct ta *r)
{
  this->ptr_ = r;
  return *this;
}

ta_out::operator struct ta *&()
{
  return this->ptr_;
}

struct ta *&ta_out::ptr()
{
  return this->ptr_;
}

struct ta *ta_out::operator->()
{
  return this->ptr_;
}

static const CORBA::Long _oc_ta_tb[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x623a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/tb:1.0 */,
    3, ACE_NTOHL(0x74620000) /* name = tb */,
    3 /* member count */,
    2, ACE_NTOHL(0x61000000) /* name = a */,
    CORBA::tk_long,
    2, ACE_NTOHL(0x62000000) /* name = b */,
    CORBA::tk_double,
    2, ACE_NTOHL(0x63000000) /* name = c */,
    CORBA::tk_short
};

static CORBA::TypeCode _tc_TAO_tc_ta_tb (CORBA::tk_struct, sizeof(_oc_ta_tb), (char *) &_oc_ta_tb, 0, sizeof(struct ::ta::tb ));

CORBA::TypeCode_ptr ta::_tc_tb = &_tc_TAO_tc_ta_tb;

void operator<<=(CORBA::Any &a, const struct ::ta::tb &o)
{
  struct ::ta::tb  *_any_val;
  ACE_NEW(_any_val, struct ::ta::tb  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(ta::_tc_tb, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, struct ::ta::tb *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(ta::_tc_tb, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, struct ::ta::tb *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(ta::_tc_tb, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (struct ::ta::tb  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, struct ::ta::tb , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(ta::_tc_tb, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(ta::_tc_tb, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

ta::tb_var::tb_var()
  : ptr_(0)
{}

ta::tb_var::tb_var(struct ::ta::tb *p)
 : ptr_(p)
{}

ta::tb_var::tb_var(const ::ta::tb_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new struct ::ta::tb (*a.ptr_);
  else
    this->ptr_ = 0;
}

ta::tb_var::~tb_var()
{
  delete this->ptr_;
}

::ta::tb_var &ta::tb_var::operator=(struct ::ta::tb *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

::ta::tb_var &ta::tb_var::operator=(const ::ta::tb_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new struct ::ta::tb (*p.ptr_);
  }
  return *this;
}

struct ::ta::tb *ta::tb_var::operator->()
{
  return this->ptr_;
}

const struct ::ta::tb *ta::tb_var::operator->() const
{
  return this->ptr_;
}

ta::tb_var::operator const struct ::ta::tb &() const
{
  return *this->ptr_;
}

ta::tb_var::operator struct ::ta::tb &()
{
  return *this->ptr_;
}

ta::tb_var::operator struct ::ta::tb &() const
{
  return *this->ptr_;
}

const struct ::ta::tb &ta::tb_var::in() const
{
  return *this->ptr_;
}

struct ::ta::tb &ta::tb_var::inout()
{
  return *this->ptr_;
}

struct ::ta::tb &ta::tb_var::out()
{
  return *this->ptr_;
}

struct ::ta::tb ta::tb_var::_retn()
{
  return *this->ptr_;
}

struct ::ta::tb *ta::tb_var::ptr() const
{
  return this->ptr_;
}

static const CORBA::Long _oc_ta_tc[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x633a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/tc:1.0 */,
    3, ACE_NTOHL(0x74630000) /* name = tc */,
    3 /* member count */,
    2, ACE_NTOHL(0x61000000) /* name = a */,
    CORBA::tk_char,
    2, ACE_NTOHL(0x62000000) /* name = b */,
    CORBA::tk_string,
    0,
    2, ACE_NTOHL(0x63000000) /* name = c */,
    CORBA::tk_alias,
    56 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      21, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x615f7463), ACE_NTOHL(0x00000000) /* name = flick_sequence_ta_tc */,
      CORBA::tk_sequence,
      16 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        -1, -84,
        0
};

static CORBA::TypeCode _tc_TAO_tc_ta_tc (CORBA::tk_struct, sizeof(_oc_ta_tc), (char *) &_oc_ta_tc, 0, sizeof(struct ::ta::tc ));

CORBA::TypeCode_ptr ta::_tc_tc = &_tc_TAO_tc_ta_tc;

void operator<<=(CORBA::Any &a, const struct ::ta::tc &o)
{
  struct ::ta::tc  *_any_val;
  ACE_NEW(_any_val, struct ::ta::tc  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(ta::_tc_tc, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, struct ::ta::tc *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(ta::_tc_tc, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, struct ::ta::tc *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(ta::_tc_tc, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (struct ::ta::tc  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, struct ::ta::tc , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(ta::_tc_tc, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(ta::_tc_tc, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

ta::tc_var::tc_var()
  : ptr_(0)
{}

ta::tc_var::tc_var(struct ::ta::tc *p)
 : ptr_(p)
{}

ta::tc_var::tc_var(const ::ta::tc_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new struct ::ta::tc (*a.ptr_);
  else
    this->ptr_ = 0;
}

ta::tc_var::~tc_var()
{
  delete this->ptr_;
}

::ta::tc_var &ta::tc_var::operator=(struct ::ta::tc *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

::ta::tc_var &ta::tc_var::operator=(const ::ta::tc_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new struct ::ta::tc (*p.ptr_);
  }
  return *this;
}

struct ::ta::tc *ta::tc_var::operator->()
{
  return this->ptr_;
}

const struct ::ta::tc *ta::tc_var::operator->() const
{
  return this->ptr_;
}

ta::tc_var::operator const struct ::ta::tc &() const
{
  return *this->ptr_;
}

ta::tc_var::operator struct ::ta::tc &()
{
  return *this->ptr_;
}

ta::tc_var::operator struct ::ta::tc &() const
{
  return *this->ptr_;
}

const struct ::ta::tc &ta::tc_var::in() const
{
  return *this->ptr_;
}

struct ::ta::tc &ta::tc_var::inout()
{
  return *this->ptr_;
}

struct ::ta::tc *&ta::tc_var::out()
{
  delete this->ptr_;
  this->ptr_ = 0;
  return this->ptr_;
}

struct ::ta::tc *ta::tc_var::_retn()
{
  struct ::ta::tc  *tmp = this->ptr_;
  this->ptr_ = 0;
  return tmp;
}

struct ::ta::tc *ta::tc_var::ptr() const
{
  return this->ptr_;
}

ta::tc_out::tc_out(struct ::ta::tc *&r)
  : ptr_(r)
{
  this->ptr_ = 0;
}

ta::tc_out::tc_out(::ta::tc_var &r)
  : ptr_(r.out())
{
  delete this->ptr_;
  this->ptr_ = 0;
}

ta::tc_out::tc_out(const ::ta::tc_out &r)
  : ptr_(ACE_const_cast(::ta::tc_out &,r).ptr_)
{}

::ta::tc_out &ta::tc_out::operator=(const ::ta::tc_out &r)
{
  this->ptr_ = ACE_const_cast(::ta::tc_out &,r).ptr_;
  return *this;
}

::ta::tc_out &ta::tc_out::operator=(struct ::ta::tc *r)
{
  this->ptr_ = r;
  return *this;
}

ta::tc_out::operator struct ::ta::tc *&()
{
  return this->ptr_;
}

struct ::ta::tc *&ta::tc_out::ptr()
{
  return this->ptr_;
}

struct ::ta::tc *ta::tc_out::operator->()
{
  return this->ptr_;
}

static const CORBA::Long _oc_ta_tc_flick_sequence_ta_tc[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    21, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x615f7463), ACE_NTOHL(0x00000000) /* name = flick_sequence_ta_tc */,
    CORBA::tk_sequence,
    96 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      CORBA::tk_struct,
      80 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x633a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/tc:1.0 */,
        3, ACE_NTOHL(0x74630000) /* name = tc */,
        3 /* member count */,
        2, ACE_NTOHL(0x61000000) /* name = a */,
        CORBA::tk_char,
        2, ACE_NTOHL(0x62000000) /* name = b */,
        CORBA::tk_string,
        0,
        2, ACE_NTOHL(0x63000000) /* name = c */,
        -1, -44,
      0
};

static CORBA::TypeCode _tc_TAO_tc_ta_tc_flick_sequence_ta_tc (CORBA::tk_alias, sizeof(_oc_ta_tc_flick_sequence_ta_tc), (char *) &_oc_ta_tc_flick_sequence_ta_tc, 0, sizeof(::ta::tc::flick_sequence_ta_tc ));

CORBA::TypeCode_ptr ta::tc::_tc_flick_sequence_ta_tc = &_tc_TAO_tc_ta_tc_flick_sequence_ta_tc;

ta::tc::flick_sequence_ta_tc::flick_sequence_ta_tc()
  : _maximum(0),
    _length(0),
    _buffer(0),
    _release(0)
{
}

ta::tc::flick_sequence_ta_tc::flick_sequence_ta_tc(CORBA::ULong max)
  : _maximum(max), _length(0), _release(1)
{
  this->_buffer = ta::tc::flick_sequence_ta_tc::allocbuf(this->_maximum);
}

ta::tc::flick_sequence_ta_tc::flick_sequence_ta_tc(CORBA::ULong max, CORBA::ULong length, struct ::ta::tc *buffer, CORBA::Boolean release)
  : _maximum(max),
    _length(length),
    _buffer(buffer),
    _release(release)
{
}

ta::tc::flick_sequence_ta_tc::flick_sequence_ta_tc(const ::ta::tc::flick_sequence_ta_tc &o)
  : _maximum(o._maximum),
    _length(o._length),
    _release(1)
{
  struct ::ta::tc  *tmp1 = ta::tc::flick_sequence_ta_tc::allocbuf(this->_maximum);
  
  struct ::ta::tc  * const tmp2 = ACE_reinterpret_cast(struct ::ta::tc  * ACE_CAST_CONST, o._buffer);
  
  for(CORBA::ULong i = 0; i < this->_length; i++ )
    tmp1[i] = tmp2[i];
  
  this->_buffer = tmp1;
}

ta::tc::flick_sequence_ta_tc::~flick_sequence_ta_tc()
{
  this->_deallocate_buffer();
}

::ta::tc::flick_sequence_ta_tc &ta::tc::flick_sequence_ta_tc::operator=(const ::ta::tc::flick_sequence_ta_tc &rhs)
{
  if( this == &rhs )
    return *this;
  if( this->_release )
  {
  
    if( this->_maximum < rhs._maximum )
    {
      struct ::ta::tc  *tmp = ACE_reinterpret_cast(struct ::ta::tc  *, this->_buffer);
      
      ta::tc::flick_sequence_ta_tc::freebuf(tmp);
      this->_buffer = ta::tc::flick_sequence_ta_tc::allocbuf(rhs._maximum);
    }
  
  }
  else
    this->_buffer = ta::tc::flick_sequence_ta_tc::allocbuf(rhs._maximum);
  this->_maximum = rhs._maximum;
  this->_length = rhs._length;
  this->_release = 1;
  struct ::ta::tc  *tmp1 = ACE_reinterpret_cast(struct ::ta::tc  *, this->_buffer);
  struct ::ta::tc  * const tmp2 = ACE_reinterpret_cast(struct ::ta::tc  * ACE_CAST_CONST, rhs._buffer);
  for(CORBA::ULong i = 0; i < this->_length; i++ )
    tmp1[i] = tmp2[i];
  return *this;
}

struct ::ta::tc &ta::tc::flick_sequence_ta_tc::operator[](CORBA::ULong i)
{
  ACE_ASSERT(i < this->_maximum);
  struct ::ta::tc  * tmp = ACE_reinterpret_cast(struct ::ta::tc  *, this->_buffer);
  return tmp[i];
}

const struct ::ta::tc &ta::tc::flick_sequence_ta_tc::operator[](CORBA::ULong i) const
{
  ACE_ASSERT(i < this->_maximum);
  struct ::ta::tc  * const tmp = ACE_reinterpret_cast(struct ::ta::tc  *ACE_CAST_CONST, this->_buffer);
  return tmp[i];
}

struct ::ta::tc *ta::tc::flick_sequence_ta_tc::allocbuf(CORBA::ULong size)
{
  struct ::ta::tc  *tmp;
  tmp = new struct ::ta::tc [size];
  return tmp;
}

void ta::tc::flick_sequence_ta_tc::freebuf(struct ::ta::tc *buffer)
{
  delete [] buffer;
}

void ta::tc::flick_sequence_ta_tc::_allocate_buffer(CORBA::ULong length)
{
  struct ::ta::tc  *tmp = ta::tc::flick_sequence_ta_tc::allocbuf(length);
  if( this->_buffer != 0 )
  {
    CORBA::ULong i;
    struct ::ta::tc  *old = ACE_reinterpret_cast(struct ::ta::tc  *, this->_buffer);
    for( i = 0; i < this->_length; i++ )
      tmp[i] = old[i];
    if( this->_release )
      ta::tc::flick_sequence_ta_tc::freebuf(old);
  }
  this->_buffer = tmp;
}

void ta::tc::flick_sequence_ta_tc::_deallocate_buffer()
{
  if( this->_buffer == 0 || this->_release == 0 )
    return;
  struct ::ta::tc  *tmp = ACE_reinterpret_cast(struct ::ta::tc  *, this->_buffer);
  
  ta::tc::flick_sequence_ta_tc::freebuf(tmp);
  this->_buffer = 0;
}

CORBA::Boolean ta::tc::flick_sequence_ta_tc::release() const
{
  return this->_release;
}

CORBA::ULong ta::tc::flick_sequence_ta_tc::maximum() const
{
  return this->_maximum;
}

CORBA::ULong ta::tc::flick_sequence_ta_tc::length() const
{
  return this->_length;
}

void ta::tc::flick_sequence_ta_tc::length(CORBA::ULong length)
{
  if( length > this->_maximum )
  {
    this->_allocate_buffer(length);
    this->_maximum = length;
    this->_release = 1;
  }
  else if (length < this->_length)
  {
    this->_shrink_buffer(length, this->_length);
  }
  this->_length = length;
}

void ta::tc::flick_sequence_ta_tc::_shrink_buffer(CORBA::ULong length1, CORBA::ULong length2)
{
}

struct ::ta::tc *ta::tc::flick_sequence_ta_tc::get_buffer(CORBA::Boolean orphan)
{
  struct ::ta::tc  *result = 0;
  if( orphan == 0 )
  {
    if( this->_buffer == 0 )
    {
      result = ta::tc::flick_sequence_ta_tc::allocbuf(this->_length);
      this->_buffer = result;
    }
    else
    {
      result = ACE_reinterpret_cast(struct ::ta::tc  *, this->_buffer);
    }
  }
  else
  {
    if( this->_release != 0 )
    {
      result = ACE_reinterpret_cast(struct ::ta::tc  *, this->_buffer);
      this->_maximum = 0;
      this->_length = 0;
      this->_buffer = 0;
      this->_release = 0;
    }
  }
  return result;
}

const struct ::ta::tc *ta::tc::flick_sequence_ta_tc::get_buffer() const
{
  return ACE_const_cast(const struct ::ta::tc  * ACE_CAST_CONST, this->_buffer);
}

ta::tc::flick_sequence_ta_tc_var::flick_sequence_ta_tc_var()
  : ptr_(0)
{}

ta::tc::flick_sequence_ta_tc_var::flick_sequence_ta_tc_var(::ta::tc::flick_sequence_ta_tc *p)
 : ptr_(p)
{}

ta::tc::flick_sequence_ta_tc_var::flick_sequence_ta_tc_var(const ::ta::tc::flick_sequence_ta_tc_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new ::ta::tc::flick_sequence_ta_tc (*a.ptr_);
  else
    this->ptr_ = 0;
}

ta::tc::flick_sequence_ta_tc_var::~flick_sequence_ta_tc_var()
{
  delete this->ptr_;
}

::ta::tc::flick_sequence_ta_tc_var &ta::tc::flick_sequence_ta_tc_var::operator=(::ta::tc::flick_sequence_ta_tc *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

::ta::tc::flick_sequence_ta_tc_var &ta::tc::flick_sequence_ta_tc_var::operator=(const ::ta::tc::flick_sequence_ta_tc_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new ::ta::tc::flick_sequence_ta_tc (*p.ptr_);
  }
  return *this;
}

struct ::ta::tc &ta::tc::flick_sequence_ta_tc_var::operator[](CORBA::ULong index)
{
  return this->ptr_->operator[](index);
}

const struct ::ta::tc &ta::tc::flick_sequence_ta_tc_var::operator[](CORBA::ULong index) const
{
  return this->ptr_->operator[](index);
}

::ta::tc::flick_sequence_ta_tc *ta::tc::flick_sequence_ta_tc_var::operator->()
{
  return this->ptr_;
}

const ::ta::tc::flick_sequence_ta_tc *ta::tc::flick_sequence_ta_tc_var::operator->() const
{
  return this->ptr_;
}

ta::tc::flick_sequence_ta_tc_var::operator const ::ta::tc::flick_sequence_ta_tc &() const
{
  return *this->ptr_;
}

ta::tc::flick_sequence_ta_tc_var::operator ::ta::tc::flick_sequence_ta_tc &()
{
  return *this->ptr_;
}

ta::tc::flick_sequence_ta_tc_var::operator ::ta::tc::flick_sequence_ta_tc &() const
{
  return *this->ptr_;
}

const ::ta::tc::flick_sequence_ta_tc &ta::tc::flick_sequence_ta_tc_var::in() const
{
  return *this->ptr_;
}

::ta::tc::flick_sequence_ta_tc &ta::tc::flick_sequence_ta_tc_var::inout()
{
  return *this->ptr_;
}

::ta::tc::flick_sequence_ta_tc *&ta::tc::flick_sequence_ta_tc_var::out()
{
  delete this->ptr_;
  this->ptr_ = 0;
  return this->ptr_;
}

::ta::tc::flick_sequence_ta_tc *ta::tc::flick_sequence_ta_tc_var::_retn()
{
  ::ta::tc::flick_sequence_ta_tc  *tmp = this->ptr_;
  this->ptr_ = 0;
  return tmp;
}

::ta::tc::flick_sequence_ta_tc *ta::tc::flick_sequence_ta_tc_var::ptr() const
{
  return this->ptr_;
}

ta::tc::flick_sequence_ta_tc_out::flick_sequence_ta_tc_out(::ta::tc::flick_sequence_ta_tc *&r)
  : ptr_(r)
{
  this->ptr_ = 0;
}

ta::tc::flick_sequence_ta_tc_out::flick_sequence_ta_tc_out(::ta::tc::flick_sequence_ta_tc_var &r)
  : ptr_(r.out())
{
  delete this->ptr_;
  this->ptr_ = 0;
}

ta::tc::flick_sequence_ta_tc_out::flick_sequence_ta_tc_out(const ::ta::tc::flick_sequence_ta_tc_out &r)
  : ptr_(ACE_const_cast(::ta::tc::flick_sequence_ta_tc_out &,r).ptr_)
{}

::ta::tc::flick_sequence_ta_tc_out &ta::tc::flick_sequence_ta_tc_out::operator=(const ::ta::tc::flick_sequence_ta_tc_out &r)
{
  this->ptr_ = ACE_const_cast(::ta::tc::flick_sequence_ta_tc_out &,r).ptr_;
  return *this;
}

::ta::tc::flick_sequence_ta_tc_out &ta::tc::flick_sequence_ta_tc_out::operator=(::ta::tc::flick_sequence_ta_tc *r)
{
  this->ptr_ = r;
  return *this;
}

ta::tc::flick_sequence_ta_tc_out::operator ::ta::tc::flick_sequence_ta_tc *&()
{
  return this->ptr_;
}

::ta::tc::flick_sequence_ta_tc *&ta::tc::flick_sequence_ta_tc_out::ptr()
{
  return this->ptr_;
}

struct ::ta::tc &ta::tc::flick_sequence_ta_tc_out::operator[](CORBA::ULong index)
{
  return this->ptr_->operator[](index);
}

const struct ::ta::tc &ta::tc::flick_sequence_ta_tc_out::operator[](CORBA::ULong index) const
{
  return this->ptr_->operator[](index);
}

::ta::tc::flick_sequence_ta_tc *ta::tc::flick_sequence_ta_tc_out::operator->()
{
  return this->ptr_;
}

static const CORBA::Long _oc_ta_td[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x643a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/td:1.0 */,
    3, ACE_NTOHL(0x74640000) /* name = td */,
    2 /* member count */,
    2, ACE_NTOHL(0x61000000) /* name = a */,
    CORBA::tk_struct,
    72 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x623a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/tb:1.0 */,
      3, ACE_NTOHL(0x74620000) /* name = tb */,
      3 /* member count */,
      2, ACE_NTOHL(0x61000000) /* name = a */,
      CORBA::tk_long,
      2, ACE_NTOHL(0x62000000) /* name = b */,
      CORBA::tk_double,
      2, ACE_NTOHL(0x63000000) /* name = c */,
      CORBA::tk_short,
    2, ACE_NTOHL(0x62000000) /* name = b */,
    CORBA::tk_struct,
    160 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      17, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x642f7465), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:ta/td/te:1.0 */,
      3, ACE_NTOHL(0x74650000) /* name = te */,
      5 /* member count */,
      2, ACE_NTOHL(0x61000000) /* name = a */,
      CORBA::tk_char,
      2, ACE_NTOHL(0x62000000) /* name = b */,
      CORBA::tk_char,
      2, ACE_NTOHL(0x63000000) /* name = c */,
      CORBA::tk_char,
      2, ACE_NTOHL(0x64000000) /* name = d */,
      CORBA::tk_char,
      2, ACE_NTOHL(0x65000000) /* name = e */,
      CORBA::tk_alias,
      56 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        21, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x615f7464), ACE_NTOHL(0x00000000) /* name = flick_sequence_ta_td */,
        CORBA::tk_sequence,
        16 /* encapsulation length */,
          TAO_ENCAP_BYTE_ORDER /* byte order */,
          -1, -144,
          0
};

static CORBA::TypeCode _tc_TAO_tc_ta_td (CORBA::tk_struct, sizeof(_oc_ta_td), (char *) &_oc_ta_td, 0, sizeof(struct ::ta::td ));

CORBA::TypeCode_ptr ta::_tc_td = &_tc_TAO_tc_ta_td;

void operator<<=(CORBA::Any &a, const struct ::ta::td &o)
{
  struct ::ta::td  *_any_val;
  ACE_NEW(_any_val, struct ::ta::td  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(ta::_tc_td, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, struct ::ta::td *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(ta::_tc_td, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, struct ::ta::td *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(ta::_tc_td, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (struct ::ta::td  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, struct ::ta::td , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(ta::_tc_td, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(ta::_tc_td, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

ta::td_var::td_var()
  : ptr_(0)
{}

ta::td_var::td_var(struct ::ta::td *p)
 : ptr_(p)
{}

ta::td_var::td_var(const ::ta::td_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new struct ::ta::td (*a.ptr_);
  else
    this->ptr_ = 0;
}

ta::td_var::~td_var()
{
  delete this->ptr_;
}

::ta::td_var &ta::td_var::operator=(struct ::ta::td *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

::ta::td_var &ta::td_var::operator=(const ::ta::td_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new struct ::ta::td (*p.ptr_);
  }
  return *this;
}

struct ::ta::td *ta::td_var::operator->()
{
  return this->ptr_;
}

const struct ::ta::td *ta::td_var::operator->() const
{
  return this->ptr_;
}

ta::td_var::operator const struct ::ta::td &() const
{
  return *this->ptr_;
}

ta::td_var::operator struct ::ta::td &()
{
  return *this->ptr_;
}

ta::td_var::operator struct ::ta::td &() const
{
  return *this->ptr_;
}

const struct ::ta::td &ta::td_var::in() const
{
  return *this->ptr_;
}

struct ::ta::td &ta::td_var::inout()
{
  return *this->ptr_;
}

struct ::ta::td *&ta::td_var::out()
{
  delete this->ptr_;
  this->ptr_ = 0;
  return this->ptr_;
}

struct ::ta::td *ta::td_var::_retn()
{
  struct ::ta::td  *tmp = this->ptr_;
  this->ptr_ = 0;
  return tmp;
}

struct ::ta::td *ta::td_var::ptr() const
{
  return this->ptr_;
}

ta::td_out::td_out(struct ::ta::td *&r)
  : ptr_(r)
{
  this->ptr_ = 0;
}

ta::td_out::td_out(::ta::td_var &r)
  : ptr_(r.out())
{
  delete this->ptr_;
  this->ptr_ = 0;
}

ta::td_out::td_out(const ::ta::td_out &r)
  : ptr_(ACE_const_cast(::ta::td_out &,r).ptr_)
{}

::ta::td_out &ta::td_out::operator=(const ::ta::td_out &r)
{
  this->ptr_ = ACE_const_cast(::ta::td_out &,r).ptr_;
  return *this;
}

::ta::td_out &ta::td_out::operator=(struct ::ta::td *r)
{
  this->ptr_ = r;
  return *this;
}

ta::td_out::operator struct ::ta::td *&()
{
  return this->ptr_;
}

struct ::ta::td *&ta::td_out::ptr()
{
  return this->ptr_;
}

struct ::ta::td *ta::td_out::operator->()
{
  return this->ptr_;
}

static const CORBA::Long _oc_ta_td_te[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    17, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x642f7465), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:ta/td/te:1.0 */,
    3, ACE_NTOHL(0x74650000) /* name = te */,
    5 /* member count */,
    2, ACE_NTOHL(0x61000000) /* name = a */,
    CORBA::tk_char,
    2, ACE_NTOHL(0x62000000) /* name = b */,
    CORBA::tk_char,
    2, ACE_NTOHL(0x63000000) /* name = c */,
    CORBA::tk_char,
    2, ACE_NTOHL(0x64000000) /* name = d */,
    CORBA::tk_char,
    2, ACE_NTOHL(0x65000000) /* name = e */,
    CORBA::tk_alias,
    196 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      21, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x615f7464), ACE_NTOHL(0x00000000) /* name = flick_sequence_ta_td */,
      CORBA::tk_sequence,
      156 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        CORBA::tk_struct,
        140 /* encapsulation length */,
          TAO_ENCAP_BYTE_ORDER /* byte order */,
          14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x643a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/td:1.0 */,
          3, ACE_NTOHL(0x74640000) /* name = td */,
          2 /* member count */,
          2, ACE_NTOHL(0x61000000) /* name = a */,
          CORBA::tk_struct,
          72 /* encapsulation length */,
            TAO_ENCAP_BYTE_ORDER /* byte order */,
            14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x623a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/tb:1.0 */,
            3, ACE_NTOHL(0x74620000) /* name = tb */,
            3 /* member count */,
            2, ACE_NTOHL(0x61000000) /* name = a */,
            CORBA::tk_long,
            2, ACE_NTOHL(0x62000000) /* name = b */,
            CORBA::tk_double,
            2, ACE_NTOHL(0x63000000) /* name = c */,
            CORBA::tk_short,
          2, ACE_NTOHL(0x62000000) /* name = b */,
          -1, -108,
        0
};

static CORBA::TypeCode _tc_TAO_tc_ta_td_te (CORBA::tk_struct, sizeof(_oc_ta_td_te), (char *) &_oc_ta_td_te, 0, sizeof(struct ::ta::td::te ));

CORBA::TypeCode_ptr ta::td::_tc_te = &_tc_TAO_tc_ta_td_te;

void operator<<=(CORBA::Any &a, const struct ::ta::td::te &o)
{
  struct ::ta::td::te  *_any_val;
  ACE_NEW(_any_val, struct ::ta::td::te  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(ta::td::_tc_te, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, struct ::ta::td::te *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(ta::td::_tc_te, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, struct ::ta::td::te *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(ta::td::_tc_te, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (struct ::ta::td::te  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, struct ::ta::td::te , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(ta::td::_tc_te, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(ta::td::_tc_te, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

ta::td::te_var::te_var()
  : ptr_(0)
{}

ta::td::te_var::te_var(struct ::ta::td::te *p)
 : ptr_(p)
{}

ta::td::te_var::te_var(const ::ta::td::te_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new struct ::ta::td::te (*a.ptr_);
  else
    this->ptr_ = 0;
}

ta::td::te_var::~te_var()
{
  delete this->ptr_;
}

::ta::td::te_var &ta::td::te_var::operator=(struct ::ta::td::te *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

::ta::td::te_var &ta::td::te_var::operator=(const ::ta::td::te_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new struct ::ta::td::te (*p.ptr_);
  }
  return *this;
}

struct ::ta::td::te *ta::td::te_var::operator->()
{
  return this->ptr_;
}

const struct ::ta::td::te *ta::td::te_var::operator->() const
{
  return this->ptr_;
}

ta::td::te_var::operator const struct ::ta::td::te &() const
{
  return *this->ptr_;
}

ta::td::te_var::operator struct ::ta::td::te &()
{
  return *this->ptr_;
}

ta::td::te_var::operator struct ::ta::td::te &() const
{
  return *this->ptr_;
}

const struct ::ta::td::te &ta::td::te_var::in() const
{
  return *this->ptr_;
}

struct ::ta::td::te &ta::td::te_var::inout()
{
  return *this->ptr_;
}

struct ::ta::td::te *&ta::td::te_var::out()
{
  delete this->ptr_;
  this->ptr_ = 0;
  return this->ptr_;
}

struct ::ta::td::te *ta::td::te_var::_retn()
{
  struct ::ta::td::te  *tmp = this->ptr_;
  this->ptr_ = 0;
  return tmp;
}

struct ::ta::td::te *ta::td::te_var::ptr() const
{
  return this->ptr_;
}

ta::td::te_out::te_out(struct ::ta::td::te *&r)
  : ptr_(r)
{
  this->ptr_ = 0;
}

ta::td::te_out::te_out(::ta::td::te_var &r)
  : ptr_(r.out())
{
  delete this->ptr_;
  this->ptr_ = 0;
}

ta::td::te_out::te_out(const ::ta::td::te_out &r)
  : ptr_(ACE_const_cast(::ta::td::te_out &,r).ptr_)
{}

::ta::td::te_out &ta::td::te_out::operator=(const ::ta::td::te_out &r)
{
  this->ptr_ = ACE_const_cast(::ta::td::te_out &,r).ptr_;
  return *this;
}

::ta::td::te_out &ta::td::te_out::operator=(struct ::ta::td::te *r)
{
  this->ptr_ = r;
  return *this;
}

ta::td::te_out::operator struct ::ta::td::te *&()
{
  return this->ptr_;
}

struct ::ta::td::te *&ta::td::te_out::ptr()
{
  return this->ptr_;
}

struct ::ta::td::te *ta::td::te_out::operator->()
{
  return this->ptr_;
}

static const CORBA::Long _oc_ta_td_te_flick_sequence_ta_td[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    21, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x615f7464), ACE_NTOHL(0x00000000) /* name = flick_sequence_ta_td */,
    CORBA::tk_sequence,
    260 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      CORBA::tk_struct,
      244 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x643a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/td:1.0 */,
        3, ACE_NTOHL(0x74640000) /* name = td */,
        2 /* member count */,
        2, ACE_NTOHL(0x61000000) /* name = a */,
        CORBA::tk_struct,
        72 /* encapsulation length */,
          TAO_ENCAP_BYTE_ORDER /* byte order */,
          14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x623a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/tb:1.0 */,
          3, ACE_NTOHL(0x74620000) /* name = tb */,
          3 /* member count */,
          2, ACE_NTOHL(0x61000000) /* name = a */,
          CORBA::tk_long,
          2, ACE_NTOHL(0x62000000) /* name = b */,
          CORBA::tk_double,
          2, ACE_NTOHL(0x63000000) /* name = c */,
          CORBA::tk_short,
        2, ACE_NTOHL(0x62000000) /* name = b */,
        CORBA::tk_struct,
        104 /* encapsulation length */,
          TAO_ENCAP_BYTE_ORDER /* byte order */,
          17, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x642f7465), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:ta/td/te:1.0 */,
          3, ACE_NTOHL(0x74650000) /* name = te */,
          5 /* member count */,
          2, ACE_NTOHL(0x61000000) /* name = a */,
          CORBA::tk_char,
          2, ACE_NTOHL(0x62000000) /* name = b */,
          CORBA::tk_char,
          2, ACE_NTOHL(0x63000000) /* name = c */,
          CORBA::tk_char,
          2, ACE_NTOHL(0x64000000) /* name = d */,
          CORBA::tk_char,
          2, ACE_NTOHL(0x65000000) /* name = e */,
          -1, -44,
      0
};

static CORBA::TypeCode _tc_TAO_tc_ta_td_te_flick_sequence_ta_td (CORBA::tk_alias, sizeof(_oc_ta_td_te_flick_sequence_ta_td), (char *) &_oc_ta_td_te_flick_sequence_ta_td, 0, sizeof(::ta::td::te::flick_sequence_ta_td ));

CORBA::TypeCode_ptr ta::td::te::_tc_flick_sequence_ta_td = &_tc_TAO_tc_ta_td_te_flick_sequence_ta_td;

ta::td::te::flick_sequence_ta_td::flick_sequence_ta_td()
  : _maximum(0),
    _length(0),
    _buffer(0),
    _release(0)
{
}

ta::td::te::flick_sequence_ta_td::flick_sequence_ta_td(CORBA::ULong max)
  : _maximum(max), _length(0), _release(1)
{
  this->_buffer = ta::td::te::flick_sequence_ta_td::allocbuf(this->_maximum);
}

ta::td::te::flick_sequence_ta_td::flick_sequence_ta_td(CORBA::ULong max, CORBA::ULong length, struct ::ta::td *buffer, CORBA::Boolean release)
  : _maximum(max),
    _length(length),
    _buffer(buffer),
    _release(release)
{
}

ta::td::te::flick_sequence_ta_td::flick_sequence_ta_td(const ::ta::td::te::flick_sequence_ta_td &o)
  : _maximum(o._maximum),
    _length(o._length),
    _release(1)
{
  struct ::ta::td  *tmp1 = ta::td::te::flick_sequence_ta_td::allocbuf(this->_maximum);
  
  struct ::ta::td  * const tmp2 = ACE_reinterpret_cast(struct ::ta::td  * ACE_CAST_CONST, o._buffer);
  
  for(CORBA::ULong i = 0; i < this->_length; i++ )
    tmp1[i] = tmp2[i];
  
  this->_buffer = tmp1;
}

ta::td::te::flick_sequence_ta_td::~flick_sequence_ta_td()
{
  this->_deallocate_buffer();
}

::ta::td::te::flick_sequence_ta_td &ta::td::te::flick_sequence_ta_td::operator=(const ::ta::td::te::flick_sequence_ta_td &rhs)
{
  if( this == &rhs )
    return *this;
  if( this->_release )
  {
  
    if( this->_maximum < rhs._maximum )
    {
      struct ::ta::td  *tmp = ACE_reinterpret_cast(struct ::ta::td  *, this->_buffer);
      
      ta::td::te::flick_sequence_ta_td::freebuf(tmp);
      this->_buffer = ta::td::te::flick_sequence_ta_td::allocbuf(rhs._maximum);
    }
  
  }
  else
    this->_buffer = ta::td::te::flick_sequence_ta_td::allocbuf(rhs._maximum);
  this->_maximum = rhs._maximum;
  this->_length = rhs._length;
  this->_release = 1;
  struct ::ta::td  *tmp1 = ACE_reinterpret_cast(struct ::ta::td  *, this->_buffer);
  struct ::ta::td  * const tmp2 = ACE_reinterpret_cast(struct ::ta::td  * ACE_CAST_CONST, rhs._buffer);
  for(CORBA::ULong i = 0; i < this->_length; i++ )
    tmp1[i] = tmp2[i];
  return *this;
}

struct ::ta::td &ta::td::te::flick_sequence_ta_td::operator[](CORBA::ULong i)
{
  ACE_ASSERT(i < this->_maximum);
  struct ::ta::td  * tmp = ACE_reinterpret_cast(struct ::ta::td  *, this->_buffer);
  return tmp[i];
}

const struct ::ta::td &ta::td::te::flick_sequence_ta_td::operator[](CORBA::ULong i) const
{
  ACE_ASSERT(i < this->_maximum);
  struct ::ta::td  * const tmp = ACE_reinterpret_cast(struct ::ta::td  *ACE_CAST_CONST, this->_buffer);
  return tmp[i];
}

struct ::ta::td *ta::td::te::flick_sequence_ta_td::allocbuf(CORBA::ULong size)
{
  struct ::ta::td  *tmp;
  tmp = new struct ::ta::td [size];
  return tmp;
}

void ta::td::te::flick_sequence_ta_td::freebuf(struct ::ta::td *buffer)
{
  delete [] buffer;
}

void ta::td::te::flick_sequence_ta_td::_allocate_buffer(CORBA::ULong length)
{
  struct ::ta::td  *tmp = ta::td::te::flick_sequence_ta_td::allocbuf(length);
  if( this->_buffer != 0 )
  {
    CORBA::ULong i;
    struct ::ta::td  *old = ACE_reinterpret_cast(struct ::ta::td  *, this->_buffer);
    for( i = 0; i < this->_length; i++ )
      tmp[i] = old[i];
    if( this->_release )
      ta::td::te::flick_sequence_ta_td::freebuf(old);
  }
  this->_buffer = tmp;
}

void ta::td::te::flick_sequence_ta_td::_deallocate_buffer()
{
  if( this->_buffer == 0 || this->_release == 0 )
    return;
  struct ::ta::td  *tmp = ACE_reinterpret_cast(struct ::ta::td  *, this->_buffer);
  
  ta::td::te::flick_sequence_ta_td::freebuf(tmp);
  this->_buffer = 0;
}

CORBA::Boolean ta::td::te::flick_sequence_ta_td::release() const
{
  return this->_release;
}

CORBA::ULong ta::td::te::flick_sequence_ta_td::maximum() const
{
  return this->_maximum;
}

CORBA::ULong ta::td::te::flick_sequence_ta_td::length() const
{
  return this->_length;
}

void ta::td::te::flick_sequence_ta_td::length(CORBA::ULong length)
{
  if( length > this->_maximum )
  {
    this->_allocate_buffer(length);
    this->_maximum = length;
    this->_release = 1;
  }
  else if (length < this->_length)
  {
    this->_shrink_buffer(length, this->_length);
  }
  this->_length = length;
}

void ta::td::te::flick_sequence_ta_td::_shrink_buffer(CORBA::ULong length1, CORBA::ULong length2)
{
}

struct ::ta::td *ta::td::te::flick_sequence_ta_td::get_buffer(CORBA::Boolean orphan)
{
  struct ::ta::td  *result = 0;
  if( orphan == 0 )
  {
    if( this->_buffer == 0 )
    {
      result = ta::td::te::flick_sequence_ta_td::allocbuf(this->_length);
      this->_buffer = result;
    }
    else
    {
      result = ACE_reinterpret_cast(struct ::ta::td  *, this->_buffer);
    }
  }
  else
  {
    if( this->_release != 0 )
    {
      result = ACE_reinterpret_cast(struct ::ta::td  *, this->_buffer);
      this->_maximum = 0;
      this->_length = 0;
      this->_buffer = 0;
      this->_release = 0;
    }
  }
  return result;
}

const struct ::ta::td *ta::td::te::flick_sequence_ta_td::get_buffer() const
{
  return ACE_const_cast(const struct ::ta::td  * ACE_CAST_CONST, this->_buffer);
}

ta::td::te::flick_sequence_ta_td_var::flick_sequence_ta_td_var()
  : ptr_(0)
{}

ta::td::te::flick_sequence_ta_td_var::flick_sequence_ta_td_var(::ta::td::te::flick_sequence_ta_td *p)
 : ptr_(p)
{}

ta::td::te::flick_sequence_ta_td_var::flick_sequence_ta_td_var(const ::ta::td::te::flick_sequence_ta_td_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new ::ta::td::te::flick_sequence_ta_td (*a.ptr_);
  else
    this->ptr_ = 0;
}

ta::td::te::flick_sequence_ta_td_var::~flick_sequence_ta_td_var()
{
  delete this->ptr_;
}

::ta::td::te::flick_sequence_ta_td_var &ta::td::te::flick_sequence_ta_td_var::operator=(::ta::td::te::flick_sequence_ta_td *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

::ta::td::te::flick_sequence_ta_td_var &ta::td::te::flick_sequence_ta_td_var::operator=(const ::ta::td::te::flick_sequence_ta_td_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new ::ta::td::te::flick_sequence_ta_td (*p.ptr_);
  }
  return *this;
}

struct ::ta::td &ta::td::te::flick_sequence_ta_td_var::operator[](CORBA::ULong index)
{
  return this->ptr_->operator[](index);
}

const struct ::ta::td &ta::td::te::flick_sequence_ta_td_var::operator[](CORBA::ULong index) const
{
  return this->ptr_->operator[](index);
}

::ta::td::te::flick_sequence_ta_td *ta::td::te::flick_sequence_ta_td_var::operator->()
{
  return this->ptr_;
}

const ::ta::td::te::flick_sequence_ta_td *ta::td::te::flick_sequence_ta_td_var::operator->() const
{
  return this->ptr_;
}

ta::td::te::flick_sequence_ta_td_var::operator const ::ta::td::te::flick_sequence_ta_td &() const
{
  return *this->ptr_;
}

ta::td::te::flick_sequence_ta_td_var::operator ::ta::td::te::flick_sequence_ta_td &()
{
  return *this->ptr_;
}

ta::td::te::flick_sequence_ta_td_var::operator ::ta::td::te::flick_sequence_ta_td &() const
{
  return *this->ptr_;
}

const ::ta::td::te::flick_sequence_ta_td &ta::td::te::flick_sequence_ta_td_var::in() const
{
  return *this->ptr_;
}

::ta::td::te::flick_sequence_ta_td &ta::td::te::flick_sequence_ta_td_var::inout()
{
  return *this->ptr_;
}

::ta::td::te::flick_sequence_ta_td *&ta::td::te::flick_sequence_ta_td_var::out()
{
  delete this->ptr_;
  this->ptr_ = 0;
  return this->ptr_;
}

::ta::td::te::flick_sequence_ta_td *ta::td::te::flick_sequence_ta_td_var::_retn()
{
  ::ta::td::te::flick_sequence_ta_td  *tmp = this->ptr_;
  this->ptr_ = 0;
  return tmp;
}

::ta::td::te::flick_sequence_ta_td *ta::td::te::flick_sequence_ta_td_var::ptr() const
{
  return this->ptr_;
}

ta::td::te::flick_sequence_ta_td_out::flick_sequence_ta_td_out(::ta::td::te::flick_sequence_ta_td *&r)
  : ptr_(r)
{
  this->ptr_ = 0;
}

ta::td::te::flick_sequence_ta_td_out::flick_sequence_ta_td_out(::ta::td::te::flick_sequence_ta_td_var &r)
  : ptr_(r.out())
{
  delete this->ptr_;
  this->ptr_ = 0;
}

ta::td::te::flick_sequence_ta_td_out::flick_sequence_ta_td_out(const ::ta::td::te::flick_sequence_ta_td_out &r)
  : ptr_(ACE_const_cast(::ta::td::te::flick_sequence_ta_td_out &,r).ptr_)
{}

::ta::td::te::flick_sequence_ta_td_out &ta::td::te::flick_sequence_ta_td_out::operator=(const ::ta::td::te::flick_sequence_ta_td_out &r)
{
  this->ptr_ = ACE_const_cast(::ta::td::te::flick_sequence_ta_td_out &,r).ptr_;
  return *this;
}

::ta::td::te::flick_sequence_ta_td_out &ta::td::te::flick_sequence_ta_td_out::operator=(::ta::td::te::flick_sequence_ta_td *r)
{
  this->ptr_ = r;
  return *this;
}

ta::td::te::flick_sequence_ta_td_out::operator ::ta::td::te::flick_sequence_ta_td *&()
{
  return this->ptr_;
}

::ta::td::te::flick_sequence_ta_td *&ta::td::te::flick_sequence_ta_td_out::ptr()
{
  return this->ptr_;
}

struct ::ta::td &ta::td::te::flick_sequence_ta_td_out::operator[](CORBA::ULong index)
{
  return this->ptr_->operator[](index);
}

const struct ::ta::td &ta::td::te::flick_sequence_ta_td_out::operator[](CORBA::ULong index) const
{
  return this->ptr_->operator[](index);
}

::ta::td::te::flick_sequence_ta_td *ta::td::te::flick_sequence_ta_td_out::operator->()
{
  return this->ptr_;
}

static const CORBA::Long _oc_ta_flick_sequence_ta[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    18, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x61000000) /* name = flick_sequence_ta */,
    CORBA::tk_sequence,
    1180 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      CORBA::tk_struct,
      1164 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        11, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74613a31), ACE_NTOHL(0x2e300000) /* repository ID = IDL:ta:1.0 */,
        3, ACE_NTOHL(0x74610000) /* name = ta */,
        7 /* member count */,
        2, ACE_NTOHL(0x61000000) /* name = a */,
        CORBA::tk_struct,
        72 /* encapsulation length */,
          TAO_ENCAP_BYTE_ORDER /* byte order */,
          14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x623a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/tb:1.0 */,
          3, ACE_NTOHL(0x74620000) /* name = tb */,
          3 /* member count */,
          2, ACE_NTOHL(0x61000000) /* name = a */,
          CORBA::tk_long,
          2, ACE_NTOHL(0x62000000) /* name = b */,
          CORBA::tk_double,
          2, ACE_NTOHL(0x63000000) /* name = c */,
          CORBA::tk_short,
        2, ACE_NTOHL(0x62000000) /* name = b */,
        CORBA::tk_struct,
        136 /* encapsulation length */,
          TAO_ENCAP_BYTE_ORDER /* byte order */,
          14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x633a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/tc:1.0 */,
          3, ACE_NTOHL(0x74630000) /* name = tc */,
          3 /* member count */,
          2, ACE_NTOHL(0x61000000) /* name = a */,
          CORBA::tk_char,
          2, ACE_NTOHL(0x62000000) /* name = b */,
          CORBA::tk_string,
          0,
          2, ACE_NTOHL(0x63000000) /* name = c */,
          CORBA::tk_alias,
          56 /* encapsulation length */,
            TAO_ENCAP_BYTE_ORDER /* byte order */,
            21, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x615f7463), ACE_NTOHL(0x00000000) /* name = flick_sequence_ta_tc */,
            CORBA::tk_sequence,
            16 /* encapsulation length */,
              TAO_ENCAP_BYTE_ORDER /* byte order */,
              -1, -84,
              0,
        2, ACE_NTOHL(0x63000000) /* name = c */,
        CORBA::tk_struct,
        300 /* encapsulation length */,
          TAO_ENCAP_BYTE_ORDER /* byte order */,
          14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x643a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/td:1.0 */,
          3, ACE_NTOHL(0x74640000) /* name = td */,
          2 /* member count */,
          2, ACE_NTOHL(0x61000000) /* name = a */,
          CORBA::tk_struct,
          72 /* encapsulation length */,
            TAO_ENCAP_BYTE_ORDER /* byte order */,
            14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x623a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/tb:1.0 */,
            3, ACE_NTOHL(0x74620000) /* name = tb */,
            3 /* member count */,
            2, ACE_NTOHL(0x61000000) /* name = a */,
            CORBA::tk_long,
            2, ACE_NTOHL(0x62000000) /* name = b */,
            CORBA::tk_double,
            2, ACE_NTOHL(0x63000000) /* name = c */,
            CORBA::tk_short,
          2, ACE_NTOHL(0x62000000) /* name = b */,
          CORBA::tk_struct,
          160 /* encapsulation length */,
            TAO_ENCAP_BYTE_ORDER /* byte order */,
            17, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x642f7465), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:ta/td/te:1.0 */,
            3, ACE_NTOHL(0x74650000) /* name = te */,
            5 /* member count */,
            2, ACE_NTOHL(0x61000000) /* name = a */,
            CORBA::tk_char,
            2, ACE_NTOHL(0x62000000) /* name = b */,
            CORBA::tk_char,
            2, ACE_NTOHL(0x63000000) /* name = c */,
            CORBA::tk_char,
            2, ACE_NTOHL(0x64000000) /* name = d */,
            CORBA::tk_char,
            2, ACE_NTOHL(0x65000000) /* name = e */,
            CORBA::tk_alias,
            56 /* encapsulation length */,
              TAO_ENCAP_BYTE_ORDER /* byte order */,
              21, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x615f7464), ACE_NTOHL(0x00000000) /* name = flick_sequence_ta_td */,
              CORBA::tk_sequence,
              16 /* encapsulation length */,
                TAO_ENCAP_BYTE_ORDER /* byte order */,
                -1, -144,
                0,
        5, ACE_NTOHL(0x6e657874), ACE_NTOHL(0x00000000) /* name = next */,
        -1, -40,
        2, ACE_NTOHL(0x64000000) /* name = d */,
        CORBA::tk_struct,
        72 /* encapsulation length */,
          TAO_ENCAP_BYTE_ORDER /* byte order */,
          14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x623a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/tb:1.0 */,
          3, ACE_NTOHL(0x74620000) /* name = tb */,
          3 /* member count */,
          2, ACE_NTOHL(0x61000000) /* name = a */,
          CORBA::tk_long,
          2, ACE_NTOHL(0x62000000) /* name = b */,
          CORBA::tk_double,
          2, ACE_NTOHL(0x63000000) /* name = c */,
          CORBA::tk_short,
        2, ACE_NTOHL(0x65000000) /* name = e */,
        CORBA::tk_struct,
        136 /* encapsulation length */,
          TAO_ENCAP_BYTE_ORDER /* byte order */,
          14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x633a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/tc:1.0 */,
          3, ACE_NTOHL(0x74630000) /* name = tc */,
          3 /* member count */,
          2, ACE_NTOHL(0x61000000) /* name = a */,
          CORBA::tk_char,
          2, ACE_NTOHL(0x62000000) /* name = b */,
          CORBA::tk_string,
          0,
          2, ACE_NTOHL(0x63000000) /* name = c */,
          CORBA::tk_alias,
          56 /* encapsulation length */,
            TAO_ENCAP_BYTE_ORDER /* byte order */,
            21, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x615f7463), ACE_NTOHL(0x00000000) /* name = flick_sequence_ta_tc */,
            CORBA::tk_sequence,
            16 /* encapsulation length */,
              TAO_ENCAP_BYTE_ORDER /* byte order */,
              -1, -84,
              0,
        2, ACE_NTOHL(0x66000000) /* name = f */,
        CORBA::tk_struct,
        300 /* encapsulation length */,
          TAO_ENCAP_BYTE_ORDER /* byte order */,
          14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x643a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/td:1.0 */,
          3, ACE_NTOHL(0x74640000) /* name = td */,
          2 /* member count */,
          2, ACE_NTOHL(0x61000000) /* name = a */,
          CORBA::tk_struct,
          72 /* encapsulation length */,
            TAO_ENCAP_BYTE_ORDER /* byte order */,
            14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x623a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/tb:1.0 */,
            3, ACE_NTOHL(0x74620000) /* name = tb */,
            3 /* member count */,
            2, ACE_NTOHL(0x61000000) /* name = a */,
            CORBA::tk_long,
            2, ACE_NTOHL(0x62000000) /* name = b */,
            CORBA::tk_double,
            2, ACE_NTOHL(0x63000000) /* name = c */,
            CORBA::tk_short,
          2, ACE_NTOHL(0x62000000) /* name = b */,
          CORBA::tk_struct,
          160 /* encapsulation length */,
            TAO_ENCAP_BYTE_ORDER /* byte order */,
            17, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x642f7465), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:ta/td/te:1.0 */,
            3, ACE_NTOHL(0x74650000) /* name = te */,
            5 /* member count */,
            2, ACE_NTOHL(0x61000000) /* name = a */,
            CORBA::tk_char,
            2, ACE_NTOHL(0x62000000) /* name = b */,
            CORBA::tk_char,
            2, ACE_NTOHL(0x63000000) /* name = c */,
            CORBA::tk_char,
            2, ACE_NTOHL(0x64000000) /* name = d */,
            CORBA::tk_char,
            2, ACE_NTOHL(0x65000000) /* name = e */,
            CORBA::tk_alias,
            56 /* encapsulation length */,
              TAO_ENCAP_BYTE_ORDER /* byte order */,
              21, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x615f7464), ACE_NTOHL(0x00000000) /* name = flick_sequence_ta_td */,
              CORBA::tk_sequence,
              16 /* encapsulation length */,
                TAO_ENCAP_BYTE_ORDER /* byte order */,
                -1, -144,
                0,
      0
};

static CORBA::TypeCode _tc_TAO_tc_ta_flick_sequence_ta (CORBA::tk_alias, sizeof(_oc_ta_flick_sequence_ta), (char *) &_oc_ta_flick_sequence_ta, 0, sizeof(::ta::flick_sequence_ta ));

CORBA::TypeCode_ptr ta::_tc_flick_sequence_ta = &_tc_TAO_tc_ta_flick_sequence_ta;

ta::flick_sequence_ta::flick_sequence_ta()
  : _maximum(0),
    _length(0),
    _buffer(0),
    _release(0)
{
}

ta::flick_sequence_ta::flick_sequence_ta(CORBA::ULong max)
  : _maximum(max), _length(0), _release(1)
{
  this->_buffer = ta::flick_sequence_ta::allocbuf(this->_maximum);
}

ta::flick_sequence_ta::flick_sequence_ta(CORBA::ULong max, CORBA::ULong length, struct ta *buffer, CORBA::Boolean release)
  : _maximum(max),
    _length(length),
    _buffer(buffer),
    _release(release)
{
}

ta::flick_sequence_ta::flick_sequence_ta(const ::ta::flick_sequence_ta &o)
  : _maximum(o._maximum),
    _length(o._length),
    _release(1)
{
  struct ta  *tmp1 = ta::flick_sequence_ta::allocbuf(this->_maximum);
  
  struct ta  * const tmp2 = ACE_reinterpret_cast(struct ta  * ACE_CAST_CONST, o._buffer);
  
  for(CORBA::ULong i = 0; i < this->_length; i++ )
    tmp1[i] = tmp2[i];
  
  this->_buffer = tmp1;
}

ta::flick_sequence_ta::~flick_sequence_ta()
{
  this->_deallocate_buffer();
}

::ta::flick_sequence_ta &ta::flick_sequence_ta::operator=(const ::ta::flick_sequence_ta &rhs)
{
  if( this == &rhs )
    return *this;
  if( this->_release )
  {
  
    if( this->_maximum < rhs._maximum )
    {
      struct ta  *tmp = ACE_reinterpret_cast(struct ta  *, this->_buffer);
      
      ta::flick_sequence_ta::freebuf(tmp);
      this->_buffer = ta::flick_sequence_ta::allocbuf(rhs._maximum);
    }
  
  }
  else
    this->_buffer = ta::flick_sequence_ta::allocbuf(rhs._maximum);
  this->_maximum = rhs._maximum;
  this->_length = rhs._length;
  this->_release = 1;
  struct ta  *tmp1 = ACE_reinterpret_cast(struct ta  *, this->_buffer);
  struct ta  * const tmp2 = ACE_reinterpret_cast(struct ta  * ACE_CAST_CONST, rhs._buffer);
  for(CORBA::ULong i = 0; i < this->_length; i++ )
    tmp1[i] = tmp2[i];
  return *this;
}

struct ta &ta::flick_sequence_ta::operator[](CORBA::ULong i)
{
  ACE_ASSERT(i < this->_maximum);
  struct ta  * tmp = ACE_reinterpret_cast(struct ta  *, this->_buffer);
  return tmp[i];
}

const struct ta &ta::flick_sequence_ta::operator[](CORBA::ULong i) const
{
  ACE_ASSERT(i < this->_maximum);
  struct ta  * const tmp = ACE_reinterpret_cast(struct ta  *ACE_CAST_CONST, this->_buffer);
  return tmp[i];
}

struct ta *ta::flick_sequence_ta::allocbuf(CORBA::ULong size)
{
  struct ta  *tmp;
  tmp = new struct ta [size];
  return tmp;
}

void ta::flick_sequence_ta::freebuf(struct ta *buffer)
{
  delete [] buffer;
}

void ta::flick_sequence_ta::_allocate_buffer(CORBA::ULong length)
{
  struct ta  *tmp = ta::flick_sequence_ta::allocbuf(length);
  if( this->_buffer != 0 )
  {
    CORBA::ULong i;
    struct ta  *old = ACE_reinterpret_cast(struct ta  *, this->_buffer);
    for( i = 0; i < this->_length; i++ )
      tmp[i] = old[i];
    if( this->_release )
      ta::flick_sequence_ta::freebuf(old);
  }
  this->_buffer = tmp;
}

void ta::flick_sequence_ta::_deallocate_buffer()
{
  if( this->_buffer == 0 || this->_release == 0 )
    return;
  struct ta  *tmp = ACE_reinterpret_cast(struct ta  *, this->_buffer);
  
  ta::flick_sequence_ta::freebuf(tmp);
  this->_buffer = 0;
}

CORBA::Boolean ta::flick_sequence_ta::release() const
{
  return this->_release;
}

CORBA::ULong ta::flick_sequence_ta::maximum() const
{
  return this->_maximum;
}

CORBA::ULong ta::flick_sequence_ta::length() const
{
  return this->_length;
}

void ta::flick_sequence_ta::length(CORBA::ULong length)
{
  if( length > this->_maximum )
  {
    this->_allocate_buffer(length);
    this->_maximum = length;
    this->_release = 1;
  }
  else if (length < this->_length)
  {
    this->_shrink_buffer(length, this->_length);
  }
  this->_length = length;
}

void ta::flick_sequence_ta::_shrink_buffer(CORBA::ULong length1, CORBA::ULong length2)
{
}

struct ta *ta::flick_sequence_ta::get_buffer(CORBA::Boolean orphan)
{
  struct ta  *result = 0;
  if( orphan == 0 )
  {
    if( this->_buffer == 0 )
    {
      result = ta::flick_sequence_ta::allocbuf(this->_length);
      this->_buffer = result;
    }
    else
    {
      result = ACE_reinterpret_cast(struct ta  *, this->_buffer);
    }
  }
  else
  {
    if( this->_release != 0 )
    {
      result = ACE_reinterpret_cast(struct ta  *, this->_buffer);
      this->_maximum = 0;
      this->_length = 0;
      this->_buffer = 0;
      this->_release = 0;
    }
  }
  return result;
}

const struct ta *ta::flick_sequence_ta::get_buffer() const
{
  return ACE_const_cast(const struct ta  * ACE_CAST_CONST, this->_buffer);
}

ta::flick_sequence_ta_var::flick_sequence_ta_var()
  : ptr_(0)
{}

ta::flick_sequence_ta_var::flick_sequence_ta_var(::ta::flick_sequence_ta *p)
 : ptr_(p)
{}

ta::flick_sequence_ta_var::flick_sequence_ta_var(const ::ta::flick_sequence_ta_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new ::ta::flick_sequence_ta (*a.ptr_);
  else
    this->ptr_ = 0;
}

ta::flick_sequence_ta_var::~flick_sequence_ta_var()
{
  delete this->ptr_;
}

::ta::flick_sequence_ta_var &ta::flick_sequence_ta_var::operator=(::ta::flick_sequence_ta *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

::ta::flick_sequence_ta_var &ta::flick_sequence_ta_var::operator=(const ::ta::flick_sequence_ta_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new ::ta::flick_sequence_ta (*p.ptr_);
  }
  return *this;
}

struct ta &ta::flick_sequence_ta_var::operator[](CORBA::ULong index)
{
  return this->ptr_->operator[](index);
}

const struct ta &ta::flick_sequence_ta_var::operator[](CORBA::ULong index) const
{
  return this->ptr_->operator[](index);
}

::ta::flick_sequence_ta *ta::flick_sequence_ta_var::operator->()
{
  return this->ptr_;
}

const ::ta::flick_sequence_ta *ta::flick_sequence_ta_var::operator->() const
{
  return this->ptr_;
}

ta::flick_sequence_ta_var::operator const ::ta::flick_sequence_ta &() const
{
  return *this->ptr_;
}

ta::flick_sequence_ta_var::operator ::ta::flick_sequence_ta &()
{
  return *this->ptr_;
}

ta::flick_sequence_ta_var::operator ::ta::flick_sequence_ta &() const
{
  return *this->ptr_;
}

const ::ta::flick_sequence_ta &ta::flick_sequence_ta_var::in() const
{
  return *this->ptr_;
}

::ta::flick_sequence_ta &ta::flick_sequence_ta_var::inout()
{
  return *this->ptr_;
}

::ta::flick_sequence_ta *&ta::flick_sequence_ta_var::out()
{
  delete this->ptr_;
  this->ptr_ = 0;
  return this->ptr_;
}

::ta::flick_sequence_ta *ta::flick_sequence_ta_var::_retn()
{
  ::ta::flick_sequence_ta  *tmp = this->ptr_;
  this->ptr_ = 0;
  return tmp;
}

::ta::flick_sequence_ta *ta::flick_sequence_ta_var::ptr() const
{
  return this->ptr_;
}

ta::flick_sequence_ta_out::flick_sequence_ta_out(::ta::flick_sequence_ta *&r)
  : ptr_(r)
{
  this->ptr_ = 0;
}

ta::flick_sequence_ta_out::flick_sequence_ta_out(::ta::flick_sequence_ta_var &r)
  : ptr_(r.out())
{
  delete this->ptr_;
  this->ptr_ = 0;
}

ta::flick_sequence_ta_out::flick_sequence_ta_out(const ::ta::flick_sequence_ta_out &r)
  : ptr_(ACE_const_cast(::ta::flick_sequence_ta_out &,r).ptr_)
{}

::ta::flick_sequence_ta_out &ta::flick_sequence_ta_out::operator=(const ::ta::flick_sequence_ta_out &r)
{
  this->ptr_ = ACE_const_cast(::ta::flick_sequence_ta_out &,r).ptr_;
  return *this;
}

::ta::flick_sequence_ta_out &ta::flick_sequence_ta_out::operator=(::ta::flick_sequence_ta *r)
{
  this->ptr_ = r;
  return *this;
}

ta::flick_sequence_ta_out::operator ::ta::flick_sequence_ta *&()
{
  return this->ptr_;
}

::ta::flick_sequence_ta *&ta::flick_sequence_ta_out::ptr()
{
  return this->ptr_;
}

struct ta &ta::flick_sequence_ta_out::operator[](CORBA::ULong index)
{
  return this->ptr_->operator[](index);
}

const struct ta &ta::flick_sequence_ta_out::operator[](CORBA::ULong index) const
{
  return this->ptr_->operator[](index);
}

::ta::flick_sequence_ta *ta::flick_sequence_ta_out::operator->()
{
  return this->ptr_;
}

static const CORBA::Long _oc_tb[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    11, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74623a31), ACE_NTOHL(0x2e300000) /* repository ID = IDL:tb:1.0 */,
    3, ACE_NTOHL(0x74620000) /* name = tb */,
    4 /* member count */,
    2, ACE_NTOHL(0x61000000) /* name = a */,
    CORBA::tk_struct,
    72 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x623a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/tb:1.0 */,
      3, ACE_NTOHL(0x74620000) /* name = tb */,
      3 /* member count */,
      2, ACE_NTOHL(0x61000000) /* name = a */,
      CORBA::tk_long,
      2, ACE_NTOHL(0x62000000) /* name = b */,
      CORBA::tk_double,
      2, ACE_NTOHL(0x63000000) /* name = c */,
      CORBA::tk_short,
    2, ACE_NTOHL(0x62000000) /* name = b */,
    CORBA::tk_struct,
    300 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x643a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/td:1.0 */,
      3, ACE_NTOHL(0x74640000) /* name = td */,
      2 /* member count */,
      2, ACE_NTOHL(0x61000000) /* name = a */,
      CORBA::tk_struct,
      72 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x623a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/tb:1.0 */,
        3, ACE_NTOHL(0x74620000) /* name = tb */,
        3 /* member count */,
        2, ACE_NTOHL(0x61000000) /* name = a */,
        CORBA::tk_long,
        2, ACE_NTOHL(0x62000000) /* name = b */,
        CORBA::tk_double,
        2, ACE_NTOHL(0x63000000) /* name = c */,
        CORBA::tk_short,
      2, ACE_NTOHL(0x62000000) /* name = b */,
      CORBA::tk_struct,
      160 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        17, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x642f7465), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:ta/td/te:1.0 */,
        3, ACE_NTOHL(0x74650000) /* name = te */,
        5 /* member count */,
        2, ACE_NTOHL(0x61000000) /* name = a */,
        CORBA::tk_char,
        2, ACE_NTOHL(0x62000000) /* name = b */,
        CORBA::tk_char,
        2, ACE_NTOHL(0x63000000) /* name = c */,
        CORBA::tk_char,
        2, ACE_NTOHL(0x64000000) /* name = d */,
        CORBA::tk_char,
        2, ACE_NTOHL(0x65000000) /* name = e */,
        CORBA::tk_alias,
        56 /* encapsulation length */,
          TAO_ENCAP_BYTE_ORDER /* byte order */,
          21, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x615f7464), ACE_NTOHL(0x00000000) /* name = flick_sequence_ta_td */,
          CORBA::tk_sequence,
          16 /* encapsulation length */,
            TAO_ENCAP_BYTE_ORDER /* byte order */,
            -1, -144,
            0,
    2, ACE_NTOHL(0x63000000) /* name = c */,
    CORBA::tk_alias,
    356 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      21, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x615f7464), ACE_NTOHL(0x00000000) /* name = flick_sequence_ta_td */,
      CORBA::tk_sequence,
      316 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        CORBA::tk_struct,
        300 /* encapsulation length */,
          TAO_ENCAP_BYTE_ORDER /* byte order */,
          14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x643a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/td:1.0 */,
          3, ACE_NTOHL(0x74640000) /* name = td */,
          2 /* member count */,
          2, ACE_NTOHL(0x61000000) /* name = a */,
          CORBA::tk_struct,
          72 /* encapsulation length */,
            TAO_ENCAP_BYTE_ORDER /* byte order */,
            14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x623a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/tb:1.0 */,
            3, ACE_NTOHL(0x74620000) /* name = tb */,
            3 /* member count */,
            2, ACE_NTOHL(0x61000000) /* name = a */,
            CORBA::tk_long,
            2, ACE_NTOHL(0x62000000) /* name = b */,
            CORBA::tk_double,
            2, ACE_NTOHL(0x63000000) /* name = c */,
            CORBA::tk_short,
          2, ACE_NTOHL(0x62000000) /* name = b */,
          CORBA::tk_struct,
          160 /* encapsulation length */,
            TAO_ENCAP_BYTE_ORDER /* byte order */,
            17, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x642f7465), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:ta/td/te:1.0 */,
            3, ACE_NTOHL(0x74650000) /* name = te */,
            5 /* member count */,
            2, ACE_NTOHL(0x61000000) /* name = a */,
            CORBA::tk_char,
            2, ACE_NTOHL(0x62000000) /* name = b */,
            CORBA::tk_char,
            2, ACE_NTOHL(0x63000000) /* name = c */,
            CORBA::tk_char,
            2, ACE_NTOHL(0x64000000) /* name = d */,
            CORBA::tk_char,
            2, ACE_NTOHL(0x65000000) /* name = e */,
            CORBA::tk_alias,
            56 /* encapsulation length */,
              TAO_ENCAP_BYTE_ORDER /* byte order */,
              21, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x615f7464), ACE_NTOHL(0x00000000) /* name = flick_sequence_ta_td */,
              CORBA::tk_sequence,
              16 /* encapsulation length */,
                TAO_ENCAP_BYTE_ORDER /* byte order */,
                -1, -144,
                0,
        0,
    2, ACE_NTOHL(0x64000000) /* name = d */,
    CORBA::tk_alias,
    52 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      18, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x62000000) /* name = flick_sequence_tb */,
      CORBA::tk_sequence,
      16 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        -1, -828,
        0
};

static CORBA::TypeCode _tc_TAO_tc_tb (CORBA::tk_struct, sizeof(_oc_tb), (char *) &_oc_tb, 0, sizeof(struct tb ));

CORBA::TypeCode_ptr _tc_tb = &_tc_TAO_tc_tb;

void operator<<=(CORBA::Any &a, const struct tb &o)
{
  struct tb  *_any_val;
  ACE_NEW(_any_val, struct tb  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_tb, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, struct tb *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_tb, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, struct tb *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(_tc_tb, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (struct tb  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, struct tb , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(_tc_tb, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(_tc_tb, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

tb_var::tb_var()
  : ptr_(0)
{}

tb_var::tb_var(struct tb *p)
 : ptr_(p)
{}

tb_var::tb_var(const tb_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new struct tb (*a.ptr_);
  else
    this->ptr_ = 0;
}

tb_var::~tb_var()
{
  delete this->ptr_;
}

tb_var &tb_var::operator=(struct tb *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

tb_var &tb_var::operator=(const tb_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new struct tb (*p.ptr_);
  }
  return *this;
}

struct tb *tb_var::operator->()
{
  return this->ptr_;
}

const struct tb *tb_var::operator->() const
{
  return this->ptr_;
}

tb_var::operator const struct tb &() const
{
  return *this->ptr_;
}

tb_var::operator struct tb &()
{
  return *this->ptr_;
}

tb_var::operator struct tb &() const
{
  return *this->ptr_;
}

const struct tb &tb_var::in() const
{
  return *this->ptr_;
}

struct tb &tb_var::inout()
{
  return *this->ptr_;
}

struct tb *&tb_var::out()
{
  delete this->ptr_;
  this->ptr_ = 0;
  return this->ptr_;
}

struct tb *tb_var::_retn()
{
  struct tb  *tmp = this->ptr_;
  this->ptr_ = 0;
  return tmp;
}

struct tb *tb_var::ptr() const
{
  return this->ptr_;
}

tb_out::tb_out(struct tb *&r)
  : ptr_(r)
{
  this->ptr_ = 0;
}

tb_out::tb_out(tb_var &r)
  : ptr_(r.out())
{
  delete this->ptr_;
  this->ptr_ = 0;
}

tb_out::tb_out(const tb_out &r)
  : ptr_(ACE_const_cast(tb_out &,r).ptr_)
{}

tb_out &tb_out::operator=(const tb_out &r)
{
  this->ptr_ = ACE_const_cast(tb_out &,r).ptr_;
  return *this;
}

tb_out &tb_out::operator=(struct tb *r)
{
  this->ptr_ = r;
  return *this;
}

tb_out::operator struct tb *&()
{
  return this->ptr_;
}

struct tb *&tb_out::ptr()
{
  return this->ptr_;
}

struct tb *tb_out::operator->()
{
  return this->ptr_;
}

static const CORBA::Long _oc_tb_flick_sequence_ta_td[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    21, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x615f7464), ACE_NTOHL(0x00000000) /* name = flick_sequence_ta_td */,
    CORBA::tk_sequence,
    316 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      CORBA::tk_struct,
      300 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x643a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/td:1.0 */,
        3, ACE_NTOHL(0x74640000) /* name = td */,
        2 /* member count */,
        2, ACE_NTOHL(0x61000000) /* name = a */,
        CORBA::tk_struct,
        72 /* encapsulation length */,
          TAO_ENCAP_BYTE_ORDER /* byte order */,
          14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x623a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/tb:1.0 */,
          3, ACE_NTOHL(0x74620000) /* name = tb */,
          3 /* member count */,
          2, ACE_NTOHL(0x61000000) /* name = a */,
          CORBA::tk_long,
          2, ACE_NTOHL(0x62000000) /* name = b */,
          CORBA::tk_double,
          2, ACE_NTOHL(0x63000000) /* name = c */,
          CORBA::tk_short,
        2, ACE_NTOHL(0x62000000) /* name = b */,
        CORBA::tk_struct,
        160 /* encapsulation length */,
          TAO_ENCAP_BYTE_ORDER /* byte order */,
          17, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x642f7465), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:ta/td/te:1.0 */,
          3, ACE_NTOHL(0x74650000) /* name = te */,
          5 /* member count */,
          2, ACE_NTOHL(0x61000000) /* name = a */,
          CORBA::tk_char,
          2, ACE_NTOHL(0x62000000) /* name = b */,
          CORBA::tk_char,
          2, ACE_NTOHL(0x63000000) /* name = c */,
          CORBA::tk_char,
          2, ACE_NTOHL(0x64000000) /* name = d */,
          CORBA::tk_char,
          2, ACE_NTOHL(0x65000000) /* name = e */,
          CORBA::tk_alias,
          56 /* encapsulation length */,
            TAO_ENCAP_BYTE_ORDER /* byte order */,
            21, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x615f7464), ACE_NTOHL(0x00000000) /* name = flick_sequence_ta_td */,
            CORBA::tk_sequence,
            16 /* encapsulation length */,
              TAO_ENCAP_BYTE_ORDER /* byte order */,
              -1, -144,
              0,
      0
};

static CORBA::TypeCode _tc_TAO_tc_tb_flick_sequence_ta_td (CORBA::tk_alias, sizeof(_oc_tb_flick_sequence_ta_td), (char *) &_oc_tb_flick_sequence_ta_td, 0, sizeof(::tb::flick_sequence_ta_td ));

CORBA::TypeCode_ptr tb::_tc_flick_sequence_ta_td = &_tc_TAO_tc_tb_flick_sequence_ta_td;

tb::flick_sequence_ta_td::flick_sequence_ta_td()
  : _maximum(0),
    _length(0),
    _buffer(0),
    _release(0)
{
}

tb::flick_sequence_ta_td::flick_sequence_ta_td(CORBA::ULong max)
  : _maximum(max), _length(0), _release(1)
{
  this->_buffer = tb::flick_sequence_ta_td::allocbuf(this->_maximum);
}

tb::flick_sequence_ta_td::flick_sequence_ta_td(CORBA::ULong max, CORBA::ULong length, struct ::ta::td *buffer, CORBA::Boolean release)
  : _maximum(max),
    _length(length),
    _buffer(buffer),
    _release(release)
{
}

tb::flick_sequence_ta_td::flick_sequence_ta_td(const ::tb::flick_sequence_ta_td &o)
  : _maximum(o._maximum),
    _length(o._length),
    _release(1)
{
  struct ::ta::td  *tmp1 = tb::flick_sequence_ta_td::allocbuf(this->_maximum);
  
  struct ::ta::td  * const tmp2 = ACE_reinterpret_cast(struct ::ta::td  * ACE_CAST_CONST, o._buffer);
  
  for(CORBA::ULong i = 0; i < this->_length; i++ )
    tmp1[i] = tmp2[i];
  
  this->_buffer = tmp1;
}

tb::flick_sequence_ta_td::~flick_sequence_ta_td()
{
  this->_deallocate_buffer();
}

::tb::flick_sequence_ta_td &tb::flick_sequence_ta_td::operator=(const ::tb::flick_sequence_ta_td &rhs)
{
  if( this == &rhs )
    return *this;
  if( this->_release )
  {
  
    if( this->_maximum < rhs._maximum )
    {
      struct ::ta::td  *tmp = ACE_reinterpret_cast(struct ::ta::td  *, this->_buffer);
      
      tb::flick_sequence_ta_td::freebuf(tmp);
      this->_buffer = tb::flick_sequence_ta_td::allocbuf(rhs._maximum);
    }
  
  }
  else
    this->_buffer = tb::flick_sequence_ta_td::allocbuf(rhs._maximum);
  this->_maximum = rhs._maximum;
  this->_length = rhs._length;
  this->_release = 1;
  struct ::ta::td  *tmp1 = ACE_reinterpret_cast(struct ::ta::td  *, this->_buffer);
  struct ::ta::td  * const tmp2 = ACE_reinterpret_cast(struct ::ta::td  * ACE_CAST_CONST, rhs._buffer);
  for(CORBA::ULong i = 0; i < this->_length; i++ )
    tmp1[i] = tmp2[i];
  return *this;
}

struct ::ta::td &tb::flick_sequence_ta_td::operator[](CORBA::ULong i)
{
  ACE_ASSERT(i < this->_maximum);
  struct ::ta::td  * tmp = ACE_reinterpret_cast(struct ::ta::td  *, this->_buffer);
  return tmp[i];
}

const struct ::ta::td &tb::flick_sequence_ta_td::operator[](CORBA::ULong i) const
{
  ACE_ASSERT(i < this->_maximum);
  struct ::ta::td  * const tmp = ACE_reinterpret_cast(struct ::ta::td  *ACE_CAST_CONST, this->_buffer);
  return tmp[i];
}

struct ::ta::td *tb::flick_sequence_ta_td::allocbuf(CORBA::ULong size)
{
  struct ::ta::td  *tmp;
  tmp = new struct ::ta::td [size];
  return tmp;
}

void tb::flick_sequence_ta_td::freebuf(struct ::ta::td *buffer)
{
  delete [] buffer;
}

void tb::flick_sequence_ta_td::_allocate_buffer(CORBA::ULong length)
{
  struct ::ta::td  *tmp = tb::flick_sequence_ta_td::allocbuf(length);
  if( this->_buffer != 0 )
  {
    CORBA::ULong i;
    struct ::ta::td  *old = ACE_reinterpret_cast(struct ::ta::td  *, this->_buffer);
    for( i = 0; i < this->_length; i++ )
      tmp[i] = old[i];
    if( this->_release )
      tb::flick_sequence_ta_td::freebuf(old);
  }
  this->_buffer = tmp;
}

void tb::flick_sequence_ta_td::_deallocate_buffer()
{
  if( this->_buffer == 0 || this->_release == 0 )
    return;
  struct ::ta::td  *tmp = ACE_reinterpret_cast(struct ::ta::td  *, this->_buffer);
  
  tb::flick_sequence_ta_td::freebuf(tmp);
  this->_buffer = 0;
}

CORBA::Boolean tb::flick_sequence_ta_td::release() const
{
  return this->_release;
}

CORBA::ULong tb::flick_sequence_ta_td::maximum() const
{
  return this->_maximum;
}

CORBA::ULong tb::flick_sequence_ta_td::length() const
{
  return this->_length;
}

void tb::flick_sequence_ta_td::length(CORBA::ULong length)
{
  if( length > this->_maximum )
  {
    this->_allocate_buffer(length);
    this->_maximum = length;
    this->_release = 1;
  }
  else if (length < this->_length)
  {
    this->_shrink_buffer(length, this->_length);
  }
  this->_length = length;
}

void tb::flick_sequence_ta_td::_shrink_buffer(CORBA::ULong length1, CORBA::ULong length2)
{
}

struct ::ta::td *tb::flick_sequence_ta_td::get_buffer(CORBA::Boolean orphan)
{
  struct ::ta::td  *result = 0;
  if( orphan == 0 )
  {
    if( this->_buffer == 0 )
    {
      result = tb::flick_sequence_ta_td::allocbuf(this->_length);
      this->_buffer = result;
    }
    else
    {
      result = ACE_reinterpret_cast(struct ::ta::td  *, this->_buffer);
    }
  }
  else
  {
    if( this->_release != 0 )
    {
      result = ACE_reinterpret_cast(struct ::ta::td  *, this->_buffer);
      this->_maximum = 0;
      this->_length = 0;
      this->_buffer = 0;
      this->_release = 0;
    }
  }
  return result;
}

const struct ::ta::td *tb::flick_sequence_ta_td::get_buffer() const
{
  return ACE_const_cast(const struct ::ta::td  * ACE_CAST_CONST, this->_buffer);
}

tb::flick_sequence_ta_td_var::flick_sequence_ta_td_var()
  : ptr_(0)
{}

tb::flick_sequence_ta_td_var::flick_sequence_ta_td_var(::tb::flick_sequence_ta_td *p)
 : ptr_(p)
{}

tb::flick_sequence_ta_td_var::flick_sequence_ta_td_var(const ::tb::flick_sequence_ta_td_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new ::tb::flick_sequence_ta_td (*a.ptr_);
  else
    this->ptr_ = 0;
}

tb::flick_sequence_ta_td_var::~flick_sequence_ta_td_var()
{
  delete this->ptr_;
}

::tb::flick_sequence_ta_td_var &tb::flick_sequence_ta_td_var::operator=(::tb::flick_sequence_ta_td *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

::tb::flick_sequence_ta_td_var &tb::flick_sequence_ta_td_var::operator=(const ::tb::flick_sequence_ta_td_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new ::tb::flick_sequence_ta_td (*p.ptr_);
  }
  return *this;
}

struct ::ta::td &tb::flick_sequence_ta_td_var::operator[](CORBA::ULong index)
{
  return this->ptr_->operator[](index);
}

const struct ::ta::td &tb::flick_sequence_ta_td_var::operator[](CORBA::ULong index) const
{
  return this->ptr_->operator[](index);
}

::tb::flick_sequence_ta_td *tb::flick_sequence_ta_td_var::operator->()
{
  return this->ptr_;
}

const ::tb::flick_sequence_ta_td *tb::flick_sequence_ta_td_var::operator->() const
{
  return this->ptr_;
}

tb::flick_sequence_ta_td_var::operator const ::tb::flick_sequence_ta_td &() const
{
  return *this->ptr_;
}

tb::flick_sequence_ta_td_var::operator ::tb::flick_sequence_ta_td &()
{
  return *this->ptr_;
}

tb::flick_sequence_ta_td_var::operator ::tb::flick_sequence_ta_td &() const
{
  return *this->ptr_;
}

const ::tb::flick_sequence_ta_td &tb::flick_sequence_ta_td_var::in() const
{
  return *this->ptr_;
}

::tb::flick_sequence_ta_td &tb::flick_sequence_ta_td_var::inout()
{
  return *this->ptr_;
}

::tb::flick_sequence_ta_td *&tb::flick_sequence_ta_td_var::out()
{
  delete this->ptr_;
  this->ptr_ = 0;
  return this->ptr_;
}

::tb::flick_sequence_ta_td *tb::flick_sequence_ta_td_var::_retn()
{
  ::tb::flick_sequence_ta_td  *tmp = this->ptr_;
  this->ptr_ = 0;
  return tmp;
}

::tb::flick_sequence_ta_td *tb::flick_sequence_ta_td_var::ptr() const
{
  return this->ptr_;
}

tb::flick_sequence_ta_td_out::flick_sequence_ta_td_out(::tb::flick_sequence_ta_td *&r)
  : ptr_(r)
{
  this->ptr_ = 0;
}

tb::flick_sequence_ta_td_out::flick_sequence_ta_td_out(::tb::flick_sequence_ta_td_var &r)
  : ptr_(r.out())
{
  delete this->ptr_;
  this->ptr_ = 0;
}

tb::flick_sequence_ta_td_out::flick_sequence_ta_td_out(const ::tb::flick_sequence_ta_td_out &r)
  : ptr_(ACE_const_cast(::tb::flick_sequence_ta_td_out &,r).ptr_)
{}

::tb::flick_sequence_ta_td_out &tb::flick_sequence_ta_td_out::operator=(const ::tb::flick_sequence_ta_td_out &r)
{
  this->ptr_ = ACE_const_cast(::tb::flick_sequence_ta_td_out &,r).ptr_;
  return *this;
}

::tb::flick_sequence_ta_td_out &tb::flick_sequence_ta_td_out::operator=(::tb::flick_sequence_ta_td *r)
{
  this->ptr_ = r;
  return *this;
}

tb::flick_sequence_ta_td_out::operator ::tb::flick_sequence_ta_td *&()
{
  return this->ptr_;
}

::tb::flick_sequence_ta_td *&tb::flick_sequence_ta_td_out::ptr()
{
  return this->ptr_;
}

struct ::ta::td &tb::flick_sequence_ta_td_out::operator[](CORBA::ULong index)
{
  return this->ptr_->operator[](index);
}

const struct ::ta::td &tb::flick_sequence_ta_td_out::operator[](CORBA::ULong index) const
{
  return this->ptr_->operator[](index);
}

::tb::flick_sequence_ta_td *tb::flick_sequence_ta_td_out::operator->()
{
  return this->ptr_;
}

static const CORBA::Long _oc_tb_flick_sequence_tb[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    18, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x62000000) /* name = flick_sequence_tb */,
    CORBA::tk_sequence,
    840 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      CORBA::tk_struct,
      824 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        11, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74623a31), ACE_NTOHL(0x2e300000) /* repository ID = IDL:tb:1.0 */,
        3, ACE_NTOHL(0x74620000) /* name = tb */,
        4 /* member count */,
        2, ACE_NTOHL(0x61000000) /* name = a */,
        CORBA::tk_struct,
        72 /* encapsulation length */,
          TAO_ENCAP_BYTE_ORDER /* byte order */,
          14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x623a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/tb:1.0 */,
          3, ACE_NTOHL(0x74620000) /* name = tb */,
          3 /* member count */,
          2, ACE_NTOHL(0x61000000) /* name = a */,
          CORBA::tk_long,
          2, ACE_NTOHL(0x62000000) /* name = b */,
          CORBA::tk_double,
          2, ACE_NTOHL(0x63000000) /* name = c */,
          CORBA::tk_short,
        2, ACE_NTOHL(0x62000000) /* name = b */,
        CORBA::tk_struct,
        300 /* encapsulation length */,
          TAO_ENCAP_BYTE_ORDER /* byte order */,
          14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x643a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/td:1.0 */,
          3, ACE_NTOHL(0x74640000) /* name = td */,
          2 /* member count */,
          2, ACE_NTOHL(0x61000000) /* name = a */,
          CORBA::tk_struct,
          72 /* encapsulation length */,
            TAO_ENCAP_BYTE_ORDER /* byte order */,
            14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x623a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/tb:1.0 */,
            3, ACE_NTOHL(0x74620000) /* name = tb */,
            3 /* member count */,
            2, ACE_NTOHL(0x61000000) /* name = a */,
            CORBA::tk_long,
            2, ACE_NTOHL(0x62000000) /* name = b */,
            CORBA::tk_double,
            2, ACE_NTOHL(0x63000000) /* name = c */,
            CORBA::tk_short,
          2, ACE_NTOHL(0x62000000) /* name = b */,
          CORBA::tk_struct,
          160 /* encapsulation length */,
            TAO_ENCAP_BYTE_ORDER /* byte order */,
            17, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x642f7465), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:ta/td/te:1.0 */,
            3, ACE_NTOHL(0x74650000) /* name = te */,
            5 /* member count */,
            2, ACE_NTOHL(0x61000000) /* name = a */,
            CORBA::tk_char,
            2, ACE_NTOHL(0x62000000) /* name = b */,
            CORBA::tk_char,
            2, ACE_NTOHL(0x63000000) /* name = c */,
            CORBA::tk_char,
            2, ACE_NTOHL(0x64000000) /* name = d */,
            CORBA::tk_char,
            2, ACE_NTOHL(0x65000000) /* name = e */,
            CORBA::tk_alias,
            56 /* encapsulation length */,
              TAO_ENCAP_BYTE_ORDER /* byte order */,
              21, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x615f7464), ACE_NTOHL(0x00000000) /* name = flick_sequence_ta_td */,
              CORBA::tk_sequence,
              16 /* encapsulation length */,
                TAO_ENCAP_BYTE_ORDER /* byte order */,
                -1, -144,
                0,
        2, ACE_NTOHL(0x63000000) /* name = c */,
        CORBA::tk_alias,
        356 /* encapsulation length */,
          TAO_ENCAP_BYTE_ORDER /* byte order */,
          21, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x615f7464), ACE_NTOHL(0x00000000) /* name = flick_sequence_ta_td */,
          CORBA::tk_sequence,
          316 /* encapsulation length */,
            TAO_ENCAP_BYTE_ORDER /* byte order */,
            CORBA::tk_struct,
            300 /* encapsulation length */,
              TAO_ENCAP_BYTE_ORDER /* byte order */,
              14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x643a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/td:1.0 */,
              3, ACE_NTOHL(0x74640000) /* name = td */,
              2 /* member count */,
              2, ACE_NTOHL(0x61000000) /* name = a */,
              CORBA::tk_struct,
              72 /* encapsulation length */,
                TAO_ENCAP_BYTE_ORDER /* byte order */,
                14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x623a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/tb:1.0 */,
                3, ACE_NTOHL(0x74620000) /* name = tb */,
                3 /* member count */,
                2, ACE_NTOHL(0x61000000) /* name = a */,
                CORBA::tk_long,
                2, ACE_NTOHL(0x62000000) /* name = b */,
                CORBA::tk_double,
                2, ACE_NTOHL(0x63000000) /* name = c */,
                CORBA::tk_short,
              2, ACE_NTOHL(0x62000000) /* name = b */,
              CORBA::tk_struct,
              160 /* encapsulation length */,
                TAO_ENCAP_BYTE_ORDER /* byte order */,
                17, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x642f7465), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:ta/td/te:1.0 */,
                3, ACE_NTOHL(0x74650000) /* name = te */,
                5 /* member count */,
                2, ACE_NTOHL(0x61000000) /* name = a */,
                CORBA::tk_char,
                2, ACE_NTOHL(0x62000000) /* name = b */,
                CORBA::tk_char,
                2, ACE_NTOHL(0x63000000) /* name = c */,
                CORBA::tk_char,
                2, ACE_NTOHL(0x64000000) /* name = d */,
                CORBA::tk_char,
                2, ACE_NTOHL(0x65000000) /* name = e */,
                CORBA::tk_alias,
                56 /* encapsulation length */,
                  TAO_ENCAP_BYTE_ORDER /* byte order */,
                  21, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x615f7464), ACE_NTOHL(0x00000000) /* name = flick_sequence_ta_td */,
                  CORBA::tk_sequence,
                  16 /* encapsulation length */,
                    TAO_ENCAP_BYTE_ORDER /* byte order */,
                    -1, -144,
                    0,
            0,
        2, ACE_NTOHL(0x64000000) /* name = d */,
        -1, -40,
      0
};

static CORBA::TypeCode _tc_TAO_tc_tb_flick_sequence_tb (CORBA::tk_alias, sizeof(_oc_tb_flick_sequence_tb), (char *) &_oc_tb_flick_sequence_tb, 0, sizeof(::tb::flick_sequence_tb ));

CORBA::TypeCode_ptr tb::_tc_flick_sequence_tb = &_tc_TAO_tc_tb_flick_sequence_tb;

tb::flick_sequence_tb::flick_sequence_tb()
  : _maximum(0),
    _length(0),
    _buffer(0),
    _release(0)
{
}

tb::flick_sequence_tb::flick_sequence_tb(CORBA::ULong max)
  : _maximum(max), _length(0), _release(1)
{
  this->_buffer = tb::flick_sequence_tb::allocbuf(this->_maximum);
}

tb::flick_sequence_tb::flick_sequence_tb(CORBA::ULong max, CORBA::ULong length, struct tb *buffer, CORBA::Boolean release)
  : _maximum(max),
    _length(length),
    _buffer(buffer),
    _release(release)
{
}

tb::flick_sequence_tb::flick_sequence_tb(const ::tb::flick_sequence_tb &o)
  : _maximum(o._maximum),
    _length(o._length),
    _release(1)
{
  struct tb  *tmp1 = tb::flick_sequence_tb::allocbuf(this->_maximum);
  
  struct tb  * const tmp2 = ACE_reinterpret_cast(struct tb  * ACE_CAST_CONST, o._buffer);
  
  for(CORBA::ULong i = 0; i < this->_length; i++ )
    tmp1[i] = tmp2[i];
  
  this->_buffer = tmp1;
}

tb::flick_sequence_tb::~flick_sequence_tb()
{
  this->_deallocate_buffer();
}

::tb::flick_sequence_tb &tb::flick_sequence_tb::operator=(const ::tb::flick_sequence_tb &rhs)
{
  if( this == &rhs )
    return *this;
  if( this->_release )
  {
  
    if( this->_maximum < rhs._maximum )
    {
      struct tb  *tmp = ACE_reinterpret_cast(struct tb  *, this->_buffer);
      
      tb::flick_sequence_tb::freebuf(tmp);
      this->_buffer = tb::flick_sequence_tb::allocbuf(rhs._maximum);
    }
  
  }
  else
    this->_buffer = tb::flick_sequence_tb::allocbuf(rhs._maximum);
  this->_maximum = rhs._maximum;
  this->_length = rhs._length;
  this->_release = 1;
  struct tb  *tmp1 = ACE_reinterpret_cast(struct tb  *, this->_buffer);
  struct tb  * const tmp2 = ACE_reinterpret_cast(struct tb  * ACE_CAST_CONST, rhs._buffer);
  for(CORBA::ULong i = 0; i < this->_length; i++ )
    tmp1[i] = tmp2[i];
  return *this;
}

struct tb &tb::flick_sequence_tb::operator[](CORBA::ULong i)
{
  ACE_ASSERT(i < this->_maximum);
  struct tb  * tmp = ACE_reinterpret_cast(struct tb  *, this->_buffer);
  return tmp[i];
}

const struct tb &tb::flick_sequence_tb::operator[](CORBA::ULong i) const
{
  ACE_ASSERT(i < this->_maximum);
  struct tb  * const tmp = ACE_reinterpret_cast(struct tb  *ACE_CAST_CONST, this->_buffer);
  return tmp[i];
}

struct tb *tb::flick_sequence_tb::allocbuf(CORBA::ULong size)
{
  struct tb  *tmp;
  tmp = new struct tb [size];
  return tmp;
}

void tb::flick_sequence_tb::freebuf(struct tb *buffer)
{
  delete [] buffer;
}

void tb::flick_sequence_tb::_allocate_buffer(CORBA::ULong length)
{
  struct tb  *tmp = tb::flick_sequence_tb::allocbuf(length);
  if( this->_buffer != 0 )
  {
    CORBA::ULong i;
    struct tb  *old = ACE_reinterpret_cast(struct tb  *, this->_buffer);
    for( i = 0; i < this->_length; i++ )
      tmp[i] = old[i];
    if( this->_release )
      tb::flick_sequence_tb::freebuf(old);
  }
  this->_buffer = tmp;
}

void tb::flick_sequence_tb::_deallocate_buffer()
{
  if( this->_buffer == 0 || this->_release == 0 )
    return;
  struct tb  *tmp = ACE_reinterpret_cast(struct tb  *, this->_buffer);
  
  tb::flick_sequence_tb::freebuf(tmp);
  this->_buffer = 0;
}

CORBA::Boolean tb::flick_sequence_tb::release() const
{
  return this->_release;
}

CORBA::ULong tb::flick_sequence_tb::maximum() const
{
  return this->_maximum;
}

CORBA::ULong tb::flick_sequence_tb::length() const
{
  return this->_length;
}

void tb::flick_sequence_tb::length(CORBA::ULong length)
{
  if( length > this->_maximum )
  {
    this->_allocate_buffer(length);
    this->_maximum = length;
    this->_release = 1;
  }
  else if (length < this->_length)
  {
    this->_shrink_buffer(length, this->_length);
  }
  this->_length = length;
}

void tb::flick_sequence_tb::_shrink_buffer(CORBA::ULong length1, CORBA::ULong length2)
{
}

struct tb *tb::flick_sequence_tb::get_buffer(CORBA::Boolean orphan)
{
  struct tb  *result = 0;
  if( orphan == 0 )
  {
    if( this->_buffer == 0 )
    {
      result = tb::flick_sequence_tb::allocbuf(this->_length);
      this->_buffer = result;
    }
    else
    {
      result = ACE_reinterpret_cast(struct tb  *, this->_buffer);
    }
  }
  else
  {
    if( this->_release != 0 )
    {
      result = ACE_reinterpret_cast(struct tb  *, this->_buffer);
      this->_maximum = 0;
      this->_length = 0;
      this->_buffer = 0;
      this->_release = 0;
    }
  }
  return result;
}

const struct tb *tb::flick_sequence_tb::get_buffer() const
{
  return ACE_const_cast(const struct tb  * ACE_CAST_CONST, this->_buffer);
}

tb::flick_sequence_tb_var::flick_sequence_tb_var()
  : ptr_(0)
{}

tb::flick_sequence_tb_var::flick_sequence_tb_var(::tb::flick_sequence_tb *p)
 : ptr_(p)
{}

tb::flick_sequence_tb_var::flick_sequence_tb_var(const ::tb::flick_sequence_tb_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new ::tb::flick_sequence_tb (*a.ptr_);
  else
    this->ptr_ = 0;
}

tb::flick_sequence_tb_var::~flick_sequence_tb_var()
{
  delete this->ptr_;
}

::tb::flick_sequence_tb_var &tb::flick_sequence_tb_var::operator=(::tb::flick_sequence_tb *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

::tb::flick_sequence_tb_var &tb::flick_sequence_tb_var::operator=(const ::tb::flick_sequence_tb_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new ::tb::flick_sequence_tb (*p.ptr_);
  }
  return *this;
}

struct tb &tb::flick_sequence_tb_var::operator[](CORBA::ULong index)
{
  return this->ptr_->operator[](index);
}

const struct tb &tb::flick_sequence_tb_var::operator[](CORBA::ULong index) const
{
  return this->ptr_->operator[](index);
}

::tb::flick_sequence_tb *tb::flick_sequence_tb_var::operator->()
{
  return this->ptr_;
}

const ::tb::flick_sequence_tb *tb::flick_sequence_tb_var::operator->() const
{
  return this->ptr_;
}

tb::flick_sequence_tb_var::operator const ::tb::flick_sequence_tb &() const
{
  return *this->ptr_;
}

tb::flick_sequence_tb_var::operator ::tb::flick_sequence_tb &()
{
  return *this->ptr_;
}

tb::flick_sequence_tb_var::operator ::tb::flick_sequence_tb &() const
{
  return *this->ptr_;
}

const ::tb::flick_sequence_tb &tb::flick_sequence_tb_var::in() const
{
  return *this->ptr_;
}

::tb::flick_sequence_tb &tb::flick_sequence_tb_var::inout()
{
  return *this->ptr_;
}

::tb::flick_sequence_tb *&tb::flick_sequence_tb_var::out()
{
  delete this->ptr_;
  this->ptr_ = 0;
  return this->ptr_;
}

::tb::flick_sequence_tb *tb::flick_sequence_tb_var::_retn()
{
  ::tb::flick_sequence_tb  *tmp = this->ptr_;
  this->ptr_ = 0;
  return tmp;
}

::tb::flick_sequence_tb *tb::flick_sequence_tb_var::ptr() const
{
  return this->ptr_;
}

tb::flick_sequence_tb_out::flick_sequence_tb_out(::tb::flick_sequence_tb *&r)
  : ptr_(r)
{
  this->ptr_ = 0;
}

tb::flick_sequence_tb_out::flick_sequence_tb_out(::tb::flick_sequence_tb_var &r)
  : ptr_(r.out())
{
  delete this->ptr_;
  this->ptr_ = 0;
}

tb::flick_sequence_tb_out::flick_sequence_tb_out(const ::tb::flick_sequence_tb_out &r)
  : ptr_(ACE_const_cast(::tb::flick_sequence_tb_out &,r).ptr_)
{}

::tb::flick_sequence_tb_out &tb::flick_sequence_tb_out::operator=(const ::tb::flick_sequence_tb_out &r)
{
  this->ptr_ = ACE_const_cast(::tb::flick_sequence_tb_out &,r).ptr_;
  return *this;
}

::tb::flick_sequence_tb_out &tb::flick_sequence_tb_out::operator=(::tb::flick_sequence_tb *r)
{
  this->ptr_ = r;
  return *this;
}

tb::flick_sequence_tb_out::operator ::tb::flick_sequence_tb *&()
{
  return this->ptr_;
}

::tb::flick_sequence_tb *&tb::flick_sequence_tb_out::ptr()
{
  return this->ptr_;
}

struct tb &tb::flick_sequence_tb_out::operator[](CORBA::ULong index)
{
  return this->ptr_->operator[](index);
}

const struct tb &tb::flick_sequence_tb_out::operator[](CORBA::ULong index) const
{
  return this->ptr_->operator[](index);
}

::tb::flick_sequence_tb *tb::flick_sequence_tb_out::operator->()
{
  return this->ptr_;
}

static const CORBA::Long _oc_td[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    11, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74643a31), ACE_NTOHL(0x2e300000) /* repository ID = IDL:td:1.0 */,
    3, ACE_NTOHL(0x74640000) /* name = td */,
    CORBA::tk_long,
    -1 /* default used index */,
    4 /* member count */,
    (0x0001) /* union case label (evaluated) */,
    4, ACE_NTOHL(0x6f6e6500) /* name = one */,
    CORBA::tk_struct,
    1216 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      11, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74613a31), ACE_NTOHL(0x2e300000) /* repository ID = IDL:ta:1.0 */,
      3, ACE_NTOHL(0x74610000) /* name = ta */,
      7 /* member count */,
      2, ACE_NTOHL(0x61000000) /* name = a */,
      CORBA::tk_struct,
      72 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x623a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/tb:1.0 */,
        3, ACE_NTOHL(0x74620000) /* name = tb */,
        3 /* member count */,
        2, ACE_NTOHL(0x61000000) /* name = a */,
        CORBA::tk_long,
        2, ACE_NTOHL(0x62000000) /* name = b */,
        CORBA::tk_double,
        2, ACE_NTOHL(0x63000000) /* name = c */,
        CORBA::tk_short,
      2, ACE_NTOHL(0x62000000) /* name = b */,
      CORBA::tk_struct,
      136 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x633a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/tc:1.0 */,
        3, ACE_NTOHL(0x74630000) /* name = tc */,
        3 /* member count */,
        2, ACE_NTOHL(0x61000000) /* name = a */,
        CORBA::tk_char,
        2, ACE_NTOHL(0x62000000) /* name = b */,
        CORBA::tk_string,
        0,
        2, ACE_NTOHL(0x63000000) /* name = c */,
        CORBA::tk_alias,
        56 /* encapsulation length */,
          TAO_ENCAP_BYTE_ORDER /* byte order */,
          21, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x615f7463), ACE_NTOHL(0x00000000) /* name = flick_sequence_ta_tc */,
          CORBA::tk_sequence,
          16 /* encapsulation length */,
            TAO_ENCAP_BYTE_ORDER /* byte order */,
            -1, -84,
            0,
      2, ACE_NTOHL(0x63000000) /* name = c */,
      CORBA::tk_struct,
      300 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x643a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/td:1.0 */,
        3, ACE_NTOHL(0x74640000) /* name = td */,
        2 /* member count */,
        2, ACE_NTOHL(0x61000000) /* name = a */,
        CORBA::tk_struct,
        72 /* encapsulation length */,
          TAO_ENCAP_BYTE_ORDER /* byte order */,
          14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x623a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/tb:1.0 */,
          3, ACE_NTOHL(0x74620000) /* name = tb */,
          3 /* member count */,
          2, ACE_NTOHL(0x61000000) /* name = a */,
          CORBA::tk_long,
          2, ACE_NTOHL(0x62000000) /* name = b */,
          CORBA::tk_double,
          2, ACE_NTOHL(0x63000000) /* name = c */,
          CORBA::tk_short,
        2, ACE_NTOHL(0x62000000) /* name = b */,
        CORBA::tk_struct,
        160 /* encapsulation length */,
          TAO_ENCAP_BYTE_ORDER /* byte order */,
          17, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x642f7465), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:ta/td/te:1.0 */,
          3, ACE_NTOHL(0x74650000) /* name = te */,
          5 /* member count */,
          2, ACE_NTOHL(0x61000000) /* name = a */,
          CORBA::tk_char,
          2, ACE_NTOHL(0x62000000) /* name = b */,
          CORBA::tk_char,
          2, ACE_NTOHL(0x63000000) /* name = c */,
          CORBA::tk_char,
          2, ACE_NTOHL(0x64000000) /* name = d */,
          CORBA::tk_char,
          2, ACE_NTOHL(0x65000000) /* name = e */,
          CORBA::tk_alias,
          56 /* encapsulation length */,
            TAO_ENCAP_BYTE_ORDER /* byte order */,
            21, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x615f7464), ACE_NTOHL(0x00000000) /* name = flick_sequence_ta_td */,
            CORBA::tk_sequence,
            16 /* encapsulation length */,
              TAO_ENCAP_BYTE_ORDER /* byte order */,
              -1, -144,
              0,
      5, ACE_NTOHL(0x6e657874), ACE_NTOHL(0x00000000) /* name = next */,
      CORBA::tk_alias,
      52 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        18, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x61000000) /* name = flick_sequence_ta */,
        CORBA::tk_sequence,
        16 /* encapsulation length */,
          TAO_ENCAP_BYTE_ORDER /* byte order */,
          -1, -612,
          0,
      2, ACE_NTOHL(0x64000000) /* name = d */,
      CORBA::tk_struct,
      72 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x623a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/tb:1.0 */,
        3, ACE_NTOHL(0x74620000) /* name = tb */,
        3 /* member count */,
        2, ACE_NTOHL(0x61000000) /* name = a */,
        CORBA::tk_long,
        2, ACE_NTOHL(0x62000000) /* name = b */,
        CORBA::tk_double,
        2, ACE_NTOHL(0x63000000) /* name = c */,
        CORBA::tk_short,
      2, ACE_NTOHL(0x65000000) /* name = e */,
      CORBA::tk_struct,
      136 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x633a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/tc:1.0 */,
        3, ACE_NTOHL(0x74630000) /* name = tc */,
        3 /* member count */,
        2, ACE_NTOHL(0x61000000) /* name = a */,
        CORBA::tk_char,
        2, ACE_NTOHL(0x62000000) /* name = b */,
        CORBA::tk_string,
        0,
        2, ACE_NTOHL(0x63000000) /* name = c */,
        CORBA::tk_alias,
        56 /* encapsulation length */,
          TAO_ENCAP_BYTE_ORDER /* byte order */,
          21, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x615f7463), ACE_NTOHL(0x00000000) /* name = flick_sequence_ta_tc */,
          CORBA::tk_sequence,
          16 /* encapsulation length */,
            TAO_ENCAP_BYTE_ORDER /* byte order */,
            -1, -84,
            0,
      2, ACE_NTOHL(0x66000000) /* name = f */,
      CORBA::tk_struct,
      300 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x643a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/td:1.0 */,
        3, ACE_NTOHL(0x74640000) /* name = td */,
        2 /* member count */,
        2, ACE_NTOHL(0x61000000) /* name = a */,
        CORBA::tk_struct,
        72 /* encapsulation length */,
          TAO_ENCAP_BYTE_ORDER /* byte order */,
          14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x623a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/tb:1.0 */,
          3, ACE_NTOHL(0x74620000) /* name = tb */,
          3 /* member count */,
          2, ACE_NTOHL(0x61000000) /* name = a */,
          CORBA::tk_long,
          2, ACE_NTOHL(0x62000000) /* name = b */,
          CORBA::tk_double,
          2, ACE_NTOHL(0x63000000) /* name = c */,
          CORBA::tk_short,
        2, ACE_NTOHL(0x62000000) /* name = b */,
        CORBA::tk_struct,
        160 /* encapsulation length */,
          TAO_ENCAP_BYTE_ORDER /* byte order */,
          17, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x642f7465), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:ta/td/te:1.0 */,
          3, ACE_NTOHL(0x74650000) /* name = te */,
          5 /* member count */,
          2, ACE_NTOHL(0x61000000) /* name = a */,
          CORBA::tk_char,
          2, ACE_NTOHL(0x62000000) /* name = b */,
          CORBA::tk_char,
          2, ACE_NTOHL(0x63000000) /* name = c */,
          CORBA::tk_char,
          2, ACE_NTOHL(0x64000000) /* name = d */,
          CORBA::tk_char,
          2, ACE_NTOHL(0x65000000) /* name = e */,
          CORBA::tk_alias,
          56 /* encapsulation length */,
            TAO_ENCAP_BYTE_ORDER /* byte order */,
            21, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x615f7464), ACE_NTOHL(0x00000000) /* name = flick_sequence_ta_td */,
            CORBA::tk_sequence,
            16 /* encapsulation length */,
              TAO_ENCAP_BYTE_ORDER /* byte order */,
              -1, -144,
              0,
    (0x0002) /* union case label (evaluated) */,
    4, ACE_NTOHL(0x74776f00) /* name = two */,
    CORBA::tk_struct,
    876 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      11, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74623a31), ACE_NTOHL(0x2e300000) /* repository ID = IDL:tb:1.0 */,
      3, ACE_NTOHL(0x74620000) /* name = tb */,
      4 /* member count */,
      2, ACE_NTOHL(0x61000000) /* name = a */,
      CORBA::tk_struct,
      72 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x623a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/tb:1.0 */,
        3, ACE_NTOHL(0x74620000) /* name = tb */,
        3 /* member count */,
        2, ACE_NTOHL(0x61000000) /* name = a */,
        CORBA::tk_long,
        2, ACE_NTOHL(0x62000000) /* name = b */,
        CORBA::tk_double,
        2, ACE_NTOHL(0x63000000) /* name = c */,
        CORBA::tk_short,
      2, ACE_NTOHL(0x62000000) /* name = b */,
      CORBA::tk_struct,
      300 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x643a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/td:1.0 */,
        3, ACE_NTOHL(0x74640000) /* name = td */,
        2 /* member count */,
        2, ACE_NTOHL(0x61000000) /* name = a */,
        CORBA::tk_struct,
        72 /* encapsulation length */,
          TAO_ENCAP_BYTE_ORDER /* byte order */,
          14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x623a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/tb:1.0 */,
          3, ACE_NTOHL(0x74620000) /* name = tb */,
          3 /* member count */,
          2, ACE_NTOHL(0x61000000) /* name = a */,
          CORBA::tk_long,
          2, ACE_NTOHL(0x62000000) /* name = b */,
          CORBA::tk_double,
          2, ACE_NTOHL(0x63000000) /* name = c */,
          CORBA::tk_short,
        2, ACE_NTOHL(0x62000000) /* name = b */,
        CORBA::tk_struct,
        160 /* encapsulation length */,
          TAO_ENCAP_BYTE_ORDER /* byte order */,
          17, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x642f7465), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:ta/td/te:1.0 */,
          3, ACE_NTOHL(0x74650000) /* name = te */,
          5 /* member count */,
          2, ACE_NTOHL(0x61000000) /* name = a */,
          CORBA::tk_char,
          2, ACE_NTOHL(0x62000000) /* name = b */,
          CORBA::tk_char,
          2, ACE_NTOHL(0x63000000) /* name = c */,
          CORBA::tk_char,
          2, ACE_NTOHL(0x64000000) /* name = d */,
          CORBA::tk_char,
          2, ACE_NTOHL(0x65000000) /* name = e */,
          CORBA::tk_alias,
          56 /* encapsulation length */,
            TAO_ENCAP_BYTE_ORDER /* byte order */,
            21, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x615f7464), ACE_NTOHL(0x00000000) /* name = flick_sequence_ta_td */,
            CORBA::tk_sequence,
            16 /* encapsulation length */,
              TAO_ENCAP_BYTE_ORDER /* byte order */,
              -1, -144,
              0,
      2, ACE_NTOHL(0x63000000) /* name = c */,
      CORBA::tk_alias,
      356 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        21, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x615f7464), ACE_NTOHL(0x00000000) /* name = flick_sequence_ta_td */,
        CORBA::tk_sequence,
        316 /* encapsulation length */,
          TAO_ENCAP_BYTE_ORDER /* byte order */,
          CORBA::tk_struct,
          300 /* encapsulation length */,
            TAO_ENCAP_BYTE_ORDER /* byte order */,
            14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x643a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/td:1.0 */,
            3, ACE_NTOHL(0x74640000) /* name = td */,
            2 /* member count */,
            2, ACE_NTOHL(0x61000000) /* name = a */,
            CORBA::tk_struct,
            72 /* encapsulation length */,
              TAO_ENCAP_BYTE_ORDER /* byte order */,
              14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x623a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/tb:1.0 */,
              3, ACE_NTOHL(0x74620000) /* name = tb */,
              3 /* member count */,
              2, ACE_NTOHL(0x61000000) /* name = a */,
              CORBA::tk_long,
              2, ACE_NTOHL(0x62000000) /* name = b */,
              CORBA::tk_double,
              2, ACE_NTOHL(0x63000000) /* name = c */,
              CORBA::tk_short,
            2, ACE_NTOHL(0x62000000) /* name = b */,
            CORBA::tk_struct,
            160 /* encapsulation length */,
              TAO_ENCAP_BYTE_ORDER /* byte order */,
              17, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x642f7465), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:ta/td/te:1.0 */,
              3, ACE_NTOHL(0x74650000) /* name = te */,
              5 /* member count */,
              2, ACE_NTOHL(0x61000000) /* name = a */,
              CORBA::tk_char,
              2, ACE_NTOHL(0x62000000) /* name = b */,
              CORBA::tk_char,
              2, ACE_NTOHL(0x63000000) /* name = c */,
              CORBA::tk_char,
              2, ACE_NTOHL(0x64000000) /* name = d */,
              CORBA::tk_char,
              2, ACE_NTOHL(0x65000000) /* name = e */,
              CORBA::tk_alias,
              56 /* encapsulation length */,
                TAO_ENCAP_BYTE_ORDER /* byte order */,
                21, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x615f7464), ACE_NTOHL(0x00000000) /* name = flick_sequence_ta_td */,
                CORBA::tk_sequence,
                16 /* encapsulation length */,
                  TAO_ENCAP_BYTE_ORDER /* byte order */,
                  -1, -144,
                  0,
          0,
      2, ACE_NTOHL(0x64000000) /* name = d */,
      CORBA::tk_alias,
      52 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        18, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x62000000) /* name = flick_sequence_tb */,
        CORBA::tk_sequence,
        16 /* encapsulation length */,
          TAO_ENCAP_BYTE_ORDER /* byte order */,
          -1, -828,
          0,
    (0x0003) /* union case label (evaluated) */,
    6, ACE_NTOHL(0x74687265), ACE_NTOHL(0x65000000) /* name = three */,
    CORBA::tk_union,
    1236 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74642f74), ACE_NTOHL(0x653a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:td/te:1.0 */,
      3, ACE_NTOHL(0x74650000) /* name = te */,
      CORBA::tk_enum,
      92 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        11, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74633a31), ACE_NTOHL(0x2e300000) /* repository ID = IDL:tc:1.0 */,
        3, ACE_NTOHL(0x74630000) /* name = tc */,
        5 /* member count */,
        6, ACE_NTOHL(0x4e4f5254), ACE_NTOHL(0x48000000) /* name = NORTH */,
        5, ACE_NTOHL(0x45415354), ACE_NTOHL(0x00000000) /* name = EAST */,
        5, ACE_NTOHL(0x57455354), ACE_NTOHL(0x00000000) /* name = WEST */,
        6, ACE_NTOHL(0x534f5554), ACE_NTOHL(0x48000000) /* name = SOUTH */,
        5, ACE_NTOHL(0x444f574e), ACE_NTOHL(0x00000000) /* name = DOWN */,
      -1 /* default used index */,
      5 /* member count */,
      (0x0000) /* union case label (evaluated) */,
      2, ACE_NTOHL(0x78000000) /* name = x */,
      CORBA::tk_long,
      (0x0001) /* union case label (evaluated) */,
      2, ACE_NTOHL(0x79000000) /* name = y */,
      CORBA::tk_double,
      (0x0002) /* union case label (evaluated) */,
      2, ACE_NTOHL(0x7a000000) /* name = z */,
      CORBA::tk_boolean,
      (0x0003) /* union case label (evaluated) */,
      2, ACE_NTOHL(0x73000000) /* name = s */,
      CORBA::tk_struct,
      876 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        11, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74623a31), ACE_NTOHL(0x2e300000) /* repository ID = IDL:tb:1.0 */,
        3, ACE_NTOHL(0x74620000) /* name = tb */,
        4 /* member count */,
        2, ACE_NTOHL(0x61000000) /* name = a */,
        CORBA::tk_struct,
        72 /* encapsulation length */,
          TAO_ENCAP_BYTE_ORDER /* byte order */,
          14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x623a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/tb:1.0 */,
          3, ACE_NTOHL(0x74620000) /* name = tb */,
          3 /* member count */,
          2, ACE_NTOHL(0x61000000) /* name = a */,
          CORBA::tk_long,
          2, ACE_NTOHL(0x62000000) /* name = b */,
          CORBA::tk_double,
          2, ACE_NTOHL(0x63000000) /* name = c */,
          CORBA::tk_short,
        2, ACE_NTOHL(0x62000000) /* name = b */,
        CORBA::tk_struct,
        300 /* encapsulation length */,
          TAO_ENCAP_BYTE_ORDER /* byte order */,
          14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x643a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/td:1.0 */,
          3, ACE_NTOHL(0x74640000) /* name = td */,
          2 /* member count */,
          2, ACE_NTOHL(0x61000000) /* name = a */,
          CORBA::tk_struct,
          72 /* encapsulation length */,
            TAO_ENCAP_BYTE_ORDER /* byte order */,
            14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x623a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/tb:1.0 */,
            3, ACE_NTOHL(0x74620000) /* name = tb */,
            3 /* member count */,
            2, ACE_NTOHL(0x61000000) /* name = a */,
            CORBA::tk_long,
            2, ACE_NTOHL(0x62000000) /* name = b */,
            CORBA::tk_double,
            2, ACE_NTOHL(0x63000000) /* name = c */,
            CORBA::tk_short,
          2, ACE_NTOHL(0x62000000) /* name = b */,
          CORBA::tk_struct,
          160 /* encapsulation length */,
            TAO_ENCAP_BYTE_ORDER /* byte order */,
            17, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x642f7465), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:ta/td/te:1.0 */,
            3, ACE_NTOHL(0x74650000) /* name = te */,
            5 /* member count */,
            2, ACE_NTOHL(0x61000000) /* name = a */,
            CORBA::tk_char,
            2, ACE_NTOHL(0x62000000) /* name = b */,
            CORBA::tk_char,
            2, ACE_NTOHL(0x63000000) /* name = c */,
            CORBA::tk_char,
            2, ACE_NTOHL(0x64000000) /* name = d */,
            CORBA::tk_char,
            2, ACE_NTOHL(0x65000000) /* name = e */,
            CORBA::tk_alias,
            56 /* encapsulation length */,
              TAO_ENCAP_BYTE_ORDER /* byte order */,
              21, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x615f7464), ACE_NTOHL(0x00000000) /* name = flick_sequence_ta_td */,
              CORBA::tk_sequence,
              16 /* encapsulation length */,
                TAO_ENCAP_BYTE_ORDER /* byte order */,
                -1, -144,
                0,
        2, ACE_NTOHL(0x63000000) /* name = c */,
        CORBA::tk_alias,
        356 /* encapsulation length */,
          TAO_ENCAP_BYTE_ORDER /* byte order */,
          21, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x615f7464), ACE_NTOHL(0x00000000) /* name = flick_sequence_ta_td */,
          CORBA::tk_sequence,
          316 /* encapsulation length */,
            TAO_ENCAP_BYTE_ORDER /* byte order */,
            CORBA::tk_struct,
            300 /* encapsulation length */,
              TAO_ENCAP_BYTE_ORDER /* byte order */,
              14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x643a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/td:1.0 */,
              3, ACE_NTOHL(0x74640000) /* name = td */,
              2 /* member count */,
              2, ACE_NTOHL(0x61000000) /* name = a */,
              CORBA::tk_struct,
              72 /* encapsulation length */,
                TAO_ENCAP_BYTE_ORDER /* byte order */,
                14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x623a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/tb:1.0 */,
                3, ACE_NTOHL(0x74620000) /* name = tb */,
                3 /* member count */,
                2, ACE_NTOHL(0x61000000) /* name = a */,
                CORBA::tk_long,
                2, ACE_NTOHL(0x62000000) /* name = b */,
                CORBA::tk_double,
                2, ACE_NTOHL(0x63000000) /* name = c */,
                CORBA::tk_short,
              2, ACE_NTOHL(0x62000000) /* name = b */,
              CORBA::tk_struct,
              160 /* encapsulation length */,
                TAO_ENCAP_BYTE_ORDER /* byte order */,
                17, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x642f7465), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:ta/td/te:1.0 */,
                3, ACE_NTOHL(0x74650000) /* name = te */,
                5 /* member count */,
                2, ACE_NTOHL(0x61000000) /* name = a */,
                CORBA::tk_char,
                2, ACE_NTOHL(0x62000000) /* name = b */,
                CORBA::tk_char,
                2, ACE_NTOHL(0x63000000) /* name = c */,
                CORBA::tk_char,
                2, ACE_NTOHL(0x64000000) /* name = d */,
                CORBA::tk_char,
                2, ACE_NTOHL(0x65000000) /* name = e */,
                CORBA::tk_alias,
                56 /* encapsulation length */,
                  TAO_ENCAP_BYTE_ORDER /* byte order */,
                  21, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x615f7464), ACE_NTOHL(0x00000000) /* name = flick_sequence_ta_td */,
                  CORBA::tk_sequence,
                  16 /* encapsulation length */,
                    TAO_ENCAP_BYTE_ORDER /* byte order */,
                    -1, -144,
                    0,
            0,
        2, ACE_NTOHL(0x64000000) /* name = d */,
        CORBA::tk_alias,
        52 /* encapsulation length */,
          TAO_ENCAP_BYTE_ORDER /* byte order */,
          18, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x62000000) /* name = flick_sequence_tb */,
          CORBA::tk_sequence,
          16 /* encapsulation length */,
            TAO_ENCAP_BYTE_ORDER /* byte order */,
            -1, -828,
            0,
      (0x0004) /* union case label (evaluated) */,
      2, ACE_NTOHL(0x75000000) /* name = u */,
      CORBA::tk_union,
      132 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        17, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74642f74), ACE_NTOHL(0x652f7475), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:td/te/tu:1.0 */,
        3, ACE_NTOHL(0x74750000) /* name = tu */,
        CORBA::tk_boolean,
        -1 /* default used index */,
        1 /* member count */,
        (0x0001) /* union case label (evaluated) */,
        5, ACE_NTOHL(0x6e657874), ACE_NTOHL(0x00000000) /* name = next */,
        CORBA::tk_alias,
        60 /* encapsulation length */,
          TAO_ENCAP_BYTE_ORDER /* byte order */,
          28, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x645f626f), ACE_NTOHL(0x756e6465), ACE_NTOHL(0x645f3100) /* name = flick_sequence_td_bounded_1 */,
          CORBA::tk_sequence,
          16 /* encapsulation length */,
            TAO_ENCAP_BYTE_ORDER /* byte order */,
            -1, -2200,
            1,
    (0x0000) /* union case label (evaluated) */,
    6, ACE_NTOHL(0x61676169), ACE_NTOHL(0x6e000000) /* name = again */,
    CORBA::tk_alias,
    52 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      18, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x64000000) /* name = flick_sequence_td */,
      CORBA::tk_sequence,
      16 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        -1, -3460,
        0
};

static CORBA::TypeCode _tc_TAO_tc_td (CORBA::tk_union, sizeof(_oc_td), (char *) &_oc_td, 0, sizeof(td ));

CORBA::TypeCode_ptr _tc_td = &_tc_TAO_tc_td;

td::td()
{
  ACE_OS::memset(&this->disc_, 0, sizeof(this->disc_));
  ACE_OS::memset(&this->_u, 0, sizeof(this->_u));
}

td::td(const td &o)
{
  this->disc_ = o.disc_;
  switch( this->disc_ )
  {
  case 1:
    {
      this->_u.one = new struct ta (*o._u.one);
    }
    break;
  case 2:
    {
      this->_u.two = new struct tb (*o._u.two);
    }
    break;
  case 3:
    {
      this->_u.three = new ::td::te (*o._u.three);
    }
    break;
  default:
    {
      this->_u.again = new ::td::flick_sequence_td (*o._u.again);
    }
    break;
  }
}

td::~td()
{
  this->_reset(this->disc_, 1);
}

td &td::operator=(const td &o)
{
  this->_reset(o.disc_, 0);
  this->disc_ = o.disc_;
  switch( this->disc_ )
  {
  
  case 1:
    {
      this->_u.one = new struct ta (*o._u.one);
    }
    break;
  
  case 2:
    {
      this->_u.two = new struct tb (*o._u.two);
    }
    break;
  
  case 3:
    {
      this->_u.three = new ::td::te (*o._u.three);
    }
    break;
  
  default:
    {
      this->_u.again = new ::td::flick_sequence_td (*o._u.again);
    }
    break;
  
  }
  return *this;
}

void td::_reset(CORBA::Long _new_disc_, CORBA::Boolean _finalize_)
{
  if( (this->disc_ != _new_disc_) || _finalize_ )
  {
    switch( this->disc_ )
    {
    
    case 1:
      delete this->_u.one;
      break;
    
    case 2:
      delete this->_u.two;
      break;
    
    case 3:
      delete this->_u.three;
      break;
    
    default:
      delete this->_u.again;
      break;
    
    }
  }
}

void *td::_discriminant()
{
  return &this->disc_;
}

void td::_reset()
{
  this->_reset(this->disc_, 1);
}

void *td::_access(CORBA::Boolean flag)
{
  switch(this->disc_)
  {
  
  case 1:
    
    if( flag )
      this->_u.one = new struct ta ;
    return this->_u.one;
  case 2:
    
    if( flag )
      this->_u.two = new struct tb ;
    return this->_u.two;
  case 3:
    
    return this->_u.three;
  default:
    
    if( flag )
      this->_u.again = new ::td::flick_sequence_td ;
    return this->_u.again;
  }
  return 0;
}

void td::_d(CORBA::Long _d_)
{
  this->disc_ = _d_;
}

CORBA::Long td::_d() const
{
  return this->disc_;
}

void operator<<=(CORBA::Any &a, const td &o)
{
  td  *_any_val;
  ACE_NEW(_any_val, td  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_td, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, td *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(_tc_td, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, td *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(_tc_td, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (td  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, td , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(_tc_td, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(_tc_td, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

void td::one(const struct ta &v)
{
  this->_reset(1, 0);
  this->disc_ = (CORBA::Long )1;
  this->_u.one = new struct ta (v);
}

const struct ta &td::one() const
{
  return *this->_u.one;
}

struct ta &td::one()
{
  return *this->_u.one;
}

void td::two(const struct tb &v)
{
  this->_reset(2, 0);
  this->disc_ = (CORBA::Long )2;
  this->_u.two = new struct tb (v);
}

const struct tb &td::two() const
{
  return *this->_u.two;
}

struct tb &td::two()
{
  return *this->_u.two;
}

void td::three(const ::td::te &v)
{
  this->_reset(3, 0);
  this->disc_ = (CORBA::Long )3;
  this->_u.three = new ::td::te (v);
}

const ::td::te &td::three() const
{
  return *this->_u.three;
}

::td::te &td::three()
{
  return *this->_u.three;
}

void td::again(const ::td::flick_sequence_td &v)
{
  this->_reset(0, 0);
  this->disc_ = (CORBA::Long )0;
  this->_u.again = new ::td::flick_sequence_td (v);
}

const ::td::flick_sequence_td &td::again() const
{
  return *this->_u.again;
}

::td::flick_sequence_td &td::again()
{
  return *this->_u.again;
}

td_var::td_var()
  : ptr_(0)
{}

td_var::td_var(td *p)
 : ptr_(p)
{}

td_var::td_var(const td_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new td (*a.ptr_);
  else
    this->ptr_ = 0;
}

td_var::~td_var()
{
  delete this->ptr_;
}

td_var &td_var::operator=(td *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

td_var &td_var::operator=(const td_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new td (*p.ptr_);
  }
  return *this;
}

td *td_var::operator->()
{
  return this->ptr_;
}

const td *td_var::operator->() const
{
  return this->ptr_;
}

td_var::operator const td &() const
{
  return *this->ptr_;
}

td_var::operator td &()
{
  return *this->ptr_;
}

td_var::operator td &() const
{
  return *this->ptr_;
}

const td &td_var::in() const
{
  return *this->ptr_;
}

td &td_var::inout()
{
  return *this->ptr_;
}

td *&td_var::out()
{
  delete this->ptr_;
  this->ptr_ = 0;
  return this->ptr_;
}

td *td_var::_retn()
{
  td  *tmp = this->ptr_;
  this->ptr_ = 0;
  return tmp;
}

td *td_var::ptr() const
{
  return this->ptr_;
}

td_out::td_out(td *&r)
  : ptr_(r)
{
  this->ptr_ = 0;
}

td_out::td_out(td_var &r)
  : ptr_(r.out())
{
  delete this->ptr_;
  this->ptr_ = 0;
}

td_out::td_out(const td_out &r)
  : ptr_(ACE_const_cast(td_out &,r).ptr_)
{}

td_out &td_out::operator=(const td_out &r)
{
  this->ptr_ = ACE_const_cast(td_out &,r).ptr_;
  return *this;
}

td_out &td_out::operator=(td *r)
{
  this->ptr_ = r;
  return *this;
}

td_out::operator td *&()
{
  return this->ptr_;
}

td *&td_out::ptr()
{
  return this->ptr_;
}

td *td_out::operator->()
{
  return this->ptr_;
}

static const CORBA::Long _oc_td_te[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74642f74), ACE_NTOHL(0x653a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:td/te:1.0 */,
    3, ACE_NTOHL(0x74650000) /* name = te */,
    CORBA::tk_enum,
    92 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      11, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74633a31), ACE_NTOHL(0x2e300000) /* repository ID = IDL:tc:1.0 */,
      3, ACE_NTOHL(0x74630000) /* name = tc */,
      5 /* member count */,
      6, ACE_NTOHL(0x4e4f5254), ACE_NTOHL(0x48000000) /* name = NORTH */,
      5, ACE_NTOHL(0x45415354), ACE_NTOHL(0x00000000) /* name = EAST */,
      5, ACE_NTOHL(0x57455354), ACE_NTOHL(0x00000000) /* name = WEST */,
      6, ACE_NTOHL(0x534f5554), ACE_NTOHL(0x48000000) /* name = SOUTH */,
      5, ACE_NTOHL(0x444f574e), ACE_NTOHL(0x00000000) /* name = DOWN */,
    -1 /* default used index */,
    5 /* member count */,
    (0x0000) /* union case label (evaluated) */,
    2, ACE_NTOHL(0x78000000) /* name = x */,
    CORBA::tk_long,
    (0x0001) /* union case label (evaluated) */,
    2, ACE_NTOHL(0x79000000) /* name = y */,
    CORBA::tk_double,
    (0x0002) /* union case label (evaluated) */,
    2, ACE_NTOHL(0x7a000000) /* name = z */,
    CORBA::tk_boolean,
    (0x0003) /* union case label (evaluated) */,
    2, ACE_NTOHL(0x73000000) /* name = s */,
    CORBA::tk_struct,
    876 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      11, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74623a31), ACE_NTOHL(0x2e300000) /* repository ID = IDL:tb:1.0 */,
      3, ACE_NTOHL(0x74620000) /* name = tb */,
      4 /* member count */,
      2, ACE_NTOHL(0x61000000) /* name = a */,
      CORBA::tk_struct,
      72 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x623a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/tb:1.0 */,
        3, ACE_NTOHL(0x74620000) /* name = tb */,
        3 /* member count */,
        2, ACE_NTOHL(0x61000000) /* name = a */,
        CORBA::tk_long,
        2, ACE_NTOHL(0x62000000) /* name = b */,
        CORBA::tk_double,
        2, ACE_NTOHL(0x63000000) /* name = c */,
        CORBA::tk_short,
      2, ACE_NTOHL(0x62000000) /* name = b */,
      CORBA::tk_struct,
      300 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x643a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/td:1.0 */,
        3, ACE_NTOHL(0x74640000) /* name = td */,
        2 /* member count */,
        2, ACE_NTOHL(0x61000000) /* name = a */,
        CORBA::tk_struct,
        72 /* encapsulation length */,
          TAO_ENCAP_BYTE_ORDER /* byte order */,
          14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x623a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/tb:1.0 */,
          3, ACE_NTOHL(0x74620000) /* name = tb */,
          3 /* member count */,
          2, ACE_NTOHL(0x61000000) /* name = a */,
          CORBA::tk_long,
          2, ACE_NTOHL(0x62000000) /* name = b */,
          CORBA::tk_double,
          2, ACE_NTOHL(0x63000000) /* name = c */,
          CORBA::tk_short,
        2, ACE_NTOHL(0x62000000) /* name = b */,
        CORBA::tk_struct,
        160 /* encapsulation length */,
          TAO_ENCAP_BYTE_ORDER /* byte order */,
          17, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x642f7465), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:ta/td/te:1.0 */,
          3, ACE_NTOHL(0x74650000) /* name = te */,
          5 /* member count */,
          2, ACE_NTOHL(0x61000000) /* name = a */,
          CORBA::tk_char,
          2, ACE_NTOHL(0x62000000) /* name = b */,
          CORBA::tk_char,
          2, ACE_NTOHL(0x63000000) /* name = c */,
          CORBA::tk_char,
          2, ACE_NTOHL(0x64000000) /* name = d */,
          CORBA::tk_char,
          2, ACE_NTOHL(0x65000000) /* name = e */,
          CORBA::tk_alias,
          56 /* encapsulation length */,
            TAO_ENCAP_BYTE_ORDER /* byte order */,
            21, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x615f7464), ACE_NTOHL(0x00000000) /* name = flick_sequence_ta_td */,
            CORBA::tk_sequence,
            16 /* encapsulation length */,
              TAO_ENCAP_BYTE_ORDER /* byte order */,
              -1, -144,
              0,
      2, ACE_NTOHL(0x63000000) /* name = c */,
      CORBA::tk_alias,
      356 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        21, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x615f7464), ACE_NTOHL(0x00000000) /* name = flick_sequence_ta_td */,
        CORBA::tk_sequence,
        316 /* encapsulation length */,
          TAO_ENCAP_BYTE_ORDER /* byte order */,
          CORBA::tk_struct,
          300 /* encapsulation length */,
            TAO_ENCAP_BYTE_ORDER /* byte order */,
            14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x643a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/td:1.0 */,
            3, ACE_NTOHL(0x74640000) /* name = td */,
            2 /* member count */,
            2, ACE_NTOHL(0x61000000) /* name = a */,
            CORBA::tk_struct,
            72 /* encapsulation length */,
              TAO_ENCAP_BYTE_ORDER /* byte order */,
              14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x623a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/tb:1.0 */,
              3, ACE_NTOHL(0x74620000) /* name = tb */,
              3 /* member count */,
              2, ACE_NTOHL(0x61000000) /* name = a */,
              CORBA::tk_long,
              2, ACE_NTOHL(0x62000000) /* name = b */,
              CORBA::tk_double,
              2, ACE_NTOHL(0x63000000) /* name = c */,
              CORBA::tk_short,
            2, ACE_NTOHL(0x62000000) /* name = b */,
            CORBA::tk_struct,
            160 /* encapsulation length */,
              TAO_ENCAP_BYTE_ORDER /* byte order */,
              17, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x642f7465), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:ta/td/te:1.0 */,
              3, ACE_NTOHL(0x74650000) /* name = te */,
              5 /* member count */,
              2, ACE_NTOHL(0x61000000) /* name = a */,
              CORBA::tk_char,
              2, ACE_NTOHL(0x62000000) /* name = b */,
              CORBA::tk_char,
              2, ACE_NTOHL(0x63000000) /* name = c */,
              CORBA::tk_char,
              2, ACE_NTOHL(0x64000000) /* name = d */,
              CORBA::tk_char,
              2, ACE_NTOHL(0x65000000) /* name = e */,
              CORBA::tk_alias,
              56 /* encapsulation length */,
                TAO_ENCAP_BYTE_ORDER /* byte order */,
                21, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x615f7464), ACE_NTOHL(0x00000000) /* name = flick_sequence_ta_td */,
                CORBA::tk_sequence,
                16 /* encapsulation length */,
                  TAO_ENCAP_BYTE_ORDER /* byte order */,
                  -1, -144,
                  0,
          0,
      2, ACE_NTOHL(0x64000000) /* name = d */,
      CORBA::tk_alias,
      52 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        18, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x62000000) /* name = flick_sequence_tb */,
        CORBA::tk_sequence,
        16 /* encapsulation length */,
          TAO_ENCAP_BYTE_ORDER /* byte order */,
          -1, -828,
          0,
    (0x0004) /* union case label (evaluated) */,
    2, ACE_NTOHL(0x75000000) /* name = u */,
    CORBA::tk_union,
    2404 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      17, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74642f74), ACE_NTOHL(0x652f7475), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:td/te/tu:1.0 */,
      3, ACE_NTOHL(0x74750000) /* name = tu */,
      CORBA::tk_boolean,
      -1 /* default used index */,
      1 /* member count */,
      (0x0001) /* union case label (evaluated) */,
      5, ACE_NTOHL(0x6e657874), ACE_NTOHL(0x00000000) /* name = next */,
      CORBA::tk_alias,
      2332 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        28, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x645f626f), ACE_NTOHL(0x756e6465), ACE_NTOHL(0x645f3100) /* name = flick_sequence_td_bounded_1 */,
        CORBA::tk_sequence,
        2288 /* encapsulation length */,
          TAO_ENCAP_BYTE_ORDER /* byte order */,
          CORBA::tk_union,
          2272 /* encapsulation length */,
            TAO_ENCAP_BYTE_ORDER /* byte order */,
            11, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74643a31), ACE_NTOHL(0x2e300000) /* repository ID = IDL:td:1.0 */,
            3, ACE_NTOHL(0x74640000) /* name = td */,
            CORBA::tk_long,
            -1 /* default used index */,
            4 /* member count */,
            (0x0001) /* union case label (evaluated) */,
            4, ACE_NTOHL(0x6f6e6500) /* name = one */,
            CORBA::tk_struct,
            1216 /* encapsulation length */,
              TAO_ENCAP_BYTE_ORDER /* byte order */,
              11, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74613a31), ACE_NTOHL(0x2e300000) /* repository ID = IDL:ta:1.0 */,
              3, ACE_NTOHL(0x74610000) /* name = ta */,
              7 /* member count */,
              2, ACE_NTOHL(0x61000000) /* name = a */,
              CORBA::tk_struct,
              72 /* encapsulation length */,
                TAO_ENCAP_BYTE_ORDER /* byte order */,
                14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x623a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/tb:1.0 */,
                3, ACE_NTOHL(0x74620000) /* name = tb */,
                3 /* member count */,
                2, ACE_NTOHL(0x61000000) /* name = a */,
                CORBA::tk_long,
                2, ACE_NTOHL(0x62000000) /* name = b */,
                CORBA::tk_double,
                2, ACE_NTOHL(0x63000000) /* name = c */,
                CORBA::tk_short,
              2, ACE_NTOHL(0x62000000) /* name = b */,
              CORBA::tk_struct,
              136 /* encapsulation length */,
                TAO_ENCAP_BYTE_ORDER /* byte order */,
                14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x633a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/tc:1.0 */,
                3, ACE_NTOHL(0x74630000) /* name = tc */,
                3 /* member count */,
                2, ACE_NTOHL(0x61000000) /* name = a */,
                CORBA::tk_char,
                2, ACE_NTOHL(0x62000000) /* name = b */,
                CORBA::tk_string,
                0,
                2, ACE_NTOHL(0x63000000) /* name = c */,
                CORBA::tk_alias,
                56 /* encapsulation length */,
                  TAO_ENCAP_BYTE_ORDER /* byte order */,
                  21, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x615f7463), ACE_NTOHL(0x00000000) /* name = flick_sequence_ta_tc */,
                  CORBA::tk_sequence,
                  16 /* encapsulation length */,
                    TAO_ENCAP_BYTE_ORDER /* byte order */,
                    -1, -84,
                    0,
              2, ACE_NTOHL(0x63000000) /* name = c */,
              CORBA::tk_struct,
              300 /* encapsulation length */,
                TAO_ENCAP_BYTE_ORDER /* byte order */,
                14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x643a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/td:1.0 */,
                3, ACE_NTOHL(0x74640000) /* name = td */,
                2 /* member count */,
                2, ACE_NTOHL(0x61000000) /* name = a */,
                CORBA::tk_struct,
                72 /* encapsulation length */,
                  TAO_ENCAP_BYTE_ORDER /* byte order */,
                  14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x623a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/tb:1.0 */,
                  3, ACE_NTOHL(0x74620000) /* name = tb */,
                  3 /* member count */,
                  2, ACE_NTOHL(0x61000000) /* name = a */,
                  CORBA::tk_long,
                  2, ACE_NTOHL(0x62000000) /* name = b */,
                  CORBA::tk_double,
                  2, ACE_NTOHL(0x63000000) /* name = c */,
                  CORBA::tk_short,
                2, ACE_NTOHL(0x62000000) /* name = b */,
                CORBA::tk_struct,
                160 /* encapsulation length */,
                  TAO_ENCAP_BYTE_ORDER /* byte order */,
                  17, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x642f7465), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:ta/td/te:1.0 */,
                  3, ACE_NTOHL(0x74650000) /* name = te */,
                  5 /* member count */,
                  2, ACE_NTOHL(0x61000000) /* name = a */,
                  CORBA::tk_char,
                  2, ACE_NTOHL(0x62000000) /* name = b */,
                  CORBA::tk_char,
                  2, ACE_NTOHL(0x63000000) /* name = c */,
                  CORBA::tk_char,
                  2, ACE_NTOHL(0x64000000) /* name = d */,
                  CORBA::tk_char,
                  2, ACE_NTOHL(0x65000000) /* name = e */,
                  CORBA::tk_alias,
                  56 /* encapsulation length */,
                    TAO_ENCAP_BYTE_ORDER /* byte order */,
                    21, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x615f7464), ACE_NTOHL(0x00000000) /* name = flick_sequence_ta_td */,
                    CORBA::tk_sequence,
                    16 /* encapsulation length */,
                      TAO_ENCAP_BYTE_ORDER /* byte order */,
                      -1, -144,
                      0,
              5, ACE_NTOHL(0x6e657874), ACE_NTOHL(0x00000000) /* name = next */,
              CORBA::tk_alias,
              52 /* encapsulation length */,
                TAO_ENCAP_BYTE_ORDER /* byte order */,
                18, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x61000000) /* name = flick_sequence_ta */,
                CORBA::tk_sequence,
                16 /* encapsulation length */,
                  TAO_ENCAP_BYTE_ORDER /* byte order */,
                  -1, -612,
                  0,
              2, ACE_NTOHL(0x64000000) /* name = d */,
              CORBA::tk_struct,
              72 /* encapsulation length */,
                TAO_ENCAP_BYTE_ORDER /* byte order */,
                14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x623a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/tb:1.0 */,
                3, ACE_NTOHL(0x74620000) /* name = tb */,
                3 /* member count */,
                2, ACE_NTOHL(0x61000000) /* name = a */,
                CORBA::tk_long,
                2, ACE_NTOHL(0x62000000) /* name = b */,
                CORBA::tk_double,
                2, ACE_NTOHL(0x63000000) /* name = c */,
                CORBA::tk_short,
              2, ACE_NTOHL(0x65000000) /* name = e */,
              CORBA::tk_struct,
              136 /* encapsulation length */,
                TAO_ENCAP_BYTE_ORDER /* byte order */,
                14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x633a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/tc:1.0 */,
                3, ACE_NTOHL(0x74630000) /* name = tc */,
                3 /* member count */,
                2, ACE_NTOHL(0x61000000) /* name = a */,
                CORBA::tk_char,
                2, ACE_NTOHL(0x62000000) /* name = b */,
                CORBA::tk_string,
                0,
                2, ACE_NTOHL(0x63000000) /* name = c */,
                CORBA::tk_alias,
                56 /* encapsulation length */,
                  TAO_ENCAP_BYTE_ORDER /* byte order */,
                  21, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x615f7463), ACE_NTOHL(0x00000000) /* name = flick_sequence_ta_tc */,
                  CORBA::tk_sequence,
                  16 /* encapsulation length */,
                    TAO_ENCAP_BYTE_ORDER /* byte order */,
                    -1, -84,
                    0,
              2, ACE_NTOHL(0x66000000) /* name = f */,
              CORBA::tk_struct,
              300 /* encapsulation length */,
                TAO_ENCAP_BYTE_ORDER /* byte order */,
                14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x643a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/td:1.0 */,
                3, ACE_NTOHL(0x74640000) /* name = td */,
                2 /* member count */,
                2, ACE_NTOHL(0x61000000) /* name = a */,
                CORBA::tk_struct,
                72 /* encapsulation length */,
                  TAO_ENCAP_BYTE_ORDER /* byte order */,
                  14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x623a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/tb:1.0 */,
                  3, ACE_NTOHL(0x74620000) /* name = tb */,
                  3 /* member count */,
                  2, ACE_NTOHL(0x61000000) /* name = a */,
                  CORBA::tk_long,
                  2, ACE_NTOHL(0x62000000) /* name = b */,
                  CORBA::tk_double,
                  2, ACE_NTOHL(0x63000000) /* name = c */,
                  CORBA::tk_short,
                2, ACE_NTOHL(0x62000000) /* name = b */,
                CORBA::tk_struct,
                160 /* encapsulation length */,
                  TAO_ENCAP_BYTE_ORDER /* byte order */,
                  17, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x642f7465), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:ta/td/te:1.0 */,
                  3, ACE_NTOHL(0x74650000) /* name = te */,
                  5 /* member count */,
                  2, ACE_NTOHL(0x61000000) /* name = a */,
                  CORBA::tk_char,
                  2, ACE_NTOHL(0x62000000) /* name = b */,
                  CORBA::tk_char,
                  2, ACE_NTOHL(0x63000000) /* name = c */,
                  CORBA::tk_char,
                  2, ACE_NTOHL(0x64000000) /* name = d */,
                  CORBA::tk_char,
                  2, ACE_NTOHL(0x65000000) /* name = e */,
                  CORBA::tk_alias,
                  56 /* encapsulation length */,
                    TAO_ENCAP_BYTE_ORDER /* byte order */,
                    21, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x615f7464), ACE_NTOHL(0x00000000) /* name = flick_sequence_ta_td */,
                    CORBA::tk_sequence,
                    16 /* encapsulation length */,
                      TAO_ENCAP_BYTE_ORDER /* byte order */,
                      -1, -144,
                      0,
            (0x0002) /* union case label (evaluated) */,
            4, ACE_NTOHL(0x74776f00) /* name = two */,
            CORBA::tk_struct,
            876 /* encapsulation length */,
              TAO_ENCAP_BYTE_ORDER /* byte order */,
              11, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74623a31), ACE_NTOHL(0x2e300000) /* repository ID = IDL:tb:1.0 */,
              3, ACE_NTOHL(0x74620000) /* name = tb */,
              4 /* member count */,
              2, ACE_NTOHL(0x61000000) /* name = a */,
              CORBA::tk_struct,
              72 /* encapsulation length */,
                TAO_ENCAP_BYTE_ORDER /* byte order */,
                14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x623a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/tb:1.0 */,
                3, ACE_NTOHL(0x74620000) /* name = tb */,
                3 /* member count */,
                2, ACE_NTOHL(0x61000000) /* name = a */,
                CORBA::tk_long,
                2, ACE_NTOHL(0x62000000) /* name = b */,
                CORBA::tk_double,
                2, ACE_NTOHL(0x63000000) /* name = c */,
                CORBA::tk_short,
              2, ACE_NTOHL(0x62000000) /* name = b */,
              CORBA::tk_struct,
              300 /* encapsulation length */,
                TAO_ENCAP_BYTE_ORDER /* byte order */,
                14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x643a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/td:1.0 */,
                3, ACE_NTOHL(0x74640000) /* name = td */,
                2 /* member count */,
                2, ACE_NTOHL(0x61000000) /* name = a */,
                CORBA::tk_struct,
                72 /* encapsulation length */,
                  TAO_ENCAP_BYTE_ORDER /* byte order */,
                  14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x623a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/tb:1.0 */,
                  3, ACE_NTOHL(0x74620000) /* name = tb */,
                  3 /* member count */,
                  2, ACE_NTOHL(0x61000000) /* name = a */,
                  CORBA::tk_long,
                  2, ACE_NTOHL(0x62000000) /* name = b */,
                  CORBA::tk_double,
                  2, ACE_NTOHL(0x63000000) /* name = c */,
                  CORBA::tk_short,
                2, ACE_NTOHL(0x62000000) /* name = b */,
                CORBA::tk_struct,
                160 /* encapsulation length */,
                  TAO_ENCAP_BYTE_ORDER /* byte order */,
                  17, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x642f7465), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:ta/td/te:1.0 */,
                  3, ACE_NTOHL(0x74650000) /* name = te */,
                  5 /* member count */,
                  2, ACE_NTOHL(0x61000000) /* name = a */,
                  CORBA::tk_char,
                  2, ACE_NTOHL(0x62000000) /* name = b */,
                  CORBA::tk_char,
                  2, ACE_NTOHL(0x63000000) /* name = c */,
                  CORBA::tk_char,
                  2, ACE_NTOHL(0x64000000) /* name = d */,
                  CORBA::tk_char,
                  2, ACE_NTOHL(0x65000000) /* name = e */,
                  CORBA::tk_alias,
                  56 /* encapsulation length */,
                    TAO_ENCAP_BYTE_ORDER /* byte order */,
                    21, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x615f7464), ACE_NTOHL(0x00000000) /* name = flick_sequence_ta_td */,
                    CORBA::tk_sequence,
                    16 /* encapsulation length */,
                      TAO_ENCAP_BYTE_ORDER /* byte order */,
                      -1, -144,
                      0,
              2, ACE_NTOHL(0x63000000) /* name = c */,
              CORBA::tk_alias,
              356 /* encapsulation length */,
                TAO_ENCAP_BYTE_ORDER /* byte order */,
                21, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x615f7464), ACE_NTOHL(0x00000000) /* name = flick_sequence_ta_td */,
                CORBA::tk_sequence,
                316 /* encapsulation length */,
                  TAO_ENCAP_BYTE_ORDER /* byte order */,
                  CORBA::tk_struct,
                  300 /* encapsulation length */,
                    TAO_ENCAP_BYTE_ORDER /* byte order */,
                    14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x643a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/td:1.0 */,
                    3, ACE_NTOHL(0x74640000) /* name = td */,
                    2 /* member count */,
                    2, ACE_NTOHL(0x61000000) /* name = a */,
                    CORBA::tk_struct,
                    72 /* encapsulation length */,
                      TAO_ENCAP_BYTE_ORDER /* byte order */,
                      14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x623a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/tb:1.0 */,
                      3, ACE_NTOHL(0x74620000) /* name = tb */,
                      3 /* member count */,
                      2, ACE_NTOHL(0x61000000) /* name = a */,
                      CORBA::tk_long,
                      2, ACE_NTOHL(0x62000000) /* name = b */,
                      CORBA::tk_double,
                      2, ACE_NTOHL(0x63000000) /* name = c */,
                      CORBA::tk_short,
                    2, ACE_NTOHL(0x62000000) /* name = b */,
                    CORBA::tk_struct,
                    160 /* encapsulation length */,
                      TAO_ENCAP_BYTE_ORDER /* byte order */,
                      17, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x642f7465), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:ta/td/te:1.0 */,
                      3, ACE_NTOHL(0x74650000) /* name = te */,
                      5 /* member count */,
                      2, ACE_NTOHL(0x61000000) /* name = a */,
                      CORBA::tk_char,
                      2, ACE_NTOHL(0x62000000) /* name = b */,
                      CORBA::tk_char,
                      2, ACE_NTOHL(0x63000000) /* name = c */,
                      CORBA::tk_char,
                      2, ACE_NTOHL(0x64000000) /* name = d */,
                      CORBA::tk_char,
                      2, ACE_NTOHL(0x65000000) /* name = e */,
                      CORBA::tk_alias,
                      56 /* encapsulation length */,
                        TAO_ENCAP_BYTE_ORDER /* byte order */,
                        21, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x615f7464), ACE_NTOHL(0x00000000) /* name = flick_sequence_ta_td */,
                        CORBA::tk_sequence,
                        16 /* encapsulation length */,
                          TAO_ENCAP_BYTE_ORDER /* byte order */,
                          -1, -144,
                          0,
                  0,
              2, ACE_NTOHL(0x64000000) /* name = d */,
              CORBA::tk_alias,
              52 /* encapsulation length */,
                TAO_ENCAP_BYTE_ORDER /* byte order */,
                18, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x62000000) /* name = flick_sequence_tb */,
                CORBA::tk_sequence,
                16 /* encapsulation length */,
                  TAO_ENCAP_BYTE_ORDER /* byte order */,
                  -1, -828,
                  0,
            (0x0003) /* union case label (evaluated) */,
            6, ACE_NTOHL(0x74687265), ACE_NTOHL(0x65000000) /* name = three */,
            -1, -1108,
            (0x0000) /* union case label (evaluated) */,
            6, ACE_NTOHL(0x61676169), ACE_NTOHL(0x6e000000) /* name = again */,
            CORBA::tk_alias,
            52 /* encapsulation length */,
              TAO_ENCAP_BYTE_ORDER /* byte order */,
              18, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x64000000) /* name = flick_sequence_td */,
              CORBA::tk_sequence,
              16 /* encapsulation length */,
                TAO_ENCAP_BYTE_ORDER /* byte order */,
                -1, -2224,
                0,
          1
};

static CORBA::TypeCode _tc_TAO_tc_td_te (CORBA::tk_union, sizeof(_oc_td_te), (char *) &_oc_td_te, 0, sizeof(::td::te ));

CORBA::TypeCode_ptr td::_tc_te = &_tc_TAO_tc_td_te;

td::te::te()
{
  ACE_OS::memset(&this->disc_, 0, sizeof(this->disc_));
  ACE_OS::memset(&this->_u, 0, sizeof(this->_u));
}

td::te::te(const ::td::te &o)
{
  this->disc_ = o.disc_;
  switch( this->disc_ )
  {
  case 0:
    {
      this->_u.x = o._u.x;
    }
    break;
  case 1:
    {
      this->_u.y = o._u.y;
    }
    break;
  case 2:
    {
      this->_u.z = o._u.z;
    }
    break;
  case 3:
    {
      this->_u.s = new struct tb (*o._u.s);
    }
    break;
  case 4:
    {
      this->_u.u = new ::td::te::tu (*o._u.u);
    }
    break;
  }
}

td::te::~te()
{
  this->_reset(this->disc_, 1);
}

::td::te &td::te::operator=(const ::td::te &o)
{
  this->_reset(o.disc_, 0);
  this->disc_ = o.disc_;
  switch( this->disc_ )
  {
  
  case 0:
    {
      this->_u.x = o._u.x;
    }
    break;
  
  case 1:
    {
      this->_u.y = o._u.y;
    }
    break;
  
  case 2:
    {
      this->_u.z = o._u.z;
    }
    break;
  
  case 3:
    {
      this->_u.s = new struct tb (*o._u.s);
    }
    break;
  
  case 4:
    {
      this->_u.u = new ::td::te::tu (*o._u.u);
    }
    break;
  
  }
  return *this;
}

void td::te::_reset(CORBA::Long _new_disc_, CORBA::Boolean _finalize_)
{
  if( (this->disc_ != _new_disc_) || _finalize_ )
  {
    switch( this->disc_ )
    {
    
    case 0:
      ;
      break;
    
    case 1:
      ;
      break;
    
    case 2:
      ;
      break;
    
    case 3:
      delete this->_u.s;
      break;
    
    case 4:
      delete this->_u.u;
      break;
    
    }
  }
}

void *td::te::_discriminant()
{
  return &this->disc_;
}

void td::te::_reset()
{
  this->_reset(this->disc_, 1);
}

void *td::te::_access(CORBA::Boolean flag)
{
  switch(this->disc_)
  {
  
  case 0:
    return &this->_u.x;
  case 1:
    return &this->_u.y;
  case 2:
    return &this->_u.z;
  case 3:
    
    if( flag )
      this->_u.s = new struct tb ;
    return this->_u.s;
  case 4:
    
    return this->_u.u;
  }
  return 0;
}

void td::te::_d(enum tc _d_)
{
  this->disc_ = _d_;
}

enum tc td::te::_d() const
{
  return this->disc_;
}

void operator<<=(CORBA::Any &a, const ::td::te &o)
{
  ::td::te  *_any_val;
  ACE_NEW(_any_val, ::td::te  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(td::_tc_te, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, ::td::te *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(td::_tc_te, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, ::td::te *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(td::_tc_te, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (::td::te  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, ::td::te , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(td::_tc_te, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(td::_tc_te, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

void td::te::x(CORBA::Long v)
{
  this->_reset(0, 0);
  this->disc_ = (enum tc )0;
  this->_u.x =v;
}

CORBA::Long td::te::x() const
{
  return this->_u.x;
}

void td::te::y(CORBA::Double v)
{
  this->_reset(1, 0);
  this->disc_ = (enum tc )1;
  this->_u.y =v;
}

CORBA::Double td::te::y() const
{
  return this->_u.y;
}

void td::te::z(CORBA::Boolean v)
{
  this->_reset(2, 0);
  this->disc_ = (enum tc )2;
  this->_u.z =v;
}

CORBA::Boolean td::te::z() const
{
  return this->_u.z;
}

void td::te::s(const struct tb &v)
{
  this->_reset(3, 0);
  this->disc_ = (enum tc )3;
  this->_u.s = new struct tb (v);
}

const struct tb &td::te::s() const
{
  return *this->_u.s;
}

struct tb &td::te::s()
{
  return *this->_u.s;
}

void td::te::u(const ::td::te::tu &v)
{
  this->_reset(4, 0);
  this->disc_ = (enum tc )4;
  this->_u.u = new ::td::te::tu (v);
}

const ::td::te::tu &td::te::u() const
{
  return *this->_u.u;
}

::td::te::tu &td::te::u()
{
  return *this->_u.u;
}

td::te_var::te_var()
  : ptr_(0)
{}

td::te_var::te_var(::td::te *p)
 : ptr_(p)
{}

td::te_var::te_var(const ::td::te_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new ::td::te (*a.ptr_);
  else
    this->ptr_ = 0;
}

td::te_var::~te_var()
{
  delete this->ptr_;
}

::td::te_var &td::te_var::operator=(::td::te *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

::td::te_var &td::te_var::operator=(const ::td::te_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new ::td::te (*p.ptr_);
  }
  return *this;
}

::td::te *td::te_var::operator->()
{
  return this->ptr_;
}

const ::td::te *td::te_var::operator->() const
{
  return this->ptr_;
}

td::te_var::operator const ::td::te &() const
{
  return *this->ptr_;
}

td::te_var::operator ::td::te &()
{
  return *this->ptr_;
}

td::te_var::operator ::td::te &() const
{
  return *this->ptr_;
}

const ::td::te &td::te_var::in() const
{
  return *this->ptr_;
}

::td::te &td::te_var::inout()
{
  return *this->ptr_;
}

::td::te *&td::te_var::out()
{
  delete this->ptr_;
  this->ptr_ = 0;
  return this->ptr_;
}

::td::te *td::te_var::_retn()
{
  ::td::te  *tmp = this->ptr_;
  this->ptr_ = 0;
  return tmp;
}

::td::te *td::te_var::ptr() const
{
  return this->ptr_;
}

td::te_out::te_out(::td::te *&r)
  : ptr_(r)
{
  this->ptr_ = 0;
}

td::te_out::te_out(::td::te_var &r)
  : ptr_(r.out())
{
  delete this->ptr_;
  this->ptr_ = 0;
}

td::te_out::te_out(const ::td::te_out &r)
  : ptr_(ACE_const_cast(::td::te_out &,r).ptr_)
{}

::td::te_out &td::te_out::operator=(const ::td::te_out &r)
{
  this->ptr_ = ACE_const_cast(::td::te_out &,r).ptr_;
  return *this;
}

::td::te_out &td::te_out::operator=(::td::te *r)
{
  this->ptr_ = r;
  return *this;
}

td::te_out::operator ::td::te *&()
{
  return this->ptr_;
}

::td::te *&td::te_out::ptr()
{
  return this->ptr_;
}

::td::te *td::te_out::operator->()
{
  return this->ptr_;
}

static const CORBA::Long _oc_td_te_tu[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    17, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74642f74), ACE_NTOHL(0x652f7475), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:td/te/tu:1.0 */,
    3, ACE_NTOHL(0x74750000) /* name = tu */,
    CORBA::tk_boolean,
    -1 /* default used index */,
    1 /* member count */,
    (0x0001) /* union case label (evaluated) */,
    5, ACE_NTOHL(0x6e657874), ACE_NTOHL(0x00000000) /* name = next */,
    CORBA::tk_alias,
    3436 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      28, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x645f626f), ACE_NTOHL(0x756e6465), ACE_NTOHL(0x645f3100) /* name = flick_sequence_td_bounded_1 */,
      CORBA::tk_sequence,
      3392 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        CORBA::tk_union,
        3376 /* encapsulation length */,
          TAO_ENCAP_BYTE_ORDER /* byte order */,
          11, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74643a31), ACE_NTOHL(0x2e300000) /* repository ID = IDL:td:1.0 */,
          3, ACE_NTOHL(0x74640000) /* name = td */,
          CORBA::tk_long,
          -1 /* default used index */,
          4 /* member count */,
          (0x0001) /* union case label (evaluated) */,
          4, ACE_NTOHL(0x6f6e6500) /* name = one */,
          CORBA::tk_struct,
          1216 /* encapsulation length */,
            TAO_ENCAP_BYTE_ORDER /* byte order */,
            11, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74613a31), ACE_NTOHL(0x2e300000) /* repository ID = IDL:ta:1.0 */,
            3, ACE_NTOHL(0x74610000) /* name = ta */,
            7 /* member count */,
            2, ACE_NTOHL(0x61000000) /* name = a */,
            CORBA::tk_struct,
            72 /* encapsulation length */,
              TAO_ENCAP_BYTE_ORDER /* byte order */,
              14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x623a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/tb:1.0 */,
              3, ACE_NTOHL(0x74620000) /* name = tb */,
              3 /* member count */,
              2, ACE_NTOHL(0x61000000) /* name = a */,
              CORBA::tk_long,
              2, ACE_NTOHL(0x62000000) /* name = b */,
              CORBA::tk_double,
              2, ACE_NTOHL(0x63000000) /* name = c */,
              CORBA::tk_short,
            2, ACE_NTOHL(0x62000000) /* name = b */,
            CORBA::tk_struct,
            136 /* encapsulation length */,
              TAO_ENCAP_BYTE_ORDER /* byte order */,
              14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x633a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/tc:1.0 */,
              3, ACE_NTOHL(0x74630000) /* name = tc */,
              3 /* member count */,
              2, ACE_NTOHL(0x61000000) /* name = a */,
              CORBA::tk_char,
              2, ACE_NTOHL(0x62000000) /* name = b */,
              CORBA::tk_string,
              0,
              2, ACE_NTOHL(0x63000000) /* name = c */,
              CORBA::tk_alias,
              56 /* encapsulation length */,
                TAO_ENCAP_BYTE_ORDER /* byte order */,
                21, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x615f7463), ACE_NTOHL(0x00000000) /* name = flick_sequence_ta_tc */,
                CORBA::tk_sequence,
                16 /* encapsulation length */,
                  TAO_ENCAP_BYTE_ORDER /* byte order */,
                  -1, -84,
                  0,
            2, ACE_NTOHL(0x63000000) /* name = c */,
            CORBA::tk_struct,
            300 /* encapsulation length */,
              TAO_ENCAP_BYTE_ORDER /* byte order */,
              14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x643a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/td:1.0 */,
              3, ACE_NTOHL(0x74640000) /* name = td */,
              2 /* member count */,
              2, ACE_NTOHL(0x61000000) /* name = a */,
              CORBA::tk_struct,
              72 /* encapsulation length */,
                TAO_ENCAP_BYTE_ORDER /* byte order */,
                14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x623a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/tb:1.0 */,
                3, ACE_NTOHL(0x74620000) /* name = tb */,
                3 /* member count */,
                2, ACE_NTOHL(0x61000000) /* name = a */,
                CORBA::tk_long,
                2, ACE_NTOHL(0x62000000) /* name = b */,
                CORBA::tk_double,
                2, ACE_NTOHL(0x63000000) /* name = c */,
                CORBA::tk_short,
              2, ACE_NTOHL(0x62000000) /* name = b */,
              CORBA::tk_struct,
              160 /* encapsulation length */,
                TAO_ENCAP_BYTE_ORDER /* byte order */,
                17, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x642f7465), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:ta/td/te:1.0 */,
                3, ACE_NTOHL(0x74650000) /* name = te */,
                5 /* member count */,
                2, ACE_NTOHL(0x61000000) /* name = a */,
                CORBA::tk_char,
                2, ACE_NTOHL(0x62000000) /* name = b */,
                CORBA::tk_char,
                2, ACE_NTOHL(0x63000000) /* name = c */,
                CORBA::tk_char,
                2, ACE_NTOHL(0x64000000) /* name = d */,
                CORBA::tk_char,
                2, ACE_NTOHL(0x65000000) /* name = e */,
                CORBA::tk_alias,
                56 /* encapsulation length */,
                  TAO_ENCAP_BYTE_ORDER /* byte order */,
                  21, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x615f7464), ACE_NTOHL(0x00000000) /* name = flick_sequence_ta_td */,
                  CORBA::tk_sequence,
                  16 /* encapsulation length */,
                    TAO_ENCAP_BYTE_ORDER /* byte order */,
                    -1, -144,
                    0,
            5, ACE_NTOHL(0x6e657874), ACE_NTOHL(0x00000000) /* name = next */,
            CORBA::tk_alias,
            52 /* encapsulation length */,
              TAO_ENCAP_BYTE_ORDER /* byte order */,
              18, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x61000000) /* name = flick_sequence_ta */,
              CORBA::tk_sequence,
              16 /* encapsulation length */,
                TAO_ENCAP_BYTE_ORDER /* byte order */,
                -1, -612,
                0,
            2, ACE_NTOHL(0x64000000) /* name = d */,
            CORBA::tk_struct,
            72 /* encapsulation length */,
              TAO_ENCAP_BYTE_ORDER /* byte order */,
              14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x623a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/tb:1.0 */,
              3, ACE_NTOHL(0x74620000) /* name = tb */,
              3 /* member count */,
              2, ACE_NTOHL(0x61000000) /* name = a */,
              CORBA::tk_long,
              2, ACE_NTOHL(0x62000000) /* name = b */,
              CORBA::tk_double,
              2, ACE_NTOHL(0x63000000) /* name = c */,
              CORBA::tk_short,
            2, ACE_NTOHL(0x65000000) /* name = e */,
            CORBA::tk_struct,
            136 /* encapsulation length */,
              TAO_ENCAP_BYTE_ORDER /* byte order */,
              14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x633a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/tc:1.0 */,
              3, ACE_NTOHL(0x74630000) /* name = tc */,
              3 /* member count */,
              2, ACE_NTOHL(0x61000000) /* name = a */,
              CORBA::tk_char,
              2, ACE_NTOHL(0x62000000) /* name = b */,
              CORBA::tk_string,
              0,
              2, ACE_NTOHL(0x63000000) /* name = c */,
              CORBA::tk_alias,
              56 /* encapsulation length */,
                TAO_ENCAP_BYTE_ORDER /* byte order */,
                21, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x615f7463), ACE_NTOHL(0x00000000) /* name = flick_sequence_ta_tc */,
                CORBA::tk_sequence,
                16 /* encapsulation length */,
                  TAO_ENCAP_BYTE_ORDER /* byte order */,
                  -1, -84,
                  0,
            2, ACE_NTOHL(0x66000000) /* name = f */,
            CORBA::tk_struct,
            300 /* encapsulation length */,
              TAO_ENCAP_BYTE_ORDER /* byte order */,
              14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x643a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/td:1.0 */,
              3, ACE_NTOHL(0x74640000) /* name = td */,
              2 /* member count */,
              2, ACE_NTOHL(0x61000000) /* name = a */,
              CORBA::tk_struct,
              72 /* encapsulation length */,
                TAO_ENCAP_BYTE_ORDER /* byte order */,
                14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x623a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/tb:1.0 */,
                3, ACE_NTOHL(0x74620000) /* name = tb */,
                3 /* member count */,
                2, ACE_NTOHL(0x61000000) /* name = a */,
                CORBA::tk_long,
                2, ACE_NTOHL(0x62000000) /* name = b */,
                CORBA::tk_double,
                2, ACE_NTOHL(0x63000000) /* name = c */,
                CORBA::tk_short,
              2, ACE_NTOHL(0x62000000) /* name = b */,
              CORBA::tk_struct,
              160 /* encapsulation length */,
                TAO_ENCAP_BYTE_ORDER /* byte order */,
                17, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x642f7465), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:ta/td/te:1.0 */,
                3, ACE_NTOHL(0x74650000) /* name = te */,
                5 /* member count */,
                2, ACE_NTOHL(0x61000000) /* name = a */,
                CORBA::tk_char,
                2, ACE_NTOHL(0x62000000) /* name = b */,
                CORBA::tk_char,
                2, ACE_NTOHL(0x63000000) /* name = c */,
                CORBA::tk_char,
                2, ACE_NTOHL(0x64000000) /* name = d */,
                CORBA::tk_char,
                2, ACE_NTOHL(0x65000000) /* name = e */,
                CORBA::tk_alias,
                56 /* encapsulation length */,
                  TAO_ENCAP_BYTE_ORDER /* byte order */,
                  21, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x615f7464), ACE_NTOHL(0x00000000) /* name = flick_sequence_ta_td */,
                  CORBA::tk_sequence,
                  16 /* encapsulation length */,
                    TAO_ENCAP_BYTE_ORDER /* byte order */,
                    -1, -144,
                    0,
          (0x0002) /* union case label (evaluated) */,
          4, ACE_NTOHL(0x74776f00) /* name = two */,
          CORBA::tk_struct,
          876 /* encapsulation length */,
            TAO_ENCAP_BYTE_ORDER /* byte order */,
            11, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74623a31), ACE_NTOHL(0x2e300000) /* repository ID = IDL:tb:1.0 */,
            3, ACE_NTOHL(0x74620000) /* name = tb */,
            4 /* member count */,
            2, ACE_NTOHL(0x61000000) /* name = a */,
            CORBA::tk_struct,
            72 /* encapsulation length */,
              TAO_ENCAP_BYTE_ORDER /* byte order */,
              14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x623a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/tb:1.0 */,
              3, ACE_NTOHL(0x74620000) /* name = tb */,
              3 /* member count */,
              2, ACE_NTOHL(0x61000000) /* name = a */,
              CORBA::tk_long,
              2, ACE_NTOHL(0x62000000) /* name = b */,
              CORBA::tk_double,
              2, ACE_NTOHL(0x63000000) /* name = c */,
              CORBA::tk_short,
            2, ACE_NTOHL(0x62000000) /* name = b */,
            CORBA::tk_struct,
            300 /* encapsulation length */,
              TAO_ENCAP_BYTE_ORDER /* byte order */,
              14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x643a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/td:1.0 */,
              3, ACE_NTOHL(0x74640000) /* name = td */,
              2 /* member count */,
              2, ACE_NTOHL(0x61000000) /* name = a */,
              CORBA::tk_struct,
              72 /* encapsulation length */,
                TAO_ENCAP_BYTE_ORDER /* byte order */,
                14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x623a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/tb:1.0 */,
                3, ACE_NTOHL(0x74620000) /* name = tb */,
                3 /* member count */,
                2, ACE_NTOHL(0x61000000) /* name = a */,
                CORBA::tk_long,
                2, ACE_NTOHL(0x62000000) /* name = b */,
                CORBA::tk_double,
                2, ACE_NTOHL(0x63000000) /* name = c */,
                CORBA::tk_short,
              2, ACE_NTOHL(0x62000000) /* name = b */,
              CORBA::tk_struct,
              160 /* encapsulation length */,
                TAO_ENCAP_BYTE_ORDER /* byte order */,
                17, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x642f7465), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:ta/td/te:1.0 */,
                3, ACE_NTOHL(0x74650000) /* name = te */,
                5 /* member count */,
                2, ACE_NTOHL(0x61000000) /* name = a */,
                CORBA::tk_char,
                2, ACE_NTOHL(0x62000000) /* name = b */,
                CORBA::tk_char,
                2, ACE_NTOHL(0x63000000) /* name = c */,
                CORBA::tk_char,
                2, ACE_NTOHL(0x64000000) /* name = d */,
                CORBA::tk_char,
                2, ACE_NTOHL(0x65000000) /* name = e */,
                CORBA::tk_alias,
                56 /* encapsulation length */,
                  TAO_ENCAP_BYTE_ORDER /* byte order */,
                  21, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x615f7464), ACE_NTOHL(0x00000000) /* name = flick_sequence_ta_td */,
                  CORBA::tk_sequence,
                  16 /* encapsulation length */,
                    TAO_ENCAP_BYTE_ORDER /* byte order */,
                    -1, -144,
                    0,
            2, ACE_NTOHL(0x63000000) /* name = c */,
            CORBA::tk_alias,
            356 /* encapsulation length */,
              TAO_ENCAP_BYTE_ORDER /* byte order */,
              21, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x615f7464), ACE_NTOHL(0x00000000) /* name = flick_sequence_ta_td */,
              CORBA::tk_sequence,
              316 /* encapsulation length */,
                TAO_ENCAP_BYTE_ORDER /* byte order */,
                CORBA::tk_struct,
                300 /* encapsulation length */,
                  TAO_ENCAP_BYTE_ORDER /* byte order */,
                  14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x643a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/td:1.0 */,
                  3, ACE_NTOHL(0x74640000) /* name = td */,
                  2 /* member count */,
                  2, ACE_NTOHL(0x61000000) /* name = a */,
                  CORBA::tk_struct,
                  72 /* encapsulation length */,
                    TAO_ENCAP_BYTE_ORDER /* byte order */,
                    14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x623a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/tb:1.0 */,
                    3, ACE_NTOHL(0x74620000) /* name = tb */,
                    3 /* member count */,
                    2, ACE_NTOHL(0x61000000) /* name = a */,
                    CORBA::tk_long,
                    2, ACE_NTOHL(0x62000000) /* name = b */,
                    CORBA::tk_double,
                    2, ACE_NTOHL(0x63000000) /* name = c */,
                    CORBA::tk_short,
                  2, ACE_NTOHL(0x62000000) /* name = b */,
                  CORBA::tk_struct,
                  160 /* encapsulation length */,
                    TAO_ENCAP_BYTE_ORDER /* byte order */,
                    17, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x642f7465), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:ta/td/te:1.0 */,
                    3, ACE_NTOHL(0x74650000) /* name = te */,
                    5 /* member count */,
                    2, ACE_NTOHL(0x61000000) /* name = a */,
                    CORBA::tk_char,
                    2, ACE_NTOHL(0x62000000) /* name = b */,
                    CORBA::tk_char,
                    2, ACE_NTOHL(0x63000000) /* name = c */,
                    CORBA::tk_char,
                    2, ACE_NTOHL(0x64000000) /* name = d */,
                    CORBA::tk_char,
                    2, ACE_NTOHL(0x65000000) /* name = e */,
                    CORBA::tk_alias,
                    56 /* encapsulation length */,
                      TAO_ENCAP_BYTE_ORDER /* byte order */,
                      21, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x615f7464), ACE_NTOHL(0x00000000) /* name = flick_sequence_ta_td */,
                      CORBA::tk_sequence,
                      16 /* encapsulation length */,
                        TAO_ENCAP_BYTE_ORDER /* byte order */,
                        -1, -144,
                        0,
                0,
            2, ACE_NTOHL(0x64000000) /* name = d */,
            CORBA::tk_alias,
            52 /* encapsulation length */,
              TAO_ENCAP_BYTE_ORDER /* byte order */,
              18, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x62000000) /* name = flick_sequence_tb */,
              CORBA::tk_sequence,
              16 /* encapsulation length */,
                TAO_ENCAP_BYTE_ORDER /* byte order */,
                -1, -828,
                0,
          (0x0003) /* union case label (evaluated) */,
          6, ACE_NTOHL(0x74687265), ACE_NTOHL(0x65000000) /* name = three */,
          CORBA::tk_union,
          1104 /* encapsulation length */,
            TAO_ENCAP_BYTE_ORDER /* byte order */,
            14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74642f74), ACE_NTOHL(0x653a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:td/te:1.0 */,
            3, ACE_NTOHL(0x74650000) /* name = te */,
            CORBA::tk_enum,
            92 /* encapsulation length */,
              TAO_ENCAP_BYTE_ORDER /* byte order */,
              11, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74633a31), ACE_NTOHL(0x2e300000) /* repository ID = IDL:tc:1.0 */,
              3, ACE_NTOHL(0x74630000) /* name = tc */,
              5 /* member count */,
              6, ACE_NTOHL(0x4e4f5254), ACE_NTOHL(0x48000000) /* name = NORTH */,
              5, ACE_NTOHL(0x45415354), ACE_NTOHL(0x00000000) /* name = EAST */,
              5, ACE_NTOHL(0x57455354), ACE_NTOHL(0x00000000) /* name = WEST */,
              6, ACE_NTOHL(0x534f5554), ACE_NTOHL(0x48000000) /* name = SOUTH */,
              5, ACE_NTOHL(0x444f574e), ACE_NTOHL(0x00000000) /* name = DOWN */,
            -1 /* default used index */,
            5 /* member count */,
            (0x0000) /* union case label (evaluated) */,
            2, ACE_NTOHL(0x78000000) /* name = x */,
            CORBA::tk_long,
            (0x0001) /* union case label (evaluated) */,
            2, ACE_NTOHL(0x79000000) /* name = y */,
            CORBA::tk_double,
            (0x0002) /* union case label (evaluated) */,
            2, ACE_NTOHL(0x7a000000) /* name = z */,
            CORBA::tk_boolean,
            (0x0003) /* union case label (evaluated) */,
            2, ACE_NTOHL(0x73000000) /* name = s */,
            CORBA::tk_struct,
            876 /* encapsulation length */,
              TAO_ENCAP_BYTE_ORDER /* byte order */,
              11, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74623a31), ACE_NTOHL(0x2e300000) /* repository ID = IDL:tb:1.0 */,
              3, ACE_NTOHL(0x74620000) /* name = tb */,
              4 /* member count */,
              2, ACE_NTOHL(0x61000000) /* name = a */,
              CORBA::tk_struct,
              72 /* encapsulation length */,
                TAO_ENCAP_BYTE_ORDER /* byte order */,
                14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x623a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/tb:1.0 */,
                3, ACE_NTOHL(0x74620000) /* name = tb */,
                3 /* member count */,
                2, ACE_NTOHL(0x61000000) /* name = a */,
                CORBA::tk_long,
                2, ACE_NTOHL(0x62000000) /* name = b */,
                CORBA::tk_double,
                2, ACE_NTOHL(0x63000000) /* name = c */,
                CORBA::tk_short,
              2, ACE_NTOHL(0x62000000) /* name = b */,
              CORBA::tk_struct,
              300 /* encapsulation length */,
                TAO_ENCAP_BYTE_ORDER /* byte order */,
                14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x643a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/td:1.0 */,
                3, ACE_NTOHL(0x74640000) /* name = td */,
                2 /* member count */,
                2, ACE_NTOHL(0x61000000) /* name = a */,
                CORBA::tk_struct,
                72 /* encapsulation length */,
                  TAO_ENCAP_BYTE_ORDER /* byte order */,
                  14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x623a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/tb:1.0 */,
                  3, ACE_NTOHL(0x74620000) /* name = tb */,
                  3 /* member count */,
                  2, ACE_NTOHL(0x61000000) /* name = a */,
                  CORBA::tk_long,
                  2, ACE_NTOHL(0x62000000) /* name = b */,
                  CORBA::tk_double,
                  2, ACE_NTOHL(0x63000000) /* name = c */,
                  CORBA::tk_short,
                2, ACE_NTOHL(0x62000000) /* name = b */,
                CORBA::tk_struct,
                160 /* encapsulation length */,
                  TAO_ENCAP_BYTE_ORDER /* byte order */,
                  17, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x642f7465), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:ta/td/te:1.0 */,
                  3, ACE_NTOHL(0x74650000) /* name = te */,
                  5 /* member count */,
                  2, ACE_NTOHL(0x61000000) /* name = a */,
                  CORBA::tk_char,
                  2, ACE_NTOHL(0x62000000) /* name = b */,
                  CORBA::tk_char,
                  2, ACE_NTOHL(0x63000000) /* name = c */,
                  CORBA::tk_char,
                  2, ACE_NTOHL(0x64000000) /* name = d */,
                  CORBA::tk_char,
                  2, ACE_NTOHL(0x65000000) /* name = e */,
                  CORBA::tk_alias,
                  56 /* encapsulation length */,
                    TAO_ENCAP_BYTE_ORDER /* byte order */,
                    21, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x615f7464), ACE_NTOHL(0x00000000) /* name = flick_sequence_ta_td */,
                    CORBA::tk_sequence,
                    16 /* encapsulation length */,
                      TAO_ENCAP_BYTE_ORDER /* byte order */,
                      -1, -144,
                      0,
              2, ACE_NTOHL(0x63000000) /* name = c */,
              CORBA::tk_alias,
              356 /* encapsulation length */,
                TAO_ENCAP_BYTE_ORDER /* byte order */,
                21, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x615f7464), ACE_NTOHL(0x00000000) /* name = flick_sequence_ta_td */,
                CORBA::tk_sequence,
                316 /* encapsulation length */,
                  TAO_ENCAP_BYTE_ORDER /* byte order */,
                  CORBA::tk_struct,
                  300 /* encapsulation length */,
                    TAO_ENCAP_BYTE_ORDER /* byte order */,
                    14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x643a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/td:1.0 */,
                    3, ACE_NTOHL(0x74640000) /* name = td */,
                    2 /* member count */,
                    2, ACE_NTOHL(0x61000000) /* name = a */,
                    CORBA::tk_struct,
                    72 /* encapsulation length */,
                      TAO_ENCAP_BYTE_ORDER /* byte order */,
                      14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x623a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/tb:1.0 */,
                      3, ACE_NTOHL(0x74620000) /* name = tb */,
                      3 /* member count */,
                      2, ACE_NTOHL(0x61000000) /* name = a */,
                      CORBA::tk_long,
                      2, ACE_NTOHL(0x62000000) /* name = b */,
                      CORBA::tk_double,
                      2, ACE_NTOHL(0x63000000) /* name = c */,
                      CORBA::tk_short,
                    2, ACE_NTOHL(0x62000000) /* name = b */,
                    CORBA::tk_struct,
                    160 /* encapsulation length */,
                      TAO_ENCAP_BYTE_ORDER /* byte order */,
                      17, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x642f7465), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:ta/td/te:1.0 */,
                      3, ACE_NTOHL(0x74650000) /* name = te */,
                      5 /* member count */,
                      2, ACE_NTOHL(0x61000000) /* name = a */,
                      CORBA::tk_char,
                      2, ACE_NTOHL(0x62000000) /* name = b */,
                      CORBA::tk_char,
                      2, ACE_NTOHL(0x63000000) /* name = c */,
                      CORBA::tk_char,
                      2, ACE_NTOHL(0x64000000) /* name = d */,
                      CORBA::tk_char,
                      2, ACE_NTOHL(0x65000000) /* name = e */,
                      CORBA::tk_alias,
                      56 /* encapsulation length */,
                        TAO_ENCAP_BYTE_ORDER /* byte order */,
                        21, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x615f7464), ACE_NTOHL(0x00000000) /* name = flick_sequence_ta_td */,
                        CORBA::tk_sequence,
                        16 /* encapsulation length */,
                          TAO_ENCAP_BYTE_ORDER /* byte order */,
                          -1, -144,
                          0,
                  0,
              2, ACE_NTOHL(0x64000000) /* name = d */,
              CORBA::tk_alias,
              52 /* encapsulation length */,
                TAO_ENCAP_BYTE_ORDER /* byte order */,
                18, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x62000000) /* name = flick_sequence_tb */,
                CORBA::tk_sequence,
                16 /* encapsulation length */,
                  TAO_ENCAP_BYTE_ORDER /* byte order */,
                  -1, -828,
                  0,
            (0x0004) /* union case label (evaluated) */,
            2, ACE_NTOHL(0x75000000) /* name = u */,
            -1, -76,
          (0x0000) /* union case label (evaluated) */,
          6, ACE_NTOHL(0x61676169), ACE_NTOHL(0x6e000000) /* name = again */,
          CORBA::tk_alias,
          52 /* encapsulation length */,
            TAO_ENCAP_BYTE_ORDER /* byte order */,
            18, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x64000000) /* name = flick_sequence_td */,
            CORBA::tk_sequence,
            16 /* encapsulation length */,
              TAO_ENCAP_BYTE_ORDER /* byte order */,
              -1, -3328,
              0,
        1
};

static CORBA::TypeCode _tc_TAO_tc_td_te_tu (CORBA::tk_union, sizeof(_oc_td_te_tu), (char *) &_oc_td_te_tu, 0, sizeof(::td::te::tu ));

CORBA::TypeCode_ptr td::te::_tc_tu = &_tc_TAO_tc_td_te_tu;

td::te::tu::tu()
{
  ACE_OS::memset(&this->disc_, 0, sizeof(this->disc_));
  ACE_OS::memset(&this->_u, 0, sizeof(this->_u));
}

td::te::tu::tu(const ::td::te::tu &o)
{
  this->disc_ = o.disc_;
  switch( this->disc_ )
  {
  case 1:
    {
      this->_u.next = new ::td::te::tu::flick_sequence_td_bounded_1 (*o._u.next);
    }
    break;
  }
}

td::te::tu::~tu()
{
  this->_reset(this->disc_, 1);
}

::td::te::tu &td::te::tu::operator=(const ::td::te::tu &o)
{
  this->_reset(o.disc_, 0);
  this->disc_ = o.disc_;
  switch( this->disc_ )
  {
  
  case 1:
    {
      this->_u.next = new ::td::te::tu::flick_sequence_td_bounded_1 (*o._u.next);
    }
    break;
  
  }
  return *this;
}

void td::te::tu::_reset(CORBA::Long _new_disc_, CORBA::Boolean _finalize_)
{
  if( (this->disc_ != _new_disc_) || _finalize_ )
  {
    switch( this->disc_ )
    {
    
    case 1:
      delete this->_u.next;
      break;
    
    }
  }
}

void *td::te::tu::_discriminant()
{
  return &this->disc_;
}

void td::te::tu::_reset()
{
  this->_reset(this->disc_, 1);
}

void *td::te::tu::_access(CORBA::Boolean flag)
{
  switch(this->disc_)
  {
  
  case 1:
    
    if( flag )
      this->_u.next = new ::td::te::tu::flick_sequence_td_bounded_1 ;
    return this->_u.next;
  }
  return 0;
}

void td::te::tu::_d(CORBA::Boolean _d_)
{
  this->disc_ = _d_;
}

CORBA::Boolean td::te::tu::_d() const
{
  return this->disc_;
}

void operator<<=(CORBA::Any &a, const ::td::te::tu &o)
{
  ::td::te::tu  *_any_val;
  ACE_NEW(_any_val, ::td::te::tu  (o));
  if( !_any_val ) return;
  ACE_TRY_NEW_ENV
  {
    a.replace(td::te::_tc_tu, _any_val, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _any_val;
  }
  ACE_ENDTRY;
}

void operator<<=(CORBA::Any &a, ::td::te::tu *o)
{
  ACE_TRY_NEW_ENV
  {
    a.replace(td::te::_tc_tu, o, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY {}
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, ::td::te::tu *&o)
{
  ACE_TRY_NEW_ENV
  {
    CORBA::TypeCode_var type = a.type();
    if(!type->equal(td::te::_tc_tu, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    if(a.any_owns_data())
    {
      o = (::td::te::tu  *)a.value();
      return 1;
    }
    else
    {
      ACE_NEW_RETURN(o, ::td::te::tu , 0);
      TAO_InputCDR stream (a._tao_get_cdr());
      if(stream.decode(td::te::_tc_tu, o, 0, ACE_TRY_ENV)
        == CORBA::TypeCode::TRAVERSE_CONTINUE)
      {
        ((CORBA::Any *)&a)->replace(td::te::_tc_tu, o, 1, ACE_TRY_ENV);
        ACE_TRY_CHECK;
        return 1;
      }
      else
      {
        delete o;
      }
    }
  }
  ACE_CATCHANY
  {
    delete o;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

void td::te::tu::next(const ::td::te::tu::flick_sequence_td_bounded_1 &v)
{
  this->_reset(1, 0);
  this->disc_ = (CORBA::Boolean )1;
  this->_u.next = new ::td::te::tu::flick_sequence_td_bounded_1 (v);
}

const ::td::te::tu::flick_sequence_td_bounded_1 &td::te::tu::next() const
{
  return *this->_u.next;
}

::td::te::tu::flick_sequence_td_bounded_1 &td::te::tu::next()
{
  return *this->_u.next;
}

td::te::tu_var::tu_var()
  : ptr_(0)
{}

td::te::tu_var::tu_var(::td::te::tu *p)
 : ptr_(p)
{}

td::te::tu_var::tu_var(const ::td::te::tu_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new ::td::te::tu (*a.ptr_);
  else
    this->ptr_ = 0;
}

td::te::tu_var::~tu_var()
{
  delete this->ptr_;
}

::td::te::tu_var &td::te::tu_var::operator=(::td::te::tu *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

::td::te::tu_var &td::te::tu_var::operator=(const ::td::te::tu_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new ::td::te::tu (*p.ptr_);
  }
  return *this;
}

::td::te::tu *td::te::tu_var::operator->()
{
  return this->ptr_;
}

const ::td::te::tu *td::te::tu_var::operator->() const
{
  return this->ptr_;
}

td::te::tu_var::operator const ::td::te::tu &() const
{
  return *this->ptr_;
}

td::te::tu_var::operator ::td::te::tu &()
{
  return *this->ptr_;
}

td::te::tu_var::operator ::td::te::tu &() const
{
  return *this->ptr_;
}

const ::td::te::tu &td::te::tu_var::in() const
{
  return *this->ptr_;
}

::td::te::tu &td::te::tu_var::inout()
{
  return *this->ptr_;
}

::td::te::tu *&td::te::tu_var::out()
{
  delete this->ptr_;
  this->ptr_ = 0;
  return this->ptr_;
}

::td::te::tu *td::te::tu_var::_retn()
{
  ::td::te::tu  *tmp = this->ptr_;
  this->ptr_ = 0;
  return tmp;
}

::td::te::tu *td::te::tu_var::ptr() const
{
  return this->ptr_;
}

td::te::tu_out::tu_out(::td::te::tu *&r)
  : ptr_(r)
{
  this->ptr_ = 0;
}

td::te::tu_out::tu_out(::td::te::tu_var &r)
  : ptr_(r.out())
{
  delete this->ptr_;
  this->ptr_ = 0;
}

td::te::tu_out::tu_out(const ::td::te::tu_out &r)
  : ptr_(ACE_const_cast(::td::te::tu_out &,r).ptr_)
{}

::td::te::tu_out &td::te::tu_out::operator=(const ::td::te::tu_out &r)
{
  this->ptr_ = ACE_const_cast(::td::te::tu_out &,r).ptr_;
  return *this;
}

::td::te::tu_out &td::te::tu_out::operator=(::td::te::tu *r)
{
  this->ptr_ = r;
  return *this;
}

td::te::tu_out::operator ::td::te::tu *&()
{
  return this->ptr_;
}

::td::te::tu *&td::te::tu_out::ptr()
{
  return this->ptr_;
}

::td::te::tu *td::te::tu_out::operator->()
{
  return this->ptr_;
}

static const CORBA::Long _oc_td_te_tu_flick_sequence_td_bounded_1[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    28, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x645f626f), ACE_NTOHL(0x756e6465), ACE_NTOHL(0x645f3100) /* name = flick_sequence_td_bounded_1 */,
    CORBA::tk_sequence,
    3464 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      CORBA::tk_union,
      3448 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        11, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74643a31), ACE_NTOHL(0x2e300000) /* repository ID = IDL:td:1.0 */,
        3, ACE_NTOHL(0x74640000) /* name = td */,
        CORBA::tk_long,
        -1 /* default used index */,
        4 /* member count */,
        (0x0001) /* union case label (evaluated) */,
        4, ACE_NTOHL(0x6f6e6500) /* name = one */,
        CORBA::tk_struct,
        1216 /* encapsulation length */,
          TAO_ENCAP_BYTE_ORDER /* byte order */,
          11, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74613a31), ACE_NTOHL(0x2e300000) /* repository ID = IDL:ta:1.0 */,
          3, ACE_NTOHL(0x74610000) /* name = ta */,
          7 /* member count */,
          2, ACE_NTOHL(0x61000000) /* name = a */,
          CORBA::tk_struct,
          72 /* encapsulation length */,
            TAO_ENCAP_BYTE_ORDER /* byte order */,
            14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x623a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/tb:1.0 */,
            3, ACE_NTOHL(0x74620000) /* name = tb */,
            3 /* member count */,
            2, ACE_NTOHL(0x61000000) /* name = a */,
            CORBA::tk_long,
            2, ACE_NTOHL(0x62000000) /* name = b */,
            CORBA::tk_double,
            2, ACE_NTOHL(0x63000000) /* name = c */,
            CORBA::tk_short,
          2, ACE_NTOHL(0x62000000) /* name = b */,
          CORBA::tk_struct,
          136 /* encapsulation length */,
            TAO_ENCAP_BYTE_ORDER /* byte order */,
            14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x633a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/tc:1.0 */,
            3, ACE_NTOHL(0x74630000) /* name = tc */,
            3 /* member count */,
            2, ACE_NTOHL(0x61000000) /* name = a */,
            CORBA::tk_char,
            2, ACE_NTOHL(0x62000000) /* name = b */,
            CORBA::tk_string,
            0,
            2, ACE_NTOHL(0x63000000) /* name = c */,
            CORBA::tk_alias,
            56 /* encapsulation length */,
              TAO_ENCAP_BYTE_ORDER /* byte order */,
              21, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x615f7463), ACE_NTOHL(0x00000000) /* name = flick_sequence_ta_tc */,
              CORBA::tk_sequence,
              16 /* encapsulation length */,
                TAO_ENCAP_BYTE_ORDER /* byte order */,
                -1, -84,
                0,
          2, ACE_NTOHL(0x63000000) /* name = c */,
          CORBA::tk_struct,
          300 /* encapsulation length */,
            TAO_ENCAP_BYTE_ORDER /* byte order */,
            14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x643a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/td:1.0 */,
            3, ACE_NTOHL(0x74640000) /* name = td */,
            2 /* member count */,
            2, ACE_NTOHL(0x61000000) /* name = a */,
            CORBA::tk_struct,
            72 /* encapsulation length */,
              TAO_ENCAP_BYTE_ORDER /* byte order */,
              14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x623a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/tb:1.0 */,
              3, ACE_NTOHL(0x74620000) /* name = tb */,
              3 /* member count */,
              2, ACE_NTOHL(0x61000000) /* name = a */,
              CORBA::tk_long,
              2, ACE_NTOHL(0x62000000) /* name = b */,
              CORBA::tk_double,
              2, ACE_NTOHL(0x63000000) /* name = c */,
              CORBA::tk_short,
            2, ACE_NTOHL(0x62000000) /* name = b */,
            CORBA::tk_struct,
            160 /* encapsulation length */,
              TAO_ENCAP_BYTE_ORDER /* byte order */,
              17, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x642f7465), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:ta/td/te:1.0 */,
              3, ACE_NTOHL(0x74650000) /* name = te */,
              5 /* member count */,
              2, ACE_NTOHL(0x61000000) /* name = a */,
              CORBA::tk_char,
              2, ACE_NTOHL(0x62000000) /* name = b */,
              CORBA::tk_char,
              2, ACE_NTOHL(0x63000000) /* name = c */,
              CORBA::tk_char,
              2, ACE_NTOHL(0x64000000) /* name = d */,
              CORBA::tk_char,
              2, ACE_NTOHL(0x65000000) /* name = e */,
              CORBA::tk_alias,
              56 /* encapsulation length */,
                TAO_ENCAP_BYTE_ORDER /* byte order */,
                21, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x615f7464), ACE_NTOHL(0x00000000) /* name = flick_sequence_ta_td */,
                CORBA::tk_sequence,
                16 /* encapsulation length */,
                  TAO_ENCAP_BYTE_ORDER /* byte order */,
                  -1, -144,
                  0,
          5, ACE_NTOHL(0x6e657874), ACE_NTOHL(0x00000000) /* name = next */,
          CORBA::tk_alias,
          52 /* encapsulation length */,
            TAO_ENCAP_BYTE_ORDER /* byte order */,
            18, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x61000000) /* name = flick_sequence_ta */,
            CORBA::tk_sequence,
            16 /* encapsulation length */,
              TAO_ENCAP_BYTE_ORDER /* byte order */,
              -1, -612,
              0,
          2, ACE_NTOHL(0x64000000) /* name = d */,
          CORBA::tk_struct,
          72 /* encapsulation length */,
            TAO_ENCAP_BYTE_ORDER /* byte order */,
            14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x623a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/tb:1.0 */,
            3, ACE_NTOHL(0x74620000) /* name = tb */,
            3 /* member count */,
            2, ACE_NTOHL(0x61000000) /* name = a */,
            CORBA::tk_long,
            2, ACE_NTOHL(0x62000000) /* name = b */,
            CORBA::tk_double,
            2, ACE_NTOHL(0x63000000) /* name = c */,
            CORBA::tk_short,
          2, ACE_NTOHL(0x65000000) /* name = e */,
          CORBA::tk_struct,
          136 /* encapsulation length */,
            TAO_ENCAP_BYTE_ORDER /* byte order */,
            14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x633a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/tc:1.0 */,
            3, ACE_NTOHL(0x74630000) /* name = tc */,
            3 /* member count */,
            2, ACE_NTOHL(0x61000000) /* name = a */,
            CORBA::tk_char,
            2, ACE_NTOHL(0x62000000) /* name = b */,
            CORBA::tk_string,
            0,
            2, ACE_NTOHL(0x63000000) /* name = c */,
            CORBA::tk_alias,
            56 /* encapsulation length */,
              TAO_ENCAP_BYTE_ORDER /* byte order */,
              21, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x615f7463), ACE_NTOHL(0x00000000) /* name = flick_sequence_ta_tc */,
              CORBA::tk_sequence,
              16 /* encapsulation length */,
                TAO_ENCAP_BYTE_ORDER /* byte order */,
                -1, -84,
                0,
          2, ACE_NTOHL(0x66000000) /* name = f */,
          CORBA::tk_struct,
          300 /* encapsulation length */,
            TAO_ENCAP_BYTE_ORDER /* byte order */,
            14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x643a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/td:1.0 */,
            3, ACE_NTOHL(0x74640000) /* name = td */,
            2 /* member count */,
            2, ACE_NTOHL(0x61000000) /* name = a */,
            CORBA::tk_struct,
            72 /* encapsulation length */,
              TAO_ENCAP_BYTE_ORDER /* byte order */,
              14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x623a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/tb:1.0 */,
              3, ACE_NTOHL(0x74620000) /* name = tb */,
              3 /* member count */,
              2, ACE_NTOHL(0x61000000) /* name = a */,
              CORBA::tk_long,
              2, ACE_NTOHL(0x62000000) /* name = b */,
              CORBA::tk_double,
              2, ACE_NTOHL(0x63000000) /* name = c */,
              CORBA::tk_short,
            2, ACE_NTOHL(0x62000000) /* name = b */,
            CORBA::tk_struct,
            160 /* encapsulation length */,
              TAO_ENCAP_BYTE_ORDER /* byte order */,
              17, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x642f7465), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:ta/td/te:1.0 */,
              3, ACE_NTOHL(0x74650000) /* name = te */,
              5 /* member count */,
              2, ACE_NTOHL(0x61000000) /* name = a */,
              CORBA::tk_char,
              2, ACE_NTOHL(0x62000000) /* name = b */,
              CORBA::tk_char,
              2, ACE_NTOHL(0x63000000) /* name = c */,
              CORBA::tk_char,
              2, ACE_NTOHL(0x64000000) /* name = d */,
              CORBA::tk_char,
              2, ACE_NTOHL(0x65000000) /* name = e */,
              CORBA::tk_alias,
              56 /* encapsulation length */,
                TAO_ENCAP_BYTE_ORDER /* byte order */,
                21, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x615f7464), ACE_NTOHL(0x00000000) /* name = flick_sequence_ta_td */,
                CORBA::tk_sequence,
                16 /* encapsulation length */,
                  TAO_ENCAP_BYTE_ORDER /* byte order */,
                  -1, -144,
                  0,
        (0x0002) /* union case label (evaluated) */,
        4, ACE_NTOHL(0x74776f00) /* name = two */,
        CORBA::tk_struct,
        876 /* encapsulation length */,
          TAO_ENCAP_BYTE_ORDER /* byte order */,
          11, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74623a31), ACE_NTOHL(0x2e300000) /* repository ID = IDL:tb:1.0 */,
          3, ACE_NTOHL(0x74620000) /* name = tb */,
          4 /* member count */,
          2, ACE_NTOHL(0x61000000) /* name = a */,
          CORBA::tk_struct,
          72 /* encapsulation length */,
            TAO_ENCAP_BYTE_ORDER /* byte order */,
            14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x623a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/tb:1.0 */,
            3, ACE_NTOHL(0x74620000) /* name = tb */,
            3 /* member count */,
            2, ACE_NTOHL(0x61000000) /* name = a */,
            CORBA::tk_long,
            2, ACE_NTOHL(0x62000000) /* name = b */,
            CORBA::tk_double,
            2, ACE_NTOHL(0x63000000) /* name = c */,
            CORBA::tk_short,
          2, ACE_NTOHL(0x62000000) /* name = b */,
          CORBA::tk_struct,
          300 /* encapsulation length */,
            TAO_ENCAP_BYTE_ORDER /* byte order */,
            14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x643a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/td:1.0 */,
            3, ACE_NTOHL(0x74640000) /* name = td */,
            2 /* member count */,
            2, ACE_NTOHL(0x61000000) /* name = a */,
            CORBA::tk_struct,
            72 /* encapsulation length */,
              TAO_ENCAP_BYTE_ORDER /* byte order */,
              14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x623a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/tb:1.0 */,
              3, ACE_NTOHL(0x74620000) /* name = tb */,
              3 /* member count */,
              2, ACE_NTOHL(0x61000000) /* name = a */,
              CORBA::tk_long,
              2, ACE_NTOHL(0x62000000) /* name = b */,
              CORBA::tk_double,
              2, ACE_NTOHL(0x63000000) /* name = c */,
              CORBA::tk_short,
            2, ACE_NTOHL(0x62000000) /* name = b */,
            CORBA::tk_struct,
            160 /* encapsulation length */,
              TAO_ENCAP_BYTE_ORDER /* byte order */,
              17, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x642f7465), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:ta/td/te:1.0 */,
              3, ACE_NTOHL(0x74650000) /* name = te */,
              5 /* member count */,
              2, ACE_NTOHL(0x61000000) /* name = a */,
              CORBA::tk_char,
              2, ACE_NTOHL(0x62000000) /* name = b */,
              CORBA::tk_char,
              2, ACE_NTOHL(0x63000000) /* name = c */,
              CORBA::tk_char,
              2, ACE_NTOHL(0x64000000) /* name = d */,
              CORBA::tk_char,
              2, ACE_NTOHL(0x65000000) /* name = e */,
              CORBA::tk_alias,
              56 /* encapsulation length */,
                TAO_ENCAP_BYTE_ORDER /* byte order */,
                21, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x615f7464), ACE_NTOHL(0x00000000) /* name = flick_sequence_ta_td */,
                CORBA::tk_sequence,
                16 /* encapsulation length */,
                  TAO_ENCAP_BYTE_ORDER /* byte order */,
                  -1, -144,
                  0,
          2, ACE_NTOHL(0x63000000) /* name = c */,
          CORBA::tk_alias,
          356 /* encapsulation length */,
            TAO_ENCAP_BYTE_ORDER /* byte order */,
            21, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x615f7464), ACE_NTOHL(0x00000000) /* name = flick_sequence_ta_td */,
            CORBA::tk_sequence,
            316 /* encapsulation length */,
              TAO_ENCAP_BYTE_ORDER /* byte order */,
              CORBA::tk_struct,
              300 /* encapsulation length */,
                TAO_ENCAP_BYTE_ORDER /* byte order */,
                14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x643a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/td:1.0 */,
                3, ACE_NTOHL(0x74640000) /* name = td */,
                2 /* member count */,
                2, ACE_NTOHL(0x61000000) /* name = a */,
                CORBA::tk_struct,
                72 /* encapsulation length */,
                  TAO_ENCAP_BYTE_ORDER /* byte order */,
                  14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x623a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/tb:1.0 */,
                  3, ACE_NTOHL(0x74620000) /* name = tb */,
                  3 /* member count */,
                  2, ACE_NTOHL(0x61000000) /* name = a */,
                  CORBA::tk_long,
                  2, ACE_NTOHL(0x62000000) /* name = b */,
                  CORBA::tk_double,
                  2, ACE_NTOHL(0x63000000) /* name = c */,
                  CORBA::tk_short,
                2, ACE_NTOHL(0x62000000) /* name = b */,
                CORBA::tk_struct,
                160 /* encapsulation length */,
                  TAO_ENCAP_BYTE_ORDER /* byte order */,
                  17, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x642f7465), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:ta/td/te:1.0 */,
                  3, ACE_NTOHL(0x74650000) /* name = te */,
                  5 /* member count */,
                  2, ACE_NTOHL(0x61000000) /* name = a */,
                  CORBA::tk_char,
                  2, ACE_NTOHL(0x62000000) /* name = b */,
                  CORBA::tk_char,
                  2, ACE_NTOHL(0x63000000) /* name = c */,
                  CORBA::tk_char,
                  2, ACE_NTOHL(0x64000000) /* name = d */,
                  CORBA::tk_char,
                  2, ACE_NTOHL(0x65000000) /* name = e */,
                  CORBA::tk_alias,
                  56 /* encapsulation length */,
                    TAO_ENCAP_BYTE_ORDER /* byte order */,
                    21, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x615f7464), ACE_NTOHL(0x00000000) /* name = flick_sequence_ta_td */,
                    CORBA::tk_sequence,
                    16 /* encapsulation length */,
                      TAO_ENCAP_BYTE_ORDER /* byte order */,
                      -1, -144,
                      0,
              0,
          2, ACE_NTOHL(0x64000000) /* name = d */,
          CORBA::tk_alias,
          52 /* encapsulation length */,
            TAO_ENCAP_BYTE_ORDER /* byte order */,
            18, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x62000000) /* name = flick_sequence_tb */,
            CORBA::tk_sequence,
            16 /* encapsulation length */,
              TAO_ENCAP_BYTE_ORDER /* byte order */,
              -1, -828,
              0,
        (0x0003) /* union case label (evaluated) */,
        6, ACE_NTOHL(0x74687265), ACE_NTOHL(0x65000000) /* name = three */,
        CORBA::tk_union,
        1176 /* encapsulation length */,
          TAO_ENCAP_BYTE_ORDER /* byte order */,
          14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74642f74), ACE_NTOHL(0x653a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:td/te:1.0 */,
          3, ACE_NTOHL(0x74650000) /* name = te */,
          CORBA::tk_enum,
          92 /* encapsulation length */,
            TAO_ENCAP_BYTE_ORDER /* byte order */,
            11, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74633a31), ACE_NTOHL(0x2e300000) /* repository ID = IDL:tc:1.0 */,
            3, ACE_NTOHL(0x74630000) /* name = tc */,
            5 /* member count */,
            6, ACE_NTOHL(0x4e4f5254), ACE_NTOHL(0x48000000) /* name = NORTH */,
            5, ACE_NTOHL(0x45415354), ACE_NTOHL(0x00000000) /* name = EAST */,
            5, ACE_NTOHL(0x57455354), ACE_NTOHL(0x00000000) /* name = WEST */,
            6, ACE_NTOHL(0x534f5554), ACE_NTOHL(0x48000000) /* name = SOUTH */,
            5, ACE_NTOHL(0x444f574e), ACE_NTOHL(0x00000000) /* name = DOWN */,
          -1 /* default used index */,
          5 /* member count */,
          (0x0000) /* union case label (evaluated) */,
          2, ACE_NTOHL(0x78000000) /* name = x */,
          CORBA::tk_long,
          (0x0001) /* union case label (evaluated) */,
          2, ACE_NTOHL(0x79000000) /* name = y */,
          CORBA::tk_double,
          (0x0002) /* union case label (evaluated) */,
          2, ACE_NTOHL(0x7a000000) /* name = z */,
          CORBA::tk_boolean,
          (0x0003) /* union case label (evaluated) */,
          2, ACE_NTOHL(0x73000000) /* name = s */,
          CORBA::tk_struct,
          876 /* encapsulation length */,
            TAO_ENCAP_BYTE_ORDER /* byte order */,
            11, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74623a31), ACE_NTOHL(0x2e300000) /* repository ID = IDL:tb:1.0 */,
            3, ACE_NTOHL(0x74620000) /* name = tb */,
            4 /* member count */,
            2, ACE_NTOHL(0x61000000) /* name = a */,
            CORBA::tk_struct,
            72 /* encapsulation length */,
              TAO_ENCAP_BYTE_ORDER /* byte order */,
              14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x623a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/tb:1.0 */,
              3, ACE_NTOHL(0x74620000) /* name = tb */,
              3 /* member count */,
              2, ACE_NTOHL(0x61000000) /* name = a */,
              CORBA::tk_long,
              2, ACE_NTOHL(0x62000000) /* name = b */,
              CORBA::tk_double,
              2, ACE_NTOHL(0x63000000) /* name = c */,
              CORBA::tk_short,
            2, ACE_NTOHL(0x62000000) /* name = b */,
            CORBA::tk_struct,
            300 /* encapsulation length */,
              TAO_ENCAP_BYTE_ORDER /* byte order */,
              14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x643a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/td:1.0 */,
              3, ACE_NTOHL(0x74640000) /* name = td */,
              2 /* member count */,
              2, ACE_NTOHL(0x61000000) /* name = a */,
              CORBA::tk_struct,
              72 /* encapsulation length */,
                TAO_ENCAP_BYTE_ORDER /* byte order */,
                14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x623a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/tb:1.0 */,
                3, ACE_NTOHL(0x74620000) /* name = tb */,
                3 /* member count */,
                2, ACE_NTOHL(0x61000000) /* name = a */,
                CORBA::tk_long,
                2, ACE_NTOHL(0x62000000) /* name = b */,
                CORBA::tk_double,
                2, ACE_NTOHL(0x63000000) /* name = c */,
                CORBA::tk_short,
              2, ACE_NTOHL(0x62000000) /* name = b */,
              CORBA::tk_struct,
              160 /* encapsulation length */,
                TAO_ENCAP_BYTE_ORDER /* byte order */,
                17, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x642f7465), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:ta/td/te:1.0 */,
                3, ACE_NTOHL(0x74650000) /* name = te */,
                5 /* member count */,
                2, ACE_NTOHL(0x61000000) /* name = a */,
                CORBA::tk_char,
                2, ACE_NTOHL(0x62000000) /* name = b */,
                CORBA::tk_char,
                2, ACE_NTOHL(0x63000000) /* name = c */,
                CORBA::tk_char,
                2, ACE_NTOHL(0x64000000) /* name = d */,
                CORBA::tk_char,
                2, ACE_NTOHL(0x65000000) /* name = e */,
                CORBA::tk_alias,
                56 /* encapsulation length */,
                  TAO_ENCAP_BYTE_ORDER /* byte order */,
                  21, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x615f7464), ACE_NTOHL(0x00000000) /* name = flick_sequence_ta_td */,
                  CORBA::tk_sequence,
                  16 /* encapsulation length */,
                    TAO_ENCAP_BYTE_ORDER /* byte order */,
                    -1, -144,
                    0,
            2, ACE_NTOHL(0x63000000) /* name = c */,
            CORBA::tk_alias,
            356 /* encapsulation length */,
              TAO_ENCAP_BYTE_ORDER /* byte order */,
              21, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x615f7464), ACE_NTOHL(0x00000000) /* name = flick_sequence_ta_td */,
              CORBA::tk_sequence,
              316 /* encapsulation length */,
                TAO_ENCAP_BYTE_ORDER /* byte order */,
                CORBA::tk_struct,
                300 /* encapsulation length */,
                  TAO_ENCAP_BYTE_ORDER /* byte order */,
                  14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x643a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/td:1.0 */,
                  3, ACE_NTOHL(0x74640000) /* name = td */,
                  2 /* member count */,
                  2, ACE_NTOHL(0x61000000) /* name = a */,
                  CORBA::tk_struct,
                  72 /* encapsulation length */,
                    TAO_ENCAP_BYTE_ORDER /* byte order */,
                    14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x623a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/tb:1.0 */,
                    3, ACE_NTOHL(0x74620000) /* name = tb */,
                    3 /* member count */,
                    2, ACE_NTOHL(0x61000000) /* name = a */,
                    CORBA::tk_long,
                    2, ACE_NTOHL(0x62000000) /* name = b */,
                    CORBA::tk_double,
                    2, ACE_NTOHL(0x63000000) /* name = c */,
                    CORBA::tk_short,
                  2, ACE_NTOHL(0x62000000) /* name = b */,
                  CORBA::tk_struct,
                  160 /* encapsulation length */,
                    TAO_ENCAP_BYTE_ORDER /* byte order */,
                    17, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x642f7465), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:ta/td/te:1.0 */,
                    3, ACE_NTOHL(0x74650000) /* name = te */,
                    5 /* member count */,
                    2, ACE_NTOHL(0x61000000) /* name = a */,
                    CORBA::tk_char,
                    2, ACE_NTOHL(0x62000000) /* name = b */,
                    CORBA::tk_char,
                    2, ACE_NTOHL(0x63000000) /* name = c */,
                    CORBA::tk_char,
                    2, ACE_NTOHL(0x64000000) /* name = d */,
                    CORBA::tk_char,
                    2, ACE_NTOHL(0x65000000) /* name = e */,
                    CORBA::tk_alias,
                    56 /* encapsulation length */,
                      TAO_ENCAP_BYTE_ORDER /* byte order */,
                      21, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x615f7464), ACE_NTOHL(0x00000000) /* name = flick_sequence_ta_td */,
                      CORBA::tk_sequence,
                      16 /* encapsulation length */,
                        TAO_ENCAP_BYTE_ORDER /* byte order */,
                        -1, -144,
                        0,
                0,
            2, ACE_NTOHL(0x64000000) /* name = d */,
            CORBA::tk_alias,
            52 /* encapsulation length */,
              TAO_ENCAP_BYTE_ORDER /* byte order */,
              18, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x62000000) /* name = flick_sequence_tb */,
              CORBA::tk_sequence,
              16 /* encapsulation length */,
                TAO_ENCAP_BYTE_ORDER /* byte order */,
                -1, -828,
                0,
          (0x0004) /* union case label (evaluated) */,
          2, ACE_NTOHL(0x75000000) /* name = u */,
          CORBA::tk_union,
          72 /* encapsulation length */,
            TAO_ENCAP_BYTE_ORDER /* byte order */,
            17, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74642f74), ACE_NTOHL(0x652f7475), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:td/te/tu:1.0 */,
            3, ACE_NTOHL(0x74750000) /* name = tu */,
            CORBA::tk_boolean,
            -1 /* default used index */,
            1 /* member count */,
            (0x0001) /* union case label (evaluated) */,
            5, ACE_NTOHL(0x6e657874), ACE_NTOHL(0x00000000) /* name = next */,
            -1, -48,
        (0x0000) /* union case label (evaluated) */,
        6, ACE_NTOHL(0x61676169), ACE_NTOHL(0x6e000000) /* name = again */,
        CORBA::tk_alias,
        52 /* encapsulation length */,
          TAO_ENCAP_BYTE_ORDER /* byte order */,
          18, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x64000000) /* name = flick_sequence_td */,
          CORBA::tk_sequence,
          16 /* encapsulation length */,
            TAO_ENCAP_BYTE_ORDER /* byte order */,
            -1, -3400,
            0,
      1
};

static CORBA::TypeCode _tc_TAO_tc_td_te_tu_flick_sequence_td_bounded_1 (CORBA::tk_alias, sizeof(_oc_td_te_tu_flick_sequence_td_bounded_1), (char *) &_oc_td_te_tu_flick_sequence_td_bounded_1, 0, sizeof(::td::te::tu::flick_sequence_td_bounded_1 ));

CORBA::TypeCode_ptr td::te::tu::_tc_flick_sequence_td_bounded_1 = &_tc_TAO_tc_td_te_tu_flick_sequence_td_bounded_1;

td::te::tu::flick_sequence_td_bounded_1::flick_sequence_td_bounded_1()
  : _maximum(1),
    _length(0),
    _buffer(td::te::tu::flick_sequence_td_bounded_1::allocbuf(1)),
    _release(1)
{
}

td::te::tu::flick_sequence_td_bounded_1::flick_sequence_td_bounded_1(CORBA::ULong length, td *buffer, CORBA::Boolean release)
  : _maximum(1),
    _length(length),
    _buffer(buffer),
    _release(release)
{
}

td::te::tu::flick_sequence_td_bounded_1::flick_sequence_td_bounded_1(const ::td::te::tu::flick_sequence_td_bounded_1 &o)
  : _maximum(1),
    _length(o._length),
    _release(1)
{
  td  *tmp1 = td::te::tu::flick_sequence_td_bounded_1::allocbuf(this->_maximum);
  
  td  * const tmp2 = ACE_reinterpret_cast(td  * ACE_CAST_CONST, o._buffer);
  
  for(CORBA::ULong i = 0; i < this->_length; i++ )
    tmp1[i] = tmp2[i];
  
  this->_buffer = tmp1;
}

td::te::tu::flick_sequence_td_bounded_1::~flick_sequence_td_bounded_1()
{
  this->_deallocate_buffer();
}

::td::te::tu::flick_sequence_td_bounded_1 &td::te::tu::flick_sequence_td_bounded_1::operator=(const ::td::te::tu::flick_sequence_td_bounded_1 &rhs)
{
  if( this == &rhs )
    return *this;
  if( this->_release )
  {
  
  
  }
  else
    this->_buffer = td::te::tu::flick_sequence_td_bounded_1::allocbuf(rhs._maximum);
  this->_maximum = rhs._maximum;
  this->_length = rhs._length;
  this->_release = 1;
  td  *tmp1 = ACE_reinterpret_cast(td  *, this->_buffer);
  td  * const tmp2 = ACE_reinterpret_cast(td  * ACE_CAST_CONST, rhs._buffer);
  for(CORBA::ULong i = 0; i < this->_length; i++ )
    tmp1[i] = tmp2[i];
  return *this;
}

td &td::te::tu::flick_sequence_td_bounded_1::operator[](CORBA::ULong i)
{
  ACE_ASSERT(i < this->_maximum);
  td  * tmp = ACE_reinterpret_cast(td  *, this->_buffer);
  return tmp[i];
}

const td &td::te::tu::flick_sequence_td_bounded_1::operator[](CORBA::ULong i) const
{
  ACE_ASSERT(i < this->_maximum);
  td  * const tmp = ACE_reinterpret_cast(td  *ACE_CAST_CONST, this->_buffer);
  return tmp[i];
}

td *td::te::tu::flick_sequence_td_bounded_1::allocbuf(CORBA::ULong size)
{
  td  *tmp;
  tmp = new td [size];
  return tmp;
}

void td::te::tu::flick_sequence_td_bounded_1::freebuf(td *buffer)
{
  delete [] buffer;
}

void td::te::tu::flick_sequence_td_bounded_1::_allocate_buffer(CORBA::ULong length)
{
  td  *tmp = td::te::tu::flick_sequence_td_bounded_1::allocbuf(length);
  if( this->_buffer != 0 )
  {
    CORBA::ULong i;
    td  *old = ACE_reinterpret_cast(td  *, this->_buffer);
    for( i = 0; i < this->_length; i++ )
      tmp[i] = old[i];
    if( this->_release )
      td::te::tu::flick_sequence_td_bounded_1::freebuf(old);
  }
  this->_buffer = tmp;
}

void td::te::tu::flick_sequence_td_bounded_1::_deallocate_buffer()
{
  if( this->_buffer == 0 || this->_release == 0 )
    return;
  td  *tmp = ACE_reinterpret_cast(td  *, this->_buffer);
  
  td::te::tu::flick_sequence_td_bounded_1::freebuf(tmp);
  this->_buffer = 0;
}

CORBA::Boolean td::te::tu::flick_sequence_td_bounded_1::release() const
{
  return this->_release;
}

CORBA::ULong td::te::tu::flick_sequence_td_bounded_1::maximum() const
{
  return 1;
}

CORBA::ULong td::te::tu::flick_sequence_td_bounded_1::length() const
{
  return this->_length;
}

void td::te::tu::flick_sequence_td_bounded_1::length(CORBA::ULong length)
{
  if( length > this->_maximum )
  {
    return;
  }
  else if (length < this->_length)
  {
    this->_shrink_buffer(length, this->_length);
  }
  this->_length = length;
}

void td::te::tu::flick_sequence_td_bounded_1::_shrink_buffer(CORBA::ULong length1, CORBA::ULong length2)
{
}

td *td::te::tu::flick_sequence_td_bounded_1::get_buffer(CORBA::Boolean orphan)
{
  td  *result = 0;
  if( orphan == 0 )
  {
    if( this->_buffer == 0 )
    {
      result = td::te::tu::flick_sequence_td_bounded_1::allocbuf(this->_length);
      this->_buffer = result;
    }
    else
    {
      result = ACE_reinterpret_cast(td  *, this->_buffer);
    }
  }
  else
  {
    if( this->_release != 0 )
    {
      result = ACE_reinterpret_cast(td  *, this->_buffer);
      this->_maximum = 0;
      this->_length = 0;
      this->_buffer = 0;
      this->_release = 0;
    }
  }
  return result;
}

const td *td::te::tu::flick_sequence_td_bounded_1::get_buffer() const
{
  return ACE_const_cast(const td  * ACE_CAST_CONST, this->_buffer);
}

td::te::tu::flick_sequence_td_bounded_1_var::flick_sequence_td_bounded_1_var()
  : ptr_(0)
{}

td::te::tu::flick_sequence_td_bounded_1_var::flick_sequence_td_bounded_1_var(::td::te::tu::flick_sequence_td_bounded_1 *p)
 : ptr_(p)
{}

td::te::tu::flick_sequence_td_bounded_1_var::flick_sequence_td_bounded_1_var(const ::td::te::tu::flick_sequence_td_bounded_1_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new ::td::te::tu::flick_sequence_td_bounded_1 (*a.ptr_);
  else
    this->ptr_ = 0;
}

td::te::tu::flick_sequence_td_bounded_1_var::~flick_sequence_td_bounded_1_var()
{
  delete this->ptr_;
}

::td::te::tu::flick_sequence_td_bounded_1_var &td::te::tu::flick_sequence_td_bounded_1_var::operator=(::td::te::tu::flick_sequence_td_bounded_1 *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

::td::te::tu::flick_sequence_td_bounded_1_var &td::te::tu::flick_sequence_td_bounded_1_var::operator=(const ::td::te::tu::flick_sequence_td_bounded_1_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new ::td::te::tu::flick_sequence_td_bounded_1 (*p.ptr_);
  }
  return *this;
}

td &td::te::tu::flick_sequence_td_bounded_1_var::operator[](CORBA::ULong index)
{
  return this->ptr_->operator[](index);
}

const td &td::te::tu::flick_sequence_td_bounded_1_var::operator[](CORBA::ULong index) const
{
  return this->ptr_->operator[](index);
}

::td::te::tu::flick_sequence_td_bounded_1 *td::te::tu::flick_sequence_td_bounded_1_var::operator->()
{
  return this->ptr_;
}

const ::td::te::tu::flick_sequence_td_bounded_1 *td::te::tu::flick_sequence_td_bounded_1_var::operator->() const
{
  return this->ptr_;
}

td::te::tu::flick_sequence_td_bounded_1_var::operator const ::td::te::tu::flick_sequence_td_bounded_1 &() const
{
  return *this->ptr_;
}

td::te::tu::flick_sequence_td_bounded_1_var::operator ::td::te::tu::flick_sequence_td_bounded_1 &()
{
  return *this->ptr_;
}

td::te::tu::flick_sequence_td_bounded_1_var::operator ::td::te::tu::flick_sequence_td_bounded_1 &() const
{
  return *this->ptr_;
}

const ::td::te::tu::flick_sequence_td_bounded_1 &td::te::tu::flick_sequence_td_bounded_1_var::in() const
{
  return *this->ptr_;
}

::td::te::tu::flick_sequence_td_bounded_1 &td::te::tu::flick_sequence_td_bounded_1_var::inout()
{
  return *this->ptr_;
}

::td::te::tu::flick_sequence_td_bounded_1 *&td::te::tu::flick_sequence_td_bounded_1_var::out()
{
  delete this->ptr_;
  this->ptr_ = 0;
  return this->ptr_;
}

::td::te::tu::flick_sequence_td_bounded_1 *td::te::tu::flick_sequence_td_bounded_1_var::_retn()
{
  ::td::te::tu::flick_sequence_td_bounded_1  *tmp = this->ptr_;
  this->ptr_ = 0;
  return tmp;
}

::td::te::tu::flick_sequence_td_bounded_1 *td::te::tu::flick_sequence_td_bounded_1_var::ptr() const
{
  return this->ptr_;
}

td::te::tu::flick_sequence_td_bounded_1_out::flick_sequence_td_bounded_1_out(::td::te::tu::flick_sequence_td_bounded_1 *&r)
  : ptr_(r)
{
  this->ptr_ = 0;
}

td::te::tu::flick_sequence_td_bounded_1_out::flick_sequence_td_bounded_1_out(::td::te::tu::flick_sequence_td_bounded_1_var &r)
  : ptr_(r.out())
{
  delete this->ptr_;
  this->ptr_ = 0;
}

td::te::tu::flick_sequence_td_bounded_1_out::flick_sequence_td_bounded_1_out(const ::td::te::tu::flick_sequence_td_bounded_1_out &r)
  : ptr_(ACE_const_cast(::td::te::tu::flick_sequence_td_bounded_1_out &,r).ptr_)
{}

::td::te::tu::flick_sequence_td_bounded_1_out &td::te::tu::flick_sequence_td_bounded_1_out::operator=(const ::td::te::tu::flick_sequence_td_bounded_1_out &r)
{
  this->ptr_ = ACE_const_cast(::td::te::tu::flick_sequence_td_bounded_1_out &,r).ptr_;
  return *this;
}

::td::te::tu::flick_sequence_td_bounded_1_out &td::te::tu::flick_sequence_td_bounded_1_out::operator=(::td::te::tu::flick_sequence_td_bounded_1 *r)
{
  this->ptr_ = r;
  return *this;
}

td::te::tu::flick_sequence_td_bounded_1_out::operator ::td::te::tu::flick_sequence_td_bounded_1 *&()
{
  return this->ptr_;
}

::td::te::tu::flick_sequence_td_bounded_1 *&td::te::tu::flick_sequence_td_bounded_1_out::ptr()
{
  return this->ptr_;
}

td &td::te::tu::flick_sequence_td_bounded_1_out::operator[](CORBA::ULong index)
{
  return this->ptr_->operator[](index);
}

const td &td::te::tu::flick_sequence_td_bounded_1_out::operator[](CORBA::ULong index) const
{
  return this->ptr_->operator[](index);
}

::td::te::tu::flick_sequence_td_bounded_1 *td::te::tu::flick_sequence_td_bounded_1_out::operator->()
{
  return this->ptr_;
}

static const CORBA::Long _oc_td_flick_sequence_td[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    18, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x64000000) /* name = flick_sequence_td */,
    CORBA::tk_sequence,
    3472 /* encapsulation length */,
      TAO_ENCAP_BYTE_ORDER /* byte order */,
      CORBA::tk_union,
      3456 /* encapsulation length */,
        TAO_ENCAP_BYTE_ORDER /* byte order */,
        11, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74643a31), ACE_NTOHL(0x2e300000) /* repository ID = IDL:td:1.0 */,
        3, ACE_NTOHL(0x74640000) /* name = td */,
        CORBA::tk_long,
        -1 /* default used index */,
        4 /* member count */,
        (0x0001) /* union case label (evaluated) */,
        4, ACE_NTOHL(0x6f6e6500) /* name = one */,
        CORBA::tk_struct,
        1216 /* encapsulation length */,
          TAO_ENCAP_BYTE_ORDER /* byte order */,
          11, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74613a31), ACE_NTOHL(0x2e300000) /* repository ID = IDL:ta:1.0 */,
          3, ACE_NTOHL(0x74610000) /* name = ta */,
          7 /* member count */,
          2, ACE_NTOHL(0x61000000) /* name = a */,
          CORBA::tk_struct,
          72 /* encapsulation length */,
            TAO_ENCAP_BYTE_ORDER /* byte order */,
            14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x623a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/tb:1.0 */,
            3, ACE_NTOHL(0x74620000) /* name = tb */,
            3 /* member count */,
            2, ACE_NTOHL(0x61000000) /* name = a */,
            CORBA::tk_long,
            2, ACE_NTOHL(0x62000000) /* name = b */,
            CORBA::tk_double,
            2, ACE_NTOHL(0x63000000) /* name = c */,
            CORBA::tk_short,
          2, ACE_NTOHL(0x62000000) /* name = b */,
          CORBA::tk_struct,
          136 /* encapsulation length */,
            TAO_ENCAP_BYTE_ORDER /* byte order */,
            14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x633a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/tc:1.0 */,
            3, ACE_NTOHL(0x74630000) /* name = tc */,
            3 /* member count */,
            2, ACE_NTOHL(0x61000000) /* name = a */,
            CORBA::tk_char,
            2, ACE_NTOHL(0x62000000) /* name = b */,
            CORBA::tk_string,
            0,
            2, ACE_NTOHL(0x63000000) /* name = c */,
            CORBA::tk_alias,
            56 /* encapsulation length */,
              TAO_ENCAP_BYTE_ORDER /* byte order */,
              21, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x615f7463), ACE_NTOHL(0x00000000) /* name = flick_sequence_ta_tc */,
              CORBA::tk_sequence,
              16 /* encapsulation length */,
                TAO_ENCAP_BYTE_ORDER /* byte order */,
                -1, -84,
                0,
          2, ACE_NTOHL(0x63000000) /* name = c */,
          CORBA::tk_struct,
          300 /* encapsulation length */,
            TAO_ENCAP_BYTE_ORDER /* byte order */,
            14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x643a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/td:1.0 */,
            3, ACE_NTOHL(0x74640000) /* name = td */,
            2 /* member count */,
            2, ACE_NTOHL(0x61000000) /* name = a */,
            CORBA::tk_struct,
            72 /* encapsulation length */,
              TAO_ENCAP_BYTE_ORDER /* byte order */,
              14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x623a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/tb:1.0 */,
              3, ACE_NTOHL(0x74620000) /* name = tb */,
              3 /* member count */,
              2, ACE_NTOHL(0x61000000) /* name = a */,
              CORBA::tk_long,
              2, ACE_NTOHL(0x62000000) /* name = b */,
              CORBA::tk_double,
              2, ACE_NTOHL(0x63000000) /* name = c */,
              CORBA::tk_short,
            2, ACE_NTOHL(0x62000000) /* name = b */,
            CORBA::tk_struct,
            160 /* encapsulation length */,
              TAO_ENCAP_BYTE_ORDER /* byte order */,
              17, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x642f7465), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:ta/td/te:1.0 */,
              3, ACE_NTOHL(0x74650000) /* name = te */,
              5 /* member count */,
              2, ACE_NTOHL(0x61000000) /* name = a */,
              CORBA::tk_char,
              2, ACE_NTOHL(0x62000000) /* name = b */,
              CORBA::tk_char,
              2, ACE_NTOHL(0x63000000) /* name = c */,
              CORBA::tk_char,
              2, ACE_NTOHL(0x64000000) /* name = d */,
              CORBA::tk_char,
              2, ACE_NTOHL(0x65000000) /* name = e */,
              CORBA::tk_alias,
              56 /* encapsulation length */,
                TAO_ENCAP_BYTE_ORDER /* byte order */,
                21, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x615f7464), ACE_NTOHL(0x00000000) /* name = flick_sequence_ta_td */,
                CORBA::tk_sequence,
                16 /* encapsulation length */,
                  TAO_ENCAP_BYTE_ORDER /* byte order */,
                  -1, -144,
                  0,
          5, ACE_NTOHL(0x6e657874), ACE_NTOHL(0x00000000) /* name = next */,
          CORBA::tk_alias,
          52 /* encapsulation length */,
            TAO_ENCAP_BYTE_ORDER /* byte order */,
            18, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x61000000) /* name = flick_sequence_ta */,
            CORBA::tk_sequence,
            16 /* encapsulation length */,
              TAO_ENCAP_BYTE_ORDER /* byte order */,
              -1, -612,
              0,
          2, ACE_NTOHL(0x64000000) /* name = d */,
          CORBA::tk_struct,
          72 /* encapsulation length */,
            TAO_ENCAP_BYTE_ORDER /* byte order */,
            14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x623a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/tb:1.0 */,
            3, ACE_NTOHL(0x74620000) /* name = tb */,
            3 /* member count */,
            2, ACE_NTOHL(0x61000000) /* name = a */,
            CORBA::tk_long,
            2, ACE_NTOHL(0x62000000) /* name = b */,
            CORBA::tk_double,
            2, ACE_NTOHL(0x63000000) /* name = c */,
            CORBA::tk_short,
          2, ACE_NTOHL(0x65000000) /* name = e */,
          CORBA::tk_struct,
          136 /* encapsulation length */,
            TAO_ENCAP_BYTE_ORDER /* byte order */,
            14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x633a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/tc:1.0 */,
            3, ACE_NTOHL(0x74630000) /* name = tc */,
            3 /* member count */,
            2, ACE_NTOHL(0x61000000) /* name = a */,
            CORBA::tk_char,
            2, ACE_NTOHL(0x62000000) /* name = b */,
            CORBA::tk_string,
            0,
            2, ACE_NTOHL(0x63000000) /* name = c */,
            CORBA::tk_alias,
            56 /* encapsulation length */,
              TAO_ENCAP_BYTE_ORDER /* byte order */,
              21, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x615f7463), ACE_NTOHL(0x00000000) /* name = flick_sequence_ta_tc */,
              CORBA::tk_sequence,
              16 /* encapsulation length */,
                TAO_ENCAP_BYTE_ORDER /* byte order */,
                -1, -84,
                0,
          2, ACE_NTOHL(0x66000000) /* name = f */,
          CORBA::tk_struct,
          300 /* encapsulation length */,
            TAO_ENCAP_BYTE_ORDER /* byte order */,
            14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x643a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/td:1.0 */,
            3, ACE_NTOHL(0x74640000) /* name = td */,
            2 /* member count */,
            2, ACE_NTOHL(0x61000000) /* name = a */,
            CORBA::tk_struct,
            72 /* encapsulation length */,
              TAO_ENCAP_BYTE_ORDER /* byte order */,
              14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x623a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/tb:1.0 */,
              3, ACE_NTOHL(0x74620000) /* name = tb */,
              3 /* member count */,
              2, ACE_NTOHL(0x61000000) /* name = a */,
              CORBA::tk_long,
              2, ACE_NTOHL(0x62000000) /* name = b */,
              CORBA::tk_double,
              2, ACE_NTOHL(0x63000000) /* name = c */,
              CORBA::tk_short,
            2, ACE_NTOHL(0x62000000) /* name = b */,
            CORBA::tk_struct,
            160 /* encapsulation length */,
              TAO_ENCAP_BYTE_ORDER /* byte order */,
              17, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x642f7465), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:ta/td/te:1.0 */,
              3, ACE_NTOHL(0x74650000) /* name = te */,
              5 /* member count */,
              2, ACE_NTOHL(0x61000000) /* name = a */,
              CORBA::tk_char,
              2, ACE_NTOHL(0x62000000) /* name = b */,
              CORBA::tk_char,
              2, ACE_NTOHL(0x63000000) /* name = c */,
              CORBA::tk_char,
              2, ACE_NTOHL(0x64000000) /* name = d */,
              CORBA::tk_char,
              2, ACE_NTOHL(0x65000000) /* name = e */,
              CORBA::tk_alias,
              56 /* encapsulation length */,
                TAO_ENCAP_BYTE_ORDER /* byte order */,
                21, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x615f7464), ACE_NTOHL(0x00000000) /* name = flick_sequence_ta_td */,
                CORBA::tk_sequence,
                16 /* encapsulation length */,
                  TAO_ENCAP_BYTE_ORDER /* byte order */,
                  -1, -144,
                  0,
        (0x0002) /* union case label (evaluated) */,
        4, ACE_NTOHL(0x74776f00) /* name = two */,
        CORBA::tk_struct,
        876 /* encapsulation length */,
          TAO_ENCAP_BYTE_ORDER /* byte order */,
          11, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74623a31), ACE_NTOHL(0x2e300000) /* repository ID = IDL:tb:1.0 */,
          3, ACE_NTOHL(0x74620000) /* name = tb */,
          4 /* member count */,
          2, ACE_NTOHL(0x61000000) /* name = a */,
          CORBA::tk_struct,
          72 /* encapsulation length */,
            TAO_ENCAP_BYTE_ORDER /* byte order */,
            14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x623a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/tb:1.0 */,
            3, ACE_NTOHL(0x74620000) /* name = tb */,
            3 /* member count */,
            2, ACE_NTOHL(0x61000000) /* name = a */,
            CORBA::tk_long,
            2, ACE_NTOHL(0x62000000) /* name = b */,
            CORBA::tk_double,
            2, ACE_NTOHL(0x63000000) /* name = c */,
            CORBA::tk_short,
          2, ACE_NTOHL(0x62000000) /* name = b */,
          CORBA::tk_struct,
          300 /* encapsulation length */,
            TAO_ENCAP_BYTE_ORDER /* byte order */,
            14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x643a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/td:1.0 */,
            3, ACE_NTOHL(0x74640000) /* name = td */,
            2 /* member count */,
            2, ACE_NTOHL(0x61000000) /* name = a */,
            CORBA::tk_struct,
            72 /* encapsulation length */,
              TAO_ENCAP_BYTE_ORDER /* byte order */,
              14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x623a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/tb:1.0 */,
              3, ACE_NTOHL(0x74620000) /* name = tb */,
              3 /* member count */,
              2, ACE_NTOHL(0x61000000) /* name = a */,
              CORBA::tk_long,
              2, ACE_NTOHL(0x62000000) /* name = b */,
              CORBA::tk_double,
              2, ACE_NTOHL(0x63000000) /* name = c */,
              CORBA::tk_short,
            2, ACE_NTOHL(0x62000000) /* name = b */,
            CORBA::tk_struct,
            160 /* encapsulation length */,
              TAO_ENCAP_BYTE_ORDER /* byte order */,
              17, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x642f7465), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:ta/td/te:1.0 */,
              3, ACE_NTOHL(0x74650000) /* name = te */,
              5 /* member count */,
              2, ACE_NTOHL(0x61000000) /* name = a */,
              CORBA::tk_char,
              2, ACE_NTOHL(0x62000000) /* name = b */,
              CORBA::tk_char,
              2, ACE_NTOHL(0x63000000) /* name = c */,
              CORBA::tk_char,
              2, ACE_NTOHL(0x64000000) /* name = d */,
              CORBA::tk_char,
              2, ACE_NTOHL(0x65000000) /* name = e */,
              CORBA::tk_alias,
              56 /* encapsulation length */,
                TAO_ENCAP_BYTE_ORDER /* byte order */,
                21, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x615f7464), ACE_NTOHL(0x00000000) /* name = flick_sequence_ta_td */,
                CORBA::tk_sequence,
                16 /* encapsulation length */,
                  TAO_ENCAP_BYTE_ORDER /* byte order */,
                  -1, -144,
                  0,
          2, ACE_NTOHL(0x63000000) /* name = c */,
          CORBA::tk_alias,
          356 /* encapsulation length */,
            TAO_ENCAP_BYTE_ORDER /* byte order */,
            21, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x615f7464), ACE_NTOHL(0x00000000) /* name = flick_sequence_ta_td */,
            CORBA::tk_sequence,
            316 /* encapsulation length */,
              TAO_ENCAP_BYTE_ORDER /* byte order */,
              CORBA::tk_struct,
              300 /* encapsulation length */,
                TAO_ENCAP_BYTE_ORDER /* byte order */,
                14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x643a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/td:1.0 */,
                3, ACE_NTOHL(0x74640000) /* name = td */,
                2 /* member count */,
                2, ACE_NTOHL(0x61000000) /* name = a */,
                CORBA::tk_struct,
                72 /* encapsulation length */,
                  TAO_ENCAP_BYTE_ORDER /* byte order */,
                  14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x623a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/tb:1.0 */,
                  3, ACE_NTOHL(0x74620000) /* name = tb */,
                  3 /* member count */,
                  2, ACE_NTOHL(0x61000000) /* name = a */,
                  CORBA::tk_long,
                  2, ACE_NTOHL(0x62000000) /* name = b */,
                  CORBA::tk_double,
                  2, ACE_NTOHL(0x63000000) /* name = c */,
                  CORBA::tk_short,
                2, ACE_NTOHL(0x62000000) /* name = b */,
                CORBA::tk_struct,
                160 /* encapsulation length */,
                  TAO_ENCAP_BYTE_ORDER /* byte order */,
                  17, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x642f7465), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:ta/td/te:1.0 */,
                  3, ACE_NTOHL(0x74650000) /* name = te */,
                  5 /* member count */,
                  2, ACE_NTOHL(0x61000000) /* name = a */,
                  CORBA::tk_char,
                  2, ACE_NTOHL(0x62000000) /* name = b */,
                  CORBA::tk_char,
                  2, ACE_NTOHL(0x63000000) /* name = c */,
                  CORBA::tk_char,
                  2, ACE_NTOHL(0x64000000) /* name = d */,
                  CORBA::tk_char,
                  2, ACE_NTOHL(0x65000000) /* name = e */,
                  CORBA::tk_alias,
                  56 /* encapsulation length */,
                    TAO_ENCAP_BYTE_ORDER /* byte order */,
                    21, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x615f7464), ACE_NTOHL(0x00000000) /* name = flick_sequence_ta_td */,
                    CORBA::tk_sequence,
                    16 /* encapsulation length */,
                      TAO_ENCAP_BYTE_ORDER /* byte order */,
                      -1, -144,
                      0,
              0,
          2, ACE_NTOHL(0x64000000) /* name = d */,
          CORBA::tk_alias,
          52 /* encapsulation length */,
            TAO_ENCAP_BYTE_ORDER /* byte order */,
            18, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x62000000) /* name = flick_sequence_tb */,
            CORBA::tk_sequence,
            16 /* encapsulation length */,
              TAO_ENCAP_BYTE_ORDER /* byte order */,
              -1, -828,
              0,
        (0x0003) /* union case label (evaluated) */,
        6, ACE_NTOHL(0x74687265), ACE_NTOHL(0x65000000) /* name = three */,
        CORBA::tk_union,
        1236 /* encapsulation length */,
          TAO_ENCAP_BYTE_ORDER /* byte order */,
          14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74642f74), ACE_NTOHL(0x653a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:td/te:1.0 */,
          3, ACE_NTOHL(0x74650000) /* name = te */,
          CORBA::tk_enum,
          92 /* encapsulation length */,
            TAO_ENCAP_BYTE_ORDER /* byte order */,
            11, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74633a31), ACE_NTOHL(0x2e300000) /* repository ID = IDL:tc:1.0 */,
            3, ACE_NTOHL(0x74630000) /* name = tc */,
            5 /* member count */,
            6, ACE_NTOHL(0x4e4f5254), ACE_NTOHL(0x48000000) /* name = NORTH */,
            5, ACE_NTOHL(0x45415354), ACE_NTOHL(0x00000000) /* name = EAST */,
            5, ACE_NTOHL(0x57455354), ACE_NTOHL(0x00000000) /* name = WEST */,
            6, ACE_NTOHL(0x534f5554), ACE_NTOHL(0x48000000) /* name = SOUTH */,
            5, ACE_NTOHL(0x444f574e), ACE_NTOHL(0x00000000) /* name = DOWN */,
          -1 /* default used index */,
          5 /* member count */,
          (0x0000) /* union case label (evaluated) */,
          2, ACE_NTOHL(0x78000000) /* name = x */,
          CORBA::tk_long,
          (0x0001) /* union case label (evaluated) */,
          2, ACE_NTOHL(0x79000000) /* name = y */,
          CORBA::tk_double,
          (0x0002) /* union case label (evaluated) */,
          2, ACE_NTOHL(0x7a000000) /* name = z */,
          CORBA::tk_boolean,
          (0x0003) /* union case label (evaluated) */,
          2, ACE_NTOHL(0x73000000) /* name = s */,
          CORBA::tk_struct,
          876 /* encapsulation length */,
            TAO_ENCAP_BYTE_ORDER /* byte order */,
            11, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74623a31), ACE_NTOHL(0x2e300000) /* repository ID = IDL:tb:1.0 */,
            3, ACE_NTOHL(0x74620000) /* name = tb */,
            4 /* member count */,
            2, ACE_NTOHL(0x61000000) /* name = a */,
            CORBA::tk_struct,
            72 /* encapsulation length */,
              TAO_ENCAP_BYTE_ORDER /* byte order */,
              14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x623a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/tb:1.0 */,
              3, ACE_NTOHL(0x74620000) /* name = tb */,
              3 /* member count */,
              2, ACE_NTOHL(0x61000000) /* name = a */,
              CORBA::tk_long,
              2, ACE_NTOHL(0x62000000) /* name = b */,
              CORBA::tk_double,
              2, ACE_NTOHL(0x63000000) /* name = c */,
              CORBA::tk_short,
            2, ACE_NTOHL(0x62000000) /* name = b */,
            CORBA::tk_struct,
            300 /* encapsulation length */,
              TAO_ENCAP_BYTE_ORDER /* byte order */,
              14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x643a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/td:1.0 */,
              3, ACE_NTOHL(0x74640000) /* name = td */,
              2 /* member count */,
              2, ACE_NTOHL(0x61000000) /* name = a */,
              CORBA::tk_struct,
              72 /* encapsulation length */,
                TAO_ENCAP_BYTE_ORDER /* byte order */,
                14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x623a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/tb:1.0 */,
                3, ACE_NTOHL(0x74620000) /* name = tb */,
                3 /* member count */,
                2, ACE_NTOHL(0x61000000) /* name = a */,
                CORBA::tk_long,
                2, ACE_NTOHL(0x62000000) /* name = b */,
                CORBA::tk_double,
                2, ACE_NTOHL(0x63000000) /* name = c */,
                CORBA::tk_short,
              2, ACE_NTOHL(0x62000000) /* name = b */,
              CORBA::tk_struct,
              160 /* encapsulation length */,
                TAO_ENCAP_BYTE_ORDER /* byte order */,
                17, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x642f7465), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:ta/td/te:1.0 */,
                3, ACE_NTOHL(0x74650000) /* name = te */,
                5 /* member count */,
                2, ACE_NTOHL(0x61000000) /* name = a */,
                CORBA::tk_char,
                2, ACE_NTOHL(0x62000000) /* name = b */,
                CORBA::tk_char,
                2, ACE_NTOHL(0x63000000) /* name = c */,
                CORBA::tk_char,
                2, ACE_NTOHL(0x64000000) /* name = d */,
                CORBA::tk_char,
                2, ACE_NTOHL(0x65000000) /* name = e */,
                CORBA::tk_alias,
                56 /* encapsulation length */,
                  TAO_ENCAP_BYTE_ORDER /* byte order */,
                  21, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x615f7464), ACE_NTOHL(0x00000000) /* name = flick_sequence_ta_td */,
                  CORBA::tk_sequence,
                  16 /* encapsulation length */,
                    TAO_ENCAP_BYTE_ORDER /* byte order */,
                    -1, -144,
                    0,
            2, ACE_NTOHL(0x63000000) /* name = c */,
            CORBA::tk_alias,
            356 /* encapsulation length */,
              TAO_ENCAP_BYTE_ORDER /* byte order */,
              21, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x615f7464), ACE_NTOHL(0x00000000) /* name = flick_sequence_ta_td */,
              CORBA::tk_sequence,
              316 /* encapsulation length */,
                TAO_ENCAP_BYTE_ORDER /* byte order */,
                CORBA::tk_struct,
                300 /* encapsulation length */,
                  TAO_ENCAP_BYTE_ORDER /* byte order */,
                  14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x643a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/td:1.0 */,
                  3, ACE_NTOHL(0x74640000) /* name = td */,
                  2 /* member count */,
                  2, ACE_NTOHL(0x61000000) /* name = a */,
                  CORBA::tk_struct,
                  72 /* encapsulation length */,
                    TAO_ENCAP_BYTE_ORDER /* byte order */,
                    14, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x623a312e), ACE_NTOHL(0x30000000) /* repository ID = IDL:ta/tb:1.0 */,
                    3, ACE_NTOHL(0x74620000) /* name = tb */,
                    3 /* member count */,
                    2, ACE_NTOHL(0x61000000) /* name = a */,
                    CORBA::tk_long,
                    2, ACE_NTOHL(0x62000000) /* name = b */,
                    CORBA::tk_double,
                    2, ACE_NTOHL(0x63000000) /* name = c */,
                    CORBA::tk_short,
                  2, ACE_NTOHL(0x62000000) /* name = b */,
                  CORBA::tk_struct,
                  160 /* encapsulation length */,
                    TAO_ENCAP_BYTE_ORDER /* byte order */,
                    17, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74612f74), ACE_NTOHL(0x642f7465), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:ta/td/te:1.0 */,
                    3, ACE_NTOHL(0x74650000) /* name = te */,
                    5 /* member count */,
                    2, ACE_NTOHL(0x61000000) /* name = a */,
                    CORBA::tk_char,
                    2, ACE_NTOHL(0x62000000) /* name = b */,
                    CORBA::tk_char,
                    2, ACE_NTOHL(0x63000000) /* name = c */,
                    CORBA::tk_char,
                    2, ACE_NTOHL(0x64000000) /* name = d */,
                    CORBA::tk_char,
                    2, ACE_NTOHL(0x65000000) /* name = e */,
                    CORBA::tk_alias,
                    56 /* encapsulation length */,
                      TAO_ENCAP_BYTE_ORDER /* byte order */,
                      21, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x615f7464), ACE_NTOHL(0x00000000) /* name = flick_sequence_ta_td */,
                      CORBA::tk_sequence,
                      16 /* encapsulation length */,
                        TAO_ENCAP_BYTE_ORDER /* byte order */,
                        -1, -144,
                        0,
                0,
            2, ACE_NTOHL(0x64000000) /* name = d */,
            CORBA::tk_alias,
            52 /* encapsulation length */,
              TAO_ENCAP_BYTE_ORDER /* byte order */,
              18, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x62000000) /* name = flick_sequence_tb */,
              CORBA::tk_sequence,
              16 /* encapsulation length */,
                TAO_ENCAP_BYTE_ORDER /* byte order */,
                -1, -828,
                0,
          (0x0004) /* union case label (evaluated) */,
          2, ACE_NTOHL(0x75000000) /* name = u */,
          CORBA::tk_union,
          132 /* encapsulation length */,
            TAO_ENCAP_BYTE_ORDER /* byte order */,
            17, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x74642f74), ACE_NTOHL(0x652f7475), ACE_NTOHL(0x3a312e30), ACE_NTOHL(0x00000000) /* repository ID = IDL:td/te/tu:1.0 */,
            3, ACE_NTOHL(0x74750000) /* name = tu */,
            CORBA::tk_boolean,
            -1 /* default used index */,
            1 /* member count */,
            (0x0001) /* union case label (evaluated) */,
            5, ACE_NTOHL(0x6e657874), ACE_NTOHL(0x00000000) /* name = next */,
            CORBA::tk_alias,
            60 /* encapsulation length */,
              TAO_ENCAP_BYTE_ORDER /* byte order */,
              28, ACE_NTOHL(0x666c6963), ACE_NTOHL(0x6b5f7365), ACE_NTOHL(0x7175656e), ACE_NTOHL(0x63655f74), ACE_NTOHL(0x645f626f), ACE_NTOHL(0x756e6465), ACE_NTOHL(0x645f3100) /* name = flick_sequence_td_bounded_1 */,
              CORBA::tk_sequence,
              16 /* encapsulation length */,
                TAO_ENCAP_BYTE_ORDER /* byte order */,
                -1, -2200,
                1,
        (0x0000) /* union case label (evaluated) */,
        6, ACE_NTOHL(0x61676169), ACE_NTOHL(0x6e000000) /* name = again */,
        -1, -40,
      0
};

static CORBA::TypeCode _tc_TAO_tc_td_flick_sequence_td (CORBA::tk_alias, sizeof(_oc_td_flick_sequence_td), (char *) &_oc_td_flick_sequence_td, 0, sizeof(::td::flick_sequence_td ));

CORBA::TypeCode_ptr td::_tc_flick_sequence_td = &_tc_TAO_tc_td_flick_sequence_td;

td::flick_sequence_td::flick_sequence_td()
  : _maximum(0),
    _length(0),
    _buffer(0),
    _release(0)
{
}

td::flick_sequence_td::flick_sequence_td(CORBA::ULong max)
  : _maximum(max), _length(0), _release(1)
{
  this->_buffer = td::flick_sequence_td::allocbuf(this->_maximum);
}

td::flick_sequence_td::flick_sequence_td(CORBA::ULong max, CORBA::ULong length, td *buffer, CORBA::Boolean release)
  : _maximum(max),
    _length(length),
    _buffer(buffer),
    _release(release)
{
}

td::flick_sequence_td::flick_sequence_td(const ::td::flick_sequence_td &o)
  : _maximum(o._maximum),
    _length(o._length),
    _release(1)
{
  td  *tmp1 = td::flick_sequence_td::allocbuf(this->_maximum);
  
  td  * const tmp2 = ACE_reinterpret_cast(td  * ACE_CAST_CONST, o._buffer);
  
  for(CORBA::ULong i = 0; i < this->_length; i++ )
    tmp1[i] = tmp2[i];
  
  this->_buffer = tmp1;
}

td::flick_sequence_td::~flick_sequence_td()
{
  this->_deallocate_buffer();
}

::td::flick_sequence_td &td::flick_sequence_td::operator=(const ::td::flick_sequence_td &rhs)
{
  if( this == &rhs )
    return *this;
  if( this->_release )
  {
  
    if( this->_maximum < rhs._maximum )
    {
      td  *tmp = ACE_reinterpret_cast(td  *, this->_buffer);
      
      td::flick_sequence_td::freebuf(tmp);
      this->_buffer = td::flick_sequence_td::allocbuf(rhs._maximum);
    }
  
  }
  else
    this->_buffer = td::flick_sequence_td::allocbuf(rhs._maximum);
  this->_maximum = rhs._maximum;
  this->_length = rhs._length;
  this->_release = 1;
  td  *tmp1 = ACE_reinterpret_cast(td  *, this->_buffer);
  td  * const tmp2 = ACE_reinterpret_cast(td  * ACE_CAST_CONST, rhs._buffer);
  for(CORBA::ULong i = 0; i < this->_length; i++ )
    tmp1[i] = tmp2[i];
  return *this;
}

td &td::flick_sequence_td::operator[](CORBA::ULong i)
{
  ACE_ASSERT(i < this->_maximum);
  td  * tmp = ACE_reinterpret_cast(td  *, this->_buffer);
  return tmp[i];
}

const td &td::flick_sequence_td::operator[](CORBA::ULong i) const
{
  ACE_ASSERT(i < this->_maximum);
  td  * const tmp = ACE_reinterpret_cast(td  *ACE_CAST_CONST, this->_buffer);
  return tmp[i];
}

td *td::flick_sequence_td::allocbuf(CORBA::ULong size)
{
  td  *tmp;
  tmp = new td [size];
  return tmp;
}

void td::flick_sequence_td::freebuf(td *buffer)
{
  delete [] buffer;
}

void td::flick_sequence_td::_allocate_buffer(CORBA::ULong length)
{
  td  *tmp = td::flick_sequence_td::allocbuf(length);
  if( this->_buffer != 0 )
  {
    CORBA::ULong i;
    td  *old = ACE_reinterpret_cast(td  *, this->_buffer);
    for( i = 0; i < this->_length; i++ )
      tmp[i] = old[i];
    if( this->_release )
      td::flick_sequence_td::freebuf(old);
  }
  this->_buffer = tmp;
}

void td::flick_sequence_td::_deallocate_buffer()
{
  if( this->_buffer == 0 || this->_release == 0 )
    return;
  td  *tmp = ACE_reinterpret_cast(td  *, this->_buffer);
  
  td::flick_sequence_td::freebuf(tmp);
  this->_buffer = 0;
}

CORBA::Boolean td::flick_sequence_td::release() const
{
  return this->_release;
}

CORBA::ULong td::flick_sequence_td::maximum() const
{
  return this->_maximum;
}

CORBA::ULong td::flick_sequence_td::length() const
{
  return this->_length;
}

void td::flick_sequence_td::length(CORBA::ULong length)
{
  if( length > this->_maximum )
  {
    this->_allocate_buffer(length);
    this->_maximum = length;
    this->_release = 1;
  }
  else if (length < this->_length)
  {
    this->_shrink_buffer(length, this->_length);
  }
  this->_length = length;
}

void td::flick_sequence_td::_shrink_buffer(CORBA::ULong length1, CORBA::ULong length2)
{
}

td *td::flick_sequence_td::get_buffer(CORBA::Boolean orphan)
{
  td  *result = 0;
  if( orphan == 0 )
  {
    if( this->_buffer == 0 )
    {
      result = td::flick_sequence_td::allocbuf(this->_length);
      this->_buffer = result;
    }
    else
    {
      result = ACE_reinterpret_cast(td  *, this->_buffer);
    }
  }
  else
  {
    if( this->_release != 0 )
    {
      result = ACE_reinterpret_cast(td  *, this->_buffer);
      this->_maximum = 0;
      this->_length = 0;
      this->_buffer = 0;
      this->_release = 0;
    }
  }
  return result;
}

const td *td::flick_sequence_td::get_buffer() const
{
  return ACE_const_cast(const td  * ACE_CAST_CONST, this->_buffer);
}

td::flick_sequence_td_var::flick_sequence_td_var()
  : ptr_(0)
{}

td::flick_sequence_td_var::flick_sequence_td_var(::td::flick_sequence_td *p)
 : ptr_(p)
{}

td::flick_sequence_td_var::flick_sequence_td_var(const ::td::flick_sequence_td_var &a)
{
  if( a.ptr_ )
    this->ptr_ = new ::td::flick_sequence_td (*a.ptr_);
  else
    this->ptr_ = 0;
}

td::flick_sequence_td_var::~flick_sequence_td_var()
{
  delete this->ptr_;
}

::td::flick_sequence_td_var &td::flick_sequence_td_var::operator=(::td::flick_sequence_td *p)
{
  delete this->ptr_;
  this->ptr_ = p;
  return *this;
}

::td::flick_sequence_td_var &td::flick_sequence_td_var::operator=(const ::td::flick_sequence_td_var &p)
{
  if( this != &p )
  {
    delete this->ptr_;
    this->ptr_ = new ::td::flick_sequence_td (*p.ptr_);
  }
  return *this;
}

td &td::flick_sequence_td_var::operator[](CORBA::ULong index)
{
  return this->ptr_->operator[](index);
}

const td &td::flick_sequence_td_var::operator[](CORBA::ULong index) const
{
  return this->ptr_->operator[](index);
}

::td::flick_sequence_td *td::flick_sequence_td_var::operator->()
{
  return this->ptr_;
}

const ::td::flick_sequence_td *td::flick_sequence_td_var::operator->() const
{
  return this->ptr_;
}

td::flick_sequence_td_var::operator const ::td::flick_sequence_td &() const
{
  return *this->ptr_;
}

td::flick_sequence_td_var::operator ::td::flick_sequence_td &()
{
  return *this->ptr_;
}

td::flick_sequence_td_var::operator ::td::flick_sequence_td &() const
{
  return *this->ptr_;
}

const ::td::flick_sequence_td &td::flick_sequence_td_var::in() const
{
  return *this->ptr_;
}

::td::flick_sequence_td &td::flick_sequence_td_var::inout()
{
  return *this->ptr_;
}

::td::flick_sequence_td *&td::flick_sequence_td_var::out()
{
  delete this->ptr_;
  this->ptr_ = 0;
  return this->ptr_;
}

::td::flick_sequence_td *td::flick_sequence_td_var::_retn()
{
  ::td::flick_sequence_td  *tmp = this->ptr_;
  this->ptr_ = 0;
  return tmp;
}

::td::flick_sequence_td *td::flick_sequence_td_var::ptr() const
{
  return this->ptr_;
}

td::flick_sequence_td_out::flick_sequence_td_out(::td::flick_sequence_td *&r)
  : ptr_(r)
{
  this->ptr_ = 0;
}

td::flick_sequence_td_out::flick_sequence_td_out(::td::flick_sequence_td_var &r)
  : ptr_(r.out())
{
  delete this->ptr_;
  this->ptr_ = 0;
}

td::flick_sequence_td_out::flick_sequence_td_out(const ::td::flick_sequence_td_out &r)
  : ptr_(ACE_const_cast(::td::flick_sequence_td_out &,r).ptr_)
{}

::td::flick_sequence_td_out &td::flick_sequence_td_out::operator=(const ::td::flick_sequence_td_out &r)
{
  this->ptr_ = ACE_const_cast(::td::flick_sequence_td_out &,r).ptr_;
  return *this;
}

::td::flick_sequence_td_out &td::flick_sequence_td_out::operator=(::td::flick_sequence_td *r)
{
  this->ptr_ = r;
  return *this;
}

td::flick_sequence_td_out::operator ::td::flick_sequence_td *&()
{
  return this->ptr_;
}

::td::flick_sequence_td *&td::flick_sequence_td_out::ptr()
{
  return this->ptr_;
}

td &td::flick_sequence_td_out::operator[](CORBA::ULong index)
{
  return this->ptr_->operator[](index);
}

const td &td::flick_sequence_td_out::operator[](CORBA::ULong index) const
{
  return this->ptr_->operator[](index);
}

::td::flick_sequence_td *td::flick_sequence_td_out::operator->()
{
  return this->ptr_;
}

static const CORBA::Long _oc_obj[] =
{
    TAO_ENCAP_BYTE_ORDER /* byte order */,
    12, ACE_NTOHL(0x49444c3a), ACE_NTOHL(0x6f626a3a), ACE_NTOHL(0x312e3000) /* repository ID = IDL:obj:1.0 */,
    4, ACE_NTOHL(0x6f626a00) /* name = obj */
};

static CORBA::TypeCode _tc_TAO_tc_obj (CORBA::tk_objref, sizeof(_oc_obj), (char *) &_oc_obj, 0, sizeof(obj ));

CORBA::TypeCode_ptr _tc_obj = &_tc_TAO_tc_obj;


#if defined (ACE_HAS_EXPLICIT_TEMPLATE_INSTANTIATION)
  template class TAO_Object_Field_T<obj >;
#elif defined (ACE_HAS_TEMPLATE_INSTANTIATION_PRAGMA)
#  pragma instantiate TAO_Object_Field_T<obj >
#endif /* ACE_HAS_EXPLICIT_TEMPLATE_INSTANTIATION */

obj_ptr obj::_duplicate(obj_ptr obj)
{
  if( !CORBA::is_nil(obj) )
    obj->_incr_refcnt();
  return obj;
}

obj_ptr obj::_narrow(CORBA::Object_ptr obj, CORBA::Environment &_env)
{
  if( CORBA::is_nil(obj) )
    return obj::_nil();
  if( !obj->_is_a("IDL:obj:1.0", _env) )
    return obj::_nil();
  return obj::_unchecked_narrow(obj, _env);
}

obj_ptr obj::_unchecked_narrow(CORBA::Object_ptr _obj, CORBA::Environment &_env)
{
  if( CORBA::is_nil(_obj) )
    return obj::_nil();
  TAO_Stub *stub = _obj->_stubobj();
  stub->_incr_refcnt();
  void* servant = 0;
  if (_obj->_is_collocated () && _obj->_servant() != 0)
    servant = _obj->_servant()->_downcast ("IDL:Coffee:1.0");
  if (servant == 0)
    return new obj (stub);
  return new _tao_collocated_obj(
      ACE_reinterpret_cast(POA_obj_ptr , servant),
      stub
    );
}

obj_ptr obj::_nil()
{
  return (obj_ptr )NULL;
}

CORBA::Boolean obj::_is_a(const CORBA::Char *_type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)_type_id, "IDL:obj:1.0")) ||
      (!ACE_OS::strcmp((char *)_type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return this->CORBA_Object::_is_a(_type_id, _env);
}

const char *obj::_interface_repository_id() const
{
  return "IDL:obj:1.0";
}

obj::obj()
{}

obj::~obj()
{}

void operator<<=(CORBA::Any &a, obj_ptr o)
{
  CORBA::Object_ptr *_tao_obj_ptr = 0;
  ACE_TRY_NEW_ENV
  {
    ACE_NEW(_tao_obj_ptr, CORBA::Object_ptr);
    *_tao_obj_ptr = obj::_duplicate(o);
    a.replace (_tc_obj, _tao_obj_ptr, 1, ACE_TRY_ENV);
    ACE_TRY_CHECK;
  }
  ACE_CATCHANY
  {
    delete _tao_obj_ptr;
  }
  ACE_ENDTRY;
}

CORBA::Boolean operator>>=(const CORBA::Any &a, obj_ptr &o)
{
  CORBA::Object_ptr *tmp = 0;
  ACE_TRY_NEW_ENV
  {
    o = obj::_nil();
    CORBA::TypeCode_var type = a.type();
    if (!type->equal (_tc_obj, ACE_TRY_ENV)) return 0;
    ACE_TRY_CHECK;
    TAO_InputCDR stream (a._tao_get_cdr());
    CORBA::Object_var _tao_obj_var;
    ACE_NEW_RETURN (tmp, CORBA::Object_ptr, 0);
    if (stream.decode(_tc_obj, &_tao_obj_var.out(), 0, ACE_TRY_ENV)
       == CORBA::TypeCode::TRAVERSE_CONTINUE)
    {
      o = obj::_narrow(_tao_obj_var.in(), ACE_TRY_ENV);
      ACE_TRY_CHECK;
      *tmp = (CORBA::Object_ptr) o;
      ((CORBA::Any *)&a)->replace(_tc_obj, tmp, 1, ACE_TRY_ENV);
      ACE_TRY_CHECK;
      return 1;
    }
  }
  ACE_CATCHANY
  {
    delete tmp;
    return 0;
  }
  ACE_ENDTRY;
  return 0;
}

obj::obj(TAO_Stub *objref, TAO_ServantBase *_tao_servant, CORBA::Boolean _tao_collocated)
  : CORBA_Object(objref, _tao_servant, _tao_collocated)
{}

obj_var::obj_var()
  : ptr_(obj::_nil())
{}

obj_var::obj_var(obj_ptr p)
  : ptr_(p)
{}

obj_var::obj_var(const obj_var &a)
  : ptr_(obj::_duplicate(a.ptr()))
{}

obj_var::~obj_var()
{
  CORBA::release(this->ptr_);
}

obj_var &obj_var::operator=(obj_ptr p)
{
  CORBA::release(this->ptr_);
  this->ptr_ = p;
  return *this;
}

obj_var &obj_var::operator=(const obj_var &p)
{
  if( this != &p )
  {
    CORBA::release(this->ptr_);
    this->ptr_ = obj::_duplicate(p.ptr());
  }
  return *this;
}

obj_ptr obj_var::operator->() const
{
  return this->ptr_;
}

obj_var::operator const obj_ptr &() const
{
  return this->ptr_;
}

obj_var::operator obj_ptr &()
{
  return this->ptr_;
}

obj_ptr obj_var::in() const
{
  return this->ptr_;
}

obj_ptr &obj_var::inout()
{
  return this->ptr_;
}

obj_ptr &obj_var::out()
{
  CORBA::release(this->ptr_);
  this->ptr_ = obj::_nil();
  return this->ptr_;
}

obj_ptr obj_var::_retn()
{
  obj_ptr  val = this->ptr_;
  this->ptr_ = obj::_nil();
  return val;
}

obj_ptr obj_var::ptr() const
{
  return this->ptr_;
}

obj_out::obj_out(obj_ptr &r)
  : ptr_(r)
{
  this->ptr_ = obj::_nil();
}

obj_out::obj_out(obj_var &r)
  : ptr_(r.out())
{
  CORBA::release(this->ptr_);
  this->ptr_ = obj::_nil();
}

obj_out::obj_out(const obj_out &r)
  : ptr_(ACE_const_cast(obj_out &,r).ptr_)
{}

obj_out &obj_out::operator=(const obj_out &r)
{
  this->ptr_ = ACE_const_cast(obj_out &,r).ptr_;
  return *this;
}

obj_out &obj_out::operator=(const obj_var &r)
{
  this->ptr_ = obj::_duplicate(r.ptr());
  return *this;
}

obj_out &obj_out::operator=(obj_ptr r)
{
  this->ptr_ = r;
  return *this;
}

obj_out::operator obj_ptr &()
{
  return this->ptr_;
}

obj_ptr &obj_out::ptr()
{
  return this->ptr_;
}

obj_ptr obj_out::operator->()
{
  return this->ptr_;
}

int flick_marshal_stub_ta_tb(flick_marshal_stream_t _stream, const struct ::ta::tb *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(18, _flick_abort0);
  flick_iiopxx_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->a, CORBA::Long );
  flick_iiopxx_encode_end_chunk(4);
  flick_iiopxx_encode_new_chunk_align(10, 3, 2, 0);
  flick_cdr_encode_float64(0, _data->b, CORBA::Double );
  flick_cdr_encode_signed16(8, _data->c, CORBA::Short );
  flick_iiopxx_encode_end_chunk(10);
  flick_iiopxx_encode_end_glob(18);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_ta_tb(flick_marshal_stream_t _stream, struct ::ta::tb *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(18);
  flick_iiopxx_check_span(4, _flick_abort1);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, _data->a, CORBA::Long );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_new_chunk_align(10, 3, 2, 0);
  flick_iiopxx_check_span(10, _flick_abort1);
  flick_cdr_decode_float64(0, _data->b, CORBA::Double );
  flick_cdr_decode_signed16(8, _data->c, CORBA::Short );
  flick_iiopxx_decode_end_chunk(10);
  flick_iiopxx_decode_end_glob(18);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_ta_tb_swap(flick_marshal_stream_t _stream, struct ::ta::tb *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(18);
  flick_iiopxx_check_span(4, _flick_abort2);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, _data->a, CORBA::Long );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_new_chunk_align(10, 3, 2, 0);
  flick_iiopxx_check_span(10, _flick_abort2);
  flick_cdr_swap_decode_float64(0, _data->b, CORBA::Double );
  flick_cdr_swap_decode_signed16(8, _data->c, CORBA::Short );
  flick_iiopxx_decode_end_chunk(10);
  flick_iiopxx_decode_end_glob(18);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_ta_tc(flick_marshal_stream_t _stream, const struct ::ta::tc *_data)
{
  flick_unsigned32_t _t0_temp_string_len;
  CORBA::ULong _t1_array_iter;

  flick_cdr_stringlen(CORBA::Char *, _data->b, flick_unsigned32_t , _t0_temp_string_len);

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(8, _flick_abort3);
  flick_iiopxx_encode_new_chunk(8);
  flick_cdr_encode_char8(0, _data->a, CORBA::Char );
  flick_cdr_encode_unsigned32(4, _t0_temp_string_len, flick_unsigned32_t );
  flick_iiopxx_encode_end_chunk(8);
  flick_iiopxx_encode_end_glob(8);
  flick_iiopxx_encode_new_glob(1 * _t0_temp_string_len, _flick_abort3);
  flick_iiopxx_encode_new_chunk(1 * _t0_temp_string_len);
  flick_cdr_encode_bcopy(0, _data->b, 1 * _t0_temp_string_len);
  flick_iiopxx_encode_end_chunk(1 * _t0_temp_string_len);
  flick_iiopxx_encode_end_glob(1 * _t0_temp_string_len);
  flick_iiopxx_encode_new_glob(7, _flick_abort3);
  flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
  flick_cdr_encode_unsigned32(0, _data->c._length, CORBA::ULong );
  flick_iiopxx_encode_end_chunk(4);
  flick_iiopxx_encode_end_glob(7);
  for (_t1_array_iter = 0; _t1_array_iter < _data->c._length; _t1_array_iter++)
    {
      if (flick_marshal_stub_ta_tc(_stream, _data->c._buffer + _t1_array_iter))
        goto _flick_abort9;
      continue;
      {
      _flick_abort9:
        goto _flick_abort3;
      }
    }
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_ta_tc(flick_marshal_stream_t _stream, struct ::ta::tc *_data)
{
  flick_unsigned32_t _t2_temp_string_len;
  CORBA::ULong _t3_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(8);
  flick_iiopxx_check_span(8, _flick_abort11);
  flick_iiopxx_decode_new_chunk(8);
  flick_cdr_decode_char8(0, _data->a, CORBA::Char );
  flick_cdr_decode_unsigned32(4, _t2_temp_string_len, flick_unsigned32_t );
  flick_iiopxx_decode_end_chunk(8);
  flick_iiopxx_decode_end_glob(8);
  flick_iiopxx_decode_new_glob(1 * _t2_temp_string_len);
  flick_iiopxx_check_span(1 * _t2_temp_string_len, _flick_abort11);
  flick_iiopxx_decode_new_chunk(1 * _t2_temp_string_len);
  {
    CORBA::Char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t2_temp_string_len * sizeof(CORBA::Char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort11);
    _data->b = _t_alloc_ptr;
  }
  flick_cdr_decode_bcopy(0, _data->b, 1 * _t2_temp_string_len);
  flick_iiopxx_decode_end_chunk(1 * _t2_temp_string_len);
  flick_iiopxx_decode_end_glob(1 * _t2_temp_string_len);
  flick_iiopxx_decode_new_glob(7);
  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
  flick_iiopxx_check_span(4, _flick_abort11);
  flick_cdr_decode_unsigned32(0, _data->c._length, CORBA::ULong );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_end_glob(7);
  {
    struct ::ta::tc *_t_alloc_ptr;

    _t_alloc_ptr = (struct ::ta::tc *)new (struct ::ta::tc [_data->c._length]);
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort11);
    _data->c._buffer = _t_alloc_ptr;
    _data->c._maximum = _data->c._length;
    _data->c._release = 1;
  }
  for (_t3_array_iter = 0; _t3_array_iter < _data->c._length; _t3_array_iter++)
    {
      if (flick_unmarshal_stub_ta_tc(_stream, _data->c._buffer + _t3_array_iter))
        goto _flick_abort17;
      continue;
      {
      _flick_abort17:
        goto _flick_abort11;
      }
    }
  return 0;
  {
  _flick_abort11:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_ta_tc_swap(flick_marshal_stream_t _stream, struct ::ta::tc *_data)
{
  flick_unsigned32_t _t4_temp_string_len;
  CORBA::ULong _t5_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(8);
  flick_iiopxx_check_span(8, _flick_abort19);
  flick_iiopxx_decode_new_chunk(8);
  flick_cdr_swap_decode_char8(0, _data->a, CORBA::Char );
  flick_cdr_swap_decode_unsigned32(4, _t4_temp_string_len, flick_unsigned32_t );
  flick_iiopxx_decode_end_chunk(8);
  flick_iiopxx_decode_end_glob(8);
  flick_iiopxx_decode_new_glob(1 * _t4_temp_string_len);
  flick_iiopxx_check_span(1 * _t4_temp_string_len, _flick_abort19);
  flick_iiopxx_decode_new_chunk(1 * _t4_temp_string_len);
  {
    CORBA::Char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t4_temp_string_len * sizeof(CORBA::Char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort19);
    _data->b = _t_alloc_ptr;
  }
  flick_cdr_swap_decode_bcopy(0, _data->b, 1 * _t4_temp_string_len);
  flick_iiopxx_decode_end_chunk(1 * _t4_temp_string_len);
  flick_iiopxx_decode_end_glob(1 * _t4_temp_string_len);
  flick_iiopxx_decode_new_glob(7);
  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
  flick_iiopxx_check_span(4, _flick_abort19);
  flick_cdr_swap_decode_unsigned32(0, _data->c._length, CORBA::ULong );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_end_glob(7);
  {
    struct ::ta::tc *_t_alloc_ptr;

    _t_alloc_ptr = (struct ::ta::tc *)new (struct ::ta::tc [_data->c._length]);
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort19);
    _data->c._buffer = _t_alloc_ptr;
    _data->c._maximum = _data->c._length;
    _data->c._release = 1;
  }
  for (_t5_array_iter = 0; _t5_array_iter < _data->c._length; _t5_array_iter++)
    {
      if (flick_unmarshal_stub_ta_tc_swap(_stream, _data->c._buffer + _t5_array_iter))
        goto _flick_abort25;
      continue;
      {
      _flick_abort25:
        goto _flick_abort19;
      }
    }
  return 0;
  {
  _flick_abort19:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_ta_td_te(flick_marshal_stream_t _stream, const struct ::ta::td::te *_data)
{
  CORBA::ULong _t6_array_iter;

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(8, _flick_abort27);
  flick_iiopxx_encode_new_chunk(8);
  flick_cdr_encode_char8(0, _data->a, CORBA::Char );
  flick_cdr_encode_char8(1, _data->b, CORBA::Char );
  flick_cdr_encode_char8(2, _data->c, CORBA::Char );
  flick_cdr_encode_char8(3, _data->d, CORBA::Char );
  flick_cdr_encode_unsigned32(4, _data->e._length, CORBA::ULong );
  flick_iiopxx_encode_end_chunk(8);
  flick_iiopxx_encode_end_glob(8);
  for (_t6_array_iter = 0; _t6_array_iter < _data->e._length; _t6_array_iter++)
    {
      flick_iiopxx_encode_new_glob(20, _flick_abort31);
      flick_iiopxx_encode_new_chunk_align(4, 2, 1, 0);
      flick_cdr_encode_signed32(0, _data->e._buffer[_t6_array_iter].a.a, CORBA::Long );
      flick_iiopxx_encode_end_chunk(4);
      flick_iiopxx_encode_new_chunk_align(10, 3, 2, 0);
      flick_cdr_encode_float64(0, _data->e._buffer[_t6_array_iter].a.b, CORBA::Double );
      flick_cdr_encode_signed16(8, _data->e._buffer[_t6_array_iter].a.c, CORBA::Short );
      flick_iiopxx_encode_end_chunk(10);
      flick_iiopxx_encode_end_glob(20);
      if (flick_marshal_stub_ta_td_te(_stream, &_data->e._buffer[_t6_array_iter].b))
        goto _flick_abort31;
      continue;
      {
      _flick_abort31:
        goto _flick_abort27;
      }
    }
  return 0;
  {
  _flick_abort27:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_ta_td_te(flick_marshal_stream_t _stream, struct ::ta::td::te *_data)
{
  CORBA::ULong _t7_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(8);
  flick_iiopxx_check_span(8, _flick_abort33);
  flick_iiopxx_decode_new_chunk(8);
  flick_cdr_decode_char8(0, _data->a, CORBA::Char );
  flick_cdr_decode_char8(1, _data->b, CORBA::Char );
  flick_cdr_decode_char8(2, _data->c, CORBA::Char );
  flick_cdr_decode_char8(3, _data->d, CORBA::Char );
  flick_cdr_decode_unsigned32(4, _data->e._length, CORBA::ULong );
  flick_iiopxx_decode_end_chunk(8);
  flick_iiopxx_decode_end_glob(8);
  {
    struct ::ta::td *_t_alloc_ptr;

    _t_alloc_ptr = (struct ::ta::td *)new (struct ::ta::td [_data->e._length]);
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort33);
    _data->e._buffer = _t_alloc_ptr;
    _data->e._maximum = _data->e._length;
    _data->e._release = 1;
  }
  for (_t7_array_iter = 0; _t7_array_iter < _data->e._length; _t7_array_iter++)
    {
      flick_iiopxx_decode_new_glob(20);
      flick_iiopxx_decode_new_chunk_align(4, 2, 1, 0);
      flick_iiopxx_check_span(4, _flick_abort37);
      flick_cdr_decode_signed32(0, _data->e._buffer[_t7_array_iter].a.a, CORBA::Long );
      flick_iiopxx_decode_end_chunk(4);
      flick_iiopxx_decode_new_chunk_align(10, 3, 2, 0);
      flick_iiopxx_check_span(10, _flick_abort37);
      flick_cdr_decode_float64(0, _data->e._buffer[_t7_array_iter].a.b, CORBA::Double );
      flick_cdr_decode_signed16(8, _data->e._buffer[_t7_array_iter].a.c, CORBA::Short );
      flick_iiopxx_decode_end_chunk(10);
      flick_iiopxx_decode_end_glob(20);
      if (flick_unmarshal_stub_ta_td_te(_stream, &_data->e._buffer[_t7_array_iter].b))
        goto _flick_abort37;
      continue;
      {
      _flick_abort37:
        goto _flick_abort33;
      }
    }
  return 0;
  {
  _flick_abort33:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_ta_td_te_swap(flick_marshal_stream_t _stream, struct ::ta::td::te *_data)
{
  CORBA::ULong _t8_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(8);
  flick_iiopxx_check_span(8, _flick_abort39);
  flick_iiopxx_decode_new_chunk(8);
  flick_cdr_swap_decode_char8(0, _data->a, CORBA::Char );
  flick_cdr_swap_decode_char8(1, _data->b, CORBA::Char );
  flick_cdr_swap_decode_char8(2, _data->c, CORBA::Char );
  flick_cdr_swap_decode_char8(3, _data->d, CORBA::Char );
  flick_cdr_swap_decode_unsigned32(4, _data->e._length, CORBA::ULong );
  flick_iiopxx_decode_end_chunk(8);
  flick_iiopxx_decode_end_glob(8);
  {
    struct ::ta::td *_t_alloc_ptr;

    _t_alloc_ptr = (struct ::ta::td *)new (struct ::ta::td [_data->e._length]);
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort39);
    _data->e._buffer = _t_alloc_ptr;
    _data->e._maximum = _data->e._length;
    _data->e._release = 1;
  }
  for (_t8_array_iter = 0; _t8_array_iter < _data->e._length; _t8_array_iter++)
    {
      flick_iiopxx_decode_new_glob(20);
      flick_iiopxx_decode_new_chunk_align(4, 2, 1, 0);
      flick_iiopxx_check_span(4, _flick_abort43);
      flick_cdr_swap_decode_signed32(0, _data->e._buffer[_t8_array_iter].a.a, CORBA::Long );
      flick_iiopxx_decode_end_chunk(4);
      flick_iiopxx_decode_new_chunk_align(10, 3, 2, 0);
      flick_iiopxx_check_span(10, _flick_abort43);
      flick_cdr_swap_decode_float64(0, _data->e._buffer[_t8_array_iter].a.b, CORBA::Double );
      flick_cdr_swap_decode_signed16(8, _data->e._buffer[_t8_array_iter].a.c, CORBA::Short );
      flick_iiopxx_decode_end_chunk(10);
      flick_iiopxx_decode_end_glob(20);
      if (flick_unmarshal_stub_ta_td_te_swap(_stream, &_data->e._buffer[_t8_array_iter].b))
        goto _flick_abort43;
      continue;
      {
      _flick_abort43:
        goto _flick_abort39;
      }
    }
  return 0;
  {
  _flick_abort39:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_ta_td(flick_marshal_stream_t _stream, const struct ::ta::td *_data)
{
  CORBA::ULong _t9_array_iter;

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(28, _flick_abort45);
  flick_iiopxx_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->a.a, CORBA::Long );
  flick_iiopxx_encode_end_chunk(4);
  flick_iiopxx_encode_new_chunk_align(20, 3, 2, 0);
  flick_cdr_encode_float64(0, _data->a.b, CORBA::Double );
  flick_cdr_encode_signed16(8, _data->a.c, CORBA::Short );
  flick_cdr_encode_char8(10, _data->b.a, CORBA::Char );
  flick_cdr_encode_char8(11, _data->b.b, CORBA::Char );
  flick_cdr_encode_char8(12, _data->b.c, CORBA::Char );
  flick_cdr_encode_char8(13, _data->b.d, CORBA::Char );
  flick_cdr_encode_unsigned32(16, _data->b.e._length, CORBA::ULong );
  flick_iiopxx_encode_end_chunk(20);
  flick_iiopxx_encode_end_glob(28);
  for (_t9_array_iter = 0; _t9_array_iter < _data->b.e._length; _t9_array_iter++)
    {
      if (flick_marshal_stub_ta_td(_stream, _data->b.e._buffer + _t9_array_iter))
        goto _flick_abort49;
      continue;
      {
      _flick_abort49:
        goto _flick_abort45;
      }
    }
  return 0;
  {
  _flick_abort45:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_ta_td(flick_marshal_stream_t _stream, struct ::ta::td *_data)
{
  CORBA::ULong _t10_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(28);
  flick_iiopxx_check_span(4, _flick_abort51);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, _data->a.a, CORBA::Long );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_new_chunk_align(20, 3, 2, 0);
  flick_iiopxx_check_span(20, _flick_abort51);
  flick_cdr_decode_float64(0, _data->a.b, CORBA::Double );
  flick_cdr_decode_signed16(8, _data->a.c, CORBA::Short );
  flick_cdr_decode_char8(10, _data->b.a, CORBA::Char );
  flick_cdr_decode_char8(11, _data->b.b, CORBA::Char );
  flick_cdr_decode_char8(12, _data->b.c, CORBA::Char );
  flick_cdr_decode_char8(13, _data->b.d, CORBA::Char );
  flick_cdr_decode_unsigned32(16, _data->b.e._length, CORBA::ULong );
  flick_iiopxx_decode_end_chunk(20);
  flick_iiopxx_decode_end_glob(28);
  {
    struct ::ta::td *_t_alloc_ptr;

    _t_alloc_ptr = (struct ::ta::td *)new (struct ::ta::td [_data->b.e._length]);
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort51);
    _data->b.e._buffer = _t_alloc_ptr;
    _data->b.e._maximum = _data->b.e._length;
    _data->b.e._release = 1;
  }
  for (_t10_array_iter = 0; _t10_array_iter < _data->b.e._length; _t10_array_iter++)
    {
      if (flick_unmarshal_stub_ta_td(_stream, _data->b.e._buffer + _t10_array_iter))
        goto _flick_abort55;
      continue;
      {
      _flick_abort55:
        goto _flick_abort51;
      }
    }
  return 0;
  {
  _flick_abort51:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_ta_td_swap(flick_marshal_stream_t _stream, struct ::ta::td *_data)
{
  CORBA::ULong _t11_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(28);
  flick_iiopxx_check_span(4, _flick_abort57);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, _data->a.a, CORBA::Long );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_new_chunk_align(20, 3, 2, 0);
  flick_iiopxx_check_span(20, _flick_abort57);
  flick_cdr_swap_decode_float64(0, _data->a.b, CORBA::Double );
  flick_cdr_swap_decode_signed16(8, _data->a.c, CORBA::Short );
  flick_cdr_swap_decode_char8(10, _data->b.a, CORBA::Char );
  flick_cdr_swap_decode_char8(11, _data->b.b, CORBA::Char );
  flick_cdr_swap_decode_char8(12, _data->b.c, CORBA::Char );
  flick_cdr_swap_decode_char8(13, _data->b.d, CORBA::Char );
  flick_cdr_swap_decode_unsigned32(16, _data->b.e._length, CORBA::ULong );
  flick_iiopxx_decode_end_chunk(20);
  flick_iiopxx_decode_end_glob(28);
  {
    struct ::ta::td *_t_alloc_ptr;

    _t_alloc_ptr = (struct ::ta::td *)new (struct ::ta::td [_data->b.e._length]);
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort57);
    _data->b.e._buffer = _t_alloc_ptr;
    _data->b.e._maximum = _data->b.e._length;
    _data->b.e._release = 1;
  }
  for (_t11_array_iter = 0; _t11_array_iter < _data->b.e._length; _t11_array_iter++)
    {
      if (flick_unmarshal_stub_ta_td_swap(_stream, _data->b.e._buffer + _t11_array_iter))
        goto _flick_abort61;
      continue;
      {
      _flick_abort61:
        goto _flick_abort57;
      }
    }
  return 0;
  {
  _flick_abort57:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_ta(flick_marshal_stream_t _stream, const struct ta *_data)
{
  flick_unsigned32_t _t12_temp_string_len;
  CORBA::ULong _t13_array_iter;
  CORBA::ULong _t14_array_iter;
  CORBA::ULong _t15_array_iter;
  flick_unsigned32_t _t16_temp_string_len;
  CORBA::ULong _t17_array_iter;
  CORBA::ULong _t18_array_iter;

  flick_cdr_stringlen(CORBA::Char *, _data->b.b, flick_unsigned32_t , _t12_temp_string_len);
  flick_cdr_stringlen(CORBA::Char *, _data->e.b, flick_unsigned32_t , _t16_temp_string_len);

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(24, _flick_abort63);
  flick_iiopxx_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->a.a, CORBA::Long );
  flick_iiopxx_encode_end_chunk(4);
  flick_iiopxx_encode_new_chunk_align(16, 3, 2, 0);
  flick_cdr_encode_float64(0, _data->a.b, CORBA::Double );
  flick_cdr_encode_signed16(8, _data->a.c, CORBA::Short );
  flick_cdr_encode_char8(10, _data->b.a, CORBA::Char );
  flick_cdr_encode_unsigned32(12, _t12_temp_string_len, flick_unsigned32_t );
  flick_iiopxx_encode_end_chunk(16);
  flick_iiopxx_encode_end_glob(24);
  flick_iiopxx_encode_new_glob(1 * _t12_temp_string_len, _flick_abort63);
  flick_iiopxx_encode_new_chunk(1 * _t12_temp_string_len);
  flick_cdr_encode_bcopy(0, _data->b.b, 1 * _t12_temp_string_len);
  flick_iiopxx_encode_end_chunk(1 * _t12_temp_string_len);
  flick_iiopxx_encode_end_glob(1 * _t12_temp_string_len);
  flick_iiopxx_encode_new_glob(7, _flick_abort63);
  flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
  flick_cdr_encode_unsigned32(0, _data->b.c._length, CORBA::ULong );
  flick_iiopxx_encode_end_chunk(4);
  flick_iiopxx_encode_end_glob(7);
  for (_t13_array_iter = 0; _t13_array_iter < _data->b.c._length; _t13_array_iter++)
    {
      if (flick_marshal_stub_ta_tc(_stream, _data->b.c._buffer + _t13_array_iter))
        goto _flick_abort69;
      continue;
      {
      _flick_abort69:
        goto _flick_abort63;
      }
    }
  flick_iiopxx_encode_new_glob(28, _flick_abort63);
  flick_iiopxx_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->c.a.a, CORBA::Long );
  flick_iiopxx_encode_end_chunk(4);
  flick_iiopxx_encode_new_chunk_align(20, 3, 2, 0);
  flick_cdr_encode_float64(0, _data->c.a.b, CORBA::Double );
  flick_cdr_encode_signed16(8, _data->c.a.c, CORBA::Short );
  flick_cdr_encode_char8(10, _data->c.b.a, CORBA::Char );
  flick_cdr_encode_char8(11, _data->c.b.b, CORBA::Char );
  flick_cdr_encode_char8(12, _data->c.b.c, CORBA::Char );
  flick_cdr_encode_char8(13, _data->c.b.d, CORBA::Char );
  flick_cdr_encode_unsigned32(16, _data->c.b.e._length, CORBA::ULong );
  flick_iiopxx_encode_end_chunk(20);
  flick_iiopxx_encode_end_glob(28);
  for (_t14_array_iter = 0; _t14_array_iter < _data->c.b.e._length; _t14_array_iter++)
    {
      if (flick_marshal_stub_ta_td(_stream, _data->c.b.e._buffer + _t14_array_iter))
        goto _flick_abort74;
      continue;
      {
      _flick_abort74:
        goto _flick_abort63;
      }
    }
  flick_iiopxx_encode_new_glob(4, _flick_abort63);
  flick_iiopxx_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->next._length, CORBA::ULong );
  flick_iiopxx_encode_end_chunk(4);
  flick_iiopxx_encode_end_glob(4);
  for (_t15_array_iter = 0; _t15_array_iter < _data->next._length; _t15_array_iter++)
    {
      if (flick_marshal_stub_ta(_stream, _data->next._buffer + _t15_array_iter))
        goto _flick_abort79;
      continue;
      {
      _flick_abort79:
        goto _flick_abort63;
      }
    }
  flick_iiopxx_encode_new_glob(24, _flick_abort63);
  flick_iiopxx_encode_new_chunk(24);
  flick_cdr_encode_signed32(0, _data->d.a, CORBA::Long );
  flick_cdr_encode_float64(8, _data->d.b, CORBA::Double );
  flick_cdr_encode_signed16(16, _data->d.c, CORBA::Short );
  flick_cdr_encode_char8(18, _data->e.a, CORBA::Char );
  flick_cdr_encode_unsigned32(20, _t16_temp_string_len, flick_unsigned32_t );
  flick_iiopxx_encode_end_chunk(24);
  flick_iiopxx_encode_end_glob(24);
  flick_iiopxx_encode_new_glob(1 * _t16_temp_string_len, _flick_abort63);
  flick_iiopxx_encode_new_chunk(1 * _t16_temp_string_len);
  flick_cdr_encode_bcopy(0, _data->e.b, 1 * _t16_temp_string_len);
  flick_iiopxx_encode_end_chunk(1 * _t16_temp_string_len);
  flick_iiopxx_encode_end_glob(1 * _t16_temp_string_len);
  flick_iiopxx_encode_new_glob(7, _flick_abort63);
  flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
  flick_cdr_encode_unsigned32(0, _data->e.c._length, CORBA::ULong );
  flick_iiopxx_encode_end_chunk(4);
  flick_iiopxx_encode_end_glob(7);
  for (_t17_array_iter = 0; _t17_array_iter < _data->e.c._length; _t17_array_iter++)
    {
      if (flick_marshal_stub_ta_tc(_stream, _data->e.c._buffer + _t17_array_iter))
        goto _flick_abort86;
      continue;
      {
      _flick_abort86:
        goto _flick_abort63;
      }
    }
  flick_iiopxx_encode_new_glob(28, _flick_abort63);
  flick_iiopxx_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->f.a.a, CORBA::Long );
  flick_iiopxx_encode_end_chunk(4);
  flick_iiopxx_encode_new_chunk_align(20, 3, 2, 0);
  flick_cdr_encode_float64(0, _data->f.a.b, CORBA::Double );
  flick_cdr_encode_signed16(8, _data->f.a.c, CORBA::Short );
  flick_cdr_encode_char8(10, _data->f.b.a, CORBA::Char );
  flick_cdr_encode_char8(11, _data->f.b.b, CORBA::Char );
  flick_cdr_encode_char8(12, _data->f.b.c, CORBA::Char );
  flick_cdr_encode_char8(13, _data->f.b.d, CORBA::Char );
  flick_cdr_encode_unsigned32(16, _data->f.b.e._length, CORBA::ULong );
  flick_iiopxx_encode_end_chunk(20);
  flick_iiopxx_encode_end_glob(28);
  for (_t18_array_iter = 0; _t18_array_iter < _data->f.b.e._length; _t18_array_iter++)
    {
      if (flick_marshal_stub_ta_td(_stream, _data->f.b.e._buffer + _t18_array_iter))
        goto _flick_abort91;
      continue;
      {
      _flick_abort91:
        goto _flick_abort63;
      }
    }
  return 0;
  {
  _flick_abort63:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_ta(flick_marshal_stream_t _stream, struct ta *_data)
{
  flick_unsigned32_t _t19_temp_string_len;
  CORBA::ULong _t20_array_iter;
  CORBA::ULong _t21_array_iter;
  CORBA::ULong _t22_array_iter;
  flick_unsigned32_t _t23_temp_string_len;
  CORBA::ULong _t24_array_iter;
  CORBA::ULong _t25_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(24);
  flick_iiopxx_check_span(4, _flick_abort93);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, _data->a.a, CORBA::Long );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_new_chunk_align(16, 3, 2, 0);
  flick_iiopxx_check_span(16, _flick_abort93);
  flick_cdr_decode_float64(0, _data->a.b, CORBA::Double );
  flick_cdr_decode_signed16(8, _data->a.c, CORBA::Short );
  flick_cdr_decode_char8(10, _data->b.a, CORBA::Char );
  flick_cdr_decode_unsigned32(12, _t19_temp_string_len, flick_unsigned32_t );
  flick_iiopxx_decode_end_chunk(16);
  flick_iiopxx_decode_end_glob(24);
  flick_iiopxx_decode_new_glob(1 * _t19_temp_string_len);
  flick_iiopxx_check_span(1 * _t19_temp_string_len, _flick_abort93);
  flick_iiopxx_decode_new_chunk(1 * _t19_temp_string_len);
  {
    CORBA::Char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t19_temp_string_len * sizeof(CORBA::Char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort93);
    _data->b.b = _t_alloc_ptr;
  }
  flick_cdr_decode_bcopy(0, _data->b.b, 1 * _t19_temp_string_len);
  flick_iiopxx_decode_end_chunk(1 * _t19_temp_string_len);
  flick_iiopxx_decode_end_glob(1 * _t19_temp_string_len);
  flick_iiopxx_decode_new_glob(7);
  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
  flick_iiopxx_check_span(4, _flick_abort93);
  flick_cdr_decode_unsigned32(0, _data->b.c._length, CORBA::ULong );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_end_glob(7);
  {
    struct ::ta::tc *_t_alloc_ptr;

    _t_alloc_ptr = (struct ::ta::tc *)new (struct ::ta::tc [_data->b.c._length]);
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort93);
    _data->b.c._buffer = _t_alloc_ptr;
    _data->b.c._maximum = _data->b.c._length;
    _data->b.c._release = 1;
  }
  for (_t20_array_iter = 0; _t20_array_iter < _data->b.c._length; _t20_array_iter++)
    {
      if (flick_unmarshal_stub_ta_tc(_stream, _data->b.c._buffer + _t20_array_iter))
        goto _flick_abort99;
      continue;
      {
      _flick_abort99:
        goto _flick_abort93;
      }
    }
  flick_iiopxx_decode_new_glob(28);
  flick_iiopxx_check_span(4, _flick_abort93);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, _data->c.a.a, CORBA::Long );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_new_chunk_align(20, 3, 2, 0);
  flick_iiopxx_check_span(20, _flick_abort93);
  flick_cdr_decode_float64(0, _data->c.a.b, CORBA::Double );
  flick_cdr_decode_signed16(8, _data->c.a.c, CORBA::Short );
  flick_cdr_decode_char8(10, _data->c.b.a, CORBA::Char );
  flick_cdr_decode_char8(11, _data->c.b.b, CORBA::Char );
  flick_cdr_decode_char8(12, _data->c.b.c, CORBA::Char );
  flick_cdr_decode_char8(13, _data->c.b.d, CORBA::Char );
  flick_cdr_decode_unsigned32(16, _data->c.b.e._length, CORBA::ULong );
  flick_iiopxx_decode_end_chunk(20);
  flick_iiopxx_decode_end_glob(28);
  {
    struct ::ta::td *_t_alloc_ptr;

    _t_alloc_ptr = (struct ::ta::td *)new (struct ::ta::td [_data->c.b.e._length]);
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort93);
    _data->c.b.e._buffer = _t_alloc_ptr;
    _data->c.b.e._maximum = _data->c.b.e._length;
    _data->c.b.e._release = 1;
  }
  for (_t21_array_iter = 0; _t21_array_iter < _data->c.b.e._length; _t21_array_iter++)
    {
      if (flick_unmarshal_stub_ta_td(_stream, _data->c.b.e._buffer + _t21_array_iter))
        goto _flick_abort104;
      continue;
      {
      _flick_abort104:
        goto _flick_abort93;
      }
    }
  flick_iiopxx_decode_new_glob(4);
  flick_iiopxx_check_span(4, _flick_abort93);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->next._length, CORBA::ULong );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_end_glob(4);
  {
    struct ta *_t_alloc_ptr;

    _t_alloc_ptr = (struct ta *)new (struct ta [_data->next._length]);
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort93);
    _data->next._buffer = _t_alloc_ptr;
    _data->next._maximum = _data->next._length;
    _data->next._release = 1;
  }
  for (_t22_array_iter = 0; _t22_array_iter < _data->next._length; _t22_array_iter++)
    {
      if (flick_unmarshal_stub_ta(_stream, _data->next._buffer + _t22_array_iter))
        goto _flick_abort109;
      continue;
      {
      _flick_abort109:
        goto _flick_abort93;
      }
    }
  flick_iiopxx_decode_new_glob(24);
  flick_iiopxx_check_span(24, _flick_abort93);
  flick_iiopxx_decode_new_chunk(24);
  flick_cdr_decode_signed32(0, _data->d.a, CORBA::Long );
  flick_cdr_decode_float64(8, _data->d.b, CORBA::Double );
  flick_cdr_decode_signed16(16, _data->d.c, CORBA::Short );
  flick_cdr_decode_char8(18, _data->e.a, CORBA::Char );
  flick_cdr_decode_unsigned32(20, _t23_temp_string_len, flick_unsigned32_t );
  flick_iiopxx_decode_end_chunk(24);
  flick_iiopxx_decode_end_glob(24);
  flick_iiopxx_decode_new_glob(1 * _t23_temp_string_len);
  flick_iiopxx_check_span(1 * _t23_temp_string_len, _flick_abort93);
  flick_iiopxx_decode_new_chunk(1 * _t23_temp_string_len);
  {
    CORBA::Char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t23_temp_string_len * sizeof(CORBA::Char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort93);
    _data->e.b = _t_alloc_ptr;
  }
  flick_cdr_decode_bcopy(0, _data->e.b, 1 * _t23_temp_string_len);
  flick_iiopxx_decode_end_chunk(1 * _t23_temp_string_len);
  flick_iiopxx_decode_end_glob(1 * _t23_temp_string_len);
  flick_iiopxx_decode_new_glob(7);
  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
  flick_iiopxx_check_span(4, _flick_abort93);
  flick_cdr_decode_unsigned32(0, _data->e.c._length, CORBA::ULong );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_end_glob(7);
  {
    struct ::ta::tc *_t_alloc_ptr;

    _t_alloc_ptr = (struct ::ta::tc *)new (struct ::ta::tc [_data->e.c._length]);
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort93);
    _data->e.c._buffer = _t_alloc_ptr;
    _data->e.c._maximum = _data->e.c._length;
    _data->e.c._release = 1;
  }
  for (_t24_array_iter = 0; _t24_array_iter < _data->e.c._length; _t24_array_iter++)
    {
      if (flick_unmarshal_stub_ta_tc(_stream, _data->e.c._buffer + _t24_array_iter))
        goto _flick_abort116;
      continue;
      {
      _flick_abort116:
        goto _flick_abort93;
      }
    }
  flick_iiopxx_decode_new_glob(28);
  flick_iiopxx_check_span(4, _flick_abort93);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, _data->f.a.a, CORBA::Long );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_new_chunk_align(20, 3, 2, 0);
  flick_iiopxx_check_span(20, _flick_abort93);
  flick_cdr_decode_float64(0, _data->f.a.b, CORBA::Double );
  flick_cdr_decode_signed16(8, _data->f.a.c, CORBA::Short );
  flick_cdr_decode_char8(10, _data->f.b.a, CORBA::Char );
  flick_cdr_decode_char8(11, _data->f.b.b, CORBA::Char );
  flick_cdr_decode_char8(12, _data->f.b.c, CORBA::Char );
  flick_cdr_decode_char8(13, _data->f.b.d, CORBA::Char );
  flick_cdr_decode_unsigned32(16, _data->f.b.e._length, CORBA::ULong );
  flick_iiopxx_decode_end_chunk(20);
  flick_iiopxx_decode_end_glob(28);
  {
    struct ::ta::td *_t_alloc_ptr;

    _t_alloc_ptr = (struct ::ta::td *)new (struct ::ta::td [_data->f.b.e._length]);
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort93);
    _data->f.b.e._buffer = _t_alloc_ptr;
    _data->f.b.e._maximum = _data->f.b.e._length;
    _data->f.b.e._release = 1;
  }
  for (_t25_array_iter = 0; _t25_array_iter < _data->f.b.e._length; _t25_array_iter++)
    {
      if (flick_unmarshal_stub_ta_td(_stream, _data->f.b.e._buffer + _t25_array_iter))
        goto _flick_abort121;
      continue;
      {
      _flick_abort121:
        goto _flick_abort93;
      }
    }
  return 0;
  {
  _flick_abort93:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_ta_swap(flick_marshal_stream_t _stream, struct ta *_data)
{
  flick_unsigned32_t _t26_temp_string_len;
  CORBA::ULong _t27_array_iter;
  CORBA::ULong _t28_array_iter;
  CORBA::ULong _t29_array_iter;
  flick_unsigned32_t _t30_temp_string_len;
  CORBA::ULong _t31_array_iter;
  CORBA::ULong _t32_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(24);
  flick_iiopxx_check_span(4, _flick_abort123);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, _data->a.a, CORBA::Long );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_new_chunk_align(16, 3, 2, 0);
  flick_iiopxx_check_span(16, _flick_abort123);
  flick_cdr_swap_decode_float64(0, _data->a.b, CORBA::Double );
  flick_cdr_swap_decode_signed16(8, _data->a.c, CORBA::Short );
  flick_cdr_swap_decode_char8(10, _data->b.a, CORBA::Char );
  flick_cdr_swap_decode_unsigned32(12, _t26_temp_string_len, flick_unsigned32_t );
  flick_iiopxx_decode_end_chunk(16);
  flick_iiopxx_decode_end_glob(24);
  flick_iiopxx_decode_new_glob(1 * _t26_temp_string_len);
  flick_iiopxx_check_span(1 * _t26_temp_string_len, _flick_abort123);
  flick_iiopxx_decode_new_chunk(1 * _t26_temp_string_len);
  {
    CORBA::Char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t26_temp_string_len * sizeof(CORBA::Char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort123);
    _data->b.b = _t_alloc_ptr;
  }
  flick_cdr_swap_decode_bcopy(0, _data->b.b, 1 * _t26_temp_string_len);
  flick_iiopxx_decode_end_chunk(1 * _t26_temp_string_len);
  flick_iiopxx_decode_end_glob(1 * _t26_temp_string_len);
  flick_iiopxx_decode_new_glob(7);
  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
  flick_iiopxx_check_span(4, _flick_abort123);
  flick_cdr_swap_decode_unsigned32(0, _data->b.c._length, CORBA::ULong );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_end_glob(7);
  {
    struct ::ta::tc *_t_alloc_ptr;

    _t_alloc_ptr = (struct ::ta::tc *)new (struct ::ta::tc [_data->b.c._length]);
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort123);
    _data->b.c._buffer = _t_alloc_ptr;
    _data->b.c._maximum = _data->b.c._length;
    _data->b.c._release = 1;
  }
  for (_t27_array_iter = 0; _t27_array_iter < _data->b.c._length; _t27_array_iter++)
    {
      if (flick_unmarshal_stub_ta_tc_swap(_stream, _data->b.c._buffer + _t27_array_iter))
        goto _flick_abort129;
      continue;
      {
      _flick_abort129:
        goto _flick_abort123;
      }
    }
  flick_iiopxx_decode_new_glob(28);
  flick_iiopxx_check_span(4, _flick_abort123);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, _data->c.a.a, CORBA::Long );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_new_chunk_align(20, 3, 2, 0);
  flick_iiopxx_check_span(20, _flick_abort123);
  flick_cdr_swap_decode_float64(0, _data->c.a.b, CORBA::Double );
  flick_cdr_swap_decode_signed16(8, _data->c.a.c, CORBA::Short );
  flick_cdr_swap_decode_char8(10, _data->c.b.a, CORBA::Char );
  flick_cdr_swap_decode_char8(11, _data->c.b.b, CORBA::Char );
  flick_cdr_swap_decode_char8(12, _data->c.b.c, CORBA::Char );
  flick_cdr_swap_decode_char8(13, _data->c.b.d, CORBA::Char );
  flick_cdr_swap_decode_unsigned32(16, _data->c.b.e._length, CORBA::ULong );
  flick_iiopxx_decode_end_chunk(20);
  flick_iiopxx_decode_end_glob(28);
  {
    struct ::ta::td *_t_alloc_ptr;

    _t_alloc_ptr = (struct ::ta::td *)new (struct ::ta::td [_data->c.b.e._length]);
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort123);
    _data->c.b.e._buffer = _t_alloc_ptr;
    _data->c.b.e._maximum = _data->c.b.e._length;
    _data->c.b.e._release = 1;
  }
  for (_t28_array_iter = 0; _t28_array_iter < _data->c.b.e._length; _t28_array_iter++)
    {
      if (flick_unmarshal_stub_ta_td_swap(_stream, _data->c.b.e._buffer + _t28_array_iter))
        goto _flick_abort134;
      continue;
      {
      _flick_abort134:
        goto _flick_abort123;
      }
    }
  flick_iiopxx_decode_new_glob(4);
  flick_iiopxx_check_span(4, _flick_abort123);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->next._length, CORBA::ULong );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_end_glob(4);
  {
    struct ta *_t_alloc_ptr;

    _t_alloc_ptr = (struct ta *)new (struct ta [_data->next._length]);
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort123);
    _data->next._buffer = _t_alloc_ptr;
    _data->next._maximum = _data->next._length;
    _data->next._release = 1;
  }
  for (_t29_array_iter = 0; _t29_array_iter < _data->next._length; _t29_array_iter++)
    {
      if (flick_unmarshal_stub_ta_swap(_stream, _data->next._buffer + _t29_array_iter))
        goto _flick_abort139;
      continue;
      {
      _flick_abort139:
        goto _flick_abort123;
      }
    }
  flick_iiopxx_decode_new_glob(24);
  flick_iiopxx_check_span(24, _flick_abort123);
  flick_iiopxx_decode_new_chunk(24);
  flick_cdr_swap_decode_signed32(0, _data->d.a, CORBA::Long );
  flick_cdr_swap_decode_float64(8, _data->d.b, CORBA::Double );
  flick_cdr_swap_decode_signed16(16, _data->d.c, CORBA::Short );
  flick_cdr_swap_decode_char8(18, _data->e.a, CORBA::Char );
  flick_cdr_swap_decode_unsigned32(20, _t30_temp_string_len, flick_unsigned32_t );
  flick_iiopxx_decode_end_chunk(24);
  flick_iiopxx_decode_end_glob(24);
  flick_iiopxx_decode_new_glob(1 * _t30_temp_string_len);
  flick_iiopxx_check_span(1 * _t30_temp_string_len, _flick_abort123);
  flick_iiopxx_decode_new_chunk(1 * _t30_temp_string_len);
  {
    CORBA::Char *_t_alloc_ptr;

    _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t30_temp_string_len * sizeof(CORBA::Char )));
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort123);
    _data->e.b = _t_alloc_ptr;
  }
  flick_cdr_swap_decode_bcopy(0, _data->e.b, 1 * _t30_temp_string_len);
  flick_iiopxx_decode_end_chunk(1 * _t30_temp_string_len);
  flick_iiopxx_decode_end_glob(1 * _t30_temp_string_len);
  flick_iiopxx_decode_new_glob(7);
  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
  flick_iiopxx_check_span(4, _flick_abort123);
  flick_cdr_swap_decode_unsigned32(0, _data->e.c._length, CORBA::ULong );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_end_glob(7);
  {
    struct ::ta::tc *_t_alloc_ptr;

    _t_alloc_ptr = (struct ::ta::tc *)new (struct ::ta::tc [_data->e.c._length]);
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort123);
    _data->e.c._buffer = _t_alloc_ptr;
    _data->e.c._maximum = _data->e.c._length;
    _data->e.c._release = 1;
  }
  for (_t31_array_iter = 0; _t31_array_iter < _data->e.c._length; _t31_array_iter++)
    {
      if (flick_unmarshal_stub_ta_tc_swap(_stream, _data->e.c._buffer + _t31_array_iter))
        goto _flick_abort146;
      continue;
      {
      _flick_abort146:
        goto _flick_abort123;
      }
    }
  flick_iiopxx_decode_new_glob(28);
  flick_iiopxx_check_span(4, _flick_abort123);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, _data->f.a.a, CORBA::Long );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_new_chunk_align(20, 3, 2, 0);
  flick_iiopxx_check_span(20, _flick_abort123);
  flick_cdr_swap_decode_float64(0, _data->f.a.b, CORBA::Double );
  flick_cdr_swap_decode_signed16(8, _data->f.a.c, CORBA::Short );
  flick_cdr_swap_decode_char8(10, _data->f.b.a, CORBA::Char );
  flick_cdr_swap_decode_char8(11, _data->f.b.b, CORBA::Char );
  flick_cdr_swap_decode_char8(12, _data->f.b.c, CORBA::Char );
  flick_cdr_swap_decode_char8(13, _data->f.b.d, CORBA::Char );
  flick_cdr_swap_decode_unsigned32(16, _data->f.b.e._length, CORBA::ULong );
  flick_iiopxx_decode_end_chunk(20);
  flick_iiopxx_decode_end_glob(28);
  {
    struct ::ta::td *_t_alloc_ptr;

    _t_alloc_ptr = (struct ::ta::td *)new (struct ::ta::td [_data->f.b.e._length]);
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort123);
    _data->f.b.e._buffer = _t_alloc_ptr;
    _data->f.b.e._maximum = _data->f.b.e._length;
    _data->f.b.e._release = 1;
  }
  for (_t32_array_iter = 0; _t32_array_iter < _data->f.b.e._length; _t32_array_iter++)
    {
      if (flick_unmarshal_stub_ta_td_swap(_stream, _data->f.b.e._buffer + _t32_array_iter))
        goto _flick_abort151;
      continue;
      {
      _flick_abort151:
        goto _flick_abort123;
      }
    }
  return 0;
  {
  _flick_abort123:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_tb(flick_marshal_stream_t _stream, const struct tb *_data)
{
  CORBA::ULong _t33_array_iter;
  CORBA::ULong _t37_array_iter;
  CORBA::ULong _t40_array_iter;

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(44, _flick_abort153);
  flick_iiopxx_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->a.a, CORBA::Long );
  flick_iiopxx_encode_end_chunk(4);
  flick_iiopxx_encode_new_chunk_align(36, 3, 2, 0);
  flick_cdr_encode_float64(0, _data->a.b, CORBA::Double );
  flick_cdr_encode_signed16(8, _data->a.c, CORBA::Short );
  flick_cdr_encode_signed32(12, _data->b.a.a, CORBA::Long );
  flick_cdr_encode_float64(16, _data->b.a.b, CORBA::Double );
  flick_cdr_encode_signed16(24, _data->b.a.c, CORBA::Short );
  flick_cdr_encode_char8(26, _data->b.b.a, CORBA::Char );
  flick_cdr_encode_char8(27, _data->b.b.b, CORBA::Char );
  flick_cdr_encode_char8(28, _data->b.b.c, CORBA::Char );
  flick_cdr_encode_char8(29, _data->b.b.d, CORBA::Char );
  flick_cdr_encode_unsigned32(32, _data->b.b.e._length, CORBA::ULong );
  flick_iiopxx_encode_end_chunk(36);
  flick_iiopxx_encode_end_glob(44);
  for (_t33_array_iter = 0; _t33_array_iter < _data->b.b.e._length; _t33_array_iter++)
    {
      if (flick_marshal_stub_ta_td(_stream, _data->b.b.e._buffer + _t33_array_iter))
        goto _flick_abort157;
      continue;
      {
      _flick_abort157:
        goto _flick_abort153;
      }
    }
  flick_iiopxx_encode_new_glob(4, _flick_abort153);
  flick_iiopxx_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->c._length, CORBA::ULong );
  flick_iiopxx_encode_end_chunk(4);
  flick_iiopxx_encode_end_glob(4);
  for (_t37_array_iter = 0; _t37_array_iter < _data->c._length; _t37_array_iter++)
    {
      CORBA::ULong _t39_array_iter;

      flick_iiopxx_encode_new_glob(28, _flick_abort177);
      flick_iiopxx_encode_new_chunk(4);
      flick_cdr_encode_signed32(0, _data->c._buffer[_t37_array_iter].a.a, CORBA::Long );
      flick_iiopxx_encode_end_chunk(4);
      flick_iiopxx_encode_new_chunk_align(20, 3, 2, 0);
      flick_cdr_encode_float64(0, _data->c._buffer[_t37_array_iter].a.b, CORBA::Double );
      flick_cdr_encode_signed16(8, _data->c._buffer[_t37_array_iter].a.c, CORBA::Short );
      flick_cdr_encode_char8(10, _data->c._buffer[_t37_array_iter].b.a, CORBA::Char );
      flick_cdr_encode_char8(11, _data->c._buffer[_t37_array_iter].b.b, CORBA::Char );
      flick_cdr_encode_char8(12, _data->c._buffer[_t37_array_iter].b.c, CORBA::Char );
      flick_cdr_encode_char8(13, _data->c._buffer[_t37_array_iter].b.d, CORBA::Char );
      flick_cdr_encode_unsigned32(16, _data->c._buffer[_t37_array_iter].b.e._length, CORBA::ULong );
      flick_iiopxx_encode_end_chunk(20);
      flick_iiopxx_encode_end_glob(28);
      for (_t39_array_iter = 0; _t39_array_iter < _data->c._buffer[_t37_array_iter].b.e._length; _t39_array_iter++)
        {
          if (flick_marshal_stub_ta_td(_stream, _data->c._buffer[_t37_array_iter].b.e._buffer + _t39_array_iter))
            goto _flick_abort187;
          continue;
          {
          _flick_abort187:
            goto _flick_abort177;
          }
        }
      continue;
      {
      _flick_abort177:
        goto _flick_abort153;
      }
    }
  flick_iiopxx_encode_new_glob(4, _flick_abort153);
  flick_iiopxx_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->d._length, CORBA::ULong );
  flick_iiopxx_encode_end_chunk(4);
  flick_iiopxx_encode_end_glob(4);
  for (_t40_array_iter = 0; _t40_array_iter < _data->d._length; _t40_array_iter++)
    {
      if (flick_marshal_stub_tb(_stream, _data->d._buffer + _t40_array_iter))
        goto _flick_abort192;
      continue;
      {
      _flick_abort192:
        goto _flick_abort153;
      }
    }
  return 0;
  {
  _flick_abort153:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_tb(flick_marshal_stream_t _stream, struct tb *_data)
{
  CORBA::ULong _t41_array_iter;
  CORBA::ULong _t45_array_iter;
  CORBA::ULong _t48_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(44);
  flick_iiopxx_check_span(4, _flick_abort194);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, _data->a.a, CORBA::Long );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_new_chunk_align(36, 3, 2, 0);
  flick_iiopxx_check_span(36, _flick_abort194);
  flick_cdr_decode_float64(0, _data->a.b, CORBA::Double );
  flick_cdr_decode_signed16(8, _data->a.c, CORBA::Short );
  flick_cdr_decode_signed32(12, _data->b.a.a, CORBA::Long );
  flick_cdr_decode_float64(16, _data->b.a.b, CORBA::Double );
  flick_cdr_decode_signed16(24, _data->b.a.c, CORBA::Short );
  flick_cdr_decode_char8(26, _data->b.b.a, CORBA::Char );
  flick_cdr_decode_char8(27, _data->b.b.b, CORBA::Char );
  flick_cdr_decode_char8(28, _data->b.b.c, CORBA::Char );
  flick_cdr_decode_char8(29, _data->b.b.d, CORBA::Char );
  flick_cdr_decode_unsigned32(32, _data->b.b.e._length, CORBA::ULong );
  flick_iiopxx_decode_end_chunk(36);
  flick_iiopxx_decode_end_glob(44);
  {
    struct ::ta::td *_t_alloc_ptr;

    _t_alloc_ptr = (struct ::ta::td *)new (struct ::ta::td [_data->b.b.e._length]);
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort194);
    _data->b.b.e._buffer = _t_alloc_ptr;
    _data->b.b.e._maximum = _data->b.b.e._length;
    _data->b.b.e._release = 1;
  }
  for (_t41_array_iter = 0; _t41_array_iter < _data->b.b.e._length; _t41_array_iter++)
    {
      if (flick_unmarshal_stub_ta_td(_stream, _data->b.b.e._buffer + _t41_array_iter))
        goto _flick_abort198;
      continue;
      {
      _flick_abort198:
        goto _flick_abort194;
      }
    }
  flick_iiopxx_decode_new_glob(4);
  flick_iiopxx_check_span(4, _flick_abort194);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->c._length, CORBA::ULong );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_end_glob(4);
  {
    struct ::ta::td *_t_alloc_ptr;

    _t_alloc_ptr = (struct ::ta::td *)new (struct ::ta::td [_data->c._length]);
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort194);
    _data->c._buffer = _t_alloc_ptr;
    _data->c._maximum = _data->c._length;
    _data->c._release = 1;
  }
  for (_t45_array_iter = 0; _t45_array_iter < _data->c._length; _t45_array_iter++)
    {
      CORBA::ULong _t47_array_iter;

      flick_iiopxx_decode_new_glob(28);
      flick_iiopxx_check_span(4, _flick_abort218);
      flick_iiopxx_decode_new_chunk(4);
      flick_cdr_decode_signed32(0, _data->c._buffer[_t45_array_iter].a.a, CORBA::Long );
      flick_iiopxx_decode_end_chunk(4);
      flick_iiopxx_decode_new_chunk_align(20, 3, 2, 0);
      flick_iiopxx_check_span(20, _flick_abort218);
      flick_cdr_decode_float64(0, _data->c._buffer[_t45_array_iter].a.b, CORBA::Double );
      flick_cdr_decode_signed16(8, _data->c._buffer[_t45_array_iter].a.c, CORBA::Short );
      flick_cdr_decode_char8(10, _data->c._buffer[_t45_array_iter].b.a, CORBA::Char );
      flick_cdr_decode_char8(11, _data->c._buffer[_t45_array_iter].b.b, CORBA::Char );
      flick_cdr_decode_char8(12, _data->c._buffer[_t45_array_iter].b.c, CORBA::Char );
      flick_cdr_decode_char8(13, _data->c._buffer[_t45_array_iter].b.d, CORBA::Char );
      flick_cdr_decode_unsigned32(16, _data->c._buffer[_t45_array_iter].b.e._length, CORBA::ULong );
      flick_iiopxx_decode_end_chunk(20);
      flick_iiopxx_decode_end_glob(28);
      {
        struct ::ta::td *_t_alloc_ptr;

        _t_alloc_ptr = (struct ::ta::td *)new (struct ::ta::td [_data->c._buffer[_t45_array_iter].b.e._length]);
        if (!_t_alloc_ptr)
          flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort218);
        _data->c._buffer[_t45_array_iter].b.e._buffer = _t_alloc_ptr;
        _data->c._buffer[_t45_array_iter].b.e._maximum = _data->c._buffer[_t45_array_iter].b.e._length;
        _data->c._buffer[_t45_array_iter].b.e._release = 1;
      }
      for (_t47_array_iter = 0; _t47_array_iter < _data->c._buffer[_t45_array_iter].b.e._length; _t47_array_iter++)
        {
          if (flick_unmarshal_stub_ta_td(_stream, _data->c._buffer[_t45_array_iter].b.e._buffer + _t47_array_iter))
            goto _flick_abort228;
          continue;
          {
          _flick_abort228:
            goto _flick_abort218;
          }
        }
      continue;
      {
      _flick_abort218:
        goto _flick_abort194;
      }
    }
  flick_iiopxx_decode_new_glob(4);
  flick_iiopxx_check_span(4, _flick_abort194);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->d._length, CORBA::ULong );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_end_glob(4);
  {
    struct tb *_t_alloc_ptr;

    _t_alloc_ptr = (struct tb *)new (struct tb [_data->d._length]);
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort194);
    _data->d._buffer = _t_alloc_ptr;
    _data->d._maximum = _data->d._length;
    _data->d._release = 1;
  }
  for (_t48_array_iter = 0; _t48_array_iter < _data->d._length; _t48_array_iter++)
    {
      if (flick_unmarshal_stub_tb(_stream, _data->d._buffer + _t48_array_iter))
        goto _flick_abort233;
      continue;
      {
      _flick_abort233:
        goto _flick_abort194;
      }
    }
  return 0;
  {
  _flick_abort194:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_tb_swap(flick_marshal_stream_t _stream, struct tb *_data)
{
  CORBA::ULong _t49_array_iter;
  CORBA::ULong _t53_array_iter;
  CORBA::ULong _t56_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(44);
  flick_iiopxx_check_span(4, _flick_abort235);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, _data->a.a, CORBA::Long );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_new_chunk_align(36, 3, 2, 0);
  flick_iiopxx_check_span(36, _flick_abort235);
  flick_cdr_swap_decode_float64(0, _data->a.b, CORBA::Double );
  flick_cdr_swap_decode_signed16(8, _data->a.c, CORBA::Short );
  flick_cdr_swap_decode_signed32(12, _data->b.a.a, CORBA::Long );
  flick_cdr_swap_decode_float64(16, _data->b.a.b, CORBA::Double );
  flick_cdr_swap_decode_signed16(24, _data->b.a.c, CORBA::Short );
  flick_cdr_swap_decode_char8(26, _data->b.b.a, CORBA::Char );
  flick_cdr_swap_decode_char8(27, _data->b.b.b, CORBA::Char );
  flick_cdr_swap_decode_char8(28, _data->b.b.c, CORBA::Char );
  flick_cdr_swap_decode_char8(29, _data->b.b.d, CORBA::Char );
  flick_cdr_swap_decode_unsigned32(32, _data->b.b.e._length, CORBA::ULong );
  flick_iiopxx_decode_end_chunk(36);
  flick_iiopxx_decode_end_glob(44);
  {
    struct ::ta::td *_t_alloc_ptr;

    _t_alloc_ptr = (struct ::ta::td *)new (struct ::ta::td [_data->b.b.e._length]);
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort235);
    _data->b.b.e._buffer = _t_alloc_ptr;
    _data->b.b.e._maximum = _data->b.b.e._length;
    _data->b.b.e._release = 1;
  }
  for (_t49_array_iter = 0; _t49_array_iter < _data->b.b.e._length; _t49_array_iter++)
    {
      if (flick_unmarshal_stub_ta_td_swap(_stream, _data->b.b.e._buffer + _t49_array_iter))
        goto _flick_abort239;
      continue;
      {
      _flick_abort239:
        goto _flick_abort235;
      }
    }
  flick_iiopxx_decode_new_glob(4);
  flick_iiopxx_check_span(4, _flick_abort235);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->c._length, CORBA::ULong );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_end_glob(4);
  {
    struct ::ta::td *_t_alloc_ptr;

    _t_alloc_ptr = (struct ::ta::td *)new (struct ::ta::td [_data->c._length]);
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort235);
    _data->c._buffer = _t_alloc_ptr;
    _data->c._maximum = _data->c._length;
    _data->c._release = 1;
  }
  for (_t53_array_iter = 0; _t53_array_iter < _data->c._length; _t53_array_iter++)
    {
      CORBA::ULong _t55_array_iter;

      flick_iiopxx_decode_new_glob(28);
      flick_iiopxx_check_span(4, _flick_abort259);
      flick_iiopxx_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->c._buffer[_t53_array_iter].a.a, CORBA::Long );
      flick_iiopxx_decode_end_chunk(4);
      flick_iiopxx_decode_new_chunk_align(20, 3, 2, 0);
      flick_iiopxx_check_span(20, _flick_abort259);
      flick_cdr_swap_decode_float64(0, _data->c._buffer[_t53_array_iter].a.b, CORBA::Double );
      flick_cdr_swap_decode_signed16(8, _data->c._buffer[_t53_array_iter].a.c, CORBA::Short );
      flick_cdr_swap_decode_char8(10, _data->c._buffer[_t53_array_iter].b.a, CORBA::Char );
      flick_cdr_swap_decode_char8(11, _data->c._buffer[_t53_array_iter].b.b, CORBA::Char );
      flick_cdr_swap_decode_char8(12, _data->c._buffer[_t53_array_iter].b.c, CORBA::Char );
      flick_cdr_swap_decode_char8(13, _data->c._buffer[_t53_array_iter].b.d, CORBA::Char );
      flick_cdr_swap_decode_unsigned32(16, _data->c._buffer[_t53_array_iter].b.e._length, CORBA::ULong );
      flick_iiopxx_decode_end_chunk(20);
      flick_iiopxx_decode_end_glob(28);
      {
        struct ::ta::td *_t_alloc_ptr;

        _t_alloc_ptr = (struct ::ta::td *)new (struct ::ta::td [_data->c._buffer[_t53_array_iter].b.e._length]);
        if (!_t_alloc_ptr)
          flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort259);
        _data->c._buffer[_t53_array_iter].b.e._buffer = _t_alloc_ptr;
        _data->c._buffer[_t53_array_iter].b.e._maximum = _data->c._buffer[_t53_array_iter].b.e._length;
        _data->c._buffer[_t53_array_iter].b.e._release = 1;
      }
      for (_t55_array_iter = 0; _t55_array_iter < _data->c._buffer[_t53_array_iter].b.e._length; _t55_array_iter++)
        {
          if (flick_unmarshal_stub_ta_td_swap(_stream, _data->c._buffer[_t53_array_iter].b.e._buffer + _t55_array_iter))
            goto _flick_abort269;
          continue;
          {
          _flick_abort269:
            goto _flick_abort259;
          }
        }
      continue;
      {
      _flick_abort259:
        goto _flick_abort235;
      }
    }
  flick_iiopxx_decode_new_glob(4);
  flick_iiopxx_check_span(4, _flick_abort235);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->d._length, CORBA::ULong );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_end_glob(4);
  {
    struct tb *_t_alloc_ptr;

    _t_alloc_ptr = (struct tb *)new (struct tb [_data->d._length]);
    if (!_t_alloc_ptr)
      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort235);
    _data->d._buffer = _t_alloc_ptr;
    _data->d._maximum = _data->d._length;
    _data->d._release = 1;
  }
  for (_t56_array_iter = 0; _t56_array_iter < _data->d._length; _t56_array_iter++)
    {
      if (flick_unmarshal_stub_tb_swap(_stream, _data->d._buffer + _t56_array_iter))
        goto _flick_abort274;
      continue;
      {
      _flick_abort274:
        goto _flick_abort235;
      }
    }
  return 0;
  {
  _flick_abort235:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_tc(flick_marshal_stream_t _stream, const enum tc *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(4, _flick_abort276);
  flick_iiopxx_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, *_data, const enum tc );
  flick_iiopxx_encode_end_chunk(4);
  flick_iiopxx_encode_end_glob(4);
  return 0;
  {
  _flick_abort276:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_tc(flick_marshal_stream_t _stream, enum tc *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(4);
  flick_iiopxx_check_span(4, _flick_abort277);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, *_data, enum tc );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_end_glob(4);
  return 0;
  {
  _flick_abort277:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_tc_swap(flick_marshal_stream_t _stream, enum tc *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(4);
  flick_iiopxx_check_span(4, _flick_abort278);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, *_data, enum tc );
  flick_iiopxx_decode_end_chunk(4);
  flick_iiopxx_decode_end_glob(4);
  return 0;
  {
  _flick_abort278:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_td_te_tu(flick_marshal_stream_t _stream, const ::td::te::tu *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(8, _flick_abort279);
  flick_iiopxx_encode_new_chunk(1);
  flick_cdr_encode_unsigned8(0, _data->disc_, CORBA::Boolean );
  flick_iiopxx_encode_end_chunk(1);
  switch (_data->disc_)
    {
    case 1:
      {
        CORBA::ULong _t442_array_iter;

        flick_iiopxx_encode_new_chunk(7);
        flick_cdr_encode_unsigned32(3, _data->_u.next->_length, CORBA::ULong );
        flick_iiopxx_encode_end_chunk(7);
        flick_iiopxx_encode_end_glob(8);
        if (_data->_u.next->_length > 1)
          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1659);
        for (_t442_array_iter = 0; _t442_array_iter < _data->_u.next->_length; _t442_array_iter++)
          {
            flick_iiopxx_encode_new_glob(55, _flick_abort2348);
            flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
            flick_cdr_encode_signed32(0, _data->_u.next->_buffer[_t442_array_iter].disc_, CORBA::Long );
            flick_iiopxx_encode_end_chunk(4);
            switch (_data->_u.next->_buffer[_t442_array_iter].disc_)
              {
              case 1:
                {
                  flick_unsigned32_t _t539_temp_string_len;
                  CORBA::ULong _t540_array_iter;
                  CORBA::ULong _t541_array_iter;
                  CORBA::ULong _t542_array_iter;
                  flick_unsigned32_t _t543_temp_string_len;
                  CORBA::ULong _t544_array_iter;
                  CORBA::ULong _t545_array_iter;

                  flick_cdr_stringlen(CORBA::Char *, _data->_u.next->_buffer[_t442_array_iter]._u.one->b.b, flick_unsigned32_t , _t539_temp_string_len);
                  flick_cdr_stringlen(CORBA::Char *, _data->_u.next->_buffer[_t442_array_iter]._u.one->e.b, flick_unsigned32_t , _t543_temp_string_len);

                  flick_iiopxx_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _data->_u.next->_buffer[_t442_array_iter]._u.one->a.a, CORBA::Long );
                  flick_iiopxx_encode_end_chunk(4);
                  flick_iiopxx_encode_new_chunk_align(16, 3, 2, 0);
                  flick_cdr_encode_float64(0, _data->_u.next->_buffer[_t442_array_iter]._u.one->a.b, CORBA::Double );
                  flick_cdr_encode_signed16(8, _data->_u.next->_buffer[_t442_array_iter]._u.one->a.c, CORBA::Short );
                  flick_cdr_encode_char8(10, _data->_u.next->_buffer[_t442_array_iter]._u.one->b.a, CORBA::Char );
                  flick_cdr_encode_unsigned32(12, _t539_temp_string_len, flick_unsigned32_t );
                  flick_iiopxx_encode_end_chunk(16);
                  flick_iiopxx_encode_end_glob(55);
                  flick_iiopxx_encode_new_glob(1 * _t539_temp_string_len, _flick_abort2865);
                  flick_iiopxx_encode_new_chunk(1 * _t539_temp_string_len);
                  flick_cdr_encode_bcopy(0, _data->_u.next->_buffer[_t442_array_iter]._u.one->b.b, 1 * _t539_temp_string_len);
                  flick_iiopxx_encode_end_chunk(1 * _t539_temp_string_len);
                  flick_iiopxx_encode_end_glob(1 * _t539_temp_string_len);
                  flick_iiopxx_encode_new_glob(7, _flick_abort2865);
                  flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                  flick_cdr_encode_unsigned32(0, _data->_u.next->_buffer[_t442_array_iter]._u.one->b.c._length, CORBA::ULong );
                  flick_iiopxx_encode_end_chunk(4);
                  flick_iiopxx_encode_end_glob(7);
                  for (_t540_array_iter = 0; _t540_array_iter < _data->_u.next->_buffer[_t442_array_iter]._u.one->b.c._length; _t540_array_iter++)
                    {
                      if (flick_marshal_stub_ta_tc(_stream, _data->_u.next->_buffer[_t442_array_iter]._u.one->b.c._buffer + _t540_array_iter))
                        goto _flick_abort2871;
                      continue;
                      {
                      _flick_abort2871:
                        goto _flick_abort2865;
                      }
                    }
                  flick_iiopxx_encode_new_glob(28, _flick_abort2865);
                  flick_iiopxx_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _data->_u.next->_buffer[_t442_array_iter]._u.one->c.a.a, CORBA::Long );
                  flick_iiopxx_encode_end_chunk(4);
                  flick_iiopxx_encode_new_chunk_align(20, 3, 2, 0);
                  flick_cdr_encode_float64(0, _data->_u.next->_buffer[_t442_array_iter]._u.one->c.a.b, CORBA::Double );
                  flick_cdr_encode_signed16(8, _data->_u.next->_buffer[_t442_array_iter]._u.one->c.a.c, CORBA::Short );
                  flick_cdr_encode_char8(10, _data->_u.next->_buffer[_t442_array_iter]._u.one->c.b.a, CORBA::Char );
                  flick_cdr_encode_char8(11, _data->_u.next->_buffer[_t442_array_iter]._u.one->c.b.b, CORBA::Char );
                  flick_cdr_encode_char8(12, _data->_u.next->_buffer[_t442_array_iter]._u.one->c.b.c, CORBA::Char );
                  flick_cdr_encode_char8(13, _data->_u.next->_buffer[_t442_array_iter]._u.one->c.b.d, CORBA::Char );
                  flick_cdr_encode_unsigned32(16, _data->_u.next->_buffer[_t442_array_iter]._u.one->c.b.e._length, CORBA::ULong );
                  flick_iiopxx_encode_end_chunk(20);
                  flick_iiopxx_encode_end_glob(28);
                  for (_t541_array_iter = 0; _t541_array_iter < _data->_u.next->_buffer[_t442_array_iter]._u.one->c.b.e._length; _t541_array_iter++)
                    {
                      if (flick_marshal_stub_ta_td(_stream, _data->_u.next->_buffer[_t442_array_iter]._u.one->c.b.e._buffer + _t541_array_iter))
                        goto _flick_abort2876;
                      continue;
                      {
                      _flick_abort2876:
                        goto _flick_abort2865;
                      }
                    }
                  flick_iiopxx_encode_new_glob(4, _flick_abort2865);
                  flick_iiopxx_encode_new_chunk(4);
                  flick_cdr_encode_unsigned32(0, _data->_u.next->_buffer[_t442_array_iter]._u.one->next._length, CORBA::ULong );
                  flick_iiopxx_encode_end_chunk(4);
                  flick_iiopxx_encode_end_glob(4);
                  for (_t542_array_iter = 0; _t542_array_iter < _data->_u.next->_buffer[_t442_array_iter]._u.one->next._length; _t542_array_iter++)
                    {
                      if (flick_marshal_stub_ta(_stream, _data->_u.next->_buffer[_t442_array_iter]._u.one->next._buffer + _t542_array_iter))
                        goto _flick_abort2881;
                      continue;
                      {
                      _flick_abort2881:
                        goto _flick_abort2865;
                      }
                    }
                  flick_iiopxx_encode_new_glob(24, _flick_abort2865);
                  flick_iiopxx_encode_new_chunk(24);
                  flick_cdr_encode_signed32(0, _data->_u.next->_buffer[_t442_array_iter]._u.one->d.a, CORBA::Long );
                  flick_cdr_encode_float64(8, _data->_u.next->_buffer[_t442_array_iter]._u.one->d.b, CORBA::Double );
                  flick_cdr_encode_signed16(16, _data->_u.next->_buffer[_t442_array_iter]._u.one->d.c, CORBA::Short );
                  flick_cdr_encode_char8(18, _data->_u.next->_buffer[_t442_array_iter]._u.one->e.a, CORBA::Char );
                  flick_cdr_encode_unsigned32(20, _t543_temp_string_len, flick_unsigned32_t );
                  flick_iiopxx_encode_end_chunk(24);
                  flick_iiopxx_encode_end_glob(24);
                  flick_iiopxx_encode_new_glob(1 * _t543_temp_string_len, _flick_abort2865);
                  flick_iiopxx_encode_new_chunk(1 * _t543_temp_string_len);
                  flick_cdr_encode_bcopy(0, _data->_u.next->_buffer[_t442_array_iter]._u.one->e.b, 1 * _t543_temp_string_len);
                  flick_iiopxx_encode_end_chunk(1 * _t543_temp_string_len);
                  flick_iiopxx_encode_end_glob(1 * _t543_temp_string_len);
                  flick_iiopxx_encode_new_glob(7, _flick_abort2865);
                  flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                  flick_cdr_encode_unsigned32(0, _data->_u.next->_buffer[_t442_array_iter]._u.one->e.c._length, CORBA::ULong );
                  flick_iiopxx_encode_end_chunk(4);
                  flick_iiopxx_encode_end_glob(7);
                  for (_t544_array_iter = 0; _t544_array_iter < _data->_u.next->_buffer[_t442_array_iter]._u.one->e.c._length; _t544_array_iter++)
                    {
                      if (flick_marshal_stub_ta_tc(_stream, _data->_u.next->_buffer[_t442_array_iter]._u.one->e.c._buffer + _t544_array_iter))
                        goto _flick_abort2888;
                      continue;
                      {
                      _flick_abort2888:
                        goto _flick_abort2865;
                      }
                    }
                  flick_iiopxx_encode_new_glob(28, _flick_abort2865);
                  flick_iiopxx_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _data->_u.next->_buffer[_t442_array_iter]._u.one->f.a.a, CORBA::Long );
                  flick_iiopxx_encode_end_chunk(4);
                  flick_iiopxx_encode_new_chunk_align(20, 3, 2, 0);
                  flick_cdr_encode_float64(0, _data->_u.next->_buffer[_t442_array_iter]._u.one->f.a.b, CORBA::Double );
                  flick_cdr_encode_signed16(8, _data->_u.next->_buffer[_t442_array_iter]._u.one->f.a.c, CORBA::Short );
                  flick_cdr_encode_char8(10, _data->_u.next->_buffer[_t442_array_iter]._u.one->f.b.a, CORBA::Char );
                  flick_cdr_encode_char8(11, _data->_u.next->_buffer[_t442_array_iter]._u.one->f.b.b, CORBA::Char );
                  flick_cdr_encode_char8(12, _data->_u.next->_buffer[_t442_array_iter]._u.one->f.b.c, CORBA::Char );
                  flick_cdr_encode_char8(13, _data->_u.next->_buffer[_t442_array_iter]._u.one->f.b.d, CORBA::Char );
                  flick_cdr_encode_unsigned32(16, _data->_u.next->_buffer[_t442_array_iter]._u.one->f.b.e._length, CORBA::ULong );
                  flick_iiopxx_encode_end_chunk(20);
                  flick_iiopxx_encode_end_glob(28);
                  for (_t545_array_iter = 0; _t545_array_iter < _data->_u.next->_buffer[_t442_array_iter]._u.one->f.b.e._length; _t545_array_iter++)
                    {
                      if (flick_marshal_stub_ta_td(_stream, _data->_u.next->_buffer[_t442_array_iter]._u.one->f.b.e._buffer + _t545_array_iter))
                        goto _flick_abort2893;
                      continue;
                      {
                      _flick_abort2893:
                        goto _flick_abort2865;
                      }
                    }
                  break;
                  {
                  _flick_abort2865:
                    goto _flick_abort2348;
                  }
                }
              case 2:
                {
                  CORBA::ULong _t546_array_iter;
                  CORBA::ULong _t550_array_iter;
                  CORBA::ULong _t553_array_iter;

                  flick_iiopxx_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _data->_u.next->_buffer[_t442_array_iter]._u.two->a.a, CORBA::Long );
                  flick_iiopxx_encode_end_chunk(4);
                  flick_iiopxx_encode_new_chunk_align(36, 3, 2, 0);
                  flick_cdr_encode_float64(0, _data->_u.next->_buffer[_t442_array_iter]._u.two->a.b, CORBA::Double );
                  flick_cdr_encode_signed16(8, _data->_u.next->_buffer[_t442_array_iter]._u.two->a.c, CORBA::Short );
                  flick_cdr_encode_signed32(12, _data->_u.next->_buffer[_t442_array_iter]._u.two->b.a.a, CORBA::Long );
                  flick_cdr_encode_float64(16, _data->_u.next->_buffer[_t442_array_iter]._u.two->b.a.b, CORBA::Double );
                  flick_cdr_encode_signed16(24, _data->_u.next->_buffer[_t442_array_iter]._u.two->b.a.c, CORBA::Short );
                  flick_cdr_encode_char8(26, _data->_u.next->_buffer[_t442_array_iter]._u.two->b.b.a, CORBA::Char );
                  flick_cdr_encode_char8(27, _data->_u.next->_buffer[_t442_array_iter]._u.two->b.b.b, CORBA::Char );
                  flick_cdr_encode_char8(28, _data->_u.next->_buffer[_t442_array_iter]._u.two->b.b.c, CORBA::Char );
                  flick_cdr_encode_char8(29, _data->_u.next->_buffer[_t442_array_iter]._u.two->b.b.d, CORBA::Char );
                  flick_cdr_encode_unsigned32(32, _data->_u.next->_buffer[_t442_array_iter]._u.two->b.b.e._length, CORBA::ULong );
                  flick_iiopxx_encode_end_chunk(36);
                  flick_iiopxx_encode_end_glob(55);
                  for (_t546_array_iter = 0; _t546_array_iter < _data->_u.next->_buffer[_t442_array_iter]._u.two->b.b.e._length; _t546_array_iter++)
                    {
                      if (flick_marshal_stub_ta_td(_stream, _data->_u.next->_buffer[_t442_array_iter]._u.two->b.b.e._buffer + _t546_array_iter))
                        goto _flick_abort2899;
                      continue;
                      {
                      _flick_abort2899:
                        goto _flick_abort2895;
                      }
                    }
                  flick_iiopxx_encode_new_glob(4, _flick_abort2895);
                  flick_iiopxx_encode_new_chunk(4);
                  flick_cdr_encode_unsigned32(0, _data->_u.next->_buffer[_t442_array_iter]._u.two->c._length, CORBA::ULong );
                  flick_iiopxx_encode_end_chunk(4);
                  flick_iiopxx_encode_end_glob(4);
                  for (_t550_array_iter = 0; _t550_array_iter < _data->_u.next->_buffer[_t442_array_iter]._u.two->c._length; _t550_array_iter++)
                    {
                      CORBA::ULong _t552_array_iter;

                      flick_iiopxx_encode_new_glob(28, _flick_abort2919);
                      flick_iiopxx_encode_new_chunk(4);
                      flick_cdr_encode_signed32(0, _data->_u.next->_buffer[_t442_array_iter]._u.two->c._buffer[_t550_array_iter].a.a, CORBA::Long );
                      flick_iiopxx_encode_end_chunk(4);
                      flick_iiopxx_encode_new_chunk_align(20, 3, 2, 0);
                      flick_cdr_encode_float64(0, _data->_u.next->_buffer[_t442_array_iter]._u.two->c._buffer[_t550_array_iter].a.b, CORBA::Double );
                      flick_cdr_encode_signed16(8, _data->_u.next->_buffer[_t442_array_iter]._u.two->c._buffer[_t550_array_iter].a.c, CORBA::Short );
                      flick_cdr_encode_char8(10, _data->_u.next->_buffer[_t442_array_iter]._u.two->c._buffer[_t550_array_iter].b.a, CORBA::Char );
                      flick_cdr_encode_char8(11, _data->_u.next->_buffer[_t442_array_iter]._u.two->c._buffer[_t550_array_iter].b.b, CORBA::Char );
                      flick_cdr_encode_char8(12, _data->_u.next->_buffer[_t442_array_iter]._u.two->c._buffer[_t550_array_iter].b.c, CORBA::Char );
                      flick_cdr_encode_char8(13, _data->_u.next->_buffer[_t442_array_iter]._u.two->c._buffer[_t550_array_iter].b.d, CORBA::Char );
                      flick_cdr_encode_unsigned32(16, _data->_u.next->_buffer[_t442_array_iter]._u.two->c._buffer[_t550_array_iter].b.e._length, CORBA::ULong );
                      flick_iiopxx_encode_end_chunk(20);
                      flick_iiopxx_encode_end_glob(28);
                      for (_t552_array_iter = 0; _t552_array_iter < _data->_u.next->_buffer[_t442_array_iter]._u.two->c._buffer[_t550_array_iter].b.e._length; _t552_array_iter++)
                        {
                          if (flick_marshal_stub_ta_td(_stream, _data->_u.next->_buffer[_t442_array_iter]._u.two->c._buffer[_t550_array_iter].b.e._buffer + _t552_array_iter))
                            goto _flick_abort2929;
                          continue;
                          {
                          _flick_abort2929:
                            goto _flick_abort2919;
                          }
                        }
                      continue;
                      {
                      _flick_abort2919:
                        goto _flick_abort2895;
                      }
                    }
                  flick_iiopxx_encode_new_glob(4, _flick_abort2895);
                  flick_iiopxx_encode_new_chunk(4);
                  flick_cdr_encode_unsigned32(0, _data->_u.next->_buffer[_t442_array_iter]._u.two->d._length, CORBA::ULong );
                  flick_iiopxx_encode_end_chunk(4);
                  flick_iiopxx_encode_end_glob(4);
                  for (_t553_array_iter = 0; _t553_array_iter < _data->_u.next->_buffer[_t442_array_iter]._u.two->d._length; _t553_array_iter++)
                    {
                      if (flick_marshal_stub_tb(_stream, _data->_u.next->_buffer[_t442_array_iter]._u.two->d._buffer + _t553_array_iter))
                        goto _flick_abort2934;
                      continue;
                      {
                      _flick_abort2934:
                        goto _flick_abort2895;
                      }
                    }
                  break;
                  {
                  _flick_abort2895:
                    goto _flick_abort2348;
                  }
                }
              case 3:
                {
                  flick_iiopxx_encode_new_chunk(4);
                  flick_cdr_encode_unsigned32(0, _data->_u.next->_buffer[_t442_array_iter]._u.three->disc_, enum tc );
                  flick_iiopxx_encode_end_chunk(4);
                  switch (_data->_u.next->_buffer[_t442_array_iter]._u.three->disc_)
                    {
                    case 0:
                      {
                        flick_iiopxx_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _data->_u.next->_buffer[_t442_array_iter]._u.three->_u.x, CORBA::Long );
                        flick_iiopxx_encode_end_chunk(4);
                        flick_iiopxx_encode_end_glob(55);
                        break;
                      }
                    case 1:
                      {
                        flick_iiopxx_encode_new_chunk_align(8, 3, 2, 0);
                        flick_cdr_encode_float64(0, _data->_u.next->_buffer[_t442_array_iter]._u.three->_u.y, CORBA::Double );
                        flick_iiopxx_encode_end_chunk(8);
                        flick_iiopxx_encode_end_glob(55);
                        break;
                      }
                    case 2:
                      {
                        flick_iiopxx_encode_new_chunk(1);
                        flick_cdr_encode_unsigned8(0, _data->_u.next->_buffer[_t442_array_iter]._u.three->_u.z, CORBA::Boolean );
                        flick_iiopxx_encode_end_chunk(1);
                        flick_iiopxx_encode_end_glob(55);
                        break;
                      }
                    case 3:
                      {
                        CORBA::ULong _t562_array_iter;
                        CORBA::ULong _t566_array_iter;
                        CORBA::ULong _t569_array_iter;

                        flick_iiopxx_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _data->_u.next->_buffer[_t442_array_iter]._u.three->_u.s->a.a, CORBA::Long );
                        flick_iiopxx_encode_end_chunk(4);
                        flick_iiopxx_encode_new_chunk_align(36, 3, 2, 0);
                        flick_cdr_encode_float64(0, _data->_u.next->_buffer[_t442_array_iter]._u.three->_u.s->a.b, CORBA::Double );
                        flick_cdr_encode_signed16(8, _data->_u.next->_buffer[_t442_array_iter]._u.three->_u.s->a.c, CORBA::Short );
                        flick_cdr_encode_signed32(12, _data->_u.next->_buffer[_t442_array_iter]._u.three->_u.s->b.a.a, CORBA::Long );
                        flick_cdr_encode_float64(16, _data->_u.next->_buffer[_t442_array_iter]._u.three->_u.s->b.a.b, CORBA::Double );
                        flick_cdr_encode_signed16(24, _data->_u.next->_buffer[_t442_array_iter]._u.three->_u.s->b.a.c, CORBA::Short );
                        flick_cdr_encode_char8(26, _data->_u.next->_buffer[_t442_array_iter]._u.three->_u.s->b.b.a, CORBA::Char );
                        flick_cdr_encode_char8(27, _data->_u.next->_buffer[_t442_array_iter]._u.three->_u.s->b.b.b, CORBA::Char );
                        flick_cdr_encode_char8(28, _data->_u.next->_buffer[_t442_array_iter]._u.three->_u.s->b.b.c, CORBA::Char );
                        flick_cdr_encode_char8(29, _data->_u.next->_buffer[_t442_array_iter]._u.three->_u.s->b.b.d, CORBA::Char );
                        flick_cdr_encode_unsigned32(32, _data->_u.next->_buffer[_t442_array_iter]._u.three->_u.s->b.b.e._length, CORBA::ULong );
                        flick_iiopxx_encode_end_chunk(36);
                        flick_iiopxx_encode_end_glob(55);
                        for (_t562_array_iter = 0; _t562_array_iter < _data->_u.next->_buffer[_t442_array_iter]._u.three->_u.s->b.b.e._length; _t562_array_iter++)
                          {
                            if (flick_marshal_stub_ta_td(_stream, _data->_u.next->_buffer[_t442_array_iter]._u.three->_u.s->b.b.e._buffer + _t562_array_iter))
                              goto _flick_abort2991;
                            continue;
                            {
                            _flick_abort2991:
                              goto _flick_abort2987;
                            }
                          }
                        flick_iiopxx_encode_new_glob(4, _flick_abort2987);
                        flick_iiopxx_encode_new_chunk(4);
                        flick_cdr_encode_unsigned32(0, _data->_u.next->_buffer[_t442_array_iter]._u.three->_u.s->c._length, CORBA::ULong );
                        flick_iiopxx_encode_end_chunk(4);
                        flick_iiopxx_encode_end_glob(4);
                        for (_t566_array_iter = 0; _t566_array_iter < _data->_u.next->_buffer[_t442_array_iter]._u.three->_u.s->c._length; _t566_array_iter++)
                          {
                            CORBA::ULong _t568_array_iter;

                            flick_iiopxx_encode_new_glob(28, _flick_abort3011);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _data->_u.next->_buffer[_t442_array_iter]._u.three->_u.s->c._buffer[_t566_array_iter].a.a, CORBA::Long );
                            flick_iiopxx_encode_end_chunk(4);
                            flick_iiopxx_encode_new_chunk_align(20, 3, 2, 0);
                            flick_cdr_encode_float64(0, _data->_u.next->_buffer[_t442_array_iter]._u.three->_u.s->c._buffer[_t566_array_iter].a.b, CORBA::Double );
                            flick_cdr_encode_signed16(8, _data->_u.next->_buffer[_t442_array_iter]._u.three->_u.s->c._buffer[_t566_array_iter].a.c, CORBA::Short );
                            flick_cdr_encode_char8(10, _data->_u.next->_buffer[_t442_array_iter]._u.three->_u.s->c._buffer[_t566_array_iter].b.a, CORBA::Char );
                            flick_cdr_encode_char8(11, _data->_u.next->_buffer[_t442_array_iter]._u.three->_u.s->c._buffer[_t566_array_iter].b.b, CORBA::Char );
                            flick_cdr_encode_char8(12, _data->_u.next->_buffer[_t442_array_iter]._u.three->_u.s->c._buffer[_t566_array_iter].b.c, CORBA::Char );
                            flick_cdr_encode_char8(13, _data->_u.next->_buffer[_t442_array_iter]._u.three->_u.s->c._buffer[_t566_array_iter].b.d, CORBA::Char );
                            flick_cdr_encode_unsigned32(16, _data->_u.next->_buffer[_t442_array_iter]._u.three->_u.s->c._buffer[_t566_array_iter].b.e._length, CORBA::ULong );
                            flick_iiopxx_encode_end_chunk(20);
                            flick_iiopxx_encode_end_glob(28);
                            for (_t568_array_iter = 0; _t568_array_iter < _data->_u.next->_buffer[_t442_array_iter]._u.three->_u.s->c._buffer[_t566_array_iter].b.e._length; _t568_array_iter++)
                              {
                                if (flick_marshal_stub_ta_td(_stream, _data->_u.next->_buffer[_t442_array_iter]._u.three->_u.s->c._buffer[_t566_array_iter].b.e._buffer + _t568_array_iter))
                                  goto _flick_abort3021;
                                continue;
                                {
                                _flick_abort3021:
                                  goto _flick_abort3011;
                                }
                              }
                            continue;
                            {
                            _flick_abort3011:
                              goto _flick_abort2987;
                            }
                          }
                        flick_iiopxx_encode_new_glob(4, _flick_abort2987);
                        flick_iiopxx_encode_new_chunk(4);
                        flick_cdr_encode_unsigned32(0, _data->_u.next->_buffer[_t442_array_iter]._u.three->_u.s->d._length, CORBA::ULong );
                        flick_iiopxx_encode_end_chunk(4);
                        flick_iiopxx_encode_end_glob(4);
                        for (_t569_array_iter = 0; _t569_array_iter < _data->_u.next->_buffer[_t442_array_iter]._u.three->_u.s->d._length; _t569_array_iter++)
                          {
                            if (flick_marshal_stub_tb(_stream, _data->_u.next->_buffer[_t442_array_iter]._u.three->_u.s->d._buffer + _t569_array_iter))
                              goto _flick_abort3026;
                            continue;
                            {
                            _flick_abort3026:
                              goto _flick_abort2987;
                            }
                          }
                        break;
                        {
                        _flick_abort2987:
                          goto _flick_abort2936;
                        }
                      }
                    case 4:
                      {
                        flick_iiopxx_encode_end_glob(55);
                        if (flick_marshal_stub_td_te_tu(_stream, _data->_u.next->_buffer[_t442_array_iter]._u.three->_u.u))
                          goto _flick_abort3028;
                        break;
                        {
                        _flick_abort3028:
                          goto _flick_abort2936;
                        }
                      }
                    default:
                      {
                        flick_iiopxx_encode_end_glob(55);
                        break;
                      }
                    }
                  break;
                  {
                  _flick_abort2936:
                    goto _flick_abort2348;
                  }
                }
              default:
                {
                  CORBA::ULong _t570_array_iter;

                  flick_iiopxx_encode_new_chunk(4);
                  flick_cdr_encode_unsigned32(0, _data->_u.next->_buffer[_t442_array_iter]._u.again->_length, CORBA::ULong );
                  flick_iiopxx_encode_end_chunk(4);
                  flick_iiopxx_encode_end_glob(55);
                  for (_t570_array_iter = 0; _t570_array_iter < _data->_u.next->_buffer[_t442_array_iter]._u.again->_length; _t570_array_iter++)
                    {
                      if (flick_marshal_stub_td(_stream, _data->_u.next->_buffer[_t442_array_iter]._u.again->_buffer + _t570_array_iter))
                        goto _flick_abort3034;
                      continue;
                      {
                      _flick_abort3034:
                        goto _flick_abort3030;
                      }
                    }
                  break;
                  {
                  _flick_abort3030:
                    goto _flick_abort2348;
                  }
                }
              }
            continue;
            {
            _flick_abort2348:
              goto _flick_abort1659;
            }
          }
        break;
        {
        _flick_abort1659:
          goto _flick_abort279;
        }
      }
    default:
      {
        flick_iiopxx_encode_end_glob(8);
        break;
      }
    }
  return 0;
  {
  _flick_abort279:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_td_te_tu(flick_marshal_stream_t _stream, ::td::te::tu *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(8);
  flick_iiopxx_check_span(8, _flick_abort3037);
  flick_iiopxx_decode_new_chunk(1);
  flick_cdr_decode_unsigned8(0, _data->disc_, CORBA::Boolean );
  flick_iiopxx_decode_end_chunk(1);
  switch (_data->disc_)
    {
    case 1:
      {
        CORBA::ULong _t956_array_iter;

        {
          ::td::te::tu::flick_sequence_td_bounded_1 *_t_alloc_ptr;

          _t_alloc_ptr = (::td::te::tu::flick_sequence_td_bounded_1 *)new ::td::te::tu::flick_sequence_td_bounded_1 ;
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort4417);
          _data->_u.next = _t_alloc_ptr;
        }
        flick_iiopxx_decode_new_chunk(7);
        flick_cdr_decode_unsigned32(3, _data->_u.next->_length, CORBA::ULong );
        flick_iiopxx_decode_end_chunk(7);
        flick_iiopxx_decode_end_glob(8);
        if (_data->_u.next->_length > 1)
          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort4417);
        {
          td *_t_alloc_ptr;

          _t_alloc_ptr = (td *)new td ;
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort4417);
          _data->_u.next->_buffer = _t_alloc_ptr;
          _data->_u.next->_maximum = 1;
          _data->_u.next->_release = 1;
        }
        for (_t956_array_iter = 0; _t956_array_iter < _data->_u.next->_length; _t956_array_iter++)
          {
            flick_iiopxx_decode_new_glob(55);
            flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiopxx_check_span(8, _flick_abort5106);
            flick_cdr_decode_signed32(0, _data->_u.next->_buffer[_t956_array_iter].disc_, CORBA::Long );
            flick_iiopxx_decode_end_chunk(4);
            switch (_data->_u.next->_buffer[_t956_array_iter].disc_)
              {
              case 1:
                {
                  flick_unsigned32_t _t1053_temp_string_len;
                  CORBA::ULong _t1054_array_iter;
                  CORBA::ULong _t1055_array_iter;
                  CORBA::ULong _t1056_array_iter;
                  flick_unsigned32_t _t1057_temp_string_len;
                  CORBA::ULong _t1058_array_iter;
                  CORBA::ULong _t1059_array_iter;

                  {
                    struct ta *_t_alloc_ptr;

                    _t_alloc_ptr = (struct ta *)new (struct ta );
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort5623);
                    _data->_u.next->_buffer[_t956_array_iter]._u.one = _t_alloc_ptr;
                  }
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_signed32(0, _data->_u.next->_buffer[_t956_array_iter]._u.one->a.a, CORBA::Long );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_new_chunk_align(16, 3, 2, 0);
                  flick_iiopxx_check_span(16, _flick_abort5623);
                  flick_cdr_decode_float64(0, _data->_u.next->_buffer[_t956_array_iter]._u.one->a.b, CORBA::Double );
                  flick_cdr_decode_signed16(8, _data->_u.next->_buffer[_t956_array_iter]._u.one->a.c, CORBA::Short );
                  flick_cdr_decode_char8(10, _data->_u.next->_buffer[_t956_array_iter]._u.one->b.a, CORBA::Char );
                  flick_cdr_decode_unsigned32(12, _t1053_temp_string_len, flick_unsigned32_t );
                  flick_iiopxx_decode_end_chunk(16);
                  flick_iiopxx_decode_end_glob(55);
                  flick_iiopxx_decode_new_glob(1 * _t1053_temp_string_len);
                  flick_iiopxx_check_span(1 * _t1053_temp_string_len, _flick_abort5623);
                  flick_iiopxx_decode_new_chunk(1 * _t1053_temp_string_len);
                  {
                    CORBA::Char *_t_alloc_ptr;

                    _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t1053_temp_string_len * sizeof(CORBA::Char )));
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort5623);
                    _data->_u.next->_buffer[_t956_array_iter]._u.one->b.b = _t_alloc_ptr;
                  }
                  flick_cdr_decode_bcopy(0, _data->_u.next->_buffer[_t956_array_iter]._u.one->b.b, 1 * _t1053_temp_string_len);
                  flick_iiopxx_decode_end_chunk(1 * _t1053_temp_string_len);
                  flick_iiopxx_decode_end_glob(1 * _t1053_temp_string_len);
                  flick_iiopxx_decode_new_glob(7);
                  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                  flick_iiopxx_check_span(4, _flick_abort5623);
                  flick_cdr_decode_unsigned32(0, _data->_u.next->_buffer[_t956_array_iter]._u.one->b.c._length, CORBA::ULong );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(7);
                  {
                    struct ::ta::tc *_t_alloc_ptr;

                    _t_alloc_ptr = (struct ::ta::tc *)new (struct ::ta::tc [_data->_u.next->_buffer[_t956_array_iter]._u.one->b.c._length]);
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort5623);
                    _data->_u.next->_buffer[_t956_array_iter]._u.one->b.c._buffer = _t_alloc_ptr;
                    _data->_u.next->_buffer[_t956_array_iter]._u.one->b.c._maximum = _data->_u.next->_buffer[_t956_array_iter]._u.one->b.c._length;
                    _data->_u.next->_buffer[_t956_array_iter]._u.one->b.c._release = 1;
                  }
                  for (_t1054_array_iter = 0; _t1054_array_iter < _data->_u.next->_buffer[_t956_array_iter]._u.one->b.c._length; _t1054_array_iter++)
                    {
                      if (flick_unmarshal_stub_ta_tc(_stream, _data->_u.next->_buffer[_t956_array_iter]._u.one->b.c._buffer + _t1054_array_iter))
                        goto _flick_abort5629;
                      continue;
                      {
                      _flick_abort5629:
                        goto _flick_abort5623;
                      }
                    }
                  flick_iiopxx_decode_new_glob(28);
                  flick_iiopxx_check_span(4, _flick_abort5623);
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_signed32(0, _data->_u.next->_buffer[_t956_array_iter]._u.one->c.a.a, CORBA::Long );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_new_chunk_align(20, 3, 2, 0);
                  flick_iiopxx_check_span(20, _flick_abort5623);
                  flick_cdr_decode_float64(0, _data->_u.next->_buffer[_t956_array_iter]._u.one->c.a.b, CORBA::Double );
                  flick_cdr_decode_signed16(8, _data->_u.next->_buffer[_t956_array_iter]._u.one->c.a.c, CORBA::Short );
                  flick_cdr_decode_char8(10, _data->_u.next->_buffer[_t956_array_iter]._u.one->c.b.a, CORBA::Char );
                  flick_cdr_decode_char8(11, _data->_u.next->_buffer[_t956_array_iter]._u.one->c.b.b, CORBA::Char );
                  flick_cdr_decode_char8(12, _data->_u.next->_buffer[_t956_array_iter]._u.one->c.b.c, CORBA::Char );
                  flick_cdr_decode_char8(13, _data->_u.next->_buffer[_t956_array_iter]._u.one->c.b.d, CORBA::Char );
                  flick_cdr_decode_unsigned32(16, _data->_u.next->_buffer[_t956_array_iter]._u.one->c.b.e._length, CORBA::ULong );
                  flick_iiopxx_decode_end_chunk(20);
                  flick_iiopxx_decode_end_glob(28);
                  {
                    struct ::ta::td *_t_alloc_ptr;

                    _t_alloc_ptr = (struct ::ta::td *)new (struct ::ta::td [_data->_u.next->_buffer[_t956_array_iter]._u.one->c.b.e._length]);
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort5623);
                    _data->_u.next->_buffer[_t956_array_iter]._u.one->c.b.e._buffer = _t_alloc_ptr;
                    _data->_u.next->_buffer[_t956_array_iter]._u.one->c.b.e._maximum = _data->_u.next->_buffer[_t956_array_iter]._u.one->c.b.e._length;
                    _data->_u.next->_buffer[_t956_array_iter]._u.one->c.b.e._release = 1;
                  }
                  for (_t1055_array_iter = 0; _t1055_array_iter < _data->_u.next->_buffer[_t956_array_iter]._u.one->c.b.e._length; _t1055_array_iter++)
                    {
                      if (flick_unmarshal_stub_ta_td(_stream, _data->_u.next->_buffer[_t956_array_iter]._u.one->c.b.e._buffer + _t1055_array_iter))
                        goto _flick_abort5634;
                      continue;
                      {
                      _flick_abort5634:
                        goto _flick_abort5623;
                      }
                    }
                  flick_iiopxx_decode_new_glob(4);
                  flick_iiopxx_check_span(4, _flick_abort5623);
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _data->_u.next->_buffer[_t956_array_iter]._u.one->next._length, CORBA::ULong );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(4);
                  {
                    struct ta *_t_alloc_ptr;

                    _t_alloc_ptr = (struct ta *)new (struct ta [_data->_u.next->_buffer[_t956_array_iter]._u.one->next._length]);
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort5623);
                    _data->_u.next->_buffer[_t956_array_iter]._u.one->next._buffer = _t_alloc_ptr;
                    _data->_u.next->_buffer[_t956_array_iter]._u.one->next._maximum = _data->_u.next->_buffer[_t956_array_iter]._u.one->next._length;
                    _data->_u.next->_buffer[_t956_array_iter]._u.one->next._release = 1;
                  }
                  for (_t1056_array_iter = 0; _t1056_array_iter < _data->_u.next->_buffer[_t956_array_iter]._u.one->next._length; _t1056_array_iter++)
                    {
                      if (flick_unmarshal_stub_ta(_stream, _data->_u.next->_buffer[_t956_array_iter]._u.one->next._buffer + _t1056_array_iter))
                        goto _flick_abort5639;
                      continue;
                      {
                      _flick_abort5639:
                        goto _flick_abort5623;
                      }
                    }
                  flick_iiopxx_decode_new_glob(24);
                  flick_iiopxx_check_span(24, _flick_abort5623);
                  flick_iiopxx_decode_new_chunk(24);
                  flick_cdr_decode_signed32(0, _data->_u.next->_buffer[_t956_array_iter]._u.one->d.a, CORBA::Long );
                  flick_cdr_decode_float64(8, _data->_u.next->_buffer[_t956_array_iter]._u.one->d.b, CORBA::Double );
                  flick_cdr_decode_signed16(16, _data->_u.next->_buffer[_t956_array_iter]._u.one->d.c, CORBA::Short );
                  flick_cdr_decode_char8(18, _data->_u.next->_buffer[_t956_array_iter]._u.one->e.a, CORBA::Char );
                  flick_cdr_decode_unsigned32(20, _t1057_temp_string_len, flick_unsigned32_t );
                  flick_iiopxx_decode_end_chunk(24);
                  flick_iiopxx_decode_end_glob(24);
                  flick_iiopxx_decode_new_glob(1 * _t1057_temp_string_len);
                  flick_iiopxx_check_span(1 * _t1057_temp_string_len, _flick_abort5623);
                  flick_iiopxx_decode_new_chunk(1 * _t1057_temp_string_len);
                  {
                    CORBA::Char *_t_alloc_ptr;

                    _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t1057_temp_string_len * sizeof(CORBA::Char )));
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort5623);
                    _data->_u.next->_buffer[_t956_array_iter]._u.one->e.b = _t_alloc_ptr;
                  }
                  flick_cdr_decode_bcopy(0, _data->_u.next->_buffer[_t956_array_iter]._u.one->e.b, 1 * _t1057_temp_string_len);
                  flick_iiopxx_decode_end_chunk(1 * _t1057_temp_string_len);
                  flick_iiopxx_decode_end_glob(1 * _t1057_temp_string_len);
                  flick_iiopxx_decode_new_glob(7);
                  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                  flick_iiopxx_check_span(4, _flick_abort5623);
                  flick_cdr_decode_unsigned32(0, _data->_u.next->_buffer[_t956_array_iter]._u.one->e.c._length, CORBA::ULong );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(7);
                  {
                    struct ::ta::tc *_t_alloc_ptr;

                    _t_alloc_ptr = (struct ::ta::tc *)new (struct ::ta::tc [_data->_u.next->_buffer[_t956_array_iter]._u.one->e.c._length]);
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort5623);
                    _data->_u.next->_buffer[_t956_array_iter]._u.one->e.c._buffer = _t_alloc_ptr;
                    _data->_u.next->_buffer[_t956_array_iter]._u.one->e.c._maximum = _data->_u.next->_buffer[_t956_array_iter]._u.one->e.c._length;
                    _data->_u.next->_buffer[_t956_array_iter]._u.one->e.c._release = 1;
                  }
                  for (_t1058_array_iter = 0; _t1058_array_iter < _data->_u.next->_buffer[_t956_array_iter]._u.one->e.c._length; _t1058_array_iter++)
                    {
                      if (flick_unmarshal_stub_ta_tc(_stream, _data->_u.next->_buffer[_t956_array_iter]._u.one->e.c._buffer + _t1058_array_iter))
                        goto _flick_abort5646;
                      continue;
                      {
                      _flick_abort5646:
                        goto _flick_abort5623;
                      }
                    }
                  flick_iiopxx_decode_new_glob(28);
                  flick_iiopxx_check_span(4, _flick_abort5623);
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_signed32(0, _data->_u.next->_buffer[_t956_array_iter]._u.one->f.a.a, CORBA::Long );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_new_chunk_align(20, 3, 2, 0);
                  flick_iiopxx_check_span(20, _flick_abort5623);
                  flick_cdr_decode_float64(0, _data->_u.next->_buffer[_t956_array_iter]._u.one->f.a.b, CORBA::Double );
                  flick_cdr_decode_signed16(8, _data->_u.next->_buffer[_t956_array_iter]._u.one->f.a.c, CORBA::Short );
                  flick_cdr_decode_char8(10, _data->_u.next->_buffer[_t956_array_iter]._u.one->f.b.a, CORBA::Char );
                  flick_cdr_decode_char8(11, _data->_u.next->_buffer[_t956_array_iter]._u.one->f.b.b, CORBA::Char );
                  flick_cdr_decode_char8(12, _data->_u.next->_buffer[_t956_array_iter]._u.one->f.b.c, CORBA::Char );
                  flick_cdr_decode_char8(13, _data->_u.next->_buffer[_t956_array_iter]._u.one->f.b.d, CORBA::Char );
                  flick_cdr_decode_unsigned32(16, _data->_u.next->_buffer[_t956_array_iter]._u.one->f.b.e._length, CORBA::ULong );
                  flick_iiopxx_decode_end_chunk(20);
                  flick_iiopxx_decode_end_glob(28);
                  {
                    struct ::ta::td *_t_alloc_ptr;

                    _t_alloc_ptr = (struct ::ta::td *)new (struct ::ta::td [_data->_u.next->_buffer[_t956_array_iter]._u.one->f.b.e._length]);
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort5623);
                    _data->_u.next->_buffer[_t956_array_iter]._u.one->f.b.e._buffer = _t_alloc_ptr;
                    _data->_u.next->_buffer[_t956_array_iter]._u.one->f.b.e._maximum = _data->_u.next->_buffer[_t956_array_iter]._u.one->f.b.e._length;
                    _data->_u.next->_buffer[_t956_array_iter]._u.one->f.b.e._release = 1;
                  }
                  for (_t1059_array_iter = 0; _t1059_array_iter < _data->_u.next->_buffer[_t956_array_iter]._u.one->f.b.e._length; _t1059_array_iter++)
                    {
                      if (flick_unmarshal_stub_ta_td(_stream, _data->_u.next->_buffer[_t956_array_iter]._u.one->f.b.e._buffer + _t1059_array_iter))
                        goto _flick_abort5651;
                      continue;
                      {
                      _flick_abort5651:
                        goto _flick_abort5623;
                      }
                    }
                  break;
                  {
                  _flick_abort5623:
                    goto _flick_abort5106;
                  }
                }
              case 2:
                {
                  CORBA::ULong _t1060_array_iter;
                  CORBA::ULong _t1064_array_iter;
                  CORBA::ULong _t1067_array_iter;

                  {
                    struct tb *_t_alloc_ptr;

                    _t_alloc_ptr = (struct tb *)new (struct tb );
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort5653);
                    _data->_u.next->_buffer[_t956_array_iter]._u.two = _t_alloc_ptr;
                  }
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_signed32(0, _data->_u.next->_buffer[_t956_array_iter]._u.two->a.a, CORBA::Long );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_new_chunk_align(36, 3, 2, 0);
                  flick_iiopxx_check_span(36, _flick_abort5653);
                  flick_cdr_decode_float64(0, _data->_u.next->_buffer[_t956_array_iter]._u.two->a.b, CORBA::Double );
                  flick_cdr_decode_signed16(8, _data->_u.next->_buffer[_t956_array_iter]._u.two->a.c, CORBA::Short );
                  flick_cdr_decode_signed32(12, _data->_u.next->_buffer[_t956_array_iter]._u.two->b.a.a, CORBA::Long );
                  flick_cdr_decode_float64(16, _data->_u.next->_buffer[_t956_array_iter]._u.two->b.a.b, CORBA::Double );
                  flick_cdr_decode_signed16(24, _data->_u.next->_buffer[_t956_array_iter]._u.two->b.a.c, CORBA::Short );
                  flick_cdr_decode_char8(26, _data->_u.next->_buffer[_t956_array_iter]._u.two->b.b.a, CORBA::Char );
                  flick_cdr_decode_char8(27, _data->_u.next->_buffer[_t956_array_iter]._u.two->b.b.b, CORBA::Char );
                  flick_cdr_decode_char8(28, _data->_u.next->_buffer[_t956_array_iter]._u.two->b.b.c, CORBA::Char );
                  flick_cdr_decode_char8(29, _data->_u.next->_buffer[_t956_array_iter]._u.two->b.b.d, CORBA::Char );
                  flick_cdr_decode_unsigned32(32, _data->_u.next->_buffer[_t956_array_iter]._u.two->b.b.e._length, CORBA::ULong );
                  flick_iiopxx_decode_end_chunk(36);
                  flick_iiopxx_decode_end_glob(55);
                  {
                    struct ::ta::td *_t_alloc_ptr;

                    _t_alloc_ptr = (struct ::ta::td *)new (struct ::ta::td [_data->_u.next->_buffer[_t956_array_iter]._u.two->b.b.e._length]);
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort5653);
                    _data->_u.next->_buffer[_t956_array_iter]._u.two->b.b.e._buffer = _t_alloc_ptr;
                    _data->_u.next->_buffer[_t956_array_iter]._u.two->b.b.e._maximum = _data->_u.next->_buffer[_t956_array_iter]._u.two->b.b.e._length;
                    _data->_u.next->_buffer[_t956_array_iter]._u.two->b.b.e._release = 1;
                  }
                  for (_t1060_array_iter = 0; _t1060_array_iter < _data->_u.next->_buffer[_t956_array_iter]._u.two->b.b.e._length; _t1060_array_iter++)
                    {
                      if (flick_unmarshal_stub_ta_td(_stream, _data->_u.next->_buffer[_t956_array_iter]._u.two->b.b.e._buffer + _t1060_array_iter))
                        goto _flick_abort5657;
                      continue;
                      {
                      _flick_abort5657:
                        goto _flick_abort5653;
                      }
                    }
                  flick_iiopxx_decode_new_glob(4);
                  flick_iiopxx_check_span(4, _flick_abort5653);
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _data->_u.next->_buffer[_t956_array_iter]._u.two->c._length, CORBA::ULong );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(4);
                  {
                    struct ::ta::td *_t_alloc_ptr;

                    _t_alloc_ptr = (struct ::ta::td *)new (struct ::ta::td [_data->_u.next->_buffer[_t956_array_iter]._u.two->c._length]);
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort5653);
                    _data->_u.next->_buffer[_t956_array_iter]._u.two->c._buffer = _t_alloc_ptr;
                    _data->_u.next->_buffer[_t956_array_iter]._u.two->c._maximum = _data->_u.next->_buffer[_t956_array_iter]._u.two->c._length;
                    _data->_u.next->_buffer[_t956_array_iter]._u.two->c._release = 1;
                  }
                  for (_t1064_array_iter = 0; _t1064_array_iter < _data->_u.next->_buffer[_t956_array_iter]._u.two->c._length; _t1064_array_iter++)
                    {
                      CORBA::ULong _t1066_array_iter;

                      flick_iiopxx_decode_new_glob(28);
                      flick_iiopxx_check_span(4, _flick_abort5677);
                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_signed32(0, _data->_u.next->_buffer[_t956_array_iter]._u.two->c._buffer[_t1064_array_iter].a.a, CORBA::Long );
                      flick_iiopxx_decode_end_chunk(4);
                      flick_iiopxx_decode_new_chunk_align(20, 3, 2, 0);
                      flick_iiopxx_check_span(20, _flick_abort5677);
                      flick_cdr_decode_float64(0, _data->_u.next->_buffer[_t956_array_iter]._u.two->c._buffer[_t1064_array_iter].a.b, CORBA::Double );
                      flick_cdr_decode_signed16(8, _data->_u.next->_buffer[_t956_array_iter]._u.two->c._buffer[_t1064_array_iter].a.c, CORBA::Short );
                      flick_cdr_decode_char8(10, _data->_u.next->_buffer[_t956_array_iter]._u.two->c._buffer[_t1064_array_iter].b.a, CORBA::Char );
                      flick_cdr_decode_char8(11, _data->_u.next->_buffer[_t956_array_iter]._u.two->c._buffer[_t1064_array_iter].b.b, CORBA::Char );
                      flick_cdr_decode_char8(12, _data->_u.next->_buffer[_t956_array_iter]._u.two->c._buffer[_t1064_array_iter].b.c, CORBA::Char );
                      flick_cdr_decode_char8(13, _data->_u.next->_buffer[_t956_array_iter]._u.two->c._buffer[_t1064_array_iter].b.d, CORBA::Char );
                      flick_cdr_decode_unsigned32(16, _data->_u.next->_buffer[_t956_array_iter]._u.two->c._buffer[_t1064_array_iter].b.e._length, CORBA::ULong );
                      flick_iiopxx_decode_end_chunk(20);
                      flick_iiopxx_decode_end_glob(28);
                      {
                        struct ::ta::td *_t_alloc_ptr;

                        _t_alloc_ptr = (struct ::ta::td *)new (struct ::ta::td [_data->_u.next->_buffer[_t956_array_iter]._u.two->c._buffer[_t1064_array_iter].b.e._length]);
                        if (!_t_alloc_ptr)
                          flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort5677);
                        _data->_u.next->_buffer[_t956_array_iter]._u.two->c._buffer[_t1064_array_iter].b.e._buffer = _t_alloc_ptr;
                        _data->_u.next->_buffer[_t956_array_iter]._u.two->c._buffer[_t1064_array_iter].b.e._maximum = _data->_u.next->_buffer[_t956_array_iter]._u.two->c._buffer[_t1064_array_iter].b.e._length;
                        _data->_u.next->_buffer[_t956_array_iter]._u.two->c._buffer[_t1064_array_iter].b.e._release = 1;
                      }
                      for (_t1066_array_iter = 0; _t1066_array_iter < _data->_u.next->_buffer[_t956_array_iter]._u.two->c._buffer[_t1064_array_iter].b.e._length; _t1066_array_iter++)
                        {
                          if (flick_unmarshal_stub_ta_td(_stream, _data->_u.next->_buffer[_t956_array_iter]._u.two->c._buffer[_t1064_array_iter].b.e._buffer + _t1066_array_iter))
                            goto _flick_abort5687;
                          continue;
                          {
                          _flick_abort5687:
                            goto _flick_abort5677;
                          }
                        }
                      continue;
                      {
                      _flick_abort5677:
                        goto _flick_abort5653;
                      }
                    }
                  flick_iiopxx_decode_new_glob(4);
                  flick_iiopxx_check_span(4, _flick_abort5653);
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _data->_u.next->_buffer[_t956_array_iter]._u.two->d._length, CORBA::ULong );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(4);
                  {
                    struct tb *_t_alloc_ptr;

                    _t_alloc_ptr = (struct tb *)new (struct tb [_data->_u.next->_buffer[_t956_array_iter]._u.two->d._length]);
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort5653);
                    _data->_u.next->_buffer[_t956_array_iter]._u.two->d._buffer = _t_alloc_ptr;
                    _data->_u.next->_buffer[_t956_array_iter]._u.two->d._maximum = _data->_u.next->_buffer[_t956_array_iter]._u.two->d._length;
                    _data->_u.next->_buffer[_t956_array_iter]._u.two->d._release = 1;
                  }
                  for (_t1067_array_iter = 0; _t1067_array_iter < _data->_u.next->_buffer[_t956_array_iter]._u.two->d._length; _t1067_array_iter++)
                    {
                      if (flick_unmarshal_stub_tb(_stream, _data->_u.next->_buffer[_t956_array_iter]._u.two->d._buffer + _t1067_array_iter))
                        goto _flick_abort5692;
                      continue;
                      {
                      _flick_abort5692:
                        goto _flick_abort5653;
                      }
                    }
                  break;
                  {
                  _flick_abort5653:
                    goto _flick_abort5106;
                  }
                }
              case 3:
                {
                  {
                    ::td::te *_t_alloc_ptr;

                    _t_alloc_ptr = (::td::te *)new ::td::te ;
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort5694);
                    _data->_u.next->_buffer[_t956_array_iter]._u.three = _t_alloc_ptr;
                  }
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _data->_u.next->_buffer[_t956_array_iter]._u.three->disc_, enum tc );
                  flick_iiopxx_decode_end_chunk(4);
                  switch (_data->_u.next->_buffer[_t956_array_iter]._u.three->disc_)
                    {
                    case 0:
                      {
                        flick_iiopxx_check_span(4, _flick_abort5742);
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_signed32(0, _data->_u.next->_buffer[_t956_array_iter]._u.three->_u.x, CORBA::Long );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(55);
                        break;
                        {
                        _flick_abort5742:
                          goto _flick_abort5694;
                        }
                      }
                    case 1:
                      {
                        flick_iiopxx_decode_new_chunk_align(8, 3, 2, 0);
                        flick_iiopxx_check_span(8, _flick_abort5743);
                        flick_cdr_decode_float64(0, _data->_u.next->_buffer[_t956_array_iter]._u.three->_u.y, CORBA::Double );
                        flick_iiopxx_decode_end_chunk(8);
                        flick_iiopxx_decode_end_glob(55);
                        break;
                        {
                        _flick_abort5743:
                          goto _flick_abort5694;
                        }
                      }
                    case 2:
                      {
                        flick_iiopxx_check_span(1, _flick_abort5744);
                        flick_iiopxx_decode_new_chunk(1);
                        flick_cdr_decode_unsigned8(0, _data->_u.next->_buffer[_t956_array_iter]._u.three->_u.z, CORBA::Boolean );
                        flick_iiopxx_decode_end_chunk(1);
                        flick_iiopxx_decode_end_glob(55);
                        break;
                        {
                        _flick_abort5744:
                          goto _flick_abort5694;
                        }
                      }
                    case 3:
                      {
                        CORBA::ULong _t1076_array_iter;
                        CORBA::ULong _t1080_array_iter;
                        CORBA::ULong _t1083_array_iter;

                        {
                          struct tb *_t_alloc_ptr;

                          _t_alloc_ptr = (struct tb *)new (struct tb );
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort5745);
                          _data->_u.next->_buffer[_t956_array_iter]._u.three->_u.s = _t_alloc_ptr;
                        }
                        flick_iiopxx_check_span(4, _flick_abort5745);
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_signed32(0, _data->_u.next->_buffer[_t956_array_iter]._u.three->_u.s->a.a, CORBA::Long );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_new_chunk_align(36, 3, 2, 0);
                        flick_iiopxx_check_span(36, _flick_abort5745);
                        flick_cdr_decode_float64(0, _data->_u.next->_buffer[_t956_array_iter]._u.three->_u.s->a.b, CORBA::Double );
                        flick_cdr_decode_signed16(8, _data->_u.next->_buffer[_t956_array_iter]._u.three->_u.s->a.c, CORBA::Short );
                        flick_cdr_decode_signed32(12, _data->_u.next->_buffer[_t956_array_iter]._u.three->_u.s->b.a.a, CORBA::Long );
                        flick_cdr_decode_float64(16, _data->_u.next->_buffer[_t956_array_iter]._u.three->_u.s->b.a.b, CORBA::Double );
                        flick_cdr_decode_signed16(24, _data->_u.next->_buffer[_t956_array_iter]._u.three->_u.s->b.a.c, CORBA::Short );
                        flick_cdr_decode_char8(26, _data->_u.next->_buffer[_t956_array_iter]._u.three->_u.s->b.b.a, CORBA::Char );
                        flick_cdr_decode_char8(27, _data->_u.next->_buffer[_t956_array_iter]._u.three->_u.s->b.b.b, CORBA::Char );
                        flick_cdr_decode_char8(28, _data->_u.next->_buffer[_t956_array_iter]._u.three->_u.s->b.b.c, CORBA::Char );
                        flick_cdr_decode_char8(29, _data->_u.next->_buffer[_t956_array_iter]._u.three->_u.s->b.b.d, CORBA::Char );
                        flick_cdr_decode_unsigned32(32, _data->_u.next->_buffer[_t956_array_iter]._u.three->_u.s->b.b.e._length, CORBA::ULong );
                        flick_iiopxx_decode_end_chunk(36);
                        flick_iiopxx_decode_end_glob(55);
                        {
                          struct ::ta::td *_t_alloc_ptr;

                          _t_alloc_ptr = (struct ::ta::td *)new (struct ::ta::td [_data->_u.next->_buffer[_t956_array_iter]._u.three->_u.s->b.b.e._length]);
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort5745);
                          _data->_u.next->_buffer[_t956_array_iter]._u.three->_u.s->b.b.e._buffer = _t_alloc_ptr;
                          _data->_u.next->_buffer[_t956_array_iter]._u.three->_u.s->b.b.e._maximum = _data->_u.next->_buffer[_t956_array_iter]._u.three->_u.s->b.b.e._length;
                          _data->_u.next->_buffer[_t956_array_iter]._u.three->_u.s->b.b.e._release = 1;
                        }
                        for (_t1076_array_iter = 0; _t1076_array_iter < _data->_u.next->_buffer[_t956_array_iter]._u.three->_u.s->b.b.e._length; _t1076_array_iter++)
                          {
                            if (flick_unmarshal_stub_ta_td(_stream, _data->_u.next->_buffer[_t956_array_iter]._u.three->_u.s->b.b.e._buffer + _t1076_array_iter))
                              goto _flick_abort5749;
                            continue;
                            {
                            _flick_abort5749:
                              goto _flick_abort5745;
                            }
                          }
                        flick_iiopxx_decode_new_glob(4);
                        flick_iiopxx_check_span(4, _flick_abort5745);
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _data->_u.next->_buffer[_t956_array_iter]._u.three->_u.s->c._length, CORBA::ULong );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(4);
                        {
                          struct ::ta::td *_t_alloc_ptr;

                          _t_alloc_ptr = (struct ::ta::td *)new (struct ::ta::td [_data->_u.next->_buffer[_t956_array_iter]._u.three->_u.s->c._length]);
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort5745);
                          _data->_u.next->_buffer[_t956_array_iter]._u.three->_u.s->c._buffer = _t_alloc_ptr;
                          _data->_u.next->_buffer[_t956_array_iter]._u.three->_u.s->c._maximum = _data->_u.next->_buffer[_t956_array_iter]._u.three->_u.s->c._length;
                          _data->_u.next->_buffer[_t956_array_iter]._u.three->_u.s->c._release = 1;
                        }
                        for (_t1080_array_iter = 0; _t1080_array_iter < _data->_u.next->_buffer[_t956_array_iter]._u.three->_u.s->c._length; _t1080_array_iter++)
                          {
                            CORBA::ULong _t1082_array_iter;

                            flick_iiopxx_decode_new_glob(28);
                            flick_iiopxx_check_span(4, _flick_abort5769);
                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_signed32(0, _data->_u.next->_buffer[_t956_array_iter]._u.three->_u.s->c._buffer[_t1080_array_iter].a.a, CORBA::Long );
                            flick_iiopxx_decode_end_chunk(4);
                            flick_iiopxx_decode_new_chunk_align(20, 3, 2, 0);
                            flick_iiopxx_check_span(20, _flick_abort5769);
                            flick_cdr_decode_float64(0, _data->_u.next->_buffer[_t956_array_iter]._u.three->_u.s->c._buffer[_t1080_array_iter].a.b, CORBA::Double );
                            flick_cdr_decode_signed16(8, _data->_u.next->_buffer[_t956_array_iter]._u.three->_u.s->c._buffer[_t1080_array_iter].a.c, CORBA::Short );
                            flick_cdr_decode_char8(10, _data->_u.next->_buffer[_t956_array_iter]._u.three->_u.s->c._buffer[_t1080_array_iter].b.a, CORBA::Char );
                            flick_cdr_decode_char8(11, _data->_u.next->_buffer[_t956_array_iter]._u.three->_u.s->c._buffer[_t1080_array_iter].b.b, CORBA::Char );
                            flick_cdr_decode_char8(12, _data->_u.next->_buffer[_t956_array_iter]._u.three->_u.s->c._buffer[_t1080_array_iter].b.c, CORBA::Char );
                            flick_cdr_decode_char8(13, _data->_u.next->_buffer[_t956_array_iter]._u.three->_u.s->c._buffer[_t1080_array_iter].b.d, CORBA::Char );
                            flick_cdr_decode_unsigned32(16, _data->_u.next->_buffer[_t956_array_iter]._u.three->_u.s->c._buffer[_t1080_array_iter].b.e._length, CORBA::ULong );
                            flick_iiopxx_decode_end_chunk(20);
                            flick_iiopxx_decode_end_glob(28);
                            {
                              struct ::ta::td *_t_alloc_ptr;

                              _t_alloc_ptr = (struct ::ta::td *)new (struct ::ta::td [_data->_u.next->_buffer[_t956_array_iter]._u.three->_u.s->c._buffer[_t1080_array_iter].b.e._length]);
                              if (!_t_alloc_ptr)
                                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort5769);
                              _data->_u.next->_buffer[_t956_array_iter]._u.three->_u.s->c._buffer[_t1080_array_iter].b.e._buffer = _t_alloc_ptr;
                              _data->_u.next->_buffer[_t956_array_iter]._u.three->_u.s->c._buffer[_t1080_array_iter].b.e._maximum = _data->_u.next->_buffer[_t956_array_iter]._u.three->_u.s->c._buffer[_t1080_array_iter].b.e._length;
                              _data->_u.next->_buffer[_t956_array_iter]._u.three->_u.s->c._buffer[_t1080_array_iter].b.e._release = 1;
                            }
                            for (_t1082_array_iter = 0; _t1082_array_iter < _data->_u.next->_buffer[_t956_array_iter]._u.three->_u.s->c._buffer[_t1080_array_iter].b.e._length; _t1082_array_iter++)
                              {
                                if (flick_unmarshal_stub_ta_td(_stream, _data->_u.next->_buffer[_t956_array_iter]._u.three->_u.s->c._buffer[_t1080_array_iter].b.e._buffer + _t1082_array_iter))
                                  goto _flick_abort5779;
                                continue;
                                {
                                _flick_abort5779:
                                  goto _flick_abort5769;
                                }
                              }
                            continue;
                            {
                            _flick_abort5769:
                              goto _flick_abort5745;
                            }
                          }
                        flick_iiopxx_decode_new_glob(4);
                        flick_iiopxx_check_span(4, _flick_abort5745);
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _data->_u.next->_buffer[_t956_array_iter]._u.three->_u.s->d._length, CORBA::ULong );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(4);
                        {
                          struct tb *_t_alloc_ptr;

                          _t_alloc_ptr = (struct tb *)new (struct tb [_data->_u.next->_buffer[_t956_array_iter]._u.three->_u.s->d._length]);
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort5745);
                          _data->_u.next->_buffer[_t956_array_iter]._u.three->_u.s->d._buffer = _t_alloc_ptr;
                          _data->_u.next->_buffer[_t956_array_iter]._u.three->_u.s->d._maximum = _data->_u.next->_buffer[_t956_array_iter]._u.three->_u.s->d._length;
                          _data->_u.next->_buffer[_t956_array_iter]._u.three->_u.s->d._release = 1;
                        }
                        for (_t1083_array_iter = 0; _t1083_array_iter < _data->_u.next->_buffer[_t956_array_iter]._u.three->_u.s->d._length; _t1083_array_iter++)
                          {
                            if (flick_unmarshal_stub_tb(_stream, _data->_u.next->_buffer[_t956_array_iter]._u.three->_u.s->d._buffer + _t1083_array_iter))
                              goto _flick_abort5784;
                            continue;
                            {
                            _flick_abort5784:
                              goto _flick_abort5745;
                            }
                          }
                        break;
                        {
                        _flick_abort5745:
                          goto _flick_abort5694;
                        }
                      }
                    case 4:
                      {
                        {
                          ::td::te::tu *_t_alloc_ptr;

                          _t_alloc_ptr = (::td::te::tu *)new ::td::te::tu ;
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort5786);
                          _data->_u.next->_buffer[_t956_array_iter]._u.three->_u.u = _t_alloc_ptr;
                        }
                        flick_iiopxx_decode_end_glob(55);
                        if (flick_unmarshal_stub_td_te_tu(_stream, _data->_u.next->_buffer[_t956_array_iter]._u.three->_u.u))
                          goto _flick_abort5786;
                        break;
                        {
                        _flick_abort5786:
                          goto _flick_abort5694;
                        }
                      }
                    default:
                      {
                        flick_iiopxx_decode_end_glob(55);
                        break;
                      }
                    }
                  break;
                  {
                  _flick_abort5694:
                    goto _flick_abort5106;
                  }
                }
              default:
                {
                  CORBA::ULong _t1084_array_iter;

                  {
                    ::td::flick_sequence_td *_t_alloc_ptr;

                    _t_alloc_ptr = (::td::flick_sequence_td *)new ::td::flick_sequence_td ;
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort5788);
                    _data->_u.next->_buffer[_t956_array_iter]._u.again = _t_alloc_ptr;
                  }
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _data->_u.next->_buffer[_t956_array_iter]._u.again->_length, CORBA::ULong );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(55);
                  {
                    td *_t_alloc_ptr;

                    _t_alloc_ptr = (td *)new (td [_data->_u.next->_buffer[_t956_array_iter]._u.again->_length]);
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort5788);
                    _data->_u.next->_buffer[_t956_array_iter]._u.again->_buffer = _t_alloc_ptr;
                    _data->_u.next->_buffer[_t956_array_iter]._u.again->_maximum = _data->_u.next->_buffer[_t956_array_iter]._u.again->_length;
                    _data->_u.next->_buffer[_t956_array_iter]._u.again->_release = 1;
                  }
                  for (_t1084_array_iter = 0; _t1084_array_iter < _data->_u.next->_buffer[_t956_array_iter]._u.again->_length; _t1084_array_iter++)
                    {
                      if (flick_unmarshal_stub_td(_stream, _data->_u.next->_buffer[_t956_array_iter]._u.again->_buffer + _t1084_array_iter))
                        goto _flick_abort5792;
                      continue;
                      {
                      _flick_abort5792:
                        goto _flick_abort5788;
                      }
                    }
                  break;
                  {
                  _flick_abort5788:
                    goto _flick_abort5106;
                  }
                }
              }
            continue;
            {
            _flick_abort5106:
              goto _flick_abort4417;
            }
          }
        break;
        {
        _flick_abort4417:
          goto _flick_abort3037;
        }
      }
    default:
      {
        flick_iiopxx_decode_end_glob(8);
        break;
      }
    }
  return 0;
  {
  _flick_abort3037:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_td_te_tu_swap(flick_marshal_stream_t _stream, ::td::te::tu *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(8);
  flick_iiopxx_check_span(8, _flick_abort5795);
  flick_iiopxx_decode_new_chunk(1);
  flick_cdr_swap_decode_unsigned8(0, _data->disc_, CORBA::Boolean );
  flick_iiopxx_decode_end_chunk(1);
  switch (_data->disc_)
    {
    case 1:
      {
        CORBA::ULong _t1470_array_iter;

        {
          ::td::te::tu::flick_sequence_td_bounded_1 *_t_alloc_ptr;

          _t_alloc_ptr = (::td::te::tu::flick_sequence_td_bounded_1 *)new ::td::te::tu::flick_sequence_td_bounded_1 ;
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort7175);
          _data->_u.next = _t_alloc_ptr;
        }
        flick_iiopxx_decode_new_chunk(7);
        flick_cdr_swap_decode_unsigned32(3, _data->_u.next->_length, CORBA::ULong );
        flick_iiopxx_decode_end_chunk(7);
        flick_iiopxx_decode_end_glob(8);
        if (_data->_u.next->_length > 1)
          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort7175);
        {
          td *_t_alloc_ptr;

          _t_alloc_ptr = (td *)new td ;
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort7175);
          _data->_u.next->_buffer = _t_alloc_ptr;
          _data->_u.next->_maximum = 1;
          _data->_u.next->_release = 1;
        }
        for (_t1470_array_iter = 0; _t1470_array_iter < _data->_u.next->_length; _t1470_array_iter++)
          {
            flick_iiopxx_decode_new_glob(55);
            flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
            flick_iiopxx_check_span(8, _flick_abort7864);
            flick_cdr_swap_decode_signed32(0, _data->_u.next->_buffer[_t1470_array_iter].disc_, CORBA::Long );
            flick_iiopxx_decode_end_chunk(4);
            switch (_data->_u.next->_buffer[_t1470_array_iter].disc_)
              {
              case 1:
                {
                  flick_unsigned32_t _t1567_temp_string_len;
                  CORBA::ULong _t1568_array_iter;
                  CORBA::ULong _t1569_array_iter;
                  CORBA::ULong _t1570_array_iter;
                  flick_unsigned32_t _t1571_temp_string_len;
                  CORBA::ULong _t1572_array_iter;
                  CORBA::ULong _t1573_array_iter;

                  {
                    struct ta *_t_alloc_ptr;

                    _t_alloc_ptr = (struct ta *)new (struct ta );
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort8381);
                    _data->_u.next->_buffer[_t1470_array_iter]._u.one = _t_alloc_ptr;
                  }
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_signed32(0, _data->_u.next->_buffer[_t1470_array_iter]._u.one->a.a, CORBA::Long );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_new_chunk_align(16, 3, 2, 0);
                  flick_iiopxx_check_span(16, _flick_abort8381);
                  flick_cdr_swap_decode_float64(0, _data->_u.next->_buffer[_t1470_array_iter]._u.one->a.b, CORBA::Double );
                  flick_cdr_swap_decode_signed16(8, _data->_u.next->_buffer[_t1470_array_iter]._u.one->a.c, CORBA::Short );
                  flick_cdr_swap_decode_char8(10, _data->_u.next->_buffer[_t1470_array_iter]._u.one->b.a, CORBA::Char );
                  flick_cdr_swap_decode_unsigned32(12, _t1567_temp_string_len, flick_unsigned32_t );
                  flick_iiopxx_decode_end_chunk(16);
                  flick_iiopxx_decode_end_glob(55);
                  flick_iiopxx_decode_new_glob(1 * _t1567_temp_string_len);
                  flick_iiopxx_check_span(1 * _t1567_temp_string_len, _flick_abort8381);
                  flick_iiopxx_decode_new_chunk(1 * _t1567_temp_string_len);
                  {
                    CORBA::Char *_t_alloc_ptr;

                    _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t1567_temp_string_len * sizeof(CORBA::Char )));
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort8381);
                    _data->_u.next->_buffer[_t1470_array_iter]._u.one->b.b = _t_alloc_ptr;
                  }
                  flick_cdr_swap_decode_bcopy(0, _data->_u.next->_buffer[_t1470_array_iter]._u.one->b.b, 1 * _t1567_temp_string_len);
                  flick_iiopxx_decode_end_chunk(1 * _t1567_temp_string_len);
                  flick_iiopxx_decode_end_glob(1 * _t1567_temp_string_len);
                  flick_iiopxx_decode_new_glob(7);
                  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                  flick_iiopxx_check_span(4, _flick_abort8381);
                  flick_cdr_swap_decode_unsigned32(0, _data->_u.next->_buffer[_t1470_array_iter]._u.one->b.c._length, CORBA::ULong );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(7);
                  {
                    struct ::ta::tc *_t_alloc_ptr;

                    _t_alloc_ptr = (struct ::ta::tc *)new (struct ::ta::tc [_data->_u.next->_buffer[_t1470_array_iter]._u.one->b.c._length]);
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort8381);
                    _data->_u.next->_buffer[_t1470_array_iter]._u.one->b.c._buffer = _t_alloc_ptr;
                    _data->_u.next->_buffer[_t1470_array_iter]._u.one->b.c._maximum = _data->_u.next->_buffer[_t1470_array_iter]._u.one->b.c._length;
                    _data->_u.next->_buffer[_t1470_array_iter]._u.one->b.c._release = 1;
                  }
                  for (_t1568_array_iter = 0; _t1568_array_iter < _data->_u.next->_buffer[_t1470_array_iter]._u.one->b.c._length; _t1568_array_iter++)
                    {
                      if (flick_unmarshal_stub_ta_tc_swap(_stream, _data->_u.next->_buffer[_t1470_array_iter]._u.one->b.c._buffer + _t1568_array_iter))
                        goto _flick_abort8387;
                      continue;
                      {
                      _flick_abort8387:
                        goto _flick_abort8381;
                      }
                    }
                  flick_iiopxx_decode_new_glob(28);
                  flick_iiopxx_check_span(4, _flick_abort8381);
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_signed32(0, _data->_u.next->_buffer[_t1470_array_iter]._u.one->c.a.a, CORBA::Long );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_new_chunk_align(20, 3, 2, 0);
                  flick_iiopxx_check_span(20, _flick_abort8381);
                  flick_cdr_swap_decode_float64(0, _data->_u.next->_buffer[_t1470_array_iter]._u.one->c.a.b, CORBA::Double );
                  flick_cdr_swap_decode_signed16(8, _data->_u.next->_buffer[_t1470_array_iter]._u.one->c.a.c, CORBA::Short );
                  flick_cdr_swap_decode_char8(10, _data->_u.next->_buffer[_t1470_array_iter]._u.one->c.b.a, CORBA::Char );
                  flick_cdr_swap_decode_char8(11, _data->_u.next->_buffer[_t1470_array_iter]._u.one->c.b.b, CORBA::Char );
                  flick_cdr_swap_decode_char8(12, _data->_u.next->_buffer[_t1470_array_iter]._u.one->c.b.c, CORBA::Char );
                  flick_cdr_swap_decode_char8(13, _data->_u.next->_buffer[_t1470_array_iter]._u.one->c.b.d, CORBA::Char );
                  flick_cdr_swap_decode_unsigned32(16, _data->_u.next->_buffer[_t1470_array_iter]._u.one->c.b.e._length, CORBA::ULong );
                  flick_iiopxx_decode_end_chunk(20);
                  flick_iiopxx_decode_end_glob(28);
                  {
                    struct ::ta::td *_t_alloc_ptr;

                    _t_alloc_ptr = (struct ::ta::td *)new (struct ::ta::td [_data->_u.next->_buffer[_t1470_array_iter]._u.one->c.b.e._length]);
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort8381);
                    _data->_u.next->_buffer[_t1470_array_iter]._u.one->c.b.e._buffer = _t_alloc_ptr;
                    _data->_u.next->_buffer[_t1470_array_iter]._u.one->c.b.e._maximum = _data->_u.next->_buffer[_t1470_array_iter]._u.one->c.b.e._length;
                    _data->_u.next->_buffer[_t1470_array_iter]._u.one->c.b.e._release = 1;
                  }
                  for (_t1569_array_iter = 0; _t1569_array_iter < _data->_u.next->_buffer[_t1470_array_iter]._u.one->c.b.e._length; _t1569_array_iter++)
                    {
                      if (flick_unmarshal_stub_ta_td_swap(_stream, _data->_u.next->_buffer[_t1470_array_iter]._u.one->c.b.e._buffer + _t1569_array_iter))
                        goto _flick_abort8392;
                      continue;
                      {
                      _flick_abort8392:
                        goto _flick_abort8381;
                      }
                    }
                  flick_iiopxx_decode_new_glob(4);
                  flick_iiopxx_check_span(4, _flick_abort8381);
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _data->_u.next->_buffer[_t1470_array_iter]._u.one->next._length, CORBA::ULong );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(4);
                  {
                    struct ta *_t_alloc_ptr;

                    _t_alloc_ptr = (struct ta *)new (struct ta [_data->_u.next->_buffer[_t1470_array_iter]._u.one->next._length]);
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort8381);
                    _data->_u.next->_buffer[_t1470_array_iter]._u.one->next._buffer = _t_alloc_ptr;
                    _data->_u.next->_buffer[_t1470_array_iter]._u.one->next._maximum = _data->_u.next->_buffer[_t1470_array_iter]._u.one->next._length;
                    _data->_u.next->_buffer[_t1470_array_iter]._u.one->next._release = 1;
                  }
                  for (_t1570_array_iter = 0; _t1570_array_iter < _data->_u.next->_buffer[_t1470_array_iter]._u.one->next._length; _t1570_array_iter++)
                    {
                      if (flick_unmarshal_stub_ta_swap(_stream, _data->_u.next->_buffer[_t1470_array_iter]._u.one->next._buffer + _t1570_array_iter))
                        goto _flick_abort8397;
                      continue;
                      {
                      _flick_abort8397:
                        goto _flick_abort8381;
                      }
                    }
                  flick_iiopxx_decode_new_glob(24);
                  flick_iiopxx_check_span(24, _flick_abort8381);
                  flick_iiopxx_decode_new_chunk(24);
                  flick_cdr_swap_decode_signed32(0, _data->_u.next->_buffer[_t1470_array_iter]._u.one->d.a, CORBA::Long );
                  flick_cdr_swap_decode_float64(8, _data->_u.next->_buffer[_t1470_array_iter]._u.one->d.b, CORBA::Double );
                  flick_cdr_swap_decode_signed16(16, _data->_u.next->_buffer[_t1470_array_iter]._u.one->d.c, CORBA::Short );
                  flick_cdr_swap_decode_char8(18, _data->_u.next->_buffer[_t1470_array_iter]._u.one->e.a, CORBA::Char );
                  flick_cdr_swap_decode_unsigned32(20, _t1571_temp_string_len, flick_unsigned32_t );
                  flick_iiopxx_decode_end_chunk(24);
                  flick_iiopxx_decode_end_glob(24);
                  flick_iiopxx_decode_new_glob(1 * _t1571_temp_string_len);
                  flick_iiopxx_check_span(1 * _t1571_temp_string_len, _flick_abort8381);
                  flick_iiopxx_decode_new_chunk(1 * _t1571_temp_string_len);
                  {
                    CORBA::Char *_t_alloc_ptr;

                    _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t1571_temp_string_len * sizeof(CORBA::Char )));
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort8381);
                    _data->_u.next->_buffer[_t1470_array_iter]._u.one->e.b = _t_alloc_ptr;
                  }
                  flick_cdr_swap_decode_bcopy(0, _data->_u.next->_buffer[_t1470_array_iter]._u.one->e.b, 1 * _t1571_temp_string_len);
                  flick_iiopxx_decode_end_chunk(1 * _t1571_temp_string_len);
                  flick_iiopxx_decode_end_glob(1 * _t1571_temp_string_len);
                  flick_iiopxx_decode_new_glob(7);
                  flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                  flick_iiopxx_check_span(4, _flick_abort8381);
                  flick_cdr_swap_decode_unsigned32(0, _data->_u.next->_buffer[_t1470_array_iter]._u.one->e.c._length, CORBA::ULong );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(7);
                  {
                    struct ::ta::tc *_t_alloc_ptr;

                    _t_alloc_ptr = (struct ::ta::tc *)new (struct ::ta::tc [_data->_u.next->_buffer[_t1470_array_iter]._u.one->e.c._length]);
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort8381);
                    _data->_u.next->_buffer[_t1470_array_iter]._u.one->e.c._buffer = _t_alloc_ptr;
                    _data->_u.next->_buffer[_t1470_array_iter]._u.one->e.c._maximum = _data->_u.next->_buffer[_t1470_array_iter]._u.one->e.c._length;
                    _data->_u.next->_buffer[_t1470_array_iter]._u.one->e.c._release = 1;
                  }
                  for (_t1572_array_iter = 0; _t1572_array_iter < _data->_u.next->_buffer[_t1470_array_iter]._u.one->e.c._length; _t1572_array_iter++)
                    {
                      if (flick_unmarshal_stub_ta_tc_swap(_stream, _data->_u.next->_buffer[_t1470_array_iter]._u.one->e.c._buffer + _t1572_array_iter))
                        goto _flick_abort8404;
                      continue;
                      {
                      _flick_abort8404:
                        goto _flick_abort8381;
                      }
                    }
                  flick_iiopxx_decode_new_glob(28);
                  flick_iiopxx_check_span(4, _flick_abort8381);
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_signed32(0, _data->_u.next->_buffer[_t1470_array_iter]._u.one->f.a.a, CORBA::Long );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_new_chunk_align(20, 3, 2, 0);
                  flick_iiopxx_check_span(20, _flick_abort8381);
                  flick_cdr_swap_decode_float64(0, _data->_u.next->_buffer[_t1470_array_iter]._u.one->f.a.b, CORBA::Double );
                  flick_cdr_swap_decode_signed16(8, _data->_u.next->_buffer[_t1470_array_iter]._u.one->f.a.c, CORBA::Short );
                  flick_cdr_swap_decode_char8(10, _data->_u.next->_buffer[_t1470_array_iter]._u.one->f.b.a, CORBA::Char );
                  flick_cdr_swap_decode_char8(11, _data->_u.next->_buffer[_t1470_array_iter]._u.one->f.b.b, CORBA::Char );
                  flick_cdr_swap_decode_char8(12, _data->_u.next->_buffer[_t1470_array_iter]._u.one->f.b.c, CORBA::Char );
                  flick_cdr_swap_decode_char8(13, _data->_u.next->_buffer[_t1470_array_iter]._u.one->f.b.d, CORBA::Char );
                  flick_cdr_swap_decode_unsigned32(16, _data->_u.next->_buffer[_t1470_array_iter]._u.one->f.b.e._length, CORBA::ULong );
                  flick_iiopxx_decode_end_chunk(20);
                  flick_iiopxx_decode_end_glob(28);
                  {
                    struct ::ta::td *_t_alloc_ptr;

                    _t_alloc_ptr = (struct ::ta::td *)new (struct ::ta::td [_data->_u.next->_buffer[_t1470_array_iter]._u.one->f.b.e._length]);
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort8381);
                    _data->_u.next->_buffer[_t1470_array_iter]._u.one->f.b.e._buffer = _t_alloc_ptr;
                    _data->_u.next->_buffer[_t1470_array_iter]._u.one->f.b.e._maximum = _data->_u.next->_buffer[_t1470_array_iter]._u.one->f.b.e._length;
                    _data->_u.next->_buffer[_t1470_array_iter]._u.one->f.b.e._release = 1;
                  }
                  for (_t1573_array_iter = 0; _t1573_array_iter < _data->_u.next->_buffer[_t1470_array_iter]._u.one->f.b.e._length; _t1573_array_iter++)
                    {
                      if (flick_unmarshal_stub_ta_td_swap(_stream, _data->_u.next->_buffer[_t1470_array_iter]._u.one->f.b.e._buffer + _t1573_array_iter))
                        goto _flick_abort8409;
                      continue;
                      {
                      _flick_abort8409:
                        goto _flick_abort8381;
                      }
                    }
                  break;
                  {
                  _flick_abort8381:
                    goto _flick_abort7864;
                  }
                }
              case 2:
                {
                  CORBA::ULong _t1574_array_iter;
                  CORBA::ULong _t1578_array_iter;
                  CORBA::ULong _t1581_array_iter;

                  {
                    struct tb *_t_alloc_ptr;

                    _t_alloc_ptr = (struct tb *)new (struct tb );
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort8411);
                    _data->_u.next->_buffer[_t1470_array_iter]._u.two = _t_alloc_ptr;
                  }
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_signed32(0, _data->_u.next->_buffer[_t1470_array_iter]._u.two->a.a, CORBA::Long );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_new_chunk_align(36, 3, 2, 0);
                  flick_iiopxx_check_span(36, _flick_abort8411);
                  flick_cdr_swap_decode_float64(0, _data->_u.next->_buffer[_t1470_array_iter]._u.two->a.b, CORBA::Double );
                  flick_cdr_swap_decode_signed16(8, _data->_u.next->_buffer[_t1470_array_iter]._u.two->a.c, CORBA::Short );
                  flick_cdr_swap_decode_signed32(12, _data->_u.next->_buffer[_t1470_array_iter]._u.two->b.a.a, CORBA::Long );
                  flick_cdr_swap_decode_float64(16, _data->_u.next->_buffer[_t1470_array_iter]._u.two->b.a.b, CORBA::Double );
                  flick_cdr_swap_decode_signed16(24, _data->_u.next->_buffer[_t1470_array_iter]._u.two->b.a.c, CORBA::Short );
                  flick_cdr_swap_decode_char8(26, _data->_u.next->_buffer[_t1470_array_iter]._u.two->b.b.a, CORBA::Char );
                  flick_cdr_swap_decode_char8(27, _data->_u.next->_buffer[_t1470_array_iter]._u.two->b.b.b, CORBA::Char );
                  flick_cdr_swap_decode_char8(28, _data->_u.next->_buffer[_t1470_array_iter]._u.two->b.b.c, CORBA::Char );
                  flick_cdr_swap_decode_char8(29, _data->_u.next->_buffer[_t1470_array_iter]._u.two->b.b.d, CORBA::Char );
                  flick_cdr_swap_decode_unsigned32(32, _data->_u.next->_buffer[_t1470_array_iter]._u.two->b.b.e._length, CORBA::ULong );
                  flick_iiopxx_decode_end_chunk(36);
                  flick_iiopxx_decode_end_glob(55);
                  {
                    struct ::ta::td *_t_alloc_ptr;

                    _t_alloc_ptr = (struct ::ta::td *)new (struct ::ta::td [_data->_u.next->_buffer[_t1470_array_iter]._u.two->b.b.e._length]);
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort8411);
                    _data->_u.next->_buffer[_t1470_array_iter]._u.two->b.b.e._buffer = _t_alloc_ptr;
                    _data->_u.next->_buffer[_t1470_array_iter]._u.two->b.b.e._maximum = _data->_u.next->_buffer[_t1470_array_iter]._u.two->b.b.e._length;
                    _data->_u.next->_buffer[_t1470_array_iter]._u.two->b.b.e._release = 1;
                  }
                  for (_t1574_array_iter = 0; _t1574_array_iter < _data->_u.next->_buffer[_t1470_array_iter]._u.two->b.b.e._length; _t1574_array_iter++)
                    {
                      if (flick_unmarshal_stub_ta_td_swap(_stream, _data->_u.next->_buffer[_t1470_array_iter]._u.two->b.b.e._buffer + _t1574_array_iter))
                        goto _flick_abort8415;
                      continue;
                      {
                      _flick_abort8415:
                        goto _flick_abort8411;
                      }
                    }
                  flick_iiopxx_decode_new_glob(4);
                  flick_iiopxx_check_span(4, _flick_abort8411);
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _data->_u.next->_buffer[_t1470_array_iter]._u.two->c._length, CORBA::ULong );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(4);
                  {
                    struct ::ta::td *_t_alloc_ptr;

                    _t_alloc_ptr = (struct ::ta::td *)new (struct ::ta::td [_data->_u.next->_buffer[_t1470_array_iter]._u.two->c._length]);
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort8411);
                    _data->_u.next->_buffer[_t1470_array_iter]._u.two->c._buffer = _t_alloc_ptr;
                    _data->_u.next->_buffer[_t1470_array_iter]._u.two->c._maximum = _data->_u.next->_buffer[_t1470_array_iter]._u.two->c._length;
                    _data->_u.next->_buffer[_t1470_array_iter]._u.two->c._release = 1;
                  }
                  for (_t1578_array_iter = 0; _t1578_array_iter < _data->_u.next->_buffer[_t1470_array_iter]._u.two->c._length; _t1578_array_iter++)
                    {
                      CORBA::ULong _t1580_array_iter;

                      flick_iiopxx_decode_new_glob(28);
                      flick_iiopxx_check_span(4, _flick_abort8435);
                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_swap_decode_signed32(0, _data->_u.next->_buffer[_t1470_array_iter]._u.two->c._buffer[_t1578_array_iter].a.a, CORBA::Long );
                      flick_iiopxx_decode_end_chunk(4);
                      flick_iiopxx_decode_new_chunk_align(20, 3, 2, 0);
                      flick_iiopxx_check_span(20, _flick_abort8435);
                      flick_cdr_swap_decode_float64(0, _data->_u.next->_buffer[_t1470_array_iter]._u.two->c._buffer[_t1578_array_iter].a.b, CORBA::Double );
                      flick_cdr_swap_decode_signed16(8, _data->_u.next->_buffer[_t1470_array_iter]._u.two->c._buffer[_t1578_array_iter].a.c, CORBA::Short );
                      flick_cdr_swap_decode_char8(10, _data->_u.next->_buffer[_t1470_array_iter]._u.two->c._buffer[_t1578_array_iter].b.a, CORBA::Char );
                      flick_cdr_swap_decode_char8(11, _data->_u.next->_buffer[_t1470_array_iter]._u.two->c._buffer[_t1578_array_iter].b.b, CORBA::Char );
                      flick_cdr_swap_decode_char8(12, _data->_u.next->_buffer[_t1470_array_iter]._u.two->c._buffer[_t1578_array_iter].b.c, CORBA::Char );
                      flick_cdr_swap_decode_char8(13, _data->_u.next->_buffer[_t1470_array_iter]._u.two->c._buffer[_t1578_array_iter].b.d, CORBA::Char );
                      flick_cdr_swap_decode_unsigned32(16, _data->_u.next->_buffer[_t1470_array_iter]._u.two->c._buffer[_t1578_array_iter].b.e._length, CORBA::ULong );
                      flick_iiopxx_decode_end_chunk(20);
                      flick_iiopxx_decode_end_glob(28);
                      {
                        struct ::ta::td *_t_alloc_ptr;

                        _t_alloc_ptr = (struct ::ta::td *)new (struct ::ta::td [_data->_u.next->_buffer[_t1470_array_iter]._u.two->c._buffer[_t1578_array_iter].b.e._length]);
                        if (!_t_alloc_ptr)
                          flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort8435);
                        _data->_u.next->_buffer[_t1470_array_iter]._u.two->c._buffer[_t1578_array_iter].b.e._buffer = _t_alloc_ptr;
                        _data->_u.next->_buffer[_t1470_array_iter]._u.two->c._buffer[_t1578_array_iter].b.e._maximum = _data->_u.next->_buffer[_t1470_array_iter]._u.two->c._buffer[_t1578_array_iter].b.e._length;
                        _data->_u.next->_buffer[_t1470_array_iter]._u.two->c._buffer[_t1578_array_iter].b.e._release = 1;
                      }
                      for (_t1580_array_iter = 0; _t1580_array_iter < _data->_u.next->_buffer[_t1470_array_iter]._u.two->c._buffer[_t1578_array_iter].b.e._length; _t1580_array_iter++)
                        {
                          if (flick_unmarshal_stub_ta_td_swap(_stream, _data->_u.next->_buffer[_t1470_array_iter]._u.two->c._buffer[_t1578_array_iter].b.e._buffer + _t1580_array_iter))
                            goto _flick_abort8445;
                          continue;
                          {
                          _flick_abort8445:
                            goto _flick_abort8435;
                          }
                        }
                      continue;
                      {
                      _flick_abort8435:
                        goto _flick_abort8411;
                      }
                    }
                  flick_iiopxx_decode_new_glob(4);
                  flick_iiopxx_check_span(4, _flick_abort8411);
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _data->_u.next->_buffer[_t1470_array_iter]._u.two->d._length, CORBA::ULong );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(4);
                  {
                    struct tb *_t_alloc_ptr;

                    _t_alloc_ptr = (struct tb *)new (struct tb [_data->_u.next->_buffer[_t1470_array_iter]._u.two->d._length]);
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort8411);
                    _data->_u.next->_buffer[_t1470_array_iter]._u.two->d._buffer = _t_alloc_ptr;
                    _data->_u.next->_buffer[_t1470_array_iter]._u.two->d._maximum = _data->_u.next->_buffer[_t1470_array_iter]._u.two->d._length;
                    _data->_u.next->_buffer[_t1470_array_iter]._u.two->d._release = 1;
                  }
                  for (_t1581_array_iter = 0; _t1581_array_iter < _data->_u.next->_buffer[_t1470_array_iter]._u.two->d._length; _t1581_array_iter++)
                    {
                      if (flick_unmarshal_stub_tb_swap(_stream, _data->_u.next->_buffer[_t1470_array_iter]._u.two->d._buffer + _t1581_array_iter))
                        goto _flick_abort8450;
                      continue;
                      {
                      _flick_abort8450:
                        goto _flick_abort8411;
                      }
                    }
                  break;
                  {
                  _flick_abort8411:
                    goto _flick_abort7864;
                  }
                }
              case 3:
                {
                  {
                    ::td::te *_t_alloc_ptr;

                    _t_alloc_ptr = (::td::te *)new ::td::te ;
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort8452);
                    _data->_u.next->_buffer[_t1470_array_iter]._u.three = _t_alloc_ptr;
                  }
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _data->_u.next->_buffer[_t1470_array_iter]._u.three->disc_, enum tc );
                  flick_iiopxx_decode_end_chunk(4);
                  switch (_data->_u.next->_buffer[_t1470_array_iter]._u.three->disc_)
                    {
                    case 0:
                      {
                        flick_iiopxx_check_span(4, _flick_abort8500);
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_swap_decode_signed32(0, _data->_u.next->_buffer[_t1470_array_iter]._u.three->_u.x, CORBA::Long );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(55);
                        break;
                        {
                        _flick_abort8500:
                          goto _flick_abort8452;
                        }
                      }
                    case 1:
                      {
                        flick_iiopxx_decode_new_chunk_align(8, 3, 2, 0);
                        flick_iiopxx_check_span(8, _flick_abort8501);
                        flick_cdr_swap_decode_float64(0, _data->_u.next->_buffer[_t1470_array_iter]._u.three->_u.y, CORBA::Double );
                        flick_iiopxx_decode_end_chunk(8);
                        flick_iiopxx_decode_end_glob(55);
                        break;
                        {
                        _flick_abort8501:
                          goto _flick_abort8452;
                        }
                      }
                    case 2:
                      {
                        flick_iiopxx_check_span(1, _flick_abort8502);
                        flick_iiopxx_decode_new_chunk(1);
                        flick_cdr_swap_decode_unsigned8(0, _data->_u.next->_buffer[_t1470_array_iter]._u.three->_u.z, CORBA::Boolean );
                        flick_iiopxx_decode_end_chunk(1);
                        flick_iiopxx_decode_end_glob(55);
                        break;
                        {
                        _flick_abort8502:
                          goto _flick_abort8452;
                        }
                      }
                    case 3:
                      {
                        CORBA::ULong _t1590_array_iter;
                        CORBA::ULong _t1594_array_iter;
                        CORBA::ULong _t1597_array_iter;

                        {
                          struct tb *_t_alloc_ptr;

                          _t_alloc_ptr = (struct tb *)new (struct tb );
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort8503);
                          _data->_u.next->_buffer[_t1470_array_iter]._u.three->_u.s = _t_alloc_ptr;
                        }
                        flick_iiopxx_check_span(4, _flick_abort8503);
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_swap_decode_signed32(0, _data->_u.next->_buffer[_t1470_array_iter]._u.three->_u.s->a.a, CORBA::Long );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_new_chunk_align(36, 3, 2, 0);
                        flick_iiopxx_check_span(36, _flick_abort8503);
                        flick_cdr_swap_decode_float64(0, _data->_u.next->_buffer[_t1470_array_iter]._u.three->_u.s->a.b, CORBA::Double );
                        flick_cdr_swap_decode_signed16(8, _data->_u.next->_buffer[_t1470_array_iter]._u.three->_u.s->a.c, CORBA::Short );
                        flick_cdr_swap_decode_signed32(12, _data->_u.next->_buffer[_t1470_array_iter]._u.three->_u.s->b.a.a, CORBA::Long );
                        flick_cdr_swap_decode_float64(16, _data->_u.next->_buffer[_t1470_array_iter]._u.three->_u.s->b.a.b, CORBA::Double );
                        flick_cdr_swap_decode_signed16(24, _data->_u.next->_buffer[_t1470_array_iter]._u.three->_u.s->b.a.c, CORBA::Short );
                        flick_cdr_swap_decode_char8(26, _data->_u.next->_buffer[_t1470_array_iter]._u.three->_u.s->b.b.a, CORBA::Char );
                        flick_cdr_swap_decode_char8(27, _data->_u.next->_buffer[_t1470_array_iter]._u.three->_u.s->b.b.b, CORBA::Char );
                        flick_cdr_swap_decode_char8(28, _data->_u.next->_buffer[_t1470_array_iter]._u.three->_u.s->b.b.c, CORBA::Char );
                        flick_cdr_swap_decode_char8(29, _data->_u.next->_buffer[_t1470_array_iter]._u.three->_u.s->b.b.d, CORBA::Char );
                        flick_cdr_swap_decode_unsigned32(32, _data->_u.next->_buffer[_t1470_array_iter]._u.three->_u.s->b.b.e._length, CORBA::ULong );
                        flick_iiopxx_decode_end_chunk(36);
                        flick_iiopxx_decode_end_glob(55);
                        {
                          struct ::ta::td *_t_alloc_ptr;

                          _t_alloc_ptr = (struct ::ta::td *)new (struct ::ta::td [_data->_u.next->_buffer[_t1470_array_iter]._u.three->_u.s->b.b.e._length]);
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort8503);
                          _data->_u.next->_buffer[_t1470_array_iter]._u.three->_u.s->b.b.e._buffer = _t_alloc_ptr;
                          _data->_u.next->_buffer[_t1470_array_iter]._u.three->_u.s->b.b.e._maximum = _data->_u.next->_buffer[_t1470_array_iter]._u.three->_u.s->b.b.e._length;
                          _data->_u.next->_buffer[_t1470_array_iter]._u.three->_u.s->b.b.e._release = 1;
                        }
                        for (_t1590_array_iter = 0; _t1590_array_iter < _data->_u.next->_buffer[_t1470_array_iter]._u.three->_u.s->b.b.e._length; _t1590_array_iter++)
                          {
                            if (flick_unmarshal_stub_ta_td_swap(_stream, _data->_u.next->_buffer[_t1470_array_iter]._u.three->_u.s->b.b.e._buffer + _t1590_array_iter))
                              goto _flick_abort8507;
                            continue;
                            {
                            _flick_abort8507:
                              goto _flick_abort8503;
                            }
                          }
                        flick_iiopxx_decode_new_glob(4);
                        flick_iiopxx_check_span(4, _flick_abort8503);
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _data->_u.next->_buffer[_t1470_array_iter]._u.three->_u.s->c._length, CORBA::ULong );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(4);
                        {
                          struct ::ta::td *_t_alloc_ptr;

                          _t_alloc_ptr = (struct ::ta::td *)new (struct ::ta::td [_data->_u.next->_buffer[_t1470_array_iter]._u.three->_u.s->c._length]);
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort8503);
                          _data->_u.next->_buffer[_t1470_array_iter]._u.three->_u.s->c._buffer = _t_alloc_ptr;
                          _data->_u.next->_buffer[_t1470_array_iter]._u.three->_u.s->c._maximum = _data->_u.next->_buffer[_t1470_array_iter]._u.three->_u.s->c._length;
                          _data->_u.next->_buffer[_t1470_array_iter]._u.three->_u.s->c._release = 1;
                        }
                        for (_t1594_array_iter = 0; _t1594_array_iter < _data->_u.next->_buffer[_t1470_array_iter]._u.three->_u.s->c._length; _t1594_array_iter++)
                          {
                            CORBA::ULong _t1596_array_iter;

                            flick_iiopxx_decode_new_glob(28);
                            flick_iiopxx_check_span(4, _flick_abort8527);
                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_swap_decode_signed32(0, _data->_u.next->_buffer[_t1470_array_iter]._u.three->_u.s->c._buffer[_t1594_array_iter].a.a, CORBA::Long );
                            flick_iiopxx_decode_end_chunk(4);
                            flick_iiopxx_decode_new_chunk_align(20, 3, 2, 0);
                            flick_iiopxx_check_span(20, _flick_abort8527);
                            flick_cdr_swap_decode_float64(0, _data->_u.next->_buffer[_t1470_array_iter]._u.three->_u.s->c._buffer[_t1594_array_iter].a.b, CORBA::Double );
                            flick_cdr_swap_decode_signed16(8, _data->_u.next->_buffer[_t1470_array_iter]._u.three->_u.s->c._buffer[_t1594_array_iter].a.c, CORBA::Short );
                            flick_cdr_swap_decode_char8(10, _data->_u.next->_buffer[_t1470_array_iter]._u.three->_u.s->c._buffer[_t1594_array_iter].b.a, CORBA::Char );
                            flick_cdr_swap_decode_char8(11, _data->_u.next->_buffer[_t1470_array_iter]._u.three->_u.s->c._buffer[_t1594_array_iter].b.b, CORBA::Char );
                            flick_cdr_swap_decode_char8(12, _data->_u.next->_buffer[_t1470_array_iter]._u.three->_u.s->c._buffer[_t1594_array_iter].b.c, CORBA::Char );
                            flick_cdr_swap_decode_char8(13, _data->_u.next->_buffer[_t1470_array_iter]._u.three->_u.s->c._buffer[_t1594_array_iter].b.d, CORBA::Char );
                            flick_cdr_swap_decode_unsigned32(16, _data->_u.next->_buffer[_t1470_array_iter]._u.three->_u.s->c._buffer[_t1594_array_iter].b.e._length, CORBA::ULong );
                            flick_iiopxx_decode_end_chunk(20);
                            flick_iiopxx_decode_end_glob(28);
                            {
                              struct ::ta::td *_t_alloc_ptr;

                              _t_alloc_ptr = (struct ::ta::td *)new (struct ::ta::td [_data->_u.next->_buffer[_t1470_array_iter]._u.three->_u.s->c._buffer[_t1594_array_iter].b.e._length]);
                              if (!_t_alloc_ptr)
                                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort8527);
                              _data->_u.next->_buffer[_t1470_array_iter]._u.three->_u.s->c._buffer[_t1594_array_iter].b.e._buffer = _t_alloc_ptr;
                              _data->_u.next->_buffer[_t1470_array_iter]._u.three->_u.s->c._buffer[_t1594_array_iter].b.e._maximum = _data->_u.next->_buffer[_t1470_array_iter]._u.three->_u.s->c._buffer[_t1594_array_iter].b.e._length;
                              _data->_u.next->_buffer[_t1470_array_iter]._u.three->_u.s->c._buffer[_t1594_array_iter].b.e._release = 1;
                            }
                            for (_t1596_array_iter = 0; _t1596_array_iter < _data->_u.next->_buffer[_t1470_array_iter]._u.three->_u.s->c._buffer[_t1594_array_iter].b.e._length; _t1596_array_iter++)
                              {
                                if (flick_unmarshal_stub_ta_td_swap(_stream, _data->_u.next->_buffer[_t1470_array_iter]._u.three->_u.s->c._buffer[_t1594_array_iter].b.e._buffer + _t1596_array_iter))
                                  goto _flick_abort8537;
                                continue;
                                {
                                _flick_abort8537:
                                  goto _flick_abort8527;
                                }
                              }
                            continue;
                            {
                            _flick_abort8527:
                              goto _flick_abort8503;
                            }
                          }
                        flick_iiopxx_decode_new_glob(4);
                        flick_iiopxx_check_span(4, _flick_abort8503);
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _data->_u.next->_buffer[_t1470_array_iter]._u.three->_u.s->d._length, CORBA::ULong );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(4);
                        {
                          struct tb *_t_alloc_ptr;

                          _t_alloc_ptr = (struct tb *)new (struct tb [_data->_u.next->_buffer[_t1470_array_iter]._u.three->_u.s->d._length]);
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort8503);
                          _data->_u.next->_buffer[_t1470_array_iter]._u.three->_u.s->d._buffer = _t_alloc_ptr;
                          _data->_u.next->_buffer[_t1470_array_iter]._u.three->_u.s->d._maximum = _data->_u.next->_buffer[_t1470_array_iter]._u.three->_u.s->d._length;
                          _data->_u.next->_buffer[_t1470_array_iter]._u.three->_u.s->d._release = 1;
                        }
                        for (_t1597_array_iter = 0; _t1597_array_iter < _data->_u.next->_buffer[_t1470_array_iter]._u.three->_u.s->d._length; _t1597_array_iter++)
                          {
                            if (flick_unmarshal_stub_tb_swap(_stream, _data->_u.next->_buffer[_t1470_array_iter]._u.three->_u.s->d._buffer + _t1597_array_iter))
                              goto _flick_abort8542;
                            continue;
                            {
                            _flick_abort8542:
                              goto _flick_abort8503;
                            }
                          }
                        break;
                        {
                        _flick_abort8503:
                          goto _flick_abort8452;
                        }
                      }
                    case 4:
                      {
                        {
                          ::td::te::tu *_t_alloc_ptr;

                          _t_alloc_ptr = (::td::te::tu *)new ::td::te::tu ;
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort8544);
                          _data->_u.next->_buffer[_t1470_array_iter]._u.three->_u.u = _t_alloc_ptr;
                        }
                        flick_iiopxx_decode_end_glob(55);
                        if (flick_unmarshal_stub_td_te_tu_swap(_stream, _data->_u.next->_buffer[_t1470_array_iter]._u.three->_u.u))
                          goto _flick_abort8544;
                        break;
                        {
                        _flick_abort8544:
                          goto _flick_abort8452;
                        }
                      }
                    default:
                      {
                        flick_iiopxx_decode_end_glob(55);
                        break;
                      }
                    }
                  break;
                  {
                  _flick_abort8452:
                    goto _flick_abort7864;
                  }
                }
              default:
                {
                  CORBA::ULong _t1598_array_iter;

                  {
                    ::td::flick_sequence_td *_t_alloc_ptr;

                    _t_alloc_ptr = (::td::flick_sequence_td *)new ::td::flick_sequence_td ;
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort8546);
                    _data->_u.next->_buffer[_t1470_array_iter]._u.again = _t_alloc_ptr;
                  }
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _data->_u.next->_buffer[_t1470_array_iter]._u.again->_length, CORBA::ULong );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_end_glob(55);
                  {
                    td *_t_alloc_ptr;

                    _t_alloc_ptr = (td *)new (td [_data->_u.next->_buffer[_t1470_array_iter]._u.again->_length]);
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort8546);
                    _data->_u.next->_buffer[_t1470_array_iter]._u.again->_buffer = _t_alloc_ptr;
                    _data->_u.next->_buffer[_t1470_array_iter]._u.again->_maximum = _data->_u.next->_buffer[_t1470_array_iter]._u.again->_length;
                    _data->_u.next->_buffer[_t1470_array_iter]._u.again->_release = 1;
                  }
                  for (_t1598_array_iter = 0; _t1598_array_iter < _data->_u.next->_buffer[_t1470_array_iter]._u.again->_length; _t1598_array_iter++)
                    {
                      if (flick_unmarshal_stub_td_swap(_stream, _data->_u.next->_buffer[_t1470_array_iter]._u.again->_buffer + _t1598_array_iter))
                        goto _flick_abort8550;
                      continue;
                      {
                      _flick_abort8550:
                        goto _flick_abort8546;
                      }
                    }
                  break;
                  {
                  _flick_abort8546:
                    goto _flick_abort7864;
                  }
                }
              }
            continue;
            {
            _flick_abort7864:
              goto _flick_abort7175;
            }
          }
        break;
        {
        _flick_abort7175:
          goto _flick_abort5795;
        }
      }
    default:
      {
        flick_iiopxx_decode_end_glob(8);
        break;
      }
    }
  return 0;
  {
  _flick_abort5795:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_td_te(flick_marshal_stream_t _stream, const ::td::te *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(48, _flick_abort8553);
  flick_iiopxx_encode_new_chunk(4);
  flick_cdr_encode_unsigned32(0, _data->disc_, enum tc );
  flick_iiopxx_encode_end_chunk(4);
  switch (_data->disc_)
    {
    case 0:
      {
        flick_iiopxx_encode_new_chunk(4);
        flick_cdr_encode_signed32(0, _data->_u.x, CORBA::Long );
        flick_iiopxx_encode_end_chunk(4);
        flick_iiopxx_encode_end_glob(48);
        break;
      }
    case 1:
      {
        flick_iiopxx_encode_new_chunk_align(8, 3, 2, 0);
        flick_cdr_encode_float64(0, _data->_u.y, CORBA::Double );
        flick_iiopxx_encode_end_chunk(8);
        flick_iiopxx_encode_end_glob(48);
        break;
      }
    case 2:
      {
        flick_iiopxx_encode_new_chunk(1);
        flick_cdr_encode_unsigned8(0, _data->_u.z, CORBA::Boolean );
        flick_iiopxx_encode_end_chunk(1);
        flick_iiopxx_encode_end_glob(48);
        break;
      }
    case 3:
      {
        CORBA::ULong _t1865_array_iter;
        CORBA::ULong _t1869_array_iter;
        CORBA::ULong _t1872_array_iter;

        flick_iiopxx_encode_new_chunk(4);
        flick_cdr_encode_signed32(0, _data->_u.s->a.a, CORBA::Long );
        flick_iiopxx_encode_end_chunk(4);
        flick_iiopxx_encode_new_chunk_align(36, 3, 2, 0);
        flick_cdr_encode_float64(0, _data->_u.s->a.b, CORBA::Double );
        flick_cdr_encode_signed16(8, _data->_u.s->a.c, CORBA::Short );
        flick_cdr_encode_signed32(12, _data->_u.s->b.a.a, CORBA::Long );
        flick_cdr_encode_float64(16, _data->_u.s->b.a.b, CORBA::Double );
        flick_cdr_encode_signed16(24, _data->_u.s->b.a.c, CORBA::Short );
        flick_cdr_encode_char8(26, _data->_u.s->b.b.a, CORBA::Char );
        flick_cdr_encode_char8(27, _data->_u.s->b.b.b, CORBA::Char );
        flick_cdr_encode_char8(28, _data->_u.s->b.b.c, CORBA::Char );
        flick_cdr_encode_char8(29, _data->_u.s->b.b.d, CORBA::Char );
        flick_cdr_encode_unsigned32(32, _data->_u.s->b.b.e._length, CORBA::ULong );
        flick_iiopxx_encode_end_chunk(36);
        flick_iiopxx_encode_end_glob(48);
        for (_t1865_array_iter = 0; _t1865_array_iter < _data->_u.s->b.b.e._length; _t1865_array_iter++)
          {
            if (flick_marshal_stub_ta_td(_stream, _data->_u.s->b.b.e._buffer + _t1865_array_iter))
              goto _flick_abort9877;
            continue;
            {
            _flick_abort9877:
              goto _flick_abort9873;
            }
          }
        flick_iiopxx_encode_new_glob(4, _flick_abort9873);
        flick_iiopxx_encode_new_chunk(4);
        flick_cdr_encode_unsigned32(0, _data->_u.s->c._length, CORBA::ULong );
        flick_iiopxx_encode_end_chunk(4);
        flick_iiopxx_encode_end_glob(4);
        for (_t1869_array_iter = 0; _t1869_array_iter < _data->_u.s->c._length; _t1869_array_iter++)
          {
            CORBA::ULong _t1871_array_iter;

            flick_iiopxx_encode_new_glob(28, _flick_abort9897);
            flick_iiopxx_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _data->_u.s->c._buffer[_t1869_array_iter].a.a, CORBA::Long );
            flick_iiopxx_encode_end_chunk(4);
            flick_iiopxx_encode_new_chunk_align(20, 3, 2, 0);
            flick_cdr_encode_float64(0, _data->_u.s->c._buffer[_t1869_array_iter].a.b, CORBA::Double );
            flick_cdr_encode_signed16(8, _data->_u.s->c._buffer[_t1869_array_iter].a.c, CORBA::Short );
            flick_cdr_encode_char8(10, _data->_u.s->c._buffer[_t1869_array_iter].b.a, CORBA::Char );
            flick_cdr_encode_char8(11, _data->_u.s->c._buffer[_t1869_array_iter].b.b, CORBA::Char );
            flick_cdr_encode_char8(12, _data->_u.s->c._buffer[_t1869_array_iter].b.c, CORBA::Char );
            flick_cdr_encode_char8(13, _data->_u.s->c._buffer[_t1869_array_iter].b.d, CORBA::Char );
            flick_cdr_encode_unsigned32(16, _data->_u.s->c._buffer[_t1869_array_iter].b.e._length, CORBA::ULong );
            flick_iiopxx_encode_end_chunk(20);
            flick_iiopxx_encode_end_glob(28);
            for (_t1871_array_iter = 0; _t1871_array_iter < _data->_u.s->c._buffer[_t1869_array_iter].b.e._length; _t1871_array_iter++)
              {
                if (flick_marshal_stub_ta_td(_stream, _data->_u.s->c._buffer[_t1869_array_iter].b.e._buffer + _t1871_array_iter))
                  goto _flick_abort9907;
                continue;
                {
                _flick_abort9907:
                  goto _flick_abort9897;
                }
              }
            continue;
            {
            _flick_abort9897:
              goto _flick_abort9873;
            }
          }
        flick_iiopxx_encode_new_glob(4, _flick_abort9873);
        flick_iiopxx_encode_new_chunk(4);
        flick_cdr_encode_unsigned32(0, _data->_u.s->d._length, CORBA::ULong );
        flick_iiopxx_encode_end_chunk(4);
        flick_iiopxx_encode_end_glob(4);
        for (_t1872_array_iter = 0; _t1872_array_iter < _data->_u.s->d._length; _t1872_array_iter++)
          {
            if (flick_marshal_stub_tb(_stream, _data->_u.s->d._buffer + _t1872_array_iter))
              goto _flick_abort9912;
            continue;
            {
            _flick_abort9912:
              goto _flick_abort9873;
            }
          }
        break;
        {
        _flick_abort9873:
          goto _flick_abort8553;
        }
      }
    case 4:
      {
        flick_iiopxx_encode_new_chunk(1);
        flick_cdr_encode_unsigned8(0, _data->_u.u->disc_, CORBA::Boolean );
        flick_iiopxx_encode_end_chunk(1);
        switch (_data->_u.u->disc_)
          {
          case 1:
            {
              CORBA::ULong _t2066_array_iter;

              flick_iiopxx_encode_new_chunk(7);
              flick_cdr_encode_unsigned32(3, _data->_u.u->_u.next->_length, CORBA::ULong );
              flick_iiopxx_encode_end_chunk(7);
              flick_iiopxx_encode_end_glob(48);
              if (_data->_u.u->_u.next->_length > 1)
                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort10550);
              for (_t2066_array_iter = 0; _t2066_array_iter < _data->_u.u->_u.next->_length; _t2066_array_iter++)
                {
                  flick_iiopxx_encode_new_glob(48, _flick_abort10867);
                  flick_iiopxx_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _data->_u.u->_u.next->_buffer[_t2066_array_iter].disc_, CORBA::Long );
                  flick_iiopxx_encode_end_chunk(4);
                  switch (_data->_u.u->_u.next->_buffer[_t2066_array_iter].disc_)
                    {
                    case 1:
                      {
                        flick_unsigned32_t _t2115_temp_string_len;
                        CORBA::ULong _t2116_array_iter;
                        CORBA::ULong _t2117_array_iter;
                        CORBA::ULong _t2118_array_iter;
                        flick_unsigned32_t _t2119_temp_string_len;
                        CORBA::ULong _t2120_array_iter;
                        CORBA::ULong _t2121_array_iter;

                        flick_cdr_stringlen(CORBA::Char *, _data->_u.u->_u.next->_buffer[_t2066_array_iter]._u.one->b.b, flick_unsigned32_t , _t2115_temp_string_len);
                        flick_cdr_stringlen(CORBA::Char *, _data->_u.u->_u.next->_buffer[_t2066_array_iter]._u.one->e.b, flick_unsigned32_t , _t2119_temp_string_len);

                        flick_iiopxx_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _data->_u.u->_u.next->_buffer[_t2066_array_iter]._u.one->a.a, CORBA::Long );
                        flick_iiopxx_encode_end_chunk(4);
                        flick_iiopxx_encode_new_chunk_align(16, 3, 2, 0);
                        flick_cdr_encode_float64(0, _data->_u.u->_u.next->_buffer[_t2066_array_iter]._u.one->a.b, CORBA::Double );
                        flick_cdr_encode_signed16(8, _data->_u.u->_u.next->_buffer[_t2066_array_iter]._u.one->a.c, CORBA::Short );
                        flick_cdr_encode_char8(10, _data->_u.u->_u.next->_buffer[_t2066_array_iter]._u.one->b.a, CORBA::Char );
                        flick_cdr_encode_unsigned32(12, _t2115_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_encode_end_chunk(16);
                        flick_iiopxx_encode_end_glob(48);
                        flick_iiopxx_encode_new_glob(1 * _t2115_temp_string_len, _flick_abort11105);
                        flick_iiopxx_encode_new_chunk(1 * _t2115_temp_string_len);
                        flick_cdr_encode_bcopy(0, _data->_u.u->_u.next->_buffer[_t2066_array_iter]._u.one->b.b, 1 * _t2115_temp_string_len);
                        flick_iiopxx_encode_end_chunk(1 * _t2115_temp_string_len);
                        flick_iiopxx_encode_end_glob(1 * _t2115_temp_string_len);
                        flick_iiopxx_encode_new_glob(7, _flick_abort11105);
                        flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                        flick_cdr_encode_unsigned32(0, _data->_u.u->_u.next->_buffer[_t2066_array_iter]._u.one->b.c._length, CORBA::ULong );
                        flick_iiopxx_encode_end_chunk(4);
                        flick_iiopxx_encode_end_glob(7);
                        for (_t2116_array_iter = 0; _t2116_array_iter < _data->_u.u->_u.next->_buffer[_t2066_array_iter]._u.one->b.c._length; _t2116_array_iter++)
                          {
                            if (flick_marshal_stub_ta_tc(_stream, _data->_u.u->_u.next->_buffer[_t2066_array_iter]._u.one->b.c._buffer + _t2116_array_iter))
                              goto _flick_abort11111;
                            continue;
                            {
                            _flick_abort11111:
                              goto _flick_abort11105;
                            }
                          }
                        flick_iiopxx_encode_new_glob(28, _flick_abort11105);
                        flick_iiopxx_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _data->_u.u->_u.next->_buffer[_t2066_array_iter]._u.one->c.a.a, CORBA::Long );
                        flick_iiopxx_encode_end_chunk(4);
                        flick_iiopxx_encode_new_chunk_align(20, 3, 2, 0);
                        flick_cdr_encode_float64(0, _data->_u.u->_u.next->_buffer[_t2066_array_iter]._u.one->c.a.b, CORBA::Double );
                        flick_cdr_encode_signed16(8, _data->_u.u->_u.next->_buffer[_t2066_array_iter]._u.one->c.a.c, CORBA::Short );
                        flick_cdr_encode_char8(10, _data->_u.u->_u.next->_buffer[_t2066_array_iter]._u.one->c.b.a, CORBA::Char );
                        flick_cdr_encode_char8(11, _data->_u.u->_u.next->_buffer[_t2066_array_iter]._u.one->c.b.b, CORBA::Char );
                        flick_cdr_encode_char8(12, _data->_u.u->_u.next->_buffer[_t2066_array_iter]._u.one->c.b.c, CORBA::Char );
                        flick_cdr_encode_char8(13, _data->_u.u->_u.next->_buffer[_t2066_array_iter]._u.one->c.b.d, CORBA::Char );
                        flick_cdr_encode_unsigned32(16, _data->_u.u->_u.next->_buffer[_t2066_array_iter]._u.one->c.b.e._length, CORBA::ULong );
                        flick_iiopxx_encode_end_chunk(20);
                        flick_iiopxx_encode_end_glob(28);
                        for (_t2117_array_iter = 0; _t2117_array_iter < _data->_u.u->_u.next->_buffer[_t2066_array_iter]._u.one->c.b.e._length; _t2117_array_iter++)
                          {
                            if (flick_marshal_stub_ta_td(_stream, _data->_u.u->_u.next->_buffer[_t2066_array_iter]._u.one->c.b.e._buffer + _t2117_array_iter))
                              goto _flick_abort11116;
                            continue;
                            {
                            _flick_abort11116:
                              goto _flick_abort11105;
                            }
                          }
                        flick_iiopxx_encode_new_glob(4, _flick_abort11105);
                        flick_iiopxx_encode_new_chunk(4);
                        flick_cdr_encode_unsigned32(0, _data->_u.u->_u.next->_buffer[_t2066_array_iter]._u.one->next._length, CORBA::ULong );
                        flick_iiopxx_encode_end_chunk(4);
                        flick_iiopxx_encode_end_glob(4);
                        for (_t2118_array_iter = 0; _t2118_array_iter < _data->_u.u->_u.next->_buffer[_t2066_array_iter]._u.one->next._length; _t2118_array_iter++)
                          {
                            if (flick_marshal_stub_ta(_stream, _data->_u.u->_u.next->_buffer[_t2066_array_iter]._u.one->next._buffer + _t2118_array_iter))
                              goto _flick_abort11121;
                            continue;
                            {
                            _flick_abort11121:
                              goto _flick_abort11105;
                            }
                          }
                        flick_iiopxx_encode_new_glob(24, _flick_abort11105);
                        flick_iiopxx_encode_new_chunk(24);
                        flick_cdr_encode_signed32(0, _data->_u.u->_u.next->_buffer[_t2066_array_iter]._u.one->d.a, CORBA::Long );
                        flick_cdr_encode_float64(8, _data->_u.u->_u.next->_buffer[_t2066_array_iter]._u.one->d.b, CORBA::Double );
                        flick_cdr_encode_signed16(16, _data->_u.u->_u.next->_buffer[_t2066_array_iter]._u.one->d.c, CORBA::Short );
                        flick_cdr_encode_char8(18, _data->_u.u->_u.next->_buffer[_t2066_array_iter]._u.one->e.a, CORBA::Char );
                        flick_cdr_encode_unsigned32(20, _t2119_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_encode_end_chunk(24);
                        flick_iiopxx_encode_end_glob(24);
                        flick_iiopxx_encode_new_glob(1 * _t2119_temp_string_len, _flick_abort11105);
                        flick_iiopxx_encode_new_chunk(1 * _t2119_temp_string_len);
                        flick_cdr_encode_bcopy(0, _data->_u.u->_u.next->_buffer[_t2066_array_iter]._u.one->e.b, 1 * _t2119_temp_string_len);
                        flick_iiopxx_encode_end_chunk(1 * _t2119_temp_string_len);
                        flick_iiopxx_encode_end_glob(1 * _t2119_temp_string_len);
                        flick_iiopxx_encode_new_glob(7, _flick_abort11105);
                        flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                        flick_cdr_encode_unsigned32(0, _data->_u.u->_u.next->_buffer[_t2066_array_iter]._u.one->e.c._length, CORBA::ULong );
                        flick_iiopxx_encode_end_chunk(4);
                        flick_iiopxx_encode_end_glob(7);
                        for (_t2120_array_iter = 0; _t2120_array_iter < _data->_u.u->_u.next->_buffer[_t2066_array_iter]._u.one->e.c._length; _t2120_array_iter++)
                          {
                            if (flick_marshal_stub_ta_tc(_stream, _data->_u.u->_u.next->_buffer[_t2066_array_iter]._u.one->e.c._buffer + _t2120_array_iter))
                              goto _flick_abort11128;
                            continue;
                            {
                            _flick_abort11128:
                              goto _flick_abort11105;
                            }
                          }
                        flick_iiopxx_encode_new_glob(28, _flick_abort11105);
                        flick_iiopxx_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _data->_u.u->_u.next->_buffer[_t2066_array_iter]._u.one->f.a.a, CORBA::Long );
                        flick_iiopxx_encode_end_chunk(4);
                        flick_iiopxx_encode_new_chunk_align(20, 3, 2, 0);
                        flick_cdr_encode_float64(0, _data->_u.u->_u.next->_buffer[_t2066_array_iter]._u.one->f.a.b, CORBA::Double );
                        flick_cdr_encode_signed16(8, _data->_u.u->_u.next->_buffer[_t2066_array_iter]._u.one->f.a.c, CORBA::Short );
                        flick_cdr_encode_char8(10, _data->_u.u->_u.next->_buffer[_t2066_array_iter]._u.one->f.b.a, CORBA::Char );
                        flick_cdr_encode_char8(11, _data->_u.u->_u.next->_buffer[_t2066_array_iter]._u.one->f.b.b, CORBA::Char );
                        flick_cdr_encode_char8(12, _data->_u.u->_u.next->_buffer[_t2066_array_iter]._u.one->f.b.c, CORBA::Char );
                        flick_cdr_encode_char8(13, _data->_u.u->_u.next->_buffer[_t2066_array_iter]._u.one->f.b.d, CORBA::Char );
                        flick_cdr_encode_unsigned32(16, _data->_u.u->_u.next->_buffer[_t2066_array_iter]._u.one->f.b.e._length, CORBA::ULong );
                        flick_iiopxx_encode_end_chunk(20);
                        flick_iiopxx_encode_end_glob(28);
                        for (_t2121_array_iter = 0; _t2121_array_iter < _data->_u.u->_u.next->_buffer[_t2066_array_iter]._u.one->f.b.e._length; _t2121_array_iter++)
                          {
                            if (flick_marshal_stub_ta_td(_stream, _data->_u.u->_u.next->_buffer[_t2066_array_iter]._u.one->f.b.e._buffer + _t2121_array_iter))
                              goto _flick_abort11133;
                            continue;
                            {
                            _flick_abort11133:
                              goto _flick_abort11105;
                            }
                          }
                        break;
                        {
                        _flick_abort11105:
                          goto _flick_abort10867;
                        }
                      }
                    case 2:
                      {
                        CORBA::ULong _t2122_array_iter;
                        CORBA::ULong _t2126_array_iter;
                        CORBA::ULong _t2129_array_iter;

                        flick_iiopxx_encode_new_chunk(4);
                        flick_cdr_encode_signed32(0, _data->_u.u->_u.next->_buffer[_t2066_array_iter]._u.two->a.a, CORBA::Long );
                        flick_iiopxx_encode_end_chunk(4);
                        flick_iiopxx_encode_new_chunk_align(36, 3, 2, 0);
                        flick_cdr_encode_float64(0, _data->_u.u->_u.next->_buffer[_t2066_array_iter]._u.two->a.b, CORBA::Double );
                        flick_cdr_encode_signed16(8, _data->_u.u->_u.next->_buffer[_t2066_array_iter]._u.two->a.c, CORBA::Short );
                        flick_cdr_encode_signed32(12, _data->_u.u->_u.next->_buffer[_t2066_array_iter]._u.two->b.a.a, CORBA::Long );
                        flick_cdr_encode_float64(16, _data->_u.u->_u.next->_buffer[_t2066_array_iter]._u.two->b.a.b, CORBA::Double );
                        flick_cdr_encode_signed16(24, _data->_u.u->_u.next->_buffer[_t2066_array_iter]._u.two->b.a.c, CORBA::Short );
                        flick_cdr_encode_char8(26, _data->_u.u->_u.next->_buffer[_t2066_array_iter]._u.two->b.b.a, CORBA::Char );
                        flick_cdr_encode_char8(27, _data->_u.u->_u.next->_buffer[_t2066_array_iter]._u.two->b.b.b, CORBA::Char );
                        flick_cdr_encode_char8(28, _data->_u.u->_u.next->_buffer[_t2066_array_iter]._u.two->b.b.c, CORBA::Char );
                        flick_cdr_encode_char8(29, _data->_u.u->_u.next->_buffer[_t2066_array_iter]._u.two->b.b.d, CORBA::Char );
                        flick_cdr_encode_unsigned32(32, _data->_u.u->_u.next->_buffer[_t2066_array_iter]._u.two->b.b.e._length, CORBA::ULong );
                        flick_iiopxx_encode_end_chunk(36);
                        flick_iiopxx_encode_end_glob(48);
                        for (_t2122_array_iter = 0; _t2122_array_iter < _data->_u.u->_u.next->_buffer[_t2066_array_iter]._u.two->b.b.e._length; _t2122_array_iter++)
                          {
                            if (flick_marshal_stub_ta_td(_stream, _data->_u.u->_u.next->_buffer[_t2066_array_iter]._u.two->b.b.e._buffer + _t2122_array_iter))
                              goto _flick_abort11139;
                            continue;
                            {
                            _flick_abort11139:
                              goto _flick_abort11135;
                            }
                          }
                        flick_iiopxx_encode_new_glob(4, _flick_abort11135);
                        flick_iiopxx_encode_new_chunk(4);
                        flick_cdr_encode_unsigned32(0, _data->_u.u->_u.next->_buffer[_t2066_array_iter]._u.two->c._length, CORBA::ULong );
                        flick_iiopxx_encode_end_chunk(4);
                        flick_iiopxx_encode_end_glob(4);
                        for (_t2126_array_iter = 0; _t2126_array_iter < _data->_u.u->_u.next->_buffer[_t2066_array_iter]._u.two->c._length; _t2126_array_iter++)
                          {
                            CORBA::ULong _t2128_array_iter;

                            flick_iiopxx_encode_new_glob(28, _flick_abort11159);
                            flick_iiopxx_encode_new_chunk(4);
                            flick_cdr_encode_signed32(0, _data->_u.u->_u.next->_buffer[_t2066_array_iter]._u.two->c._buffer[_t2126_array_iter].a.a, CORBA::Long );
                            flick_iiopxx_encode_end_chunk(4);
                            flick_iiopxx_encode_new_chunk_align(20, 3, 2, 0);
                            flick_cdr_encode_float64(0, _data->_u.u->_u.next->_buffer[_t2066_array_iter]._u.two->c._buffer[_t2126_array_iter].a.b, CORBA::Double );
                            flick_cdr_encode_signed16(8, _data->_u.u->_u.next->_buffer[_t2066_array_iter]._u.two->c._buffer[_t2126_array_iter].a.c, CORBA::Short );
                            flick_cdr_encode_char8(10, _data->_u.u->_u.next->_buffer[_t2066_array_iter]._u.two->c._buffer[_t2126_array_iter].b.a, CORBA::Char );
                            flick_cdr_encode_char8(11, _data->_u.u->_u.next->_buffer[_t2066_array_iter]._u.two->c._buffer[_t2126_array_iter].b.b, CORBA::Char );
                            flick_cdr_encode_char8(12, _data->_u.u->_u.next->_buffer[_t2066_array_iter]._u.two->c._buffer[_t2126_array_iter].b.c, CORBA::Char );
                            flick_cdr_encode_char8(13, _data->_u.u->_u.next->_buffer[_t2066_array_iter]._u.two->c._buffer[_t2126_array_iter].b.d, CORBA::Char );
                            flick_cdr_encode_unsigned32(16, _data->_u.u->_u.next->_buffer[_t2066_array_iter]._u.two->c._buffer[_t2126_array_iter].b.e._length, CORBA::ULong );
                            flick_iiopxx_encode_end_chunk(20);
                            flick_iiopxx_encode_end_glob(28);
                            for (_t2128_array_iter = 0; _t2128_array_iter < _data->_u.u->_u.next->_buffer[_t2066_array_iter]._u.two->c._buffer[_t2126_array_iter].b.e._length; _t2128_array_iter++)
                              {
                                if (flick_marshal_stub_ta_td(_stream, _data->_u.u->_u.next->_buffer[_t2066_array_iter]._u.two->c._buffer[_t2126_array_iter].b.e._buffer + _t2128_array_iter))
                                  goto _flick_abort11169;
                                continue;
                                {
                                _flick_abort11169:
                                  goto _flick_abort11159;
                                }
                              }
                            continue;
                            {
                            _flick_abort11159:
                              goto _flick_abort11135;
                            }
                          }
                        flick_iiopxx_encode_new_glob(4, _flick_abort11135);
                        flick_iiopxx_encode_new_chunk(4);
                        flick_cdr_encode_unsigned32(0, _data->_u.u->_u.next->_buffer[_t2066_array_iter]._u.two->d._length, CORBA::ULong );
                        flick_iiopxx_encode_end_chunk(4);
                        flick_iiopxx_encode_end_glob(4);
                        for (_t2129_array_iter = 0; _t2129_array_iter < _data->_u.u->_u.next->_buffer[_t2066_array_iter]._u.two->d._length; _t2129_array_iter++)
                          {
                            if (flick_marshal_stub_tb(_stream, _data->_u.u->_u.next->_buffer[_t2066_array_iter]._u.two->d._buffer + _t2129_array_iter))
                              goto _flick_abort11174;
                            continue;
                            {
                            _flick_abort11174:
                              goto _flick_abort11135;
                            }
                          }
                        break;
                        {
                        _flick_abort11135:
                          goto _flick_abort10867;
                        }
                      }
                    case 3:
                      {
                        flick_iiopxx_encode_end_glob(48);
                        if (flick_marshal_stub_td_te(_stream, _data->_u.u->_u.next->_buffer[_t2066_array_iter]._u.three))
                          goto _flick_abort11176;
                        break;
                        {
                        _flick_abort11176:
                          goto _flick_abort10867;
                        }
                      }
                    default:
                      {
                        CORBA::ULong _t2130_array_iter;

                        flick_iiopxx_encode_new_chunk(4);
                        flick_cdr_encode_unsigned32(0, _data->_u.u->_u.next->_buffer[_t2066_array_iter]._u.again->_length, CORBA::ULong );
                        flick_iiopxx_encode_end_chunk(4);
                        flick_iiopxx_encode_end_glob(48);
                        for (_t2130_array_iter = 0; _t2130_array_iter < _data->_u.u->_u.next->_buffer[_t2066_array_iter]._u.again->_length; _t2130_array_iter++)
                          {
                            if (flick_marshal_stub_td(_stream, _data->_u.u->_u.next->_buffer[_t2066_array_iter]._u.again->_buffer + _t2130_array_iter))
                              goto _flick_abort11181;
                            continue;
                            {
                            _flick_abort11181:
                              goto _flick_abort11177;
                            }
                          }
                        break;
                        {
                        _flick_abort11177:
                          goto _flick_abort10867;
                        }
                      }
                    }
                  continue;
                  {
                  _flick_abort10867:
                    goto _flick_abort10550;
                  }
                }
              break;
              {
              _flick_abort10550:
                goto _flick_abort9914;
              }
            }
          default:
            {
              flick_iiopxx_encode_end_glob(48);
              break;
            }
          }
        break;
        {
        _flick_abort9914:
          goto _flick_abort8553;
        }
      }
    default:
      {
        flick_iiopxx_encode_end_glob(48);
        break;
      }
    }
  return 0;
  {
  _flick_abort8553:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_td_te(flick_marshal_stream_t _stream, ::td::te *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(48);
  flick_iiopxx_check_span(4, _flick_abort11185);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_decode_unsigned32(0, _data->disc_, enum tc );
  flick_iiopxx_decode_end_chunk(4);
  switch (_data->disc_)
    {
    case 0:
      {
        flick_iiopxx_check_span(4, _flick_abort12502);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _data->_u.x, CORBA::Long );
        flick_iiopxx_decode_end_chunk(4);
        flick_iiopxx_decode_end_glob(48);
        break;
        {
        _flick_abort12502:
          goto _flick_abort11185;
        }
      }
    case 1:
      {
        flick_iiopxx_decode_new_chunk_align(8, 3, 2, 0);
        flick_iiopxx_check_span(8, _flick_abort12503);
        flick_cdr_decode_float64(0, _data->_u.y, CORBA::Double );
        flick_iiopxx_decode_end_chunk(8);
        flick_iiopxx_decode_end_glob(48);
        break;
        {
        _flick_abort12503:
          goto _flick_abort11185;
        }
      }
    case 2:
      {
        flick_iiopxx_check_span(1, _flick_abort12504);
        flick_iiopxx_decode_new_chunk(1);
        flick_cdr_decode_unsigned8(0, _data->_u.z, CORBA::Boolean );
        flick_iiopxx_decode_end_chunk(1);
        flick_iiopxx_decode_end_glob(48);
        break;
        {
        _flick_abort12504:
          goto _flick_abort11185;
        }
      }
    case 3:
      {
        CORBA::ULong _t2397_array_iter;
        CORBA::ULong _t2401_array_iter;
        CORBA::ULong _t2404_array_iter;

        {
          struct tb *_t_alloc_ptr;

          _t_alloc_ptr = (struct tb *)new (struct tb );
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort12505);
          _data->_u.s = _t_alloc_ptr;
        }
        flick_iiopxx_check_span(4, _flick_abort12505);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _data->_u.s->a.a, CORBA::Long );
        flick_iiopxx_decode_end_chunk(4);
        flick_iiopxx_decode_new_chunk_align(36, 3, 2, 0);
        flick_iiopxx_check_span(36, _flick_abort12505);
        flick_cdr_decode_float64(0, _data->_u.s->a.b, CORBA::Double );
        flick_cdr_decode_signed16(8, _data->_u.s->a.c, CORBA::Short );
        flick_cdr_decode_signed32(12, _data->_u.s->b.a.a, CORBA::Long );
        flick_cdr_decode_float64(16, _data->_u.s->b.a.b, CORBA::Double );
        flick_cdr_decode_signed16(24, _data->_u.s->b.a.c, CORBA::Short );
        flick_cdr_decode_char8(26, _data->_u.s->b.b.a, CORBA::Char );
        flick_cdr_decode_char8(27, _data->_u.s->b.b.b, CORBA::Char );
        flick_cdr_decode_char8(28, _data->_u.s->b.b.c, CORBA::Char );
        flick_cdr_decode_char8(29, _data->_u.s->b.b.d, CORBA::Char );
        flick_cdr_decode_unsigned32(32, _data->_u.s->b.b.e._length, CORBA::ULong );
        flick_iiopxx_decode_end_chunk(36);
        flick_iiopxx_decode_end_glob(48);
        {
          struct ::ta::td *_t_alloc_ptr;

          _t_alloc_ptr = (struct ::ta::td *)new (struct ::ta::td [_data->_u.s->b.b.e._length]);
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort12505);
          _data->_u.s->b.b.e._buffer = _t_alloc_ptr;
          _data->_u.s->b.b.e._maximum = _data->_u.s->b.b.e._length;
          _data->_u.s->b.b.e._release = 1;
        }
        for (_t2397_array_iter = 0; _t2397_array_iter < _data->_u.s->b.b.e._length; _t2397_array_iter++)
          {
            if (flick_unmarshal_stub_ta_td(_stream, _data->_u.s->b.b.e._buffer + _t2397_array_iter))
              goto _flick_abort12509;
            continue;
            {
            _flick_abort12509:
              goto _flick_abort12505;
            }
          }
        flick_iiopxx_decode_new_glob(4);
        flick_iiopxx_check_span(4, _flick_abort12505);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_unsigned32(0, _data->_u.s->c._length, CORBA::ULong );
        flick_iiopxx_decode_end_chunk(4);
        flick_iiopxx_decode_end_glob(4);
        {
          struct ::ta::td *_t_alloc_ptr;

          _t_alloc_ptr = (struct ::ta::td *)new (struct ::ta::td [_data->_u.s->c._length]);
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort12505);
          _data->_u.s->c._buffer = _t_alloc_ptr;
          _data->_u.s->c._maximum = _data->_u.s->c._length;
          _data->_u.s->c._release = 1;
        }
        for (_t2401_array_iter = 0; _t2401_array_iter < _data->_u.s->c._length; _t2401_array_iter++)
          {
            CORBA::ULong _t2403_array_iter;

            flick_iiopxx_decode_new_glob(28);
            flick_iiopxx_check_span(4, _flick_abort12529);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, _data->_u.s->c._buffer[_t2401_array_iter].a.a, CORBA::Long );
            flick_iiopxx_decode_end_chunk(4);
            flick_iiopxx_decode_new_chunk_align(20, 3, 2, 0);
            flick_iiopxx_check_span(20, _flick_abort12529);
            flick_cdr_decode_float64(0, _data->_u.s->c._buffer[_t2401_array_iter].a.b, CORBA::Double );
            flick_cdr_decode_signed16(8, _data->_u.s->c._buffer[_t2401_array_iter].a.c, CORBA::Short );
            flick_cdr_decode_char8(10, _data->_u.s->c._buffer[_t2401_array_iter].b.a, CORBA::Char );
            flick_cdr_decode_char8(11, _data->_u.s->c._buffer[_t2401_array_iter].b.b, CORBA::Char );
            flick_cdr_decode_char8(12, _data->_u.s->c._buffer[_t2401_array_iter].b.c, CORBA::Char );
            flick_cdr_decode_char8(13, _data->_u.s->c._buffer[_t2401_array_iter].b.d, CORBA::Char );
            flick_cdr_decode_unsigned32(16, _data->_u.s->c._buffer[_t2401_array_iter].b.e._length, CORBA::ULong );
            flick_iiopxx_decode_end_chunk(20);
            flick_iiopxx_decode_end_glob(28);
            {
              struct ::ta::td *_t_alloc_ptr;

              _t_alloc_ptr = (struct ::ta::td *)new (struct ::ta::td [_data->_u.s->c._buffer[_t2401_array_iter].b.e._length]);
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort12529);
              _data->_u.s->c._buffer[_t2401_array_iter].b.e._buffer = _t_alloc_ptr;
              _data->_u.s->c._buffer[_t2401_array_iter].b.e._maximum = _data->_u.s->c._buffer[_t2401_array_iter].b.e._length;
              _data->_u.s->c._buffer[_t2401_array_iter].b.e._release = 1;
            }
            for (_t2403_array_iter = 0; _t2403_array_iter < _data->_u.s->c._buffer[_t2401_array_iter].b.e._length; _t2403_array_iter++)
              {
                if (flick_unmarshal_stub_ta_td(_stream, _data->_u.s->c._buffer[_t2401_array_iter].b.e._buffer + _t2403_array_iter))
                  goto _flick_abort12539;
                continue;
                {
                _flick_abort12539:
                  goto _flick_abort12529;
                }
              }
            continue;
            {
            _flick_abort12529:
              goto _flick_abort12505;
            }
          }
        flick_iiopxx_decode_new_glob(4);
        flick_iiopxx_check_span(4, _flick_abort12505);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_unsigned32(0, _data->_u.s->d._length, CORBA::ULong );
        flick_iiopxx_decode_end_chunk(4);
        flick_iiopxx_decode_end_glob(4);
        {
          struct tb *_t_alloc_ptr;

          _t_alloc_ptr = (struct tb *)new (struct tb [_data->_u.s->d._length]);
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort12505);
          _data->_u.s->d._buffer = _t_alloc_ptr;
          _data->_u.s->d._maximum = _data->_u.s->d._length;
          _data->_u.s->d._release = 1;
        }
        for (_t2404_array_iter = 0; _t2404_array_iter < _data->_u.s->d._length; _t2404_array_iter++)
          {
            if (flick_unmarshal_stub_tb(_stream, _data->_u.s->d._buffer + _t2404_array_iter))
              goto _flick_abort12544;
            continue;
            {
            _flick_abort12544:
              goto _flick_abort12505;
            }
          }
        break;
        {
        _flick_abort12505:
          goto _flick_abort11185;
        }
      }
    case 4:
      {
        {
          ::td::te::tu *_t_alloc_ptr;

          _t_alloc_ptr = (::td::te::tu *)new ::td::te::tu ;
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort12546);
          _data->_u.u = _t_alloc_ptr;
        }
        flick_iiopxx_check_span(8, _flick_abort12546);
        flick_iiopxx_decode_new_chunk(1);
        flick_cdr_decode_unsigned8(0, _data->_u.u->disc_, CORBA::Boolean );
        flick_iiopxx_decode_end_chunk(1);
        switch (_data->_u.u->disc_)
          {
          case 1:
            {
              CORBA::ULong _t2598_array_iter;

              {
                ::td::te::tu::flick_sequence_td_bounded_1 *_t_alloc_ptr;

                _t_alloc_ptr = (::td::te::tu::flick_sequence_td_bounded_1 *)new ::td::te::tu::flick_sequence_td_bounded_1 ;
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort13182);
                _data->_u.u->_u.next = _t_alloc_ptr;
              }
              flick_iiopxx_decode_new_chunk(7);
              flick_cdr_decode_unsigned32(3, _data->_u.u->_u.next->_length, CORBA::ULong );
              flick_iiopxx_decode_end_chunk(7);
              flick_iiopxx_decode_end_glob(48);
              if (_data->_u.u->_u.next->_length > 1)
                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort13182);
              {
                td *_t_alloc_ptr;

                _t_alloc_ptr = (td *)new td ;
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort13182);
                _data->_u.u->_u.next->_buffer = _t_alloc_ptr;
                _data->_u.u->_u.next->_maximum = 1;
                _data->_u.u->_u.next->_release = 1;
              }
              for (_t2598_array_iter = 0; _t2598_array_iter < _data->_u.u->_u.next->_length; _t2598_array_iter++)
                {
                  flick_iiopxx_decode_new_glob(48);
                  flick_iiopxx_check_span(4, _flick_abort13499);
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_signed32(0, _data->_u.u->_u.next->_buffer[_t2598_array_iter].disc_, CORBA::Long );
                  flick_iiopxx_decode_end_chunk(4);
                  switch (_data->_u.u->_u.next->_buffer[_t2598_array_iter].disc_)
                    {
                    case 1:
                      {
                        flick_unsigned32_t _t2647_temp_string_len;
                        CORBA::ULong _t2648_array_iter;
                        CORBA::ULong _t2649_array_iter;
                        CORBA::ULong _t2650_array_iter;
                        flick_unsigned32_t _t2651_temp_string_len;
                        CORBA::ULong _t2652_array_iter;
                        CORBA::ULong _t2653_array_iter;

                        {
                          struct ta *_t_alloc_ptr;

                          _t_alloc_ptr = (struct ta *)new (struct ta );
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort13737);
                          _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.one = _t_alloc_ptr;
                        }
                        flick_iiopxx_check_span(4, _flick_abort13737);
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_signed32(0, _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.one->a.a, CORBA::Long );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_new_chunk_align(16, 3, 2, 0);
                        flick_iiopxx_check_span(16, _flick_abort13737);
                        flick_cdr_decode_float64(0, _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.one->a.b, CORBA::Double );
                        flick_cdr_decode_signed16(8, _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.one->a.c, CORBA::Short );
                        flick_cdr_decode_char8(10, _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.one->b.a, CORBA::Char );
                        flick_cdr_decode_unsigned32(12, _t2647_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(16);
                        flick_iiopxx_decode_end_glob(48);
                        flick_iiopxx_decode_new_glob(1 * _t2647_temp_string_len);
                        flick_iiopxx_check_span(1 * _t2647_temp_string_len, _flick_abort13737);
                        flick_iiopxx_decode_new_chunk(1 * _t2647_temp_string_len);
                        {
                          CORBA::Char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t2647_temp_string_len * sizeof(CORBA::Char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort13737);
                          _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.one->b.b = _t_alloc_ptr;
                        }
                        flick_cdr_decode_bcopy(0, _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.one->b.b, 1 * _t2647_temp_string_len);
                        flick_iiopxx_decode_end_chunk(1 * _t2647_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t2647_temp_string_len);
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort13737);
                        flick_cdr_decode_unsigned32(0, _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.one->b.c._length, CORBA::ULong );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        {
                          struct ::ta::tc *_t_alloc_ptr;

                          _t_alloc_ptr = (struct ::ta::tc *)new (struct ::ta::tc [_data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.one->b.c._length]);
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort13737);
                          _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.one->b.c._buffer = _t_alloc_ptr;
                          _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.one->b.c._maximum = _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.one->b.c._length;
                          _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.one->b.c._release = 1;
                        }
                        for (_t2648_array_iter = 0; _t2648_array_iter < _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.one->b.c._length; _t2648_array_iter++)
                          {
                            if (flick_unmarshal_stub_ta_tc(_stream, _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.one->b.c._buffer + _t2648_array_iter))
                              goto _flick_abort13743;
                            continue;
                            {
                            _flick_abort13743:
                              goto _flick_abort13737;
                            }
                          }
                        flick_iiopxx_decode_new_glob(28);
                        flick_iiopxx_check_span(4, _flick_abort13737);
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_signed32(0, _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.one->c.a.a, CORBA::Long );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_new_chunk_align(20, 3, 2, 0);
                        flick_iiopxx_check_span(20, _flick_abort13737);
                        flick_cdr_decode_float64(0, _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.one->c.a.b, CORBA::Double );
                        flick_cdr_decode_signed16(8, _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.one->c.a.c, CORBA::Short );
                        flick_cdr_decode_char8(10, _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.one->c.b.a, CORBA::Char );
                        flick_cdr_decode_char8(11, _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.one->c.b.b, CORBA::Char );
                        flick_cdr_decode_char8(12, _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.one->c.b.c, CORBA::Char );
                        flick_cdr_decode_char8(13, _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.one->c.b.d, CORBA::Char );
                        flick_cdr_decode_unsigned32(16, _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.one->c.b.e._length, CORBA::ULong );
                        flick_iiopxx_decode_end_chunk(20);
                        flick_iiopxx_decode_end_glob(28);
                        {
                          struct ::ta::td *_t_alloc_ptr;

                          _t_alloc_ptr = (struct ::ta::td *)new (struct ::ta::td [_data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.one->c.b.e._length]);
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort13737);
                          _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.one->c.b.e._buffer = _t_alloc_ptr;
                          _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.one->c.b.e._maximum = _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.one->c.b.e._length;
                          _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.one->c.b.e._release = 1;
                        }
                        for (_t2649_array_iter = 0; _t2649_array_iter < _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.one->c.b.e._length; _t2649_array_iter++)
                          {
                            if (flick_unmarshal_stub_ta_td(_stream, _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.one->c.b.e._buffer + _t2649_array_iter))
                              goto _flick_abort13748;
                            continue;
                            {
                            _flick_abort13748:
                              goto _flick_abort13737;
                            }
                          }
                        flick_iiopxx_decode_new_glob(4);
                        flick_iiopxx_check_span(4, _flick_abort13737);
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.one->next._length, CORBA::ULong );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(4);
                        {
                          struct ta *_t_alloc_ptr;

                          _t_alloc_ptr = (struct ta *)new (struct ta [_data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.one->next._length]);
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort13737);
                          _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.one->next._buffer = _t_alloc_ptr;
                          _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.one->next._maximum = _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.one->next._length;
                          _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.one->next._release = 1;
                        }
                        for (_t2650_array_iter = 0; _t2650_array_iter < _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.one->next._length; _t2650_array_iter++)
                          {
                            if (flick_unmarshal_stub_ta(_stream, _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.one->next._buffer + _t2650_array_iter))
                              goto _flick_abort13753;
                            continue;
                            {
                            _flick_abort13753:
                              goto _flick_abort13737;
                            }
                          }
                        flick_iiopxx_decode_new_glob(24);
                        flick_iiopxx_check_span(24, _flick_abort13737);
                        flick_iiopxx_decode_new_chunk(24);
                        flick_cdr_decode_signed32(0, _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.one->d.a, CORBA::Long );
                        flick_cdr_decode_float64(8, _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.one->d.b, CORBA::Double );
                        flick_cdr_decode_signed16(16, _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.one->d.c, CORBA::Short );
                        flick_cdr_decode_char8(18, _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.one->e.a, CORBA::Char );
                        flick_cdr_decode_unsigned32(20, _t2651_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(24);
                        flick_iiopxx_decode_end_glob(24);
                        flick_iiopxx_decode_new_glob(1 * _t2651_temp_string_len);
                        flick_iiopxx_check_span(1 * _t2651_temp_string_len, _flick_abort13737);
                        flick_iiopxx_decode_new_chunk(1 * _t2651_temp_string_len);
                        {
                          CORBA::Char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t2651_temp_string_len * sizeof(CORBA::Char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort13737);
                          _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.one->e.b = _t_alloc_ptr;
                        }
                        flick_cdr_decode_bcopy(0, _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.one->e.b, 1 * _t2651_temp_string_len);
                        flick_iiopxx_decode_end_chunk(1 * _t2651_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t2651_temp_string_len);
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort13737);
                        flick_cdr_decode_unsigned32(0, _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.one->e.c._length, CORBA::ULong );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        {
                          struct ::ta::tc *_t_alloc_ptr;

                          _t_alloc_ptr = (struct ::ta::tc *)new (struct ::ta::tc [_data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.one->e.c._length]);
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort13737);
                          _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.one->e.c._buffer = _t_alloc_ptr;
                          _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.one->e.c._maximum = _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.one->e.c._length;
                          _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.one->e.c._release = 1;
                        }
                        for (_t2652_array_iter = 0; _t2652_array_iter < _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.one->e.c._length; _t2652_array_iter++)
                          {
                            if (flick_unmarshal_stub_ta_tc(_stream, _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.one->e.c._buffer + _t2652_array_iter))
                              goto _flick_abort13760;
                            continue;
                            {
                            _flick_abort13760:
                              goto _flick_abort13737;
                            }
                          }
                        flick_iiopxx_decode_new_glob(28);
                        flick_iiopxx_check_span(4, _flick_abort13737);
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_signed32(0, _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.one->f.a.a, CORBA::Long );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_new_chunk_align(20, 3, 2, 0);
                        flick_iiopxx_check_span(20, _flick_abort13737);
                        flick_cdr_decode_float64(0, _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.one->f.a.b, CORBA::Double );
                        flick_cdr_decode_signed16(8, _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.one->f.a.c, CORBA::Short );
                        flick_cdr_decode_char8(10, _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.one->f.b.a, CORBA::Char );
                        flick_cdr_decode_char8(11, _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.one->f.b.b, CORBA::Char );
                        flick_cdr_decode_char8(12, _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.one->f.b.c, CORBA::Char );
                        flick_cdr_decode_char8(13, _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.one->f.b.d, CORBA::Char );
                        flick_cdr_decode_unsigned32(16, _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.one->f.b.e._length, CORBA::ULong );
                        flick_iiopxx_decode_end_chunk(20);
                        flick_iiopxx_decode_end_glob(28);
                        {
                          struct ::ta::td *_t_alloc_ptr;

                          _t_alloc_ptr = (struct ::ta::td *)new (struct ::ta::td [_data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.one->f.b.e._length]);
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort13737);
                          _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.one->f.b.e._buffer = _t_alloc_ptr;
                          _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.one->f.b.e._maximum = _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.one->f.b.e._length;
                          _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.one->f.b.e._release = 1;
                        }
                        for (_t2653_array_iter = 0; _t2653_array_iter < _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.one->f.b.e._length; _t2653_array_iter++)
                          {
                            if (flick_unmarshal_stub_ta_td(_stream, _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.one->f.b.e._buffer + _t2653_array_iter))
                              goto _flick_abort13765;
                            continue;
                            {
                            _flick_abort13765:
                              goto _flick_abort13737;
                            }
                          }
                        break;
                        {
                        _flick_abort13737:
                          goto _flick_abort13499;
                        }
                      }
                    case 2:
                      {
                        CORBA::ULong _t2654_array_iter;
                        CORBA::ULong _t2658_array_iter;
                        CORBA::ULong _t2661_array_iter;

                        {
                          struct tb *_t_alloc_ptr;

                          _t_alloc_ptr = (struct tb *)new (struct tb );
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort13767);
                          _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.two = _t_alloc_ptr;
                        }
                        flick_iiopxx_check_span(4, _flick_abort13767);
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_signed32(0, _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.two->a.a, CORBA::Long );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_new_chunk_align(36, 3, 2, 0);
                        flick_iiopxx_check_span(36, _flick_abort13767);
                        flick_cdr_decode_float64(0, _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.two->a.b, CORBA::Double );
                        flick_cdr_decode_signed16(8, _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.two->a.c, CORBA::Short );
                        flick_cdr_decode_signed32(12, _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.two->b.a.a, CORBA::Long );
                        flick_cdr_decode_float64(16, _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.two->b.a.b, CORBA::Double );
                        flick_cdr_decode_signed16(24, _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.two->b.a.c, CORBA::Short );
                        flick_cdr_decode_char8(26, _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.two->b.b.a, CORBA::Char );
                        flick_cdr_decode_char8(27, _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.two->b.b.b, CORBA::Char );
                        flick_cdr_decode_char8(28, _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.two->b.b.c, CORBA::Char );
                        flick_cdr_decode_char8(29, _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.two->b.b.d, CORBA::Char );
                        flick_cdr_decode_unsigned32(32, _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.two->b.b.e._length, CORBA::ULong );
                        flick_iiopxx_decode_end_chunk(36);
                        flick_iiopxx_decode_end_glob(48);
                        {
                          struct ::ta::td *_t_alloc_ptr;

                          _t_alloc_ptr = (struct ::ta::td *)new (struct ::ta::td [_data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.two->b.b.e._length]);
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort13767);
                          _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.two->b.b.e._buffer = _t_alloc_ptr;
                          _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.two->b.b.e._maximum = _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.two->b.b.e._length;
                          _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.two->b.b.e._release = 1;
                        }
                        for (_t2654_array_iter = 0; _t2654_array_iter < _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.two->b.b.e._length; _t2654_array_iter++)
                          {
                            if (flick_unmarshal_stub_ta_td(_stream, _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.two->b.b.e._buffer + _t2654_array_iter))
                              goto _flick_abort13771;
                            continue;
                            {
                            _flick_abort13771:
                              goto _flick_abort13767;
                            }
                          }
                        flick_iiopxx_decode_new_glob(4);
                        flick_iiopxx_check_span(4, _flick_abort13767);
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.two->c._length, CORBA::ULong );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(4);
                        {
                          struct ::ta::td *_t_alloc_ptr;

                          _t_alloc_ptr = (struct ::ta::td *)new (struct ::ta::td [_data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.two->c._length]);
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort13767);
                          _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.two->c._buffer = _t_alloc_ptr;
                          _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.two->c._maximum = _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.two->c._length;
                          _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.two->c._release = 1;
                        }
                        for (_t2658_array_iter = 0; _t2658_array_iter < _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.two->c._length; _t2658_array_iter++)
                          {
                            CORBA::ULong _t2660_array_iter;

                            flick_iiopxx_decode_new_glob(28);
                            flick_iiopxx_check_span(4, _flick_abort13791);
                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_decode_signed32(0, _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.two->c._buffer[_t2658_array_iter].a.a, CORBA::Long );
                            flick_iiopxx_decode_end_chunk(4);
                            flick_iiopxx_decode_new_chunk_align(20, 3, 2, 0);
                            flick_iiopxx_check_span(20, _flick_abort13791);
                            flick_cdr_decode_float64(0, _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.two->c._buffer[_t2658_array_iter].a.b, CORBA::Double );
                            flick_cdr_decode_signed16(8, _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.two->c._buffer[_t2658_array_iter].a.c, CORBA::Short );
                            flick_cdr_decode_char8(10, _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.two->c._buffer[_t2658_array_iter].b.a, CORBA::Char );
                            flick_cdr_decode_char8(11, _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.two->c._buffer[_t2658_array_iter].b.b, CORBA::Char );
                            flick_cdr_decode_char8(12, _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.two->c._buffer[_t2658_array_iter].b.c, CORBA::Char );
                            flick_cdr_decode_char8(13, _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.two->c._buffer[_t2658_array_iter].b.d, CORBA::Char );
                            flick_cdr_decode_unsigned32(16, _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.two->c._buffer[_t2658_array_iter].b.e._length, CORBA::ULong );
                            flick_iiopxx_decode_end_chunk(20);
                            flick_iiopxx_decode_end_glob(28);
                            {
                              struct ::ta::td *_t_alloc_ptr;

                              _t_alloc_ptr = (struct ::ta::td *)new (struct ::ta::td [_data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.two->c._buffer[_t2658_array_iter].b.e._length]);
                              if (!_t_alloc_ptr)
                                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort13791);
                              _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.two->c._buffer[_t2658_array_iter].b.e._buffer = _t_alloc_ptr;
                              _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.two->c._buffer[_t2658_array_iter].b.e._maximum = _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.two->c._buffer[_t2658_array_iter].b.e._length;
                              _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.two->c._buffer[_t2658_array_iter].b.e._release = 1;
                            }
                            for (_t2660_array_iter = 0; _t2660_array_iter < _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.two->c._buffer[_t2658_array_iter].b.e._length; _t2660_array_iter++)
                              {
                                if (flick_unmarshal_stub_ta_td(_stream, _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.two->c._buffer[_t2658_array_iter].b.e._buffer + _t2660_array_iter))
                                  goto _flick_abort13801;
                                continue;
                                {
                                _flick_abort13801:
                                  goto _flick_abort13791;
                                }
                              }
                            continue;
                            {
                            _flick_abort13791:
                              goto _flick_abort13767;
                            }
                          }
                        flick_iiopxx_decode_new_glob(4);
                        flick_iiopxx_check_span(4, _flick_abort13767);
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.two->d._length, CORBA::ULong );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(4);
                        {
                          struct tb *_t_alloc_ptr;

                          _t_alloc_ptr = (struct tb *)new (struct tb [_data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.two->d._length]);
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort13767);
                          _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.two->d._buffer = _t_alloc_ptr;
                          _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.two->d._maximum = _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.two->d._length;
                          _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.two->d._release = 1;
                        }
                        for (_t2661_array_iter = 0; _t2661_array_iter < _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.two->d._length; _t2661_array_iter++)
                          {
                            if (flick_unmarshal_stub_tb(_stream, _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.two->d._buffer + _t2661_array_iter))
                              goto _flick_abort13806;
                            continue;
                            {
                            _flick_abort13806:
                              goto _flick_abort13767;
                            }
                          }
                        break;
                        {
                        _flick_abort13767:
                          goto _flick_abort13499;
                        }
                      }
                    case 3:
                      {
                        {
                          ::td::te *_t_alloc_ptr;

                          _t_alloc_ptr = (::td::te *)new ::td::te ;
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort13808);
                          _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.three = _t_alloc_ptr;
                        }
                        flick_iiopxx_decode_end_glob(48);
                        if (flick_unmarshal_stub_td_te(_stream, _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.three))
                          goto _flick_abort13808;
                        break;
                        {
                        _flick_abort13808:
                          goto _flick_abort13499;
                        }
                      }
                    default:
                      {
                        CORBA::ULong _t2662_array_iter;

                        {
                          ::td::flick_sequence_td *_t_alloc_ptr;

                          _t_alloc_ptr = (::td::flick_sequence_td *)new ::td::flick_sequence_td ;
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort13809);
                          _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.again = _t_alloc_ptr;
                        }
                        flick_iiopxx_check_span(4, _flick_abort13809);
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_decode_unsigned32(0, _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.again->_length, CORBA::ULong );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(48);
                        {
                          td *_t_alloc_ptr;

                          _t_alloc_ptr = (td *)new (td [_data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.again->_length]);
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort13809);
                          _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.again->_buffer = _t_alloc_ptr;
                          _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.again->_maximum = _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.again->_length;
                          _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.again->_release = 1;
                        }
                        for (_t2662_array_iter = 0; _t2662_array_iter < _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.again->_length; _t2662_array_iter++)
                          {
                            if (flick_unmarshal_stub_td(_stream, _data->_u.u->_u.next->_buffer[_t2598_array_iter]._u.again->_buffer + _t2662_array_iter))
                              goto _flick_abort13813;
                            continue;
                            {
                            _flick_abort13813:
                              goto _flick_abort13809;
                            }
                          }
                        break;
                        {
                        _flick_abort13809:
                          goto _flick_abort13499;
                        }
                      }
                    }
                  continue;
                  {
                  _flick_abort13499:
                    goto _flick_abort13182;
                  }
                }
              break;
              {
              _flick_abort13182:
                goto _flick_abort12546;
              }
            }
          default:
            {
              flick_iiopxx_decode_end_glob(48);
              break;
            }
          }
        break;
        {
        _flick_abort12546:
          goto _flick_abort11185;
        }
      }
    default:
      {
        flick_iiopxx_decode_end_glob(48);
        break;
      }
    }
  return 0;
  {
  _flick_abort11185:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_td_te_swap(flick_marshal_stream_t _stream, ::td::te *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(48);
  flick_iiopxx_check_span(4, _flick_abort13817);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_swap_decode_unsigned32(0, _data->disc_, enum tc );
  flick_iiopxx_decode_end_chunk(4);
  switch (_data->disc_)
    {
    case 0:
      {
        flick_iiopxx_check_span(4, _flick_abort15134);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _data->_u.x, CORBA::Long );
        flick_iiopxx_decode_end_chunk(4);
        flick_iiopxx_decode_end_glob(48);
        break;
        {
        _flick_abort15134:
          goto _flick_abort13817;
        }
      }
    case 1:
      {
        flick_iiopxx_decode_new_chunk_align(8, 3, 2, 0);
        flick_iiopxx_check_span(8, _flick_abort15135);
        flick_cdr_swap_decode_float64(0, _data->_u.y, CORBA::Double );
        flick_iiopxx_decode_end_chunk(8);
        flick_iiopxx_decode_end_glob(48);
        break;
        {
        _flick_abort15135:
          goto _flick_abort13817;
        }
      }
    case 2:
      {
        flick_iiopxx_check_span(1, _flick_abort15136);
        flick_iiopxx_decode_new_chunk(1);
        flick_cdr_swap_decode_unsigned8(0, _data->_u.z, CORBA::Boolean );
        flick_iiopxx_decode_end_chunk(1);
        flick_iiopxx_decode_end_glob(48);
        break;
        {
        _flick_abort15136:
          goto _flick_abort13817;
        }
      }
    case 3:
      {
        CORBA::ULong _t2929_array_iter;
        CORBA::ULong _t2933_array_iter;
        CORBA::ULong _t2936_array_iter;

        {
          struct tb *_t_alloc_ptr;

          _t_alloc_ptr = (struct tb *)new (struct tb );
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort15137);
          _data->_u.s = _t_alloc_ptr;
        }
        flick_iiopxx_check_span(4, _flick_abort15137);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _data->_u.s->a.a, CORBA::Long );
        flick_iiopxx_decode_end_chunk(4);
        flick_iiopxx_decode_new_chunk_align(36, 3, 2, 0);
        flick_iiopxx_check_span(36, _flick_abort15137);
        flick_cdr_swap_decode_float64(0, _data->_u.s->a.b, CORBA::Double );
        flick_cdr_swap_decode_signed16(8, _data->_u.s->a.c, CORBA::Short );
        flick_cdr_swap_decode_signed32(12, _data->_u.s->b.a.a, CORBA::Long );
        flick_cdr_swap_decode_float64(16, _data->_u.s->b.a.b, CORBA::Double );
        flick_cdr_swap_decode_signed16(24, _data->_u.s->b.a.c, CORBA::Short );
        flick_cdr_swap_decode_char8(26, _data->_u.s->b.b.a, CORBA::Char );
        flick_cdr_swap_decode_char8(27, _data->_u.s->b.b.b, CORBA::Char );
        flick_cdr_swap_decode_char8(28, _data->_u.s->b.b.c, CORBA::Char );
        flick_cdr_swap_decode_char8(29, _data->_u.s->b.b.d, CORBA::Char );
        flick_cdr_swap_decode_unsigned32(32, _data->_u.s->b.b.e._length, CORBA::ULong );
        flick_iiopxx_decode_end_chunk(36);
        flick_iiopxx_decode_end_glob(48);
        {
          struct ::ta::td *_t_alloc_ptr;

          _t_alloc_ptr = (struct ::ta::td *)new (struct ::ta::td [_data->_u.s->b.b.e._length]);
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort15137);
          _data->_u.s->b.b.e._buffer = _t_alloc_ptr;
          _data->_u.s->b.b.e._maximum = _data->_u.s->b.b.e._length;
          _data->_u.s->b.b.e._release = 1;
        }
        for (_t2929_array_iter = 0; _t2929_array_iter < _data->_u.s->b.b.e._length; _t2929_array_iter++)
          {
            if (flick_unmarshal_stub_ta_td_swap(_stream, _data->_u.s->b.b.e._buffer + _t2929_array_iter))
              goto _flick_abort15141;
            continue;
            {
            _flick_abort15141:
              goto _flick_abort15137;
            }
          }
        flick_iiopxx_decode_new_glob(4);
        flick_iiopxx_check_span(4, _flick_abort15137);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_unsigned32(0, _data->_u.s->c._length, CORBA::ULong );
        flick_iiopxx_decode_end_chunk(4);
        flick_iiopxx_decode_end_glob(4);
        {
          struct ::ta::td *_t_alloc_ptr;

          _t_alloc_ptr = (struct ::ta::td *)new (struct ::ta::td [_data->_u.s->c._length]);
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort15137);
          _data->_u.s->c._buffer = _t_alloc_ptr;
          _data->_u.s->c._maximum = _data->_u.s->c._length;
          _data->_u.s->c._release = 1;
        }
        for (_t2933_array_iter = 0; _t2933_array_iter < _data->_u.s->c._length; _t2933_array_iter++)
          {
            CORBA::ULong _t2935_array_iter;

            flick_iiopxx_decode_new_glob(28);
            flick_iiopxx_check_span(4, _flick_abort15161);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_swap_decode_signed32(0, _data->_u.s->c._buffer[_t2933_array_iter].a.a, CORBA::Long );
            flick_iiopxx_decode_end_chunk(4);
            flick_iiopxx_decode_new_chunk_align(20, 3, 2, 0);
            flick_iiopxx_check_span(20, _flick_abort15161);
            flick_cdr_swap_decode_float64(0, _data->_u.s->c._buffer[_t2933_array_iter].a.b, CORBA::Double );
            flick_cdr_swap_decode_signed16(8, _data->_u.s->c._buffer[_t2933_array_iter].a.c, CORBA::Short );
            flick_cdr_swap_decode_char8(10, _data->_u.s->c._buffer[_t2933_array_iter].b.a, CORBA::Char );
            flick_cdr_swap_decode_char8(11, _data->_u.s->c._buffer[_t2933_array_iter].b.b, CORBA::Char );
            flick_cdr_swap_decode_char8(12, _data->_u.s->c._buffer[_t2933_array_iter].b.c, CORBA::Char );
            flick_cdr_swap_decode_char8(13, _data->_u.s->c._buffer[_t2933_array_iter].b.d, CORBA::Char );
            flick_cdr_swap_decode_unsigned32(16, _data->_u.s->c._buffer[_t2933_array_iter].b.e._length, CORBA::ULong );
            flick_iiopxx_decode_end_chunk(20);
            flick_iiopxx_decode_end_glob(28);
            {
              struct ::ta::td *_t_alloc_ptr;

              _t_alloc_ptr = (struct ::ta::td *)new (struct ::ta::td [_data->_u.s->c._buffer[_t2933_array_iter].b.e._length]);
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort15161);
              _data->_u.s->c._buffer[_t2933_array_iter].b.e._buffer = _t_alloc_ptr;
              _data->_u.s->c._buffer[_t2933_array_iter].b.e._maximum = _data->_u.s->c._buffer[_t2933_array_iter].b.e._length;
              _data->_u.s->c._buffer[_t2933_array_iter].b.e._release = 1;
            }
            for (_t2935_array_iter = 0; _t2935_array_iter < _data->_u.s->c._buffer[_t2933_array_iter].b.e._length; _t2935_array_iter++)
              {
                if (flick_unmarshal_stub_ta_td_swap(_stream, _data->_u.s->c._buffer[_t2933_array_iter].b.e._buffer + _t2935_array_iter))
                  goto _flick_abort15171;
                continue;
                {
                _flick_abort15171:
                  goto _flick_abort15161;
                }
              }
            continue;
            {
            _flick_abort15161:
              goto _flick_abort15137;
            }
          }
        flick_iiopxx_decode_new_glob(4);
        flick_iiopxx_check_span(4, _flick_abort15137);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_unsigned32(0, _data->_u.s->d._length, CORBA::ULong );
        flick_iiopxx_decode_end_chunk(4);
        flick_iiopxx_decode_end_glob(4);
        {
          struct tb *_t_alloc_ptr;

          _t_alloc_ptr = (struct tb *)new (struct tb [_data->_u.s->d._length]);
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort15137);
          _data->_u.s->d._buffer = _t_alloc_ptr;
          _data->_u.s->d._maximum = _data->_u.s->d._length;
          _data->_u.s->d._release = 1;
        }
        for (_t2936_array_iter = 0; _t2936_array_iter < _data->_u.s->d._length; _t2936_array_iter++)
          {
            if (flick_unmarshal_stub_tb_swap(_stream, _data->_u.s->d._buffer + _t2936_array_iter))
              goto _flick_abort15176;
            continue;
            {
            _flick_abort15176:
              goto _flick_abort15137;
            }
          }
        break;
        {
        _flick_abort15137:
          goto _flick_abort13817;
        }
      }
    case 4:
      {
        {
          ::td::te::tu *_t_alloc_ptr;

          _t_alloc_ptr = (::td::te::tu *)new ::td::te::tu ;
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort15178);
          _data->_u.u = _t_alloc_ptr;
        }
        flick_iiopxx_check_span(8, _flick_abort15178);
        flick_iiopxx_decode_new_chunk(1);
        flick_cdr_swap_decode_unsigned8(0, _data->_u.u->disc_, CORBA::Boolean );
        flick_iiopxx_decode_end_chunk(1);
        switch (_data->_u.u->disc_)
          {
          case 1:
            {
              CORBA::ULong _t3130_array_iter;

              {
                ::td::te::tu::flick_sequence_td_bounded_1 *_t_alloc_ptr;

                _t_alloc_ptr = (::td::te::tu::flick_sequence_td_bounded_1 *)new ::td::te::tu::flick_sequence_td_bounded_1 ;
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort15814);
                _data->_u.u->_u.next = _t_alloc_ptr;
              }
              flick_iiopxx_decode_new_chunk(7);
              flick_cdr_swap_decode_unsigned32(3, _data->_u.u->_u.next->_length, CORBA::ULong );
              flick_iiopxx_decode_end_chunk(7);
              flick_iiopxx_decode_end_glob(48);
              if (_data->_u.u->_u.next->_length > 1)
                flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort15814);
              {
                td *_t_alloc_ptr;

                _t_alloc_ptr = (td *)new td ;
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort15814);
                _data->_u.u->_u.next->_buffer = _t_alloc_ptr;
                _data->_u.u->_u.next->_maximum = 1;
                _data->_u.u->_u.next->_release = 1;
              }
              for (_t3130_array_iter = 0; _t3130_array_iter < _data->_u.u->_u.next->_length; _t3130_array_iter++)
                {
                  flick_iiopxx_decode_new_glob(48);
                  flick_iiopxx_check_span(4, _flick_abort16131);
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_signed32(0, _data->_u.u->_u.next->_buffer[_t3130_array_iter].disc_, CORBA::Long );
                  flick_iiopxx_decode_end_chunk(4);
                  switch (_data->_u.u->_u.next->_buffer[_t3130_array_iter].disc_)
                    {
                    case 1:
                      {
                        flick_unsigned32_t _t3179_temp_string_len;
                        CORBA::ULong _t3180_array_iter;
                        CORBA::ULong _t3181_array_iter;
                        CORBA::ULong _t3182_array_iter;
                        flick_unsigned32_t _t3183_temp_string_len;
                        CORBA::ULong _t3184_array_iter;
                        CORBA::ULong _t3185_array_iter;

                        {
                          struct ta *_t_alloc_ptr;

                          _t_alloc_ptr = (struct ta *)new (struct ta );
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort16369);
                          _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.one = _t_alloc_ptr;
                        }
                        flick_iiopxx_check_span(4, _flick_abort16369);
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_swap_decode_signed32(0, _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.one->a.a, CORBA::Long );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_new_chunk_align(16, 3, 2, 0);
                        flick_iiopxx_check_span(16, _flick_abort16369);
                        flick_cdr_swap_decode_float64(0, _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.one->a.b, CORBA::Double );
                        flick_cdr_swap_decode_signed16(8, _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.one->a.c, CORBA::Short );
                        flick_cdr_swap_decode_char8(10, _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.one->b.a, CORBA::Char );
                        flick_cdr_swap_decode_unsigned32(12, _t3179_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(16);
                        flick_iiopxx_decode_end_glob(48);
                        flick_iiopxx_decode_new_glob(1 * _t3179_temp_string_len);
                        flick_iiopxx_check_span(1 * _t3179_temp_string_len, _flick_abort16369);
                        flick_iiopxx_decode_new_chunk(1 * _t3179_temp_string_len);
                        {
                          CORBA::Char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t3179_temp_string_len * sizeof(CORBA::Char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort16369);
                          _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.one->b.b = _t_alloc_ptr;
                        }
                        flick_cdr_swap_decode_bcopy(0, _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.one->b.b, 1 * _t3179_temp_string_len);
                        flick_iiopxx_decode_end_chunk(1 * _t3179_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t3179_temp_string_len);
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort16369);
                        flick_cdr_swap_decode_unsigned32(0, _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.one->b.c._length, CORBA::ULong );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        {
                          struct ::ta::tc *_t_alloc_ptr;

                          _t_alloc_ptr = (struct ::ta::tc *)new (struct ::ta::tc [_data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.one->b.c._length]);
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort16369);
                          _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.one->b.c._buffer = _t_alloc_ptr;
                          _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.one->b.c._maximum = _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.one->b.c._length;
                          _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.one->b.c._release = 1;
                        }
                        for (_t3180_array_iter = 0; _t3180_array_iter < _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.one->b.c._length; _t3180_array_iter++)
                          {
                            if (flick_unmarshal_stub_ta_tc_swap(_stream, _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.one->b.c._buffer + _t3180_array_iter))
                              goto _flick_abort16375;
                            continue;
                            {
                            _flick_abort16375:
                              goto _flick_abort16369;
                            }
                          }
                        flick_iiopxx_decode_new_glob(28);
                        flick_iiopxx_check_span(4, _flick_abort16369);
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_swap_decode_signed32(0, _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.one->c.a.a, CORBA::Long );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_new_chunk_align(20, 3, 2, 0);
                        flick_iiopxx_check_span(20, _flick_abort16369);
                        flick_cdr_swap_decode_float64(0, _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.one->c.a.b, CORBA::Double );
                        flick_cdr_swap_decode_signed16(8, _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.one->c.a.c, CORBA::Short );
                        flick_cdr_swap_decode_char8(10, _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.one->c.b.a, CORBA::Char );
                        flick_cdr_swap_decode_char8(11, _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.one->c.b.b, CORBA::Char );
                        flick_cdr_swap_decode_char8(12, _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.one->c.b.c, CORBA::Char );
                        flick_cdr_swap_decode_char8(13, _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.one->c.b.d, CORBA::Char );
                        flick_cdr_swap_decode_unsigned32(16, _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.one->c.b.e._length, CORBA::ULong );
                        flick_iiopxx_decode_end_chunk(20);
                        flick_iiopxx_decode_end_glob(28);
                        {
                          struct ::ta::td *_t_alloc_ptr;

                          _t_alloc_ptr = (struct ::ta::td *)new (struct ::ta::td [_data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.one->c.b.e._length]);
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort16369);
                          _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.one->c.b.e._buffer = _t_alloc_ptr;
                          _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.one->c.b.e._maximum = _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.one->c.b.e._length;
                          _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.one->c.b.e._release = 1;
                        }
                        for (_t3181_array_iter = 0; _t3181_array_iter < _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.one->c.b.e._length; _t3181_array_iter++)
                          {
                            if (flick_unmarshal_stub_ta_td_swap(_stream, _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.one->c.b.e._buffer + _t3181_array_iter))
                              goto _flick_abort16380;
                            continue;
                            {
                            _flick_abort16380:
                              goto _flick_abort16369;
                            }
                          }
                        flick_iiopxx_decode_new_glob(4);
                        flick_iiopxx_check_span(4, _flick_abort16369);
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.one->next._length, CORBA::ULong );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(4);
                        {
                          struct ta *_t_alloc_ptr;

                          _t_alloc_ptr = (struct ta *)new (struct ta [_data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.one->next._length]);
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort16369);
                          _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.one->next._buffer = _t_alloc_ptr;
                          _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.one->next._maximum = _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.one->next._length;
                          _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.one->next._release = 1;
                        }
                        for (_t3182_array_iter = 0; _t3182_array_iter < _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.one->next._length; _t3182_array_iter++)
                          {
                            if (flick_unmarshal_stub_ta_swap(_stream, _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.one->next._buffer + _t3182_array_iter))
                              goto _flick_abort16385;
                            continue;
                            {
                            _flick_abort16385:
                              goto _flick_abort16369;
                            }
                          }
                        flick_iiopxx_decode_new_glob(24);
                        flick_iiopxx_check_span(24, _flick_abort16369);
                        flick_iiopxx_decode_new_chunk(24);
                        flick_cdr_swap_decode_signed32(0, _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.one->d.a, CORBA::Long );
                        flick_cdr_swap_decode_float64(8, _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.one->d.b, CORBA::Double );
                        flick_cdr_swap_decode_signed16(16, _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.one->d.c, CORBA::Short );
                        flick_cdr_swap_decode_char8(18, _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.one->e.a, CORBA::Char );
                        flick_cdr_swap_decode_unsigned32(20, _t3183_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(24);
                        flick_iiopxx_decode_end_glob(24);
                        flick_iiopxx_decode_new_glob(1 * _t3183_temp_string_len);
                        flick_iiopxx_check_span(1 * _t3183_temp_string_len, _flick_abort16369);
                        flick_iiopxx_decode_new_chunk(1 * _t3183_temp_string_len);
                        {
                          CORBA::Char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t3183_temp_string_len * sizeof(CORBA::Char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort16369);
                          _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.one->e.b = _t_alloc_ptr;
                        }
                        flick_cdr_swap_decode_bcopy(0, _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.one->e.b, 1 * _t3183_temp_string_len);
                        flick_iiopxx_decode_end_chunk(1 * _t3183_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t3183_temp_string_len);
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort16369);
                        flick_cdr_swap_decode_unsigned32(0, _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.one->e.c._length, CORBA::ULong );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        {
                          struct ::ta::tc *_t_alloc_ptr;

                          _t_alloc_ptr = (struct ::ta::tc *)new (struct ::ta::tc [_data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.one->e.c._length]);
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort16369);
                          _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.one->e.c._buffer = _t_alloc_ptr;
                          _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.one->e.c._maximum = _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.one->e.c._length;
                          _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.one->e.c._release = 1;
                        }
                        for (_t3184_array_iter = 0; _t3184_array_iter < _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.one->e.c._length; _t3184_array_iter++)
                          {
                            if (flick_unmarshal_stub_ta_tc_swap(_stream, _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.one->e.c._buffer + _t3184_array_iter))
                              goto _flick_abort16392;
                            continue;
                            {
                            _flick_abort16392:
                              goto _flick_abort16369;
                            }
                          }
                        flick_iiopxx_decode_new_glob(28);
                        flick_iiopxx_check_span(4, _flick_abort16369);
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_swap_decode_signed32(0, _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.one->f.a.a, CORBA::Long );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_new_chunk_align(20, 3, 2, 0);
                        flick_iiopxx_check_span(20, _flick_abort16369);
                        flick_cdr_swap_decode_float64(0, _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.one->f.a.b, CORBA::Double );
                        flick_cdr_swap_decode_signed16(8, _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.one->f.a.c, CORBA::Short );
                        flick_cdr_swap_decode_char8(10, _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.one->f.b.a, CORBA::Char );
                        flick_cdr_swap_decode_char8(11, _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.one->f.b.b, CORBA::Char );
                        flick_cdr_swap_decode_char8(12, _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.one->f.b.c, CORBA::Char );
                        flick_cdr_swap_decode_char8(13, _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.one->f.b.d, CORBA::Char );
                        flick_cdr_swap_decode_unsigned32(16, _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.one->f.b.e._length, CORBA::ULong );
                        flick_iiopxx_decode_end_chunk(20);
                        flick_iiopxx_decode_end_glob(28);
                        {
                          struct ::ta::td *_t_alloc_ptr;

                          _t_alloc_ptr = (struct ::ta::td *)new (struct ::ta::td [_data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.one->f.b.e._length]);
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort16369);
                          _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.one->f.b.e._buffer = _t_alloc_ptr;
                          _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.one->f.b.e._maximum = _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.one->f.b.e._length;
                          _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.one->f.b.e._release = 1;
                        }
                        for (_t3185_array_iter = 0; _t3185_array_iter < _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.one->f.b.e._length; _t3185_array_iter++)
                          {
                            if (flick_unmarshal_stub_ta_td_swap(_stream, _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.one->f.b.e._buffer + _t3185_array_iter))
                              goto _flick_abort16397;
                            continue;
                            {
                            _flick_abort16397:
                              goto _flick_abort16369;
                            }
                          }
                        break;
                        {
                        _flick_abort16369:
                          goto _flick_abort16131;
                        }
                      }
                    case 2:
                      {
                        CORBA::ULong _t3186_array_iter;
                        CORBA::ULong _t3190_array_iter;
                        CORBA::ULong _t3193_array_iter;

                        {
                          struct tb *_t_alloc_ptr;

                          _t_alloc_ptr = (struct tb *)new (struct tb );
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort16399);
                          _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.two = _t_alloc_ptr;
                        }
                        flick_iiopxx_check_span(4, _flick_abort16399);
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_swap_decode_signed32(0, _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.two->a.a, CORBA::Long );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_new_chunk_align(36, 3, 2, 0);
                        flick_iiopxx_check_span(36, _flick_abort16399);
                        flick_cdr_swap_decode_float64(0, _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.two->a.b, CORBA::Double );
                        flick_cdr_swap_decode_signed16(8, _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.two->a.c, CORBA::Short );
                        flick_cdr_swap_decode_signed32(12, _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.two->b.a.a, CORBA::Long );
                        flick_cdr_swap_decode_float64(16, _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.two->b.a.b, CORBA::Double );
                        flick_cdr_swap_decode_signed16(24, _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.two->b.a.c, CORBA::Short );
                        flick_cdr_swap_decode_char8(26, _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.two->b.b.a, CORBA::Char );
                        flick_cdr_swap_decode_char8(27, _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.two->b.b.b, CORBA::Char );
                        flick_cdr_swap_decode_char8(28, _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.two->b.b.c, CORBA::Char );
                        flick_cdr_swap_decode_char8(29, _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.two->b.b.d, CORBA::Char );
                        flick_cdr_swap_decode_unsigned32(32, _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.two->b.b.e._length, CORBA::ULong );
                        flick_iiopxx_decode_end_chunk(36);
                        flick_iiopxx_decode_end_glob(48);
                        {
                          struct ::ta::td *_t_alloc_ptr;

                          _t_alloc_ptr = (struct ::ta::td *)new (struct ::ta::td [_data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.two->b.b.e._length]);
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort16399);
                          _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.two->b.b.e._buffer = _t_alloc_ptr;
                          _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.two->b.b.e._maximum = _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.two->b.b.e._length;
                          _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.two->b.b.e._release = 1;
                        }
                        for (_t3186_array_iter = 0; _t3186_array_iter < _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.two->b.b.e._length; _t3186_array_iter++)
                          {
                            if (flick_unmarshal_stub_ta_td_swap(_stream, _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.two->b.b.e._buffer + _t3186_array_iter))
                              goto _flick_abort16403;
                            continue;
                            {
                            _flick_abort16403:
                              goto _flick_abort16399;
                            }
                          }
                        flick_iiopxx_decode_new_glob(4);
                        flick_iiopxx_check_span(4, _flick_abort16399);
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.two->c._length, CORBA::ULong );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(4);
                        {
                          struct ::ta::td *_t_alloc_ptr;

                          _t_alloc_ptr = (struct ::ta::td *)new (struct ::ta::td [_data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.two->c._length]);
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort16399);
                          _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.two->c._buffer = _t_alloc_ptr;
                          _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.two->c._maximum = _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.two->c._length;
                          _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.two->c._release = 1;
                        }
                        for (_t3190_array_iter = 0; _t3190_array_iter < _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.two->c._length; _t3190_array_iter++)
                          {
                            CORBA::ULong _t3192_array_iter;

                            flick_iiopxx_decode_new_glob(28);
                            flick_iiopxx_check_span(4, _flick_abort16423);
                            flick_iiopxx_decode_new_chunk(4);
                            flick_cdr_swap_decode_signed32(0, _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.two->c._buffer[_t3190_array_iter].a.a, CORBA::Long );
                            flick_iiopxx_decode_end_chunk(4);
                            flick_iiopxx_decode_new_chunk_align(20, 3, 2, 0);
                            flick_iiopxx_check_span(20, _flick_abort16423);
                            flick_cdr_swap_decode_float64(0, _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.two->c._buffer[_t3190_array_iter].a.b, CORBA::Double );
                            flick_cdr_swap_decode_signed16(8, _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.two->c._buffer[_t3190_array_iter].a.c, CORBA::Short );
                            flick_cdr_swap_decode_char8(10, _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.two->c._buffer[_t3190_array_iter].b.a, CORBA::Char );
                            flick_cdr_swap_decode_char8(11, _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.two->c._buffer[_t3190_array_iter].b.b, CORBA::Char );
                            flick_cdr_swap_decode_char8(12, _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.two->c._buffer[_t3190_array_iter].b.c, CORBA::Char );
                            flick_cdr_swap_decode_char8(13, _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.two->c._buffer[_t3190_array_iter].b.d, CORBA::Char );
                            flick_cdr_swap_decode_unsigned32(16, _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.two->c._buffer[_t3190_array_iter].b.e._length, CORBA::ULong );
                            flick_iiopxx_decode_end_chunk(20);
                            flick_iiopxx_decode_end_glob(28);
                            {
                              struct ::ta::td *_t_alloc_ptr;

                              _t_alloc_ptr = (struct ::ta::td *)new (struct ::ta::td [_data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.two->c._buffer[_t3190_array_iter].b.e._length]);
                              if (!_t_alloc_ptr)
                                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort16423);
                              _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.two->c._buffer[_t3190_array_iter].b.e._buffer = _t_alloc_ptr;
                              _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.two->c._buffer[_t3190_array_iter].b.e._maximum = _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.two->c._buffer[_t3190_array_iter].b.e._length;
                              _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.two->c._buffer[_t3190_array_iter].b.e._release = 1;
                            }
                            for (_t3192_array_iter = 0; _t3192_array_iter < _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.two->c._buffer[_t3190_array_iter].b.e._length; _t3192_array_iter++)
                              {
                                if (flick_unmarshal_stub_ta_td_swap(_stream, _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.two->c._buffer[_t3190_array_iter].b.e._buffer + _t3192_array_iter))
                                  goto _flick_abort16433;
                                continue;
                                {
                                _flick_abort16433:
                                  goto _flick_abort16423;
                                }
                              }
                            continue;
                            {
                            _flick_abort16423:
                              goto _flick_abort16399;
                            }
                          }
                        flick_iiopxx_decode_new_glob(4);
                        flick_iiopxx_check_span(4, _flick_abort16399);
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.two->d._length, CORBA::ULong );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(4);
                        {
                          struct tb *_t_alloc_ptr;

                          _t_alloc_ptr = (struct tb *)new (struct tb [_data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.two->d._length]);
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort16399);
                          _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.two->d._buffer = _t_alloc_ptr;
                          _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.two->d._maximum = _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.two->d._length;
                          _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.two->d._release = 1;
                        }
                        for (_t3193_array_iter = 0; _t3193_array_iter < _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.two->d._length; _t3193_array_iter++)
                          {
                            if (flick_unmarshal_stub_tb_swap(_stream, _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.two->d._buffer + _t3193_array_iter))
                              goto _flick_abort16438;
                            continue;
                            {
                            _flick_abort16438:
                              goto _flick_abort16399;
                            }
                          }
                        break;
                        {
                        _flick_abort16399:
                          goto _flick_abort16131;
                        }
                      }
                    case 3:
                      {
                        {
                          ::td::te *_t_alloc_ptr;

                          _t_alloc_ptr = (::td::te *)new ::td::te ;
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort16440);
                          _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.three = _t_alloc_ptr;
                        }
                        flick_iiopxx_decode_end_glob(48);
                        if (flick_unmarshal_stub_td_te_swap(_stream, _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.three))
                          goto _flick_abort16440;
                        break;
                        {
                        _flick_abort16440:
                          goto _flick_abort16131;
                        }
                      }
                    default:
                      {
                        CORBA::ULong _t3194_array_iter;

                        {
                          ::td::flick_sequence_td *_t_alloc_ptr;

                          _t_alloc_ptr = (::td::flick_sequence_td *)new ::td::flick_sequence_td ;
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort16441);
                          _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.again = _t_alloc_ptr;
                        }
                        flick_iiopxx_check_span(4, _flick_abort16441);
                        flick_iiopxx_decode_new_chunk(4);
                        flick_cdr_swap_decode_unsigned32(0, _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.again->_length, CORBA::ULong );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(48);
                        {
                          td *_t_alloc_ptr;

                          _t_alloc_ptr = (td *)new (td [_data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.again->_length]);
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort16441);
                          _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.again->_buffer = _t_alloc_ptr;
                          _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.again->_maximum = _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.again->_length;
                          _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.again->_release = 1;
                        }
                        for (_t3194_array_iter = 0; _t3194_array_iter < _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.again->_length; _t3194_array_iter++)
                          {
                            if (flick_unmarshal_stub_td_swap(_stream, _data->_u.u->_u.next->_buffer[_t3130_array_iter]._u.again->_buffer + _t3194_array_iter))
                              goto _flick_abort16445;
                            continue;
                            {
                            _flick_abort16445:
                              goto _flick_abort16441;
                            }
                          }
                        break;
                        {
                        _flick_abort16441:
                          goto _flick_abort16131;
                        }
                      }
                    }
                  continue;
                  {
                  _flick_abort16131:
                    goto _flick_abort15814;
                  }
                }
              break;
              {
              _flick_abort15814:
                goto _flick_abort15178;
              }
            }
          default:
            {
              flick_iiopxx_decode_end_glob(48);
              break;
            }
          }
        break;
        {
        _flick_abort15178:
          goto _flick_abort13817;
        }
      }
    default:
      {
        flick_iiopxx_decode_end_glob(48);
        break;
      }
    }
  return 0;
  {
  _flick_abort13817:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_td(flick_marshal_stream_t _stream, const td *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_iiopxx_encode_new_glob(52, _flick_abort16449);
  flick_iiopxx_encode_new_chunk(4);
  flick_cdr_encode_signed32(0, _data->disc_, CORBA::Long );
  flick_iiopxx_encode_end_chunk(4);
  switch (_data->disc_)
    {
    case 1:
      {
        flick_unsigned32_t _t3231_temp_string_len;
        CORBA::ULong _t3232_array_iter;
        CORBA::ULong _t3233_array_iter;
        CORBA::ULong _t3234_array_iter;
        flick_unsigned32_t _t3235_temp_string_len;
        CORBA::ULong _t3236_array_iter;
        CORBA::ULong _t3237_array_iter;

        flick_cdr_stringlen(CORBA::Char *, _data->_u.one->b.b, flick_unsigned32_t , _t3231_temp_string_len);
        flick_cdr_stringlen(CORBA::Char *, _data->_u.one->e.b, flick_unsigned32_t , _t3235_temp_string_len);

        flick_iiopxx_encode_new_chunk(4);
        flick_cdr_encode_signed32(0, _data->_u.one->a.a, CORBA::Long );
        flick_iiopxx_encode_end_chunk(4);
        flick_iiopxx_encode_new_chunk_align(16, 3, 2, 0);
        flick_cdr_encode_float64(0, _data->_u.one->a.b, CORBA::Double );
        flick_cdr_encode_signed16(8, _data->_u.one->a.c, CORBA::Short );
        flick_cdr_encode_char8(10, _data->_u.one->b.a, CORBA::Char );
        flick_cdr_encode_unsigned32(12, _t3231_temp_string_len, flick_unsigned32_t );
        flick_iiopxx_encode_end_chunk(16);
        flick_iiopxx_encode_end_glob(52);
        flick_iiopxx_encode_new_glob(1 * _t3231_temp_string_len, _flick_abort16648);
        flick_iiopxx_encode_new_chunk(1 * _t3231_temp_string_len);
        flick_cdr_encode_bcopy(0, _data->_u.one->b.b, 1 * _t3231_temp_string_len);
        flick_iiopxx_encode_end_chunk(1 * _t3231_temp_string_len);
        flick_iiopxx_encode_end_glob(1 * _t3231_temp_string_len);
        flick_iiopxx_encode_new_glob(7, _flick_abort16648);
        flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
        flick_cdr_encode_unsigned32(0, _data->_u.one->b.c._length, CORBA::ULong );
        flick_iiopxx_encode_end_chunk(4);
        flick_iiopxx_encode_end_glob(7);
        for (_t3232_array_iter = 0; _t3232_array_iter < _data->_u.one->b.c._length; _t3232_array_iter++)
          {
            if (flick_marshal_stub_ta_tc(_stream, _data->_u.one->b.c._buffer + _t3232_array_iter))
              goto _flick_abort16654;
            continue;
            {
            _flick_abort16654:
              goto _flick_abort16648;
            }
          }
        flick_iiopxx_encode_new_glob(28, _flick_abort16648);
        flick_iiopxx_encode_new_chunk(4);
        flick_cdr_encode_signed32(0, _data->_u.one->c.a.a, CORBA::Long );
        flick_iiopxx_encode_end_chunk(4);
        flick_iiopxx_encode_new_chunk_align(20, 3, 2, 0);
        flick_cdr_encode_float64(0, _data->_u.one->c.a.b, CORBA::Double );
        flick_cdr_encode_signed16(8, _data->_u.one->c.a.c, CORBA::Short );
        flick_cdr_encode_char8(10, _data->_u.one->c.b.a, CORBA::Char );
        flick_cdr_encode_char8(11, _data->_u.one->c.b.b, CORBA::Char );
        flick_cdr_encode_char8(12, _data->_u.one->c.b.c, CORBA::Char );
        flick_cdr_encode_char8(13, _data->_u.one->c.b.d, CORBA::Char );
        flick_cdr_encode_unsigned32(16, _data->_u.one->c.b.e._length, CORBA::ULong );
        flick_iiopxx_encode_end_chunk(20);
        flick_iiopxx_encode_end_glob(28);
        for (_t3233_array_iter = 0; _t3233_array_iter < _data->_u.one->c.b.e._length; _t3233_array_iter++)
          {
            if (flick_marshal_stub_ta_td(_stream, _data->_u.one->c.b.e._buffer + _t3233_array_iter))
              goto _flick_abort16659;
            continue;
            {
            _flick_abort16659:
              goto _flick_abort16648;
            }
          }
        flick_iiopxx_encode_new_glob(4, _flick_abort16648);
        flick_iiopxx_encode_new_chunk(4);
        flick_cdr_encode_unsigned32(0, _data->_u.one->next._length, CORBA::ULong );
        flick_iiopxx_encode_end_chunk(4);
        flick_iiopxx_encode_end_glob(4);
        for (_t3234_array_iter = 0; _t3234_array_iter < _data->_u.one->next._length; _t3234_array_iter++)
          {
            if (flick_marshal_stub_ta(_stream, _data->_u.one->next._buffer + _t3234_array_iter))
              goto _flick_abort16664;
            continue;
            {
            _flick_abort16664:
              goto _flick_abort16648;
            }
          }
        flick_iiopxx_encode_new_glob(24, _flick_abort16648);
        flick_iiopxx_encode_new_chunk(24);
        flick_cdr_encode_signed32(0, _data->_u.one->d.a, CORBA::Long );
        flick_cdr_encode_float64(8, _data->_u.one->d.b, CORBA::Double );
        flick_cdr_encode_signed16(16, _data->_u.one->d.c, CORBA::Short );
        flick_cdr_encode_char8(18, _data->_u.one->e.a, CORBA::Char );
        flick_cdr_encode_unsigned32(20, _t3235_temp_string_len, flick_unsigned32_t );
        flick_iiopxx_encode_end_chunk(24);
        flick_iiopxx_encode_end_glob(24);
        flick_iiopxx_encode_new_glob(1 * _t3235_temp_string_len, _flick_abort16648);
        flick_iiopxx_encode_new_chunk(1 * _t3235_temp_string_len);
        flick_cdr_encode_bcopy(0, _data->_u.one->e.b, 1 * _t3235_temp_string_len);
        flick_iiopxx_encode_end_chunk(1 * _t3235_temp_string_len);
        flick_iiopxx_encode_end_glob(1 * _t3235_temp_string_len);
        flick_iiopxx_encode_new_glob(7, _flick_abort16648);
        flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
        flick_cdr_encode_unsigned32(0, _data->_u.one->e.c._length, CORBA::ULong );
        flick_iiopxx_encode_end_chunk(4);
        flick_iiopxx_encode_end_glob(7);
        for (_t3236_array_iter = 0; _t3236_array_iter < _data->_u.one->e.c._length; _t3236_array_iter++)
          {
            if (flick_marshal_stub_ta_tc(_stream, _data->_u.one->e.c._buffer + _t3236_array_iter))
              goto _flick_abort16671;
            continue;
            {
            _flick_abort16671:
              goto _flick_abort16648;
            }
          }
        flick_iiopxx_encode_new_glob(28, _flick_abort16648);
        flick_iiopxx_encode_new_chunk(4);
        flick_cdr_encode_signed32(0, _data->_u.one->f.a.a, CORBA::Long );
        flick_iiopxx_encode_end_chunk(4);
        flick_iiopxx_encode_new_chunk_align(20, 3, 2, 0);
        flick_cdr_encode_float64(0, _data->_u.one->f.a.b, CORBA::Double );
        flick_cdr_encode_signed16(8, _data->_u.one->f.a.c, CORBA::Short );
        flick_cdr_encode_char8(10, _data->_u.one->f.b.a, CORBA::Char );
        flick_cdr_encode_char8(11, _data->_u.one->f.b.b, CORBA::Char );
        flick_cdr_encode_char8(12, _data->_u.one->f.b.c, CORBA::Char );
        flick_cdr_encode_char8(13, _data->_u.one->f.b.d, CORBA::Char );
        flick_cdr_encode_unsigned32(16, _data->_u.one->f.b.e._length, CORBA::ULong );
        flick_iiopxx_encode_end_chunk(20);
        flick_iiopxx_encode_end_glob(28);
        for (_t3237_array_iter = 0; _t3237_array_iter < _data->_u.one->f.b.e._length; _t3237_array_iter++)
          {
            if (flick_marshal_stub_ta_td(_stream, _data->_u.one->f.b.e._buffer + _t3237_array_iter))
              goto _flick_abort16676;
            continue;
            {
            _flick_abort16676:
              goto _flick_abort16648;
            }
          }
        break;
        {
        _flick_abort16648:
          goto _flick_abort16449;
        }
      }
    case 2:
      {
        CORBA::ULong _t3238_array_iter;
        CORBA::ULong _t3242_array_iter;
        CORBA::ULong _t3245_array_iter;

        flick_iiopxx_encode_new_chunk(4);
        flick_cdr_encode_signed32(0, _data->_u.two->a.a, CORBA::Long );
        flick_iiopxx_encode_end_chunk(4);
        flick_iiopxx_encode_new_chunk_align(36, 3, 2, 0);
        flick_cdr_encode_float64(0, _data->_u.two->a.b, CORBA::Double );
        flick_cdr_encode_signed16(8, _data->_u.two->a.c, CORBA::Short );
        flick_cdr_encode_signed32(12, _data->_u.two->b.a.a, CORBA::Long );
        flick_cdr_encode_float64(16, _data->_u.two->b.a.b, CORBA::Double );
        flick_cdr_encode_signed16(24, _data->_u.two->b.a.c, CORBA::Short );
        flick_cdr_encode_char8(26, _data->_u.two->b.b.a, CORBA::Char );
        flick_cdr_encode_char8(27, _data->_u.two->b.b.b, CORBA::Char );
        flick_cdr_encode_char8(28, _data->_u.two->b.b.c, CORBA::Char );
        flick_cdr_encode_char8(29, _data->_u.two->b.b.d, CORBA::Char );
        flick_cdr_encode_unsigned32(32, _data->_u.two->b.b.e._length, CORBA::ULong );
        flick_iiopxx_encode_end_chunk(36);
        flick_iiopxx_encode_end_glob(52);
        for (_t3238_array_iter = 0; _t3238_array_iter < _data->_u.two->b.b.e._length; _t3238_array_iter++)
          {
            if (flick_marshal_stub_ta_td(_stream, _data->_u.two->b.b.e._buffer + _t3238_array_iter))
              goto _flick_abort16682;
            continue;
            {
            _flick_abort16682:
              goto _flick_abort16678;
            }
          }
        flick_iiopxx_encode_new_glob(4, _flick_abort16678);
        flick_iiopxx_encode_new_chunk(4);
        flick_cdr_encode_unsigned32(0, _data->_u.two->c._length, CORBA::ULong );
        flick_iiopxx_encode_end_chunk(4);
        flick_iiopxx_encode_end_glob(4);
        for (_t3242_array_iter = 0; _t3242_array_iter < _data->_u.two->c._length; _t3242_array_iter++)
          {
            CORBA::ULong _t3244_array_iter;

            flick_iiopxx_encode_new_glob(28, _flick_abort16702);
            flick_iiopxx_encode_new_chunk(4);
            flick_cdr_encode_signed32(0, _data->_u.two->c._buffer[_t3242_array_iter].a.a, CORBA::Long );
            flick_iiopxx_encode_end_chunk(4);
            flick_iiopxx_encode_new_chunk_align(20, 3, 2, 0);
            flick_cdr_encode_float64(0, _data->_u.two->c._buffer[_t3242_array_iter].a.b, CORBA::Double );
            flick_cdr_encode_signed16(8, _data->_u.two->c._buffer[_t3242_array_iter].a.c, CORBA::Short );
            flick_cdr_encode_char8(10, _data->_u.two->c._buffer[_t3242_array_iter].b.a, CORBA::Char );
            flick_cdr_encode_char8(11, _data->_u.two->c._buffer[_t3242_array_iter].b.b, CORBA::Char );
            flick_cdr_encode_char8(12, _data->_u.two->c._buffer[_t3242_array_iter].b.c, CORBA::Char );
            flick_cdr_encode_char8(13, _data->_u.two->c._buffer[_t3242_array_iter].b.d, CORBA::Char );
            flick_cdr_encode_unsigned32(16, _data->_u.two->c._buffer[_t3242_array_iter].b.e._length, CORBA::ULong );
            flick_iiopxx_encode_end_chunk(20);
            flick_iiopxx_encode_end_glob(28);
            for (_t3244_array_iter = 0; _t3244_array_iter < _data->_u.two->c._buffer[_t3242_array_iter].b.e._length; _t3244_array_iter++)
              {
                if (flick_marshal_stub_ta_td(_stream, _data->_u.two->c._buffer[_t3242_array_iter].b.e._buffer + _t3244_array_iter))
                  goto _flick_abort16712;
                continue;
                {
                _flick_abort16712:
                  goto _flick_abort16702;
                }
              }
            continue;
            {
            _flick_abort16702:
              goto _flick_abort16678;
            }
          }
        flick_iiopxx_encode_new_glob(4, _flick_abort16678);
        flick_iiopxx_encode_new_chunk(4);
        flick_cdr_encode_unsigned32(0, _data->_u.two->d._length, CORBA::ULong );
        flick_iiopxx_encode_end_chunk(4);
        flick_iiopxx_encode_end_glob(4);
        for (_t3245_array_iter = 0; _t3245_array_iter < _data->_u.two->d._length; _t3245_array_iter++)
          {
            if (flick_marshal_stub_tb(_stream, _data->_u.two->d._buffer + _t3245_array_iter))
              goto _flick_abort16717;
            continue;
            {
            _flick_abort16717:
              goto _flick_abort16678;
            }
          }
        break;
        {
        _flick_abort16678:
          goto _flick_abort16449;
        }
      }
    case 3:
      {
        flick_iiopxx_encode_new_chunk(4);
        flick_cdr_encode_unsigned32(0, _data->_u.three->disc_, enum tc );
        flick_iiopxx_encode_end_chunk(4);
        switch (_data->_u.three->disc_)
          {
          case 0:
            {
              flick_iiopxx_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _data->_u.three->_u.x, CORBA::Long );
              flick_iiopxx_encode_end_chunk(4);
              flick_iiopxx_encode_end_glob(52);
              break;
            }
          case 1:
            {
              flick_iiopxx_encode_new_chunk_align(8, 3, 2, 0);
              flick_cdr_encode_float64(0, _data->_u.three->_u.y, CORBA::Double );
              flick_iiopxx_encode_end_chunk(8);
              flick_iiopxx_encode_end_glob(52);
              break;
            }
          case 2:
            {
              flick_iiopxx_encode_new_chunk(1);
              flick_cdr_encode_unsigned8(0, _data->_u.three->_u.z, CORBA::Boolean );
              flick_iiopxx_encode_end_chunk(1);
              flick_iiopxx_encode_end_glob(52);
              break;
            }
          case 3:
            {
              CORBA::ULong _t3256_array_iter;
              CORBA::ULong _t3260_array_iter;
              CORBA::ULong _t3263_array_iter;

              flick_iiopxx_encode_new_chunk(4);
              flick_cdr_encode_signed32(0, _data->_u.three->_u.s->a.a, CORBA::Long );
              flick_iiopxx_encode_end_chunk(4);
              flick_iiopxx_encode_new_chunk_align(36, 3, 2, 0);
              flick_cdr_encode_float64(0, _data->_u.three->_u.s->a.b, CORBA::Double );
              flick_cdr_encode_signed16(8, _data->_u.three->_u.s->a.c, CORBA::Short );
              flick_cdr_encode_signed32(12, _data->_u.three->_u.s->b.a.a, CORBA::Long );
              flick_cdr_encode_float64(16, _data->_u.three->_u.s->b.a.b, CORBA::Double );
              flick_cdr_encode_signed16(24, _data->_u.three->_u.s->b.a.c, CORBA::Short );
              flick_cdr_encode_char8(26, _data->_u.three->_u.s->b.b.a, CORBA::Char );
              flick_cdr_encode_char8(27, _data->_u.three->_u.s->b.b.b, CORBA::Char );
              flick_cdr_encode_char8(28, _data->_u.three->_u.s->b.b.c, CORBA::Char );
              flick_cdr_encode_char8(29, _data->_u.three->_u.s->b.b.d, CORBA::Char );
              flick_cdr_encode_unsigned32(32, _data->_u.three->_u.s->b.b.e._length, CORBA::ULong );
              flick_iiopxx_encode_end_chunk(36);
              flick_iiopxx_encode_end_glob(52);
              for (_t3256_array_iter = 0; _t3256_array_iter < _data->_u.three->_u.s->b.b.e._length; _t3256_array_iter++)
                {
                  if (flick_marshal_stub_ta_td(_stream, _data->_u.three->_u.s->b.b.e._buffer + _t3256_array_iter))
                    goto _flick_abort16787;
                  continue;
                  {
                  _flick_abort16787:
                    goto _flick_abort16783;
                  }
                }
              flick_iiopxx_encode_new_glob(4, _flick_abort16783);
              flick_iiopxx_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _data->_u.three->_u.s->c._length, CORBA::ULong );
              flick_iiopxx_encode_end_chunk(4);
              flick_iiopxx_encode_end_glob(4);
              for (_t3260_array_iter = 0; _t3260_array_iter < _data->_u.three->_u.s->c._length; _t3260_array_iter++)
                {
                  CORBA::ULong _t3262_array_iter;

                  flick_iiopxx_encode_new_glob(28, _flick_abort16807);
                  flick_iiopxx_encode_new_chunk(4);
                  flick_cdr_encode_signed32(0, _data->_u.three->_u.s->c._buffer[_t3260_array_iter].a.a, CORBA::Long );
                  flick_iiopxx_encode_end_chunk(4);
                  flick_iiopxx_encode_new_chunk_align(20, 3, 2, 0);
                  flick_cdr_encode_float64(0, _data->_u.three->_u.s->c._buffer[_t3260_array_iter].a.b, CORBA::Double );
                  flick_cdr_encode_signed16(8, _data->_u.three->_u.s->c._buffer[_t3260_array_iter].a.c, CORBA::Short );
                  flick_cdr_encode_char8(10, _data->_u.three->_u.s->c._buffer[_t3260_array_iter].b.a, CORBA::Char );
                  flick_cdr_encode_char8(11, _data->_u.three->_u.s->c._buffer[_t3260_array_iter].b.b, CORBA::Char );
                  flick_cdr_encode_char8(12, _data->_u.three->_u.s->c._buffer[_t3260_array_iter].b.c, CORBA::Char );
                  flick_cdr_encode_char8(13, _data->_u.three->_u.s->c._buffer[_t3260_array_iter].b.d, CORBA::Char );
                  flick_cdr_encode_unsigned32(16, _data->_u.three->_u.s->c._buffer[_t3260_array_iter].b.e._length, CORBA::ULong );
                  flick_iiopxx_encode_end_chunk(20);
                  flick_iiopxx_encode_end_glob(28);
                  for (_t3262_array_iter = 0; _t3262_array_iter < _data->_u.three->_u.s->c._buffer[_t3260_array_iter].b.e._length; _t3262_array_iter++)
                    {
                      if (flick_marshal_stub_ta_td(_stream, _data->_u.three->_u.s->c._buffer[_t3260_array_iter].b.e._buffer + _t3262_array_iter))
                        goto _flick_abort16817;
                      continue;
                      {
                      _flick_abort16817:
                        goto _flick_abort16807;
                      }
                    }
                  continue;
                  {
                  _flick_abort16807:
                    goto _flick_abort16783;
                  }
                }
              flick_iiopxx_encode_new_glob(4, _flick_abort16783);
              flick_iiopxx_encode_new_chunk(4);
              flick_cdr_encode_unsigned32(0, _data->_u.three->_u.s->d._length, CORBA::ULong );
              flick_iiopxx_encode_end_chunk(4);
              flick_iiopxx_encode_end_glob(4);
              for (_t3263_array_iter = 0; _t3263_array_iter < _data->_u.three->_u.s->d._length; _t3263_array_iter++)
                {
                  if (flick_marshal_stub_tb(_stream, _data->_u.three->_u.s->d._buffer + _t3263_array_iter))
                    goto _flick_abort16822;
                  continue;
                  {
                  _flick_abort16822:
                    goto _flick_abort16783;
                  }
                }
              break;
              {
              _flick_abort16783:
                goto _flick_abort16719;
              }
            }
          case 4:
            {
              flick_iiopxx_encode_new_chunk(1);
              flick_cdr_encode_unsigned8(0, _data->_u.three->_u.u->disc_, CORBA::Boolean );
              flick_iiopxx_encode_end_chunk(1);
              switch (_data->_u.three->_u.u->disc_)
                {
                case 1:
                  {
                    CORBA::ULong _t3265_array_iter;

                    flick_iiopxx_encode_new_chunk(7);
                    flick_cdr_encode_unsigned32(3, _data->_u.three->_u.u->_u.next->_length, CORBA::ULong );
                    flick_iiopxx_encode_end_chunk(7);
                    flick_iiopxx_encode_end_glob(52);
                    if (_data->_u.three->_u.u->_u.next->_length > 1)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort16832);
                    for (_t3265_array_iter = 0; _t3265_array_iter < _data->_u.three->_u.u->_u.next->_length; _t3265_array_iter++)
                      {
                        if (flick_marshal_stub_td(_stream, _data->_u.three->_u.u->_u.next->_buffer + _t3265_array_iter))
                          goto _flick_abort16835;
                        continue;
                        {
                        _flick_abort16835:
                          goto _flick_abort16832;
                        }
                      }
                    break;
                    {
                    _flick_abort16832:
                      goto _flick_abort16824;
                    }
                  }
                default:
                  {
                    flick_iiopxx_encode_end_glob(52);
                    break;
                  }
                }
              break;
              {
              _flick_abort16824:
                goto _flick_abort16719;
              }
            }
          default:
            {
              flick_iiopxx_encode_end_glob(52);
              break;
            }
          }
        break;
        {
        _flick_abort16719:
          goto _flick_abort16449;
        }
      }
    default:
      {
        CORBA::ULong _t3266_array_iter;

        flick_iiopxx_encode_new_chunk(4);
        flick_cdr_encode_unsigned32(0, _data->_u.again->_length, CORBA::ULong );
        flick_iiopxx_encode_end_chunk(4);
        flick_iiopxx_encode_end_glob(52);
        for (_t3266_array_iter = 0; _t3266_array_iter < _data->_u.again->_length; _t3266_array_iter++)
          {
            if (flick_marshal_stub_td(_stream, _data->_u.again->_buffer + _t3266_array_iter))
              goto _flick_abort16843;
            continue;
            {
            _flick_abort16843:
              goto _flick_abort16839;
            }
          }
        break;
        {
        _flick_abort16839:
          goto _flick_abort16449;
        }
      }
    }
  return 0;
  {
  _flick_abort16449:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_td(flick_marshal_stream_t _stream, td *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(52);
  flick_iiopxx_check_span(8, _flick_abort16845);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_decode_signed32(0, _data->disc_, CORBA::Long );
  flick_iiopxx_decode_end_chunk(4);
  switch (_data->disc_)
    {
    case 1:
      {
        flick_unsigned32_t _t3303_temp_string_len;
        CORBA::ULong _t3304_array_iter;
        CORBA::ULong _t3305_array_iter;
        CORBA::ULong _t3306_array_iter;
        flick_unsigned32_t _t3307_temp_string_len;
        CORBA::ULong _t3308_array_iter;
        CORBA::ULong _t3309_array_iter;

        {
          struct ta *_t_alloc_ptr;

          _t_alloc_ptr = (struct ta *)new (struct ta );
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort17044);
          _data->_u.one = _t_alloc_ptr;
        }
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _data->_u.one->a.a, CORBA::Long );
        flick_iiopxx_decode_end_chunk(4);
        flick_iiopxx_decode_new_chunk_align(16, 3, 2, 0);
        flick_iiopxx_check_span(16, _flick_abort17044);
        flick_cdr_decode_float64(0, _data->_u.one->a.b, CORBA::Double );
        flick_cdr_decode_signed16(8, _data->_u.one->a.c, CORBA::Short );
        flick_cdr_decode_char8(10, _data->_u.one->b.a, CORBA::Char );
        flick_cdr_decode_unsigned32(12, _t3303_temp_string_len, flick_unsigned32_t );
        flick_iiopxx_decode_end_chunk(16);
        flick_iiopxx_decode_end_glob(52);
        flick_iiopxx_decode_new_glob(1 * _t3303_temp_string_len);
        flick_iiopxx_check_span(1 * _t3303_temp_string_len, _flick_abort17044);
        flick_iiopxx_decode_new_chunk(1 * _t3303_temp_string_len);
        {
          CORBA::Char *_t_alloc_ptr;

          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t3303_temp_string_len * sizeof(CORBA::Char )));
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort17044);
          _data->_u.one->b.b = _t_alloc_ptr;
        }
        flick_cdr_decode_bcopy(0, _data->_u.one->b.b, 1 * _t3303_temp_string_len);
        flick_iiopxx_decode_end_chunk(1 * _t3303_temp_string_len);
        flick_iiopxx_decode_end_glob(1 * _t3303_temp_string_len);
        flick_iiopxx_decode_new_glob(7);
        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
        flick_iiopxx_check_span(4, _flick_abort17044);
        flick_cdr_decode_unsigned32(0, _data->_u.one->b.c._length, CORBA::ULong );
        flick_iiopxx_decode_end_chunk(4);
        flick_iiopxx_decode_end_glob(7);
        {
          struct ::ta::tc *_t_alloc_ptr;

          _t_alloc_ptr = (struct ::ta::tc *)new (struct ::ta::tc [_data->_u.one->b.c._length]);
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort17044);
          _data->_u.one->b.c._buffer = _t_alloc_ptr;
          _data->_u.one->b.c._maximum = _data->_u.one->b.c._length;
          _data->_u.one->b.c._release = 1;
        }
        for (_t3304_array_iter = 0; _t3304_array_iter < _data->_u.one->b.c._length; _t3304_array_iter++)
          {
            if (flick_unmarshal_stub_ta_tc(_stream, _data->_u.one->b.c._buffer + _t3304_array_iter))
              goto _flick_abort17050;
            continue;
            {
            _flick_abort17050:
              goto _flick_abort17044;
            }
          }
        flick_iiopxx_decode_new_glob(28);
        flick_iiopxx_check_span(4, _flick_abort17044);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _data->_u.one->c.a.a, CORBA::Long );
        flick_iiopxx_decode_end_chunk(4);
        flick_iiopxx_decode_new_chunk_align(20, 3, 2, 0);
        flick_iiopxx_check_span(20, _flick_abort17044);
        flick_cdr_decode_float64(0, _data->_u.one->c.a.b, CORBA::Double );
        flick_cdr_decode_signed16(8, _data->_u.one->c.a.c, CORBA::Short );
        flick_cdr_decode_char8(10, _data->_u.one->c.b.a, CORBA::Char );
        flick_cdr_decode_char8(11, _data->_u.one->c.b.b, CORBA::Char );
        flick_cdr_decode_char8(12, _data->_u.one->c.b.c, CORBA::Char );
        flick_cdr_decode_char8(13, _data->_u.one->c.b.d, CORBA::Char );
        flick_cdr_decode_unsigned32(16, _data->_u.one->c.b.e._length, CORBA::ULong );
        flick_iiopxx_decode_end_chunk(20);
        flick_iiopxx_decode_end_glob(28);
        {
          struct ::ta::td *_t_alloc_ptr;

          _t_alloc_ptr = (struct ::ta::td *)new (struct ::ta::td [_data->_u.one->c.b.e._length]);
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort17044);
          _data->_u.one->c.b.e._buffer = _t_alloc_ptr;
          _data->_u.one->c.b.e._maximum = _data->_u.one->c.b.e._length;
          _data->_u.one->c.b.e._release = 1;
        }
        for (_t3305_array_iter = 0; _t3305_array_iter < _data->_u.one->c.b.e._length; _t3305_array_iter++)
          {
            if (flick_unmarshal_stub_ta_td(_stream, _data->_u.one->c.b.e._buffer + _t3305_array_iter))
              goto _flick_abort17055;
            continue;
            {
            _flick_abort17055:
              goto _flick_abort17044;
            }
          }
        flick_iiopxx_decode_new_glob(4);
        flick_iiopxx_check_span(4, _flick_abort17044);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_unsigned32(0, _data->_u.one->next._length, CORBA::ULong );
        flick_iiopxx_decode_end_chunk(4);
        flick_iiopxx_decode_end_glob(4);
        {
          struct ta *_t_alloc_ptr;

          _t_alloc_ptr = (struct ta *)new (struct ta [_data->_u.one->next._length]);
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort17044);
          _data->_u.one->next._buffer = _t_alloc_ptr;
          _data->_u.one->next._maximum = _data->_u.one->next._length;
          _data->_u.one->next._release = 1;
        }
        for (_t3306_array_iter = 0; _t3306_array_iter < _data->_u.one->next._length; _t3306_array_iter++)
          {
            if (flick_unmarshal_stub_ta(_stream, _data->_u.one->next._buffer + _t3306_array_iter))
              goto _flick_abort17060;
            continue;
            {
            _flick_abort17060:
              goto _flick_abort17044;
            }
          }
        flick_iiopxx_decode_new_glob(24);
        flick_iiopxx_check_span(24, _flick_abort17044);
        flick_iiopxx_decode_new_chunk(24);
        flick_cdr_decode_signed32(0, _data->_u.one->d.a, CORBA::Long );
        flick_cdr_decode_float64(8, _data->_u.one->d.b, CORBA::Double );
        flick_cdr_decode_signed16(16, _data->_u.one->d.c, CORBA::Short );
        flick_cdr_decode_char8(18, _data->_u.one->e.a, CORBA::Char );
        flick_cdr_decode_unsigned32(20, _t3307_temp_string_len, flick_unsigned32_t );
        flick_iiopxx_decode_end_chunk(24);
        flick_iiopxx_decode_end_glob(24);
        flick_iiopxx_decode_new_glob(1 * _t3307_temp_string_len);
        flick_iiopxx_check_span(1 * _t3307_temp_string_len, _flick_abort17044);
        flick_iiopxx_decode_new_chunk(1 * _t3307_temp_string_len);
        {
          CORBA::Char *_t_alloc_ptr;

          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t3307_temp_string_len * sizeof(CORBA::Char )));
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort17044);
          _data->_u.one->e.b = _t_alloc_ptr;
        }
        flick_cdr_decode_bcopy(0, _data->_u.one->e.b, 1 * _t3307_temp_string_len);
        flick_iiopxx_decode_end_chunk(1 * _t3307_temp_string_len);
        flick_iiopxx_decode_end_glob(1 * _t3307_temp_string_len);
        flick_iiopxx_decode_new_glob(7);
        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
        flick_iiopxx_check_span(4, _flick_abort17044);
        flick_cdr_decode_unsigned32(0, _data->_u.one->e.c._length, CORBA::ULong );
        flick_iiopxx_decode_end_chunk(4);
        flick_iiopxx_decode_end_glob(7);
        {
          struct ::ta::tc *_t_alloc_ptr;

          _t_alloc_ptr = (struct ::ta::tc *)new (struct ::ta::tc [_data->_u.one->e.c._length]);
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort17044);
          _data->_u.one->e.c._buffer = _t_alloc_ptr;
          _data->_u.one->e.c._maximum = _data->_u.one->e.c._length;
          _data->_u.one->e.c._release = 1;
        }
        for (_t3308_array_iter = 0; _t3308_array_iter < _data->_u.one->e.c._length; _t3308_array_iter++)
          {
            if (flick_unmarshal_stub_ta_tc(_stream, _data->_u.one->e.c._buffer + _t3308_array_iter))
              goto _flick_abort17067;
            continue;
            {
            _flick_abort17067:
              goto _flick_abort17044;
            }
          }
        flick_iiopxx_decode_new_glob(28);
        flick_iiopxx_check_span(4, _flick_abort17044);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _data->_u.one->f.a.a, CORBA::Long );
        flick_iiopxx_decode_end_chunk(4);
        flick_iiopxx_decode_new_chunk_align(20, 3, 2, 0);
        flick_iiopxx_check_span(20, _flick_abort17044);
        flick_cdr_decode_float64(0, _data->_u.one->f.a.b, CORBA::Double );
        flick_cdr_decode_signed16(8, _data->_u.one->f.a.c, CORBA::Short );
        flick_cdr_decode_char8(10, _data->_u.one->f.b.a, CORBA::Char );
        flick_cdr_decode_char8(11, _data->_u.one->f.b.b, CORBA::Char );
        flick_cdr_decode_char8(12, _data->_u.one->f.b.c, CORBA::Char );
        flick_cdr_decode_char8(13, _data->_u.one->f.b.d, CORBA::Char );
        flick_cdr_decode_unsigned32(16, _data->_u.one->f.b.e._length, CORBA::ULong );
        flick_iiopxx_decode_end_chunk(20);
        flick_iiopxx_decode_end_glob(28);
        {
          struct ::ta::td *_t_alloc_ptr;

          _t_alloc_ptr = (struct ::ta::td *)new (struct ::ta::td [_data->_u.one->f.b.e._length]);
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort17044);
          _data->_u.one->f.b.e._buffer = _t_alloc_ptr;
          _data->_u.one->f.b.e._maximum = _data->_u.one->f.b.e._length;
          _data->_u.one->f.b.e._release = 1;
        }
        for (_t3309_array_iter = 0; _t3309_array_iter < _data->_u.one->f.b.e._length; _t3309_array_iter++)
          {
            if (flick_unmarshal_stub_ta_td(_stream, _data->_u.one->f.b.e._buffer + _t3309_array_iter))
              goto _flick_abort17072;
            continue;
            {
            _flick_abort17072:
              goto _flick_abort17044;
            }
          }
        break;
        {
        _flick_abort17044:
          goto _flick_abort16845;
        }
      }
    case 2:
      {
        CORBA::ULong _t3310_array_iter;
        CORBA::ULong _t3314_array_iter;
        CORBA::ULong _t3317_array_iter;

        {
          struct tb *_t_alloc_ptr;

          _t_alloc_ptr = (struct tb *)new (struct tb );
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort17074);
          _data->_u.two = _t_alloc_ptr;
        }
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _data->_u.two->a.a, CORBA::Long );
        flick_iiopxx_decode_end_chunk(4);
        flick_iiopxx_decode_new_chunk_align(36, 3, 2, 0);
        flick_iiopxx_check_span(36, _flick_abort17074);
        flick_cdr_decode_float64(0, _data->_u.two->a.b, CORBA::Double );
        flick_cdr_decode_signed16(8, _data->_u.two->a.c, CORBA::Short );
        flick_cdr_decode_signed32(12, _data->_u.two->b.a.a, CORBA::Long );
        flick_cdr_decode_float64(16, _data->_u.two->b.a.b, CORBA::Double );
        flick_cdr_decode_signed16(24, _data->_u.two->b.a.c, CORBA::Short );
        flick_cdr_decode_char8(26, _data->_u.two->b.b.a, CORBA::Char );
        flick_cdr_decode_char8(27, _data->_u.two->b.b.b, CORBA::Char );
        flick_cdr_decode_char8(28, _data->_u.two->b.b.c, CORBA::Char );
        flick_cdr_decode_char8(29, _data->_u.two->b.b.d, CORBA::Char );
        flick_cdr_decode_unsigned32(32, _data->_u.two->b.b.e._length, CORBA::ULong );
        flick_iiopxx_decode_end_chunk(36);
        flick_iiopxx_decode_end_glob(52);
        {
          struct ::ta::td *_t_alloc_ptr;

          _t_alloc_ptr = (struct ::ta::td *)new (struct ::ta::td [_data->_u.two->b.b.e._length]);
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort17074);
          _data->_u.two->b.b.e._buffer = _t_alloc_ptr;
          _data->_u.two->b.b.e._maximum = _data->_u.two->b.b.e._length;
          _data->_u.two->b.b.e._release = 1;
        }
        for (_t3310_array_iter = 0; _t3310_array_iter < _data->_u.two->b.b.e._length; _t3310_array_iter++)
          {
            if (flick_unmarshal_stub_ta_td(_stream, _data->_u.two->b.b.e._buffer + _t3310_array_iter))
              goto _flick_abort17078;
            continue;
            {
            _flick_abort17078:
              goto _flick_abort17074;
            }
          }
        flick_iiopxx_decode_new_glob(4);
        flick_iiopxx_check_span(4, _flick_abort17074);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_unsigned32(0, _data->_u.two->c._length, CORBA::ULong );
        flick_iiopxx_decode_end_chunk(4);
        flick_iiopxx_decode_end_glob(4);
        {
          struct ::ta::td *_t_alloc_ptr;

          _t_alloc_ptr = (struct ::ta::td *)new (struct ::ta::td [_data->_u.two->c._length]);
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort17074);
          _data->_u.two->c._buffer = _t_alloc_ptr;
          _data->_u.two->c._maximum = _data->_u.two->c._length;
          _data->_u.two->c._release = 1;
        }
        for (_t3314_array_iter = 0; _t3314_array_iter < _data->_u.two->c._length; _t3314_array_iter++)
          {
            CORBA::ULong _t3316_array_iter;

            flick_iiopxx_decode_new_glob(28);
            flick_iiopxx_check_span(4, _flick_abort17098);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_decode_signed32(0, _data->_u.two->c._buffer[_t3314_array_iter].a.a, CORBA::Long );
            flick_iiopxx_decode_end_chunk(4);
            flick_iiopxx_decode_new_chunk_align(20, 3, 2, 0);
            flick_iiopxx_check_span(20, _flick_abort17098);
            flick_cdr_decode_float64(0, _data->_u.two->c._buffer[_t3314_array_iter].a.b, CORBA::Double );
            flick_cdr_decode_signed16(8, _data->_u.two->c._buffer[_t3314_array_iter].a.c, CORBA::Short );
            flick_cdr_decode_char8(10, _data->_u.two->c._buffer[_t3314_array_iter].b.a, CORBA::Char );
            flick_cdr_decode_char8(11, _data->_u.two->c._buffer[_t3314_array_iter].b.b, CORBA::Char );
            flick_cdr_decode_char8(12, _data->_u.two->c._buffer[_t3314_array_iter].b.c, CORBA::Char );
            flick_cdr_decode_char8(13, _data->_u.two->c._buffer[_t3314_array_iter].b.d, CORBA::Char );
            flick_cdr_decode_unsigned32(16, _data->_u.two->c._buffer[_t3314_array_iter].b.e._length, CORBA::ULong );
            flick_iiopxx_decode_end_chunk(20);
            flick_iiopxx_decode_end_glob(28);
            {
              struct ::ta::td *_t_alloc_ptr;

              _t_alloc_ptr = (struct ::ta::td *)new (struct ::ta::td [_data->_u.two->c._buffer[_t3314_array_iter].b.e._length]);
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort17098);
              _data->_u.two->c._buffer[_t3314_array_iter].b.e._buffer = _t_alloc_ptr;
              _data->_u.two->c._buffer[_t3314_array_iter].b.e._maximum = _data->_u.two->c._buffer[_t3314_array_iter].b.e._length;
              _data->_u.two->c._buffer[_t3314_array_iter].b.e._release = 1;
            }
            for (_t3316_array_iter = 0; _t3316_array_iter < _data->_u.two->c._buffer[_t3314_array_iter].b.e._length; _t3316_array_iter++)
              {
                if (flick_unmarshal_stub_ta_td(_stream, _data->_u.two->c._buffer[_t3314_array_iter].b.e._buffer + _t3316_array_iter))
                  goto _flick_abort17108;
                continue;
                {
                _flick_abort17108:
                  goto _flick_abort17098;
                }
              }
            continue;
            {
            _flick_abort17098:
              goto _flick_abort17074;
            }
          }
        flick_iiopxx_decode_new_glob(4);
        flick_iiopxx_check_span(4, _flick_abort17074);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_unsigned32(0, _data->_u.two->d._length, CORBA::ULong );
        flick_iiopxx_decode_end_chunk(4);
        flick_iiopxx_decode_end_glob(4);
        {
          struct tb *_t_alloc_ptr;

          _t_alloc_ptr = (struct tb *)new (struct tb [_data->_u.two->d._length]);
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort17074);
          _data->_u.two->d._buffer = _t_alloc_ptr;
          _data->_u.two->d._maximum = _data->_u.two->d._length;
          _data->_u.two->d._release = 1;
        }
        for (_t3317_array_iter = 0; _t3317_array_iter < _data->_u.two->d._length; _t3317_array_iter++)
          {
            if (flick_unmarshal_stub_tb(_stream, _data->_u.two->d._buffer + _t3317_array_iter))
              goto _flick_abort17113;
            continue;
            {
            _flick_abort17113:
              goto _flick_abort17074;
            }
          }
        break;
        {
        _flick_abort17074:
          goto _flick_abort16845;
        }
      }
    case 3:
      {
        {
          ::td::te *_t_alloc_ptr;

          _t_alloc_ptr = (::td::te *)new ::td::te ;
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort17115);
          _data->_u.three = _t_alloc_ptr;
        }
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_unsigned32(0, _data->_u.three->disc_, enum tc );
        flick_iiopxx_decode_end_chunk(4);
        switch (_data->_u.three->disc_)
          {
          case 0:
            {
              flick_iiopxx_check_span(4, _flick_abort17176);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_signed32(0, _data->_u.three->_u.x, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(52);
              break;
              {
              _flick_abort17176:
                goto _flick_abort17115;
              }
            }
          case 1:
            {
              flick_iiopxx_decode_new_chunk_align(8, 3, 2, 0);
              flick_iiopxx_check_span(8, _flick_abort17177);
              flick_cdr_decode_float64(0, _data->_u.three->_u.y, CORBA::Double );
              flick_iiopxx_decode_end_chunk(8);
              flick_iiopxx_decode_end_glob(52);
              break;
              {
              _flick_abort17177:
                goto _flick_abort17115;
              }
            }
          case 2:
            {
              flick_iiopxx_check_span(1, _flick_abort17178);
              flick_iiopxx_decode_new_chunk(1);
              flick_cdr_decode_unsigned8(0, _data->_u.three->_u.z, CORBA::Boolean );
              flick_iiopxx_decode_end_chunk(1);
              flick_iiopxx_decode_end_glob(52);
              break;
              {
              _flick_abort17178:
                goto _flick_abort17115;
              }
            }
          case 3:
            {
              CORBA::ULong _t3328_array_iter;
              CORBA::ULong _t3332_array_iter;
              CORBA::ULong _t3335_array_iter;

              {
                struct tb *_t_alloc_ptr;

                _t_alloc_ptr = (struct tb *)new (struct tb );
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort17179);
                _data->_u.three->_u.s = _t_alloc_ptr;
              }
              flick_iiopxx_check_span(4, _flick_abort17179);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_signed32(0, _data->_u.three->_u.s->a.a, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_new_chunk_align(36, 3, 2, 0);
              flick_iiopxx_check_span(36, _flick_abort17179);
              flick_cdr_decode_float64(0, _data->_u.three->_u.s->a.b, CORBA::Double );
              flick_cdr_decode_signed16(8, _data->_u.three->_u.s->a.c, CORBA::Short );
              flick_cdr_decode_signed32(12, _data->_u.three->_u.s->b.a.a, CORBA::Long );
              flick_cdr_decode_float64(16, _data->_u.three->_u.s->b.a.b, CORBA::Double );
              flick_cdr_decode_signed16(24, _data->_u.three->_u.s->b.a.c, CORBA::Short );
              flick_cdr_decode_char8(26, _data->_u.three->_u.s->b.b.a, CORBA::Char );
              flick_cdr_decode_char8(27, _data->_u.three->_u.s->b.b.b, CORBA::Char );
              flick_cdr_decode_char8(28, _data->_u.three->_u.s->b.b.c, CORBA::Char );
              flick_cdr_decode_char8(29, _data->_u.three->_u.s->b.b.d, CORBA::Char );
              flick_cdr_decode_unsigned32(32, _data->_u.three->_u.s->b.b.e._length, CORBA::ULong );
              flick_iiopxx_decode_end_chunk(36);
              flick_iiopxx_decode_end_glob(52);
              {
                struct ::ta::td *_t_alloc_ptr;

                _t_alloc_ptr = (struct ::ta::td *)new (struct ::ta::td [_data->_u.three->_u.s->b.b.e._length]);
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort17179);
                _data->_u.three->_u.s->b.b.e._buffer = _t_alloc_ptr;
                _data->_u.three->_u.s->b.b.e._maximum = _data->_u.three->_u.s->b.b.e._length;
                _data->_u.three->_u.s->b.b.e._release = 1;
              }
              for (_t3328_array_iter = 0; _t3328_array_iter < _data->_u.three->_u.s->b.b.e._length; _t3328_array_iter++)
                {
                  if (flick_unmarshal_stub_ta_td(_stream, _data->_u.three->_u.s->b.b.e._buffer + _t3328_array_iter))
                    goto _flick_abort17183;
                  continue;
                  {
                  _flick_abort17183:
                    goto _flick_abort17179;
                  }
                }
              flick_iiopxx_decode_new_glob(4);
              flick_iiopxx_check_span(4, _flick_abort17179);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_unsigned32(0, _data->_u.three->_u.s->c._length, CORBA::ULong );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(4);
              {
                struct ::ta::td *_t_alloc_ptr;

                _t_alloc_ptr = (struct ::ta::td *)new (struct ::ta::td [_data->_u.three->_u.s->c._length]);
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort17179);
                _data->_u.three->_u.s->c._buffer = _t_alloc_ptr;
                _data->_u.three->_u.s->c._maximum = _data->_u.three->_u.s->c._length;
                _data->_u.three->_u.s->c._release = 1;
              }
              for (_t3332_array_iter = 0; _t3332_array_iter < _data->_u.three->_u.s->c._length; _t3332_array_iter++)
                {
                  CORBA::ULong _t3334_array_iter;

                  flick_iiopxx_decode_new_glob(28);
                  flick_iiopxx_check_span(4, _flick_abort17203);
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_decode_signed32(0, _data->_u.three->_u.s->c._buffer[_t3332_array_iter].a.a, CORBA::Long );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_new_chunk_align(20, 3, 2, 0);
                  flick_iiopxx_check_span(20, _flick_abort17203);
                  flick_cdr_decode_float64(0, _data->_u.three->_u.s->c._buffer[_t3332_array_iter].a.b, CORBA::Double );
                  flick_cdr_decode_signed16(8, _data->_u.three->_u.s->c._buffer[_t3332_array_iter].a.c, CORBA::Short );
                  flick_cdr_decode_char8(10, _data->_u.three->_u.s->c._buffer[_t3332_array_iter].b.a, CORBA::Char );
                  flick_cdr_decode_char8(11, _data->_u.three->_u.s->c._buffer[_t3332_array_iter].b.b, CORBA::Char );
                  flick_cdr_decode_char8(12, _data->_u.three->_u.s->c._buffer[_t3332_array_iter].b.c, CORBA::Char );
                  flick_cdr_decode_char8(13, _data->_u.three->_u.s->c._buffer[_t3332_array_iter].b.d, CORBA::Char );
                  flick_cdr_decode_unsigned32(16, _data->_u.three->_u.s->c._buffer[_t3332_array_iter].b.e._length, CORBA::ULong );
                  flick_iiopxx_decode_end_chunk(20);
                  flick_iiopxx_decode_end_glob(28);
                  {
                    struct ::ta::td *_t_alloc_ptr;

                    _t_alloc_ptr = (struct ::ta::td *)new (struct ::ta::td [_data->_u.three->_u.s->c._buffer[_t3332_array_iter].b.e._length]);
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort17203);
                    _data->_u.three->_u.s->c._buffer[_t3332_array_iter].b.e._buffer = _t_alloc_ptr;
                    _data->_u.three->_u.s->c._buffer[_t3332_array_iter].b.e._maximum = _data->_u.three->_u.s->c._buffer[_t3332_array_iter].b.e._length;
                    _data->_u.three->_u.s->c._buffer[_t3332_array_iter].b.e._release = 1;
                  }
                  for (_t3334_array_iter = 0; _t3334_array_iter < _data->_u.three->_u.s->c._buffer[_t3332_array_iter].b.e._length; _t3334_array_iter++)
                    {
                      if (flick_unmarshal_stub_ta_td(_stream, _data->_u.three->_u.s->c._buffer[_t3332_array_iter].b.e._buffer + _t3334_array_iter))
                        goto _flick_abort17213;
                      continue;
                      {
                      _flick_abort17213:
                        goto _flick_abort17203;
                      }
                    }
                  continue;
                  {
                  _flick_abort17203:
                    goto _flick_abort17179;
                  }
                }
              flick_iiopxx_decode_new_glob(4);
              flick_iiopxx_check_span(4, _flick_abort17179);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_unsigned32(0, _data->_u.three->_u.s->d._length, CORBA::ULong );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(4);
              {
                struct tb *_t_alloc_ptr;

                _t_alloc_ptr = (struct tb *)new (struct tb [_data->_u.three->_u.s->d._length]);
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort17179);
                _data->_u.three->_u.s->d._buffer = _t_alloc_ptr;
                _data->_u.three->_u.s->d._maximum = _data->_u.three->_u.s->d._length;
                _data->_u.three->_u.s->d._release = 1;
              }
              for (_t3335_array_iter = 0; _t3335_array_iter < _data->_u.three->_u.s->d._length; _t3335_array_iter++)
                {
                  if (flick_unmarshal_stub_tb(_stream, _data->_u.three->_u.s->d._buffer + _t3335_array_iter))
                    goto _flick_abort17218;
                  continue;
                  {
                  _flick_abort17218:
                    goto _flick_abort17179;
                  }
                }
              break;
              {
              _flick_abort17179:
                goto _flick_abort17115;
              }
            }
          case 4:
            {
              {
                ::td::te::tu *_t_alloc_ptr;

                _t_alloc_ptr = (::td::te::tu *)new ::td::te::tu ;
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort17220);
                _data->_u.three->_u.u = _t_alloc_ptr;
              }
              flick_iiopxx_check_span(8, _flick_abort17220);
              flick_iiopxx_decode_new_chunk(1);
              flick_cdr_decode_unsigned8(0, _data->_u.three->_u.u->disc_, CORBA::Boolean );
              flick_iiopxx_decode_end_chunk(1);
              switch (_data->_u.three->_u.u->disc_)
                {
                case 1:
                  {
                    CORBA::ULong _t3337_array_iter;

                    {
                      ::td::te::tu::flick_sequence_td_bounded_1 *_t_alloc_ptr;

                      _t_alloc_ptr = (::td::te::tu::flick_sequence_td_bounded_1 *)new ::td::te::tu::flick_sequence_td_bounded_1 ;
                      if (!_t_alloc_ptr)
                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort17228);
                      _data->_u.three->_u.u->_u.next = _t_alloc_ptr;
                    }
                    flick_iiopxx_decode_new_chunk(7);
                    flick_cdr_decode_unsigned32(3, _data->_u.three->_u.u->_u.next->_length, CORBA::ULong );
                    flick_iiopxx_decode_end_chunk(7);
                    flick_iiopxx_decode_end_glob(52);
                    if (_data->_u.three->_u.u->_u.next->_length > 1)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort17228);
                    {
                      td *_t_alloc_ptr;

                      _t_alloc_ptr = (td *)new td ;
                      if (!_t_alloc_ptr)
                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort17228);
                      _data->_u.three->_u.u->_u.next->_buffer = _t_alloc_ptr;
                      _data->_u.three->_u.u->_u.next->_maximum = 1;
                      _data->_u.three->_u.u->_u.next->_release = 1;
                    }
                    for (_t3337_array_iter = 0; _t3337_array_iter < _data->_u.three->_u.u->_u.next->_length; _t3337_array_iter++)
                      {
                        if (flick_unmarshal_stub_td(_stream, _data->_u.three->_u.u->_u.next->_buffer + _t3337_array_iter))
                          goto _flick_abort17231;
                        continue;
                        {
                        _flick_abort17231:
                          goto _flick_abort17228;
                        }
                      }
                    break;
                    {
                    _flick_abort17228:
                      goto _flick_abort17220;
                    }
                  }
                default:
                  {
                    flick_iiopxx_decode_end_glob(52);
                    break;
                  }
                }
              break;
              {
              _flick_abort17220:
                goto _flick_abort17115;
              }
            }
          default:
            {
              flick_iiopxx_decode_end_glob(52);
              break;
            }
          }
        break;
        {
        _flick_abort17115:
          goto _flick_abort16845;
        }
      }
    default:
      {
        CORBA::ULong _t3338_array_iter;

        {
          ::td::flick_sequence_td *_t_alloc_ptr;

          _t_alloc_ptr = (::td::flick_sequence_td *)new ::td::flick_sequence_td ;
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort17235);
          _data->_u.again = _t_alloc_ptr;
        }
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_unsigned32(0, _data->_u.again->_length, CORBA::ULong );
        flick_iiopxx_decode_end_chunk(4);
        flick_iiopxx_decode_end_glob(52);
        {
          td *_t_alloc_ptr;

          _t_alloc_ptr = (td *)new (td [_data->_u.again->_length]);
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort17235);
          _data->_u.again->_buffer = _t_alloc_ptr;
          _data->_u.again->_maximum = _data->_u.again->_length;
          _data->_u.again->_release = 1;
        }
        for (_t3338_array_iter = 0; _t3338_array_iter < _data->_u.again->_length; _t3338_array_iter++)
          {
            if (flick_unmarshal_stub_td(_stream, _data->_u.again->_buffer + _t3338_array_iter))
              goto _flick_abort17239;
            continue;
            {
            _flick_abort17239:
              goto _flick_abort17235;
            }
          }
        break;
        {
        _flick_abort17235:
          goto _flick_abort16845;
        }
      }
    }
  return 0;
  {
  _flick_abort16845:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_td_swap(flick_marshal_stream_t _stream, td *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_iiopxx_decode_new_glob(52);
  flick_iiopxx_check_span(8, _flick_abort17241);
  flick_iiopxx_decode_new_chunk(4);
  flick_cdr_swap_decode_signed32(0, _data->disc_, CORBA::Long );
  flick_iiopxx_decode_end_chunk(4);
  switch (_data->disc_)
    {
    case 1:
      {
        flick_unsigned32_t _t3375_temp_string_len;
        CORBA::ULong _t3376_array_iter;
        CORBA::ULong _t3377_array_iter;
        CORBA::ULong _t3378_array_iter;
        flick_unsigned32_t _t3379_temp_string_len;
        CORBA::ULong _t3380_array_iter;
        CORBA::ULong _t3381_array_iter;

        {
          struct ta *_t_alloc_ptr;

          _t_alloc_ptr = (struct ta *)new (struct ta );
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort17440);
          _data->_u.one = _t_alloc_ptr;
        }
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _data->_u.one->a.a, CORBA::Long );
        flick_iiopxx_decode_end_chunk(4);
        flick_iiopxx_decode_new_chunk_align(16, 3, 2, 0);
        flick_iiopxx_check_span(16, _flick_abort17440);
        flick_cdr_swap_decode_float64(0, _data->_u.one->a.b, CORBA::Double );
        flick_cdr_swap_decode_signed16(8, _data->_u.one->a.c, CORBA::Short );
        flick_cdr_swap_decode_char8(10, _data->_u.one->b.a, CORBA::Char );
        flick_cdr_swap_decode_unsigned32(12, _t3375_temp_string_len, flick_unsigned32_t );
        flick_iiopxx_decode_end_chunk(16);
        flick_iiopxx_decode_end_glob(52);
        flick_iiopxx_decode_new_glob(1 * _t3375_temp_string_len);
        flick_iiopxx_check_span(1 * _t3375_temp_string_len, _flick_abort17440);
        flick_iiopxx_decode_new_chunk(1 * _t3375_temp_string_len);
        {
          CORBA::Char *_t_alloc_ptr;

          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t3375_temp_string_len * sizeof(CORBA::Char )));
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort17440);
          _data->_u.one->b.b = _t_alloc_ptr;
        }
        flick_cdr_swap_decode_bcopy(0, _data->_u.one->b.b, 1 * _t3375_temp_string_len);
        flick_iiopxx_decode_end_chunk(1 * _t3375_temp_string_len);
        flick_iiopxx_decode_end_glob(1 * _t3375_temp_string_len);
        flick_iiopxx_decode_new_glob(7);
        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
        flick_iiopxx_check_span(4, _flick_abort17440);
        flick_cdr_swap_decode_unsigned32(0, _data->_u.one->b.c._length, CORBA::ULong );
        flick_iiopxx_decode_end_chunk(4);
        flick_iiopxx_decode_end_glob(7);
        {
          struct ::ta::tc *_t_alloc_ptr;

          _t_alloc_ptr = (struct ::ta::tc *)new (struct ::ta::tc [_data->_u.one->b.c._length]);
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort17440);
          _data->_u.one->b.c._buffer = _t_alloc_ptr;
          _data->_u.one->b.c._maximum = _data->_u.one->b.c._length;
          _data->_u.one->b.c._release = 1;
        }
        for (_t3376_array_iter = 0; _t3376_array_iter < _data->_u.one->b.c._length; _t3376_array_iter++)
          {
            if (flick_unmarshal_stub_ta_tc_swap(_stream, _data->_u.one->b.c._buffer + _t3376_array_iter))
              goto _flick_abort17446;
            continue;
            {
            _flick_abort17446:
              goto _flick_abort17440;
            }
          }
        flick_iiopxx_decode_new_glob(28);
        flick_iiopxx_check_span(4, _flick_abort17440);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _data->_u.one->c.a.a, CORBA::Long );
        flick_iiopxx_decode_end_chunk(4);
        flick_iiopxx_decode_new_chunk_align(20, 3, 2, 0);
        flick_iiopxx_check_span(20, _flick_abort17440);
        flick_cdr_swap_decode_float64(0, _data->_u.one->c.a.b, CORBA::Double );
        flick_cdr_swap_decode_signed16(8, _data->_u.one->c.a.c, CORBA::Short );
        flick_cdr_swap_decode_char8(10, _data->_u.one->c.b.a, CORBA::Char );
        flick_cdr_swap_decode_char8(11, _data->_u.one->c.b.b, CORBA::Char );
        flick_cdr_swap_decode_char8(12, _data->_u.one->c.b.c, CORBA::Char );
        flick_cdr_swap_decode_char8(13, _data->_u.one->c.b.d, CORBA::Char );
        flick_cdr_swap_decode_unsigned32(16, _data->_u.one->c.b.e._length, CORBA::ULong );
        flick_iiopxx_decode_end_chunk(20);
        flick_iiopxx_decode_end_glob(28);
        {
          struct ::ta::td *_t_alloc_ptr;

          _t_alloc_ptr = (struct ::ta::td *)new (struct ::ta::td [_data->_u.one->c.b.e._length]);
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort17440);
          _data->_u.one->c.b.e._buffer = _t_alloc_ptr;
          _data->_u.one->c.b.e._maximum = _data->_u.one->c.b.e._length;
          _data->_u.one->c.b.e._release = 1;
        }
        for (_t3377_array_iter = 0; _t3377_array_iter < _data->_u.one->c.b.e._length; _t3377_array_iter++)
          {
            if (flick_unmarshal_stub_ta_td_swap(_stream, _data->_u.one->c.b.e._buffer + _t3377_array_iter))
              goto _flick_abort17451;
            continue;
            {
            _flick_abort17451:
              goto _flick_abort17440;
            }
          }
        flick_iiopxx_decode_new_glob(4);
        flick_iiopxx_check_span(4, _flick_abort17440);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_unsigned32(0, _data->_u.one->next._length, CORBA::ULong );
        flick_iiopxx_decode_end_chunk(4);
        flick_iiopxx_decode_end_glob(4);
        {
          struct ta *_t_alloc_ptr;

          _t_alloc_ptr = (struct ta *)new (struct ta [_data->_u.one->next._length]);
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort17440);
          _data->_u.one->next._buffer = _t_alloc_ptr;
          _data->_u.one->next._maximum = _data->_u.one->next._length;
          _data->_u.one->next._release = 1;
        }
        for (_t3378_array_iter = 0; _t3378_array_iter < _data->_u.one->next._length; _t3378_array_iter++)
          {
            if (flick_unmarshal_stub_ta_swap(_stream, _data->_u.one->next._buffer + _t3378_array_iter))
              goto _flick_abort17456;
            continue;
            {
            _flick_abort17456:
              goto _flick_abort17440;
            }
          }
        flick_iiopxx_decode_new_glob(24);
        flick_iiopxx_check_span(24, _flick_abort17440);
        flick_iiopxx_decode_new_chunk(24);
        flick_cdr_swap_decode_signed32(0, _data->_u.one->d.a, CORBA::Long );
        flick_cdr_swap_decode_float64(8, _data->_u.one->d.b, CORBA::Double );
        flick_cdr_swap_decode_signed16(16, _data->_u.one->d.c, CORBA::Short );
        flick_cdr_swap_decode_char8(18, _data->_u.one->e.a, CORBA::Char );
        flick_cdr_swap_decode_unsigned32(20, _t3379_temp_string_len, flick_unsigned32_t );
        flick_iiopxx_decode_end_chunk(24);
        flick_iiopxx_decode_end_glob(24);
        flick_iiopxx_decode_new_glob(1 * _t3379_temp_string_len);
        flick_iiopxx_check_span(1 * _t3379_temp_string_len, _flick_abort17440);
        flick_iiopxx_decode_new_chunk(1 * _t3379_temp_string_len);
        {
          CORBA::Char *_t_alloc_ptr;

          _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t3379_temp_string_len * sizeof(CORBA::Char )));
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort17440);
          _data->_u.one->e.b = _t_alloc_ptr;
        }
        flick_cdr_swap_decode_bcopy(0, _data->_u.one->e.b, 1 * _t3379_temp_string_len);
        flick_iiopxx_decode_end_chunk(1 * _t3379_temp_string_len);
        flick_iiopxx_decode_end_glob(1 * _t3379_temp_string_len);
        flick_iiopxx_decode_new_glob(7);
        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
        flick_iiopxx_check_span(4, _flick_abort17440);
        flick_cdr_swap_decode_unsigned32(0, _data->_u.one->e.c._length, CORBA::ULong );
        flick_iiopxx_decode_end_chunk(4);
        flick_iiopxx_decode_end_glob(7);
        {
          struct ::ta::tc *_t_alloc_ptr;

          _t_alloc_ptr = (struct ::ta::tc *)new (struct ::ta::tc [_data->_u.one->e.c._length]);
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort17440);
          _data->_u.one->e.c._buffer = _t_alloc_ptr;
          _data->_u.one->e.c._maximum = _data->_u.one->e.c._length;
          _data->_u.one->e.c._release = 1;
        }
        for (_t3380_array_iter = 0; _t3380_array_iter < _data->_u.one->e.c._length; _t3380_array_iter++)
          {
            if (flick_unmarshal_stub_ta_tc_swap(_stream, _data->_u.one->e.c._buffer + _t3380_array_iter))
              goto _flick_abort17463;
            continue;
            {
            _flick_abort17463:
              goto _flick_abort17440;
            }
          }
        flick_iiopxx_decode_new_glob(28);
        flick_iiopxx_check_span(4, _flick_abort17440);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _data->_u.one->f.a.a, CORBA::Long );
        flick_iiopxx_decode_end_chunk(4);
        flick_iiopxx_decode_new_chunk_align(20, 3, 2, 0);
        flick_iiopxx_check_span(20, _flick_abort17440);
        flick_cdr_swap_decode_float64(0, _data->_u.one->f.a.b, CORBA::Double );
        flick_cdr_swap_decode_signed16(8, _data->_u.one->f.a.c, CORBA::Short );
        flick_cdr_swap_decode_char8(10, _data->_u.one->f.b.a, CORBA::Char );
        flick_cdr_swap_decode_char8(11, _data->_u.one->f.b.b, CORBA::Char );
        flick_cdr_swap_decode_char8(12, _data->_u.one->f.b.c, CORBA::Char );
        flick_cdr_swap_decode_char8(13, _data->_u.one->f.b.d, CORBA::Char );
        flick_cdr_swap_decode_unsigned32(16, _data->_u.one->f.b.e._length, CORBA::ULong );
        flick_iiopxx_decode_end_chunk(20);
        flick_iiopxx_decode_end_glob(28);
        {
          struct ::ta::td *_t_alloc_ptr;

          _t_alloc_ptr = (struct ::ta::td *)new (struct ::ta::td [_data->_u.one->f.b.e._length]);
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort17440);
          _data->_u.one->f.b.e._buffer = _t_alloc_ptr;
          _data->_u.one->f.b.e._maximum = _data->_u.one->f.b.e._length;
          _data->_u.one->f.b.e._release = 1;
        }
        for (_t3381_array_iter = 0; _t3381_array_iter < _data->_u.one->f.b.e._length; _t3381_array_iter++)
          {
            if (flick_unmarshal_stub_ta_td_swap(_stream, _data->_u.one->f.b.e._buffer + _t3381_array_iter))
              goto _flick_abort17468;
            continue;
            {
            _flick_abort17468:
              goto _flick_abort17440;
            }
          }
        break;
        {
        _flick_abort17440:
          goto _flick_abort17241;
        }
      }
    case 2:
      {
        CORBA::ULong _t3382_array_iter;
        CORBA::ULong _t3386_array_iter;
        CORBA::ULong _t3389_array_iter;

        {
          struct tb *_t_alloc_ptr;

          _t_alloc_ptr = (struct tb *)new (struct tb );
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort17470);
          _data->_u.two = _t_alloc_ptr;
        }
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _data->_u.two->a.a, CORBA::Long );
        flick_iiopxx_decode_end_chunk(4);
        flick_iiopxx_decode_new_chunk_align(36, 3, 2, 0);
        flick_iiopxx_check_span(36, _flick_abort17470);
        flick_cdr_swap_decode_float64(0, _data->_u.two->a.b, CORBA::Double );
        flick_cdr_swap_decode_signed16(8, _data->_u.two->a.c, CORBA::Short );
        flick_cdr_swap_decode_signed32(12, _data->_u.two->b.a.a, CORBA::Long );
        flick_cdr_swap_decode_float64(16, _data->_u.two->b.a.b, CORBA::Double );
        flick_cdr_swap_decode_signed16(24, _data->_u.two->b.a.c, CORBA::Short );
        flick_cdr_swap_decode_char8(26, _data->_u.two->b.b.a, CORBA::Char );
        flick_cdr_swap_decode_char8(27, _data->_u.two->b.b.b, CORBA::Char );
        flick_cdr_swap_decode_char8(28, _data->_u.two->b.b.c, CORBA::Char );
        flick_cdr_swap_decode_char8(29, _data->_u.two->b.b.d, CORBA::Char );
        flick_cdr_swap_decode_unsigned32(32, _data->_u.two->b.b.e._length, CORBA::ULong );
        flick_iiopxx_decode_end_chunk(36);
        flick_iiopxx_decode_end_glob(52);
        {
          struct ::ta::td *_t_alloc_ptr;

          _t_alloc_ptr = (struct ::ta::td *)new (struct ::ta::td [_data->_u.two->b.b.e._length]);
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort17470);
          _data->_u.two->b.b.e._buffer = _t_alloc_ptr;
          _data->_u.two->b.b.e._maximum = _data->_u.two->b.b.e._length;
          _data->_u.two->b.b.e._release = 1;
        }
        for (_t3382_array_iter = 0; _t3382_array_iter < _data->_u.two->b.b.e._length; _t3382_array_iter++)
          {
            if (flick_unmarshal_stub_ta_td_swap(_stream, _data->_u.two->b.b.e._buffer + _t3382_array_iter))
              goto _flick_abort17474;
            continue;
            {
            _flick_abort17474:
              goto _flick_abort17470;
            }
          }
        flick_iiopxx_decode_new_glob(4);
        flick_iiopxx_check_span(4, _flick_abort17470);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_unsigned32(0, _data->_u.two->c._length, CORBA::ULong );
        flick_iiopxx_decode_end_chunk(4);
        flick_iiopxx_decode_end_glob(4);
        {
          struct ::ta::td *_t_alloc_ptr;

          _t_alloc_ptr = (struct ::ta::td *)new (struct ::ta::td [_data->_u.two->c._length]);
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort17470);
          _data->_u.two->c._buffer = _t_alloc_ptr;
          _data->_u.two->c._maximum = _data->_u.two->c._length;
          _data->_u.two->c._release = 1;
        }
        for (_t3386_array_iter = 0; _t3386_array_iter < _data->_u.two->c._length; _t3386_array_iter++)
          {
            CORBA::ULong _t3388_array_iter;

            flick_iiopxx_decode_new_glob(28);
            flick_iiopxx_check_span(4, _flick_abort17494);
            flick_iiopxx_decode_new_chunk(4);
            flick_cdr_swap_decode_signed32(0, _data->_u.two->c._buffer[_t3386_array_iter].a.a, CORBA::Long );
            flick_iiopxx_decode_end_chunk(4);
            flick_iiopxx_decode_new_chunk_align(20, 3, 2, 0);
            flick_iiopxx_check_span(20, _flick_abort17494);
            flick_cdr_swap_decode_float64(0, _data->_u.two->c._buffer[_t3386_array_iter].a.b, CORBA::Double );
            flick_cdr_swap_decode_signed16(8, _data->_u.two->c._buffer[_t3386_array_iter].a.c, CORBA::Short );
            flick_cdr_swap_decode_char8(10, _data->_u.two->c._buffer[_t3386_array_iter].b.a, CORBA::Char );
            flick_cdr_swap_decode_char8(11, _data->_u.two->c._buffer[_t3386_array_iter].b.b, CORBA::Char );
            flick_cdr_swap_decode_char8(12, _data->_u.two->c._buffer[_t3386_array_iter].b.c, CORBA::Char );
            flick_cdr_swap_decode_char8(13, _data->_u.two->c._buffer[_t3386_array_iter].b.d, CORBA::Char );
            flick_cdr_swap_decode_unsigned32(16, _data->_u.two->c._buffer[_t3386_array_iter].b.e._length, CORBA::ULong );
            flick_iiopxx_decode_end_chunk(20);
            flick_iiopxx_decode_end_glob(28);
            {
              struct ::ta::td *_t_alloc_ptr;

              _t_alloc_ptr = (struct ::ta::td *)new (struct ::ta::td [_data->_u.two->c._buffer[_t3386_array_iter].b.e._length]);
              if (!_t_alloc_ptr)
                flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort17494);
              _data->_u.two->c._buffer[_t3386_array_iter].b.e._buffer = _t_alloc_ptr;
              _data->_u.two->c._buffer[_t3386_array_iter].b.e._maximum = _data->_u.two->c._buffer[_t3386_array_iter].b.e._length;
              _data->_u.two->c._buffer[_t3386_array_iter].b.e._release = 1;
            }
            for (_t3388_array_iter = 0; _t3388_array_iter < _data->_u.two->c._buffer[_t3386_array_iter].b.e._length; _t3388_array_iter++)
              {
                if (flick_unmarshal_stub_ta_td_swap(_stream, _data->_u.two->c._buffer[_t3386_array_iter].b.e._buffer + _t3388_array_iter))
                  goto _flick_abort17504;
                continue;
                {
                _flick_abort17504:
                  goto _flick_abort17494;
                }
              }
            continue;
            {
            _flick_abort17494:
              goto _flick_abort17470;
            }
          }
        flick_iiopxx_decode_new_glob(4);
        flick_iiopxx_check_span(4, _flick_abort17470);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_unsigned32(0, _data->_u.two->d._length, CORBA::ULong );
        flick_iiopxx_decode_end_chunk(4);
        flick_iiopxx_decode_end_glob(4);
        {
          struct tb *_t_alloc_ptr;

          _t_alloc_ptr = (struct tb *)new (struct tb [_data->_u.two->d._length]);
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort17470);
          _data->_u.two->d._buffer = _t_alloc_ptr;
          _data->_u.two->d._maximum = _data->_u.two->d._length;
          _data->_u.two->d._release = 1;
        }
        for (_t3389_array_iter = 0; _t3389_array_iter < _data->_u.two->d._length; _t3389_array_iter++)
          {
            if (flick_unmarshal_stub_tb_swap(_stream, _data->_u.two->d._buffer + _t3389_array_iter))
              goto _flick_abort17509;
            continue;
            {
            _flick_abort17509:
              goto _flick_abort17470;
            }
          }
        break;
        {
        _flick_abort17470:
          goto _flick_abort17241;
        }
      }
    case 3:
      {
        {
          ::td::te *_t_alloc_ptr;

          _t_alloc_ptr = (::td::te *)new ::td::te ;
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort17511);
          _data->_u.three = _t_alloc_ptr;
        }
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_unsigned32(0, _data->_u.three->disc_, enum tc );
        flick_iiopxx_decode_end_chunk(4);
        switch (_data->_u.three->disc_)
          {
          case 0:
            {
              flick_iiopxx_check_span(4, _flick_abort17572);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_signed32(0, _data->_u.three->_u.x, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(52);
              break;
              {
              _flick_abort17572:
                goto _flick_abort17511;
              }
            }
          case 1:
            {
              flick_iiopxx_decode_new_chunk_align(8, 3, 2, 0);
              flick_iiopxx_check_span(8, _flick_abort17573);
              flick_cdr_swap_decode_float64(0, _data->_u.three->_u.y, CORBA::Double );
              flick_iiopxx_decode_end_chunk(8);
              flick_iiopxx_decode_end_glob(52);
              break;
              {
              _flick_abort17573:
                goto _flick_abort17511;
              }
            }
          case 2:
            {
              flick_iiopxx_check_span(1, _flick_abort17574);
              flick_iiopxx_decode_new_chunk(1);
              flick_cdr_swap_decode_unsigned8(0, _data->_u.three->_u.z, CORBA::Boolean );
              flick_iiopxx_decode_end_chunk(1);
              flick_iiopxx_decode_end_glob(52);
              break;
              {
              _flick_abort17574:
                goto _flick_abort17511;
              }
            }
          case 3:
            {
              CORBA::ULong _t3400_array_iter;
              CORBA::ULong _t3404_array_iter;
              CORBA::ULong _t3407_array_iter;

              {
                struct tb *_t_alloc_ptr;

                _t_alloc_ptr = (struct tb *)new (struct tb );
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort17575);
                _data->_u.three->_u.s = _t_alloc_ptr;
              }
              flick_iiopxx_check_span(4, _flick_abort17575);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_signed32(0, _data->_u.three->_u.s->a.a, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_new_chunk_align(36, 3, 2, 0);
              flick_iiopxx_check_span(36, _flick_abort17575);
              flick_cdr_swap_decode_float64(0, _data->_u.three->_u.s->a.b, CORBA::Double );
              flick_cdr_swap_decode_signed16(8, _data->_u.three->_u.s->a.c, CORBA::Short );
              flick_cdr_swap_decode_signed32(12, _data->_u.three->_u.s->b.a.a, CORBA::Long );
              flick_cdr_swap_decode_float64(16, _data->_u.three->_u.s->b.a.b, CORBA::Double );
              flick_cdr_swap_decode_signed16(24, _data->_u.three->_u.s->b.a.c, CORBA::Short );
              flick_cdr_swap_decode_char8(26, _data->_u.three->_u.s->b.b.a, CORBA::Char );
              flick_cdr_swap_decode_char8(27, _data->_u.three->_u.s->b.b.b, CORBA::Char );
              flick_cdr_swap_decode_char8(28, _data->_u.three->_u.s->b.b.c, CORBA::Char );
              flick_cdr_swap_decode_char8(29, _data->_u.three->_u.s->b.b.d, CORBA::Char );
              flick_cdr_swap_decode_unsigned32(32, _data->_u.three->_u.s->b.b.e._length, CORBA::ULong );
              flick_iiopxx_decode_end_chunk(36);
              flick_iiopxx_decode_end_glob(52);
              {
                struct ::ta::td *_t_alloc_ptr;

                _t_alloc_ptr = (struct ::ta::td *)new (struct ::ta::td [_data->_u.three->_u.s->b.b.e._length]);
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort17575);
                _data->_u.three->_u.s->b.b.e._buffer = _t_alloc_ptr;
                _data->_u.three->_u.s->b.b.e._maximum = _data->_u.three->_u.s->b.b.e._length;
                _data->_u.three->_u.s->b.b.e._release = 1;
              }
              for (_t3400_array_iter = 0; _t3400_array_iter < _data->_u.three->_u.s->b.b.e._length; _t3400_array_iter++)
                {
                  if (flick_unmarshal_stub_ta_td_swap(_stream, _data->_u.three->_u.s->b.b.e._buffer + _t3400_array_iter))
                    goto _flick_abort17579;
                  continue;
                  {
                  _flick_abort17579:
                    goto _flick_abort17575;
                  }
                }
              flick_iiopxx_decode_new_glob(4);
              flick_iiopxx_check_span(4, _flick_abort17575);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_unsigned32(0, _data->_u.three->_u.s->c._length, CORBA::ULong );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(4);
              {
                struct ::ta::td *_t_alloc_ptr;

                _t_alloc_ptr = (struct ::ta::td *)new (struct ::ta::td [_data->_u.three->_u.s->c._length]);
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort17575);
                _data->_u.three->_u.s->c._buffer = _t_alloc_ptr;
                _data->_u.three->_u.s->c._maximum = _data->_u.three->_u.s->c._length;
                _data->_u.three->_u.s->c._release = 1;
              }
              for (_t3404_array_iter = 0; _t3404_array_iter < _data->_u.three->_u.s->c._length; _t3404_array_iter++)
                {
                  CORBA::ULong _t3406_array_iter;

                  flick_iiopxx_decode_new_glob(28);
                  flick_iiopxx_check_span(4, _flick_abort17599);
                  flick_iiopxx_decode_new_chunk(4);
                  flick_cdr_swap_decode_signed32(0, _data->_u.three->_u.s->c._buffer[_t3404_array_iter].a.a, CORBA::Long );
                  flick_iiopxx_decode_end_chunk(4);
                  flick_iiopxx_decode_new_chunk_align(20, 3, 2, 0);
                  flick_iiopxx_check_span(20, _flick_abort17599);
                  flick_cdr_swap_decode_float64(0, _data->_u.three->_u.s->c._buffer[_t3404_array_iter].a.b, CORBA::Double );
                  flick_cdr_swap_decode_signed16(8, _data->_u.three->_u.s->c._buffer[_t3404_array_iter].a.c, CORBA::Short );
                  flick_cdr_swap_decode_char8(10, _data->_u.three->_u.s->c._buffer[_t3404_array_iter].b.a, CORBA::Char );
                  flick_cdr_swap_decode_char8(11, _data->_u.three->_u.s->c._buffer[_t3404_array_iter].b.b, CORBA::Char );
                  flick_cdr_swap_decode_char8(12, _data->_u.three->_u.s->c._buffer[_t3404_array_iter].b.c, CORBA::Char );
                  flick_cdr_swap_decode_char8(13, _data->_u.three->_u.s->c._buffer[_t3404_array_iter].b.d, CORBA::Char );
                  flick_cdr_swap_decode_unsigned32(16, _data->_u.three->_u.s->c._buffer[_t3404_array_iter].b.e._length, CORBA::ULong );
                  flick_iiopxx_decode_end_chunk(20);
                  flick_iiopxx_decode_end_glob(28);
                  {
                    struct ::ta::td *_t_alloc_ptr;

                    _t_alloc_ptr = (struct ::ta::td *)new (struct ::ta::td [_data->_u.three->_u.s->c._buffer[_t3404_array_iter].b.e._length]);
                    if (!_t_alloc_ptr)
                      flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort17599);
                    _data->_u.three->_u.s->c._buffer[_t3404_array_iter].b.e._buffer = _t_alloc_ptr;
                    _data->_u.three->_u.s->c._buffer[_t3404_array_iter].b.e._maximum = _data->_u.three->_u.s->c._buffer[_t3404_array_iter].b.e._length;
                    _data->_u.three->_u.s->c._buffer[_t3404_array_iter].b.e._release = 1;
                  }
                  for (_t3406_array_iter = 0; _t3406_array_iter < _data->_u.three->_u.s->c._buffer[_t3404_array_iter].b.e._length; _t3406_array_iter++)
                    {
                      if (flick_unmarshal_stub_ta_td_swap(_stream, _data->_u.three->_u.s->c._buffer[_t3404_array_iter].b.e._buffer + _t3406_array_iter))
                        goto _flick_abort17609;
                      continue;
                      {
                      _flick_abort17609:
                        goto _flick_abort17599;
                      }
                    }
                  continue;
                  {
                  _flick_abort17599:
                    goto _flick_abort17575;
                  }
                }
              flick_iiopxx_decode_new_glob(4);
              flick_iiopxx_check_span(4, _flick_abort17575);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_unsigned32(0, _data->_u.three->_u.s->d._length, CORBA::ULong );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(4);
              {
                struct tb *_t_alloc_ptr;

                _t_alloc_ptr = (struct tb *)new (struct tb [_data->_u.three->_u.s->d._length]);
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort17575);
                _data->_u.three->_u.s->d._buffer = _t_alloc_ptr;
                _data->_u.three->_u.s->d._maximum = _data->_u.three->_u.s->d._length;
                _data->_u.three->_u.s->d._release = 1;
              }
              for (_t3407_array_iter = 0; _t3407_array_iter < _data->_u.three->_u.s->d._length; _t3407_array_iter++)
                {
                  if (flick_unmarshal_stub_tb_swap(_stream, _data->_u.three->_u.s->d._buffer + _t3407_array_iter))
                    goto _flick_abort17614;
                  continue;
                  {
                  _flick_abort17614:
                    goto _flick_abort17575;
                  }
                }
              break;
              {
              _flick_abort17575:
                goto _flick_abort17511;
              }
            }
          case 4:
            {
              {
                ::td::te::tu *_t_alloc_ptr;

                _t_alloc_ptr = (::td::te::tu *)new ::td::te::tu ;
                if (!_t_alloc_ptr)
                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort17616);
                _data->_u.three->_u.u = _t_alloc_ptr;
              }
              flick_iiopxx_check_span(8, _flick_abort17616);
              flick_iiopxx_decode_new_chunk(1);
              flick_cdr_swap_decode_unsigned8(0, _data->_u.three->_u.u->disc_, CORBA::Boolean );
              flick_iiopxx_decode_end_chunk(1);
              switch (_data->_u.three->_u.u->disc_)
                {
                case 1:
                  {
                    CORBA::ULong _t3409_array_iter;

                    {
                      ::td::te::tu::flick_sequence_td_bounded_1 *_t_alloc_ptr;

                      _t_alloc_ptr = (::td::te::tu::flick_sequence_td_bounded_1 *)new ::td::te::tu::flick_sequence_td_bounded_1 ;
                      if (!_t_alloc_ptr)
                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort17624);
                      _data->_u.three->_u.u->_u.next = _t_alloc_ptr;
                    }
                    flick_iiopxx_decode_new_chunk(7);
                    flick_cdr_swap_decode_unsigned32(3, _data->_u.three->_u.u->_u.next->_length, CORBA::ULong );
                    flick_iiopxx_decode_end_chunk(7);
                    flick_iiopxx_decode_end_glob(52);
                    if (_data->_u.three->_u.u->_u.next->_length > 1)
                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort17624);
                    {
                      td *_t_alloc_ptr;

                      _t_alloc_ptr = (td *)new td ;
                      if (!_t_alloc_ptr)
                        flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort17624);
                      _data->_u.three->_u.u->_u.next->_buffer = _t_alloc_ptr;
                      _data->_u.three->_u.u->_u.next->_maximum = 1;
                      _data->_u.three->_u.u->_u.next->_release = 1;
                    }
                    for (_t3409_array_iter = 0; _t3409_array_iter < _data->_u.three->_u.u->_u.next->_length; _t3409_array_iter++)
                      {
                        if (flick_unmarshal_stub_td_swap(_stream, _data->_u.three->_u.u->_u.next->_buffer + _t3409_array_iter))
                          goto _flick_abort17627;
                        continue;
                        {
                        _flick_abort17627:
                          goto _flick_abort17624;
                        }
                      }
                    break;
                    {
                    _flick_abort17624:
                      goto _flick_abort17616;
                    }
                  }
                default:
                  {
                    flick_iiopxx_decode_end_glob(52);
                    break;
                  }
                }
              break;
              {
              _flick_abort17616:
                goto _flick_abort17511;
              }
            }
          default:
            {
              flick_iiopxx_decode_end_glob(52);
              break;
            }
          }
        break;
        {
        _flick_abort17511:
          goto _flick_abort17241;
        }
      }
    default:
      {
        CORBA::ULong _t3410_array_iter;

        {
          ::td::flick_sequence_td *_t_alloc_ptr;

          _t_alloc_ptr = (::td::flick_sequence_td *)new ::td::flick_sequence_td ;
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort17631);
          _data->_u.again = _t_alloc_ptr;
        }
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_unsigned32(0, _data->_u.again->_length, CORBA::ULong );
        flick_iiopxx_decode_end_chunk(4);
        flick_iiopxx_decode_end_glob(52);
        {
          td *_t_alloc_ptr;

          _t_alloc_ptr = (td *)new (td [_data->_u.again->_length]);
          if (!_t_alloc_ptr)
            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort17631);
          _data->_u.again->_buffer = _t_alloc_ptr;
          _data->_u.again->_maximum = _data->_u.again->_length;
          _data->_u.again->_release = 1;
        }
        for (_t3410_array_iter = 0; _t3410_array_iter < _data->_u.again->_length; _t3410_array_iter++)
          {
            if (flick_unmarshal_stub_td_swap(_stream, _data->_u.again->_buffer + _t3410_array_iter))
              goto _flick_abort17635;
            continue;
            {
            _flick_abort17635:
              goto _flick_abort17631;
            }
          }
        break;
        {
        _flick_abort17631:
          goto _flick_abort17241;
        }
      }
    }
  return 0;
  {
  _flick_abort17241:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_obj(flick_marshal_stream_t _stream, const obj_ptr *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdrxx_encode_IOR(iiopxx, *_data, 0, obj , _flick_abort17637);
  return 0;
  {
  _flick_abort17637:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_obj(flick_marshal_stream_t _stream, obj_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdrxx_decode_IOR(iiopxx, *_data, 1, obj , _flick_abort17638);
  return 0;
  {
  _flick_abort17638:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_obj_swap(flick_marshal_stream_t _stream, obj_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swapxx_decode_IOR(iiopxx, *_data, 1, obj , _flick_abort17639);
  return 0;
  {
  _flick_abort17639:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_obj_my_obj(flick_marshal_stream_t _stream, const ::obj::my_obj_ptr *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdrxx_encode_IOR(iiopxx, *_data, 0, obj , _flick_abort17640);
  return 0;
  {
  _flick_abort17640:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_obj_my_obj(flick_marshal_stream_t _stream, ::obj::my_obj_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdrxx_decode_IOR(iiopxx, *_data, 1, obj , _flick_abort17641);
  return 0;
  {
  _flick_abort17641:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_obj_my_obj_swap(flick_marshal_stream_t _stream, ::obj::my_obj_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swapxx_decode_IOR(iiopxx, *_data, 1, obj , _flick_abort17642);
  return 0;
  {
  _flick_abort17642:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

::obj::my_obj_ptr obj::get_server(/* obj *this, */ CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  ::obj::my_obj_ptr _return;

  _return = 0;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort17644);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort17644);
    }
    {
      flick_iiopxx_encode_new_glob(20, _flick_abort17644);
      flick_iiopxx_encode_new_chunk(20);
      flick_cdr_encode_unsigned32(0, 11, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'g', flick_char8_t );
      flick_cdr_encode_char8(5, 'e', flick_char8_t );
      flick_cdr_encode_char8(6, 't', flick_char8_t );
      flick_cdr_encode_char8(7, '_', flick_char8_t );
      flick_cdr_encode_char8(8, 's', flick_char8_t );
      flick_cdr_encode_char8(9, 'e', flick_char8_t );
      flick_cdr_encode_char8(10, 'r', flick_char8_t );
      flick_cdr_encode_char8(11, 'v', flick_char8_t );
      flick_cdr_encode_char8(12, 'e', flick_char8_t );
      flick_cdr_encode_char8(13, 'r', flick_char8_t );
      flick_cdr_encode_char8(14, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(16, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_iiopxx_encode_end_chunk(20);
      flick_iiopxx_encode_end_glob(20);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort17644);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort17644);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t3412_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(4);
        flick_iiopxx_check_span(4, _flick_abort17644);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t3412_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t3412_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_end_glob(4);
              flick_cdr_swapxx_decode_IOR(iiopxx, _return, 1, obj , _flick_abort17657);
              break;
              {
              _flick_abort17657:
                goto _flick_abort17644;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(4);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort17658);
              break;
              {
              _flick_abort17658:
                goto _flick_abort17644;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort17659);
              flick_iiopxx_decode_end_glob(4);
              break;
              {
              _flick_abort17659:
                goto _flick_abort17644;
              }
            }
          }
      }
    else
      {
        int _t3411_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(4);
        flick_iiopxx_check_span(4, _flick_abort17644);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t3411_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t3411_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_end_glob(4);
              flick_cdrxx_decode_IOR(iiopxx, _return, 1, obj , _flick_abort17650);
              break;
              {
              _flick_abort17650:
                goto _flick_abort17644;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(4);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort17651);
              break;
              {
              _flick_abort17651:
                goto _flick_abort17644;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort17652);
              flick_iiopxx_decode_end_glob(4);
              break;
              {
              _flick_abort17652:
                goto _flick_abort17644;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort17644:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort17643);
    _flick_abort17643:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

void obj::set_server(/* obj *this, */ ::obj::my_obj_ptr srvr, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort17661);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort17661);
    }
    {
      flick_iiopxx_encode_new_glob(20, _flick_abort17661);
      flick_iiopxx_encode_new_chunk(20);
      flick_cdr_encode_unsigned32(0, 11, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 's', flick_char8_t );
      flick_cdr_encode_char8(5, 'e', flick_char8_t );
      flick_cdr_encode_char8(6, 't', flick_char8_t );
      flick_cdr_encode_char8(7, '_', flick_char8_t );
      flick_cdr_encode_char8(8, 's', flick_char8_t );
      flick_cdr_encode_char8(9, 'e', flick_char8_t );
      flick_cdr_encode_char8(10, 'r', flick_char8_t );
      flick_cdr_encode_char8(11, 'v', flick_char8_t );
      flick_cdr_encode_char8(12, 'e', flick_char8_t );
      flick_cdr_encode_char8(13, 'r', flick_char8_t );
      flick_cdr_encode_char8(14, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(16, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_iiopxx_encode_end_chunk(20);
      flick_iiopxx_encode_end_glob(20);
      flick_cdrxx_encode_IOR(iiopxx, srvr, 0, obj , _flick_abort17661);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort17661);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort17661);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t3414_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(4);
        flick_iiopxx_check_span(4, _flick_abort17661);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t3414_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t3414_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_end_glob(4);
              break;
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(4);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort17675);
              break;
              {
              _flick_abort17675:
                goto _flick_abort17661;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort17676);
              flick_iiopxx_decode_end_glob(4);
              break;
              {
              _flick_abort17676:
                goto _flick_abort17661;
              }
            }
          }
      }
    else
      {
        int _t3413_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(4);
        flick_iiopxx_check_span(4, _flick_abort17661);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t3413_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t3413_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_end_glob(4);
              break;
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(4);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort17668);
              break;
              {
              _flick_abort17668:
                goto _flick_abort17661;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort17669);
              flick_iiopxx_decode_end_glob(4);
              break;
              {
              _flick_abort17669:
                goto _flick_abort17661;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return;
    {
    _flick_abort17661:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort17660);
    _flick_abort17660:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return;
}

enum tc obj::convert(/* obj *this, */ const struct ta &a1, const struct tb &b1, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  enum tc _return;

  _return = NORTH;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort17678);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort17678);
    }
    {
      flick_unsigned32_t _t3430_temp_string_len;
      CORBA::ULong _t3431_array_iter;
      CORBA::ULong _t3432_array_iter;
      CORBA::ULong _t3433_array_iter;
      flick_unsigned32_t _t3434_temp_string_len;
      CORBA::ULong _t3435_array_iter;
      CORBA::ULong _t3436_array_iter;
      CORBA::ULong _t3437_array_iter;
      CORBA::ULong _t3441_array_iter;
      CORBA::ULong _t3444_array_iter;

      flick_cdr_stringlen(CORBA::Char *, a1.b.b, flick_unsigned32_t , _t3430_temp_string_len);
      flick_cdr_stringlen(CORBA::Char *, a1.e.b, flick_unsigned32_t , _t3434_temp_string_len);

      flick_iiopxx_encode_new_glob(40, _flick_abort17678);
      flick_iiopxx_encode_new_chunk(20);
      flick_cdr_encode_unsigned32(0, 8, flick_unsigned32_t );
      flick_cdr_encode_char8(4, 'c', flick_char8_t );
      flick_cdr_encode_char8(5, 'o', flick_char8_t );
      flick_cdr_encode_char8(6, 'n', flick_char8_t );
      flick_cdr_encode_char8(7, 'v', flick_char8_t );
      flick_cdr_encode_char8(8, 'e', flick_char8_t );
      flick_cdr_encode_char8(9, 'r', flick_char8_t );
      flick_cdr_encode_char8(10, 't', flick_char8_t );
      flick_cdr_encode_char8(11, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(12, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_signed32(16, a1.a.a, CORBA::Long );
      flick_iiopxx_encode_end_chunk(20);
      flick_iiopxx_encode_new_chunk_align(16, 3, 2, 0);
      flick_cdr_encode_float64(0, a1.a.b, CORBA::Double );
      flick_cdr_encode_signed16(8, a1.a.c, CORBA::Short );
      flick_cdr_encode_char8(10, a1.b.a, CORBA::Char );
      flick_cdr_encode_unsigned32(12, _t3430_temp_string_len, flick_unsigned32_t );
      flick_iiopxx_encode_end_chunk(16);
      flick_iiopxx_encode_end_glob(40);
      flick_iiopxx_encode_new_glob(1 * _t3430_temp_string_len, _flick_abort17678);
      flick_iiopxx_encode_new_chunk(1 * _t3430_temp_string_len);
      flick_cdr_encode_bcopy(0, a1.b.b, 1 * _t3430_temp_string_len);
      flick_iiopxx_encode_end_chunk(1 * _t3430_temp_string_len);
      flick_iiopxx_encode_end_glob(1 * _t3430_temp_string_len);
      flick_iiopxx_encode_new_glob(7, _flick_abort17678);
      flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
      flick_cdr_encode_unsigned32(0, a1.b.c._length, CORBA::ULong );
      flick_iiopxx_encode_end_chunk(4);
      flick_iiopxx_encode_end_glob(7);
      for (_t3431_array_iter = 0; _t3431_array_iter < a1.b.c._length; _t3431_array_iter++)
        {
          if (flick_marshal_stub_ta_tc(_stream, a1.b.c._buffer + _t3431_array_iter))
            goto _flick_abort17754;
          continue;
          {
          _flick_abort17754:
            goto _flick_abort17678;
          }
        }
      flick_iiopxx_encode_new_glob(28, _flick_abort17678);
      flick_iiopxx_encode_new_chunk(4);
      flick_cdr_encode_signed32(0, a1.c.a.a, CORBA::Long );
      flick_iiopxx_encode_end_chunk(4);
      flick_iiopxx_encode_new_chunk_align(20, 3, 2, 0);
      flick_cdr_encode_float64(0, a1.c.a.b, CORBA::Double );
      flick_cdr_encode_signed16(8, a1.c.a.c, CORBA::Short );
      flick_cdr_encode_char8(10, a1.c.b.a, CORBA::Char );
      flick_cdr_encode_char8(11, a1.c.b.b, CORBA::Char );
      flick_cdr_encode_char8(12, a1.c.b.c, CORBA::Char );
      flick_cdr_encode_char8(13, a1.c.b.d, CORBA::Char );
      flick_cdr_encode_unsigned32(16, a1.c.b.e._length, CORBA::ULong );
      flick_iiopxx_encode_end_chunk(20);
      flick_iiopxx_encode_end_glob(28);
      for (_t3432_array_iter = 0; _t3432_array_iter < a1.c.b.e._length; _t3432_array_iter++)
        {
          if (flick_marshal_stub_ta_td(_stream, a1.c.b.e._buffer + _t3432_array_iter))
            goto _flick_abort17759;
          continue;
          {
          _flick_abort17759:
            goto _flick_abort17678;
          }
        }
      flick_iiopxx_encode_new_glob(4, _flick_abort17678);
      flick_iiopxx_encode_new_chunk(4);
      flick_cdr_encode_unsigned32(0, a1.next._length, CORBA::ULong );
      flick_iiopxx_encode_end_chunk(4);
      flick_iiopxx_encode_end_glob(4);
      for (_t3433_array_iter = 0; _t3433_array_iter < a1.next._length; _t3433_array_iter++)
        {
          if (flick_marshal_stub_ta(_stream, a1.next._buffer + _t3433_array_iter))
            goto _flick_abort17764;
          continue;
          {
          _flick_abort17764:
            goto _flick_abort17678;
          }
        }
      flick_iiopxx_encode_new_glob(24, _flick_abort17678);
      flick_iiopxx_encode_new_chunk(24);
      flick_cdr_encode_signed32(0, a1.d.a, CORBA::Long );
      flick_cdr_encode_float64(8, a1.d.b, CORBA::Double );
      flick_cdr_encode_signed16(16, a1.d.c, CORBA::Short );
      flick_cdr_encode_char8(18, a1.e.a, CORBA::Char );
      flick_cdr_encode_unsigned32(20, _t3434_temp_string_len, flick_unsigned32_t );
      flick_iiopxx_encode_end_chunk(24);
      flick_iiopxx_encode_end_glob(24);
      flick_iiopxx_encode_new_glob(1 * _t3434_temp_string_len, _flick_abort17678);
      flick_iiopxx_encode_new_chunk(1 * _t3434_temp_string_len);
      flick_cdr_encode_bcopy(0, a1.e.b, 1 * _t3434_temp_string_len);
      flick_iiopxx_encode_end_chunk(1 * _t3434_temp_string_len);
      flick_iiopxx_encode_end_glob(1 * _t3434_temp_string_len);
      flick_iiopxx_encode_new_glob(7, _flick_abort17678);
      flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
      flick_cdr_encode_unsigned32(0, a1.e.c._length, CORBA::ULong );
      flick_iiopxx_encode_end_chunk(4);
      flick_iiopxx_encode_end_glob(7);
      for (_t3435_array_iter = 0; _t3435_array_iter < a1.e.c._length; _t3435_array_iter++)
        {
          if (flick_marshal_stub_ta_tc(_stream, a1.e.c._buffer + _t3435_array_iter))
            goto _flick_abort17771;
          continue;
          {
          _flick_abort17771:
            goto _flick_abort17678;
          }
        }
      flick_iiopxx_encode_new_glob(28, _flick_abort17678);
      flick_iiopxx_encode_new_chunk(4);
      flick_cdr_encode_signed32(0, a1.f.a.a, CORBA::Long );
      flick_iiopxx_encode_end_chunk(4);
      flick_iiopxx_encode_new_chunk_align(20, 3, 2, 0);
      flick_cdr_encode_float64(0, a1.f.a.b, CORBA::Double );
      flick_cdr_encode_signed16(8, a1.f.a.c, CORBA::Short );
      flick_cdr_encode_char8(10, a1.f.b.a, CORBA::Char );
      flick_cdr_encode_char8(11, a1.f.b.b, CORBA::Char );
      flick_cdr_encode_char8(12, a1.f.b.c, CORBA::Char );
      flick_cdr_encode_char8(13, a1.f.b.d, CORBA::Char );
      flick_cdr_encode_unsigned32(16, a1.f.b.e._length, CORBA::ULong );
      flick_iiopxx_encode_end_chunk(20);
      flick_iiopxx_encode_end_glob(28);
      for (_t3436_array_iter = 0; _t3436_array_iter < a1.f.b.e._length; _t3436_array_iter++)
        {
          if (flick_marshal_stub_ta_td(_stream, a1.f.b.e._buffer + _t3436_array_iter))
            goto _flick_abort17776;
          continue;
          {
          _flick_abort17776:
            goto _flick_abort17678;
          }
        }
      flick_iiopxx_encode_new_glob(40, _flick_abort17678);
      flick_iiopxx_encode_new_chunk(40);
      flick_cdr_encode_signed32(0, b1.a.a, CORBA::Long );
      flick_cdr_encode_float64(4, b1.a.b, CORBA::Double );
      flick_cdr_encode_signed16(12, b1.a.c, CORBA::Short );
      flick_cdr_encode_signed32(16, b1.b.a.a, CORBA::Long );
      flick_cdr_encode_float64(20, b1.b.a.b, CORBA::Double );
      flick_cdr_encode_signed16(28, b1.b.a.c, CORBA::Short );
      flick_cdr_encode_char8(30, b1.b.b.a, CORBA::Char );
      flick_cdr_encode_char8(31, b1.b.b.b, CORBA::Char );
      flick_cdr_encode_char8(32, b1.b.b.c, CORBA::Char );
      flick_cdr_encode_char8(33, b1.b.b.d, CORBA::Char );
      flick_cdr_encode_unsigned32(36, b1.b.b.e._length, CORBA::ULong );
      flick_iiopxx_encode_end_chunk(40);
      flick_iiopxx_encode_end_glob(40);
      for (_t3437_array_iter = 0; _t3437_array_iter < b1.b.b.e._length; _t3437_array_iter++)
        {
          if (flick_marshal_stub_ta_td(_stream, b1.b.b.e._buffer + _t3437_array_iter))
            goto _flick_abort17781;
          continue;
          {
          _flick_abort17781:
            goto _flick_abort17678;
          }
        }
      flick_iiopxx_encode_new_glob(4, _flick_abort17678);
      flick_iiopxx_encode_new_chunk(4);
      flick_cdr_encode_unsigned32(0, b1.c._length, CORBA::ULong );
      flick_iiopxx_encode_end_chunk(4);
      flick_iiopxx_encode_end_glob(4);
      for (_t3441_array_iter = 0; _t3441_array_iter < b1.c._length; _t3441_array_iter++)
        {
          CORBA::ULong _t3443_array_iter;

          flick_iiopxx_encode_new_glob(28, _flick_abort17801);
          flick_iiopxx_encode_new_chunk(4);
          flick_cdr_encode_signed32(0, b1.c._buffer[_t3441_array_iter].a.a, CORBA::Long );
          flick_iiopxx_encode_end_chunk(4);
          flick_iiopxx_encode_new_chunk_align(20, 3, 2, 0);
          flick_cdr_encode_float64(0, b1.c._buffer[_t3441_array_iter].a.b, CORBA::Double );
          flick_cdr_encode_signed16(8, b1.c._buffer[_t3441_array_iter].a.c, CORBA::Short );
          flick_cdr_encode_char8(10, b1.c._buffer[_t3441_array_iter].b.a, CORBA::Char );
          flick_cdr_encode_char8(11, b1.c._buffer[_t3441_array_iter].b.b, CORBA::Char );
          flick_cdr_encode_char8(12, b1.c._buffer[_t3441_array_iter].b.c, CORBA::Char );
          flick_cdr_encode_char8(13, b1.c._buffer[_t3441_array_iter].b.d, CORBA::Char );
          flick_cdr_encode_unsigned32(16, b1.c._buffer[_t3441_array_iter].b.e._length, CORBA::ULong );
          flick_iiopxx_encode_end_chunk(20);
          flick_iiopxx_encode_end_glob(28);
          for (_t3443_array_iter = 0; _t3443_array_iter < b1.c._buffer[_t3441_array_iter].b.e._length; _t3443_array_iter++)
            {
              if (flick_marshal_stub_ta_td(_stream, b1.c._buffer[_t3441_array_iter].b.e._buffer + _t3443_array_iter))
                goto _flick_abort17811;
              continue;
              {
              _flick_abort17811:
                goto _flick_abort17801;
              }
            }
          continue;
          {
          _flick_abort17801:
            goto _flick_abort17678;
          }
        }
      flick_iiopxx_encode_new_glob(4, _flick_abort17678);
      flick_iiopxx_encode_new_chunk(4);
      flick_cdr_encode_unsigned32(0, b1.d._length, CORBA::ULong );
      flick_iiopxx_encode_end_chunk(4);
      flick_iiopxx_encode_end_glob(4);
      for (_t3444_array_iter = 0; _t3444_array_iter < b1.d._length; _t3444_array_iter++)
        {
          if (flick_marshal_stub_tb(_stream, b1.d._buffer + _t3444_array_iter))
            goto _flick_abort17816;
          continue;
          {
          _flick_abort17816:
            goto _flick_abort17678;
          }
        }
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort17678);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort17678);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t3446_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort17678);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t3446_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t3446_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort17829);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_unsigned32(0, _return, enum tc );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort17829:
                goto _flick_abort17678;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort17830);
              break;
              {
              _flick_abort17830:
                goto _flick_abort17678;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort17831);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort17831:
                goto _flick_abort17678;
              }
            }
          }
      }
    else
      {
        int _t3445_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort17678);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t3445_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t3445_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort17822);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_unsigned32(0, _return, enum tc );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort17822:
                goto _flick_abort17678;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort17823);
              break;
              {
              _flick_abort17823:
                goto _flick_abort17678;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort17824);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort17824:
                goto _flick_abort17678;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort17678:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort17677);
    _flick_abort17677:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

CORBA::Long obj::my_attr(/* obj *this, */ CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();
  CORBA::Long _return;

  _return = 0;
  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort17833);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort17833);
    }
    {
      flick_iiopxx_encode_new_glob(24, _flick_abort17833);
      flick_iiopxx_encode_new_chunk(24);
      flick_cdr_encode_unsigned32(0, 13, flick_unsigned32_t );
      flick_cdr_encode_char8(4, '_', flick_char8_t );
      flick_cdr_encode_char8(5, 'g', flick_char8_t );
      flick_cdr_encode_char8(6, 'e', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 'm', flick_char8_t );
      flick_cdr_encode_char8(10, 'y', flick_char8_t );
      flick_cdr_encode_char8(11, '_', flick_char8_t );
      flick_cdr_encode_char8(12, 'a', flick_char8_t );
      flick_cdr_encode_char8(13, 't', flick_char8_t );
      flick_cdr_encode_char8(14, 't', flick_char8_t );
      flick_cdr_encode_char8(15, 'r', flick_char8_t );
      flick_cdr_encode_char8(16, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(20, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_iiopxx_encode_end_chunk(24);
      flick_iiopxx_encode_end_glob(24);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort17833);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort17833);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t3448_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort17833);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t3448_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t3448_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort17846);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_swap_decode_signed32(0, _return, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort17846:
                goto _flick_abort17833;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort17847);
              break;
              {
              _flick_abort17847:
                goto _flick_abort17833;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort17848);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort17848:
                goto _flick_abort17833;
              }
            }
          }
      }
    else
      {
        int _t3447_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(8);
        flick_iiopxx_check_span(4, _flick_abort17833);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t3447_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t3447_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_check_span(4, _flick_abort17839);
              flick_iiopxx_decode_new_chunk(4);
              flick_cdr_decode_signed32(0, _return, CORBA::Long );
              flick_iiopxx_decode_end_chunk(4);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort17839:
                goto _flick_abort17833;
              }
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(8);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort17840);
              break;
              {
              _flick_abort17840:
                goto _flick_abort17833;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort17841);
              flick_iiopxx_decode_end_glob(8);
              break;
              {
              _flick_abort17841:
                goto _flick_abort17833;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return _return;
    {
    _flick_abort17833:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort17832);
    _flick_abort17832:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return _return;
}

void obj::my_attr(/* obj *this, */ CORBA::Long my_attr, CORBA::Environment &_ev)
{
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_Stub *_istub = this->_stubobj();
  TAO_ORB_Core *_orb_core = TAO_ORB_Core_instance();

  if(_istub)
  {
    char _default_buffer[ACE_CDR::DEFAULT_BUFSIZE];
    TAO_OutputCDR _out_cdr(_default_buffer,
      ACE_CDR::DEFAULT_BUFSIZE,
      TAO_ENCAP_BYTE_ORDER,
      _orb_core->output_cdr_buffer_allocator(),
      _orb_core->output_cdr_dblock_allocator());
    TAO_InputCDR _in_cdr(_orb_core->create_input_cdr_data_block(ACE_CDR::DEFAULT_BUFSIZE),
      TAO_ENCAP_BYTE_ORDER);
    TAO_Connector_Registry *_conn_reg = _orb_core->connector_registry ();
    TAO_Transport *_transport;
    TAO_Profile *_tp;
    CORBA::ULong _my_request_id = 0;
    _tp = _istub->profile_in_use();
    if( _conn_reg->connect (_istub, _transport) )
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort17850);
    flick_iiopxx_client_start_encode();
    {
      _stub_state.state = FLICK_STATE_PROLOGUE;
      _stub_state.state = FLICK_STATE_MARSHAL;
      flick_iiopxx_client_encode_target(this, 0, cdr, _flick_abort17850);
    }
    {
      flick_iiopxx_encode_new_glob(28, _flick_abort17850);
      flick_iiopxx_encode_new_chunk(28);
      flick_cdr_encode_unsigned32(0, 13, flick_unsigned32_t );
      flick_cdr_encode_char8(4, '_', flick_char8_t );
      flick_cdr_encode_char8(5, 's', flick_char8_t );
      flick_cdr_encode_char8(6, 'e', flick_char8_t );
      flick_cdr_encode_char8(7, 't', flick_char8_t );
      flick_cdr_encode_char8(8, '_', flick_char8_t );
      flick_cdr_encode_char8(9, 'm', flick_char8_t );
      flick_cdr_encode_char8(10, 'y', flick_char8_t );
      flick_cdr_encode_char8(11, '_', flick_char8_t );
      flick_cdr_encode_char8(12, 'a', flick_char8_t );
      flick_cdr_encode_char8(13, 't', flick_char8_t );
      flick_cdr_encode_char8(14, 't', flick_char8_t );
      flick_cdr_encode_char8(15, 'r', flick_char8_t );
      flick_cdr_encode_char8(16, 0, flick_char8_t );
      /* Encode the requesting `Principal' pseudo object (client ID). */
      flick_cdr_encode_unsigned32(20, (unsigned int) 0, unsigned int );
      /* Begin encode phase on parameters */
      flick_cdr_encode_signed32(24, my_attr, CORBA::Long );
      flick_iiopxx_encode_end_chunk(28);
      flick_iiopxx_encode_end_glob(28);
    }
    flick_iiopxx_client_end_encode();
    _stub_state.state = FLICK_STATE_SEND;
    flick_iiopxx_client_set_response_expected(1);
    if( _transport->send_request(_orb_core,_out_cdr, 1) == -1 ) {
      _tp->reset_hint();
      flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort17850);
    }
    else {
      _stub_state.state = FLICK_STATE_RECEIVE;
      TAO_GIOP::Message_Type _msg_type = TAO_GIOP::recv_request(_transport, _in_cdr, _orb_core);
      _transport->resume_connection(_orb_core->reactor());
      switch(_msg_type)
      {
      case TAO_GIOP::Reply:
        break;
      case TAO_GIOP::Request:
      case TAO_GIOP::CancelRequest:
      case TAO_GIOP::LocateRequest:
      case TAO_GIOP::LocateReply:
      case TAO_GIOP::CommunicationError:
      case TAO_GIOP::MessageError:
      case TAO_GIOP::EndOfFile:
      default:
      case TAO_GIOP::CloseConnection:
        _transport->close_connection();
        _tp->reset_hint();
        _istub->reset_profiles();
        flick_stub_error(FLICK_ERROR_COMMUNICATION, _flick_abort17850);
        break;
      }
      _transport->idle();
    }
    flick_iiopxx_client_start_decode();
    if (_in_cdr.do_byte_swap())
      {
        int _t3450_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(4);
        flick_iiopxx_check_span(4, _flick_abort17850);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_swap_decode_signed32(0, _t3450_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t3450_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_end_glob(4);
              break;
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(4);
              flick_corbaxx_decode_system_exception(_ev, cdr_swap, iiopxx, _flick_abort17864);
              break;
              {
              _flick_abort17864:
                goto _flick_abort17850;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort17865);
              flick_iiopxx_decode_end_glob(4);
              break;
              {
              _flick_abort17865:
                goto _flick_abort17850;
              }
            }
          }
      }
    else
      {
        int _t3449_temp_major;

        _stub_state.state = FLICK_STATE_UNMARSHAL;
        flick_iiopxx_decode_new_glob(4);
        flick_iiopxx_check_span(4, _flick_abort17850);
        flick_iiopxx_decode_new_chunk(4);
        flick_cdr_decode_signed32(0, _t3449_temp_major, int );
        flick_iiopxx_decode_end_chunk(4);
        switch (_t3449_temp_major)
          {
          case CORBA::NO_EXCEPTION:
            {
              /* Begin decode phase on parameters */
              flick_iiopxx_decode_end_glob(4);
              break;
            }
          case CORBA::SYSTEM_EXCEPTION:
            {
              flick_iiopxx_decode_end_glob(4);
              flick_corbaxx_decode_system_exception(_ev, cdr, iiopxx, _flick_abort17857);
              break;
              {
              _flick_abort17857:
                goto _flick_abort17850;
              }
            }
          default:
            {
              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort17858);
              flick_iiopxx_decode_end_glob(4);
              break;
              {
              _flick_abort17858:
                goto _flick_abort17850;
              }
            }
          }
      }
    flick_iiopxx_client_end_decode();
    return;
    {
    _flick_abort17850:
      flick_corbaxx_client_error(cdr, iiopxx, _flick_abort17849);
    _flick_abort17849:
      goto _flick_reaper;
    }
  }
_flick_reaper:
  return;
}

