#include "test1-server.h"

POA_test1::POA_test1()
{}

POA_test1::POA_test1(const POA_test1 &rhs)
  : TAO_ServantBase(rhs)
{}

POA_test1::~POA_test1()
{}

test1 *POA_test1::_this(CORBA::Environment &_env)
{
  TAO_Stub *stub = this->_create_stub(_env);
  TAO_CHECK_ENV_RETURN(_env, 0);
  return new _tao_collocated_test1(this, stub);
}

CORBA::Boolean POA_test1::_is_a(const CORBA::Char *type_id, CORBA::Environment &_env)
{
  if( (!ACE_OS::strcmp((char *)type_id, "IDL:test1:1.0")) ||
      (!ACE_OS::strcmp((char *)type_id, CORBA::_tc_Object->id(_env))) )
    return 1;
  else
    return 0;
}

void *POA_test1::_downcast(const char *logical_type_id)
{
  if(ACE_OS::strcmp(logical_type_id, "IDL:test1:1.0") == 0)
    return ACE_static_cast(POA_test1_ptr , this);
   
  if(ACE_OS::strcmp(logical_type_id, "IDL:omg.org/CORBA/Object:1.0") == 0)
    return ACE_static_cast(PortableServer::Servant, this);
  return 0;
}

const char *POA_test1::_interface_repository_id() const
{
  return "IDL:test1:1.0";
}

template <class T>
  POA_test1_tie<T>::POA_test1_tie(T &t)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(0)
{}

template <class T>
  POA_test1_tie<T>::POA_test1_tie(T &t, PortableServer::POA_ptr poa)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(0)
{}

template <class T>
  POA_test1_tie<T>::POA_test1_tie(T *t, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_nil()),
    rel_(release)
{}

template <class T>
  POA_test1_tie<T>::POA_test1_tie(T *t, PortableServer::POA_ptr poa, CORBA::Boolean release)
  : ptr_(&t),
    poa_(PortableServer::POA::_duplicate(poa)),
    rel_(release)
{}

template <class T>
  POA_test1_tie<T>::~POA_test1_tie()
{
  if( this->rel_ ) delete this->ptr_;
}

template <class T>
  T *POA_test1_tie<T>::_tied_object()
{
  return this->ptr_;
}

template <class T>
  void POA_test1_tie<T>::_tied_object(T &obj)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = &obj;
  this->rel_ = 0;
}

template <class T>
  void POA_test1_tie<T>::_tied_object(T &obj, CORBA::Boolean release)
{
  if( this->rel_ ) delete this->ptr_;
  this->ptr_ = obj;
  this->rel_ = release;
}

template <class T>
  CORBA::Boolean POA_test1_tie<T>::_is_owner()
{
  return this->rel_;
}

template <class T>
  void POA_test1_tie<T>::_is_owner(CORBA::Boolean b)
{
  this->rel_ = b;
}

template <class T>
  PortableServer::POA_ptr POA_test1_tie<T>::_default_POA()
{
  if( !(CORBA::is_nil(this->poa_.in())) )
    return PortableServer::POA::_duplicate(this->poa_.in());
  else
  {
    TAO_POA *poa = TAO_ORB_Core_instance()->root_poa();
    PortableServer::POA_var result = poa->_this(env);
    if( env.exception() != 0 )
      return PortableServer::POA::_nil();
    else
      return result._retn();
  }
}

template <class T>
  POA_test1_tie<T>::POA_test1_tie(const POA_test1_tie &c)
{}

template <class T>
  void POA_test1_tie<T>::operator=(const POA_test1_tie &c)
{}

template <class T>
  void POA_test1_tie<T>::test_void(/* POA_test1 *this, */ CORBA::Environment &_ev)
{
  this->ptr_->test_void (_ev);
}

template <class T>
  CORBA::Short POA_test1_tie<T>::test_short(/* POA_test1 *this, */ CORBA::Short a1, ::CORBA::Short &a2, CORBA::Short &a3, CORBA::Environment &_ev)
{
  return this->ptr_->test_short (a1, a2, a3, _ev);
}

template <class T>
  CORBA::Long POA_test1_tie<T>::test_long(/* POA_test1 *this, */ CORBA::Long a1, ::CORBA::Long &a2, CORBA::Long &a3, CORBA::Environment &_ev)
{
  return this->ptr_->test_long (a1, a2, a3, _ev);
}

template <class T>
  ::test1::ushort POA_test1_tie<T>::test_ushort(/* POA_test1 *this, */ ::test1::ushort a1, ::test1::ushort_out a2, ::test1::ushort &a3, CORBA::Environment &_ev)
{
  return this->ptr_->test_ushort (a1, a2, a3, _ev);
}

template <class T>
  ::test1::ulong POA_test1_tie<T>::test_ulong(/* POA_test1 *this, */ ::test1::ulong a1, ::test1::ulong_out a2, ::test1::ulong &a3, CORBA::Environment &_ev)
{
  return this->ptr_->test_ulong (a1, a2, a3, _ev);
}

template <class T>
  CORBA::Float POA_test1_tie<T>::test_float(/* POA_test1 *this, */ CORBA::Float a1, ::CORBA::Float &a2, CORBA::Float &a3, CORBA::Environment &_ev)
{
  return this->ptr_->test_float (a1, a2, a3, _ev);
}

template <class T>
  CORBA::Double POA_test1_tie<T>::test_double(/* POA_test1 *this, */ CORBA::Double a1, ::CORBA::Double &a2, CORBA::Double &a3, CORBA::Environment &_ev)
{
  return this->ptr_->test_double (a1, a2, a3, _ev);
}

template <class T>
  CORBA::Boolean POA_test1_tie<T>::test_boolean(/* POA_test1 *this, */ CORBA::Boolean a1, ::CORBA::Boolean &a2, CORBA::Boolean &a3, CORBA::Environment &_ev)
{
  return this->ptr_->test_boolean (a1, a2, a3, _ev);
}

template <class T>
  CORBA::Char POA_test1_tie<T>::test_char(/* POA_test1 *this, */ CORBA::Char a1, ::CORBA::Char &a2, CORBA::Char &a3, CORBA::Environment &_ev)
{
  return this->ptr_->test_char (a1, a2, a3, _ev);
}

template <class T>
  CORBA::Octet POA_test1_tie<T>::test_octet(/* POA_test1 *this, */ CORBA::Octet a1, ::CORBA::Octet &a2, CORBA::Octet &a3, CORBA::Environment &_ev)
{
  return this->ptr_->test_octet (a1, a2, a3, _ev);
}

template <class T>
  char *POA_test1_tie<T>::test_string(/* POA_test1 *this, */ const char *a1, ::CORBA::String_out a2, char *&a3, CORBA::Environment &_ev)
{
  return this->ptr_->test_string (a1, a2, a3, _ev);
}

template <class T>
  ::CORBA::Object_ptr POA_test1_tie<T>::test_Object(/* POA_test1 *this, */ ::CORBA::Object_ptr a1, ::CORBA::Object_out a2, ::CORBA::Object_ptr &a3, CORBA::Environment &_ev)
{
  return this->ptr_->test_Object (a1, a2, a3, _ev);
}

template <class T>
  void POA_test1_tie<T>::test_throw(/* POA_test1 *this, */ CORBA::Long case_num, CORBA::Environment &_ev)
{
  this->ptr_->test_throw (case_num, _ev);
}

template <class T>
  void POA_test1_tie<T>::please_exit(/* POA_test1 *this, */ CORBA::Environment &_ev)
{
  this->ptr_->please_exit (_ev);
}

_tao_collocated_test1::_tao_collocated_test1(POA_test1_ptr servant, TAO_Stub *stub)
  : test1(),
    CORBA_Object(stub, servant, 1),
    servant_ (servant)
{
}

POA_test1_ptr _tao_collocated_test1::_get_servant() const
{
  return this->servant_;
}

void _tao_collocated_test1::test_void(CORBA::Environment &_ev)
{
  this->servant_->test_void (_ev);
}

CORBA::Short _tao_collocated_test1::test_short(CORBA::Short a1, ::CORBA::Short &a2, CORBA::Short &a3, CORBA::Environment &_ev)
{
  return this->servant_->test_short (a1, a2, a3, _ev);
}

CORBA::Long _tao_collocated_test1::test_long(CORBA::Long a1, ::CORBA::Long &a2, CORBA::Long &a3, CORBA::Environment &_ev)
{
  return this->servant_->test_long (a1, a2, a3, _ev);
}

::test1::ushort _tao_collocated_test1::test_ushort(::test1::ushort a1, ::test1::ushort_out a2, ::test1::ushort &a3, CORBA::Environment &_ev)
{
  return this->servant_->test_ushort (a1, a2, a3, _ev);
}

::test1::ulong _tao_collocated_test1::test_ulong(::test1::ulong a1, ::test1::ulong_out a2, ::test1::ulong &a3, CORBA::Environment &_ev)
{
  return this->servant_->test_ulong (a1, a2, a3, _ev);
}

CORBA::Float _tao_collocated_test1::test_float(CORBA::Float a1, ::CORBA::Float &a2, CORBA::Float &a3, CORBA::Environment &_ev)
{
  return this->servant_->test_float (a1, a2, a3, _ev);
}

CORBA::Double _tao_collocated_test1::test_double(CORBA::Double a1, ::CORBA::Double &a2, CORBA::Double &a3, CORBA::Environment &_ev)
{
  return this->servant_->test_double (a1, a2, a3, _ev);
}

CORBA::Boolean _tao_collocated_test1::test_boolean(CORBA::Boolean a1, ::CORBA::Boolean &a2, CORBA::Boolean &a3, CORBA::Environment &_ev)
{
  return this->servant_->test_boolean (a1, a2, a3, _ev);
}

CORBA::Char _tao_collocated_test1::test_char(CORBA::Char a1, ::CORBA::Char &a2, CORBA::Char &a3, CORBA::Environment &_ev)
{
  return this->servant_->test_char (a1, a2, a3, _ev);
}

CORBA::Octet _tao_collocated_test1::test_octet(CORBA::Octet a1, ::CORBA::Octet &a2, CORBA::Octet &a3, CORBA::Environment &_ev)
{
  return this->servant_->test_octet (a1, a2, a3, _ev);
}

char *_tao_collocated_test1::test_string(const char *a1, ::CORBA::String_out a2, char *&a3, CORBA::Environment &_ev)
{
  return this->servant_->test_string (a1, a2, a3, _ev);
}

::CORBA::Object_ptr _tao_collocated_test1::test_Object(::CORBA::Object_ptr a1, ::CORBA::Object_out a2, ::CORBA::Object_ptr &a3, CORBA::Environment &_ev)
{
  return this->servant_->test_Object (a1, a2, a3, _ev);
}

void _tao_collocated_test1::test_throw(CORBA::Long case_num, CORBA::Environment &_ev)
{
  this->servant_->test_throw (case_num, _ev);
}

void _tao_collocated_test1::please_exit(CORBA::Environment &_ev)
{
  this->servant_->please_exit (_ev);
}

CORBA::Boolean _tao_collocated_test1::_is_a(const char *type_id, CORBA::Environment &_ev)
{
  return this->servant_->_is_a (type_id, _ev);
}

int flick_marshal_stub_test1(flick_marshal_stream_t _stream, test1_ptr *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdrxx_encode_IOR(iiopxx, *_data, 0, test1 , _flick_abort0);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_test1(flick_marshal_stream_t _stream, test1_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdrxx_decode_IOR(iiopxx, *_data, 1, test1 , _flick_abort1);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_test1_swap(flick_marshal_stream_t _stream, test1_ptr *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swapxx_decode_IOR(iiopxx, *_data, 1, test1 , _flick_abort2);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

void POA_test1::_dispatch(CORBA::ServerRequest &_tao_req, void *_tao_context, CORBA::Environment &_tao_env){
  FLICK_BUFFER _stream_storage;
  FLICK_BUFFER *_stream = &_stream_storage;
  TAO_InputCDR &_in_cdr = _tao_req.incoming();
  TAO_OutputCDR &_out_cdr = _tao_req.outgoing();
  flick_iiopxx_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (_in_cdr.do_byte_swap()) {
  {
    unsigned int _t216_switch_tag;

    flick_iiopxx_decode_new_glob(24);
    flick_iiopxx_check_span(16, _flick_abort5);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t216_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t216_switch_tag)
      {
      case (unsigned int) 10:
        {
          unsigned int _t217_switch_tag;

          flick_iiopxx_check_span(16, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t217_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t217_switch_tag)
            {
            case /* test */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
              {
                unsigned int _t218_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t218_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t218_switch_tag)
                  {
                  case /* _voi */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601597289):
                    {
                      unsigned short int _t219_switch_tag;

                      flick_iiopxx_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t219_switch_tag, unsigned short int );
                      flick_iiopxx_decode_end_chunk(2);
                      switch ((unsigned short int )_t219_switch_tag)
                        {
                        case /* d */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25600):
                          {
                            {
                              POA_test1 *_local_this;
                              unsigned int _t220_principal_len;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort480);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t220_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(6);
                              flick_iiopxx_decode_end_glob(24);
                              flick_iiopxx_check_span(_t220_principal_len, _flick_abort480);
                              flick_iiopxx_decode_new_glob(_t220_principal_len);
                              flick_iiopxx_decode_new_chunk(_t220_principal_len);
                              flick_iiopxx_decode_end_chunk(_t220_principal_len);
                              flick_iiopxx_decode_end_glob(_t220_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _local_this->test_void(_ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t221_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t221_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort480);
                                flick_iiopxx_encode_new_glob(4, _flick_abort480);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t221_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t221_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(4);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort486);
                                      break;
                                      {
                                      _flick_abort486:
                                        goto _flick_abort480;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort487);
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort487:
                                        goto _flick_abort480;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort480:
                                goto _flick_abort479;
                              }
                            }
                            break;
                            {
                            _flick_abort479:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _lon */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600941934):
                    {
                      unsigned short int _t222_switch_tag;

                      flick_iiopxx_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t222_switch_tag, unsigned short int );
                      flick_iiopxx_decode_end_chunk(2);
                      switch ((unsigned short int )_t222_switch_tag)
                        {
                        case /* g */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 26368):
                          {
                            {
                              POA_test1 *_local_this;
                              unsigned int _t223_principal_len;
                              CORBA::Long _return;
                              CORBA::Long _local_a1;
                              CORBA::Long _local_a2;
                              CORBA::Long _local_a3;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort489);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t223_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(6);
                              flick_iiopxx_decode_end_glob(24);
                              flick_iiopxx_check_span(_t223_principal_len, _flick_abort489);
                              flick_iiopxx_decode_new_glob(_t223_principal_len);
                              flick_iiopxx_decode_new_chunk(_t223_principal_len);
                              flick_iiopxx_decode_end_chunk(_t223_principal_len);
                              flick_iiopxx_decode_end_glob(_t223_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiopxx_decode_new_glob(11);
                              flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                              flick_iiopxx_check_span(8, _flick_abort489);
                              flick_cdr_swap_decode_signed32(0, _local_a1, CORBA::Long );
                              flick_cdr_swap_decode_signed32(4, _local_a3, CORBA::Long );
                              flick_iiopxx_decode_end_chunk(8);
                              flick_iiopxx_decode_end_glob(11);
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->test_long(_local_a1, _local_a2, _local_a3, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t224_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t224_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort489);
                                flick_iiopxx_encode_new_glob(16, _flick_abort489);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t224_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t224_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_new_chunk(12);
                                      flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                      flick_cdr_encode_signed32(4, _local_a2, CORBA::Long );
                                      flick_cdr_encode_signed32(8, _local_a3, CORBA::Long );
                                      flick_iiopxx_encode_end_chunk(12);
                                      flick_iiopxx_encode_end_glob(16);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(16);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort495);
                                      break;
                                      {
                                      _flick_abort495:
                                        goto _flick_abort489;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort496);
                                      flick_iiopxx_encode_end_glob(16);
                                      break;
                                      {
                                      _flick_abort496:
                                        goto _flick_abort489;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort489:
                                goto _flick_abort488;
                              }
                            }
                            break;
                            {
                            _flick_abort488:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _cha */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600350305):
                    {
                      unsigned short int _t225_switch_tag;

                      flick_iiopxx_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t225_switch_tag, unsigned short int );
                      flick_iiopxx_decode_end_chunk(2);
                      switch ((unsigned short int )_t225_switch_tag)
                        {
                        case /* r */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29184):
                          {
                            {
                              POA_test1 *_local_this;
                              unsigned int _t226_principal_len;
                              CORBA::Char _return;
                              CORBA::Char _local_a1;
                              CORBA::Char _local_a2;
                              CORBA::Char _local_a3;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort498);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t226_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(6);
                              flick_iiopxx_decode_end_glob(24);
                              flick_iiopxx_check_span(_t226_principal_len + 2, _flick_abort498);
                              flick_iiopxx_decode_new_glob(_t226_principal_len);
                              flick_iiopxx_decode_new_chunk(_t226_principal_len);
                              flick_iiopxx_decode_end_chunk(_t226_principal_len);
                              flick_iiopxx_decode_end_glob(_t226_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiopxx_decode_new_glob(2);
                              flick_iiopxx_decode_new_chunk(2);
                              flick_cdr_swap_decode_char8(0, _local_a1, CORBA::Char );
                              flick_cdr_swap_decode_char8(1, _local_a3, CORBA::Char );
                              flick_iiopxx_decode_end_chunk(2);
                              flick_iiopxx_decode_end_glob(2);
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->test_char(_local_a1, _local_a2, _local_a3, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t227_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t227_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort498);
                                flick_iiopxx_encode_new_glob(7, _flick_abort498);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t227_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t227_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_new_chunk(3);
                                      flick_cdr_encode_char8(0, _return, CORBA::Char );
                                      flick_cdr_encode_char8(1, _local_a2, CORBA::Char );
                                      flick_cdr_encode_char8(2, _local_a3, CORBA::Char );
                                      flick_iiopxx_encode_end_chunk(3);
                                      flick_iiopxx_encode_end_glob(7);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(7);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort504);
                                      break;
                                      {
                                      _flick_abort504:
                                        goto _flick_abort498;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort505);
                                      flick_iiopxx_encode_end_glob(7);
                                      break;
                                      {
                                      _flick_abort505:
                                        goto _flick_abort498;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort498:
                                goto _flick_abort497;
                              }
                            }
                            break;
                            {
                            _flick_abort497:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          unsigned int _t228_switch_tag;

          flick_iiopxx_check_span(16, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t228_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t228_switch_tag)
            {
            case /* test */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
              {
                unsigned int _t229_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t229_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t229_switch_tag)
                  {
                  case /* _sho */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398895):
                    {
                      unsigned short int _t230_switch_tag;

                      flick_iiopxx_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t230_switch_tag, unsigned short int );
                      flick_iiopxx_decode_end_chunk(2);
                      switch ((unsigned short int )_t230_switch_tag)
                        {
                        case /* rt */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29300):
                          {
                            char _t231_switch_tag;

                            flick_iiopxx_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t231_switch_tag, char );
                            flick_iiopxx_decode_end_chunk(1);
                            switch ((char )_t231_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    POA_test1 *_local_this;
                                    unsigned int _t232_principal_len;
                                    CORBA::Short _return;
                                    CORBA::Short _local_a1;
                                    CORBA::Short _local_a2;
                                    CORBA::Short _local_a3;
                                    CORBA::Environment _ev;

                                    flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort507);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_iiopxx_decode_new_chunk(5);
                                    flick_cdr_swap_decode_unsigned32(1, _t232_principal_len, unsigned int );
                                    flick_iiopxx_decode_end_chunk(5);
                                    flick_iiopxx_decode_end_glob(24);
                                    flick_iiopxx_check_span(_t232_principal_len, _flick_abort507);
                                    flick_iiopxx_decode_new_glob(_t232_principal_len);
                                    flick_iiopxx_decode_new_chunk(_t232_principal_len);
                                    flick_iiopxx_decode_end_chunk(_t232_principal_len);
                                    flick_iiopxx_decode_end_glob(_t232_principal_len);
                                    /* Begin decode phase on parameters */
                                    _return = 0;
                                    flick_iiopxx_decode_new_glob(5);
                                    flick_iiopxx_decode_new_chunk_align(4, 1, 0, 0);
                                    flick_iiopxx_check_span(4, _flick_abort507);
                                    flick_cdr_swap_decode_signed16(0, _local_a1, CORBA::Short );
                                    flick_cdr_swap_decode_signed16(2, _local_a3, CORBA::Short );
                                    flick_iiopxx_decode_end_chunk(4);
                                    flick_iiopxx_decode_end_glob(5);
                                    flick_iiopxx_server_end_decode();
                                    flick_corbaxx_init_environment();
                                    _return = _local_this->test_short(_local_a1, _local_a2, _local_a3, _ev);
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_iiopxx_server_start_encode();
                                    {
                                      int _t233_temp_major;

                                      flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t233_temp_major);

                                      flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort507);
                                      flick_iiopxx_encode_new_glob(10, _flick_abort507);
                                      flick_iiopxx_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _t233_temp_major, int );
                                      flick_iiopxx_encode_end_chunk(4);
                                      switch (_t233_temp_major)
                                        {
                                        case CORBA::NO_EXCEPTION:
                                          {
                                            /* Begin encode phase on parameters */
                                            flick_iiopxx_encode_new_chunk(6);
                                            flick_cdr_encode_signed16(0, _return, CORBA::Short );
                                            flick_cdr_encode_signed16(2, _local_a2, CORBA::Short );
                                            flick_cdr_encode_signed16(4, _local_a3, CORBA::Short );
                                            flick_iiopxx_encode_end_chunk(6);
                                            flick_iiopxx_encode_end_glob(10);
                                            break;
                                          }
                                        case CORBA::SYSTEM_EXCEPTION:
                                          {
                                            flick_iiopxx_encode_end_glob(10);
                                            flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort513);
                                            break;
                                            {
                                            _flick_abort513:
                                              goto _flick_abort507;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort514);
                                            flick_iiopxx_encode_end_glob(10);
                                            break;
                                            {
                                            _flick_abort514:
                                              goto _flick_abort507;
                                            }
                                          }
                                        }
                                    }
                                    flick_iiopxx_server_end_encode();
                                    break;
                                    {
                                    _flick_abort507:
                                      goto _flick_abort506;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort506:
                                    goto _flick_abort5;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                                  flick_iiopxx_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _ulo */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601530991):
                    {
                      unsigned short int _t234_switch_tag;

                      flick_iiopxx_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t234_switch_tag, unsigned short int );
                      flick_iiopxx_decode_end_chunk(2);
                      switch ((unsigned short int )_t234_switch_tag)
                        {
                        case /* ng */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28263):
                          {
                            char _t235_switch_tag;

                            flick_iiopxx_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t235_switch_tag, char );
                            flick_iiopxx_decode_end_chunk(1);
                            switch ((char )_t235_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    POA_test1 *_local_this;
                                    unsigned int _t236_principal_len;
                                    ::test1::ulong _return;
                                    ::test1::ulong _local_a1;
                                    ::test1::ulong _local_a2;
                                    ::test1::ulong _local_a3;
                                    CORBA::Environment _ev;

                                    flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort516);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_iiopxx_decode_new_chunk(5);
                                    flick_cdr_swap_decode_unsigned32(1, _t236_principal_len, unsigned int );
                                    flick_iiopxx_decode_end_chunk(5);
                                    flick_iiopxx_decode_end_glob(24);
                                    flick_iiopxx_check_span(_t236_principal_len, _flick_abort516);
                                    flick_iiopxx_decode_new_glob(_t236_principal_len);
                                    flick_iiopxx_decode_new_chunk(_t236_principal_len);
                                    flick_iiopxx_decode_end_chunk(_t236_principal_len);
                                    flick_iiopxx_decode_end_glob(_t236_principal_len);
                                    /* Begin decode phase on parameters */
                                    flick_iiopxx_decode_new_glob(11);
                                    flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                                    flick_iiopxx_check_span(8, _flick_abort516);
                                    flick_cdr_swap_decode_unsigned32(0, _local_a1, CORBA::ULong );
                                    flick_cdr_swap_decode_unsigned32(4, _local_a3, CORBA::ULong );
                                    flick_iiopxx_decode_end_chunk(8);
                                    flick_iiopxx_decode_end_glob(11);
                                    flick_iiopxx_server_end_decode();
                                    flick_corbaxx_init_environment();
                                    _return = _local_this->test_ulong(_local_a1, _local_a2, _local_a3, _ev);
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_iiopxx_server_start_encode();
                                    {
                                      int _t237_temp_major;

                                      flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t237_temp_major);

                                      flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort516);
                                      flick_iiopxx_encode_new_glob(16, _flick_abort516);
                                      flick_iiopxx_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _t237_temp_major, int );
                                      flick_iiopxx_encode_end_chunk(4);
                                      switch (_t237_temp_major)
                                        {
                                        case CORBA::NO_EXCEPTION:
                                          {
                                            /* Begin encode phase on parameters */
                                            flick_iiopxx_encode_new_chunk(12);
                                            flick_cdr_encode_unsigned32(0, _return, CORBA::ULong );
                                            flick_cdr_encode_unsigned32(4, _local_a2, CORBA::ULong );
                                            flick_cdr_encode_unsigned32(8, _local_a3, CORBA::ULong );
                                            flick_iiopxx_encode_end_chunk(12);
                                            flick_iiopxx_encode_end_glob(16);
                                            break;
                                          }
                                        case CORBA::SYSTEM_EXCEPTION:
                                          {
                                            flick_iiopxx_encode_end_glob(16);
                                            flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort522);
                                            break;
                                            {
                                            _flick_abort522:
                                              goto _flick_abort516;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort523);
                                            flick_iiopxx_encode_end_glob(16);
                                            break;
                                            {
                                            _flick_abort523:
                                              goto _flick_abort516;
                                            }
                                          }
                                        }
                                    }
                                    flick_iiopxx_server_end_encode();
                                    break;
                                    {
                                    _flick_abort516:
                                      goto _flick_abort515;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort515:
                                    goto _flick_abort5;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                                  flick_iiopxx_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _flo */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600547951):
                    {
                      unsigned short int _t238_switch_tag;

                      flick_iiopxx_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t238_switch_tag, unsigned short int );
                      flick_iiopxx_decode_end_chunk(2);
                      switch ((unsigned short int )_t238_switch_tag)
                        {
                        case /* at */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24948):
                          {
                            char _t239_switch_tag;

                            flick_iiopxx_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t239_switch_tag, char );
                            flick_iiopxx_decode_end_chunk(1);
                            switch ((char )_t239_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    POA_test1 *_local_this;
                                    unsigned int _t240_principal_len;
                                    CORBA::Float _return;
                                    CORBA::Float _local_a1;
                                    CORBA::Float _local_a2;
                                    CORBA::Float _local_a3;
                                    CORBA::Environment _ev;

                                    flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort525);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_iiopxx_decode_new_chunk(5);
                                    flick_cdr_swap_decode_unsigned32(1, _t240_principal_len, unsigned int );
                                    flick_iiopxx_decode_end_chunk(5);
                                    flick_iiopxx_decode_end_glob(24);
                                    flick_iiopxx_check_span(_t240_principal_len, _flick_abort525);
                                    flick_iiopxx_decode_new_glob(_t240_principal_len);
                                    flick_iiopxx_decode_new_chunk(_t240_principal_len);
                                    flick_iiopxx_decode_end_chunk(_t240_principal_len);
                                    flick_iiopxx_decode_end_glob(_t240_principal_len);
                                    /* Begin decode phase on parameters */
                                    _return = 0.000000;
                                    flick_iiopxx_decode_new_glob(11);
                                    flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                                    flick_iiopxx_check_span(8, _flick_abort525);
                                    flick_cdr_swap_decode_float32(0, _local_a1, CORBA::Float );
                                    flick_cdr_swap_decode_float32(4, _local_a3, CORBA::Float );
                                    flick_iiopxx_decode_end_chunk(8);
                                    flick_iiopxx_decode_end_glob(11);
                                    flick_iiopxx_server_end_decode();
                                    flick_corbaxx_init_environment();
                                    _return = _local_this->test_float(_local_a1, _local_a2, _local_a3, _ev);
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_iiopxx_server_start_encode();
                                    {
                                      int _t241_temp_major;

                                      flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t241_temp_major);

                                      flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort525);
                                      flick_iiopxx_encode_new_glob(16, _flick_abort525);
                                      flick_iiopxx_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _t241_temp_major, int );
                                      flick_iiopxx_encode_end_chunk(4);
                                      switch (_t241_temp_major)
                                        {
                                        case CORBA::NO_EXCEPTION:
                                          {
                                            /* Begin encode phase on parameters */
                                            flick_iiopxx_encode_new_chunk(12);
                                            flick_cdr_encode_float32(0, _return, CORBA::Float );
                                            flick_cdr_encode_float32(4, _local_a2, CORBA::Float );
                                            flick_cdr_encode_float32(8, _local_a3, CORBA::Float );
                                            flick_iiopxx_encode_end_chunk(12);
                                            flick_iiopxx_encode_end_glob(16);
                                            break;
                                          }
                                        case CORBA::SYSTEM_EXCEPTION:
                                          {
                                            flick_iiopxx_encode_end_glob(16);
                                            flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort531);
                                            break;
                                            {
                                            _flick_abort531:
                                              goto _flick_abort525;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort532);
                                            flick_iiopxx_encode_end_glob(16);
                                            break;
                                            {
                                            _flick_abort532:
                                              goto _flick_abort525;
                                            }
                                          }
                                        }
                                    }
                                    flick_iiopxx_server_end_encode();
                                    break;
                                    {
                                    _flick_abort525:
                                      goto _flick_abort524;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort524:
                                    goto _flick_abort5;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                                  flick_iiopxx_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _oct */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601135476):
                    {
                      unsigned short int _t242_switch_tag;

                      flick_iiopxx_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t242_switch_tag, unsigned short int );
                      flick_iiopxx_decode_end_chunk(2);
                      switch ((unsigned short int )_t242_switch_tag)
                        {
                        case /* et */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25972):
                          {
                            char _t243_switch_tag;

                            flick_iiopxx_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t243_switch_tag, char );
                            flick_iiopxx_decode_end_chunk(1);
                            switch ((char )_t243_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    POA_test1 *_local_this;
                                    unsigned int _t244_principal_len;
                                    CORBA::Octet _return;
                                    CORBA::Octet _local_a1;
                                    CORBA::Octet _local_a2;
                                    CORBA::Octet _local_a3;
                                    CORBA::Environment _ev;

                                    flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort534);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_iiopxx_decode_new_chunk(5);
                                    flick_cdr_swap_decode_unsigned32(1, _t244_principal_len, unsigned int );
                                    flick_iiopxx_decode_end_chunk(5);
                                    flick_iiopxx_decode_end_glob(24);
                                    flick_iiopxx_check_span(_t244_principal_len + 2, _flick_abort534);
                                    flick_iiopxx_decode_new_glob(_t244_principal_len);
                                    flick_iiopxx_decode_new_chunk(_t244_principal_len);
                                    flick_iiopxx_decode_end_chunk(_t244_principal_len);
                                    flick_iiopxx_decode_end_glob(_t244_principal_len);
                                    /* Begin decode phase on parameters */
                                    _return = 0;
                                    flick_iiopxx_decode_new_glob(2);
                                    flick_iiopxx_decode_new_chunk(2);
                                    flick_cdr_swap_decode_unsigned8(0, _local_a1, CORBA::Octet );
                                    flick_cdr_swap_decode_unsigned8(1, _local_a3, CORBA::Octet );
                                    flick_iiopxx_decode_end_chunk(2);
                                    flick_iiopxx_decode_end_glob(2);
                                    flick_iiopxx_server_end_decode();
                                    flick_corbaxx_init_environment();
                                    _return = _local_this->test_octet(_local_a1, _local_a2, _local_a3, _ev);
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_iiopxx_server_start_encode();
                                    {
                                      int _t245_temp_major;

                                      flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t245_temp_major);

                                      flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort534);
                                      flick_iiopxx_encode_new_glob(7, _flick_abort534);
                                      flick_iiopxx_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _t245_temp_major, int );
                                      flick_iiopxx_encode_end_chunk(4);
                                      switch (_t245_temp_major)
                                        {
                                        case CORBA::NO_EXCEPTION:
                                          {
                                            /* Begin encode phase on parameters */
                                            flick_iiopxx_encode_new_chunk(3);
                                            flick_cdr_encode_unsigned8(0, _return, CORBA::Octet );
                                            flick_cdr_encode_unsigned8(1, _local_a2, CORBA::Octet );
                                            flick_cdr_encode_unsigned8(2, _local_a3, CORBA::Octet );
                                            flick_iiopxx_encode_end_chunk(3);
                                            flick_iiopxx_encode_end_glob(7);
                                            break;
                                          }
                                        case CORBA::SYSTEM_EXCEPTION:
                                          {
                                            flick_iiopxx_encode_end_glob(7);
                                            flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort540);
                                            break;
                                            {
                                            _flick_abort540:
                                              goto _flick_abort534;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort541);
                                            flick_iiopxx_encode_end_glob(7);
                                            break;
                                            {
                                            _flick_abort541:
                                              goto _flick_abort534;
                                            }
                                          }
                                        }
                                    }
                                    flick_iiopxx_server_end_encode();
                                    break;
                                    {
                                    _flick_abort534:
                                      goto _flick_abort533;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort533:
                                    goto _flick_abort5;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                                  flick_iiopxx_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _thr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601464434):
                    {
                      unsigned short int _t246_switch_tag;

                      flick_iiopxx_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t246_switch_tag, unsigned short int );
                      flick_iiopxx_decode_end_chunk(2);
                      switch ((unsigned short int )_t246_switch_tag)
                        {
                        case /* ow */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28535):
                          {
                            char _t247_switch_tag;

                            flick_iiopxx_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t247_switch_tag, char );
                            flick_iiopxx_decode_end_chunk(1);
                            switch ((char )_t247_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    POA_test1 *_local_this;
                                    unsigned int _t248_principal_len;
                                    CORBA::Long _local_case_num;
                                    CORBA::Environment _ev;

                                    flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort543);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_iiopxx_decode_new_chunk(5);
                                    flick_cdr_swap_decode_unsigned32(1, _t248_principal_len, unsigned int );
                                    flick_iiopxx_decode_end_chunk(5);
                                    flick_iiopxx_decode_end_glob(24);
                                    flick_iiopxx_check_span(_t248_principal_len, _flick_abort543);
                                    flick_iiopxx_decode_new_glob(_t248_principal_len);
                                    flick_iiopxx_decode_new_chunk(_t248_principal_len);
                                    flick_iiopxx_decode_end_chunk(_t248_principal_len);
                                    flick_iiopxx_decode_end_glob(_t248_principal_len);
                                    /* Begin decode phase on parameters */
                                    flick_iiopxx_decode_new_glob(7);
                                    flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_iiopxx_check_span(4, _flick_abort543);
                                    flick_cdr_swap_decode_signed32(0, _local_case_num, CORBA::Long );
                                    flick_iiopxx_decode_end_chunk(4);
                                    flick_iiopxx_decode_end_glob(7);
                                    flick_iiopxx_server_end_decode();
                                    flick_corbaxx_init_environment();
                                    _local_this->test_throw(_local_case_num, _ev);
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_iiopxx_server_start_encode();
                                    {
                                      int _t249_temp_major;

                                      flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t249_temp_major);

                                      flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort543);
                                      flick_iiopxx_encode_new_glob(32, _flick_abort543);
                                      flick_iiopxx_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _t249_temp_major, int );
                                      flick_iiopxx_encode_end_chunk(4);
                                      switch (_t249_temp_major)
                                        {
                                        case CORBA::NO_EXCEPTION:
                                          {
                                            /* Begin encode phase on parameters */
                                            flick_iiopxx_encode_end_glob(32);
                                            break;
                                          }
                                        case CORBA::SYSTEM_EXCEPTION:
                                          {
                                            flick_iiopxx_encode_end_glob(32);
                                            flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort554);
                                            break;
                                            {
                                            _flick_abort554:
                                              goto _flick_abort543;
                                            }
                                          }
                                        default:
                                          {
                                            flick_corbaxx_env _t251_temp_env;

                                            flick_corbaxx_env_to_exception(CORBA::Environment &, _ev, flick_corbaxx_env , _t251_temp_env);

                                            switch ((unsigned int )(1+strlen(_t251_temp_env._id)))
                                              {
                                              case (unsigned int) 17:
                                                {
                                                  switch (*(unsigned int *)(_t251_temp_env._id + 0))
                                                    {
                                                    case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                                                      {
                                                        switch (*(unsigned int *)(_t251_temp_env._id + 4))
                                                          {
                                                          case /* test */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
                                                            {
                                                              switch (*(unsigned int *)(_t251_temp_env._id + 8))
                                                                {
                                                                case /* 1/x1 */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 825194545):
                                                                  {
                                                                    switch (*(unsigned int *)(_t251_temp_env._id + 12))
                                                                      {
                                                                      case /* :1.0 */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 976301616):
                                                                        {
                                                                          switch (*(char *)(_t251_temp_env._id + 16))
                                                                            {
                                                                            case 0:
                                                                              {
                                                                                flick_iiopxx_encode_new_chunk(28);
                                                                                flick_cdr_encode_unsigned32(0, 17, flick_unsigned32_t );
                                                                                flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                                                flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                                                flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                                                flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                                                flick_cdr_encode_char8(8, 't', flick_char8_t );
                                                                                flick_cdr_encode_char8(9, 'e', flick_char8_t );
                                                                                flick_cdr_encode_char8(10, 's', flick_char8_t );
                                                                                flick_cdr_encode_char8(11, 't', flick_char8_t );
                                                                                flick_cdr_encode_char8(12, '1', flick_char8_t );
                                                                                flick_cdr_encode_char8(13, '/', flick_char8_t );
                                                                                flick_cdr_encode_char8(14, 'x', flick_char8_t );
                                                                                flick_cdr_encode_char8(15, '1', flick_char8_t );
                                                                                flick_cdr_encode_char8(16, ':', flick_char8_t );
                                                                                flick_cdr_encode_char8(17, '1', flick_char8_t );
                                                                                flick_cdr_encode_char8(18, '.', flick_char8_t );
                                                                                flick_cdr_encode_char8(19, '0', flick_char8_t );
                                                                                flick_cdr_encode_char8(20, 0, flick_char8_t );
                                                                                flick_cdr_encode_signed32(24, ((test1::x1 *)(_t251_temp_env._user_except))->case_num, CORBA::Long );
                                                                                flick_iiopxx_encode_end_chunk(28);
                                                                                flick_iiopxx_encode_end_glob(32);
                                                                                break;
                                                                              }
                                                                            default:
                                                                              {
                                                                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort555);
                                                                                flick_iiopxx_encode_end_glob(32);
                                                                                break;
                                                                              }
                                                                            }
                                                                          break;
                                                                        }
                                                                      default:
                                                                        {
                                                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort555);
                                                                          flick_iiopxx_encode_end_glob(32);
                                                                          break;
                                                                        }
                                                                      }
                                                                    break;
                                                                  }
                                                                case /* 1/x2 */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 825194546):
                                                                  {
                                                                    switch (*(unsigned int *)(_t251_temp_env._id + 12))
                                                                      {
                                                                      case /* :1.0 */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 976301616):
                                                                        {
                                                                          switch (*(char *)(_t251_temp_env._id + 16))
                                                                            {
                                                                            case 0:
                                                                              {
                                                                                flick_iiopxx_encode_new_chunk(21);
                                                                                flick_cdr_encode_unsigned32(0, 17, flick_unsigned32_t );
                                                                                flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                                                flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                                                flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                                                flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                                                flick_cdr_encode_char8(8, 't', flick_char8_t );
                                                                                flick_cdr_encode_char8(9, 'e', flick_char8_t );
                                                                                flick_cdr_encode_char8(10, 's', flick_char8_t );
                                                                                flick_cdr_encode_char8(11, 't', flick_char8_t );
                                                                                flick_cdr_encode_char8(12, '1', flick_char8_t );
                                                                                flick_cdr_encode_char8(13, '/', flick_char8_t );
                                                                                flick_cdr_encode_char8(14, 'x', flick_char8_t );
                                                                                flick_cdr_encode_char8(15, '2', flick_char8_t );
                                                                                flick_cdr_encode_char8(16, ':', flick_char8_t );
                                                                                flick_cdr_encode_char8(17, '1', flick_char8_t );
                                                                                flick_cdr_encode_char8(18, '.', flick_char8_t );
                                                                                flick_cdr_encode_char8(19, '0', flick_char8_t );
                                                                                flick_cdr_encode_char8(20, 0, flick_char8_t );
                                                                                flick_iiopxx_encode_end_chunk(21);
                                                                                flick_iiopxx_encode_end_glob(32);
                                                                                flick_cdrxx_encode_IOR(iiopxx, ((test1::x2 *)(_t251_temp_env._user_except))->obj, 0, CORBA::Object , _flick_abort560);
                                                                                flick_iiopxx_encode_new_glob(7, _flick_abort560);
                                                                                flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                                                                flick_cdr_encode_signed32(0, ((test1::x2 *)(_t251_temp_env._user_except))->value, CORBA::Long );
                                                                                flick_iiopxx_encode_end_chunk(4);
                                                                                flick_iiopxx_encode_end_glob(7);
                                                                                break;
                                                                                {
                                                                                _flick_abort560:
                                                                                  goto _flick_abort555;
                                                                                }
                                                                              }
                                                                            default:
                                                                              {
                                                                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort555);
                                                                                flick_iiopxx_encode_end_glob(32);
                                                                                break;
                                                                              }
                                                                            }
                                                                          break;
                                                                        }
                                                                      default:
                                                                        {
                                                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort555);
                                                                          flick_iiopxx_encode_end_glob(32);
                                                                          break;
                                                                        }
                                                                      }
                                                                    break;
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort555);
                                                                    flick_iiopxx_encode_end_glob(32);
                                                                    break;
                                                                  }
                                                                }
                                                              break;
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort555);
                                                              flick_iiopxx_encode_end_glob(32);
                                                              break;
                                                            }
                                                          }
                                                        break;
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort555);
                                                        flick_iiopxx_encode_end_glob(32);
                                                        break;
                                                      }
                                                    }
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort555);
                                                  flick_iiopxx_encode_end_glob(32);
                                                  break;
                                                }
                                              }
                                            break;
                                            {
                                            _flick_abort555:
                                              goto _flick_abort543;
                                            }
                                          }
                                        }
                                    }
                                    flick_iiopxx_server_end_encode();
                                    break;
                                    {
                                    _flick_abort543:
                                      goto _flick_abort542;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort542:
                                    goto _flick_abort5;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                                  flick_iiopxx_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 12:
        {
          unsigned int _t252_switch_tag;

          flick_iiopxx_check_span(16, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t252_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t252_switch_tag)
            {
            case /* test */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
              {
                unsigned int _t253_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t253_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t253_switch_tag)
                  {
                  case /* _ush */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601532776):
                    {
                      unsigned int _t254_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t254_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t254_switch_tag)
                        {
                        case /* ort */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869771776):
                          {
                            {
                              POA_test1 *_local_this;
                              unsigned int _t255_principal_len;
                              ::test1::ushort _return;
                              ::test1::ushort _local_a1;
                              ::test1::ushort _local_a2;
                              ::test1::ushort _local_a3;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort562);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(4);
                              flick_cdr_swap_decode_unsigned32(0, _t255_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(4);
                              flick_iiopxx_decode_end_glob(24);
                              flick_iiopxx_check_span(_t255_principal_len, _flick_abort562);
                              flick_iiopxx_decode_new_glob(_t255_principal_len);
                              flick_iiopxx_decode_new_chunk(_t255_principal_len);
                              flick_iiopxx_decode_end_chunk(_t255_principal_len);
                              flick_iiopxx_decode_end_glob(_t255_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiopxx_decode_new_glob(5);
                              flick_iiopxx_decode_new_chunk_align(4, 1, 0, 0);
                              flick_iiopxx_check_span(4, _flick_abort562);
                              flick_cdr_swap_decode_unsigned16(0, _local_a1, CORBA::UShort );
                              flick_cdr_swap_decode_unsigned16(2, _local_a3, CORBA::UShort );
                              flick_iiopxx_decode_end_chunk(4);
                              flick_iiopxx_decode_end_glob(5);
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->test_ushort(_local_a1, _local_a2, _local_a3, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t256_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t256_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort562);
                                flick_iiopxx_encode_new_glob(10, _flick_abort562);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t256_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t256_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_new_chunk(6);
                                      flick_cdr_encode_unsigned16(0, _return, CORBA::UShort );
                                      flick_cdr_encode_unsigned16(2, _local_a2, CORBA::UShort );
                                      flick_cdr_encode_unsigned16(4, _local_a3, CORBA::UShort );
                                      flick_iiopxx_encode_end_chunk(6);
                                      flick_iiopxx_encode_end_glob(10);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(10);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort568);
                                      break;
                                      {
                                      _flick_abort568:
                                        goto _flick_abort562;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort569);
                                      flick_iiopxx_encode_end_glob(10);
                                      break;
                                      {
                                      _flick_abort569:
                                        goto _flick_abort562;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort562:
                                goto _flick_abort561;
                              }
                            }
                            break;
                            {
                            _flick_abort561:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _dou */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600417653):
                    {
                      unsigned int _t257_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t257_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t257_switch_tag)
                        {
                        case /* ble */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651270912):
                          {
                            {
                              POA_test1 *_local_this;
                              unsigned int _t258_principal_len;
                              CORBA::Double _return;
                              CORBA::Double _local_a1;
                              CORBA::Double _local_a2;
                              CORBA::Double _local_a3;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort571);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(4);
                              flick_cdr_swap_decode_unsigned32(0, _t258_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(4);
                              flick_iiopxx_decode_end_glob(24);
                              flick_iiopxx_check_span(_t258_principal_len, _flick_abort571);
                              flick_iiopxx_decode_new_glob(_t258_principal_len);
                              flick_iiopxx_decode_new_chunk(_t258_principal_len);
                              flick_iiopxx_decode_end_chunk(_t258_principal_len);
                              flick_iiopxx_decode_end_glob(_t258_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0.000000;
                              flick_iiopxx_decode_new_glob(23);
                              flick_iiopxx_decode_new_chunk_align(16, 3, 0, 0);
                              flick_iiopxx_check_span(16, _flick_abort571);
                              flick_cdr_swap_decode_float64(0, _local_a1, CORBA::Double );
                              flick_cdr_swap_decode_float64(8, _local_a3, CORBA::Double );
                              flick_iiopxx_decode_end_chunk(16);
                              flick_iiopxx_decode_end_glob(23);
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->test_double(_local_a1, _local_a2, _local_a3, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t259_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t259_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort571);
                                flick_iiopxx_encode_new_glob(32, _flick_abort571);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t259_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t259_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_new_chunk_align(24, 3, 2, 0);
                                      flick_cdr_encode_float64(0, _return, CORBA::Double );
                                      flick_cdr_encode_float64(8, _local_a2, CORBA::Double );
                                      flick_cdr_encode_float64(16, _local_a3, CORBA::Double );
                                      flick_iiopxx_encode_end_chunk(24);
                                      flick_iiopxx_encode_end_glob(32);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(32);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort577);
                                      break;
                                      {
                                      _flick_abort577:
                                        goto _flick_abort571;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort578);
                                      flick_iiopxx_encode_end_glob(32);
                                      break;
                                      {
                                      _flick_abort578:
                                        goto _flick_abort571;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort571:
                                goto _flick_abort570;
                              }
                            }
                            break;
                            {
                            _flick_abort570:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _str */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601401970):
                    {
                      unsigned int _t260_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t260_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t260_switch_tag)
                        {
                        case /* ing */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768843008):
                          {
                            {
                              POA_test1 *_local_this;
                              unsigned int _t261_principal_len;
                              char *_return;
                              char *_local_a1;
                              flick_unsigned32_t _t262_temp_string_len;
                              char *_local_a2;
                              char *_local_a3;
                              flick_unsigned32_t _t263_temp_string_len;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort580);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(4);
                              flick_cdr_swap_decode_unsigned32(0, _t261_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(4);
                              flick_iiopxx_decode_end_glob(24);
                              flick_iiopxx_check_span(_t261_principal_len, _flick_abort580);
                              flick_iiopxx_decode_new_glob(_t261_principal_len);
                              flick_iiopxx_decode_new_chunk(_t261_principal_len);
                              flick_iiopxx_decode_end_chunk(_t261_principal_len);
                              flick_iiopxx_decode_end_glob(_t261_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiopxx_decode_new_glob(7);
                              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiopxx_check_span(4, _flick_abort580);
                              flick_cdr_swap_decode_unsigned32(0, _t262_temp_string_len, flick_unsigned32_t );
                              flick_iiopxx_decode_end_chunk(4);
                              flick_iiopxx_decode_end_glob(7);
                              flick_iiopxx_decode_new_glob(1 * _t262_temp_string_len);
                              flick_iiopxx_check_span(1 * _t262_temp_string_len, _flick_abort580);
                              flick_iiopxx_decode_new_chunk(1 * _t262_temp_string_len);
                              flick_cdr_swap_decode_msgptr(0, _local_a1, CORBA::Char *);
                              flick_iiopxx_decode_end_chunk(1 * _t262_temp_string_len);
                              flick_iiopxx_decode_end_glob(1 * _t262_temp_string_len);
                              flick_iiopxx_decode_new_glob(7);
                              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiopxx_check_span(4, _flick_abort580);
                              flick_cdr_swap_decode_unsigned32(0, _t263_temp_string_len, flick_unsigned32_t );
                              flick_iiopxx_decode_end_chunk(4);
                              flick_iiopxx_decode_end_glob(7);
                              flick_iiopxx_decode_new_glob(1 * _t263_temp_string_len);
                              flick_iiopxx_check_span(1 * _t263_temp_string_len, _flick_abort580);
                              flick_iiopxx_decode_new_chunk(1 * _t263_temp_string_len);
                              {
                                CORBA::Char *_t_alloc_ptr;

                                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t263_temp_string_len * sizeof(CORBA::Char )));
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort580);
                                _local_a3 = _t_alloc_ptr;
                              }
                              flick_cdr_swap_decode_bcopy(0, _local_a3, 1 * _t263_temp_string_len);
                              flick_iiopxx_decode_end_chunk(1 * _t263_temp_string_len);
                              flick_iiopxx_decode_end_glob(1 * _t263_temp_string_len);
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->test_string(_local_a1, _local_a2, _local_a3, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t264_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t264_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort585);
                                flick_iiopxx_encode_new_glob(8, _flick_abort585);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t264_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t264_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      flick_unsigned32_t _t268_temp_string_len;
                                      flick_unsigned32_t _t269_temp_string_len;
                                      flick_unsigned32_t _t270_temp_string_len;

                                      flick_cdr_stringlen(CORBA::Char *, _return, flick_unsigned32_t , _t268_temp_string_len);
                                      flick_cdr_stringlen(CORBA::Char *, _local_a2, flick_unsigned32_t , _t269_temp_string_len);
                                      flick_cdr_stringlen(CORBA::Char *, _local_a3, flick_unsigned32_t , _t270_temp_string_len);

                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_new_chunk(4);
                                      flick_cdr_encode_unsigned32(0, _t268_temp_string_len, flick_unsigned32_t );
                                      flick_iiopxx_encode_end_chunk(4);
                                      flick_iiopxx_encode_end_glob(8);
                                      flick_iiopxx_encode_new_glob(1 * _t268_temp_string_len, _flick_abort596);
                                      flick_iiopxx_encode_new_chunk(1 * _t268_temp_string_len);
                                      flick_cdr_encode_bcopy(0, _return, 1 * _t268_temp_string_len);
                                      CORBA_string_flick_free(_return);
                                      _return = 0;
                                      flick_iiopxx_encode_end_chunk(1 * _t268_temp_string_len);
                                      flick_iiopxx_encode_end_glob(1 * _t268_temp_string_len);
                                      flick_iiopxx_encode_new_glob(7, _flick_abort596);
                                      flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                      flick_cdr_encode_unsigned32(0, _t269_temp_string_len, flick_unsigned32_t );
                                      flick_iiopxx_encode_end_chunk(4);
                                      flick_iiopxx_encode_end_glob(7);
                                      flick_iiopxx_encode_new_glob(1 * _t269_temp_string_len, _flick_abort596);
                                      flick_iiopxx_encode_new_chunk(1 * _t269_temp_string_len);
                                      flick_cdr_encode_bcopy(0, _local_a2, 1 * _t269_temp_string_len);
                                      CORBA_string_flick_free(_local_a2);
                                      _local_a2 = 0;
                                      flick_iiopxx_encode_end_chunk(1 * _t269_temp_string_len);
                                      flick_iiopxx_encode_end_glob(1 * _t269_temp_string_len);
                                      flick_iiopxx_encode_new_glob(7, _flick_abort596);
                                      flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                      flick_cdr_encode_unsigned32(0, _t270_temp_string_len, flick_unsigned32_t );
                                      flick_iiopxx_encode_end_chunk(4);
                                      flick_iiopxx_encode_end_glob(7);
                                      flick_iiopxx_encode_new_glob(1 * _t270_temp_string_len, _flick_abort596);
                                      flick_iiopxx_encode_new_chunk(1 * _t270_temp_string_len);
                                      flick_cdr_encode_bcopy(0, _local_a3, 1 * _t270_temp_string_len);
                                      CORBA_string_flick_free(_local_a3);
                                      _local_a3 = 0;
                                      flick_iiopxx_encode_end_chunk(1 * _t270_temp_string_len);
                                      flick_iiopxx_encode_end_glob(1 * _t270_temp_string_len);
                                      break;
                                      {
                                      _flick_abort596:
                                        goto _flick_abort585;
                                      }
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(8);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort603);
                                      break;
                                      {
                                      _flick_abort603:
                                        goto _flick_abort585;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort604);
                                      flick_iiopxx_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort604:
                                        goto _flick_abort585;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort585:
                                CORBA_string_flick_free(_local_a3);
                              _flick_abort580:
                                goto _flick_abort579;
                              }
                            }
                            break;
                            {
                            _flick_abort579:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _Obj */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1599038058):
                    {
                      unsigned int _t271_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t271_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t271_switch_tag)
                        {
                        case /* ect */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701016576):
                          {
                            {
                              POA_test1 *_local_this;
                              unsigned int _t272_principal_len;
                              ::CORBA::Object_ptr _return;
                              ::CORBA::Object_ptr _local_a1;
                              ::CORBA::Object_ptr _local_a2;
                              ::CORBA::Object_ptr _local_a3;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort606);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(4);
                              flick_cdr_swap_decode_unsigned32(0, _t272_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(4);
                              flick_iiopxx_decode_end_glob(24);
                              flick_iiopxx_check_span(_t272_principal_len, _flick_abort606);
                              flick_iiopxx_decode_new_glob(_t272_principal_len);
                              flick_iiopxx_decode_new_chunk(_t272_principal_len);
                              flick_iiopxx_decode_end_chunk(_t272_principal_len);
                              flick_iiopxx_decode_end_glob(_t272_principal_len);
                              /* Begin decode phase on parameters */
                              flick_cdr_swapxx_decode_IOR(iiopxx, _local_a1, 1, CORBA::Object , _flick_abort606);
                              flick_iiopxx_mark_port_for_cleanup(_local_a1, 1);
                              flick_cdr_swapxx_decode_IOR(iiopxx, _local_a3, 1, CORBA::Object , _flick_abort606);
                              flick_iiopxx_mark_port_for_cleanup(_local_a3, 1);
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->test_Object(_local_a1, _local_a2, _local_a3, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t273_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t273_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort606);
                                flick_iiopxx_encode_new_glob(4, _flick_abort606);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t273_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t273_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_end_glob(4);
                                      flick_cdrxx_encode_IOR(iiopxx, _return, 0, CORBA::Object , _flick_abort611);
                                      CORBA_object_flick_free(_return);
                                      _return = 0;
                                      flick_cdrxx_encode_IOR(iiopxx, _local_a2, 0, CORBA::Object , _flick_abort611);
                                      CORBA_object_flick_free(_local_a2);
                                      _local_a2 = 0;
                                      flick_cdrxx_encode_IOR(iiopxx, _local_a3, 0, CORBA::Object , _flick_abort611);
                                      CORBA_object_flick_free(_local_a3);
                                      _local_a3 = 0;
                                      break;
                                      {
                                      _flick_abort611:
                                        goto _flick_abort606;
                                      }
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(4);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort612);
                                      break;
                                      {
                                      _flick_abort612:
                                        goto _flick_abort606;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort613);
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort613:
                                        goto _flick_abort606;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort606:
                                goto _flick_abort605;
                              }
                            }
                            break;
                            {
                            _flick_abort605:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            case /* plea */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1886152033):
              {
                unsigned int _t274_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t274_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t274_switch_tag)
                  {
                  case /* se_e */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1936023397):
                    {
                      unsigned int _t275_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t275_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t275_switch_tag)
                        {
                        case /* xit */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 2020176896):
                          {
                            {
                              POA_test1 *_local_this;
                              unsigned int _t276_principal_len;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort615);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(4);
                              flick_cdr_swap_decode_unsigned32(0, _t276_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(4);
                              flick_iiopxx_decode_end_glob(24);
                              flick_iiopxx_check_span(_t276_principal_len, _flick_abort615);
                              flick_iiopxx_decode_new_glob(_t276_principal_len);
                              flick_iiopxx_decode_new_chunk(_t276_principal_len);
                              flick_iiopxx_decode_end_chunk(_t276_principal_len);
                              flick_iiopxx_decode_end_glob(_t276_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _local_this->please_exit(_ev);
                              return ;
                              break;
                              {
                              _flick_abort615:
                                goto _flick_abort614;
                              }
                            }
                            break;
                            {
                            _flick_abort614:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 13:
        {
          unsigned int _t277_switch_tag;

          flick_iiopxx_check_span(20, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t277_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t277_switch_tag)
            {
            case /* test */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
              {
                unsigned int _t278_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t278_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t278_switch_tag)
                  {
                  case /* _boo */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600286575):
                    {
                      unsigned int _t279_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t279_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t279_switch_tag)
                        {
                        case /* lean */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1818583406):
                          {
                            char _t280_switch_tag;

                            flick_iiopxx_decode_new_chunk(1);
                            flick_cdr_swap_decode_char8(0, _t280_switch_tag, char );
                            flick_iiopxx_decode_end_chunk(1);
                            switch ((char )_t280_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    POA_test1 *_local_this;
                                    unsigned int _t281_principal_len;
                                    CORBA::Boolean _return;
                                    CORBA::Boolean _local_a1;
                                    CORBA::Boolean _local_a2;
                                    CORBA::Boolean _local_a3;
                                    CORBA::Environment _ev;

                                    flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort617);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_iiopxx_decode_new_chunk(7);
                                    flick_cdr_swap_decode_unsigned32(3, _t281_principal_len, unsigned int );
                                    flick_iiopxx_decode_end_chunk(7);
                                    flick_iiopxx_decode_end_glob(24);
                                    flick_iiopxx_check_span(_t281_principal_len + 2, _flick_abort617);
                                    flick_iiopxx_decode_new_glob(_t281_principal_len);
                                    flick_iiopxx_decode_new_chunk(_t281_principal_len);
                                    flick_iiopxx_decode_end_chunk(_t281_principal_len);
                                    flick_iiopxx_decode_end_glob(_t281_principal_len);
                                    /* Begin decode phase on parameters */
                                    _return = 0;
                                    flick_iiopxx_decode_new_glob(2);
                                    flick_iiopxx_decode_new_chunk(2);
                                    flick_cdr_swap_decode_unsigned8(0, _local_a1, CORBA::Boolean );
                                    flick_cdr_swap_decode_unsigned8(1, _local_a3, CORBA::Boolean );
                                    flick_iiopxx_decode_end_chunk(2);
                                    flick_iiopxx_decode_end_glob(2);
                                    flick_iiopxx_server_end_decode();
                                    flick_corbaxx_init_environment();
                                    _return = _local_this->test_boolean(_local_a1, _local_a2, _local_a3, _ev);
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_iiopxx_server_start_encode();
                                    {
                                      int _t282_temp_major;

                                      flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t282_temp_major);

                                      flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort617);
                                      flick_iiopxx_encode_new_glob(7, _flick_abort617);
                                      flick_iiopxx_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _t282_temp_major, int );
                                      flick_iiopxx_encode_end_chunk(4);
                                      switch (_t282_temp_major)
                                        {
                                        case CORBA::NO_EXCEPTION:
                                          {
                                            /* Begin encode phase on parameters */
                                            flick_iiopxx_encode_new_chunk(3);
                                            flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                            flick_cdr_encode_unsigned8(1, _local_a2, CORBA::Boolean );
                                            flick_cdr_encode_unsigned8(2, _local_a3, CORBA::Boolean );
                                            flick_iiopxx_encode_end_chunk(3);
                                            flick_iiopxx_encode_end_glob(7);
                                            break;
                                          }
                                        case CORBA::SYSTEM_EXCEPTION:
                                          {
                                            flick_iiopxx_encode_end_glob(7);
                                            flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort623);
                                            break;
                                            {
                                            _flick_abort623:
                                              goto _flick_abort617;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort624);
                                            flick_iiopxx_encode_end_glob(7);
                                            break;
                                            {
                                            _flick_abort624:
                                              goto _flick_abort617;
                                            }
                                          }
                                        }
                                    }
                                    flick_iiopxx_server_end_encode();
                                    break;
                                    {
                                    _flick_abort617:
                                      goto _flick_abort616;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort616:
                                    goto _flick_abort5;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                                  flick_iiopxx_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t283_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t283_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t283_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t284_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t284_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t284_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_test1 *_local_this;
                        unsigned int _t285_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t286_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr_swap, _flick_abort626);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t285_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(24);
                        flick_iiopxx_check_span(_t285_principal_len, _flick_abort626);
                        flick_iiopxx_decode_new_glob(_t285_principal_len);
                        flick_iiopxx_decode_new_chunk(_t285_principal_len);
                        flick_iiopxx_decode_end_chunk(_t285_principal_len);
                        flick_iiopxx_decode_end_glob(_t285_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort626);
                        flick_cdr_swap_decode_unsigned32(0, _t286_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t286_temp_string_len);
                        flick_iiopxx_check_span(1 * _t286_temp_string_len, _flick_abort626);
                        flick_iiopxx_decode_new_chunk(1 * _t286_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_type_id, CORBA::Char *);
                        flick_iiopxx_decode_end_chunk(1 * _t286_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t286_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t287_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t287_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort626);
                          flick_iiopxx_encode_new_glob(5, _flick_abort626);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t287_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t287_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort634);
                                break;
                                {
                                _flick_abort634:
                                  goto _flick_abort626;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort635);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort635:
                                  goto _flick_abort626;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort626:
                          goto _flick_abort625;
                        }
                      }
                      break;
                      {
                      _flick_abort625:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
          flick_iiopxx_decode_end_glob(24);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t72_switch_tag;

    flick_iiopxx_decode_new_glob(24);
    flick_iiopxx_check_span(16, _flick_abort5);
    flick_iiopxx_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t72_switch_tag, unsigned int );
    flick_iiopxx_decode_end_chunk(4);
    switch ((unsigned int )_t72_switch_tag)
      {
      case (unsigned int) 10:
        {
          unsigned int _t73_switch_tag;

          flick_iiopxx_check_span(16, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t73_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t73_switch_tag)
            {
            case /* test */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
              {
                unsigned int _t74_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t74_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t74_switch_tag)
                  {
                  case /* _voi */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601597289):
                    {
                      unsigned short int _t75_switch_tag;

                      flick_iiopxx_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t75_switch_tag, unsigned short int );
                      flick_iiopxx_decode_end_chunk(2);
                      switch ((unsigned short int )_t75_switch_tag)
                        {
                        case /* d */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25600):
                          {
                            {
                              POA_test1 *_local_this;
                              unsigned int _t76_principal_len;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort165);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t76_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(6);
                              flick_iiopxx_decode_end_glob(24);
                              flick_iiopxx_check_span(_t76_principal_len, _flick_abort165);
                              flick_iiopxx_decode_new_glob(_t76_principal_len);
                              flick_iiopxx_decode_new_chunk(_t76_principal_len);
                              flick_iiopxx_decode_end_chunk(_t76_principal_len);
                              flick_iiopxx_decode_end_glob(_t76_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _local_this->test_void(_ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t77_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t77_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort165);
                                flick_iiopxx_encode_new_glob(4, _flick_abort165);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t77_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t77_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(4);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort171);
                                      break;
                                      {
                                      _flick_abort171:
                                        goto _flick_abort165;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort172);
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort172:
                                        goto _flick_abort165;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort165:
                                goto _flick_abort164;
                              }
                            }
                            break;
                            {
                            _flick_abort164:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _lon */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600941934):
                    {
                      unsigned short int _t78_switch_tag;

                      flick_iiopxx_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t78_switch_tag, unsigned short int );
                      flick_iiopxx_decode_end_chunk(2);
                      switch ((unsigned short int )_t78_switch_tag)
                        {
                        case /* g */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 26368):
                          {
                            {
                              POA_test1 *_local_this;
                              unsigned int _t79_principal_len;
                              CORBA::Long _return;
                              CORBA::Long _local_a1;
                              CORBA::Long _local_a2;
                              CORBA::Long _local_a3;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort174);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t79_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(6);
                              flick_iiopxx_decode_end_glob(24);
                              flick_iiopxx_check_span(_t79_principal_len, _flick_abort174);
                              flick_iiopxx_decode_new_glob(_t79_principal_len);
                              flick_iiopxx_decode_new_chunk(_t79_principal_len);
                              flick_iiopxx_decode_end_chunk(_t79_principal_len);
                              flick_iiopxx_decode_end_glob(_t79_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiopxx_decode_new_glob(11);
                              flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                              flick_iiopxx_check_span(8, _flick_abort174);
                              flick_cdr_decode_signed32(0, _local_a1, CORBA::Long );
                              flick_cdr_decode_signed32(4, _local_a3, CORBA::Long );
                              flick_iiopxx_decode_end_chunk(8);
                              flick_iiopxx_decode_end_glob(11);
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->test_long(_local_a1, _local_a2, _local_a3, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t80_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t80_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort174);
                                flick_iiopxx_encode_new_glob(16, _flick_abort174);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t80_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t80_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_new_chunk(12);
                                      flick_cdr_encode_signed32(0, _return, CORBA::Long );
                                      flick_cdr_encode_signed32(4, _local_a2, CORBA::Long );
                                      flick_cdr_encode_signed32(8, _local_a3, CORBA::Long );
                                      flick_iiopxx_encode_end_chunk(12);
                                      flick_iiopxx_encode_end_glob(16);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(16);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort180);
                                      break;
                                      {
                                      _flick_abort180:
                                        goto _flick_abort174;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort181);
                                      flick_iiopxx_encode_end_glob(16);
                                      break;
                                      {
                                      _flick_abort181:
                                        goto _flick_abort174;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort174:
                                goto _flick_abort173;
                              }
                            }
                            break;
                            {
                            _flick_abort173:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _cha */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600350305):
                    {
                      unsigned short int _t81_switch_tag;

                      flick_iiopxx_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t81_switch_tag, unsigned short int );
                      flick_iiopxx_decode_end_chunk(2);
                      switch ((unsigned short int )_t81_switch_tag)
                        {
                        case /* r */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29184):
                          {
                            {
                              POA_test1 *_local_this;
                              unsigned int _t82_principal_len;
                              CORBA::Char _return;
                              CORBA::Char _local_a1;
                              CORBA::Char _local_a2;
                              CORBA::Char _local_a3;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort183);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t82_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(6);
                              flick_iiopxx_decode_end_glob(24);
                              flick_iiopxx_check_span(_t82_principal_len + 2, _flick_abort183);
                              flick_iiopxx_decode_new_glob(_t82_principal_len);
                              flick_iiopxx_decode_new_chunk(_t82_principal_len);
                              flick_iiopxx_decode_end_chunk(_t82_principal_len);
                              flick_iiopxx_decode_end_glob(_t82_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiopxx_decode_new_glob(2);
                              flick_iiopxx_decode_new_chunk(2);
                              flick_cdr_decode_char8(0, _local_a1, CORBA::Char );
                              flick_cdr_decode_char8(1, _local_a3, CORBA::Char );
                              flick_iiopxx_decode_end_chunk(2);
                              flick_iiopxx_decode_end_glob(2);
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->test_char(_local_a1, _local_a2, _local_a3, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t83_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t83_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort183);
                                flick_iiopxx_encode_new_glob(7, _flick_abort183);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t83_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t83_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_new_chunk(3);
                                      flick_cdr_encode_char8(0, _return, CORBA::Char );
                                      flick_cdr_encode_char8(1, _local_a2, CORBA::Char );
                                      flick_cdr_encode_char8(2, _local_a3, CORBA::Char );
                                      flick_iiopxx_encode_end_chunk(3);
                                      flick_iiopxx_encode_end_glob(7);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(7);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort189);
                                      break;
                                      {
                                      _flick_abort189:
                                        goto _flick_abort183;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort190);
                                      flick_iiopxx_encode_end_glob(7);
                                      break;
                                      {
                                      _flick_abort190:
                                        goto _flick_abort183;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort183:
                                goto _flick_abort182;
                              }
                            }
                            break;
                            {
                            _flick_abort182:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 11:
        {
          unsigned int _t84_switch_tag;

          flick_iiopxx_check_span(16, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t84_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t84_switch_tag)
            {
            case /* test */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
              {
                unsigned int _t85_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t85_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t85_switch_tag)
                  {
                  case /* _sho */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398895):
                    {
                      unsigned short int _t86_switch_tag;

                      flick_iiopxx_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t86_switch_tag, unsigned short int );
                      flick_iiopxx_decode_end_chunk(2);
                      switch ((unsigned short int )_t86_switch_tag)
                        {
                        case /* rt */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29300):
                          {
                            char _t87_switch_tag;

                            flick_iiopxx_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t87_switch_tag, char );
                            flick_iiopxx_decode_end_chunk(1);
                            switch ((char )_t87_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    POA_test1 *_local_this;
                                    unsigned int _t88_principal_len;
                                    CORBA::Short _return;
                                    CORBA::Short _local_a1;
                                    CORBA::Short _local_a2;
                                    CORBA::Short _local_a3;
                                    CORBA::Environment _ev;

                                    flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort192);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_iiopxx_decode_new_chunk(5);
                                    flick_cdr_decode_unsigned32(1, _t88_principal_len, unsigned int );
                                    flick_iiopxx_decode_end_chunk(5);
                                    flick_iiopxx_decode_end_glob(24);
                                    flick_iiopxx_check_span(_t88_principal_len, _flick_abort192);
                                    flick_iiopxx_decode_new_glob(_t88_principal_len);
                                    flick_iiopxx_decode_new_chunk(_t88_principal_len);
                                    flick_iiopxx_decode_end_chunk(_t88_principal_len);
                                    flick_iiopxx_decode_end_glob(_t88_principal_len);
                                    /* Begin decode phase on parameters */
                                    _return = 0;
                                    flick_iiopxx_decode_new_glob(5);
                                    flick_iiopxx_decode_new_chunk_align(4, 1, 0, 0);
                                    flick_iiopxx_check_span(4, _flick_abort192);
                                    flick_cdr_decode_signed16(0, _local_a1, CORBA::Short );
                                    flick_cdr_decode_signed16(2, _local_a3, CORBA::Short );
                                    flick_iiopxx_decode_end_chunk(4);
                                    flick_iiopxx_decode_end_glob(5);
                                    flick_iiopxx_server_end_decode();
                                    flick_corbaxx_init_environment();
                                    _return = _local_this->test_short(_local_a1, _local_a2, _local_a3, _ev);
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_iiopxx_server_start_encode();
                                    {
                                      int _t89_temp_major;

                                      flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t89_temp_major);

                                      flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort192);
                                      flick_iiopxx_encode_new_glob(10, _flick_abort192);
                                      flick_iiopxx_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _t89_temp_major, int );
                                      flick_iiopxx_encode_end_chunk(4);
                                      switch (_t89_temp_major)
                                        {
                                        case CORBA::NO_EXCEPTION:
                                          {
                                            /* Begin encode phase on parameters */
                                            flick_iiopxx_encode_new_chunk(6);
                                            flick_cdr_encode_signed16(0, _return, CORBA::Short );
                                            flick_cdr_encode_signed16(2, _local_a2, CORBA::Short );
                                            flick_cdr_encode_signed16(4, _local_a3, CORBA::Short );
                                            flick_iiopxx_encode_end_chunk(6);
                                            flick_iiopxx_encode_end_glob(10);
                                            break;
                                          }
                                        case CORBA::SYSTEM_EXCEPTION:
                                          {
                                            flick_iiopxx_encode_end_glob(10);
                                            flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort198);
                                            break;
                                            {
                                            _flick_abort198:
                                              goto _flick_abort192;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort199);
                                            flick_iiopxx_encode_end_glob(10);
                                            break;
                                            {
                                            _flick_abort199:
                                              goto _flick_abort192;
                                            }
                                          }
                                        }
                                    }
                                    flick_iiopxx_server_end_encode();
                                    break;
                                    {
                                    _flick_abort192:
                                      goto _flick_abort191;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort191:
                                    goto _flick_abort5;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                                  flick_iiopxx_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _ulo */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601530991):
                    {
                      unsigned short int _t90_switch_tag;

                      flick_iiopxx_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t90_switch_tag, unsigned short int );
                      flick_iiopxx_decode_end_chunk(2);
                      switch ((unsigned short int )_t90_switch_tag)
                        {
                        case /* ng */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28263):
                          {
                            char _t91_switch_tag;

                            flick_iiopxx_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t91_switch_tag, char );
                            flick_iiopxx_decode_end_chunk(1);
                            switch ((char )_t91_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    POA_test1 *_local_this;
                                    unsigned int _t92_principal_len;
                                    ::test1::ulong _return;
                                    ::test1::ulong _local_a1;
                                    ::test1::ulong _local_a2;
                                    ::test1::ulong _local_a3;
                                    CORBA::Environment _ev;

                                    flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort201);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_iiopxx_decode_new_chunk(5);
                                    flick_cdr_decode_unsigned32(1, _t92_principal_len, unsigned int );
                                    flick_iiopxx_decode_end_chunk(5);
                                    flick_iiopxx_decode_end_glob(24);
                                    flick_iiopxx_check_span(_t92_principal_len, _flick_abort201);
                                    flick_iiopxx_decode_new_glob(_t92_principal_len);
                                    flick_iiopxx_decode_new_chunk(_t92_principal_len);
                                    flick_iiopxx_decode_end_chunk(_t92_principal_len);
                                    flick_iiopxx_decode_end_glob(_t92_principal_len);
                                    /* Begin decode phase on parameters */
                                    flick_iiopxx_decode_new_glob(11);
                                    flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                                    flick_iiopxx_check_span(8, _flick_abort201);
                                    flick_cdr_decode_unsigned32(0, _local_a1, CORBA::ULong );
                                    flick_cdr_decode_unsigned32(4, _local_a3, CORBA::ULong );
                                    flick_iiopxx_decode_end_chunk(8);
                                    flick_iiopxx_decode_end_glob(11);
                                    flick_iiopxx_server_end_decode();
                                    flick_corbaxx_init_environment();
                                    _return = _local_this->test_ulong(_local_a1, _local_a2, _local_a3, _ev);
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_iiopxx_server_start_encode();
                                    {
                                      int _t93_temp_major;

                                      flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t93_temp_major);

                                      flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort201);
                                      flick_iiopxx_encode_new_glob(16, _flick_abort201);
                                      flick_iiopxx_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _t93_temp_major, int );
                                      flick_iiopxx_encode_end_chunk(4);
                                      switch (_t93_temp_major)
                                        {
                                        case CORBA::NO_EXCEPTION:
                                          {
                                            /* Begin encode phase on parameters */
                                            flick_iiopxx_encode_new_chunk(12);
                                            flick_cdr_encode_unsigned32(0, _return, CORBA::ULong );
                                            flick_cdr_encode_unsigned32(4, _local_a2, CORBA::ULong );
                                            flick_cdr_encode_unsigned32(8, _local_a3, CORBA::ULong );
                                            flick_iiopxx_encode_end_chunk(12);
                                            flick_iiopxx_encode_end_glob(16);
                                            break;
                                          }
                                        case CORBA::SYSTEM_EXCEPTION:
                                          {
                                            flick_iiopxx_encode_end_glob(16);
                                            flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort207);
                                            break;
                                            {
                                            _flick_abort207:
                                              goto _flick_abort201;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort208);
                                            flick_iiopxx_encode_end_glob(16);
                                            break;
                                            {
                                            _flick_abort208:
                                              goto _flick_abort201;
                                            }
                                          }
                                        }
                                    }
                                    flick_iiopxx_server_end_encode();
                                    break;
                                    {
                                    _flick_abort201:
                                      goto _flick_abort200;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort200:
                                    goto _flick_abort5;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                                  flick_iiopxx_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _flo */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600547951):
                    {
                      unsigned short int _t94_switch_tag;

                      flick_iiopxx_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t94_switch_tag, unsigned short int );
                      flick_iiopxx_decode_end_chunk(2);
                      switch ((unsigned short int )_t94_switch_tag)
                        {
                        case /* at */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24948):
                          {
                            char _t95_switch_tag;

                            flick_iiopxx_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t95_switch_tag, char );
                            flick_iiopxx_decode_end_chunk(1);
                            switch ((char )_t95_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    POA_test1 *_local_this;
                                    unsigned int _t96_principal_len;
                                    CORBA::Float _return;
                                    CORBA::Float _local_a1;
                                    CORBA::Float _local_a2;
                                    CORBA::Float _local_a3;
                                    CORBA::Environment _ev;

                                    flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort210);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_iiopxx_decode_new_chunk(5);
                                    flick_cdr_decode_unsigned32(1, _t96_principal_len, unsigned int );
                                    flick_iiopxx_decode_end_chunk(5);
                                    flick_iiopxx_decode_end_glob(24);
                                    flick_iiopxx_check_span(_t96_principal_len, _flick_abort210);
                                    flick_iiopxx_decode_new_glob(_t96_principal_len);
                                    flick_iiopxx_decode_new_chunk(_t96_principal_len);
                                    flick_iiopxx_decode_end_chunk(_t96_principal_len);
                                    flick_iiopxx_decode_end_glob(_t96_principal_len);
                                    /* Begin decode phase on parameters */
                                    _return = 0.000000;
                                    flick_iiopxx_decode_new_glob(11);
                                    flick_iiopxx_decode_new_chunk_align(8, 2, 0, 0);
                                    flick_iiopxx_check_span(8, _flick_abort210);
                                    flick_cdr_decode_float32(0, _local_a1, CORBA::Float );
                                    flick_cdr_decode_float32(4, _local_a3, CORBA::Float );
                                    flick_iiopxx_decode_end_chunk(8);
                                    flick_iiopxx_decode_end_glob(11);
                                    flick_iiopxx_server_end_decode();
                                    flick_corbaxx_init_environment();
                                    _return = _local_this->test_float(_local_a1, _local_a2, _local_a3, _ev);
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_iiopxx_server_start_encode();
                                    {
                                      int _t97_temp_major;

                                      flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t97_temp_major);

                                      flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort210);
                                      flick_iiopxx_encode_new_glob(16, _flick_abort210);
                                      flick_iiopxx_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _t97_temp_major, int );
                                      flick_iiopxx_encode_end_chunk(4);
                                      switch (_t97_temp_major)
                                        {
                                        case CORBA::NO_EXCEPTION:
                                          {
                                            /* Begin encode phase on parameters */
                                            flick_iiopxx_encode_new_chunk(12);
                                            flick_cdr_encode_float32(0, _return, CORBA::Float );
                                            flick_cdr_encode_float32(4, _local_a2, CORBA::Float );
                                            flick_cdr_encode_float32(8, _local_a3, CORBA::Float );
                                            flick_iiopxx_encode_end_chunk(12);
                                            flick_iiopxx_encode_end_glob(16);
                                            break;
                                          }
                                        case CORBA::SYSTEM_EXCEPTION:
                                          {
                                            flick_iiopxx_encode_end_glob(16);
                                            flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort216);
                                            break;
                                            {
                                            _flick_abort216:
                                              goto _flick_abort210;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort217);
                                            flick_iiopxx_encode_end_glob(16);
                                            break;
                                            {
                                            _flick_abort217:
                                              goto _flick_abort210;
                                            }
                                          }
                                        }
                                    }
                                    flick_iiopxx_server_end_encode();
                                    break;
                                    {
                                    _flick_abort210:
                                      goto _flick_abort209;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort209:
                                    goto _flick_abort5;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                                  flick_iiopxx_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _oct */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601135476):
                    {
                      unsigned short int _t98_switch_tag;

                      flick_iiopxx_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t98_switch_tag, unsigned short int );
                      flick_iiopxx_decode_end_chunk(2);
                      switch ((unsigned short int )_t98_switch_tag)
                        {
                        case /* et */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25972):
                          {
                            char _t99_switch_tag;

                            flick_iiopxx_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t99_switch_tag, char );
                            flick_iiopxx_decode_end_chunk(1);
                            switch ((char )_t99_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    POA_test1 *_local_this;
                                    unsigned int _t100_principal_len;
                                    CORBA::Octet _return;
                                    CORBA::Octet _local_a1;
                                    CORBA::Octet _local_a2;
                                    CORBA::Octet _local_a3;
                                    CORBA::Environment _ev;

                                    flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort219);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_iiopxx_decode_new_chunk(5);
                                    flick_cdr_decode_unsigned32(1, _t100_principal_len, unsigned int );
                                    flick_iiopxx_decode_end_chunk(5);
                                    flick_iiopxx_decode_end_glob(24);
                                    flick_iiopxx_check_span(_t100_principal_len + 2, _flick_abort219);
                                    flick_iiopxx_decode_new_glob(_t100_principal_len);
                                    flick_iiopxx_decode_new_chunk(_t100_principal_len);
                                    flick_iiopxx_decode_end_chunk(_t100_principal_len);
                                    flick_iiopxx_decode_end_glob(_t100_principal_len);
                                    /* Begin decode phase on parameters */
                                    _return = 0;
                                    flick_iiopxx_decode_new_glob(2);
                                    flick_iiopxx_decode_new_chunk(2);
                                    flick_cdr_decode_unsigned8(0, _local_a1, CORBA::Octet );
                                    flick_cdr_decode_unsigned8(1, _local_a3, CORBA::Octet );
                                    flick_iiopxx_decode_end_chunk(2);
                                    flick_iiopxx_decode_end_glob(2);
                                    flick_iiopxx_server_end_decode();
                                    flick_corbaxx_init_environment();
                                    _return = _local_this->test_octet(_local_a1, _local_a2, _local_a3, _ev);
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_iiopxx_server_start_encode();
                                    {
                                      int _t101_temp_major;

                                      flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t101_temp_major);

                                      flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort219);
                                      flick_iiopxx_encode_new_glob(7, _flick_abort219);
                                      flick_iiopxx_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _t101_temp_major, int );
                                      flick_iiopxx_encode_end_chunk(4);
                                      switch (_t101_temp_major)
                                        {
                                        case CORBA::NO_EXCEPTION:
                                          {
                                            /* Begin encode phase on parameters */
                                            flick_iiopxx_encode_new_chunk(3);
                                            flick_cdr_encode_unsigned8(0, _return, CORBA::Octet );
                                            flick_cdr_encode_unsigned8(1, _local_a2, CORBA::Octet );
                                            flick_cdr_encode_unsigned8(2, _local_a3, CORBA::Octet );
                                            flick_iiopxx_encode_end_chunk(3);
                                            flick_iiopxx_encode_end_glob(7);
                                            break;
                                          }
                                        case CORBA::SYSTEM_EXCEPTION:
                                          {
                                            flick_iiopxx_encode_end_glob(7);
                                            flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort225);
                                            break;
                                            {
                                            _flick_abort225:
                                              goto _flick_abort219;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort226);
                                            flick_iiopxx_encode_end_glob(7);
                                            break;
                                            {
                                            _flick_abort226:
                                              goto _flick_abort219;
                                            }
                                          }
                                        }
                                    }
                                    flick_iiopxx_server_end_encode();
                                    break;
                                    {
                                    _flick_abort219:
                                      goto _flick_abort218;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort218:
                                    goto _flick_abort5;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                                  flick_iiopxx_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _thr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601464434):
                    {
                      unsigned short int _t102_switch_tag;

                      flick_iiopxx_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t102_switch_tag, unsigned short int );
                      flick_iiopxx_decode_end_chunk(2);
                      switch ((unsigned short int )_t102_switch_tag)
                        {
                        case /* ow */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 28535):
                          {
                            char _t103_switch_tag;

                            flick_iiopxx_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t103_switch_tag, char );
                            flick_iiopxx_decode_end_chunk(1);
                            switch ((char )_t103_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    POA_test1 *_local_this;
                                    unsigned int _t104_principal_len;
                                    CORBA::Long _local_case_num;
                                    CORBA::Environment _ev;

                                    flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort228);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_iiopxx_decode_new_chunk(5);
                                    flick_cdr_decode_unsigned32(1, _t104_principal_len, unsigned int );
                                    flick_iiopxx_decode_end_chunk(5);
                                    flick_iiopxx_decode_end_glob(24);
                                    flick_iiopxx_check_span(_t104_principal_len, _flick_abort228);
                                    flick_iiopxx_decode_new_glob(_t104_principal_len);
                                    flick_iiopxx_decode_new_chunk(_t104_principal_len);
                                    flick_iiopxx_decode_end_chunk(_t104_principal_len);
                                    flick_iiopxx_decode_end_glob(_t104_principal_len);
                                    /* Begin decode phase on parameters */
                                    flick_iiopxx_decode_new_glob(7);
                                    flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                                    flick_iiopxx_check_span(4, _flick_abort228);
                                    flick_cdr_decode_signed32(0, _local_case_num, CORBA::Long );
                                    flick_iiopxx_decode_end_chunk(4);
                                    flick_iiopxx_decode_end_glob(7);
                                    flick_iiopxx_server_end_decode();
                                    flick_corbaxx_init_environment();
                                    _local_this->test_throw(_local_case_num, _ev);
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_iiopxx_server_start_encode();
                                    {
                                      int _t105_temp_major;

                                      flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t105_temp_major);

                                      flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort228);
                                      flick_iiopxx_encode_new_glob(32, _flick_abort228);
                                      flick_iiopxx_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _t105_temp_major, int );
                                      flick_iiopxx_encode_end_chunk(4);
                                      switch (_t105_temp_major)
                                        {
                                        case CORBA::NO_EXCEPTION:
                                          {
                                            /* Begin encode phase on parameters */
                                            flick_iiopxx_encode_end_glob(32);
                                            break;
                                          }
                                        case CORBA::SYSTEM_EXCEPTION:
                                          {
                                            flick_iiopxx_encode_end_glob(32);
                                            flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort239);
                                            break;
                                            {
                                            _flick_abort239:
                                              goto _flick_abort228;
                                            }
                                          }
                                        default:
                                          {
                                            flick_corbaxx_env _t107_temp_env;

                                            flick_corbaxx_env_to_exception(CORBA::Environment &, _ev, flick_corbaxx_env , _t107_temp_env);

                                            switch ((unsigned int )(1+strlen(_t107_temp_env._id)))
                                              {
                                              case (unsigned int) 17:
                                                {
                                                  switch (*(unsigned int *)(_t107_temp_env._id + 0))
                                                    {
                                                    case /* IDL: */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1229212730):
                                                      {
                                                        switch (*(unsigned int *)(_t107_temp_env._id + 4))
                                                          {
                                                          case /* test */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
                                                            {
                                                              switch (*(unsigned int *)(_t107_temp_env._id + 8))
                                                                {
                                                                case /* 1/x1 */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 825194545):
                                                                  {
                                                                    switch (*(unsigned int *)(_t107_temp_env._id + 12))
                                                                      {
                                                                      case /* :1.0 */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 976301616):
                                                                        {
                                                                          switch (*(char *)(_t107_temp_env._id + 16))
                                                                            {
                                                                            case 0:
                                                                              {
                                                                                flick_iiopxx_encode_new_chunk(28);
                                                                                flick_cdr_encode_unsigned32(0, 17, flick_unsigned32_t );
                                                                                flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                                                flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                                                flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                                                flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                                                flick_cdr_encode_char8(8, 't', flick_char8_t );
                                                                                flick_cdr_encode_char8(9, 'e', flick_char8_t );
                                                                                flick_cdr_encode_char8(10, 's', flick_char8_t );
                                                                                flick_cdr_encode_char8(11, 't', flick_char8_t );
                                                                                flick_cdr_encode_char8(12, '1', flick_char8_t );
                                                                                flick_cdr_encode_char8(13, '/', flick_char8_t );
                                                                                flick_cdr_encode_char8(14, 'x', flick_char8_t );
                                                                                flick_cdr_encode_char8(15, '1', flick_char8_t );
                                                                                flick_cdr_encode_char8(16, ':', flick_char8_t );
                                                                                flick_cdr_encode_char8(17, '1', flick_char8_t );
                                                                                flick_cdr_encode_char8(18, '.', flick_char8_t );
                                                                                flick_cdr_encode_char8(19, '0', flick_char8_t );
                                                                                flick_cdr_encode_char8(20, 0, flick_char8_t );
                                                                                flick_cdr_encode_signed32(24, ((test1::x1 *)(_t107_temp_env._user_except))->case_num, CORBA::Long );
                                                                                flick_iiopxx_encode_end_chunk(28);
                                                                                flick_iiopxx_encode_end_glob(32);
                                                                                break;
                                                                              }
                                                                            default:
                                                                              {
                                                                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort240);
                                                                                flick_iiopxx_encode_end_glob(32);
                                                                                break;
                                                                              }
                                                                            }
                                                                          break;
                                                                        }
                                                                      default:
                                                                        {
                                                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort240);
                                                                          flick_iiopxx_encode_end_glob(32);
                                                                          break;
                                                                        }
                                                                      }
                                                                    break;
                                                                  }
                                                                case /* 1/x2 */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 825194546):
                                                                  {
                                                                    switch (*(unsigned int *)(_t107_temp_env._id + 12))
                                                                      {
                                                                      case /* :1.0 */ flick_mem_convert_big_endian_to_local_unsigned32((unsigned int) 976301616):
                                                                        {
                                                                          switch (*(char *)(_t107_temp_env._id + 16))
                                                                            {
                                                                            case 0:
                                                                              {
                                                                                flick_iiopxx_encode_new_chunk(21);
                                                                                flick_cdr_encode_unsigned32(0, 17, flick_unsigned32_t );
                                                                                flick_cdr_encode_char8(4, 'I', flick_char8_t );
                                                                                flick_cdr_encode_char8(5, 'D', flick_char8_t );
                                                                                flick_cdr_encode_char8(6, 'L', flick_char8_t );
                                                                                flick_cdr_encode_char8(7, ':', flick_char8_t );
                                                                                flick_cdr_encode_char8(8, 't', flick_char8_t );
                                                                                flick_cdr_encode_char8(9, 'e', flick_char8_t );
                                                                                flick_cdr_encode_char8(10, 's', flick_char8_t );
                                                                                flick_cdr_encode_char8(11, 't', flick_char8_t );
                                                                                flick_cdr_encode_char8(12, '1', flick_char8_t );
                                                                                flick_cdr_encode_char8(13, '/', flick_char8_t );
                                                                                flick_cdr_encode_char8(14, 'x', flick_char8_t );
                                                                                flick_cdr_encode_char8(15, '2', flick_char8_t );
                                                                                flick_cdr_encode_char8(16, ':', flick_char8_t );
                                                                                flick_cdr_encode_char8(17, '1', flick_char8_t );
                                                                                flick_cdr_encode_char8(18, '.', flick_char8_t );
                                                                                flick_cdr_encode_char8(19, '0', flick_char8_t );
                                                                                flick_cdr_encode_char8(20, 0, flick_char8_t );
                                                                                flick_iiopxx_encode_end_chunk(21);
                                                                                flick_iiopxx_encode_end_glob(32);
                                                                                flick_cdrxx_encode_IOR(iiopxx, ((test1::x2 *)(_t107_temp_env._user_except))->obj, 0, CORBA::Object , _flick_abort245);
                                                                                flick_iiopxx_encode_new_glob(7, _flick_abort245);
                                                                                flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                                                                flick_cdr_encode_signed32(0, ((test1::x2 *)(_t107_temp_env._user_except))->value, CORBA::Long );
                                                                                flick_iiopxx_encode_end_chunk(4);
                                                                                flick_iiopxx_encode_end_glob(7);
                                                                                break;
                                                                                {
                                                                                _flick_abort245:
                                                                                  goto _flick_abort240;
                                                                                }
                                                                              }
                                                                            default:
                                                                              {
                                                                                flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort240);
                                                                                flick_iiopxx_encode_end_glob(32);
                                                                                break;
                                                                              }
                                                                            }
                                                                          break;
                                                                        }
                                                                      default:
                                                                        {
                                                                          flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort240);
                                                                          flick_iiopxx_encode_end_glob(32);
                                                                          break;
                                                                        }
                                                                      }
                                                                    break;
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort240);
                                                                    flick_iiopxx_encode_end_glob(32);
                                                                    break;
                                                                  }
                                                                }
                                                              break;
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort240);
                                                              flick_iiopxx_encode_end_glob(32);
                                                              break;
                                                            }
                                                          }
                                                        break;
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort240);
                                                        flick_iiopxx_encode_end_glob(32);
                                                        break;
                                                      }
                                                    }
                                                  break;
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VOID_UNION, _flick_abort240);
                                                  flick_iiopxx_encode_end_glob(32);
                                                  break;
                                                }
                                              }
                                            break;
                                            {
                                            _flick_abort240:
                                              goto _flick_abort228;
                                            }
                                          }
                                        }
                                    }
                                    flick_iiopxx_server_end_encode();
                                    break;
                                    {
                                    _flick_abort228:
                                      goto _flick_abort227;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort227:
                                    goto _flick_abort5;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                                  flick_iiopxx_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 12:
        {
          unsigned int _t108_switch_tag;

          flick_iiopxx_check_span(16, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t108_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t108_switch_tag)
            {
            case /* test */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
              {
                unsigned int _t109_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t109_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t109_switch_tag)
                  {
                  case /* _ush */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601532776):
                    {
                      unsigned int _t110_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t110_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t110_switch_tag)
                        {
                        case /* ort */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869771776):
                          {
                            {
                              POA_test1 *_local_this;
                              unsigned int _t111_principal_len;
                              ::test1::ushort _return;
                              ::test1::ushort _local_a1;
                              ::test1::ushort _local_a2;
                              ::test1::ushort _local_a3;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort247);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t111_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(4);
                              flick_iiopxx_decode_end_glob(24);
                              flick_iiopxx_check_span(_t111_principal_len, _flick_abort247);
                              flick_iiopxx_decode_new_glob(_t111_principal_len);
                              flick_iiopxx_decode_new_chunk(_t111_principal_len);
                              flick_iiopxx_decode_end_chunk(_t111_principal_len);
                              flick_iiopxx_decode_end_glob(_t111_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiopxx_decode_new_glob(5);
                              flick_iiopxx_decode_new_chunk_align(4, 1, 0, 0);
                              flick_iiopxx_check_span(4, _flick_abort247);
                              flick_cdr_decode_unsigned16(0, _local_a1, CORBA::UShort );
                              flick_cdr_decode_unsigned16(2, _local_a3, CORBA::UShort );
                              flick_iiopxx_decode_end_chunk(4);
                              flick_iiopxx_decode_end_glob(5);
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->test_ushort(_local_a1, _local_a2, _local_a3, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t112_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t112_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort247);
                                flick_iiopxx_encode_new_glob(10, _flick_abort247);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t112_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t112_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_new_chunk(6);
                                      flick_cdr_encode_unsigned16(0, _return, CORBA::UShort );
                                      flick_cdr_encode_unsigned16(2, _local_a2, CORBA::UShort );
                                      flick_cdr_encode_unsigned16(4, _local_a3, CORBA::UShort );
                                      flick_iiopxx_encode_end_chunk(6);
                                      flick_iiopxx_encode_end_glob(10);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(10);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort253);
                                      break;
                                      {
                                      _flick_abort253:
                                        goto _flick_abort247;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort254);
                                      flick_iiopxx_encode_end_glob(10);
                                      break;
                                      {
                                      _flick_abort254:
                                        goto _flick_abort247;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort247:
                                goto _flick_abort246;
                              }
                            }
                            break;
                            {
                            _flick_abort246:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _dou */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600417653):
                    {
                      unsigned int _t113_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t113_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t113_switch_tag)
                        {
                        case /* ble */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651270912):
                          {
                            {
                              POA_test1 *_local_this;
                              unsigned int _t114_principal_len;
                              CORBA::Double _return;
                              CORBA::Double _local_a1;
                              CORBA::Double _local_a2;
                              CORBA::Double _local_a3;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort256);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t114_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(4);
                              flick_iiopxx_decode_end_glob(24);
                              flick_iiopxx_check_span(_t114_principal_len, _flick_abort256);
                              flick_iiopxx_decode_new_glob(_t114_principal_len);
                              flick_iiopxx_decode_new_chunk(_t114_principal_len);
                              flick_iiopxx_decode_end_chunk(_t114_principal_len);
                              flick_iiopxx_decode_end_glob(_t114_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0.000000;
                              flick_iiopxx_decode_new_glob(23);
                              flick_iiopxx_decode_new_chunk_align(16, 3, 0, 0);
                              flick_iiopxx_check_span(16, _flick_abort256);
                              flick_cdr_decode_float64(0, _local_a1, CORBA::Double );
                              flick_cdr_decode_float64(8, _local_a3, CORBA::Double );
                              flick_iiopxx_decode_end_chunk(16);
                              flick_iiopxx_decode_end_glob(23);
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->test_double(_local_a1, _local_a2, _local_a3, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t115_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t115_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort256);
                                flick_iiopxx_encode_new_glob(32, _flick_abort256);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t115_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t115_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_new_chunk_align(24, 3, 2, 0);
                                      flick_cdr_encode_float64(0, _return, CORBA::Double );
                                      flick_cdr_encode_float64(8, _local_a2, CORBA::Double );
                                      flick_cdr_encode_float64(16, _local_a3, CORBA::Double );
                                      flick_iiopxx_encode_end_chunk(24);
                                      flick_iiopxx_encode_end_glob(32);
                                      break;
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(32);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort262);
                                      break;
                                      {
                                      _flick_abort262:
                                        goto _flick_abort256;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort263);
                                      flick_iiopxx_encode_end_glob(32);
                                      break;
                                      {
                                      _flick_abort263:
                                        goto _flick_abort256;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort256:
                                goto _flick_abort255;
                              }
                            }
                            break;
                            {
                            _flick_abort255:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _str */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601401970):
                    {
                      unsigned int _t116_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t116_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t116_switch_tag)
                        {
                        case /* ing */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768843008):
                          {
                            {
                              POA_test1 *_local_this;
                              unsigned int _t117_principal_len;
                              char *_return;
                              char *_local_a1;
                              flick_unsigned32_t _t118_temp_string_len;
                              char *_local_a2;
                              char *_local_a3;
                              flick_unsigned32_t _t119_temp_string_len;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort265);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t117_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(4);
                              flick_iiopxx_decode_end_glob(24);
                              flick_iiopxx_check_span(_t117_principal_len, _flick_abort265);
                              flick_iiopxx_decode_new_glob(_t117_principal_len);
                              flick_iiopxx_decode_new_chunk(_t117_principal_len);
                              flick_iiopxx_decode_end_chunk(_t117_principal_len);
                              flick_iiopxx_decode_end_glob(_t117_principal_len);
                              /* Begin decode phase on parameters */
                              _return = 0;
                              flick_iiopxx_decode_new_glob(7);
                              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiopxx_check_span(4, _flick_abort265);
                              flick_cdr_decode_unsigned32(0, _t118_temp_string_len, flick_unsigned32_t );
                              flick_iiopxx_decode_end_chunk(4);
                              flick_iiopxx_decode_end_glob(7);
                              flick_iiopxx_decode_new_glob(1 * _t118_temp_string_len);
                              flick_iiopxx_check_span(1 * _t118_temp_string_len, _flick_abort265);
                              flick_iiopxx_decode_new_chunk(1 * _t118_temp_string_len);
                              flick_cdr_decode_msgptr(0, _local_a1, CORBA::Char *);
                              flick_iiopxx_decode_end_chunk(1 * _t118_temp_string_len);
                              flick_iiopxx_decode_end_glob(1 * _t118_temp_string_len);
                              flick_iiopxx_decode_new_glob(7);
                              flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                              flick_iiopxx_check_span(4, _flick_abort265);
                              flick_cdr_decode_unsigned32(0, _t119_temp_string_len, flick_unsigned32_t );
                              flick_iiopxx_decode_end_chunk(4);
                              flick_iiopxx_decode_end_glob(7);
                              flick_iiopxx_decode_new_glob(1 * _t119_temp_string_len);
                              flick_iiopxx_check_span(1 * _t119_temp_string_len, _flick_abort265);
                              flick_iiopxx_decode_new_chunk(1 * _t119_temp_string_len);
                              {
                                CORBA::Char *_t_alloc_ptr;

                                _t_alloc_ptr = (CORBA::Char *)(CORBA_string_flick_alloc(_t119_temp_string_len * sizeof(CORBA::Char )));
                                if (!_t_alloc_ptr)
                                  flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort265);
                                _local_a3 = _t_alloc_ptr;
                              }
                              flick_cdr_decode_bcopy(0, _local_a3, 1 * _t119_temp_string_len);
                              flick_iiopxx_decode_end_chunk(1 * _t119_temp_string_len);
                              flick_iiopxx_decode_end_glob(1 * _t119_temp_string_len);
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->test_string(_local_a1, _local_a2, _local_a3, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t120_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t120_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort270);
                                flick_iiopxx_encode_new_glob(8, _flick_abort270);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t120_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t120_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      flick_unsigned32_t _t124_temp_string_len;
                                      flick_unsigned32_t _t125_temp_string_len;
                                      flick_unsigned32_t _t126_temp_string_len;

                                      flick_cdr_stringlen(CORBA::Char *, _return, flick_unsigned32_t , _t124_temp_string_len);
                                      flick_cdr_stringlen(CORBA::Char *, _local_a2, flick_unsigned32_t , _t125_temp_string_len);
                                      flick_cdr_stringlen(CORBA::Char *, _local_a3, flick_unsigned32_t , _t126_temp_string_len);

                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_new_chunk(4);
                                      flick_cdr_encode_unsigned32(0, _t124_temp_string_len, flick_unsigned32_t );
                                      flick_iiopxx_encode_end_chunk(4);
                                      flick_iiopxx_encode_end_glob(8);
                                      flick_iiopxx_encode_new_glob(1 * _t124_temp_string_len, _flick_abort281);
                                      flick_iiopxx_encode_new_chunk(1 * _t124_temp_string_len);
                                      flick_cdr_encode_bcopy(0, _return, 1 * _t124_temp_string_len);
                                      CORBA_string_flick_free(_return);
                                      _return = 0;
                                      flick_iiopxx_encode_end_chunk(1 * _t124_temp_string_len);
                                      flick_iiopxx_encode_end_glob(1 * _t124_temp_string_len);
                                      flick_iiopxx_encode_new_glob(7, _flick_abort281);
                                      flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                      flick_cdr_encode_unsigned32(0, _t125_temp_string_len, flick_unsigned32_t );
                                      flick_iiopxx_encode_end_chunk(4);
                                      flick_iiopxx_encode_end_glob(7);
                                      flick_iiopxx_encode_new_glob(1 * _t125_temp_string_len, _flick_abort281);
                                      flick_iiopxx_encode_new_chunk(1 * _t125_temp_string_len);
                                      flick_cdr_encode_bcopy(0, _local_a2, 1 * _t125_temp_string_len);
                                      CORBA_string_flick_free(_local_a2);
                                      _local_a2 = 0;
                                      flick_iiopxx_encode_end_chunk(1 * _t125_temp_string_len);
                                      flick_iiopxx_encode_end_glob(1 * _t125_temp_string_len);
                                      flick_iiopxx_encode_new_glob(7, _flick_abort281);
                                      flick_iiopxx_encode_new_chunk_align(4, 2, 0, 0);
                                      flick_cdr_encode_unsigned32(0, _t126_temp_string_len, flick_unsigned32_t );
                                      flick_iiopxx_encode_end_chunk(4);
                                      flick_iiopxx_encode_end_glob(7);
                                      flick_iiopxx_encode_new_glob(1 * _t126_temp_string_len, _flick_abort281);
                                      flick_iiopxx_encode_new_chunk(1 * _t126_temp_string_len);
                                      flick_cdr_encode_bcopy(0, _local_a3, 1 * _t126_temp_string_len);
                                      CORBA_string_flick_free(_local_a3);
                                      _local_a3 = 0;
                                      flick_iiopxx_encode_end_chunk(1 * _t126_temp_string_len);
                                      flick_iiopxx_encode_end_glob(1 * _t126_temp_string_len);
                                      break;
                                      {
                                      _flick_abort281:
                                        goto _flick_abort270;
                                      }
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(8);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort288);
                                      break;
                                      {
                                      _flick_abort288:
                                        goto _flick_abort270;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort289);
                                      flick_iiopxx_encode_end_glob(8);
                                      break;
                                      {
                                      _flick_abort289:
                                        goto _flick_abort270;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort270:
                                CORBA_string_flick_free(_local_a3);
                              _flick_abort265:
                                goto _flick_abort264;
                              }
                            }
                            break;
                            {
                            _flick_abort264:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _Obj */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1599038058):
                    {
                      unsigned int _t127_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t127_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t127_switch_tag)
                        {
                        case /* ect */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1701016576):
                          {
                            {
                              POA_test1 *_local_this;
                              unsigned int _t128_principal_len;
                              ::CORBA::Object_ptr _return;
                              ::CORBA::Object_ptr _local_a1;
                              ::CORBA::Object_ptr _local_a2;
                              ::CORBA::Object_ptr _local_a3;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort291);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t128_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(4);
                              flick_iiopxx_decode_end_glob(24);
                              flick_iiopxx_check_span(_t128_principal_len, _flick_abort291);
                              flick_iiopxx_decode_new_glob(_t128_principal_len);
                              flick_iiopxx_decode_new_chunk(_t128_principal_len);
                              flick_iiopxx_decode_end_chunk(_t128_principal_len);
                              flick_iiopxx_decode_end_glob(_t128_principal_len);
                              /* Begin decode phase on parameters */
                              flick_cdrxx_decode_IOR(iiopxx, _local_a1, 1, CORBA::Object , _flick_abort291);
                              flick_iiopxx_mark_port_for_cleanup(_local_a1, 1);
                              flick_cdrxx_decode_IOR(iiopxx, _local_a3, 1, CORBA::Object , _flick_abort291);
                              flick_iiopxx_mark_port_for_cleanup(_local_a3, 1);
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _return = _local_this->test_Object(_local_a1, _local_a2, _local_a3, _ev);
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_iiopxx_server_start_encode();
                              {
                                int _t129_temp_major;

                                flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t129_temp_major);

                                flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort291);
                                flick_iiopxx_encode_new_glob(4, _flick_abort291);
                                flick_iiopxx_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _t129_temp_major, int );
                                flick_iiopxx_encode_end_chunk(4);
                                switch (_t129_temp_major)
                                  {
                                  case CORBA::NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_iiopxx_encode_end_glob(4);
                                      flick_cdrxx_encode_IOR(iiopxx, _return, 0, CORBA::Object , _flick_abort296);
                                      CORBA_object_flick_free(_return);
                                      _return = 0;
                                      flick_cdrxx_encode_IOR(iiopxx, _local_a2, 0, CORBA::Object , _flick_abort296);
                                      CORBA_object_flick_free(_local_a2);
                                      _local_a2 = 0;
                                      flick_cdrxx_encode_IOR(iiopxx, _local_a3, 0, CORBA::Object , _flick_abort296);
                                      CORBA_object_flick_free(_local_a3);
                                      _local_a3 = 0;
                                      break;
                                      {
                                      _flick_abort296:
                                        goto _flick_abort291;
                                      }
                                    }
                                  case CORBA::SYSTEM_EXCEPTION:
                                    {
                                      flick_iiopxx_encode_end_glob(4);
                                      flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort297);
                                      break;
                                      {
                                      _flick_abort297:
                                        goto _flick_abort291;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort298);
                                      flick_iiopxx_encode_end_glob(4);
                                      break;
                                      {
                                      _flick_abort298:
                                        goto _flick_abort291;
                                      }
                                    }
                                  }
                              }
                              flick_iiopxx_server_end_encode();
                              break;
                              {
                              _flick_abort291:
                                goto _flick_abort290;
                              }
                            }
                            break;
                            {
                            _flick_abort290:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            case /* plea */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1886152033):
              {
                unsigned int _t130_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t130_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t130_switch_tag)
                  {
                  case /* se_e */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1936023397):
                    {
                      unsigned int _t131_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t131_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t131_switch_tag)
                        {
                        case /* xit */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 2020176896):
                          {
                            {
                              POA_test1 *_local_this;
                              unsigned int _t132_principal_len;
                              CORBA::Environment _ev;

                              flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort300);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_iiopxx_decode_new_chunk(4);
                              flick_cdr_decode_unsigned32(0, _t132_principal_len, unsigned int );
                              flick_iiopxx_decode_end_chunk(4);
                              flick_iiopxx_decode_end_glob(24);
                              flick_iiopxx_check_span(_t132_principal_len, _flick_abort300);
                              flick_iiopxx_decode_new_glob(_t132_principal_len);
                              flick_iiopxx_decode_new_chunk(_t132_principal_len);
                              flick_iiopxx_decode_end_chunk(_t132_principal_len);
                              flick_iiopxx_decode_end_glob(_t132_principal_len);
                              /* Begin decode phase on parameters */
                              flick_iiopxx_server_end_decode();
                              flick_corbaxx_init_environment();
                              _local_this->please_exit(_ev);
                              return ;
                              break;
                              {
                              _flick_abort300:
                                goto _flick_abort299;
                              }
                            }
                            break;
                            {
                            _flick_abort299:
                              goto _flick_abort5;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 13:
        {
          unsigned int _t133_switch_tag;

          flick_iiopxx_check_span(20, _flick_abort5);
          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t133_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t133_switch_tag)
            {
            case /* test */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
              {
                unsigned int _t134_switch_tag;

                flick_iiopxx_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t134_switch_tag, unsigned int );
                flick_iiopxx_decode_end_chunk(4);
                switch ((unsigned int )_t134_switch_tag)
                  {
                  case /* _boo */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600286575):
                    {
                      unsigned int _t135_switch_tag;

                      flick_iiopxx_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t135_switch_tag, unsigned int );
                      flick_iiopxx_decode_end_chunk(4);
                      switch ((unsigned int )_t135_switch_tag)
                        {
                        case /* lean */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1818583406):
                          {
                            char _t136_switch_tag;

                            flick_iiopxx_decode_new_chunk(1);
                            flick_cdr_decode_char8(0, _t136_switch_tag, char );
                            flick_iiopxx_decode_end_chunk(1);
                            switch ((char )_t136_switch_tag)
                              {
                              case 0:
                                {
                                  {
                                    POA_test1 *_local_this;
                                    unsigned int _t137_principal_len;
                                    CORBA::Boolean _return;
                                    CORBA::Boolean _local_a1;
                                    CORBA::Boolean _local_a2;
                                    CORBA::Boolean _local_a3;
                                    CORBA::Environment _ev;

                                    flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort302);
                                    /* Decode the requesting `Principal' pseudo object (client ID). */
                                    flick_iiopxx_decode_new_chunk(7);
                                    flick_cdr_decode_unsigned32(3, _t137_principal_len, unsigned int );
                                    flick_iiopxx_decode_end_chunk(7);
                                    flick_iiopxx_decode_end_glob(24);
                                    flick_iiopxx_check_span(_t137_principal_len + 2, _flick_abort302);
                                    flick_iiopxx_decode_new_glob(_t137_principal_len);
                                    flick_iiopxx_decode_new_chunk(_t137_principal_len);
                                    flick_iiopxx_decode_end_chunk(_t137_principal_len);
                                    flick_iiopxx_decode_end_glob(_t137_principal_len);
                                    /* Begin decode phase on parameters */
                                    _return = 0;
                                    flick_iiopxx_decode_new_glob(2);
                                    flick_iiopxx_decode_new_chunk(2);
                                    flick_cdr_decode_unsigned8(0, _local_a1, CORBA::Boolean );
                                    flick_cdr_decode_unsigned8(1, _local_a3, CORBA::Boolean );
                                    flick_iiopxx_decode_end_chunk(2);
                                    flick_iiopxx_decode_end_glob(2);
                                    flick_iiopxx_server_end_decode();
                                    flick_corbaxx_init_environment();
                                    _return = _local_this->test_boolean(_local_a1, _local_a2, _local_a3, _ev);
                                    _stub_state.state = FLICK_STATE_MARSHAL;
                                    flick_iiopxx_server_start_encode();
                                    {
                                      int _t138_temp_major;

                                      flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t138_temp_major);

                                      flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort302);
                                      flick_iiopxx_encode_new_glob(7, _flick_abort302);
                                      flick_iiopxx_encode_new_chunk(4);
                                      flick_cdr_encode_signed32(0, _t138_temp_major, int );
                                      flick_iiopxx_encode_end_chunk(4);
                                      switch (_t138_temp_major)
                                        {
                                        case CORBA::NO_EXCEPTION:
                                          {
                                            /* Begin encode phase on parameters */
                                            flick_iiopxx_encode_new_chunk(3);
                                            flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                            flick_cdr_encode_unsigned8(1, _local_a2, CORBA::Boolean );
                                            flick_cdr_encode_unsigned8(2, _local_a3, CORBA::Boolean );
                                            flick_iiopxx_encode_end_chunk(3);
                                            flick_iiopxx_encode_end_glob(7);
                                            break;
                                          }
                                        case CORBA::SYSTEM_EXCEPTION:
                                          {
                                            flick_iiopxx_encode_end_glob(7);
                                            flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort308);
                                            break;
                                            {
                                            _flick_abort308:
                                              goto _flick_abort302;
                                            }
                                          }
                                        default:
                                          {
                                            flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort309);
                                            flick_iiopxx_encode_end_glob(7);
                                            break;
                                            {
                                            _flick_abort309:
                                              goto _flick_abort302;
                                            }
                                          }
                                        }
                                    }
                                    flick_iiopxx_server_end_encode();
                                    break;
                                    {
                                    _flick_abort302:
                                      goto _flick_abort301;
                                    }
                                  }
                                  break;
                                  {
                                  _flick_abort301:
                                    goto _flick_abort5;
                                  }
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                                  flick_iiopxx_decode_end_glob(24);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                            flick_iiopxx_decode_end_glob(24);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t139_switch_tag;

          flick_iiopxx_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t139_switch_tag, unsigned int );
          flick_iiopxx_decode_end_chunk(4);
          switch ((unsigned int )_t139_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t140_switch_tag;

                flick_iiopxx_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t140_switch_tag, unsigned short int );
                flick_iiopxx_decode_end_chunk(2);
                switch ((unsigned short int )_t140_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        POA_test1 *_local_this;
                        unsigned int _t141_principal_len;
                        CORBA::Boolean _return;
                        char *_local_type_id;
                        flick_unsigned32_t _t142_temp_string_len;
                        CORBA::Environment _ev;

                        flick_iiopxx_server_decode_target(_local_this, 0, cdr, _flick_abort311);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_iiopxx_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t141_principal_len, unsigned int );
                        flick_iiopxx_decode_end_chunk(6);
                        flick_iiopxx_decode_end_glob(24);
                        flick_iiopxx_check_span(_t141_principal_len, _flick_abort311);
                        flick_iiopxx_decode_new_glob(_t141_principal_len);
                        flick_iiopxx_decode_new_chunk(_t141_principal_len);
                        flick_iiopxx_decode_end_chunk(_t141_principal_len);
                        flick_iiopxx_decode_end_glob(_t141_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_iiopxx_decode_new_glob(7);
                        flick_iiopxx_decode_new_chunk_align(4, 2, 0, 0);
                        flick_iiopxx_check_span(4, _flick_abort311);
                        flick_cdr_decode_unsigned32(0, _t142_temp_string_len, flick_unsigned32_t );
                        flick_iiopxx_decode_end_chunk(4);
                        flick_iiopxx_decode_end_glob(7);
                        flick_iiopxx_decode_new_glob(1 * _t142_temp_string_len);
                        flick_iiopxx_check_span(1 * _t142_temp_string_len, _flick_abort311);
                        flick_iiopxx_decode_new_chunk(1 * _t142_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_type_id, CORBA::Char *);
                        flick_iiopxx_decode_end_chunk(1 * _t142_temp_string_len);
                        flick_iiopxx_decode_end_glob(1 * _t142_temp_string_len);
                        flick_iiopxx_server_end_decode();
                        flick_corbaxx_init_environment();
                        _return = _local_this->_is_a(_local_type_id, _ev);
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_iiopxx_server_start_encode();
                        {
                          int _t143_temp_major;

                          flick_corbaxx_get_major(CORBA::Environment &, _ev, int , _t143_temp_major);

                          flick_iiopxx_server_encode_target(_local_this, 0, cdr, _flick_abort311);
                          flick_iiopxx_encode_new_glob(5, _flick_abort311);
                          flick_iiopxx_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _t143_temp_major, int );
                          flick_iiopxx_encode_end_chunk(4);
                          switch (_t143_temp_major)
                            {
                            case CORBA::NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_iiopxx_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA::Boolean );
                                flick_iiopxx_encode_end_chunk(1);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                              }
                            case CORBA::SYSTEM_EXCEPTION:
                              {
                                flick_iiopxx_encode_end_glob(5);
                                flick_corbaxx_encode_system_exception(_ev, cdr, iiopxx, _flick_abort319);
                                break;
                                {
                                _flick_abort319:
                                  goto _flick_abort311;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort320);
                                flick_iiopxx_encode_end_glob(5);
                                break;
                                {
                                _flick_abort320:
                                  goto _flick_abort311;
                                }
                              }
                            }
                        }
                        flick_iiopxx_server_end_encode();
                        break;
                        {
                        _flick_abort311:
                          goto _flick_abort310;
                        }
                      }
                      break;
                      {
                      _flick_abort310:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_iiopxx_decode_end_glob(24);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_iiopxx_decode_end_glob(24);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
          flick_iiopxx_decode_end_glob(24);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return;
  {
  _flick_abort5:
    flick_corbaxx_server_error(cdr, iiopxx, _flick_reaper, _flick_abort4);
  _flick_abort4:
    return ;
  }
_flick_reaper:
  return ;
}

