#include "arrays-server.h"

/* This is the runtime type information */
char *flick_interface_parents_arrays[] = {
	"IDL:arrays:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
int flick_marshal_stub_end(flick_marshal_stream_t _stream, struct end *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(5, _flick_abort0);
  flick_khazana_encode_new_chunk(5);
  flick_cdr_encode_signed32(0, _data->elem1, CORBA_long );
  flick_cdr_encode_char8(4, _data->elem2, CORBA_char );
  flick_khazana_encode_end_chunk(5);
  flick_khazana_encode_end_glob(5);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_end(flick_marshal_stream_t _stream, struct end *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(5);
  flick_khazana_check_span(5, _flick_abort1);
  flick_khazana_decode_new_chunk(5);
  flick_cdr_decode_signed32(0, _data->elem1, CORBA_long );
  flick_cdr_decode_char8(4, _data->elem2, CORBA_char );
  flick_khazana_decode_end_chunk(5);
  flick_khazana_decode_end_glob(5);
  return 0;
  {
  _flick_abort1:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_end_swap(flick_marshal_stream_t _stream, struct end *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(5);
  flick_khazana_check_span(5, _flick_abort2);
  flick_khazana_decode_new_chunk(5);
  flick_cdr_swap_decode_signed32(0, _data->elem1, CORBA_long );
  flick_cdr_swap_decode_char8(4, _data->elem2, CORBA_char );
  flick_khazana_decode_end_chunk(5);
  flick_khazana_decode_end_glob(5);
  return 0;
  {
  _flick_abort2:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_begin(flick_marshal_stream_t _stream, struct begin *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(8, _flick_abort3);
  flick_khazana_encode_new_chunk(8);
  flick_cdr_encode_char8(0, _data->elem1, CORBA_char );
  flick_cdr_encode_signed32(4, _data->elem2, CORBA_long );
  flick_khazana_encode_end_chunk(8);
  flick_khazana_encode_end_glob(8);
  return 0;
  {
  _flick_abort3:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_begin(flick_marshal_stream_t _stream, struct begin *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(8);
  flick_khazana_check_span(8, _flick_abort4);
  flick_khazana_decode_new_chunk(8);
  flick_cdr_decode_char8(0, _data->elem1, CORBA_char );
  flick_cdr_decode_signed32(4, _data->elem2, CORBA_long );
  flick_khazana_decode_end_chunk(8);
  flick_khazana_decode_end_glob(8);
  return 0;
  {
  _flick_abort4:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_begin_swap(flick_marshal_stream_t _stream, struct begin *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(8);
  flick_khazana_check_span(8, _flick_abort5);
  flick_khazana_decode_new_chunk(8);
  flick_cdr_swap_decode_char8(0, _data->elem1, CORBA_char );
  flick_cdr_swap_decode_signed32(4, _data->elem2, CORBA_long );
  flick_khazana_decode_end_chunk(8);
  flick_khazana_decode_end_glob(8);
  return 0;
  {
  _flick_abort5:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_cLd(flick_marshal_stream_t _stream, struct cLd *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(216, _flick_abort6);
  flick_khazana_encode_new_chunk(204);
  flick_cdr_encode_char8(0, _data->first, CORBA_char );
  flick_cdr_encode_bcopy(4, _data->data, 200);
  flick_khazana_encode_end_chunk(204);
  flick_khazana_encode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_encode_float64(0, _data->last, CORBA_double );
  flick_khazana_encode_end_chunk(8);
  flick_khazana_encode_end_glob(216);
  return 0;
  {
  _flick_abort6:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_cLd(flick_marshal_stream_t _stream, struct cLd *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(216);
  flick_khazana_check_span(204, _flick_abort9);
  flick_khazana_decode_new_chunk(204);
  flick_cdr_decode_char8(0, _data->first, CORBA_char );
  flick_cdr_decode_bcopy(4, _data->data, 200);
  flick_khazana_decode_end_chunk(204);
  flick_khazana_decode_new_chunk_align(8, 3, 2, 0);
  flick_khazana_check_span(8, _flick_abort9);
  flick_cdr_decode_float64(0, _data->last, CORBA_double );
  flick_khazana_decode_end_chunk(8);
  flick_khazana_decode_end_glob(216);
  return 0;
  {
  _flick_abort9:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_cLd_swap(flick_marshal_stream_t _stream, struct cLd *_data)
{
  flick_unsigned32_t _t0_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(363);
  flick_khazana_check_span(1, _flick_abort12);
  flick_khazana_decode_new_chunk(1);
  flick_cdr_swap_decode_char8(0, _data->first, CORBA_char );
  flick_khazana_decode_end_chunk(1);
  for (_t0_array_iter = 0; _t0_array_iter < 50; _t0_array_iter++)
    {
      flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
      flick_khazana_check_span(4, _flick_abort16);
      flick_cdr_swap_decode_signed32(0, _data->data[_t0_array_iter], CORBA_long );
      flick_khazana_decode_end_chunk(4);
      continue;
      {
      _flick_abort16:
        goto _flick_abort12;
      }
    }
  flick_khazana_decode_new_chunk_align(8, 3, 2, 0);
  flick_khazana_check_span(8, _flick_abort12);
  flick_cdr_swap_decode_float64(0, _data->last, CORBA_double );
  flick_khazana_decode_end_chunk(8);
  flick_khazana_decode_end_glob(363);
  return 0;
  {
  _flick_abort12:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_dLc(flick_marshal_stream_t _stream, struct dLc *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(213, _flick_abort18);
  flick_khazana_encode_new_chunk_align(209, 3, 2, 0);
  flick_cdr_encode_float64(0, _data->first, CORBA_double );
  flick_cdr_encode_bcopy(8, _data->data, 200);
  flick_cdr_encode_char8(208, _data->last, CORBA_char );
  flick_khazana_encode_end_chunk(209);
  flick_khazana_encode_end_glob(213);
  return 0;
  {
  _flick_abort18:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_dLc(flick_marshal_stream_t _stream, struct dLc *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(213);
  flick_khazana_decode_new_chunk_align(209, 3, 2, 0);
  flick_khazana_check_span(209, _flick_abort21);
  flick_cdr_decode_float64(0, _data->first, CORBA_double );
  flick_cdr_decode_bcopy(8, _data->data, 200);
  flick_cdr_decode_char8(208, _data->last, CORBA_char );
  flick_khazana_decode_end_chunk(209);
  flick_khazana_decode_end_glob(213);
  return 0;
  {
  _flick_abort21:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_dLc_swap(flick_marshal_stream_t _stream, struct dLc *_data)
{
  flick_unsigned32_t _t1_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(213);
  flick_khazana_decode_new_chunk_align(8, 3, 2, 0);
  flick_khazana_check_span(50 * 4 + 1 + 8, _flick_abort24);
  flick_cdr_swap_decode_float64(0, _data->first, CORBA_double );
  flick_khazana_decode_end_chunk(8);
  for (_t1_array_iter = 0; _t1_array_iter < 50; _t1_array_iter++)
    {
      flick_khazana_decode_new_chunk(4);
      flick_cdr_swap_decode_signed32(0, _data->data[_t1_array_iter], CORBA_long );
      flick_khazana_decode_end_chunk(4);
      continue;
    }
  flick_khazana_decode_new_chunk(1);
  flick_cdr_swap_decode_char8(0, _data->last, CORBA_char );
  flick_khazana_decode_end_chunk(1);
  flick_khazana_decode_end_glob(213);
  return 0;
  {
  _flick_abort24:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_sLs(flick_marshal_stream_t _stream, struct sLs *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(206, _flick_abort30);
  flick_khazana_encode_new_chunk(206);
  flick_cdr_encode_signed16(0, _data->first, CORBA_short );
  flick_cdr_encode_bcopy(4, _data->data, 200);
  flick_cdr_encode_signed16(204, _data->last, CORBA_short );
  flick_khazana_encode_end_chunk(206);
  flick_khazana_encode_end_glob(206);
  return 0;
  {
  _flick_abort30:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_sLs(flick_marshal_stream_t _stream, struct sLs *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(206);
  flick_khazana_check_span(206, _flick_abort33);
  flick_khazana_decode_new_chunk(206);
  flick_cdr_decode_signed16(0, _data->first, CORBA_short );
  flick_cdr_decode_bcopy(4, _data->data, 200);
  flick_cdr_decode_signed16(204, _data->last, CORBA_short );
  flick_khazana_decode_end_chunk(206);
  flick_khazana_decode_end_glob(206);
  return 0;
  {
  _flick_abort33:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_sLs_swap(flick_marshal_stream_t _stream, struct sLs *_data)
{
  flick_unsigned32_t _t2_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(304);
  flick_khazana_check_span(2, _flick_abort36);
  flick_khazana_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->first, CORBA_short );
  flick_khazana_decode_end_chunk(2);
  for (_t2_array_iter = 0; _t2_array_iter < 50; _t2_array_iter++)
    {
      flick_khazana_decode_new_chunk_align(4, 2, 1, 0);
      flick_khazana_check_span(4, _flick_abort40);
      flick_cdr_swap_decode_signed32(0, _data->data[_t2_array_iter], CORBA_long );
      flick_khazana_decode_end_chunk(4);
      continue;
      {
      _flick_abort40:
        goto _flick_abort36;
      }
    }
  flick_khazana_check_span(2, _flick_abort36);
  flick_khazana_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->last, CORBA_short );
  flick_khazana_decode_end_chunk(2);
  flick_khazana_decode_end_glob(304);
  return 0;
  {
  _flick_abort36:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_cLCd(flick_marshal_stream_t _stream, struct cLCd *_data)
{
  flick_unsigned32_t _t3_array_iter;

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(416, _flick_abort42);
  flick_khazana_encode_new_chunk(1);
  flick_cdr_encode_char8(0, _data->first, CORBA_char );
  flick_khazana_encode_end_chunk(1);
  for (_t3_array_iter = 0; _t3_array_iter < 50; _t3_array_iter++)
    {
      flick_khazana_encode_new_chunk(8);
      flick_cdr_encode_signed32(3, _data->data[_t3_array_iter].elem1, CORBA_long );
      flick_cdr_encode_char8(7, _data->data[_t3_array_iter].elem2, CORBA_char );
      flick_khazana_encode_end_chunk(8);
      continue;
    }
  flick_khazana_encode_new_chunk_align(8, 3, 2, 1);
  flick_cdr_encode_float64(0, _data->last, CORBA_double );
  flick_khazana_encode_end_chunk(8);
  flick_khazana_encode_end_glob(416);
  return 0;
  {
  _flick_abort42:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_cLCd(flick_marshal_stream_t _stream, struct cLCd *_data)
{
  flick_unsigned32_t _t4_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(416);
  flick_khazana_check_span(50 * 8 + 1, _flick_abort48);
  flick_khazana_decode_new_chunk(1);
  flick_cdr_decode_char8(0, _data->first, CORBA_char );
  flick_khazana_decode_end_chunk(1);
  for (_t4_array_iter = 0; _t4_array_iter < 50; _t4_array_iter++)
    {
      flick_khazana_decode_new_chunk(8);
      flick_cdr_decode_signed32(3, _data->data[_t4_array_iter].elem1, CORBA_long );
      flick_cdr_decode_char8(7, _data->data[_t4_array_iter].elem2, CORBA_char );
      flick_khazana_decode_end_chunk(8);
      continue;
    }
  flick_khazana_decode_new_chunk_align(8, 3, 2, 1);
  flick_khazana_check_span(8, _flick_abort48);
  flick_cdr_decode_float64(0, _data->last, CORBA_double );
  flick_khazana_decode_end_chunk(8);
  flick_khazana_decode_end_glob(416);
  return 0;
  {
  _flick_abort48:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_cLCd_swap(flick_marshal_stream_t _stream, struct cLCd *_data)
{
  flick_unsigned32_t _t5_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(416);
  flick_khazana_check_span(50 * 8 + 1, _flick_abort54);
  flick_khazana_decode_new_chunk(1);
  flick_cdr_swap_decode_char8(0, _data->first, CORBA_char );
  flick_khazana_decode_end_chunk(1);
  for (_t5_array_iter = 0; _t5_array_iter < 50; _t5_array_iter++)
    {
      flick_khazana_decode_new_chunk(8);
      flick_cdr_swap_decode_signed32(3, _data->data[_t5_array_iter].elem1, CORBA_long );
      flick_cdr_swap_decode_char8(7, _data->data[_t5_array_iter].elem2, CORBA_char );
      flick_khazana_decode_end_chunk(8);
      continue;
    }
  flick_khazana_decode_new_chunk_align(8, 3, 2, 1);
  flick_khazana_check_span(8, _flick_abort54);
  flick_cdr_swap_decode_float64(0, _data->last, CORBA_double );
  flick_khazana_decode_end_chunk(8);
  flick_khazana_decode_end_glob(416);
  return 0;
  {
  _flick_abort54:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_dLCc(flick_marshal_stream_t _stream, struct dLCc *_data)
{
  flick_unsigned32_t _t6_array_iter;

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(413, _flick_abort60);
  flick_khazana_encode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_encode_float64(0, _data->first, CORBA_double );
  flick_khazana_encode_end_chunk(8);
  for (_t6_array_iter = 0; _t6_array_iter < 50; _t6_array_iter++)
    {
      flick_khazana_encode_new_chunk_align(5, 2, 0, 0);
      flick_cdr_encode_signed32(0, _data->data[_t6_array_iter].elem1, CORBA_long );
      flick_cdr_encode_char8(4, _data->data[_t6_array_iter].elem2, CORBA_char );
      flick_khazana_encode_end_chunk(5);
      continue;
    }
  flick_khazana_encode_new_chunk(1);
  flick_cdr_encode_char8(0, _data->last, CORBA_char );
  flick_khazana_encode_end_chunk(1);
  flick_khazana_encode_end_glob(413);
  return 0;
  {
  _flick_abort60:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_dLCc(flick_marshal_stream_t _stream, struct dLCc *_data)
{
  flick_unsigned32_t _t7_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(413);
  flick_khazana_decode_new_chunk_align(8, 3, 2, 0);
  flick_khazana_check_span(8, _flick_abort66);
  flick_cdr_decode_float64(0, _data->first, CORBA_double );
  flick_khazana_decode_end_chunk(8);
  for (_t7_array_iter = 0; _t7_array_iter < 50; _t7_array_iter++)
    {
      flick_khazana_decode_new_chunk_align(5, 2, 0, 0);
      flick_khazana_check_span(5, _flick_abort70);
      flick_cdr_decode_signed32(0, _data->data[_t7_array_iter].elem1, CORBA_long );
      flick_cdr_decode_char8(4, _data->data[_t7_array_iter].elem2, CORBA_char );
      flick_khazana_decode_end_chunk(5);
      continue;
      {
      _flick_abort70:
        goto _flick_abort66;
      }
    }
  flick_khazana_check_span(1, _flick_abort66);
  flick_khazana_decode_new_chunk(1);
  flick_cdr_decode_char8(0, _data->last, CORBA_char );
  flick_khazana_decode_end_chunk(1);
  flick_khazana_decode_end_glob(413);
  return 0;
  {
  _flick_abort66:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_dLCc_swap(flick_marshal_stream_t _stream, struct dLCc *_data)
{
  flick_unsigned32_t _t8_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(413);
  flick_khazana_decode_new_chunk_align(8, 3, 2, 0);
  flick_khazana_check_span(8, _flick_abort72);
  flick_cdr_swap_decode_float64(0, _data->first, CORBA_double );
  flick_khazana_decode_end_chunk(8);
  for (_t8_array_iter = 0; _t8_array_iter < 50; _t8_array_iter++)
    {
      flick_khazana_decode_new_chunk_align(5, 2, 0, 0);
      flick_khazana_check_span(5, _flick_abort76);
      flick_cdr_swap_decode_signed32(0, _data->data[_t8_array_iter].elem1, CORBA_long );
      flick_cdr_swap_decode_char8(4, _data->data[_t8_array_iter].elem2, CORBA_char );
      flick_khazana_decode_end_chunk(5);
      continue;
      {
      _flick_abort76:
        goto _flick_abort72;
      }
    }
  flick_khazana_check_span(1, _flick_abort72);
  flick_khazana_decode_new_chunk(1);
  flick_cdr_swap_decode_char8(0, _data->last, CORBA_char );
  flick_khazana_decode_end_chunk(1);
  flick_khazana_decode_end_glob(413);
  return 0;
  {
  _flick_abort72:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_sLCs(flick_marshal_stream_t _stream, struct sLCs *_data)
{
  flick_unsigned32_t _t9_array_iter;

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(405, _flick_abort78);
  flick_khazana_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, _data->first, CORBA_short );
  flick_khazana_encode_end_chunk(2);
  for (_t9_array_iter = 0; _t9_array_iter < 50; _t9_array_iter++)
    {
      flick_khazana_encode_new_chunk_align(5, 2, 0, 0);
      flick_cdr_encode_signed32(0, _data->data[_t9_array_iter].elem1, CORBA_long );
      flick_cdr_encode_char8(4, _data->data[_t9_array_iter].elem2, CORBA_char );
      flick_khazana_encode_end_chunk(5);
      continue;
    }
  flick_khazana_encode_new_chunk(3);
  flick_cdr_encode_signed16(1, _data->last, CORBA_short );
  flick_khazana_encode_end_chunk(3);
  flick_khazana_encode_end_glob(405);
  return 0;
  {
  _flick_abort78:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_sLCs(flick_marshal_stream_t _stream, struct sLCs *_data)
{
  flick_unsigned32_t _t10_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(405);
  flick_khazana_check_span(2, _flick_abort84);
  flick_khazana_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, _data->first, CORBA_short );
  flick_khazana_decode_end_chunk(2);
  for (_t10_array_iter = 0; _t10_array_iter < 50; _t10_array_iter++)
    {
      flick_khazana_decode_new_chunk_align(5, 2, 0, 0);
      flick_khazana_check_span(5, _flick_abort88);
      flick_cdr_decode_signed32(0, _data->data[_t10_array_iter].elem1, CORBA_long );
      flick_cdr_decode_char8(4, _data->data[_t10_array_iter].elem2, CORBA_char );
      flick_khazana_decode_end_chunk(5);
      continue;
      {
      _flick_abort88:
        goto _flick_abort84;
      }
    }
  flick_khazana_check_span(3, _flick_abort84);
  flick_khazana_decode_new_chunk(3);
  flick_cdr_decode_signed16(1, _data->last, CORBA_short );
  flick_khazana_decode_end_chunk(3);
  flick_khazana_decode_end_glob(405);
  return 0;
  {
  _flick_abort84:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_sLCs_swap(flick_marshal_stream_t _stream, struct sLCs *_data)
{
  flick_unsigned32_t _t11_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(405);
  flick_khazana_check_span(2, _flick_abort90);
  flick_khazana_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->first, CORBA_short );
  flick_khazana_decode_end_chunk(2);
  for (_t11_array_iter = 0; _t11_array_iter < 50; _t11_array_iter++)
    {
      flick_khazana_decode_new_chunk_align(5, 2, 0, 0);
      flick_khazana_check_span(5, _flick_abort94);
      flick_cdr_swap_decode_signed32(0, _data->data[_t11_array_iter].elem1, CORBA_long );
      flick_cdr_swap_decode_char8(4, _data->data[_t11_array_iter].elem2, CORBA_char );
      flick_khazana_decode_end_chunk(5);
      continue;
      {
      _flick_abort94:
        goto _flick_abort90;
      }
    }
  flick_khazana_check_span(3, _flick_abort90);
  flick_khazana_decode_new_chunk(3);
  flick_cdr_swap_decode_signed16(1, _data->last, CORBA_short );
  flick_khazana_decode_end_chunk(3);
  flick_khazana_decode_end_glob(405);
  return 0;
  {
  _flick_abort90:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_cCLd(flick_marshal_stream_t _stream, struct cCLd *_data)
{
  flick_unsigned32_t _t12_array_iter;

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(413, _flick_abort96);
  flick_khazana_encode_new_chunk(1);
  flick_cdr_encode_char8(0, _data->first, CORBA_char );
  flick_khazana_encode_end_chunk(1);
  for (_t12_array_iter = 0; _t12_array_iter < 50; _t12_array_iter++)
    {
      flick_khazana_encode_new_chunk(1);
      flick_cdr_encode_char8(0, _data->data[_t12_array_iter].elem1, CORBA_char );
      flick_khazana_encode_end_chunk(1);
      flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
      flick_cdr_encode_signed32(0, _data->data[_t12_array_iter].elem2, CORBA_long );
      flick_khazana_encode_end_chunk(4);
      continue;
    }
  flick_khazana_encode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_encode_float64(0, _data->last, CORBA_double );
  flick_khazana_encode_end_chunk(8);
  flick_khazana_encode_end_glob(413);
  return 0;
  {
  _flick_abort96:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_cCLd(flick_marshal_stream_t _stream, struct cCLd *_data)
{
  flick_unsigned32_t _t13_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(413);
  flick_khazana_check_span(1, _flick_abort102);
  flick_khazana_decode_new_chunk(1);
  flick_cdr_decode_char8(0, _data->first, CORBA_char );
  flick_khazana_decode_end_chunk(1);
  for (_t13_array_iter = 0; _t13_array_iter < 50; _t13_array_iter++)
    {
      flick_khazana_check_span(1, _flick_abort106);
      flick_khazana_decode_new_chunk(1);
      flick_cdr_decode_char8(0, _data->data[_t13_array_iter].elem1, CORBA_char );
      flick_khazana_decode_end_chunk(1);
      flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
      flick_khazana_check_span(4, _flick_abort106);
      flick_cdr_decode_signed32(0, _data->data[_t13_array_iter].elem2, CORBA_long );
      flick_khazana_decode_end_chunk(4);
      continue;
      {
      _flick_abort106:
        goto _flick_abort102;
      }
    }
  flick_khazana_decode_new_chunk_align(8, 3, 2, 0);
  flick_khazana_check_span(8, _flick_abort102);
  flick_cdr_decode_float64(0, _data->last, CORBA_double );
  flick_khazana_decode_end_chunk(8);
  flick_khazana_decode_end_glob(413);
  return 0;
  {
  _flick_abort102:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_cCLd_swap(flick_marshal_stream_t _stream, struct cCLd *_data)
{
  flick_unsigned32_t _t14_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(413);
  flick_khazana_check_span(1, _flick_abort108);
  flick_khazana_decode_new_chunk(1);
  flick_cdr_swap_decode_char8(0, _data->first, CORBA_char );
  flick_khazana_decode_end_chunk(1);
  for (_t14_array_iter = 0; _t14_array_iter < 50; _t14_array_iter++)
    {
      flick_khazana_check_span(1, _flick_abort112);
      flick_khazana_decode_new_chunk(1);
      flick_cdr_swap_decode_char8(0, _data->data[_t14_array_iter].elem1, CORBA_char );
      flick_khazana_decode_end_chunk(1);
      flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
      flick_khazana_check_span(4, _flick_abort112);
      flick_cdr_swap_decode_signed32(0, _data->data[_t14_array_iter].elem2, CORBA_long );
      flick_khazana_decode_end_chunk(4);
      continue;
      {
      _flick_abort112:
        goto _flick_abort108;
      }
    }
  flick_khazana_decode_new_chunk_align(8, 3, 2, 0);
  flick_khazana_check_span(8, _flick_abort108);
  flick_cdr_swap_decode_float64(0, _data->last, CORBA_double );
  flick_khazana_decode_end_chunk(8);
  flick_khazana_decode_end_glob(413);
  return 0;
  {
  _flick_abort108:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_dCLc(flick_marshal_stream_t _stream, struct dCLc *_data)
{
  flick_unsigned32_t _t15_array_iter;

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(413, _flick_abort114);
  flick_khazana_encode_new_chunk_align(8, 3, 2, 0);
  flick_cdr_encode_float64(0, _data->first, CORBA_double );
  flick_khazana_encode_end_chunk(8);
  for (_t15_array_iter = 0; _t15_array_iter < 50; _t15_array_iter++)
    {
      flick_khazana_encode_new_chunk(8);
      flick_cdr_encode_char8(0, _data->data[_t15_array_iter].elem1, CORBA_char );
      flick_cdr_encode_signed32(4, _data->data[_t15_array_iter].elem2, CORBA_long );
      flick_khazana_encode_end_chunk(8);
      continue;
    }
  flick_khazana_encode_new_chunk(1);
  flick_cdr_encode_char8(0, _data->last, CORBA_char );
  flick_khazana_encode_end_chunk(1);
  flick_khazana_encode_end_glob(413);
  return 0;
  {
  _flick_abort114:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_dCLc(flick_marshal_stream_t _stream, struct dCLc *_data)
{
  flick_unsigned32_t _t16_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(413);
  flick_khazana_decode_new_chunk_align(8, 3, 2, 0);
  flick_khazana_check_span(50 * 8 + 1 + 8, _flick_abort120);
  flick_cdr_decode_float64(0, _data->first, CORBA_double );
  flick_khazana_decode_end_chunk(8);
  for (_t16_array_iter = 0; _t16_array_iter < 50; _t16_array_iter++)
    {
      flick_khazana_decode_new_chunk(8);
      flick_cdr_decode_char8(0, _data->data[_t16_array_iter].elem1, CORBA_char );
      flick_cdr_decode_signed32(4, _data->data[_t16_array_iter].elem2, CORBA_long );
      flick_khazana_decode_end_chunk(8);
      continue;
    }
  flick_khazana_decode_new_chunk(1);
  flick_cdr_decode_char8(0, _data->last, CORBA_char );
  flick_khazana_decode_end_chunk(1);
  flick_khazana_decode_end_glob(413);
  return 0;
  {
  _flick_abort120:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_dCLc_swap(flick_marshal_stream_t _stream, struct dCLc *_data)
{
  flick_unsigned32_t _t17_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(413);
  flick_khazana_decode_new_chunk_align(8, 3, 2, 0);
  flick_khazana_check_span(50 * 8 + 1 + 8, _flick_abort126);
  flick_cdr_swap_decode_float64(0, _data->first, CORBA_double );
  flick_khazana_decode_end_chunk(8);
  for (_t17_array_iter = 0; _t17_array_iter < 50; _t17_array_iter++)
    {
      flick_khazana_decode_new_chunk(8);
      flick_cdr_swap_decode_char8(0, _data->data[_t17_array_iter].elem1, CORBA_char );
      flick_cdr_swap_decode_signed32(4, _data->data[_t17_array_iter].elem2, CORBA_long );
      flick_khazana_decode_end_chunk(8);
      continue;
    }
  flick_khazana_decode_new_chunk(1);
  flick_cdr_swap_decode_char8(0, _data->last, CORBA_char );
  flick_khazana_decode_end_chunk(1);
  flick_khazana_decode_end_glob(413);
  return 0;
  {
  _flick_abort126:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_sCLs(flick_marshal_stream_t _stream, struct sCLs *_data)
{
  flick_unsigned32_t _t18_array_iter;

  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_khazana_encode_new_glob(404, _flick_abort132);
  flick_khazana_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, _data->first, CORBA_short );
  flick_khazana_encode_end_chunk(2);
  for (_t18_array_iter = 0; _t18_array_iter < 50; _t18_array_iter++)
    {
      flick_khazana_encode_new_chunk(1);
      flick_cdr_encode_char8(0, _data->data[_t18_array_iter].elem1, CORBA_char );
      flick_khazana_encode_end_chunk(1);
      flick_khazana_encode_new_chunk_align(4, 2, 1, 1);
      flick_cdr_encode_signed32(0, _data->data[_t18_array_iter].elem2, CORBA_long );
      flick_khazana_encode_end_chunk(4);
      continue;
    }
  flick_khazana_encode_new_chunk(2);
  flick_cdr_encode_signed16(0, _data->last, CORBA_short );
  flick_khazana_encode_end_chunk(2);
  flick_khazana_encode_end_glob(404);
  return 0;
  {
  _flick_abort132:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_sCLs(flick_marshal_stream_t _stream, struct sCLs *_data)
{
  flick_unsigned32_t _t19_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(404);
  flick_khazana_check_span(2, _flick_abort138);
  flick_khazana_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, _data->first, CORBA_short );
  flick_khazana_decode_end_chunk(2);
  for (_t19_array_iter = 0; _t19_array_iter < 50; _t19_array_iter++)
    {
      flick_khazana_check_span(1, _flick_abort142);
      flick_khazana_decode_new_chunk(1);
      flick_cdr_decode_char8(0, _data->data[_t19_array_iter].elem1, CORBA_char );
      flick_khazana_decode_end_chunk(1);
      flick_khazana_decode_new_chunk_align(4, 2, 1, 1);
      flick_khazana_check_span(4, _flick_abort142);
      flick_cdr_decode_signed32(0, _data->data[_t19_array_iter].elem2, CORBA_long );
      flick_khazana_decode_end_chunk(4);
      continue;
      {
      _flick_abort142:
        goto _flick_abort138;
      }
    }
  flick_khazana_check_span(2, _flick_abort138);
  flick_khazana_decode_new_chunk(2);
  flick_cdr_decode_signed16(0, _data->last, CORBA_short );
  flick_khazana_decode_end_chunk(2);
  flick_khazana_decode_end_glob(404);
  return 0;
  {
  _flick_abort138:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_sCLs_swap(flick_marshal_stream_t _stream, struct sCLs *_data)
{
  flick_unsigned32_t _t20_array_iter;

  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_khazana_decode_new_glob(404);
  flick_khazana_check_span(2, _flick_abort144);
  flick_khazana_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->first, CORBA_short );
  flick_khazana_decode_end_chunk(2);
  for (_t20_array_iter = 0; _t20_array_iter < 50; _t20_array_iter++)
    {
      flick_khazana_check_span(1, _flick_abort148);
      flick_khazana_decode_new_chunk(1);
      flick_cdr_swap_decode_char8(0, _data->data[_t20_array_iter].elem1, CORBA_char );
      flick_khazana_decode_end_chunk(1);
      flick_khazana_decode_new_chunk_align(4, 2, 1, 1);
      flick_khazana_check_span(4, _flick_abort148);
      flick_cdr_swap_decode_signed32(0, _data->data[_t20_array_iter].elem2, CORBA_long );
      flick_khazana_decode_end_chunk(4);
      continue;
      {
      _flick_abort148:
        goto _flick_abort144;
      }
    }
  flick_khazana_check_span(2, _flick_abort144);
  flick_khazana_decode_new_chunk(2);
  flick_cdr_swap_decode_signed16(0, _data->last, CORBA_short );
  flick_khazana_decode_end_chunk(2);
  flick_khazana_decode_end_glob(404);
  return 0;
  {
  _flick_abort144:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_marshal_stub_arrays(flick_marshal_stream_t _stream, arrays *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdr_encode_IOR(khazana, *_data, 0, _flick_abort150);
  return 0;
  {
  _flick_abort150:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_arrays(flick_marshal_stream_t _stream, arrays *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_decode_IOR(khazana, *_data, 1);
  return 0;
}

int flick_unmarshal_stub_arrays_swap(flick_marshal_stream_t _stream, arrays *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swap_decode_IOR(khazana, *_data, 1);
  return 0;
}

flick_operation_success_t arrays_server(FLICK_TARGET _this_obj, flick_msg_t _in_msg, flick_msg_t *_out_msg)
{
  FLICK_BUFFER *_stream;
  flick_khazana_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t363_switch_tag;

    flick_khazana_decode_new_glob(20);
    flick_khazana_check_span(16, _flick_abort155);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t363_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t363_switch_tag)
      {
      case (unsigned int) 9:
        {
          unsigned int _t364_switch_tag;

          flick_khazana_check_span(16, _flick_abort155);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t364_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t364_switch_tag)
            {
            case /* test */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
              {
                unsigned int _t365_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t365_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t365_switch_tag)
                  {
                  case /* _cLd */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600343140):
                    {
                      char _t366_switch_tag;

                      flick_khazana_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t366_switch_tag, char );
                      flick_khazana_decode_end_chunk(1);
                      switch ((char )_t366_switch_tag)
                        {
                        case 0:
                          {
                            {
                              arrays _obj;
                              unsigned int _t367_principal_len;
                              struct cLd _return;
                              struct cLd *_local_inp;
                              struct cLd _t368_storage;
                              flick_unsigned32_t _t369_array_iter;
                              struct cLd *_local_iop;
                              struct cLd _t370_storage;
                              flick_unsigned32_t _t371_array_iter;
                              struct cLd *_local_outp;
                              struct cLd _t372_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t373_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort1317);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(7);
                              flick_cdr_swap_decode_unsigned32(3, _t367_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(7);
                              flick_khazana_decode_end_glob(20);
                              flick_khazana_check_span(_t367_principal_len + 1, _flick_abort1317);
                              flick_khazana_decode_new_glob(_t367_principal_len);
                              flick_khazana_decode_new_chunk(_t367_principal_len);
                              flick_khazana_decode_end_chunk(_t367_principal_len);
                              flick_khazana_decode_end_glob(_t367_principal_len);
                              /* Begin decode phase on parameters */
                              _local_inp = (struct cLd *)(&_t368_storage);
                              flick_khazana_decode_new_glob(726);
                              flick_khazana_decode_new_chunk(1);
                              flick_cdr_swap_decode_char8(0, _local_inp->first, CORBA_char );
                              flick_khazana_decode_end_chunk(1);
                              for (_t369_array_iter = 0; _t369_array_iter < 50; _t369_array_iter++)
                                {
                                  flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                                  flick_khazana_check_span(4, _flick_abort1321);
                                  flick_cdr_swap_decode_signed32(0, _local_inp->data[_t369_array_iter], CORBA_long );
                                  flick_khazana_decode_end_chunk(4);
                                  continue;
                                  {
                                  _flick_abort1321:
                                    goto _flick_abort1317;
                                  }
                                }
                              flick_khazana_decode_new_chunk_align(9, 3, 2, 0);
                              flick_khazana_check_span(9, _flick_abort1317);
                              flick_cdr_swap_decode_float64(0, _local_inp->last, CORBA_double );
                              _local_iop = (struct cLd *)(&_t370_storage);
                              flick_cdr_swap_decode_char8(8, _local_iop->first, CORBA_char );
                              flick_khazana_decode_end_chunk(9);
                              for (_t371_array_iter = 0; _t371_array_iter < 50; _t371_array_iter++)
                                {
                                  flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                                  flick_khazana_check_span(4, _flick_abort1326);
                                  flick_cdr_swap_decode_signed32(0, _local_iop->data[_t371_array_iter], CORBA_long );
                                  flick_khazana_decode_end_chunk(4);
                                  continue;
                                  {
                                  _flick_abort1326:
                                    goto _flick_abort1317;
                                  }
                                }
                              flick_khazana_decode_new_chunk_align(8, 3, 2, 0);
                              flick_khazana_check_span(8, _flick_abort1317);
                              flick_cdr_swap_decode_float64(0, _local_iop->last, CORBA_double );
                              _local_outp = (struct cLd *)(&_t372_storage);
                              _ev = (CORBA_Environment *)(&_t373_storage);
                              flick_khazana_decode_end_chunk(8);
                              flick_khazana_decode_end_glob(726);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = arrays_test_cLd(_obj, _local_inp, _local_iop, _local_outp, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1317);
                                flick_khazana_encode_new_glob(652, _flick_abort1317);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk(204);
                                      flick_cdr_encode_char8(0, _return.first, CORBA_char );
                                      flick_cdr_encode_bcopy(4, _return.data, 200);
                                      flick_khazana_encode_end_chunk(204);
                                      flick_khazana_encode_new_chunk_align(440, 3, 2, 0);
                                      flick_cdr_encode_float64(0, _return.last, CORBA_double );
                                      flick_cdr_encode_char8(8, _local_iop->first, CORBA_char );
                                      flick_cdr_encode_bcopy(12, _local_iop->data, 200);
                                      flick_cdr_encode_float64(216, _local_iop->last, CORBA_double );
                                      flick_cdr_encode_char8(224, _local_outp->first, CORBA_char );
                                      flick_cdr_encode_bcopy(228, _local_outp->data, 200);
                                      flick_cdr_encode_float64(432, _local_outp->last, CORBA_double );
                                      flick_khazana_encode_end_chunk(440);
                                      flick_khazana_encode_end_glob(652);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(652);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1345);
                                      break;
                                      {
                                      _flick_abort1345:
                                        goto _flick_abort1317;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1346);
                                      flick_khazana_encode_end_glob(652);
                                      break;
                                      {
                                      _flick_abort1346:
                                        goto _flick_abort1317;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort1317:
                                goto _flick_abort1316;
                              }
                            }
                            break;
                            {
                            _flick_abort1316:
                              goto _flick_abort155;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort155);
                            flick_khazana_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _dLc */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600408675):
                    {
                      char _t374_switch_tag;

                      flick_khazana_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t374_switch_tag, char );
                      flick_khazana_decode_end_chunk(1);
                      switch ((char )_t374_switch_tag)
                        {
                        case 0:
                          {
                            {
                              arrays _obj;
                              unsigned int _t375_principal_len;
                              struct dLc _return;
                              struct dLc *_local_inp;
                              struct dLc _t376_storage;
                              flick_unsigned32_t _t377_array_iter;
                              struct dLc *_local_iop;
                              struct dLc _t378_storage;
                              flick_unsigned32_t _t379_array_iter;
                              struct dLc *_local_outp;
                              struct dLc _t380_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t381_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort1348);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(7);
                              flick_cdr_swap_decode_unsigned32(3, _t375_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(7);
                              flick_khazana_decode_end_glob(20);
                              flick_khazana_check_span(_t375_principal_len, _flick_abort1348);
                              flick_khazana_decode_new_glob(_t375_principal_len);
                              flick_khazana_decode_new_chunk(_t375_principal_len);
                              flick_khazana_decode_end_chunk(_t375_principal_len);
                              flick_khazana_decode_end_glob(_t375_principal_len);
                              /* Begin decode phase on parameters */
                              _local_inp = (struct dLc *)(&_t376_storage);
                              flick_khazana_decode_new_glob(432);
                              flick_khazana_decode_new_chunk_align(8, 3, 0, 0);
                              flick_khazana_check_span(50 * 4 + 1 + 8, _flick_abort1348);
                              flick_cdr_swap_decode_float64(0, _local_inp->first, CORBA_double );
                              flick_khazana_decode_end_chunk(8);
                              for (_t377_array_iter = 0; _t377_array_iter < 50; _t377_array_iter++)
                                {
                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_swap_decode_signed32(0, _local_inp->data[_t377_array_iter], CORBA_long );
                                  flick_khazana_decode_end_chunk(4);
                                  continue;
                                }
                              flick_khazana_decode_new_chunk(1);
                              flick_cdr_swap_decode_char8(0, _local_inp->last, CORBA_char );
                              _local_iop = (struct dLc *)(&_t378_storage);
                              flick_khazana_decode_end_chunk(1);
                              flick_khazana_decode_new_chunk_align(8, 3, 2, 1);
                              flick_khazana_check_span(50 * 4 + 1 + 8, _flick_abort1348);
                              flick_cdr_swap_decode_float64(0, _local_iop->first, CORBA_double );
                              flick_khazana_decode_end_chunk(8);
                              for (_t379_array_iter = 0; _t379_array_iter < 50; _t379_array_iter++)
                                {
                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_swap_decode_signed32(0, _local_iop->data[_t379_array_iter], CORBA_long );
                                  flick_khazana_decode_end_chunk(4);
                                  continue;
                                }
                              flick_khazana_decode_new_chunk(1);
                              flick_cdr_swap_decode_char8(0, _local_iop->last, CORBA_char );
                              _local_outp = (struct dLc *)(&_t380_storage);
                              _ev = (CORBA_Environment *)(&_t381_storage);
                              flick_khazana_decode_end_chunk(1);
                              flick_khazana_decode_end_glob(432);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = arrays_test_dLc(_obj, _local_inp, _local_iop, _local_outp, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1348);
                                flick_khazana_encode_new_glob(649, _flick_abort1348);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk_align(641, 3, 2, 0);
                                      flick_cdr_encode_float64(0, _return.first, CORBA_double );
                                      flick_cdr_encode_bcopy(8, _return.data, 200);
                                      flick_cdr_encode_char8(208, _return.last, CORBA_char );
                                      flick_cdr_encode_float64(216, _local_iop->first, CORBA_double );
                                      flick_cdr_encode_bcopy(224, _local_iop->data, 200);
                                      flick_cdr_encode_char8(424, _local_iop->last, CORBA_char );
                                      flick_cdr_encode_float64(432, _local_outp->first, CORBA_double );
                                      flick_cdr_encode_bcopy(440, _local_outp->data, 200);
                                      flick_cdr_encode_char8(640, _local_outp->last, CORBA_char );
                                      flick_khazana_encode_end_chunk(641);
                                      flick_khazana_encode_end_glob(649);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(649);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1376);
                                      break;
                                      {
                                      _flick_abort1376:
                                        goto _flick_abort1348;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1377);
                                      flick_khazana_encode_end_glob(649);
                                      break;
                                      {
                                      _flick_abort1377:
                                        goto _flick_abort1348;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort1348:
                                goto _flick_abort1347;
                              }
                            }
                            break;
                            {
                            _flick_abort1347:
                              goto _flick_abort155;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort155);
                            flick_khazana_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _sLs */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601391731):
                    {
                      char _t382_switch_tag;

                      flick_khazana_decode_new_chunk(1);
                      flick_cdr_swap_decode_char8(0, _t382_switch_tag, char );
                      flick_khazana_decode_end_chunk(1);
                      switch ((char )_t382_switch_tag)
                        {
                        case 0:
                          {
                            {
                              arrays _obj;
                              unsigned int _t383_principal_len;
                              struct sLs _return;
                              struct sLs *_local_inp;
                              struct sLs _t384_storage;
                              flick_unsigned32_t _t385_array_iter;
                              struct sLs *_local_iop;
                              struct sLs _t386_storage;
                              flick_unsigned32_t _t387_array_iter;
                              struct sLs *_local_outp;
                              struct sLs _t388_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t389_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort1379);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(7);
                              flick_cdr_swap_decode_unsigned32(3, _t383_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(7);
                              flick_khazana_decode_end_glob(20);
                              flick_khazana_check_span(_t383_principal_len, _flick_abort1379);
                              flick_khazana_decode_new_glob(_t383_principal_len);
                              flick_khazana_decode_new_chunk(_t383_principal_len);
                              flick_khazana_decode_end_chunk(_t383_principal_len);
                              flick_khazana_decode_end_glob(_t383_principal_len);
                              /* Begin decode phase on parameters */
                              _local_inp = (struct sLs *)(&_t384_storage);
                              flick_khazana_decode_new_glob(509);
                              flick_khazana_decode_new_chunk_align(2, 1, 0, 0);
                              flick_khazana_check_span(2, _flick_abort1379);
                              flick_cdr_swap_decode_signed16(0, _local_inp->first, CORBA_short );
                              flick_khazana_decode_end_chunk(2);
                              for (_t385_array_iter = 0; _t385_array_iter < 50; _t385_array_iter++)
                                {
                                  flick_khazana_decode_new_chunk_align(4, 2, 1, 0);
                                  flick_khazana_check_span(4, _flick_abort1383);
                                  flick_cdr_swap_decode_signed32(0, _local_inp->data[_t385_array_iter], CORBA_long );
                                  flick_khazana_decode_end_chunk(4);
                                  continue;
                                  {
                                  _flick_abort1383:
                                    goto _flick_abort1379;
                                  }
                                }
                              flick_khazana_check_span(50 * 4 + 2 + 4, _flick_abort1379);
                              flick_khazana_decode_new_chunk(4);
                              flick_cdr_swap_decode_signed16(0, _local_inp->last, CORBA_short );
                              _local_iop = (struct sLs *)(&_t386_storage);
                              flick_cdr_swap_decode_signed16(2, _local_iop->first, CORBA_short );
                              flick_khazana_decode_end_chunk(4);
                              for (_t387_array_iter = 0; _t387_array_iter < 50; _t387_array_iter++)
                                {
                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_swap_decode_signed32(0, _local_iop->data[_t387_array_iter], CORBA_long );
                                  flick_khazana_decode_end_chunk(4);
                                  continue;
                                }
                              flick_khazana_decode_new_chunk(2);
                              flick_cdr_swap_decode_signed16(0, _local_iop->last, CORBA_short );
                              _local_outp = (struct sLs *)(&_t388_storage);
                              _ev = (CORBA_Environment *)(&_t389_storage);
                              flick_khazana_decode_end_chunk(2);
                              flick_khazana_decode_end_glob(509);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = arrays_test_sLs(_obj, _local_inp, _local_iop, _local_outp, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1379);
                                flick_khazana_encode_new_glob(618, _flick_abort1379);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk(614);
                                      flick_cdr_encode_signed16(0, _return.first, CORBA_short );
                                      flick_cdr_encode_bcopy(4, _return.data, 200);
                                      flick_cdr_encode_signed16(204, _return.last, CORBA_short );
                                      flick_cdr_encode_signed16(206, _local_iop->first, CORBA_short );
                                      flick_cdr_encode_bcopy(208, _local_iop->data, 200);
                                      flick_cdr_encode_signed16(408, _local_iop->last, CORBA_short );
                                      flick_cdr_encode_signed16(410, _local_outp->first, CORBA_short );
                                      flick_cdr_encode_bcopy(412, _local_outp->data, 200);
                                      flick_cdr_encode_signed16(612, _local_outp->last, CORBA_short );
                                      flick_khazana_encode_end_chunk(614);
                                      flick_khazana_encode_end_glob(618);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(618);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1407);
                                      break;
                                      {
                                      _flick_abort1407:
                                        goto _flick_abort1379;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1408);
                                      flick_khazana_encode_end_glob(618);
                                      break;
                                      {
                                      _flick_abort1408:
                                        goto _flick_abort1379;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort1379:
                                goto _flick_abort1378;
                              }
                            }
                            break;
                            {
                            _flick_abort1378:
                              goto _flick_abort155;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort155);
                            flick_khazana_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort155);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort155);
                flick_khazana_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          unsigned int _t390_switch_tag;

          flick_khazana_check_span(16, _flick_abort155);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t390_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t390_switch_tag)
            {
            case /* test */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
              {
                unsigned int _t391_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t391_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t391_switch_tag)
                  {
                  case /* _cLC */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600343107):
                    {
                      unsigned short int _t392_switch_tag;

                      flick_khazana_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t392_switch_tag, unsigned short int );
                      flick_khazana_decode_end_chunk(2);
                      switch ((unsigned short int )_t392_switch_tag)
                        {
                        case /* d */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25600):
                          {
                            {
                              arrays _obj;
                              unsigned int _t393_principal_len;
                              struct cLCd _return;
                              struct cLCd *_local_inp;
                              struct cLCd _t394_storage;
                              flick_unsigned32_t _t395_array_iter;
                              struct cLCd *_local_iop;
                              struct cLCd _t396_storage;
                              flick_unsigned32_t _t397_array_iter;
                              struct cLCd *_local_outp;
                              struct cLCd _t398_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t399_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort1410);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t393_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(6);
                              flick_khazana_decode_end_glob(20);
                              flick_khazana_check_span(_t393_principal_len + 1, _flick_abort1410);
                              flick_khazana_decode_new_glob(_t393_principal_len);
                              flick_khazana_decode_new_chunk(_t393_principal_len);
                              flick_khazana_decode_end_chunk(_t393_principal_len);
                              flick_khazana_decode_end_glob(_t393_principal_len);
                              /* Begin decode phase on parameters */
                              _local_inp = (struct cLCd *)(&_t394_storage);
                              flick_khazana_decode_new_glob(832);
                              flick_khazana_decode_new_chunk(1);
                              flick_cdr_swap_decode_char8(0, _local_inp->first, CORBA_char );
                              flick_khazana_decode_end_chunk(1);
                              for (_t395_array_iter = 0; _t395_array_iter < 50; _t395_array_iter++)
                                {
                                  flick_khazana_decode_new_chunk_align(5, 2, 0, 0);
                                  flick_khazana_check_span(5, _flick_abort1414);
                                  flick_cdr_swap_decode_signed32(0, _local_inp->data[_t395_array_iter].elem1, CORBA_long );
                                  flick_cdr_swap_decode_char8(4, _local_inp->data[_t395_array_iter].elem2, CORBA_char );
                                  flick_khazana_decode_end_chunk(5);
                                  continue;
                                  {
                                  _flick_abort1414:
                                    goto _flick_abort1410;
                                  }
                                }
                              flick_khazana_decode_new_chunk_align(9, 3, 2, 1);
                              flick_khazana_check_span(50 * 8 + 15 + 9, _flick_abort1410);
                              flick_cdr_swap_decode_float64(0, _local_inp->last, CORBA_double );
                              _local_iop = (struct cLCd *)(&_t396_storage);
                              flick_cdr_swap_decode_char8(8, _local_iop->first, CORBA_char );
                              flick_khazana_decode_end_chunk(9);
                              for (_t397_array_iter = 0; _t397_array_iter < 50; _t397_array_iter++)
                                {
                                  flick_khazana_decode_new_chunk(8);
                                  flick_cdr_swap_decode_signed32(3, _local_iop->data[_t397_array_iter].elem1, CORBA_long );
                                  flick_cdr_swap_decode_char8(7, _local_iop->data[_t397_array_iter].elem2, CORBA_char );
                                  flick_khazana_decode_end_chunk(8);
                                  continue;
                                }
                              flick_khazana_decode_new_chunk(15);
                              flick_cdr_swap_decode_float64(7, _local_iop->last, CORBA_double );
                              _local_outp = (struct cLCd *)(&_t398_storage);
                              _ev = (CORBA_Environment *)(&_t399_storage);
                              flick_khazana_decode_end_chunk(15);
                              flick_khazana_decode_end_glob(832);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = arrays_test_cLCd(_obj, _local_inp, _local_iop, _local_outp, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1410);
                                flick_khazana_encode_new_glob(1252, _flick_abort1410);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      flick_unsigned32_t _t403_array_iter;
                                      flick_unsigned32_t _t404_array_iter;
                                      flick_unsigned32_t _t405_array_iter;

                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk(1);
                                      flick_cdr_encode_char8(0, _return.first, CORBA_char );
                                      flick_khazana_encode_end_chunk(1);
                                      for (_t403_array_iter = 0; _t403_array_iter < 50; _t403_array_iter++)
                                        {
                                          flick_khazana_encode_new_chunk(8);
                                          flick_cdr_encode_signed32(3, _return.data[_t403_array_iter].elem1, CORBA_long );
                                          flick_cdr_encode_char8(7, _return.data[_t403_array_iter].elem2, CORBA_char );
                                          flick_khazana_encode_end_chunk(8);
                                          continue;
                                        }
                                      flick_khazana_encode_new_chunk_align(9, 3, 2, 1);
                                      flick_cdr_encode_float64(0, _return.last, CORBA_double );
                                      flick_cdr_encode_char8(8, _local_iop->first, CORBA_char );
                                      flick_khazana_encode_end_chunk(9);
                                      for (_t404_array_iter = 0; _t404_array_iter < 50; _t404_array_iter++)
                                        {
                                          flick_khazana_encode_new_chunk(8);
                                          flick_cdr_encode_signed32(3, _local_iop->data[_t404_array_iter].elem1, CORBA_long );
                                          flick_cdr_encode_char8(7, _local_iop->data[_t404_array_iter].elem2, CORBA_char );
                                          flick_khazana_encode_end_chunk(8);
                                          continue;
                                        }
                                      flick_khazana_encode_new_chunk(16);
                                      flick_cdr_encode_float64(7, _local_iop->last, CORBA_double );
                                      flick_cdr_encode_char8(15, _local_outp->first, CORBA_char );
                                      flick_khazana_encode_end_chunk(16);
                                      for (_t405_array_iter = 0; _t405_array_iter < 50; _t405_array_iter++)
                                        {
                                          flick_khazana_encode_new_chunk(8);
                                          flick_cdr_encode_signed32(3, _local_outp->data[_t405_array_iter].elem1, CORBA_long );
                                          flick_cdr_encode_char8(7, _local_outp->data[_t405_array_iter].elem2, CORBA_char );
                                          flick_khazana_encode_end_chunk(8);
                                          continue;
                                        }
                                      flick_khazana_encode_new_chunk(15);
                                      flick_cdr_encode_float64(7, _local_outp->last, CORBA_double );
                                      flick_khazana_encode_end_chunk(15);
                                      flick_khazana_encode_end_glob(1252);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(1252);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1456);
                                      break;
                                      {
                                      _flick_abort1456:
                                        goto _flick_abort1410;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1457);
                                      flick_khazana_encode_end_glob(1252);
                                      break;
                                      {
                                      _flick_abort1457:
                                        goto _flick_abort1410;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort1410:
                                goto _flick_abort1409;
                              }
                            }
                            break;
                            {
                            _flick_abort1409:
                              goto _flick_abort155;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort155);
                            flick_khazana_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _dLC */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600408643):
                    {
                      unsigned short int _t406_switch_tag;

                      flick_khazana_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t406_switch_tag, unsigned short int );
                      flick_khazana_decode_end_chunk(2);
                      switch ((unsigned short int )_t406_switch_tag)
                        {
                        case /* c */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25344):
                          {
                            {
                              arrays _obj;
                              unsigned int _t407_principal_len;
                              struct dLCc _return;
                              struct dLCc *_local_inp;
                              struct dLCc _t408_storage;
                              flick_unsigned32_t _t409_array_iter;
                              struct dLCc *_local_iop;
                              struct dLCc _t410_storage;
                              flick_unsigned32_t _t411_array_iter;
                              struct dLCc *_local_outp;
                              struct dLCc _t412_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t413_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort1459);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t407_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(6);
                              flick_khazana_decode_end_glob(20);
                              flick_khazana_check_span(_t407_principal_len, _flick_abort1459);
                              flick_khazana_decode_new_glob(_t407_principal_len);
                              flick_khazana_decode_new_chunk(_t407_principal_len);
                              flick_khazana_decode_end_chunk(_t407_principal_len);
                              flick_khazana_decode_end_glob(_t407_principal_len);
                              /* Begin decode phase on parameters */
                              _local_inp = (struct dLCc *)(&_t408_storage);
                              flick_khazana_decode_new_glob(831);
                              flick_khazana_decode_new_chunk_align(8, 3, 0, 0);
                              flick_khazana_check_span(8, _flick_abort1459);
                              flick_cdr_swap_decode_float64(0, _local_inp->first, CORBA_double );
                              flick_khazana_decode_end_chunk(8);
                              for (_t409_array_iter = 0; _t409_array_iter < 50; _t409_array_iter++)
                                {
                                  flick_khazana_decode_new_chunk_align(5, 2, 0, 0);
                                  flick_khazana_check_span(5, _flick_abort1463);
                                  flick_cdr_swap_decode_signed32(0, _local_inp->data[_t409_array_iter].elem1, CORBA_long );
                                  flick_cdr_swap_decode_char8(4, _local_inp->data[_t409_array_iter].elem2, CORBA_char );
                                  flick_khazana_decode_end_chunk(5);
                                  continue;
                                  {
                                  _flick_abort1463:
                                    goto _flick_abort1459;
                                  }
                                }
                              flick_khazana_check_span(1, _flick_abort1459);
                              flick_khazana_decode_new_chunk(1);
                              flick_cdr_swap_decode_char8(0, _local_inp->last, CORBA_char );
                              _local_iop = (struct dLCc *)(&_t410_storage);
                              flick_khazana_decode_end_chunk(1);
                              flick_khazana_decode_new_chunk_align(8, 3, 2, 2);
                              flick_khazana_check_span(8, _flick_abort1459);
                              flick_cdr_swap_decode_float64(0, _local_iop->first, CORBA_double );
                              flick_khazana_decode_end_chunk(8);
                              for (_t411_array_iter = 0; _t411_array_iter < 50; _t411_array_iter++)
                                {
                                  flick_khazana_decode_new_chunk_align(5, 2, 0, 0);
                                  flick_khazana_check_span(5, _flick_abort1468);
                                  flick_cdr_swap_decode_signed32(0, _local_iop->data[_t411_array_iter].elem1, CORBA_long );
                                  flick_cdr_swap_decode_char8(4, _local_iop->data[_t411_array_iter].elem2, CORBA_char );
                                  flick_khazana_decode_end_chunk(5);
                                  continue;
                                  {
                                  _flick_abort1468:
                                    goto _flick_abort1459;
                                  }
                                }
                              flick_khazana_check_span(1, _flick_abort1459);
                              flick_khazana_decode_new_chunk(1);
                              flick_cdr_swap_decode_char8(0, _local_iop->last, CORBA_char );
                              _local_outp = (struct dLCc *)(&_t412_storage);
                              _ev = (CORBA_Environment *)(&_t413_storage);
                              flick_khazana_decode_end_chunk(1);
                              flick_khazana_decode_end_glob(831);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = arrays_test_dLCc(_obj, _local_inp, _local_iop, _local_outp, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1459);
                                flick_khazana_encode_new_glob(1247, _flick_abort1459);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      flick_unsigned32_t _t417_array_iter;
                                      flick_unsigned32_t _t418_array_iter;
                                      flick_unsigned32_t _t419_array_iter;

                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk_align(8, 3, 2, 0);
                                      flick_cdr_encode_float64(0, _return.first, CORBA_double );
                                      flick_khazana_encode_end_chunk(8);
                                      for (_t417_array_iter = 0; _t417_array_iter < 50; _t417_array_iter++)
                                        {
                                          flick_khazana_encode_new_chunk_align(5, 2, 0, 0);
                                          flick_cdr_encode_signed32(0, _return.data[_t417_array_iter].elem1, CORBA_long );
                                          flick_cdr_encode_char8(4, _return.data[_t417_array_iter].elem2, CORBA_char );
                                          flick_khazana_encode_end_chunk(5);
                                          continue;
                                        }
                                      flick_khazana_encode_new_chunk(1);
                                      flick_cdr_encode_char8(0, _return.last, CORBA_char );
                                      flick_khazana_encode_end_chunk(1);
                                      flick_khazana_encode_new_chunk_align(8, 3, 2, 2);
                                      flick_cdr_encode_float64(0, _local_iop->first, CORBA_double );
                                      flick_khazana_encode_end_chunk(8);
                                      for (_t418_array_iter = 0; _t418_array_iter < 50; _t418_array_iter++)
                                        {
                                          flick_khazana_encode_new_chunk_align(5, 2, 0, 0);
                                          flick_cdr_encode_signed32(0, _local_iop->data[_t418_array_iter].elem1, CORBA_long );
                                          flick_cdr_encode_char8(4, _local_iop->data[_t418_array_iter].elem2, CORBA_char );
                                          flick_khazana_encode_end_chunk(5);
                                          continue;
                                        }
                                      flick_khazana_encode_new_chunk(1);
                                      flick_cdr_encode_char8(0, _local_iop->last, CORBA_char );
                                      flick_khazana_encode_end_chunk(1);
                                      flick_khazana_encode_new_chunk_align(8, 3, 2, 2);
                                      flick_cdr_encode_float64(0, _local_outp->first, CORBA_double );
                                      flick_khazana_encode_end_chunk(8);
                                      for (_t419_array_iter = 0; _t419_array_iter < 50; _t419_array_iter++)
                                        {
                                          flick_khazana_encode_new_chunk_align(5, 2, 0, 0);
                                          flick_cdr_encode_signed32(0, _local_outp->data[_t419_array_iter].elem1, CORBA_long );
                                          flick_cdr_encode_char8(4, _local_outp->data[_t419_array_iter].elem2, CORBA_char );
                                          flick_khazana_encode_end_chunk(5);
                                          continue;
                                        }
                                      flick_khazana_encode_new_chunk(1);
                                      flick_cdr_encode_char8(0, _local_outp->last, CORBA_char );
                                      flick_khazana_encode_end_chunk(1);
                                      flick_khazana_encode_end_glob(1247);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(1247);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1505);
                                      break;
                                      {
                                      _flick_abort1505:
                                        goto _flick_abort1459;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1506);
                                      flick_khazana_encode_end_glob(1247);
                                      break;
                                      {
                                      _flick_abort1506:
                                        goto _flick_abort1459;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort1459:
                                goto _flick_abort1458;
                              }
                            }
                            break;
                            {
                            _flick_abort1458:
                              goto _flick_abort155;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort155);
                            flick_khazana_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _sLC */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601391683):
                    {
                      unsigned short int _t420_switch_tag;

                      flick_khazana_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t420_switch_tag, unsigned short int );
                      flick_khazana_decode_end_chunk(2);
                      switch ((unsigned short int )_t420_switch_tag)
                        {
                        case /* s */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29440):
                          {
                            {
                              arrays _obj;
                              unsigned int _t421_principal_len;
                              struct sLCs _return;
                              struct sLCs *_local_inp;
                              struct sLCs _t422_storage;
                              flick_unsigned32_t _t423_array_iter;
                              struct sLCs *_local_iop;
                              struct sLCs _t424_storage;
                              flick_unsigned32_t _t425_array_iter;
                              struct sLCs *_local_outp;
                              struct sLCs _t426_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t427_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort1508);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t421_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(6);
                              flick_khazana_decode_end_glob(20);
                              flick_khazana_check_span(_t421_principal_len, _flick_abort1508);
                              flick_khazana_decode_new_glob(_t421_principal_len);
                              flick_khazana_decode_new_chunk(_t421_principal_len);
                              flick_khazana_decode_end_chunk(_t421_principal_len);
                              flick_khazana_decode_end_glob(_t421_principal_len);
                              /* Begin decode phase on parameters */
                              _local_inp = (struct sLCs *)(&_t422_storage);
                              flick_khazana_decode_new_glob(811);
                              flick_khazana_decode_new_chunk_align(2, 1, 0, 0);
                              flick_khazana_check_span(2, _flick_abort1508);
                              flick_cdr_swap_decode_signed16(0, _local_inp->first, CORBA_short );
                              flick_khazana_decode_end_chunk(2);
                              for (_t423_array_iter = 0; _t423_array_iter < 50; _t423_array_iter++)
                                {
                                  flick_khazana_decode_new_chunk_align(5, 2, 0, 0);
                                  flick_khazana_check_span(5, _flick_abort1512);
                                  flick_cdr_swap_decode_signed32(0, _local_inp->data[_t423_array_iter].elem1, CORBA_long );
                                  flick_cdr_swap_decode_char8(4, _local_inp->data[_t423_array_iter].elem2, CORBA_char );
                                  flick_khazana_decode_end_chunk(5);
                                  continue;
                                  {
                                  _flick_abort1512:
                                    goto _flick_abort1508;
                                  }
                                }
                              flick_khazana_check_span(5, _flick_abort1508);
                              flick_khazana_decode_new_chunk(5);
                              flick_cdr_swap_decode_signed16(1, _local_inp->last, CORBA_short );
                              _local_iop = (struct sLCs *)(&_t424_storage);
                              flick_cdr_swap_decode_signed16(3, _local_iop->first, CORBA_short );
                              flick_khazana_decode_end_chunk(5);
                              for (_t425_array_iter = 0; _t425_array_iter < 50; _t425_array_iter++)
                                {
                                  flick_khazana_decode_new_chunk_align(5, 2, 0, 0);
                                  flick_khazana_check_span(5, _flick_abort1517);
                                  flick_cdr_swap_decode_signed32(0, _local_iop->data[_t425_array_iter].elem1, CORBA_long );
                                  flick_cdr_swap_decode_char8(4, _local_iop->data[_t425_array_iter].elem2, CORBA_char );
                                  flick_khazana_decode_end_chunk(5);
                                  continue;
                                  {
                                  _flick_abort1517:
                                    goto _flick_abort1508;
                                  }
                                }
                              flick_khazana_check_span(3, _flick_abort1508);
                              flick_khazana_decode_new_chunk(3);
                              flick_cdr_swap_decode_signed16(1, _local_iop->last, CORBA_short );
                              _local_outp = (struct sLCs *)(&_t426_storage);
                              _ev = (CORBA_Environment *)(&_t427_storage);
                              flick_khazana_decode_end_chunk(3);
                              flick_khazana_decode_end_glob(811);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = arrays_test_sLCs(_obj, _local_inp, _local_iop, _local_outp, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1508);
                                flick_khazana_encode_new_glob(1219, _flick_abort1508);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      flick_unsigned32_t _t431_array_iter;
                                      flick_unsigned32_t _t432_array_iter;
                                      flick_unsigned32_t _t433_array_iter;

                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk(2);
                                      flick_cdr_encode_signed16(0, _return.first, CORBA_short );
                                      flick_khazana_encode_end_chunk(2);
                                      for (_t431_array_iter = 0; _t431_array_iter < 50; _t431_array_iter++)
                                        {
                                          flick_khazana_encode_new_chunk_align(5, 2, 0, 0);
                                          flick_cdr_encode_signed32(0, _return.data[_t431_array_iter].elem1, CORBA_long );
                                          flick_cdr_encode_char8(4, _return.data[_t431_array_iter].elem2, CORBA_char );
                                          flick_khazana_encode_end_chunk(5);
                                          continue;
                                        }
                                      flick_khazana_encode_new_chunk(5);
                                      flick_cdr_encode_signed16(1, _return.last, CORBA_short );
                                      flick_cdr_encode_signed16(3, _local_iop->first, CORBA_short );
                                      flick_khazana_encode_end_chunk(5);
                                      for (_t432_array_iter = 0; _t432_array_iter < 50; _t432_array_iter++)
                                        {
                                          flick_khazana_encode_new_chunk_align(5, 2, 0, 0);
                                          flick_cdr_encode_signed32(0, _local_iop->data[_t432_array_iter].elem1, CORBA_long );
                                          flick_cdr_encode_char8(4, _local_iop->data[_t432_array_iter].elem2, CORBA_char );
                                          flick_khazana_encode_end_chunk(5);
                                          continue;
                                        }
                                      flick_khazana_encode_new_chunk(5);
                                      flick_cdr_encode_signed16(1, _local_iop->last, CORBA_short );
                                      flick_cdr_encode_signed16(3, _local_outp->first, CORBA_short );
                                      flick_khazana_encode_end_chunk(5);
                                      for (_t433_array_iter = 0; _t433_array_iter < 50; _t433_array_iter++)
                                        {
                                          flick_khazana_encode_new_chunk_align(5, 2, 0, 0);
                                          flick_cdr_encode_signed32(0, _local_outp->data[_t433_array_iter].elem1, CORBA_long );
                                          flick_cdr_encode_char8(4, _local_outp->data[_t433_array_iter].elem2, CORBA_char );
                                          flick_khazana_encode_end_chunk(5);
                                          continue;
                                        }
                                      flick_khazana_encode_new_chunk(3);
                                      flick_cdr_encode_signed16(1, _local_outp->last, CORBA_short );
                                      flick_khazana_encode_end_chunk(3);
                                      flick_khazana_encode_end_glob(1219);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(1219);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1554);
                                      break;
                                      {
                                      _flick_abort1554:
                                        goto _flick_abort1508;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1555);
                                      flick_khazana_encode_end_glob(1219);
                                      break;
                                      {
                                      _flick_abort1555:
                                        goto _flick_abort1508;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort1508:
                                goto _flick_abort1507;
                              }
                            }
                            break;
                            {
                            _flick_abort1507:
                              goto _flick_abort155;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort155);
                            flick_khazana_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _cCL */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600340812):
                    {
                      unsigned short int _t434_switch_tag;

                      flick_khazana_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t434_switch_tag, unsigned short int );
                      flick_khazana_decode_end_chunk(2);
                      switch ((unsigned short int )_t434_switch_tag)
                        {
                        case /* d */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25600):
                          {
                            {
                              arrays _obj;
                              unsigned int _t435_principal_len;
                              struct cCLd _return;
                              struct cCLd *_local_inp;
                              struct cCLd _t436_storage;
                              flick_unsigned32_t _t437_array_iter;
                              struct cCLd *_local_iop;
                              struct cCLd _t438_storage;
                              flick_unsigned32_t _t439_array_iter;
                              struct cCLd *_local_outp;
                              struct cCLd _t440_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t441_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort1557);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t435_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(6);
                              flick_khazana_decode_end_glob(20);
                              flick_khazana_check_span(_t435_principal_len + 1, _flick_abort1557);
                              flick_khazana_decode_new_glob(_t435_principal_len);
                              flick_khazana_decode_new_chunk(_t435_principal_len);
                              flick_khazana_decode_end_chunk(_t435_principal_len);
                              flick_khazana_decode_end_glob(_t435_principal_len);
                              /* Begin decode phase on parameters */
                              _local_inp = (struct cCLd *)(&_t436_storage);
                              flick_khazana_decode_new_glob(826);
                              flick_khazana_decode_new_chunk(1);
                              flick_cdr_swap_decode_char8(0, _local_inp->first, CORBA_char );
                              flick_khazana_decode_end_chunk(1);
                              for (_t437_array_iter = 0; _t437_array_iter < 50; _t437_array_iter++)
                                {
                                  flick_khazana_check_span(1, _flick_abort1561);
                                  flick_khazana_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _local_inp->data[_t437_array_iter].elem1, CORBA_char );
                                  flick_khazana_decode_end_chunk(1);
                                  flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                                  flick_khazana_check_span(4, _flick_abort1561);
                                  flick_cdr_swap_decode_signed32(0, _local_inp->data[_t437_array_iter].elem2, CORBA_long );
                                  flick_khazana_decode_end_chunk(4);
                                  continue;
                                  {
                                  _flick_abort1561:
                                    goto _flick_abort1557;
                                  }
                                }
                              flick_khazana_decode_new_chunk_align(9, 3, 2, 0);
                              flick_khazana_check_span(9, _flick_abort1557);
                              flick_cdr_swap_decode_float64(0, _local_inp->last, CORBA_double );
                              _local_iop = (struct cCLd *)(&_t438_storage);
                              flick_cdr_swap_decode_char8(8, _local_iop->first, CORBA_char );
                              flick_khazana_decode_end_chunk(9);
                              for (_t439_array_iter = 0; _t439_array_iter < 50; _t439_array_iter++)
                                {
                                  flick_khazana_check_span(1, _flick_abort1566);
                                  flick_khazana_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _local_iop->data[_t439_array_iter].elem1, CORBA_char );
                                  flick_khazana_decode_end_chunk(1);
                                  flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                                  flick_khazana_check_span(4, _flick_abort1566);
                                  flick_cdr_swap_decode_signed32(0, _local_iop->data[_t439_array_iter].elem2, CORBA_long );
                                  flick_khazana_decode_end_chunk(4);
                                  continue;
                                  {
                                  _flick_abort1566:
                                    goto _flick_abort1557;
                                  }
                                }
                              flick_khazana_decode_new_chunk_align(8, 3, 2, 0);
                              flick_khazana_check_span(8, _flick_abort1557);
                              flick_cdr_swap_decode_float64(0, _local_iop->last, CORBA_double );
                              _local_outp = (struct cCLd *)(&_t440_storage);
                              _ev = (CORBA_Environment *)(&_t441_storage);
                              flick_khazana_decode_end_chunk(8);
                              flick_khazana_decode_end_glob(826);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = arrays_test_cCLd(_obj, _local_inp, _local_iop, _local_outp, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1557);
                                flick_khazana_encode_new_glob(1243, _flick_abort1557);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      flick_unsigned32_t _t445_array_iter;
                                      flick_unsigned32_t _t446_array_iter;
                                      flick_unsigned32_t _t447_array_iter;

                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk(1);
                                      flick_cdr_encode_char8(0, _return.first, CORBA_char );
                                      flick_khazana_encode_end_chunk(1);
                                      for (_t445_array_iter = 0; _t445_array_iter < 50; _t445_array_iter++)
                                        {
                                          flick_khazana_encode_new_chunk(1);
                                          flick_cdr_encode_char8(0, _return.data[_t445_array_iter].elem1, CORBA_char );
                                          flick_khazana_encode_end_chunk(1);
                                          flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
                                          flick_cdr_encode_signed32(0, _return.data[_t445_array_iter].elem2, CORBA_long );
                                          flick_khazana_encode_end_chunk(4);
                                          continue;
                                        }
                                      flick_khazana_encode_new_chunk_align(9, 3, 2, 0);
                                      flick_cdr_encode_float64(0, _return.last, CORBA_double );
                                      flick_cdr_encode_char8(8, _local_iop->first, CORBA_char );
                                      flick_khazana_encode_end_chunk(9);
                                      for (_t446_array_iter = 0; _t446_array_iter < 50; _t446_array_iter++)
                                        {
                                          flick_khazana_encode_new_chunk(1);
                                          flick_cdr_encode_char8(0, _local_iop->data[_t446_array_iter].elem1, CORBA_char );
                                          flick_khazana_encode_end_chunk(1);
                                          flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
                                          flick_cdr_encode_signed32(0, _local_iop->data[_t446_array_iter].elem2, CORBA_long );
                                          flick_khazana_encode_end_chunk(4);
                                          continue;
                                        }
                                      flick_khazana_encode_new_chunk_align(9, 3, 2, 0);
                                      flick_cdr_encode_float64(0, _local_iop->last, CORBA_double );
                                      flick_cdr_encode_char8(8, _local_outp->first, CORBA_char );
                                      flick_khazana_encode_end_chunk(9);
                                      for (_t447_array_iter = 0; _t447_array_iter < 50; _t447_array_iter++)
                                        {
                                          flick_khazana_encode_new_chunk(1);
                                          flick_cdr_encode_char8(0, _local_outp->data[_t447_array_iter].elem1, CORBA_char );
                                          flick_khazana_encode_end_chunk(1);
                                          flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
                                          flick_cdr_encode_signed32(0, _local_outp->data[_t447_array_iter].elem2, CORBA_long );
                                          flick_khazana_encode_end_chunk(4);
                                          continue;
                                        }
                                      flick_khazana_encode_new_chunk_align(8, 3, 2, 0);
                                      flick_cdr_encode_float64(0, _local_outp->last, CORBA_double );
                                      flick_khazana_encode_end_chunk(8);
                                      flick_khazana_encode_end_glob(1243);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(1243);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1603);
                                      break;
                                      {
                                      _flick_abort1603:
                                        goto _flick_abort1557;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1604);
                                      flick_khazana_encode_end_glob(1243);
                                      break;
                                      {
                                      _flick_abort1604:
                                        goto _flick_abort1557;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort1557:
                                goto _flick_abort1556;
                              }
                            }
                            break;
                            {
                            _flick_abort1556:
                              goto _flick_abort155;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort155);
                            flick_khazana_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _dCL */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600406348):
                    {
                      unsigned short int _t448_switch_tag;

                      flick_khazana_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t448_switch_tag, unsigned short int );
                      flick_khazana_decode_end_chunk(2);
                      switch ((unsigned short int )_t448_switch_tag)
                        {
                        case /* c */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25344):
                          {
                            {
                              arrays _obj;
                              unsigned int _t449_principal_len;
                              struct dCLc _return;
                              struct dCLc *_local_inp;
                              struct dCLc _t450_storage;
                              flick_unsigned32_t _t451_array_iter;
                              struct dCLc *_local_iop;
                              struct dCLc _t452_storage;
                              flick_unsigned32_t _t453_array_iter;
                              struct dCLc *_local_outp;
                              struct dCLc _t454_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t455_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort1606);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t449_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(6);
                              flick_khazana_decode_end_glob(20);
                              flick_khazana_check_span(_t449_principal_len, _flick_abort1606);
                              flick_khazana_decode_new_glob(_t449_principal_len);
                              flick_khazana_decode_new_chunk(_t449_principal_len);
                              flick_khazana_decode_end_chunk(_t449_principal_len);
                              flick_khazana_decode_end_glob(_t449_principal_len);
                              /* Begin decode phase on parameters */
                              _local_inp = (struct dCLc *)(&_t450_storage);
                              flick_khazana_decode_new_glob(832);
                              flick_khazana_decode_new_chunk_align(8, 3, 0, 0);
                              flick_khazana_check_span(50 * 8 + (50 * 8 + 1) + 24, _flick_abort1606);
                              flick_cdr_swap_decode_float64(0, _local_inp->first, CORBA_double );
                              flick_khazana_decode_end_chunk(8);
                              for (_t451_array_iter = 0; _t451_array_iter < 50; _t451_array_iter++)
                                {
                                  flick_khazana_decode_new_chunk(8);
                                  flick_cdr_swap_decode_char8(0, _local_inp->data[_t451_array_iter].elem1, CORBA_char );
                                  flick_cdr_swap_decode_signed32(4, _local_inp->data[_t451_array_iter].elem2, CORBA_long );
                                  flick_khazana_decode_end_chunk(8);
                                  continue;
                                }
                              flick_khazana_decode_new_chunk(16);
                              flick_cdr_swap_decode_char8(0, _local_inp->last, CORBA_char );
                              _local_iop = (struct dCLc *)(&_t452_storage);
                              flick_cdr_swap_decode_float64(8, _local_iop->first, CORBA_double );
                              flick_khazana_decode_end_chunk(16);
                              for (_t453_array_iter = 0; _t453_array_iter < 50; _t453_array_iter++)
                                {
                                  flick_khazana_decode_new_chunk(8);
                                  flick_cdr_swap_decode_char8(0, _local_iop->data[_t453_array_iter].elem1, CORBA_char );
                                  flick_cdr_swap_decode_signed32(4, _local_iop->data[_t453_array_iter].elem2, CORBA_long );
                                  flick_khazana_decode_end_chunk(8);
                                  continue;
                                }
                              flick_khazana_decode_new_chunk(1);
                              flick_cdr_swap_decode_char8(0, _local_iop->last, CORBA_char );
                              _local_outp = (struct dCLc *)(&_t454_storage);
                              _ev = (CORBA_Environment *)(&_t455_storage);
                              flick_khazana_decode_end_chunk(1);
                              flick_khazana_decode_end_glob(832);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = arrays_test_dCLc(_obj, _local_inp, _local_iop, _local_outp, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1606);
                                flick_khazana_encode_new_glob(1249, _flick_abort1606);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      flick_unsigned32_t _t459_array_iter;
                                      flick_unsigned32_t _t460_array_iter;
                                      flick_unsigned32_t _t461_array_iter;

                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk_align(8, 3, 2, 0);
                                      flick_cdr_encode_float64(0, _return.first, CORBA_double );
                                      flick_khazana_encode_end_chunk(8);
                                      for (_t459_array_iter = 0; _t459_array_iter < 50; _t459_array_iter++)
                                        {
                                          flick_khazana_encode_new_chunk(8);
                                          flick_cdr_encode_char8(0, _return.data[_t459_array_iter].elem1, CORBA_char );
                                          flick_cdr_encode_signed32(4, _return.data[_t459_array_iter].elem2, CORBA_long );
                                          flick_khazana_encode_end_chunk(8);
                                          continue;
                                        }
                                      flick_khazana_encode_new_chunk(16);
                                      flick_cdr_encode_char8(0, _return.last, CORBA_char );
                                      flick_cdr_encode_float64(8, _local_iop->first, CORBA_double );
                                      flick_khazana_encode_end_chunk(16);
                                      for (_t460_array_iter = 0; _t460_array_iter < 50; _t460_array_iter++)
                                        {
                                          flick_khazana_encode_new_chunk(8);
                                          flick_cdr_encode_char8(0, _local_iop->data[_t460_array_iter].elem1, CORBA_char );
                                          flick_cdr_encode_signed32(4, _local_iop->data[_t460_array_iter].elem2, CORBA_long );
                                          flick_khazana_encode_end_chunk(8);
                                          continue;
                                        }
                                      flick_khazana_encode_new_chunk(16);
                                      flick_cdr_encode_char8(0, _local_iop->last, CORBA_char );
                                      flick_cdr_encode_float64(8, _local_outp->first, CORBA_double );
                                      flick_khazana_encode_end_chunk(16);
                                      for (_t461_array_iter = 0; _t461_array_iter < 50; _t461_array_iter++)
                                        {
                                          flick_khazana_encode_new_chunk(8);
                                          flick_cdr_encode_char8(0, _local_outp->data[_t461_array_iter].elem1, CORBA_char );
                                          flick_cdr_encode_signed32(4, _local_outp->data[_t461_array_iter].elem2, CORBA_long );
                                          flick_khazana_encode_end_chunk(8);
                                          continue;
                                        }
                                      flick_khazana_encode_new_chunk(1);
                                      flick_cdr_encode_char8(0, _local_outp->last, CORBA_char );
                                      flick_khazana_encode_end_chunk(1);
                                      flick_khazana_encode_end_glob(1249);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(1249);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1652);
                                      break;
                                      {
                                      _flick_abort1652:
                                        goto _flick_abort1606;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1653);
                                      flick_khazana_encode_end_glob(1249);
                                      break;
                                      {
                                      _flick_abort1653:
                                        goto _flick_abort1606;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort1606:
                                goto _flick_abort1605;
                              }
                            }
                            break;
                            {
                            _flick_abort1605:
                              goto _flick_abort155;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort155);
                            flick_khazana_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _sCL */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601389388):
                    {
                      unsigned short int _t462_switch_tag;

                      flick_khazana_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t462_switch_tag, unsigned short int );
                      flick_khazana_decode_end_chunk(2);
                      switch ((unsigned short int )_t462_switch_tag)
                        {
                        case /* s */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29440):
                          {
                            {
                              arrays _obj;
                              unsigned int _t463_principal_len;
                              struct sCLs _return;
                              struct sCLs *_local_inp;
                              struct sCLs _t464_storage;
                              flick_unsigned32_t _t465_array_iter;
                              struct sCLs *_local_iop;
                              struct sCLs _t466_storage;
                              flick_unsigned32_t _t467_array_iter;
                              struct sCLs *_local_outp;
                              struct sCLs _t468_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t469_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort1655);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(6);
                              flick_cdr_swap_decode_unsigned32(2, _t463_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(6);
                              flick_khazana_decode_end_glob(20);
                              flick_khazana_check_span(_t463_principal_len, _flick_abort1655);
                              flick_khazana_decode_new_glob(_t463_principal_len);
                              flick_khazana_decode_new_chunk(_t463_principal_len);
                              flick_khazana_decode_end_chunk(_t463_principal_len);
                              flick_khazana_decode_end_glob(_t463_principal_len);
                              /* Begin decode phase on parameters */
                              _local_inp = (struct sCLs *)(&_t464_storage);
                              flick_khazana_decode_new_glob(809);
                              flick_khazana_decode_new_chunk_align(2, 1, 0, 0);
                              flick_khazana_check_span(2, _flick_abort1655);
                              flick_cdr_swap_decode_signed16(0, _local_inp->first, CORBA_short );
                              flick_khazana_decode_end_chunk(2);
                              for (_t465_array_iter = 0; _t465_array_iter < 50; _t465_array_iter++)
                                {
                                  flick_khazana_check_span(1, _flick_abort1659);
                                  flick_khazana_decode_new_chunk(1);
                                  flick_cdr_swap_decode_char8(0, _local_inp->data[_t465_array_iter].elem1, CORBA_char );
                                  flick_khazana_decode_end_chunk(1);
                                  flick_khazana_decode_new_chunk_align(4, 2, 1, 1);
                                  flick_khazana_check_span(4, _flick_abort1659);
                                  flick_cdr_swap_decode_signed32(0, _local_inp->data[_t465_array_iter].elem2, CORBA_long );
                                  flick_khazana_decode_end_chunk(4);
                                  continue;
                                  {
                                  _flick_abort1659:
                                    goto _flick_abort1655;
                                  }
                                }
                              flick_khazana_check_span(50 * 8 + 2 + 4, _flick_abort1655);
                              flick_khazana_decode_new_chunk(4);
                              flick_cdr_swap_decode_signed16(0, _local_inp->last, CORBA_short );
                              _local_iop = (struct sCLs *)(&_t466_storage);
                              flick_cdr_swap_decode_signed16(2, _local_iop->first, CORBA_short );
                              flick_khazana_decode_end_chunk(4);
                              for (_t467_array_iter = 0; _t467_array_iter < 50; _t467_array_iter++)
                                {
                                  flick_khazana_decode_new_chunk(8);
                                  flick_cdr_swap_decode_char8(0, _local_iop->data[_t467_array_iter].elem1, CORBA_char );
                                  flick_cdr_swap_decode_signed32(4, _local_iop->data[_t467_array_iter].elem2, CORBA_long );
                                  flick_khazana_decode_end_chunk(8);
                                  continue;
                                }
                              flick_khazana_decode_new_chunk(2);
                              flick_cdr_swap_decode_signed16(0, _local_iop->last, CORBA_short );
                              _local_outp = (struct sCLs *)(&_t468_storage);
                              _ev = (CORBA_Environment *)(&_t469_storage);
                              flick_khazana_decode_end_chunk(2);
                              flick_khazana_decode_end_glob(809);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = arrays_test_sCLs(_obj, _local_inp, _local_iop, _local_outp, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1655);
                                flick_khazana_encode_new_glob(1216, _flick_abort1655);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      flick_unsigned32_t _t473_array_iter;
                                      flick_unsigned32_t _t474_array_iter;
                                      flick_unsigned32_t _t475_array_iter;

                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk(2);
                                      flick_cdr_encode_signed16(0, _return.first, CORBA_short );
                                      flick_khazana_encode_end_chunk(2);
                                      for (_t473_array_iter = 0; _t473_array_iter < 50; _t473_array_iter++)
                                        {
                                          flick_khazana_encode_new_chunk(1);
                                          flick_cdr_encode_char8(0, _return.data[_t473_array_iter].elem1, CORBA_char );
                                          flick_khazana_encode_end_chunk(1);
                                          flick_khazana_encode_new_chunk_align(4, 2, 1, 1);
                                          flick_cdr_encode_signed32(0, _return.data[_t473_array_iter].elem2, CORBA_long );
                                          flick_khazana_encode_end_chunk(4);
                                          continue;
                                        }
                                      flick_khazana_encode_new_chunk(4);
                                      flick_cdr_encode_signed16(0, _return.last, CORBA_short );
                                      flick_cdr_encode_signed16(2, _local_iop->first, CORBA_short );
                                      flick_khazana_encode_end_chunk(4);
                                      for (_t474_array_iter = 0; _t474_array_iter < 50; _t474_array_iter++)
                                        {
                                          flick_khazana_encode_new_chunk(8);
                                          flick_cdr_encode_char8(0, _local_iop->data[_t474_array_iter].elem1, CORBA_char );
                                          flick_cdr_encode_signed32(4, _local_iop->data[_t474_array_iter].elem2, CORBA_long );
                                          flick_khazana_encode_end_chunk(8);
                                          continue;
                                        }
                                      flick_khazana_encode_new_chunk(4);
                                      flick_cdr_encode_signed16(0, _local_iop->last, CORBA_short );
                                      flick_cdr_encode_signed16(2, _local_outp->first, CORBA_short );
                                      flick_khazana_encode_end_chunk(4);
                                      for (_t475_array_iter = 0; _t475_array_iter < 50; _t475_array_iter++)
                                        {
                                          flick_khazana_encode_new_chunk(8);
                                          flick_cdr_encode_char8(0, _local_outp->data[_t475_array_iter].elem1, CORBA_char );
                                          flick_cdr_encode_signed32(4, _local_outp->data[_t475_array_iter].elem2, CORBA_long );
                                          flick_khazana_encode_end_chunk(8);
                                          continue;
                                        }
                                      flick_khazana_encode_new_chunk(2);
                                      flick_cdr_encode_signed16(0, _local_outp->last, CORBA_short );
                                      flick_khazana_encode_end_chunk(2);
                                      flick_khazana_encode_end_glob(1216);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(1216);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1701);
                                      break;
                                      {
                                      _flick_abort1701:
                                        goto _flick_abort1655;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1702);
                                      flick_khazana_encode_end_glob(1216);
                                      break;
                                      {
                                      _flick_abort1702:
                                        goto _flick_abort1655;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort1655:
                                goto _flick_abort1654;
                              }
                            }
                            break;
                            {
                            _flick_abort1654:
                              goto _flick_abort155;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort155);
                            flick_khazana_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort155);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort155);
                flick_khazana_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t476_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t476_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t476_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t477_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t477_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t477_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t478_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t479_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t480_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort1704);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t478_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(20);
                        flick_khazana_check_span(_t478_principal_len, _flick_abort1704);
                        flick_khazana_decode_new_glob(_t478_principal_len);
                        flick_khazana_decode_new_chunk(_t478_principal_len);
                        flick_khazana_decode_end_chunk(_t478_principal_len);
                        flick_khazana_decode_end_glob(_t478_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort1704);
                        flick_cdr_swap_decode_unsigned32(0, _t479_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t479_temp_string_len);
                        flick_khazana_check_span(1 * _t479_temp_string_len, _flick_abort1704);
                        flick_khazana_decode_new_chunk(1 * _t479_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t479_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t479_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t480_storage);
                        _par = flick_interface_parents_arrays;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1704);
                          flick_khazana_encode_new_glob(5, _flick_abort1704);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1712);
                                break;
                                {
                                _flick_abort1712:
                                  goto _flick_abort1704;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1713);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort1713:
                                  goto _flick_abort1704;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort1704:
                          goto _flick_abort1703;
                        }
                      }
                      break;
                      {
                      _flick_abort1703:
                        goto _flick_abort155;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort155);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort155);
                flick_khazana_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort155);
          flick_khazana_decode_end_glob(20);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t133_switch_tag;

    flick_khazana_decode_new_glob(20);
    flick_khazana_check_span(16, _flick_abort155);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t133_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t133_switch_tag)
      {
      case (unsigned int) 9:
        {
          unsigned int _t134_switch_tag;

          flick_khazana_check_span(16, _flick_abort155);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t134_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t134_switch_tag)
            {
            case /* test */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
              {
                unsigned int _t135_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t135_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t135_switch_tag)
                  {
                  case /* _cLd */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600343140):
                    {
                      char _t136_switch_tag;

                      flick_khazana_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t136_switch_tag, char );
                      flick_khazana_decode_end_chunk(1);
                      switch ((char )_t136_switch_tag)
                        {
                        case 0:
                          {
                            {
                              arrays _obj;
                              unsigned int _t137_principal_len;
                              struct cLd _return;
                              struct cLd *_local_inp;
                              struct cLd _t138_storage;
                              struct cLd *_local_iop;
                              struct cLd _t139_storage;
                              struct cLd *_local_outp;
                              struct cLd _t140_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t141_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort538);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(7);
                              flick_cdr_decode_unsigned32(3, _t137_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(7);
                              flick_khazana_decode_end_glob(20);
                              flick_khazana_check_span(_t137_principal_len + 1, _flick_abort538);
                              flick_khazana_decode_new_glob(_t137_principal_len);
                              flick_khazana_decode_new_chunk(_t137_principal_len);
                              flick_khazana_decode_end_chunk(_t137_principal_len);
                              flick_khazana_decode_end_glob(_t137_principal_len);
                              /* Begin decode phase on parameters */
                              _local_inp = (struct cLd *)(&_t138_storage);
                              flick_khazana_decode_new_glob(432);
                              flick_khazana_decode_new_chunk(1);
                              flick_cdr_decode_char8(0, _local_inp->first, CORBA_char );
                              flick_khazana_decode_end_chunk(1);
                              flick_khazana_decode_new_chunk_align(200, 2, 0, 0);
                              flick_khazana_check_span(200, _flick_abort538);
                              flick_cdr_decode_bcopy(0, _local_inp->data, 200);
                              flick_khazana_decode_end_chunk(200);
                              flick_khazana_decode_new_chunk_align(224, 3, 2, 0);
                              flick_khazana_check_span(224, _flick_abort538);
                              flick_cdr_decode_float64(0, _local_inp->last, CORBA_double );
                              _local_iop = (struct cLd *)(&_t139_storage);
                              flick_cdr_decode_char8(8, _local_iop->first, CORBA_char );
                              flick_cdr_decode_bcopy(12, _local_iop->data, 200);
                              flick_cdr_decode_float64(216, _local_iop->last, CORBA_double );
                              _local_outp = (struct cLd *)(&_t140_storage);
                              _ev = (CORBA_Environment *)(&_t141_storage);
                              flick_khazana_decode_end_chunk(224);
                              flick_khazana_decode_end_glob(432);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = arrays_test_cLd(_obj, _local_inp, _local_iop, _local_outp, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort538);
                                flick_khazana_encode_new_glob(652, _flick_abort538);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk(204);
                                      flick_cdr_encode_char8(0, _return.first, CORBA_char );
                                      flick_cdr_encode_bcopy(4, _return.data, 200);
                                      flick_khazana_encode_end_chunk(204);
                                      flick_khazana_encode_new_chunk_align(440, 3, 2, 0);
                                      flick_cdr_encode_float64(0, _return.last, CORBA_double );
                                      flick_cdr_encode_char8(8, _local_iop->first, CORBA_char );
                                      flick_cdr_encode_bcopy(12, _local_iop->data, 200);
                                      flick_cdr_encode_float64(216, _local_iop->last, CORBA_double );
                                      flick_cdr_encode_char8(224, _local_outp->first, CORBA_char );
                                      flick_cdr_encode_bcopy(228, _local_outp->data, 200);
                                      flick_cdr_encode_float64(432, _local_outp->last, CORBA_double );
                                      flick_khazana_encode_end_chunk(440);
                                      flick_khazana_encode_end_glob(652);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(652);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort560);
                                      break;
                                      {
                                      _flick_abort560:
                                        goto _flick_abort538;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort561);
                                      flick_khazana_encode_end_glob(652);
                                      break;
                                      {
                                      _flick_abort561:
                                        goto _flick_abort538;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort538:
                                goto _flick_abort537;
                              }
                            }
                            break;
                            {
                            _flick_abort537:
                              goto _flick_abort155;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort155);
                            flick_khazana_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _dLc */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600408675):
                    {
                      char _t142_switch_tag;

                      flick_khazana_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t142_switch_tag, char );
                      flick_khazana_decode_end_chunk(1);
                      switch ((char )_t142_switch_tag)
                        {
                        case 0:
                          {
                            {
                              arrays _obj;
                              unsigned int _t143_principal_len;
                              struct dLc _return;
                              struct dLc *_local_inp;
                              struct dLc _t144_storage;
                              struct dLc *_local_iop;
                              struct dLc _t145_storage;
                              struct dLc *_local_outp;
                              struct dLc _t146_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t147_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort563);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(7);
                              flick_cdr_decode_unsigned32(3, _t143_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(7);
                              flick_khazana_decode_end_glob(20);
                              flick_khazana_check_span(_t143_principal_len, _flick_abort563);
                              flick_khazana_decode_new_glob(_t143_principal_len);
                              flick_khazana_decode_new_chunk(_t143_principal_len);
                              flick_khazana_decode_end_chunk(_t143_principal_len);
                              flick_khazana_decode_end_glob(_t143_principal_len);
                              /* Begin decode phase on parameters */
                              _local_inp = (struct dLc *)(&_t144_storage);
                              flick_khazana_decode_new_glob(432);
                              flick_khazana_decode_new_chunk_align(425, 3, 0, 0);
                              flick_khazana_check_span(425, _flick_abort563);
                              flick_cdr_decode_float64(0, _local_inp->first, CORBA_double );
                              flick_cdr_decode_bcopy(8, _local_inp->data, 200);
                              flick_cdr_decode_char8(208, _local_inp->last, CORBA_char );
                              _local_iop = (struct dLc *)(&_t145_storage);
                              flick_cdr_decode_float64(216, _local_iop->first, CORBA_double );
                              flick_cdr_decode_bcopy(224, _local_iop->data, 200);
                              flick_cdr_decode_char8(424, _local_iop->last, CORBA_char );
                              _local_outp = (struct dLc *)(&_t146_storage);
                              _ev = (CORBA_Environment *)(&_t147_storage);
                              flick_khazana_decode_end_chunk(425);
                              flick_khazana_decode_end_glob(432);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = arrays_test_dLc(_obj, _local_inp, _local_iop, _local_outp, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort563);
                                flick_khazana_encode_new_glob(649, _flick_abort563);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk_align(641, 3, 2, 0);
                                      flick_cdr_encode_float64(0, _return.first, CORBA_double );
                                      flick_cdr_encode_bcopy(8, _return.data, 200);
                                      flick_cdr_encode_char8(208, _return.last, CORBA_char );
                                      flick_cdr_encode_float64(216, _local_iop->first, CORBA_double );
                                      flick_cdr_encode_bcopy(224, _local_iop->data, 200);
                                      flick_cdr_encode_char8(424, _local_iop->last, CORBA_char );
                                      flick_cdr_encode_float64(432, _local_outp->first, CORBA_double );
                                      flick_cdr_encode_bcopy(440, _local_outp->data, 200);
                                      flick_cdr_encode_char8(640, _local_outp->last, CORBA_char );
                                      flick_khazana_encode_end_chunk(641);
                                      flick_khazana_encode_end_glob(649);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(649);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort585);
                                      break;
                                      {
                                      _flick_abort585:
                                        goto _flick_abort563;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort586);
                                      flick_khazana_encode_end_glob(649);
                                      break;
                                      {
                                      _flick_abort586:
                                        goto _flick_abort563;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort563:
                                goto _flick_abort562;
                              }
                            }
                            break;
                            {
                            _flick_abort562:
                              goto _flick_abort155;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort155);
                            flick_khazana_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _sLs */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601391731):
                    {
                      char _t148_switch_tag;

                      flick_khazana_decode_new_chunk(1);
                      flick_cdr_decode_char8(0, _t148_switch_tag, char );
                      flick_khazana_decode_end_chunk(1);
                      switch ((char )_t148_switch_tag)
                        {
                        case 0:
                          {
                            {
                              arrays _obj;
                              unsigned int _t149_principal_len;
                              struct sLs _return;
                              struct sLs *_local_inp;
                              struct sLs _t150_storage;
                              struct sLs *_local_iop;
                              struct sLs _t151_storage;
                              struct sLs *_local_outp;
                              struct sLs _t152_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t153_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort588);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(7);
                              flick_cdr_decode_unsigned32(3, _t149_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(7);
                              flick_khazana_decode_end_glob(20);
                              flick_khazana_check_span(_t149_principal_len, _flick_abort588);
                              flick_khazana_decode_new_glob(_t149_principal_len);
                              flick_khazana_decode_new_chunk(_t149_principal_len);
                              flick_khazana_decode_end_chunk(_t149_principal_len);
                              flick_khazana_decode_end_glob(_t149_principal_len);
                              /* Begin decode phase on parameters */
                              _local_inp = (struct sLs *)(&_t150_storage);
                              flick_khazana_decode_new_glob(411);
                              flick_khazana_decode_new_chunk_align(2, 1, 0, 0);
                              flick_khazana_check_span(2, _flick_abort588);
                              flick_cdr_decode_signed16(0, _local_inp->first, CORBA_short );
                              flick_khazana_decode_end_chunk(2);
                              flick_khazana_decode_new_chunk_align(406, 2, 1, 0);
                              flick_khazana_check_span(406, _flick_abort588);
                              flick_cdr_decode_bcopy(0, _local_inp->data, 200);
                              flick_cdr_decode_signed16(200, _local_inp->last, CORBA_short );
                              _local_iop = (struct sLs *)(&_t151_storage);
                              flick_cdr_decode_signed16(202, _local_iop->first, CORBA_short );
                              flick_cdr_decode_bcopy(204, _local_iop->data, 200);
                              flick_cdr_decode_signed16(404, _local_iop->last, CORBA_short );
                              _local_outp = (struct sLs *)(&_t152_storage);
                              _ev = (CORBA_Environment *)(&_t153_storage);
                              flick_khazana_decode_end_chunk(406);
                              flick_khazana_decode_end_glob(411);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = arrays_test_sLs(_obj, _local_inp, _local_iop, _local_outp, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort588);
                                flick_khazana_encode_new_glob(618, _flick_abort588);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk(614);
                                      flick_cdr_encode_signed16(0, _return.first, CORBA_short );
                                      flick_cdr_encode_bcopy(4, _return.data, 200);
                                      flick_cdr_encode_signed16(204, _return.last, CORBA_short );
                                      flick_cdr_encode_signed16(206, _local_iop->first, CORBA_short );
                                      flick_cdr_encode_bcopy(208, _local_iop->data, 200);
                                      flick_cdr_encode_signed16(408, _local_iop->last, CORBA_short );
                                      flick_cdr_encode_signed16(410, _local_outp->first, CORBA_short );
                                      flick_cdr_encode_bcopy(412, _local_outp->data, 200);
                                      flick_cdr_encode_signed16(612, _local_outp->last, CORBA_short );
                                      flick_khazana_encode_end_chunk(614);
                                      flick_khazana_encode_end_glob(618);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(618);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort610);
                                      break;
                                      {
                                      _flick_abort610:
                                        goto _flick_abort588;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort611);
                                      flick_khazana_encode_end_glob(618);
                                      break;
                                      {
                                      _flick_abort611:
                                        goto _flick_abort588;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort588:
                                goto _flick_abort587;
                              }
                            }
                            break;
                            {
                            _flick_abort587:
                              goto _flick_abort155;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort155);
                            flick_khazana_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort155);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort155);
                flick_khazana_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 10:
        {
          unsigned int _t154_switch_tag;

          flick_khazana_check_span(16, _flick_abort155);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t154_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t154_switch_tag)
            {
            case /* test */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1952805748):
              {
                unsigned int _t155_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t155_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t155_switch_tag)
                  {
                  case /* _cLC */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600343107):
                    {
                      unsigned short int _t156_switch_tag;

                      flick_khazana_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t156_switch_tag, unsigned short int );
                      flick_khazana_decode_end_chunk(2);
                      switch ((unsigned short int )_t156_switch_tag)
                        {
                        case /* d */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25600):
                          {
                            {
                              arrays _obj;
                              unsigned int _t157_principal_len;
                              struct cLCd _return;
                              struct cLCd *_local_inp;
                              struct cLCd _t158_storage;
                              flick_unsigned32_t _t159_array_iter;
                              struct cLCd *_local_iop;
                              struct cLCd _t160_storage;
                              flick_unsigned32_t _t161_array_iter;
                              struct cLCd *_local_outp;
                              struct cLCd _t162_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t163_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort613);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t157_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(6);
                              flick_khazana_decode_end_glob(20);
                              flick_khazana_check_span(_t157_principal_len + 1, _flick_abort613);
                              flick_khazana_decode_new_glob(_t157_principal_len);
                              flick_khazana_decode_new_chunk(_t157_principal_len);
                              flick_khazana_decode_end_chunk(_t157_principal_len);
                              flick_khazana_decode_end_glob(_t157_principal_len);
                              /* Begin decode phase on parameters */
                              _local_inp = (struct cLCd *)(&_t158_storage);
                              flick_khazana_decode_new_glob(832);
                              flick_khazana_decode_new_chunk(1);
                              flick_cdr_decode_char8(0, _local_inp->first, CORBA_char );
                              flick_khazana_decode_end_chunk(1);
                              for (_t159_array_iter = 0; _t159_array_iter < 50; _t159_array_iter++)
                                {
                                  flick_khazana_decode_new_chunk_align(5, 2, 0, 0);
                                  flick_khazana_check_span(5, _flick_abort617);
                                  flick_cdr_decode_signed32(0, _local_inp->data[_t159_array_iter].elem1, CORBA_long );
                                  flick_cdr_decode_char8(4, _local_inp->data[_t159_array_iter].elem2, CORBA_char );
                                  flick_khazana_decode_end_chunk(5);
                                  continue;
                                  {
                                  _flick_abort617:
                                    goto _flick_abort613;
                                  }
                                }
                              flick_khazana_decode_new_chunk_align(9, 3, 2, 1);
                              flick_khazana_check_span(50 * 8 + 15 + 9, _flick_abort613);
                              flick_cdr_decode_float64(0, _local_inp->last, CORBA_double );
                              _local_iop = (struct cLCd *)(&_t160_storage);
                              flick_cdr_decode_char8(8, _local_iop->first, CORBA_char );
                              flick_khazana_decode_end_chunk(9);
                              for (_t161_array_iter = 0; _t161_array_iter < 50; _t161_array_iter++)
                                {
                                  flick_khazana_decode_new_chunk(8);
                                  flick_cdr_decode_signed32(3, _local_iop->data[_t161_array_iter].elem1, CORBA_long );
                                  flick_cdr_decode_char8(7, _local_iop->data[_t161_array_iter].elem2, CORBA_char );
                                  flick_khazana_decode_end_chunk(8);
                                  continue;
                                }
                              flick_khazana_decode_new_chunk(15);
                              flick_cdr_decode_float64(7, _local_iop->last, CORBA_double );
                              _local_outp = (struct cLCd *)(&_t162_storage);
                              _ev = (CORBA_Environment *)(&_t163_storage);
                              flick_khazana_decode_end_chunk(15);
                              flick_khazana_decode_end_glob(832);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = arrays_test_cLCd(_obj, _local_inp, _local_iop, _local_outp, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort613);
                                flick_khazana_encode_new_glob(1252, _flick_abort613);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      flick_unsigned32_t _t167_array_iter;
                                      flick_unsigned32_t _t168_array_iter;
                                      flick_unsigned32_t _t169_array_iter;

                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk(1);
                                      flick_cdr_encode_char8(0, _return.first, CORBA_char );
                                      flick_khazana_encode_end_chunk(1);
                                      for (_t167_array_iter = 0; _t167_array_iter < 50; _t167_array_iter++)
                                        {
                                          flick_khazana_encode_new_chunk(8);
                                          flick_cdr_encode_signed32(3, _return.data[_t167_array_iter].elem1, CORBA_long );
                                          flick_cdr_encode_char8(7, _return.data[_t167_array_iter].elem2, CORBA_char );
                                          flick_khazana_encode_end_chunk(8);
                                          continue;
                                        }
                                      flick_khazana_encode_new_chunk_align(9, 3, 2, 1);
                                      flick_cdr_encode_float64(0, _return.last, CORBA_double );
                                      flick_cdr_encode_char8(8, _local_iop->first, CORBA_char );
                                      flick_khazana_encode_end_chunk(9);
                                      for (_t168_array_iter = 0; _t168_array_iter < 50; _t168_array_iter++)
                                        {
                                          flick_khazana_encode_new_chunk(8);
                                          flick_cdr_encode_signed32(3, _local_iop->data[_t168_array_iter].elem1, CORBA_long );
                                          flick_cdr_encode_char8(7, _local_iop->data[_t168_array_iter].elem2, CORBA_char );
                                          flick_khazana_encode_end_chunk(8);
                                          continue;
                                        }
                                      flick_khazana_encode_new_chunk(16);
                                      flick_cdr_encode_float64(7, _local_iop->last, CORBA_double );
                                      flick_cdr_encode_char8(15, _local_outp->first, CORBA_char );
                                      flick_khazana_encode_end_chunk(16);
                                      for (_t169_array_iter = 0; _t169_array_iter < 50; _t169_array_iter++)
                                        {
                                          flick_khazana_encode_new_chunk(8);
                                          flick_cdr_encode_signed32(3, _local_outp->data[_t169_array_iter].elem1, CORBA_long );
                                          flick_cdr_encode_char8(7, _local_outp->data[_t169_array_iter].elem2, CORBA_char );
                                          flick_khazana_encode_end_chunk(8);
                                          continue;
                                        }
                                      flick_khazana_encode_new_chunk(15);
                                      flick_cdr_encode_float64(7, _local_outp->last, CORBA_double );
                                      flick_khazana_encode_end_chunk(15);
                                      flick_khazana_encode_end_glob(1252);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(1252);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort659);
                                      break;
                                      {
                                      _flick_abort659:
                                        goto _flick_abort613;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort660);
                                      flick_khazana_encode_end_glob(1252);
                                      break;
                                      {
                                      _flick_abort660:
                                        goto _flick_abort613;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort613:
                                goto _flick_abort612;
                              }
                            }
                            break;
                            {
                            _flick_abort612:
                              goto _flick_abort155;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort155);
                            flick_khazana_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _dLC */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600408643):
                    {
                      unsigned short int _t170_switch_tag;

                      flick_khazana_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t170_switch_tag, unsigned short int );
                      flick_khazana_decode_end_chunk(2);
                      switch ((unsigned short int )_t170_switch_tag)
                        {
                        case /* c */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25344):
                          {
                            {
                              arrays _obj;
                              unsigned int _t171_principal_len;
                              struct dLCc _return;
                              struct dLCc *_local_inp;
                              struct dLCc _t172_storage;
                              flick_unsigned32_t _t173_array_iter;
                              struct dLCc *_local_iop;
                              struct dLCc _t174_storage;
                              flick_unsigned32_t _t175_array_iter;
                              struct dLCc *_local_outp;
                              struct dLCc _t176_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t177_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort662);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t171_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(6);
                              flick_khazana_decode_end_glob(20);
                              flick_khazana_check_span(_t171_principal_len, _flick_abort662);
                              flick_khazana_decode_new_glob(_t171_principal_len);
                              flick_khazana_decode_new_chunk(_t171_principal_len);
                              flick_khazana_decode_end_chunk(_t171_principal_len);
                              flick_khazana_decode_end_glob(_t171_principal_len);
                              /* Begin decode phase on parameters */
                              _local_inp = (struct dLCc *)(&_t172_storage);
                              flick_khazana_decode_new_glob(831);
                              flick_khazana_decode_new_chunk_align(8, 3, 0, 0);
                              flick_khazana_check_span(8, _flick_abort662);
                              flick_cdr_decode_float64(0, _local_inp->first, CORBA_double );
                              flick_khazana_decode_end_chunk(8);
                              for (_t173_array_iter = 0; _t173_array_iter < 50; _t173_array_iter++)
                                {
                                  flick_khazana_decode_new_chunk_align(5, 2, 0, 0);
                                  flick_khazana_check_span(5, _flick_abort666);
                                  flick_cdr_decode_signed32(0, _local_inp->data[_t173_array_iter].elem1, CORBA_long );
                                  flick_cdr_decode_char8(4, _local_inp->data[_t173_array_iter].elem2, CORBA_char );
                                  flick_khazana_decode_end_chunk(5);
                                  continue;
                                  {
                                  _flick_abort666:
                                    goto _flick_abort662;
                                  }
                                }
                              flick_khazana_check_span(1, _flick_abort662);
                              flick_khazana_decode_new_chunk(1);
                              flick_cdr_decode_char8(0, _local_inp->last, CORBA_char );
                              _local_iop = (struct dLCc *)(&_t174_storage);
                              flick_khazana_decode_end_chunk(1);
                              flick_khazana_decode_new_chunk_align(8, 3, 2, 2);
                              flick_khazana_check_span(8, _flick_abort662);
                              flick_cdr_decode_float64(0, _local_iop->first, CORBA_double );
                              flick_khazana_decode_end_chunk(8);
                              for (_t175_array_iter = 0; _t175_array_iter < 50; _t175_array_iter++)
                                {
                                  flick_khazana_decode_new_chunk_align(5, 2, 0, 0);
                                  flick_khazana_check_span(5, _flick_abort671);
                                  flick_cdr_decode_signed32(0, _local_iop->data[_t175_array_iter].elem1, CORBA_long );
                                  flick_cdr_decode_char8(4, _local_iop->data[_t175_array_iter].elem2, CORBA_char );
                                  flick_khazana_decode_end_chunk(5);
                                  continue;
                                  {
                                  _flick_abort671:
                                    goto _flick_abort662;
                                  }
                                }
                              flick_khazana_check_span(1, _flick_abort662);
                              flick_khazana_decode_new_chunk(1);
                              flick_cdr_decode_char8(0, _local_iop->last, CORBA_char );
                              _local_outp = (struct dLCc *)(&_t176_storage);
                              _ev = (CORBA_Environment *)(&_t177_storage);
                              flick_khazana_decode_end_chunk(1);
                              flick_khazana_decode_end_glob(831);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = arrays_test_dLCc(_obj, _local_inp, _local_iop, _local_outp, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort662);
                                flick_khazana_encode_new_glob(1247, _flick_abort662);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      flick_unsigned32_t _t181_array_iter;
                                      flick_unsigned32_t _t182_array_iter;
                                      flick_unsigned32_t _t183_array_iter;

                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk_align(8, 3, 2, 0);
                                      flick_cdr_encode_float64(0, _return.first, CORBA_double );
                                      flick_khazana_encode_end_chunk(8);
                                      for (_t181_array_iter = 0; _t181_array_iter < 50; _t181_array_iter++)
                                        {
                                          flick_khazana_encode_new_chunk_align(5, 2, 0, 0);
                                          flick_cdr_encode_signed32(0, _return.data[_t181_array_iter].elem1, CORBA_long );
                                          flick_cdr_encode_char8(4, _return.data[_t181_array_iter].elem2, CORBA_char );
                                          flick_khazana_encode_end_chunk(5);
                                          continue;
                                        }
                                      flick_khazana_encode_new_chunk(1);
                                      flick_cdr_encode_char8(0, _return.last, CORBA_char );
                                      flick_khazana_encode_end_chunk(1);
                                      flick_khazana_encode_new_chunk_align(8, 3, 2, 2);
                                      flick_cdr_encode_float64(0, _local_iop->first, CORBA_double );
                                      flick_khazana_encode_end_chunk(8);
                                      for (_t182_array_iter = 0; _t182_array_iter < 50; _t182_array_iter++)
                                        {
                                          flick_khazana_encode_new_chunk_align(5, 2, 0, 0);
                                          flick_cdr_encode_signed32(0, _local_iop->data[_t182_array_iter].elem1, CORBA_long );
                                          flick_cdr_encode_char8(4, _local_iop->data[_t182_array_iter].elem2, CORBA_char );
                                          flick_khazana_encode_end_chunk(5);
                                          continue;
                                        }
                                      flick_khazana_encode_new_chunk(1);
                                      flick_cdr_encode_char8(0, _local_iop->last, CORBA_char );
                                      flick_khazana_encode_end_chunk(1);
                                      flick_khazana_encode_new_chunk_align(8, 3, 2, 2);
                                      flick_cdr_encode_float64(0, _local_outp->first, CORBA_double );
                                      flick_khazana_encode_end_chunk(8);
                                      for (_t183_array_iter = 0; _t183_array_iter < 50; _t183_array_iter++)
                                        {
                                          flick_khazana_encode_new_chunk_align(5, 2, 0, 0);
                                          flick_cdr_encode_signed32(0, _local_outp->data[_t183_array_iter].elem1, CORBA_long );
                                          flick_cdr_encode_char8(4, _local_outp->data[_t183_array_iter].elem2, CORBA_char );
                                          flick_khazana_encode_end_chunk(5);
                                          continue;
                                        }
                                      flick_khazana_encode_new_chunk(1);
                                      flick_cdr_encode_char8(0, _local_outp->last, CORBA_char );
                                      flick_khazana_encode_end_chunk(1);
                                      flick_khazana_encode_end_glob(1247);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(1247);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort708);
                                      break;
                                      {
                                      _flick_abort708:
                                        goto _flick_abort662;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort709);
                                      flick_khazana_encode_end_glob(1247);
                                      break;
                                      {
                                      _flick_abort709:
                                        goto _flick_abort662;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort662:
                                goto _flick_abort661;
                              }
                            }
                            break;
                            {
                            _flick_abort661:
                              goto _flick_abort155;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort155);
                            flick_khazana_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _sLC */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601391683):
                    {
                      unsigned short int _t184_switch_tag;

                      flick_khazana_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t184_switch_tag, unsigned short int );
                      flick_khazana_decode_end_chunk(2);
                      switch ((unsigned short int )_t184_switch_tag)
                        {
                        case /* s */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29440):
                          {
                            {
                              arrays _obj;
                              unsigned int _t185_principal_len;
                              struct sLCs _return;
                              struct sLCs *_local_inp;
                              struct sLCs _t186_storage;
                              flick_unsigned32_t _t187_array_iter;
                              struct sLCs *_local_iop;
                              struct sLCs _t188_storage;
                              flick_unsigned32_t _t189_array_iter;
                              struct sLCs *_local_outp;
                              struct sLCs _t190_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t191_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort711);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t185_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(6);
                              flick_khazana_decode_end_glob(20);
                              flick_khazana_check_span(_t185_principal_len, _flick_abort711);
                              flick_khazana_decode_new_glob(_t185_principal_len);
                              flick_khazana_decode_new_chunk(_t185_principal_len);
                              flick_khazana_decode_end_chunk(_t185_principal_len);
                              flick_khazana_decode_end_glob(_t185_principal_len);
                              /* Begin decode phase on parameters */
                              _local_inp = (struct sLCs *)(&_t186_storage);
                              flick_khazana_decode_new_glob(811);
                              flick_khazana_decode_new_chunk_align(2, 1, 0, 0);
                              flick_khazana_check_span(2, _flick_abort711);
                              flick_cdr_decode_signed16(0, _local_inp->first, CORBA_short );
                              flick_khazana_decode_end_chunk(2);
                              for (_t187_array_iter = 0; _t187_array_iter < 50; _t187_array_iter++)
                                {
                                  flick_khazana_decode_new_chunk_align(5, 2, 0, 0);
                                  flick_khazana_check_span(5, _flick_abort715);
                                  flick_cdr_decode_signed32(0, _local_inp->data[_t187_array_iter].elem1, CORBA_long );
                                  flick_cdr_decode_char8(4, _local_inp->data[_t187_array_iter].elem2, CORBA_char );
                                  flick_khazana_decode_end_chunk(5);
                                  continue;
                                  {
                                  _flick_abort715:
                                    goto _flick_abort711;
                                  }
                                }
                              flick_khazana_check_span(5, _flick_abort711);
                              flick_khazana_decode_new_chunk(5);
                              flick_cdr_decode_signed16(1, _local_inp->last, CORBA_short );
                              _local_iop = (struct sLCs *)(&_t188_storage);
                              flick_cdr_decode_signed16(3, _local_iop->first, CORBA_short );
                              flick_khazana_decode_end_chunk(5);
                              for (_t189_array_iter = 0; _t189_array_iter < 50; _t189_array_iter++)
                                {
                                  flick_khazana_decode_new_chunk_align(5, 2, 0, 0);
                                  flick_khazana_check_span(5, _flick_abort720);
                                  flick_cdr_decode_signed32(0, _local_iop->data[_t189_array_iter].elem1, CORBA_long );
                                  flick_cdr_decode_char8(4, _local_iop->data[_t189_array_iter].elem2, CORBA_char );
                                  flick_khazana_decode_end_chunk(5);
                                  continue;
                                  {
                                  _flick_abort720:
                                    goto _flick_abort711;
                                  }
                                }
                              flick_khazana_check_span(3, _flick_abort711);
                              flick_khazana_decode_new_chunk(3);
                              flick_cdr_decode_signed16(1, _local_iop->last, CORBA_short );
                              _local_outp = (struct sLCs *)(&_t190_storage);
                              _ev = (CORBA_Environment *)(&_t191_storage);
                              flick_khazana_decode_end_chunk(3);
                              flick_khazana_decode_end_glob(811);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = arrays_test_sLCs(_obj, _local_inp, _local_iop, _local_outp, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort711);
                                flick_khazana_encode_new_glob(1219, _flick_abort711);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      flick_unsigned32_t _t195_array_iter;
                                      flick_unsigned32_t _t196_array_iter;
                                      flick_unsigned32_t _t197_array_iter;

                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk(2);
                                      flick_cdr_encode_signed16(0, _return.first, CORBA_short );
                                      flick_khazana_encode_end_chunk(2);
                                      for (_t195_array_iter = 0; _t195_array_iter < 50; _t195_array_iter++)
                                        {
                                          flick_khazana_encode_new_chunk_align(5, 2, 0, 0);
                                          flick_cdr_encode_signed32(0, _return.data[_t195_array_iter].elem1, CORBA_long );
                                          flick_cdr_encode_char8(4, _return.data[_t195_array_iter].elem2, CORBA_char );
                                          flick_khazana_encode_end_chunk(5);
                                          continue;
                                        }
                                      flick_khazana_encode_new_chunk(5);
                                      flick_cdr_encode_signed16(1, _return.last, CORBA_short );
                                      flick_cdr_encode_signed16(3, _local_iop->first, CORBA_short );
                                      flick_khazana_encode_end_chunk(5);
                                      for (_t196_array_iter = 0; _t196_array_iter < 50; _t196_array_iter++)
                                        {
                                          flick_khazana_encode_new_chunk_align(5, 2, 0, 0);
                                          flick_cdr_encode_signed32(0, _local_iop->data[_t196_array_iter].elem1, CORBA_long );
                                          flick_cdr_encode_char8(4, _local_iop->data[_t196_array_iter].elem2, CORBA_char );
                                          flick_khazana_encode_end_chunk(5);
                                          continue;
                                        }
                                      flick_khazana_encode_new_chunk(5);
                                      flick_cdr_encode_signed16(1, _local_iop->last, CORBA_short );
                                      flick_cdr_encode_signed16(3, _local_outp->first, CORBA_short );
                                      flick_khazana_encode_end_chunk(5);
                                      for (_t197_array_iter = 0; _t197_array_iter < 50; _t197_array_iter++)
                                        {
                                          flick_khazana_encode_new_chunk_align(5, 2, 0, 0);
                                          flick_cdr_encode_signed32(0, _local_outp->data[_t197_array_iter].elem1, CORBA_long );
                                          flick_cdr_encode_char8(4, _local_outp->data[_t197_array_iter].elem2, CORBA_char );
                                          flick_khazana_encode_end_chunk(5);
                                          continue;
                                        }
                                      flick_khazana_encode_new_chunk(3);
                                      flick_cdr_encode_signed16(1, _local_outp->last, CORBA_short );
                                      flick_khazana_encode_end_chunk(3);
                                      flick_khazana_encode_end_glob(1219);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(1219);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort757);
                                      break;
                                      {
                                      _flick_abort757:
                                        goto _flick_abort711;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort758);
                                      flick_khazana_encode_end_glob(1219);
                                      break;
                                      {
                                      _flick_abort758:
                                        goto _flick_abort711;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort711:
                                goto _flick_abort710;
                              }
                            }
                            break;
                            {
                            _flick_abort710:
                              goto _flick_abort155;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort155);
                            flick_khazana_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _cCL */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600340812):
                    {
                      unsigned short int _t198_switch_tag;

                      flick_khazana_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t198_switch_tag, unsigned short int );
                      flick_khazana_decode_end_chunk(2);
                      switch ((unsigned short int )_t198_switch_tag)
                        {
                        case /* d */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25600):
                          {
                            {
                              arrays _obj;
                              unsigned int _t199_principal_len;
                              struct cCLd _return;
                              struct cCLd *_local_inp;
                              struct cCLd _t200_storage;
                              flick_unsigned32_t _t201_array_iter;
                              struct cCLd *_local_iop;
                              struct cCLd _t202_storage;
                              flick_unsigned32_t _t203_array_iter;
                              struct cCLd *_local_outp;
                              struct cCLd _t204_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t205_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort760);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t199_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(6);
                              flick_khazana_decode_end_glob(20);
                              flick_khazana_check_span(_t199_principal_len + 1, _flick_abort760);
                              flick_khazana_decode_new_glob(_t199_principal_len);
                              flick_khazana_decode_new_chunk(_t199_principal_len);
                              flick_khazana_decode_end_chunk(_t199_principal_len);
                              flick_khazana_decode_end_glob(_t199_principal_len);
                              /* Begin decode phase on parameters */
                              _local_inp = (struct cCLd *)(&_t200_storage);
                              flick_khazana_decode_new_glob(826);
                              flick_khazana_decode_new_chunk(1);
                              flick_cdr_decode_char8(0, _local_inp->first, CORBA_char );
                              flick_khazana_decode_end_chunk(1);
                              for (_t201_array_iter = 0; _t201_array_iter < 50; _t201_array_iter++)
                                {
                                  flick_khazana_check_span(1, _flick_abort764);
                                  flick_khazana_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _local_inp->data[_t201_array_iter].elem1, CORBA_char );
                                  flick_khazana_decode_end_chunk(1);
                                  flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                                  flick_khazana_check_span(4, _flick_abort764);
                                  flick_cdr_decode_signed32(0, _local_inp->data[_t201_array_iter].elem2, CORBA_long );
                                  flick_khazana_decode_end_chunk(4);
                                  continue;
                                  {
                                  _flick_abort764:
                                    goto _flick_abort760;
                                  }
                                }
                              flick_khazana_decode_new_chunk_align(9, 3, 2, 0);
                              flick_khazana_check_span(9, _flick_abort760);
                              flick_cdr_decode_float64(0, _local_inp->last, CORBA_double );
                              _local_iop = (struct cCLd *)(&_t202_storage);
                              flick_cdr_decode_char8(8, _local_iop->first, CORBA_char );
                              flick_khazana_decode_end_chunk(9);
                              for (_t203_array_iter = 0; _t203_array_iter < 50; _t203_array_iter++)
                                {
                                  flick_khazana_check_span(1, _flick_abort769);
                                  flick_khazana_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _local_iop->data[_t203_array_iter].elem1, CORBA_char );
                                  flick_khazana_decode_end_chunk(1);
                                  flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                                  flick_khazana_check_span(4, _flick_abort769);
                                  flick_cdr_decode_signed32(0, _local_iop->data[_t203_array_iter].elem2, CORBA_long );
                                  flick_khazana_decode_end_chunk(4);
                                  continue;
                                  {
                                  _flick_abort769:
                                    goto _flick_abort760;
                                  }
                                }
                              flick_khazana_decode_new_chunk_align(8, 3, 2, 0);
                              flick_khazana_check_span(8, _flick_abort760);
                              flick_cdr_decode_float64(0, _local_iop->last, CORBA_double );
                              _local_outp = (struct cCLd *)(&_t204_storage);
                              _ev = (CORBA_Environment *)(&_t205_storage);
                              flick_khazana_decode_end_chunk(8);
                              flick_khazana_decode_end_glob(826);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = arrays_test_cCLd(_obj, _local_inp, _local_iop, _local_outp, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort760);
                                flick_khazana_encode_new_glob(1243, _flick_abort760);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      flick_unsigned32_t _t209_array_iter;
                                      flick_unsigned32_t _t210_array_iter;
                                      flick_unsigned32_t _t211_array_iter;

                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk(1);
                                      flick_cdr_encode_char8(0, _return.first, CORBA_char );
                                      flick_khazana_encode_end_chunk(1);
                                      for (_t209_array_iter = 0; _t209_array_iter < 50; _t209_array_iter++)
                                        {
                                          flick_khazana_encode_new_chunk(1);
                                          flick_cdr_encode_char8(0, _return.data[_t209_array_iter].elem1, CORBA_char );
                                          flick_khazana_encode_end_chunk(1);
                                          flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
                                          flick_cdr_encode_signed32(0, _return.data[_t209_array_iter].elem2, CORBA_long );
                                          flick_khazana_encode_end_chunk(4);
                                          continue;
                                        }
                                      flick_khazana_encode_new_chunk_align(9, 3, 2, 0);
                                      flick_cdr_encode_float64(0, _return.last, CORBA_double );
                                      flick_cdr_encode_char8(8, _local_iop->first, CORBA_char );
                                      flick_khazana_encode_end_chunk(9);
                                      for (_t210_array_iter = 0; _t210_array_iter < 50; _t210_array_iter++)
                                        {
                                          flick_khazana_encode_new_chunk(1);
                                          flick_cdr_encode_char8(0, _local_iop->data[_t210_array_iter].elem1, CORBA_char );
                                          flick_khazana_encode_end_chunk(1);
                                          flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
                                          flick_cdr_encode_signed32(0, _local_iop->data[_t210_array_iter].elem2, CORBA_long );
                                          flick_khazana_encode_end_chunk(4);
                                          continue;
                                        }
                                      flick_khazana_encode_new_chunk_align(9, 3, 2, 0);
                                      flick_cdr_encode_float64(0, _local_iop->last, CORBA_double );
                                      flick_cdr_encode_char8(8, _local_outp->first, CORBA_char );
                                      flick_khazana_encode_end_chunk(9);
                                      for (_t211_array_iter = 0; _t211_array_iter < 50; _t211_array_iter++)
                                        {
                                          flick_khazana_encode_new_chunk(1);
                                          flick_cdr_encode_char8(0, _local_outp->data[_t211_array_iter].elem1, CORBA_char );
                                          flick_khazana_encode_end_chunk(1);
                                          flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
                                          flick_cdr_encode_signed32(0, _local_outp->data[_t211_array_iter].elem2, CORBA_long );
                                          flick_khazana_encode_end_chunk(4);
                                          continue;
                                        }
                                      flick_khazana_encode_new_chunk_align(8, 3, 2, 0);
                                      flick_cdr_encode_float64(0, _local_outp->last, CORBA_double );
                                      flick_khazana_encode_end_chunk(8);
                                      flick_khazana_encode_end_glob(1243);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(1243);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort806);
                                      break;
                                      {
                                      _flick_abort806:
                                        goto _flick_abort760;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort807);
                                      flick_khazana_encode_end_glob(1243);
                                      break;
                                      {
                                      _flick_abort807:
                                        goto _flick_abort760;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort760:
                                goto _flick_abort759;
                              }
                            }
                            break;
                            {
                            _flick_abort759:
                              goto _flick_abort155;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort155);
                            flick_khazana_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _dCL */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600406348):
                    {
                      unsigned short int _t212_switch_tag;

                      flick_khazana_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t212_switch_tag, unsigned short int );
                      flick_khazana_decode_end_chunk(2);
                      switch ((unsigned short int )_t212_switch_tag)
                        {
                        case /* c */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25344):
                          {
                            {
                              arrays _obj;
                              unsigned int _t213_principal_len;
                              struct dCLc _return;
                              struct dCLc *_local_inp;
                              struct dCLc _t214_storage;
                              flick_unsigned32_t _t215_array_iter;
                              struct dCLc *_local_iop;
                              struct dCLc _t216_storage;
                              flick_unsigned32_t _t217_array_iter;
                              struct dCLc *_local_outp;
                              struct dCLc _t218_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t219_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort809);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t213_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(6);
                              flick_khazana_decode_end_glob(20);
                              flick_khazana_check_span(_t213_principal_len, _flick_abort809);
                              flick_khazana_decode_new_glob(_t213_principal_len);
                              flick_khazana_decode_new_chunk(_t213_principal_len);
                              flick_khazana_decode_end_chunk(_t213_principal_len);
                              flick_khazana_decode_end_glob(_t213_principal_len);
                              /* Begin decode phase on parameters */
                              _local_inp = (struct dCLc *)(&_t214_storage);
                              flick_khazana_decode_new_glob(832);
                              flick_khazana_decode_new_chunk_align(8, 3, 0, 0);
                              flick_khazana_check_span(50 * 8 + (50 * 8 + 1) + 24, _flick_abort809);
                              flick_cdr_decode_float64(0, _local_inp->first, CORBA_double );
                              flick_khazana_decode_end_chunk(8);
                              for (_t215_array_iter = 0; _t215_array_iter < 50; _t215_array_iter++)
                                {
                                  flick_khazana_decode_new_chunk(8);
                                  flick_cdr_decode_char8(0, _local_inp->data[_t215_array_iter].elem1, CORBA_char );
                                  flick_cdr_decode_signed32(4, _local_inp->data[_t215_array_iter].elem2, CORBA_long );
                                  flick_khazana_decode_end_chunk(8);
                                  continue;
                                }
                              flick_khazana_decode_new_chunk(16);
                              flick_cdr_decode_char8(0, _local_inp->last, CORBA_char );
                              _local_iop = (struct dCLc *)(&_t216_storage);
                              flick_cdr_decode_float64(8, _local_iop->first, CORBA_double );
                              flick_khazana_decode_end_chunk(16);
                              for (_t217_array_iter = 0; _t217_array_iter < 50; _t217_array_iter++)
                                {
                                  flick_khazana_decode_new_chunk(8);
                                  flick_cdr_decode_char8(0, _local_iop->data[_t217_array_iter].elem1, CORBA_char );
                                  flick_cdr_decode_signed32(4, _local_iop->data[_t217_array_iter].elem2, CORBA_long );
                                  flick_khazana_decode_end_chunk(8);
                                  continue;
                                }
                              flick_khazana_decode_new_chunk(1);
                              flick_cdr_decode_char8(0, _local_iop->last, CORBA_char );
                              _local_outp = (struct dCLc *)(&_t218_storage);
                              _ev = (CORBA_Environment *)(&_t219_storage);
                              flick_khazana_decode_end_chunk(1);
                              flick_khazana_decode_end_glob(832);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = arrays_test_dCLc(_obj, _local_inp, _local_iop, _local_outp, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort809);
                                flick_khazana_encode_new_glob(1249, _flick_abort809);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      flick_unsigned32_t _t223_array_iter;
                                      flick_unsigned32_t _t224_array_iter;
                                      flick_unsigned32_t _t225_array_iter;

                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk_align(8, 3, 2, 0);
                                      flick_cdr_encode_float64(0, _return.first, CORBA_double );
                                      flick_khazana_encode_end_chunk(8);
                                      for (_t223_array_iter = 0; _t223_array_iter < 50; _t223_array_iter++)
                                        {
                                          flick_khazana_encode_new_chunk(8);
                                          flick_cdr_encode_char8(0, _return.data[_t223_array_iter].elem1, CORBA_char );
                                          flick_cdr_encode_signed32(4, _return.data[_t223_array_iter].elem2, CORBA_long );
                                          flick_khazana_encode_end_chunk(8);
                                          continue;
                                        }
                                      flick_khazana_encode_new_chunk(16);
                                      flick_cdr_encode_char8(0, _return.last, CORBA_char );
                                      flick_cdr_encode_float64(8, _local_iop->first, CORBA_double );
                                      flick_khazana_encode_end_chunk(16);
                                      for (_t224_array_iter = 0; _t224_array_iter < 50; _t224_array_iter++)
                                        {
                                          flick_khazana_encode_new_chunk(8);
                                          flick_cdr_encode_char8(0, _local_iop->data[_t224_array_iter].elem1, CORBA_char );
                                          flick_cdr_encode_signed32(4, _local_iop->data[_t224_array_iter].elem2, CORBA_long );
                                          flick_khazana_encode_end_chunk(8);
                                          continue;
                                        }
                                      flick_khazana_encode_new_chunk(16);
                                      flick_cdr_encode_char8(0, _local_iop->last, CORBA_char );
                                      flick_cdr_encode_float64(8, _local_outp->first, CORBA_double );
                                      flick_khazana_encode_end_chunk(16);
                                      for (_t225_array_iter = 0; _t225_array_iter < 50; _t225_array_iter++)
                                        {
                                          flick_khazana_encode_new_chunk(8);
                                          flick_cdr_encode_char8(0, _local_outp->data[_t225_array_iter].elem1, CORBA_char );
                                          flick_cdr_encode_signed32(4, _local_outp->data[_t225_array_iter].elem2, CORBA_long );
                                          flick_khazana_encode_end_chunk(8);
                                          continue;
                                        }
                                      flick_khazana_encode_new_chunk(1);
                                      flick_cdr_encode_char8(0, _local_outp->last, CORBA_char );
                                      flick_khazana_encode_end_chunk(1);
                                      flick_khazana_encode_end_glob(1249);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(1249);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort855);
                                      break;
                                      {
                                      _flick_abort855:
                                        goto _flick_abort809;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort856);
                                      flick_khazana_encode_end_glob(1249);
                                      break;
                                      {
                                      _flick_abort856:
                                        goto _flick_abort809;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort809:
                                goto _flick_abort808;
                              }
                            }
                            break;
                            {
                            _flick_abort808:
                              goto _flick_abort155;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort155);
                            flick_khazana_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _sCL */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601389388):
                    {
                      unsigned short int _t226_switch_tag;

                      flick_khazana_decode_new_chunk(2);
                      flick_cdr_decode_unsigned16(0, _t226_switch_tag, unsigned short int );
                      flick_khazana_decode_end_chunk(2);
                      switch ((unsigned short int )_t226_switch_tag)
                        {
                        case /* s */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29440):
                          {
                            {
                              arrays _obj;
                              unsigned int _t227_principal_len;
                              struct sCLs _return;
                              struct sCLs *_local_inp;
                              struct sCLs _t228_storage;
                              flick_unsigned32_t _t229_array_iter;
                              struct sCLs *_local_iop;
                              struct sCLs _t230_storage;
                              flick_unsigned32_t _t231_array_iter;
                              struct sCLs *_local_outp;
                              struct sCLs _t232_storage;
                              CORBA_Environment *_ev;
                              CORBA_Environment _t233_storage;

                              flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort858);
                              /* Decode the requesting `Principal' pseudo object (client ID). */
                              flick_khazana_decode_new_chunk(6);
                              flick_cdr_decode_unsigned32(2, _t227_principal_len, unsigned int );
                              flick_khazana_decode_end_chunk(6);
                              flick_khazana_decode_end_glob(20);
                              flick_khazana_check_span(_t227_principal_len, _flick_abort858);
                              flick_khazana_decode_new_glob(_t227_principal_len);
                              flick_khazana_decode_new_chunk(_t227_principal_len);
                              flick_khazana_decode_end_chunk(_t227_principal_len);
                              flick_khazana_decode_end_glob(_t227_principal_len);
                              /* Begin decode phase on parameters */
                              _local_inp = (struct sCLs *)(&_t228_storage);
                              flick_khazana_decode_new_glob(809);
                              flick_khazana_decode_new_chunk_align(2, 1, 0, 0);
                              flick_khazana_check_span(2, _flick_abort858);
                              flick_cdr_decode_signed16(0, _local_inp->first, CORBA_short );
                              flick_khazana_decode_end_chunk(2);
                              for (_t229_array_iter = 0; _t229_array_iter < 50; _t229_array_iter++)
                                {
                                  flick_khazana_check_span(1, _flick_abort862);
                                  flick_khazana_decode_new_chunk(1);
                                  flick_cdr_decode_char8(0, _local_inp->data[_t229_array_iter].elem1, CORBA_char );
                                  flick_khazana_decode_end_chunk(1);
                                  flick_khazana_decode_new_chunk_align(4, 2, 1, 1);
                                  flick_khazana_check_span(4, _flick_abort862);
                                  flick_cdr_decode_signed32(0, _local_inp->data[_t229_array_iter].elem2, CORBA_long );
                                  flick_khazana_decode_end_chunk(4);
                                  continue;
                                  {
                                  _flick_abort862:
                                    goto _flick_abort858;
                                  }
                                }
                              flick_khazana_check_span(50 * 8 + 2 + 4, _flick_abort858);
                              flick_khazana_decode_new_chunk(4);
                              flick_cdr_decode_signed16(0, _local_inp->last, CORBA_short );
                              _local_iop = (struct sCLs *)(&_t230_storage);
                              flick_cdr_decode_signed16(2, _local_iop->first, CORBA_short );
                              flick_khazana_decode_end_chunk(4);
                              for (_t231_array_iter = 0; _t231_array_iter < 50; _t231_array_iter++)
                                {
                                  flick_khazana_decode_new_chunk(8);
                                  flick_cdr_decode_char8(0, _local_iop->data[_t231_array_iter].elem1, CORBA_char );
                                  flick_cdr_decode_signed32(4, _local_iop->data[_t231_array_iter].elem2, CORBA_long );
                                  flick_khazana_decode_end_chunk(8);
                                  continue;
                                }
                              flick_khazana_decode_new_chunk(2);
                              flick_cdr_decode_signed16(0, _local_iop->last, CORBA_short );
                              _local_outp = (struct sCLs *)(&_t232_storage);
                              _ev = (CORBA_Environment *)(&_t233_storage);
                              flick_khazana_decode_end_chunk(2);
                              flick_khazana_decode_end_glob(809);
                              flick_khazana_server_end_decode();
                              flick_corba_init_environment();
                              _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                              _return = arrays_test_sCLs(_obj, _local_inp, _local_iop, _local_outp, _ev);
                              _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                              _stub_state.state = FLICK_STATE_MARSHAL;
                              flick_khazana_server_start_encode();
                              {
                                flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort858);
                                flick_khazana_encode_new_glob(1216, _flick_abort858);
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                flick_khazana_encode_end_chunk(4);
                                switch (_ev->_major)
                                  {
                                  case CORBA_NO_EXCEPTION:
                                    {
                                      flick_unsigned32_t _t237_array_iter;
                                      flick_unsigned32_t _t238_array_iter;
                                      flick_unsigned32_t _t239_array_iter;

                                      /* Begin encode phase on parameters */
                                      flick_khazana_encode_new_chunk(2);
                                      flick_cdr_encode_signed16(0, _return.first, CORBA_short );
                                      flick_khazana_encode_end_chunk(2);
                                      for (_t237_array_iter = 0; _t237_array_iter < 50; _t237_array_iter++)
                                        {
                                          flick_khazana_encode_new_chunk(1);
                                          flick_cdr_encode_char8(0, _return.data[_t237_array_iter].elem1, CORBA_char );
                                          flick_khazana_encode_end_chunk(1);
                                          flick_khazana_encode_new_chunk_align(4, 2, 1, 1);
                                          flick_cdr_encode_signed32(0, _return.data[_t237_array_iter].elem2, CORBA_long );
                                          flick_khazana_encode_end_chunk(4);
                                          continue;
                                        }
                                      flick_khazana_encode_new_chunk(4);
                                      flick_cdr_encode_signed16(0, _return.last, CORBA_short );
                                      flick_cdr_encode_signed16(2, _local_iop->first, CORBA_short );
                                      flick_khazana_encode_end_chunk(4);
                                      for (_t238_array_iter = 0; _t238_array_iter < 50; _t238_array_iter++)
                                        {
                                          flick_khazana_encode_new_chunk(8);
                                          flick_cdr_encode_char8(0, _local_iop->data[_t238_array_iter].elem1, CORBA_char );
                                          flick_cdr_encode_signed32(4, _local_iop->data[_t238_array_iter].elem2, CORBA_long );
                                          flick_khazana_encode_end_chunk(8);
                                          continue;
                                        }
                                      flick_khazana_encode_new_chunk(4);
                                      flick_cdr_encode_signed16(0, _local_iop->last, CORBA_short );
                                      flick_cdr_encode_signed16(2, _local_outp->first, CORBA_short );
                                      flick_khazana_encode_end_chunk(4);
                                      for (_t239_array_iter = 0; _t239_array_iter < 50; _t239_array_iter++)
                                        {
                                          flick_khazana_encode_new_chunk(8);
                                          flick_cdr_encode_char8(0, _local_outp->data[_t239_array_iter].elem1, CORBA_char );
                                          flick_cdr_encode_signed32(4, _local_outp->data[_t239_array_iter].elem2, CORBA_long );
                                          flick_khazana_encode_end_chunk(8);
                                          continue;
                                        }
                                      flick_khazana_encode_new_chunk(2);
                                      flick_cdr_encode_signed16(0, _local_outp->last, CORBA_short );
                                      flick_khazana_encode_end_chunk(2);
                                      flick_khazana_encode_end_glob(1216);
                                      break;
                                    }
                                  case CORBA_SYSTEM_EXCEPTION:
                                    {
                                      flick_khazana_encode_end_glob(1216);
                                      flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort904);
                                      break;
                                      {
                                      _flick_abort904:
                                        goto _flick_abort858;
                                      }
                                    }
                                  default:
                                    {
                                      flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort905);
                                      flick_khazana_encode_end_glob(1216);
                                      break;
                                      {
                                      _flick_abort905:
                                        goto _flick_abort858;
                                      }
                                    }
                                  }
                              }
                              flick_khazana_server_end_encode();
                              break;
                              {
                              _flick_abort858:
                                goto _flick_abort857;
                              }
                            }
                            break;
                            {
                            _flick_abort857:
                              goto _flick_abort155;
                            }
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort155);
                            flick_khazana_decode_end_glob(20);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort155);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort155);
                flick_khazana_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t240_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t240_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t240_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t241_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t241_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t241_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t242_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t243_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t244_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort907);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t242_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(20);
                        flick_khazana_check_span(_t242_principal_len, _flick_abort907);
                        flick_khazana_decode_new_glob(_t242_principal_len);
                        flick_khazana_decode_new_chunk(_t242_principal_len);
                        flick_khazana_decode_end_chunk(_t242_principal_len);
                        flick_khazana_decode_end_glob(_t242_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort907);
                        flick_cdr_decode_unsigned32(0, _t243_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t243_temp_string_len);
                        flick_khazana_check_span(1 * _t243_temp_string_len, _flick_abort907);
                        flick_khazana_decode_new_chunk(1 * _t243_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t243_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t243_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t244_storage);
                        _par = flick_interface_parents_arrays;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort907);
                          flick_khazana_encode_new_glob(5, _flick_abort907);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort915);
                                break;
                                {
                                _flick_abort915:
                                  goto _flick_abort907;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort916);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort916:
                                  goto _flick_abort907;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort907:
                          goto _flick_abort906;
                        }
                      }
                      break;
                      {
                      _flick_abort906:
                        goto _flick_abort155;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort155);
                      flick_khazana_decode_end_glob(20);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort155);
                flick_khazana_decode_end_glob(20);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort155);
          flick_khazana_decode_end_glob(20);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort155:
    flick_corba_server_error(cdr, khazana, _flick_reaper, _flick_abort154);
  _flick_abort154:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

