#include "dif2-server.h"

/* This is the runtime type information */
char *flick_interface_parents_ex1[] = {
	"IDL:ex1:1.0",
	0
};

char *flick_interface_parents_ex2[] = {
	"IDL:ex2:1.0",
	"IDL:ex1:1.0",
	0
};

char *flick_interface_parents_ex3[] = {
	"IDL:ex3:1.0",
	"IDL:ex1:1.0",
	0
};

char *flick_interface_parents_ex4[] = {
	"IDL:ex4:1.0",
	"IDL:ex1:1.0",
	"IDL:ex2:1.0",
	"IDL:ex3:1.0",
	0
};

/* */

#include <assert.h>
#include <stdio.h>

/* You need to implement this function. */
void register_objects(CORBA_ORB orb, CORBA_BOA boa, int argc, char **argv,
                      CORBA_Environment *ev);

int main(int argc, char **argv)
{
	CORBA_Environment ev;
	CORBA_ORB orb;
	CORBA_BOA boa;
	if (argc < 3) {
		fprintf(stderr, "usage: %s [-ORBipaddr (local host ip address)] -OAport (portnum) ...\n", argv[0]);
		exit(1);
	}

	orb = CORBA_ORB_init(&argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize ORB.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	boa = CORBA_ORB_BOA_init(orb, &argc, argv, 0, &ev);
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception: unable to initialize Object adapter.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	register_objects(orb, boa, argc, argv, &ev);
	if (ev._major != CORBA_NO_EXCEPTION)
		fprintf(stderr, "ERROR: unable to register object implementations.\n");
	else {
		CORBA_BOA_impl_is_ready(boa, &ev);
	}
	if (ev._major != CORBA_NO_EXCEPTION) {
		fprintf(stderr, "%s exception encountered.\n", CORBA_exception_id(&ev));
		exit(1);
	}
	return 0;
}
int flick_marshal_stub_ex1(flick_marshal_stream_t _stream, ex1 *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdr_encode_IOR(khazana, *_data, 0, _flick_abort0);
  return 0;
  {
  _flick_abort0:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_ex1(flick_marshal_stream_t _stream, ex1 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_decode_IOR(khazana, *_data, 1);
  return 0;
}

int flick_unmarshal_stub_ex1_swap(flick_marshal_stream_t _stream, ex1 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swap_decode_IOR(khazana, *_data, 1);
  return 0;
}

flick_operation_success_t ex1_server(FLICK_TARGET _this_obj, flick_msg_t _in_msg, flick_msg_t *_out_msg)
{
  FLICK_BUFFER *_stream;
  flick_khazana_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t99_switch_tag;

    flick_khazana_decode_new_glob(16);
    flick_khazana_check_span(12, _flick_abort5);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t99_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t99_switch_tag)
      {
      case (unsigned int) 4:
        {
          unsigned int _t100_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t100_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t100_switch_tag)
            {
            case /* op0 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623296):
              {
                {
                  ex1 _obj;
                  unsigned int _t101_principal_len;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t102_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort231);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t101_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t101_principal_len, _flick_abort231);
                  flick_khazana_decode_new_glob(_t101_principal_len);
                  flick_khazana_decode_new_chunk(_t101_principal_len);
                  flick_khazana_decode_end_chunk(_t101_principal_len);
                  flick_khazana_decode_end_glob(_t101_principal_len);
                  /* Begin decode phase on parameters */
                  _ev = (CORBA_Environment *)(&_t102_storage);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  ex1_op0(_obj, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort231);
                    flick_khazana_encode_new_glob(4, _flick_abort231);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_end_glob(4);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(4);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort237);
                          break;
                          {
                          _flick_abort237:
                            goto _flick_abort231;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort238);
                          flick_khazana_encode_end_glob(4);
                          break;
                          {
                          _flick_abort238:
                            goto _flick_abort231;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort231:
                    goto _flick_abort230;
                  }
                }
                break;
                {
                _flick_abort230:
                  goto _flick_abort5;
                }
              }
            case /* op1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623552):
              {
                {
                  ex1 _obj;
                  unsigned int _t103_principal_len;
                  CORBA_float _return;
                  CORBA_float _local_f;
                  CORBA_double *_local_d;
                  CORBA_double _t104_storage;
                  CORBA_long *_local_l;
                  CORBA_long _t105_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t106_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort240);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t103_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t103_principal_len, _flick_abort240);
                  flick_khazana_decode_new_glob(_t103_principal_len);
                  flick_khazana_decode_new_chunk(_t103_principal_len);
                  flick_khazana_decode_end_chunk(_t103_principal_len);
                  flick_khazana_decode_end_glob(_t103_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0.000000;
                  flick_khazana_decode_new_glob(11);
                  flick_khazana_decode_new_chunk_align(8, 2, 0, 0);
                  flick_khazana_check_span(8, _flick_abort240);
                  flick_cdr_swap_decode_float32(0, _local_f, CORBA_float );
                  _local_d = (CORBA_double *)(&_t104_storage);
                  _local_l = (CORBA_long *)(&_t105_storage);
                  flick_cdr_swap_decode_signed32(4, *_local_l, CORBA_long );
                  _ev = (CORBA_Environment *)(&_t106_storage);
                  flick_khazana_decode_end_chunk(8);
                  flick_khazana_decode_end_glob(11);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex1_op1(_obj, _local_f, _local_d, _local_l, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort240);
                    flick_khazana_encode_new_glob(24, _flick_abort240);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_float32(0, _return, CORBA_float );
                          flick_khazana_encode_end_chunk(4);
                          flick_khazana_encode_new_chunk_align(12, 3, 2, 0);
                          flick_cdr_encode_float64(0, *_local_d, CORBA_double );
                          flick_cdr_encode_signed32(8, *_local_l, CORBA_long );
                          flick_khazana_encode_end_chunk(12);
                          flick_khazana_encode_end_glob(24);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(24);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort246);
                          break;
                          {
                          _flick_abort246:
                            goto _flick_abort240;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort247);
                          flick_khazana_encode_end_glob(24);
                          break;
                          {
                          _flick_abort247:
                            goto _flick_abort240;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort240:
                    goto _flick_abort239;
                  }
                }
                break;
                {
                _flick_abort239:
                  goto _flick_abort5;
                }
              }
            case /* op2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623808):
              {
                {
                  ex1 _obj;
                  unsigned int _t107_principal_len;
                  CORBA_double _return;
                  CORBA_double _local_d;
                  CORBA_long *_local_l;
                  CORBA_long _t108_storage;
                  CORBA_short *_local_s;
                  CORBA_short _t109_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t110_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort249);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t107_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t107_principal_len, _flick_abort249);
                  flick_khazana_decode_new_glob(_t107_principal_len);
                  flick_khazana_decode_new_chunk(_t107_principal_len);
                  flick_khazana_decode_end_chunk(_t107_principal_len);
                  flick_khazana_decode_end_glob(_t107_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0.000000;
                  flick_khazana_decode_new_glob(17);
                  flick_khazana_decode_new_chunk_align(10, 3, 0, 0);
                  flick_khazana_check_span(10, _flick_abort249);
                  flick_cdr_swap_decode_float64(0, _local_d, CORBA_double );
                  _local_l = (CORBA_long *)(&_t108_storage);
                  _local_s = (CORBA_short *)(&_t109_storage);
                  flick_cdr_swap_decode_signed16(8, *_local_s, CORBA_short );
                  _ev = (CORBA_Environment *)(&_t110_storage);
                  flick_khazana_decode_end_chunk(10);
                  flick_khazana_decode_end_glob(17);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex1_op2(_obj, _local_d, _local_l, _local_s, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort249);
                    flick_khazana_encode_new_glob(22, _flick_abort249);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk_align(14, 3, 2, 0);
                          flick_cdr_encode_float64(0, _return, CORBA_double );
                          flick_cdr_encode_signed32(8, *_local_l, CORBA_long );
                          flick_cdr_encode_signed16(12, *_local_s, CORBA_short );
                          flick_khazana_encode_end_chunk(14);
                          flick_khazana_encode_end_glob(22);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(22);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort255);
                          break;
                          {
                          _flick_abort255:
                            goto _flick_abort249;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort256);
                          flick_khazana_encode_end_glob(22);
                          break;
                          {
                          _flick_abort256:
                            goto _flick_abort249;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort249:
                    goto _flick_abort248;
                  }
                }
                break;
                {
                _flick_abort248:
                  goto _flick_abort5;
                }
              }
            case /* op3 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624064):
              {
                {
                  ex1 _obj;
                  unsigned int _t111_principal_len;
                  CORBA_long _return;
                  CORBA_long _local_l;
                  CORBA_short *_local_s;
                  CORBA_short _t112_storage;
                  CORBA_unsigned_long *_local_ul;
                  CORBA_unsigned_long _t113_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t114_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort258);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t111_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t111_principal_len, _flick_abort258);
                  flick_khazana_decode_new_glob(_t111_principal_len);
                  flick_khazana_decode_new_chunk(_t111_principal_len);
                  flick_khazana_decode_end_chunk(_t111_principal_len);
                  flick_khazana_decode_end_glob(_t111_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_khazana_decode_new_glob(11);
                  flick_khazana_decode_new_chunk_align(8, 2, 0, 0);
                  flick_khazana_check_span(8, _flick_abort258);
                  flick_cdr_swap_decode_signed32(0, _local_l, CORBA_long );
                  _local_s = (CORBA_short *)(&_t112_storage);
                  _local_ul = (CORBA_unsigned_long *)(&_t113_storage);
                  flick_cdr_swap_decode_unsigned32(4, *_local_ul, CORBA_unsigned_long );
                  _ev = (CORBA_Environment *)(&_t114_storage);
                  flick_khazana_decode_end_chunk(8);
                  flick_khazana_decode_end_glob(11);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex1_op3(_obj, _local_l, _local_s, _local_ul, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort258);
                    flick_khazana_encode_new_glob(16, _flick_abort258);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(12);
                          flick_cdr_encode_signed32(0, _return, CORBA_long );
                          flick_cdr_encode_signed16(4, *_local_s, CORBA_short );
                          flick_cdr_encode_unsigned32(8, *_local_ul, CORBA_unsigned_long );
                          flick_khazana_encode_end_chunk(12);
                          flick_khazana_encode_end_glob(16);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(16);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort264);
                          break;
                          {
                          _flick_abort264:
                            goto _flick_abort258;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort265);
                          flick_khazana_encode_end_glob(16);
                          break;
                          {
                          _flick_abort265:
                            goto _flick_abort258;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort258:
                    goto _flick_abort257;
                  }
                }
                break;
                {
                _flick_abort257:
                  goto _flick_abort5;
                }
              }
            case /* op4 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624320):
              {
                {
                  ex1 _obj;
                  unsigned int _t115_principal_len;
                  CORBA_short _return;
                  CORBA_short _local_s;
                  CORBA_unsigned_long *_local_ul;
                  CORBA_unsigned_long _t116_storage;
                  CORBA_unsigned_short *_local_us;
                  CORBA_unsigned_short _t117_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t118_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort267);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t115_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t115_principal_len, _flick_abort267);
                  flick_khazana_decode_new_glob(_t115_principal_len);
                  flick_khazana_decode_new_chunk(_t115_principal_len);
                  flick_khazana_decode_end_chunk(_t115_principal_len);
                  flick_khazana_decode_end_glob(_t115_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_khazana_decode_new_glob(5);
                  flick_khazana_decode_new_chunk_align(4, 1, 0, 0);
                  flick_khazana_check_span(4, _flick_abort267);
                  flick_cdr_swap_decode_signed16(0, _local_s, CORBA_short );
                  _local_ul = (CORBA_unsigned_long *)(&_t116_storage);
                  _local_us = (CORBA_unsigned_short *)(&_t117_storage);
                  flick_cdr_swap_decode_unsigned16(2, *_local_us, CORBA_unsigned_short );
                  _ev = (CORBA_Environment *)(&_t118_storage);
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(5);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex1_op4(_obj, _local_s, _local_ul, _local_us, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort267);
                    flick_khazana_encode_new_glob(14, _flick_abort267);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(10);
                          flick_cdr_encode_signed16(0, _return, CORBA_short );
                          flick_cdr_encode_unsigned32(4, *_local_ul, CORBA_unsigned_long );
                          flick_cdr_encode_unsigned16(8, *_local_us, CORBA_unsigned_short );
                          flick_khazana_encode_end_chunk(10);
                          flick_khazana_encode_end_glob(14);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(14);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort273);
                          break;
                          {
                          _flick_abort273:
                            goto _flick_abort267;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort274);
                          flick_khazana_encode_end_glob(14);
                          break;
                          {
                          _flick_abort274:
                            goto _flick_abort267;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort267:
                    goto _flick_abort266;
                  }
                }
                break;
                {
                _flick_abort266:
                  goto _flick_abort5;
                }
              }
            case /* op5 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624576):
              {
                {
                  ex1 _obj;
                  unsigned int _t119_principal_len;
                  CORBA_unsigned_long _return;
                  CORBA_unsigned_long *_local_ul;
                  CORBA_unsigned_long _t120_storage;
                  CORBA_unsigned_short _local_us;
                  CORBA_char *_local_c;
                  CORBA_char _t121_storage;
                  CORBA_boolean _local_b;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t122_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort276);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t119_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t119_principal_len, _flick_abort276);
                  flick_khazana_decode_new_glob(_t119_principal_len);
                  flick_khazana_decode_new_chunk(_t119_principal_len);
                  flick_khazana_decode_end_chunk(_t119_principal_len);
                  flick_khazana_decode_end_glob(_t119_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  _local_ul = (CORBA_unsigned_long *)(&_t120_storage);
                  flick_khazana_decode_new_glob(10);
                  flick_khazana_decode_new_chunk_align(7, 2, 0, 0);
                  flick_khazana_check_span(7, _flick_abort276);
                  flick_cdr_swap_decode_unsigned32(0, *_local_ul, CORBA_unsigned_long );
                  flick_cdr_swap_decode_unsigned16(4, _local_us, CORBA_unsigned_short );
                  _local_c = (CORBA_char *)(&_t121_storage);
                  flick_cdr_swap_decode_unsigned8(6, _local_b, CORBA_boolean );
                  _ev = (CORBA_Environment *)(&_t122_storage);
                  flick_khazana_decode_end_chunk(7);
                  flick_khazana_decode_end_glob(10);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex1_op5(_obj, _local_ul, _local_us, _local_c, _local_b, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort276);
                    flick_khazana_encode_new_glob(13, _flick_abort276);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(9);
                          flick_cdr_encode_unsigned32(0, _return, CORBA_unsigned_long );
                          flick_cdr_encode_unsigned32(4, *_local_ul, CORBA_unsigned_long );
                          flick_cdr_encode_char8(8, *_local_c, CORBA_char );
                          flick_khazana_encode_end_chunk(9);
                          flick_khazana_encode_end_glob(13);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(13);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort282);
                          break;
                          {
                          _flick_abort282:
                            goto _flick_abort276;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort283);
                          flick_khazana_encode_end_glob(13);
                          break;
                          {
                          _flick_abort283:
                            goto _flick_abort276;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort276:
                    goto _flick_abort275;
                  }
                }
                break;
                {
                _flick_abort275:
                  goto _flick_abort5;
                }
              }
            case /* op6 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624832):
              {
                {
                  ex1 _obj;
                  unsigned int _t123_principal_len;
                  CORBA_unsigned_short _return;
                  CORBA_unsigned_short *_local_us;
                  CORBA_unsigned_short _t124_storage;
                  CORBA_char *_local_c;
                  CORBA_char _t125_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t126_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort285);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t123_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t123_principal_len + 1, _flick_abort285);
                  flick_khazana_decode_new_glob(_t123_principal_len);
                  flick_khazana_decode_new_chunk(_t123_principal_len);
                  flick_khazana_decode_end_chunk(_t123_principal_len);
                  flick_khazana_decode_end_glob(_t123_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  _local_us = (CORBA_unsigned_short *)(&_t124_storage);
                  _local_c = (CORBA_char *)(&_t125_storage);
                  flick_khazana_decode_new_glob(1);
                  flick_khazana_decode_new_chunk(1);
                  flick_cdr_swap_decode_char8(0, *_local_c, CORBA_char );
                  _ev = (CORBA_Environment *)(&_t126_storage);
                  flick_khazana_decode_end_chunk(1);
                  flick_khazana_decode_end_glob(1);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex1_op6(_obj, _local_us, _local_c, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort285);
                    flick_khazana_encode_new_glob(9, _flick_abort285);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(5);
                          flick_cdr_encode_unsigned16(0, _return, CORBA_unsigned_short );
                          flick_cdr_encode_unsigned16(2, *_local_us, CORBA_unsigned_short );
                          flick_cdr_encode_char8(4, *_local_c, CORBA_char );
                          flick_khazana_encode_end_chunk(5);
                          flick_khazana_encode_end_glob(9);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(9);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort291);
                          break;
                          {
                          _flick_abort291:
                            goto _flick_abort285;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort292);
                          flick_khazana_encode_end_glob(9);
                          break;
                          {
                          _flick_abort292:
                            goto _flick_abort285;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort285:
                    goto _flick_abort284;
                  }
                }
                break;
                {
                _flick_abort284:
                  goto _flick_abort5;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t127_switch_tag;

          flick_khazana_check_span(12, _flick_abort5);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t127_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t127_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t128_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t128_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t128_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t129_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t130_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t131_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort294);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t129_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t129_principal_len, _flick_abort294);
                        flick_khazana_decode_new_glob(_t129_principal_len);
                        flick_khazana_decode_new_chunk(_t129_principal_len);
                        flick_khazana_decode_end_chunk(_t129_principal_len);
                        flick_khazana_decode_end_glob(_t129_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort294);
                        flick_cdr_swap_decode_unsigned32(0, _t130_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t130_temp_string_len);
                        flick_khazana_check_span(1 * _t130_temp_string_len, _flick_abort294);
                        flick_khazana_decode_new_chunk(1 * _t130_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t130_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t130_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t131_storage);
                        _par = flick_interface_parents_ex1;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort294);
                          flick_khazana_encode_new_glob(5, _flick_abort294);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort302);
                                break;
                                {
                                _flick_abort302:
                                  goto _flick_abort294;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort303);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort303:
                                  goto _flick_abort294;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort294:
                          goto _flick_abort293;
                        }
                      }
                      break;
                      {
                      _flick_abort293:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
          flick_khazana_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t33_switch_tag;

    flick_khazana_decode_new_glob(16);
    flick_khazana_check_span(12, _flick_abort5);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t33_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t33_switch_tag)
      {
      case (unsigned int) 4:
        {
          unsigned int _t34_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t34_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t34_switch_tag)
            {
            case /* op0 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623296):
              {
                {
                  ex1 _obj;
                  unsigned int _t35_principal_len;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t36_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort82);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t35_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t35_principal_len, _flick_abort82);
                  flick_khazana_decode_new_glob(_t35_principal_len);
                  flick_khazana_decode_new_chunk(_t35_principal_len);
                  flick_khazana_decode_end_chunk(_t35_principal_len);
                  flick_khazana_decode_end_glob(_t35_principal_len);
                  /* Begin decode phase on parameters */
                  _ev = (CORBA_Environment *)(&_t36_storage);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  ex1_op0(_obj, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort82);
                    flick_khazana_encode_new_glob(4, _flick_abort82);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_end_glob(4);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(4);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort88);
                          break;
                          {
                          _flick_abort88:
                            goto _flick_abort82;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort89);
                          flick_khazana_encode_end_glob(4);
                          break;
                          {
                          _flick_abort89:
                            goto _flick_abort82;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort82:
                    goto _flick_abort81;
                  }
                }
                break;
                {
                _flick_abort81:
                  goto _flick_abort5;
                }
              }
            case /* op1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623552):
              {
                {
                  ex1 _obj;
                  unsigned int _t37_principal_len;
                  CORBA_float _return;
                  CORBA_float _local_f;
                  CORBA_double *_local_d;
                  CORBA_double _t38_storage;
                  CORBA_long *_local_l;
                  CORBA_long _t39_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t40_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort91);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t37_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t37_principal_len, _flick_abort91);
                  flick_khazana_decode_new_glob(_t37_principal_len);
                  flick_khazana_decode_new_chunk(_t37_principal_len);
                  flick_khazana_decode_end_chunk(_t37_principal_len);
                  flick_khazana_decode_end_glob(_t37_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0.000000;
                  flick_khazana_decode_new_glob(11);
                  flick_khazana_decode_new_chunk_align(8, 2, 0, 0);
                  flick_khazana_check_span(8, _flick_abort91);
                  flick_cdr_decode_float32(0, _local_f, CORBA_float );
                  _local_d = (CORBA_double *)(&_t38_storage);
                  _local_l = (CORBA_long *)(&_t39_storage);
                  flick_cdr_decode_signed32(4, *_local_l, CORBA_long );
                  _ev = (CORBA_Environment *)(&_t40_storage);
                  flick_khazana_decode_end_chunk(8);
                  flick_khazana_decode_end_glob(11);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex1_op1(_obj, _local_f, _local_d, _local_l, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort91);
                    flick_khazana_encode_new_glob(24, _flick_abort91);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_float32(0, _return, CORBA_float );
                          flick_khazana_encode_end_chunk(4);
                          flick_khazana_encode_new_chunk_align(12, 3, 2, 0);
                          flick_cdr_encode_float64(0, *_local_d, CORBA_double );
                          flick_cdr_encode_signed32(8, *_local_l, CORBA_long );
                          flick_khazana_encode_end_chunk(12);
                          flick_khazana_encode_end_glob(24);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(24);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort97);
                          break;
                          {
                          _flick_abort97:
                            goto _flick_abort91;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort98);
                          flick_khazana_encode_end_glob(24);
                          break;
                          {
                          _flick_abort98:
                            goto _flick_abort91;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort91:
                    goto _flick_abort90;
                  }
                }
                break;
                {
                _flick_abort90:
                  goto _flick_abort5;
                }
              }
            case /* op2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623808):
              {
                {
                  ex1 _obj;
                  unsigned int _t41_principal_len;
                  CORBA_double _return;
                  CORBA_double _local_d;
                  CORBA_long *_local_l;
                  CORBA_long _t42_storage;
                  CORBA_short *_local_s;
                  CORBA_short _t43_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t44_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort100);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t41_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t41_principal_len, _flick_abort100);
                  flick_khazana_decode_new_glob(_t41_principal_len);
                  flick_khazana_decode_new_chunk(_t41_principal_len);
                  flick_khazana_decode_end_chunk(_t41_principal_len);
                  flick_khazana_decode_end_glob(_t41_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0.000000;
                  flick_khazana_decode_new_glob(17);
                  flick_khazana_decode_new_chunk_align(10, 3, 0, 0);
                  flick_khazana_check_span(10, _flick_abort100);
                  flick_cdr_decode_float64(0, _local_d, CORBA_double );
                  _local_l = (CORBA_long *)(&_t42_storage);
                  _local_s = (CORBA_short *)(&_t43_storage);
                  flick_cdr_decode_signed16(8, *_local_s, CORBA_short );
                  _ev = (CORBA_Environment *)(&_t44_storage);
                  flick_khazana_decode_end_chunk(10);
                  flick_khazana_decode_end_glob(17);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex1_op2(_obj, _local_d, _local_l, _local_s, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort100);
                    flick_khazana_encode_new_glob(22, _flick_abort100);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk_align(14, 3, 2, 0);
                          flick_cdr_encode_float64(0, _return, CORBA_double );
                          flick_cdr_encode_signed32(8, *_local_l, CORBA_long );
                          flick_cdr_encode_signed16(12, *_local_s, CORBA_short );
                          flick_khazana_encode_end_chunk(14);
                          flick_khazana_encode_end_glob(22);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(22);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort106);
                          break;
                          {
                          _flick_abort106:
                            goto _flick_abort100;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort107);
                          flick_khazana_encode_end_glob(22);
                          break;
                          {
                          _flick_abort107:
                            goto _flick_abort100;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort100:
                    goto _flick_abort99;
                  }
                }
                break;
                {
                _flick_abort99:
                  goto _flick_abort5;
                }
              }
            case /* op3 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624064):
              {
                {
                  ex1 _obj;
                  unsigned int _t45_principal_len;
                  CORBA_long _return;
                  CORBA_long _local_l;
                  CORBA_short *_local_s;
                  CORBA_short _t46_storage;
                  CORBA_unsigned_long *_local_ul;
                  CORBA_unsigned_long _t47_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t48_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort109);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t45_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t45_principal_len, _flick_abort109);
                  flick_khazana_decode_new_glob(_t45_principal_len);
                  flick_khazana_decode_new_chunk(_t45_principal_len);
                  flick_khazana_decode_end_chunk(_t45_principal_len);
                  flick_khazana_decode_end_glob(_t45_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_khazana_decode_new_glob(11);
                  flick_khazana_decode_new_chunk_align(8, 2, 0, 0);
                  flick_khazana_check_span(8, _flick_abort109);
                  flick_cdr_decode_signed32(0, _local_l, CORBA_long );
                  _local_s = (CORBA_short *)(&_t46_storage);
                  _local_ul = (CORBA_unsigned_long *)(&_t47_storage);
                  flick_cdr_decode_unsigned32(4, *_local_ul, CORBA_unsigned_long );
                  _ev = (CORBA_Environment *)(&_t48_storage);
                  flick_khazana_decode_end_chunk(8);
                  flick_khazana_decode_end_glob(11);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex1_op3(_obj, _local_l, _local_s, _local_ul, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort109);
                    flick_khazana_encode_new_glob(16, _flick_abort109);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(12);
                          flick_cdr_encode_signed32(0, _return, CORBA_long );
                          flick_cdr_encode_signed16(4, *_local_s, CORBA_short );
                          flick_cdr_encode_unsigned32(8, *_local_ul, CORBA_unsigned_long );
                          flick_khazana_encode_end_chunk(12);
                          flick_khazana_encode_end_glob(16);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(16);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort115);
                          break;
                          {
                          _flick_abort115:
                            goto _flick_abort109;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort116);
                          flick_khazana_encode_end_glob(16);
                          break;
                          {
                          _flick_abort116:
                            goto _flick_abort109;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort109:
                    goto _flick_abort108;
                  }
                }
                break;
                {
                _flick_abort108:
                  goto _flick_abort5;
                }
              }
            case /* op4 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624320):
              {
                {
                  ex1 _obj;
                  unsigned int _t49_principal_len;
                  CORBA_short _return;
                  CORBA_short _local_s;
                  CORBA_unsigned_long *_local_ul;
                  CORBA_unsigned_long _t50_storage;
                  CORBA_unsigned_short *_local_us;
                  CORBA_unsigned_short _t51_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t52_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort118);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t49_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t49_principal_len, _flick_abort118);
                  flick_khazana_decode_new_glob(_t49_principal_len);
                  flick_khazana_decode_new_chunk(_t49_principal_len);
                  flick_khazana_decode_end_chunk(_t49_principal_len);
                  flick_khazana_decode_end_glob(_t49_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_khazana_decode_new_glob(5);
                  flick_khazana_decode_new_chunk_align(4, 1, 0, 0);
                  flick_khazana_check_span(4, _flick_abort118);
                  flick_cdr_decode_signed16(0, _local_s, CORBA_short );
                  _local_ul = (CORBA_unsigned_long *)(&_t50_storage);
                  _local_us = (CORBA_unsigned_short *)(&_t51_storage);
                  flick_cdr_decode_unsigned16(2, *_local_us, CORBA_unsigned_short );
                  _ev = (CORBA_Environment *)(&_t52_storage);
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(5);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex1_op4(_obj, _local_s, _local_ul, _local_us, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort118);
                    flick_khazana_encode_new_glob(14, _flick_abort118);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(10);
                          flick_cdr_encode_signed16(0, _return, CORBA_short );
                          flick_cdr_encode_unsigned32(4, *_local_ul, CORBA_unsigned_long );
                          flick_cdr_encode_unsigned16(8, *_local_us, CORBA_unsigned_short );
                          flick_khazana_encode_end_chunk(10);
                          flick_khazana_encode_end_glob(14);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(14);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort124);
                          break;
                          {
                          _flick_abort124:
                            goto _flick_abort118;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort125);
                          flick_khazana_encode_end_glob(14);
                          break;
                          {
                          _flick_abort125:
                            goto _flick_abort118;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort118:
                    goto _flick_abort117;
                  }
                }
                break;
                {
                _flick_abort117:
                  goto _flick_abort5;
                }
              }
            case /* op5 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624576):
              {
                {
                  ex1 _obj;
                  unsigned int _t53_principal_len;
                  CORBA_unsigned_long _return;
                  CORBA_unsigned_long *_local_ul;
                  CORBA_unsigned_long _t54_storage;
                  CORBA_unsigned_short _local_us;
                  CORBA_char *_local_c;
                  CORBA_char _t55_storage;
                  CORBA_boolean _local_b;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t56_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort127);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t53_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t53_principal_len, _flick_abort127);
                  flick_khazana_decode_new_glob(_t53_principal_len);
                  flick_khazana_decode_new_chunk(_t53_principal_len);
                  flick_khazana_decode_end_chunk(_t53_principal_len);
                  flick_khazana_decode_end_glob(_t53_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  _local_ul = (CORBA_unsigned_long *)(&_t54_storage);
                  flick_khazana_decode_new_glob(10);
                  flick_khazana_decode_new_chunk_align(7, 2, 0, 0);
                  flick_khazana_check_span(7, _flick_abort127);
                  flick_cdr_decode_unsigned32(0, *_local_ul, CORBA_unsigned_long );
                  flick_cdr_decode_unsigned16(4, _local_us, CORBA_unsigned_short );
                  _local_c = (CORBA_char *)(&_t55_storage);
                  flick_cdr_decode_unsigned8(6, _local_b, CORBA_boolean );
                  _ev = (CORBA_Environment *)(&_t56_storage);
                  flick_khazana_decode_end_chunk(7);
                  flick_khazana_decode_end_glob(10);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex1_op5(_obj, _local_ul, _local_us, _local_c, _local_b, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort127);
                    flick_khazana_encode_new_glob(13, _flick_abort127);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(9);
                          flick_cdr_encode_unsigned32(0, _return, CORBA_unsigned_long );
                          flick_cdr_encode_unsigned32(4, *_local_ul, CORBA_unsigned_long );
                          flick_cdr_encode_char8(8, *_local_c, CORBA_char );
                          flick_khazana_encode_end_chunk(9);
                          flick_khazana_encode_end_glob(13);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(13);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort133);
                          break;
                          {
                          _flick_abort133:
                            goto _flick_abort127;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort134);
                          flick_khazana_encode_end_glob(13);
                          break;
                          {
                          _flick_abort134:
                            goto _flick_abort127;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort127:
                    goto _flick_abort126;
                  }
                }
                break;
                {
                _flick_abort126:
                  goto _flick_abort5;
                }
              }
            case /* op6 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624832):
              {
                {
                  ex1 _obj;
                  unsigned int _t57_principal_len;
                  CORBA_unsigned_short _return;
                  CORBA_unsigned_short *_local_us;
                  CORBA_unsigned_short _t58_storage;
                  CORBA_char *_local_c;
                  CORBA_char _t59_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t60_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort136);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t57_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t57_principal_len + 1, _flick_abort136);
                  flick_khazana_decode_new_glob(_t57_principal_len);
                  flick_khazana_decode_new_chunk(_t57_principal_len);
                  flick_khazana_decode_end_chunk(_t57_principal_len);
                  flick_khazana_decode_end_glob(_t57_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  _local_us = (CORBA_unsigned_short *)(&_t58_storage);
                  _local_c = (CORBA_char *)(&_t59_storage);
                  flick_khazana_decode_new_glob(1);
                  flick_khazana_decode_new_chunk(1);
                  flick_cdr_decode_char8(0, *_local_c, CORBA_char );
                  _ev = (CORBA_Environment *)(&_t60_storage);
                  flick_khazana_decode_end_chunk(1);
                  flick_khazana_decode_end_glob(1);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex1_op6(_obj, _local_us, _local_c, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort136);
                    flick_khazana_encode_new_glob(9, _flick_abort136);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(5);
                          flick_cdr_encode_unsigned16(0, _return, CORBA_unsigned_short );
                          flick_cdr_encode_unsigned16(2, *_local_us, CORBA_unsigned_short );
                          flick_cdr_encode_char8(4, *_local_c, CORBA_char );
                          flick_khazana_encode_end_chunk(5);
                          flick_khazana_encode_end_glob(9);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(9);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort142);
                          break;
                          {
                          _flick_abort142:
                            goto _flick_abort136;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort143);
                          flick_khazana_encode_end_glob(9);
                          break;
                          {
                          _flick_abort143:
                            goto _flick_abort136;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort136:
                    goto _flick_abort135;
                  }
                }
                break;
                {
                _flick_abort135:
                  goto _flick_abort5;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t61_switch_tag;

          flick_khazana_check_span(12, _flick_abort5);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t61_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t61_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t62_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t62_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t62_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t63_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t64_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t65_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort145);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t63_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t63_principal_len, _flick_abort145);
                        flick_khazana_decode_new_glob(_t63_principal_len);
                        flick_khazana_decode_new_chunk(_t63_principal_len);
                        flick_khazana_decode_end_chunk(_t63_principal_len);
                        flick_khazana_decode_end_glob(_t63_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort145);
                        flick_cdr_decode_unsigned32(0, _t64_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t64_temp_string_len);
                        flick_khazana_check_span(1 * _t64_temp_string_len, _flick_abort145);
                        flick_khazana_decode_new_chunk(1 * _t64_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t64_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t64_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t65_storage);
                        _par = flick_interface_parents_ex1;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort145);
                          flick_khazana_encode_new_glob(5, _flick_abort145);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort153);
                                break;
                                {
                                _flick_abort153:
                                  goto _flick_abort145;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort154);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort154:
                                  goto _flick_abort145;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort145:
                          goto _flick_abort144;
                        }
                      }
                      break;
                      {
                      _flick_abort144:
                        goto _flick_abort5;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort5);
          flick_khazana_decode_end_glob(16);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort5:
    flick_corba_server_error(cdr, khazana, _flick_reaper, _flick_abort4);
  _flick_abort4:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

int flick_marshal_stub_ex2(flick_marshal_stream_t _stream, ex2 *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdr_encode_IOR(khazana, *_data, 0, _flick_abort304);
  return 0;
  {
  _flick_abort304:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_ex2(flick_marshal_stream_t _stream, ex2 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_decode_IOR(khazana, *_data, 1);
  return 0;
}

int flick_unmarshal_stub_ex2_swap(flick_marshal_stream_t _stream, ex2 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swap_decode_IOR(khazana, *_data, 1);
  return 0;
}

flick_operation_success_t ex2_server(FLICK_TARGET _this_obj, flick_msg_t _in_msg, flick_msg_t *_out_msg)
{
  FLICK_BUFFER *_stream;
  flick_khazana_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t345_switch_tag;

    flick_khazana_decode_new_glob(16);
    flick_khazana_check_span(12, _flick_abort309);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t345_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t345_switch_tag)
      {
      case (unsigned int) 4:
        {
          unsigned int _t346_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t346_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t346_switch_tag)
            {
            case /* op7 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869625088):
              {
                {
                  ex2 _obj;
                  unsigned int _t347_principal_len;
                  CORBA_char _return;
                  CORBA_char _local_c;
                  CORBA_boolean *_local_b;
                  CORBA_boolean _t348_storage;
                  CORBA_octet *_local_o;
                  CORBA_octet _t349_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t350_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort778);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t347_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t347_principal_len + 2, _flick_abort778);
                  flick_khazana_decode_new_glob(_t347_principal_len);
                  flick_khazana_decode_new_chunk(_t347_principal_len);
                  flick_khazana_decode_end_chunk(_t347_principal_len);
                  flick_khazana_decode_end_glob(_t347_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_khazana_decode_new_glob(2);
                  flick_khazana_decode_new_chunk(2);
                  flick_cdr_swap_decode_char8(0, _local_c, CORBA_char );
                  _local_b = (CORBA_boolean *)(&_t348_storage);
                  _local_o = (CORBA_octet *)(&_t349_storage);
                  flick_cdr_swap_decode_unsigned8(1, *_local_o, CORBA_octet );
                  _ev = (CORBA_Environment *)(&_t350_storage);
                  flick_khazana_decode_end_chunk(2);
                  flick_khazana_decode_end_glob(2);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex2_op7(_obj, _local_c, _local_b, _local_o, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort778);
                    flick_khazana_encode_new_glob(7, _flick_abort778);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(3);
                          flick_cdr_encode_char8(0, _return, CORBA_char );
                          flick_cdr_encode_unsigned8(1, *_local_b, CORBA_boolean );
                          flick_cdr_encode_unsigned8(2, *_local_o, CORBA_octet );
                          flick_khazana_encode_end_chunk(3);
                          flick_khazana_encode_end_glob(7);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(7);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort784);
                          break;
                          {
                          _flick_abort784:
                            goto _flick_abort778;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort785);
                          flick_khazana_encode_end_glob(7);
                          break;
                          {
                          _flick_abort785:
                            goto _flick_abort778;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort778:
                    goto _flick_abort777;
                  }
                }
                break;
                {
                _flick_abort777:
                  goto _flick_abort309;
                }
              }
            case /* op8 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869625344):
              {
                {
                  ex2 _obj;
                  unsigned int _t351_principal_len;
                  CORBA_boolean _return;
                  CORBA_boolean *_local_b;
                  CORBA_boolean _t352_storage;
                  CORBA_octet _local_o;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t353_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort787);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t351_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t351_principal_len + 1, _flick_abort787);
                  flick_khazana_decode_new_glob(_t351_principal_len);
                  flick_khazana_decode_new_chunk(_t351_principal_len);
                  flick_khazana_decode_end_chunk(_t351_principal_len);
                  flick_khazana_decode_end_glob(_t351_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  _local_b = (CORBA_boolean *)(&_t352_storage);
                  flick_khazana_decode_new_glob(1);
                  flick_khazana_decode_new_chunk(1);
                  flick_cdr_swap_decode_unsigned8(0, _local_o, CORBA_octet );
                  _ev = (CORBA_Environment *)(&_t353_storage);
                  flick_khazana_decode_end_chunk(1);
                  flick_khazana_decode_end_glob(1);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex2_op8(_obj, _local_b, _local_o, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort787);
                    flick_khazana_encode_new_glob(6, _flick_abort787);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(2);
                          flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                          flick_cdr_encode_unsigned8(1, *_local_b, CORBA_boolean );
                          flick_khazana_encode_end_chunk(2);
                          flick_khazana_encode_end_glob(6);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(6);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort793);
                          break;
                          {
                          _flick_abort793:
                            goto _flick_abort787;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort794);
                          flick_khazana_encode_end_glob(6);
                          break;
                          {
                          _flick_abort794:
                            goto _flick_abort787;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort787:
                    goto _flick_abort786;
                  }
                }
                break;
                {
                _flick_abort786:
                  goto _flick_abort309;
                }
              }
            case /* op9 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869625600):
              {
                {
                  ex2 _obj;
                  unsigned int _t354_principal_len;
                  CORBA_octet _return;
                  CORBA_octet *_local_o;
                  CORBA_octet _t355_storage;
                  CORBA_char **_local_s;
                  CORBA_char *_t356_storage;
                  CORBA_char *_local_ls;
                  flick_unsigned32_t _t357_temp_string_len;
                  CORBA_long *_local_l;
                  CORBA_long _t358_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t359_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort796);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t354_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t354_principal_len + 1, _flick_abort796);
                  flick_khazana_decode_new_glob(_t354_principal_len);
                  flick_khazana_decode_new_chunk(_t354_principal_len);
                  flick_khazana_decode_end_chunk(_t354_principal_len);
                  flick_khazana_decode_end_glob(_t354_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  _local_o = (CORBA_octet *)(&_t355_storage);
                  flick_khazana_decode_new_glob(26);
                  flick_khazana_decode_new_chunk(1);
                  flick_cdr_swap_decode_unsigned8(0, *_local_o, CORBA_octet );
                  _local_s = (CORBA_char **)(&_t356_storage);
                  flick_khazana_decode_end_chunk(1);
                  flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                  flick_khazana_check_span(4, _flick_abort796);
                  flick_cdr_swap_decode_unsigned32(0, _t357_temp_string_len, flick_unsigned32_t );
                  if (_t357_temp_string_len > 11)
                    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort796);
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_check_span(1 * _t357_temp_string_len, _flick_abort796);
                  flick_khazana_decode_new_chunk(1 * _t357_temp_string_len);
                  flick_cdr_swap_decode_msgptr(0, _local_ls, CORBA_char *);
                  flick_khazana_decode_end_chunk(1 * _t357_temp_string_len);
                  _local_l = (CORBA_long *)(&_t358_storage);
                  flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                  flick_khazana_check_span(4, _flick_abort796);
                  flick_cdr_swap_decode_signed32(0, *_local_l, CORBA_long );
                  _ev = (CORBA_Environment *)(&_t359_storage);
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(26);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex2_op9(_obj, _local_o, _local_s, _local_ls, _local_l, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort796);
                    flick_khazana_encode_new_glob(12, _flick_abort796);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          flick_unsigned32_t _t361_temp_string_len;

                          flick_cdr_stringlen(CORBA_char *, *_local_s, flick_unsigned32_t , _t361_temp_string_len);

                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(8);
                          flick_cdr_encode_unsigned8(0, _return, CORBA_octet );
                          flick_cdr_encode_unsigned8(1, *_local_o, CORBA_octet );
                          flick_cdr_encode_unsigned32(4, _t361_temp_string_len, flick_unsigned32_t );
                          flick_khazana_encode_end_chunk(8);
                          flick_khazana_encode_end_glob(12);
                          flick_khazana_encode_new_glob(1 * _t361_temp_string_len, _flick_abort805);
                          flick_khazana_encode_new_chunk(1 * _t361_temp_string_len);
                          flick_cdr_encode_bcopy(0, *_local_s, 1 * _t361_temp_string_len);
                          CORBA_flick_free(*_local_s);
                          *_local_s = 0;
                          flick_khazana_encode_end_chunk(1 * _t361_temp_string_len);
                          flick_khazana_encode_end_glob(1 * _t361_temp_string_len);
                          flick_khazana_encode_new_glob(7, _flick_abort805);
                          flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
                          flick_cdr_encode_signed32(0, *_local_l, CORBA_long );
                          flick_khazana_encode_end_chunk(4);
                          flick_khazana_encode_end_glob(7);
                          break;
                          {
                          _flick_abort805:
                            goto _flick_abort796;
                          }
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(12);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort808);
                          break;
                          {
                          _flick_abort808:
                            goto _flick_abort796;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort809);
                          flick_khazana_encode_end_glob(12);
                          break;
                          {
                          _flick_abort809:
                            goto _flick_abort796;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort796:
                    goto _flick_abort795;
                  }
                }
                break;
                {
                _flick_abort795:
                  goto _flick_abort309;
                }
              }
            case /* op0 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623296):
              {
                {
                  ex2 _obj;
                  unsigned int _t362_principal_len;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t363_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort811);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t362_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t362_principal_len, _flick_abort811);
                  flick_khazana_decode_new_glob(_t362_principal_len);
                  flick_khazana_decode_new_chunk(_t362_principal_len);
                  flick_khazana_decode_end_chunk(_t362_principal_len);
                  flick_khazana_decode_end_glob(_t362_principal_len);
                  /* Begin decode phase on parameters */
                  _ev = (CORBA_Environment *)(&_t363_storage);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  ex2_op0(_obj, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort811);
                    flick_khazana_encode_new_glob(4, _flick_abort811);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_end_glob(4);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(4);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort817);
                          break;
                          {
                          _flick_abort817:
                            goto _flick_abort811;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort818);
                          flick_khazana_encode_end_glob(4);
                          break;
                          {
                          _flick_abort818:
                            goto _flick_abort811;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort811:
                    goto _flick_abort810;
                  }
                }
                break;
                {
                _flick_abort810:
                  goto _flick_abort309;
                }
              }
            case /* op1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623552):
              {
                {
                  ex2 _obj;
                  unsigned int _t364_principal_len;
                  CORBA_float _return;
                  CORBA_float _local_f;
                  CORBA_double *_local_d;
                  CORBA_double _t365_storage;
                  CORBA_long *_local_l;
                  CORBA_long _t366_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t367_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort820);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t364_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t364_principal_len, _flick_abort820);
                  flick_khazana_decode_new_glob(_t364_principal_len);
                  flick_khazana_decode_new_chunk(_t364_principal_len);
                  flick_khazana_decode_end_chunk(_t364_principal_len);
                  flick_khazana_decode_end_glob(_t364_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0.000000;
                  flick_khazana_decode_new_glob(11);
                  flick_khazana_decode_new_chunk_align(8, 2, 0, 0);
                  flick_khazana_check_span(8, _flick_abort820);
                  flick_cdr_swap_decode_float32(0, _local_f, CORBA_float );
                  _local_d = (CORBA_double *)(&_t365_storage);
                  _local_l = (CORBA_long *)(&_t366_storage);
                  flick_cdr_swap_decode_signed32(4, *_local_l, CORBA_long );
                  _ev = (CORBA_Environment *)(&_t367_storage);
                  flick_khazana_decode_end_chunk(8);
                  flick_khazana_decode_end_glob(11);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex2_op1(_obj, _local_f, _local_d, _local_l, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort820);
                    flick_khazana_encode_new_glob(24, _flick_abort820);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_float32(0, _return, CORBA_float );
                          flick_khazana_encode_end_chunk(4);
                          flick_khazana_encode_new_chunk_align(12, 3, 2, 0);
                          flick_cdr_encode_float64(0, *_local_d, CORBA_double );
                          flick_cdr_encode_signed32(8, *_local_l, CORBA_long );
                          flick_khazana_encode_end_chunk(12);
                          flick_khazana_encode_end_glob(24);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(24);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort826);
                          break;
                          {
                          _flick_abort826:
                            goto _flick_abort820;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort827);
                          flick_khazana_encode_end_glob(24);
                          break;
                          {
                          _flick_abort827:
                            goto _flick_abort820;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort820:
                    goto _flick_abort819;
                  }
                }
                break;
                {
                _flick_abort819:
                  goto _flick_abort309;
                }
              }
            case /* op2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623808):
              {
                {
                  ex2 _obj;
                  unsigned int _t368_principal_len;
                  CORBA_double _return;
                  CORBA_double _local_d;
                  CORBA_long *_local_l;
                  CORBA_long _t369_storage;
                  CORBA_short *_local_s;
                  CORBA_short _t370_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t371_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort829);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t368_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t368_principal_len, _flick_abort829);
                  flick_khazana_decode_new_glob(_t368_principal_len);
                  flick_khazana_decode_new_chunk(_t368_principal_len);
                  flick_khazana_decode_end_chunk(_t368_principal_len);
                  flick_khazana_decode_end_glob(_t368_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0.000000;
                  flick_khazana_decode_new_glob(17);
                  flick_khazana_decode_new_chunk_align(10, 3, 0, 0);
                  flick_khazana_check_span(10, _flick_abort829);
                  flick_cdr_swap_decode_float64(0, _local_d, CORBA_double );
                  _local_l = (CORBA_long *)(&_t369_storage);
                  _local_s = (CORBA_short *)(&_t370_storage);
                  flick_cdr_swap_decode_signed16(8, *_local_s, CORBA_short );
                  _ev = (CORBA_Environment *)(&_t371_storage);
                  flick_khazana_decode_end_chunk(10);
                  flick_khazana_decode_end_glob(17);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex2_op2(_obj, _local_d, _local_l, _local_s, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort829);
                    flick_khazana_encode_new_glob(22, _flick_abort829);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk_align(14, 3, 2, 0);
                          flick_cdr_encode_float64(0, _return, CORBA_double );
                          flick_cdr_encode_signed32(8, *_local_l, CORBA_long );
                          flick_cdr_encode_signed16(12, *_local_s, CORBA_short );
                          flick_khazana_encode_end_chunk(14);
                          flick_khazana_encode_end_glob(22);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(22);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort835);
                          break;
                          {
                          _flick_abort835:
                            goto _flick_abort829;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort836);
                          flick_khazana_encode_end_glob(22);
                          break;
                          {
                          _flick_abort836:
                            goto _flick_abort829;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort829:
                    goto _flick_abort828;
                  }
                }
                break;
                {
                _flick_abort828:
                  goto _flick_abort309;
                }
              }
            case /* op3 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624064):
              {
                {
                  ex2 _obj;
                  unsigned int _t372_principal_len;
                  CORBA_long _return;
                  CORBA_long _local_l;
                  CORBA_short *_local_s;
                  CORBA_short _t373_storage;
                  CORBA_unsigned_long *_local_ul;
                  CORBA_unsigned_long _t374_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t375_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort838);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t372_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t372_principal_len, _flick_abort838);
                  flick_khazana_decode_new_glob(_t372_principal_len);
                  flick_khazana_decode_new_chunk(_t372_principal_len);
                  flick_khazana_decode_end_chunk(_t372_principal_len);
                  flick_khazana_decode_end_glob(_t372_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_khazana_decode_new_glob(11);
                  flick_khazana_decode_new_chunk_align(8, 2, 0, 0);
                  flick_khazana_check_span(8, _flick_abort838);
                  flick_cdr_swap_decode_signed32(0, _local_l, CORBA_long );
                  _local_s = (CORBA_short *)(&_t373_storage);
                  _local_ul = (CORBA_unsigned_long *)(&_t374_storage);
                  flick_cdr_swap_decode_unsigned32(4, *_local_ul, CORBA_unsigned_long );
                  _ev = (CORBA_Environment *)(&_t375_storage);
                  flick_khazana_decode_end_chunk(8);
                  flick_khazana_decode_end_glob(11);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex2_op3(_obj, _local_l, _local_s, _local_ul, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort838);
                    flick_khazana_encode_new_glob(16, _flick_abort838);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(12);
                          flick_cdr_encode_signed32(0, _return, CORBA_long );
                          flick_cdr_encode_signed16(4, *_local_s, CORBA_short );
                          flick_cdr_encode_unsigned32(8, *_local_ul, CORBA_unsigned_long );
                          flick_khazana_encode_end_chunk(12);
                          flick_khazana_encode_end_glob(16);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(16);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort844);
                          break;
                          {
                          _flick_abort844:
                            goto _flick_abort838;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort845);
                          flick_khazana_encode_end_glob(16);
                          break;
                          {
                          _flick_abort845:
                            goto _flick_abort838;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort838:
                    goto _flick_abort837;
                  }
                }
                break;
                {
                _flick_abort837:
                  goto _flick_abort309;
                }
              }
            case /* op4 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624320):
              {
                {
                  ex2 _obj;
                  unsigned int _t376_principal_len;
                  CORBA_short _return;
                  CORBA_short _local_s;
                  CORBA_unsigned_long *_local_ul;
                  CORBA_unsigned_long _t377_storage;
                  CORBA_unsigned_short *_local_us;
                  CORBA_unsigned_short _t378_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t379_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort847);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t376_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t376_principal_len, _flick_abort847);
                  flick_khazana_decode_new_glob(_t376_principal_len);
                  flick_khazana_decode_new_chunk(_t376_principal_len);
                  flick_khazana_decode_end_chunk(_t376_principal_len);
                  flick_khazana_decode_end_glob(_t376_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_khazana_decode_new_glob(5);
                  flick_khazana_decode_new_chunk_align(4, 1, 0, 0);
                  flick_khazana_check_span(4, _flick_abort847);
                  flick_cdr_swap_decode_signed16(0, _local_s, CORBA_short );
                  _local_ul = (CORBA_unsigned_long *)(&_t377_storage);
                  _local_us = (CORBA_unsigned_short *)(&_t378_storage);
                  flick_cdr_swap_decode_unsigned16(2, *_local_us, CORBA_unsigned_short );
                  _ev = (CORBA_Environment *)(&_t379_storage);
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(5);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex2_op4(_obj, _local_s, _local_ul, _local_us, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort847);
                    flick_khazana_encode_new_glob(14, _flick_abort847);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(10);
                          flick_cdr_encode_signed16(0, _return, CORBA_short );
                          flick_cdr_encode_unsigned32(4, *_local_ul, CORBA_unsigned_long );
                          flick_cdr_encode_unsigned16(8, *_local_us, CORBA_unsigned_short );
                          flick_khazana_encode_end_chunk(10);
                          flick_khazana_encode_end_glob(14);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(14);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort853);
                          break;
                          {
                          _flick_abort853:
                            goto _flick_abort847;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort854);
                          flick_khazana_encode_end_glob(14);
                          break;
                          {
                          _flick_abort854:
                            goto _flick_abort847;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort847:
                    goto _flick_abort846;
                  }
                }
                break;
                {
                _flick_abort846:
                  goto _flick_abort309;
                }
              }
            case /* op5 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624576):
              {
                {
                  ex2 _obj;
                  unsigned int _t380_principal_len;
                  CORBA_unsigned_long _return;
                  CORBA_unsigned_long *_local_ul;
                  CORBA_unsigned_long _t381_storage;
                  CORBA_unsigned_short _local_us;
                  CORBA_char *_local_c;
                  CORBA_char _t382_storage;
                  CORBA_boolean _local_b;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t383_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort856);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t380_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t380_principal_len, _flick_abort856);
                  flick_khazana_decode_new_glob(_t380_principal_len);
                  flick_khazana_decode_new_chunk(_t380_principal_len);
                  flick_khazana_decode_end_chunk(_t380_principal_len);
                  flick_khazana_decode_end_glob(_t380_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  _local_ul = (CORBA_unsigned_long *)(&_t381_storage);
                  flick_khazana_decode_new_glob(10);
                  flick_khazana_decode_new_chunk_align(7, 2, 0, 0);
                  flick_khazana_check_span(7, _flick_abort856);
                  flick_cdr_swap_decode_unsigned32(0, *_local_ul, CORBA_unsigned_long );
                  flick_cdr_swap_decode_unsigned16(4, _local_us, CORBA_unsigned_short );
                  _local_c = (CORBA_char *)(&_t382_storage);
                  flick_cdr_swap_decode_unsigned8(6, _local_b, CORBA_boolean );
                  _ev = (CORBA_Environment *)(&_t383_storage);
                  flick_khazana_decode_end_chunk(7);
                  flick_khazana_decode_end_glob(10);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex2_op5(_obj, _local_ul, _local_us, _local_c, _local_b, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort856);
                    flick_khazana_encode_new_glob(13, _flick_abort856);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(9);
                          flick_cdr_encode_unsigned32(0, _return, CORBA_unsigned_long );
                          flick_cdr_encode_unsigned32(4, *_local_ul, CORBA_unsigned_long );
                          flick_cdr_encode_char8(8, *_local_c, CORBA_char );
                          flick_khazana_encode_end_chunk(9);
                          flick_khazana_encode_end_glob(13);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(13);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort862);
                          break;
                          {
                          _flick_abort862:
                            goto _flick_abort856;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort863);
                          flick_khazana_encode_end_glob(13);
                          break;
                          {
                          _flick_abort863:
                            goto _flick_abort856;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort856:
                    goto _flick_abort855;
                  }
                }
                break;
                {
                _flick_abort855:
                  goto _flick_abort309;
                }
              }
            case /* op6 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624832):
              {
                {
                  ex2 _obj;
                  unsigned int _t384_principal_len;
                  CORBA_unsigned_short _return;
                  CORBA_unsigned_short *_local_us;
                  CORBA_unsigned_short _t385_storage;
                  CORBA_char *_local_c;
                  CORBA_char _t386_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t387_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort865);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t384_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t384_principal_len + 1, _flick_abort865);
                  flick_khazana_decode_new_glob(_t384_principal_len);
                  flick_khazana_decode_new_chunk(_t384_principal_len);
                  flick_khazana_decode_end_chunk(_t384_principal_len);
                  flick_khazana_decode_end_glob(_t384_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  _local_us = (CORBA_unsigned_short *)(&_t385_storage);
                  _local_c = (CORBA_char *)(&_t386_storage);
                  flick_khazana_decode_new_glob(1);
                  flick_khazana_decode_new_chunk(1);
                  flick_cdr_swap_decode_char8(0, *_local_c, CORBA_char );
                  _ev = (CORBA_Environment *)(&_t387_storage);
                  flick_khazana_decode_end_chunk(1);
                  flick_khazana_decode_end_glob(1);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex2_op6(_obj, _local_us, _local_c, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort865);
                    flick_khazana_encode_new_glob(9, _flick_abort865);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(5);
                          flick_cdr_encode_unsigned16(0, _return, CORBA_unsigned_short );
                          flick_cdr_encode_unsigned16(2, *_local_us, CORBA_unsigned_short );
                          flick_cdr_encode_char8(4, *_local_c, CORBA_char );
                          flick_khazana_encode_end_chunk(5);
                          flick_khazana_encode_end_glob(9);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(9);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort871);
                          break;
                          {
                          _flick_abort871:
                            goto _flick_abort865;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort872);
                          flick_khazana_encode_end_glob(9);
                          break;
                          {
                          _flick_abort872:
                            goto _flick_abort865;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort865:
                    goto _flick_abort864;
                  }
                }
                break;
                {
                _flick_abort864:
                  goto _flick_abort309;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort309);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          unsigned int _t388_switch_tag;

          flick_khazana_check_span(12, _flick_abort309);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t388_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t388_switch_tag)
            {
            case /* op10 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623600):
              {
                char _t389_switch_tag;

                flick_khazana_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t389_switch_tag, char );
                flick_khazana_decode_end_chunk(1);
                switch ((char )_t389_switch_tag)
                  {
                  case 0:
                    {
                      {
                        ex2 _obj;
                        unsigned int _t390_principal_len;
                        CORBA_char *_return;
                        CORBA_char *_local_s;
                        flick_unsigned32_t _t391_temp_string_len;
                        CORBA_char **_local_ls;
                        CORBA_char *_t392_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t393_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort874);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(7);
                        flick_cdr_swap_decode_unsigned32(3, _t390_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(7);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t390_principal_len, _flick_abort874);
                        flick_khazana_decode_new_glob(_t390_principal_len);
                        flick_khazana_decode_new_chunk(_t390_principal_len);
                        flick_khazana_decode_end_chunk(_t390_principal_len);
                        flick_khazana_decode_end_glob(_t390_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort874);
                        flick_cdr_swap_decode_unsigned32(0, _t391_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t391_temp_string_len);
                        flick_khazana_check_span(1 * _t391_temp_string_len, _flick_abort874);
                        flick_khazana_decode_new_chunk(1 * _t391_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_s, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t391_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t391_temp_string_len);
                        _local_ls = (CORBA_char **)(&_t392_storage);
                        _ev = (CORBA_Environment *)(&_t393_storage);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = ex2_op10(_obj, _local_s, _local_ls, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort874);
                          flick_khazana_encode_new_glob(8, _flick_abort874);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                flick_unsigned32_t _t396_temp_string_len;
                                flick_unsigned32_t _t397_temp_string_len;

                                flick_cdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t396_temp_string_len);
                                flick_cdr_stringlen(CORBA_char *, *_local_ls, flick_unsigned32_t , _t397_temp_string_len);

                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_unsigned32(0, _t396_temp_string_len, flick_unsigned32_t );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(8);
                                flick_khazana_encode_new_glob(1 * _t396_temp_string_len, _flick_abort885);
                                flick_khazana_encode_new_chunk(1 * _t396_temp_string_len);
                                flick_cdr_encode_bcopy(0, _return, 1 * _t396_temp_string_len);
                                CORBA_flick_free(_return);
                                _return = 0;
                                flick_khazana_encode_end_chunk(1 * _t396_temp_string_len);
                                flick_khazana_encode_end_glob(1 * _t396_temp_string_len);
                                flick_khazana_encode_new_glob(18, _flick_abort885);
                                flick_khazana_encode_new_chunk_align(4 + 1 * _t397_temp_string_len, 2, 0, 0);
                                flick_cdr_encode_unsigned32(0, _t397_temp_string_len, flick_unsigned32_t );
                                if (_t397_temp_string_len > 11)
                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort885);
                                flick_cdr_encode_bcopy(4, *_local_ls, 1 * _t397_temp_string_len);
                                CORBA_flick_free(*_local_ls);
                                *_local_ls = 0;
                                flick_khazana_encode_end_chunk(4 + 1 * _t397_temp_string_len);
                                flick_khazana_encode_end_glob(18);
                                break;
                                {
                                _flick_abort885:
                                  goto _flick_abort874;
                                }
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort890);
                                break;
                                {
                                _flick_abort890:
                                  goto _flick_abort874;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort891);
                                flick_khazana_encode_end_glob(8);
                                break;
                                {
                                _flick_abort891:
                                  goto _flick_abort874;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort874:
                          goto _flick_abort873;
                        }
                      }
                      break;
                      {
                      _flick_abort873:
                        goto _flick_abort309;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort309);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* op11 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623601):
              {
                char _t398_switch_tag;

                flick_khazana_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t398_switch_tag, char );
                flick_khazana_decode_end_chunk(1);
                switch ((char )_t398_switch_tag)
                  {
                  case 0:
                    {
                      {
                        ex2 _obj;
                        unsigned int _t399_principal_len;
                        CORBA_char *_return;
                        CORBA_char **_local_ls;
                        CORBA_char *_t400_storage;
                        flick_unsigned32_t _t401_temp_string_len;
                        CORBA_long *_local_l;
                        CORBA_long _t402_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t403_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort893);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(7);
                        flick_cdr_swap_decode_unsigned32(3, _t399_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(7);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t399_principal_len, _flick_abort893);
                        flick_khazana_decode_new_glob(_t399_principal_len);
                        flick_khazana_decode_new_chunk(_t399_principal_len);
                        flick_khazana_decode_end_chunk(_t399_principal_len);
                        flick_khazana_decode_end_glob(_t399_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        _local_ls = (CORBA_char **)(&_t400_storage);
                        flick_khazana_decode_new_glob(18);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort893);
                        flick_cdr_swap_decode_unsigned32(0, _t401_temp_string_len, flick_unsigned32_t );
                        if (_t401_temp_string_len > 11)
                          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort893);
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_check_span(1 * _t401_temp_string_len, _flick_abort893);
                        flick_khazana_decode_new_chunk(1 * _t401_temp_string_len);
                        {
                          CORBA_char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(11 * sizeof(CORBA_char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort893);
                          *_local_ls = _t_alloc_ptr;
                        }
                        flick_cdr_swap_decode_bcopy(0, *_local_ls, 1 * _t401_temp_string_len);
                        flick_khazana_decode_end_chunk(1 * _t401_temp_string_len);
                        _local_l = (CORBA_long *)(&_t402_storage);
                        _ev = (CORBA_Environment *)(&_t403_storage);
                        flick_khazana_decode_end_glob(18);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = ex2_op11(_obj, _local_ls, _local_l, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort896);
                          flick_khazana_encode_new_glob(44, _flick_abort896);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                flick_unsigned32_t _t406_temp_string_len;
                                flick_unsigned32_t _t407_temp_string_len;

                                flick_cdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t406_temp_string_len);
                                flick_cdr_stringlen(CORBA_char *, *_local_ls, flick_unsigned32_t , _t407_temp_string_len);

                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4 + 1 * _t406_temp_string_len);
                                flick_cdr_encode_unsigned32(0, _t406_temp_string_len, flick_unsigned32_t );
                                if (_t406_temp_string_len > 11)
                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort905);
                                flick_cdr_encode_bcopy(4, _return, 1 * _t406_temp_string_len);
                                CORBA_flick_free(_return);
                                _return = 0;
                                flick_khazana_encode_end_chunk(4 + 1 * _t406_temp_string_len);
                                flick_khazana_encode_new_chunk_align(4 + 1 * _t407_temp_string_len, 2, 0, 0);
                                flick_cdr_encode_unsigned32(0, _t407_temp_string_len, flick_unsigned32_t );
                                if (_t407_temp_string_len > 11)
                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort905);
                                flick_cdr_encode_bcopy(4, *_local_ls, 1 * _t407_temp_string_len);
                                CORBA_flick_free(*_local_ls);
                                *_local_ls = 0;
                                flick_khazana_encode_end_chunk(4 + 1 * _t407_temp_string_len);
                                flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
                                flick_cdr_encode_signed32(0, *_local_l, CORBA_long );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(44);
                                break;
                                {
                                _flick_abort905:
                                  goto _flick_abort896;
                                }
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(44);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort910);
                                break;
                                {
                                _flick_abort910:
                                  goto _flick_abort896;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort911);
                                flick_khazana_encode_end_glob(44);
                                break;
                                {
                                _flick_abort911:
                                  goto _flick_abort896;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort896:
                          CORBA_flick_free(*_local_ls);
                        _flick_abort893:
                          goto _flick_abort892;
                        }
                      }
                      break;
                      {
                      _flick_abort892:
                        goto _flick_abort309;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort309);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* op12 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623602):
              {
                char _t408_switch_tag;

                flick_khazana_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t408_switch_tag, char );
                flick_khazana_decode_end_chunk(1);
                switch ((char )_t408_switch_tag)
                  {
                  case 0:
                    {
                      {
                        ex2 _obj;
                        unsigned int _t409_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_l;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t410_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort913);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(7);
                        flick_cdr_swap_decode_unsigned32(3, _t409_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(7);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t409_principal_len, _flick_abort913);
                        flick_khazana_decode_new_glob(_t409_principal_len);
                        flick_khazana_decode_new_chunk(_t409_principal_len);
                        flick_khazana_decode_end_chunk(_t409_principal_len);
                        flick_khazana_decode_end_glob(_t409_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort913);
                        flick_cdr_swap_decode_signed32(0, _local_l, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t410_storage);
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = ex2_op12(_obj, _local_l, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort913);
                          flick_khazana_encode_new_glob(8, _flick_abort913);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort919);
                                break;
                                {
                                _flick_abort919:
                                  goto _flick_abort913;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort920);
                                flick_khazana_encode_end_glob(8);
                                break;
                                {
                                _flick_abort920:
                                  goto _flick_abort913;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort913:
                          goto _flick_abort912;
                        }
                      }
                      break;
                      {
                      _flick_abort912:
                        goto _flick_abort309;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort309);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort309);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t411_switch_tag;

          flick_khazana_check_span(12, _flick_abort309);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t411_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t411_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t412_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t412_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t412_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t413_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t414_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t415_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort922);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t413_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t413_principal_len, _flick_abort922);
                        flick_khazana_decode_new_glob(_t413_principal_len);
                        flick_khazana_decode_new_chunk(_t413_principal_len);
                        flick_khazana_decode_end_chunk(_t413_principal_len);
                        flick_khazana_decode_end_glob(_t413_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort922);
                        flick_cdr_swap_decode_unsigned32(0, _t414_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t414_temp_string_len);
                        flick_khazana_check_span(1 * _t414_temp_string_len, _flick_abort922);
                        flick_khazana_decode_new_chunk(1 * _t414_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t414_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t414_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t415_storage);
                        _par = flick_interface_parents_ex2;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort922);
                          flick_khazana_encode_new_glob(5, _flick_abort922);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort930);
                                break;
                                {
                                _flick_abort930:
                                  goto _flick_abort922;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort931);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort931:
                                  goto _flick_abort922;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort922:
                          goto _flick_abort921;
                        }
                      }
                      break;
                      {
                      _flick_abort921:
                        goto _flick_abort309;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort309);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort309);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort309);
          flick_khazana_decode_end_glob(16);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t203_switch_tag;

    flick_khazana_decode_new_glob(16);
    flick_khazana_check_span(12, _flick_abort309);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t203_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t203_switch_tag)
      {
      case (unsigned int) 4:
        {
          unsigned int _t204_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t204_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t204_switch_tag)
            {
            case /* op7 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869625088):
              {
                {
                  ex2 _obj;
                  unsigned int _t205_principal_len;
                  CORBA_char _return;
                  CORBA_char _local_c;
                  CORBA_boolean *_local_b;
                  CORBA_boolean _t206_storage;
                  CORBA_octet *_local_o;
                  CORBA_octet _t207_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t208_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort467);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t205_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t205_principal_len + 2, _flick_abort467);
                  flick_khazana_decode_new_glob(_t205_principal_len);
                  flick_khazana_decode_new_chunk(_t205_principal_len);
                  flick_khazana_decode_end_chunk(_t205_principal_len);
                  flick_khazana_decode_end_glob(_t205_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_khazana_decode_new_glob(2);
                  flick_khazana_decode_new_chunk(2);
                  flick_cdr_decode_char8(0, _local_c, CORBA_char );
                  _local_b = (CORBA_boolean *)(&_t206_storage);
                  _local_o = (CORBA_octet *)(&_t207_storage);
                  flick_cdr_decode_unsigned8(1, *_local_o, CORBA_octet );
                  _ev = (CORBA_Environment *)(&_t208_storage);
                  flick_khazana_decode_end_chunk(2);
                  flick_khazana_decode_end_glob(2);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex2_op7(_obj, _local_c, _local_b, _local_o, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort467);
                    flick_khazana_encode_new_glob(7, _flick_abort467);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(3);
                          flick_cdr_encode_char8(0, _return, CORBA_char );
                          flick_cdr_encode_unsigned8(1, *_local_b, CORBA_boolean );
                          flick_cdr_encode_unsigned8(2, *_local_o, CORBA_octet );
                          flick_khazana_encode_end_chunk(3);
                          flick_khazana_encode_end_glob(7);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(7);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort473);
                          break;
                          {
                          _flick_abort473:
                            goto _flick_abort467;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort474);
                          flick_khazana_encode_end_glob(7);
                          break;
                          {
                          _flick_abort474:
                            goto _flick_abort467;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort467:
                    goto _flick_abort466;
                  }
                }
                break;
                {
                _flick_abort466:
                  goto _flick_abort309;
                }
              }
            case /* op8 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869625344):
              {
                {
                  ex2 _obj;
                  unsigned int _t209_principal_len;
                  CORBA_boolean _return;
                  CORBA_boolean *_local_b;
                  CORBA_boolean _t210_storage;
                  CORBA_octet _local_o;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t211_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort476);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t209_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t209_principal_len + 1, _flick_abort476);
                  flick_khazana_decode_new_glob(_t209_principal_len);
                  flick_khazana_decode_new_chunk(_t209_principal_len);
                  flick_khazana_decode_end_chunk(_t209_principal_len);
                  flick_khazana_decode_end_glob(_t209_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  _local_b = (CORBA_boolean *)(&_t210_storage);
                  flick_khazana_decode_new_glob(1);
                  flick_khazana_decode_new_chunk(1);
                  flick_cdr_decode_unsigned8(0, _local_o, CORBA_octet );
                  _ev = (CORBA_Environment *)(&_t211_storage);
                  flick_khazana_decode_end_chunk(1);
                  flick_khazana_decode_end_glob(1);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex2_op8(_obj, _local_b, _local_o, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort476);
                    flick_khazana_encode_new_glob(6, _flick_abort476);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(2);
                          flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                          flick_cdr_encode_unsigned8(1, *_local_b, CORBA_boolean );
                          flick_khazana_encode_end_chunk(2);
                          flick_khazana_encode_end_glob(6);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(6);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort482);
                          break;
                          {
                          _flick_abort482:
                            goto _flick_abort476;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort483);
                          flick_khazana_encode_end_glob(6);
                          break;
                          {
                          _flick_abort483:
                            goto _flick_abort476;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort476:
                    goto _flick_abort475;
                  }
                }
                break;
                {
                _flick_abort475:
                  goto _flick_abort309;
                }
              }
            case /* op9 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869625600):
              {
                {
                  ex2 _obj;
                  unsigned int _t212_principal_len;
                  CORBA_octet _return;
                  CORBA_octet *_local_o;
                  CORBA_octet _t213_storage;
                  CORBA_char **_local_s;
                  CORBA_char *_t214_storage;
                  CORBA_char *_local_ls;
                  flick_unsigned32_t _t215_temp_string_len;
                  CORBA_long *_local_l;
                  CORBA_long _t216_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t217_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort485);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t212_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t212_principal_len + 1, _flick_abort485);
                  flick_khazana_decode_new_glob(_t212_principal_len);
                  flick_khazana_decode_new_chunk(_t212_principal_len);
                  flick_khazana_decode_end_chunk(_t212_principal_len);
                  flick_khazana_decode_end_glob(_t212_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  _local_o = (CORBA_octet *)(&_t213_storage);
                  flick_khazana_decode_new_glob(26);
                  flick_khazana_decode_new_chunk(1);
                  flick_cdr_decode_unsigned8(0, *_local_o, CORBA_octet );
                  _local_s = (CORBA_char **)(&_t214_storage);
                  flick_khazana_decode_end_chunk(1);
                  flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                  flick_khazana_check_span(4, _flick_abort485);
                  flick_cdr_decode_unsigned32(0, _t215_temp_string_len, flick_unsigned32_t );
                  if (_t215_temp_string_len > 11)
                    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort485);
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_check_span(1 * _t215_temp_string_len, _flick_abort485);
                  flick_khazana_decode_new_chunk(1 * _t215_temp_string_len);
                  flick_cdr_decode_msgptr(0, _local_ls, CORBA_char *);
                  flick_khazana_decode_end_chunk(1 * _t215_temp_string_len);
                  _local_l = (CORBA_long *)(&_t216_storage);
                  flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                  flick_khazana_check_span(4, _flick_abort485);
                  flick_cdr_decode_signed32(0, *_local_l, CORBA_long );
                  _ev = (CORBA_Environment *)(&_t217_storage);
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(26);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex2_op9(_obj, _local_o, _local_s, _local_ls, _local_l, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort485);
                    flick_khazana_encode_new_glob(12, _flick_abort485);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          flick_unsigned32_t _t219_temp_string_len;

                          flick_cdr_stringlen(CORBA_char *, *_local_s, flick_unsigned32_t , _t219_temp_string_len);

                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(8);
                          flick_cdr_encode_unsigned8(0, _return, CORBA_octet );
                          flick_cdr_encode_unsigned8(1, *_local_o, CORBA_octet );
                          flick_cdr_encode_unsigned32(4, _t219_temp_string_len, flick_unsigned32_t );
                          flick_khazana_encode_end_chunk(8);
                          flick_khazana_encode_end_glob(12);
                          flick_khazana_encode_new_glob(1 * _t219_temp_string_len, _flick_abort494);
                          flick_khazana_encode_new_chunk(1 * _t219_temp_string_len);
                          flick_cdr_encode_bcopy(0, *_local_s, 1 * _t219_temp_string_len);
                          CORBA_flick_free(*_local_s);
                          *_local_s = 0;
                          flick_khazana_encode_end_chunk(1 * _t219_temp_string_len);
                          flick_khazana_encode_end_glob(1 * _t219_temp_string_len);
                          flick_khazana_encode_new_glob(7, _flick_abort494);
                          flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
                          flick_cdr_encode_signed32(0, *_local_l, CORBA_long );
                          flick_khazana_encode_end_chunk(4);
                          flick_khazana_encode_end_glob(7);
                          break;
                          {
                          _flick_abort494:
                            goto _flick_abort485;
                          }
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(12);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort497);
                          break;
                          {
                          _flick_abort497:
                            goto _flick_abort485;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort498);
                          flick_khazana_encode_end_glob(12);
                          break;
                          {
                          _flick_abort498:
                            goto _flick_abort485;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort485:
                    goto _flick_abort484;
                  }
                }
                break;
                {
                _flick_abort484:
                  goto _flick_abort309;
                }
              }
            case /* op0 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623296):
              {
                {
                  ex2 _obj;
                  unsigned int _t220_principal_len;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t221_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort500);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t220_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t220_principal_len, _flick_abort500);
                  flick_khazana_decode_new_glob(_t220_principal_len);
                  flick_khazana_decode_new_chunk(_t220_principal_len);
                  flick_khazana_decode_end_chunk(_t220_principal_len);
                  flick_khazana_decode_end_glob(_t220_principal_len);
                  /* Begin decode phase on parameters */
                  _ev = (CORBA_Environment *)(&_t221_storage);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  ex2_op0(_obj, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort500);
                    flick_khazana_encode_new_glob(4, _flick_abort500);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_end_glob(4);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(4);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort506);
                          break;
                          {
                          _flick_abort506:
                            goto _flick_abort500;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort507);
                          flick_khazana_encode_end_glob(4);
                          break;
                          {
                          _flick_abort507:
                            goto _flick_abort500;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort500:
                    goto _flick_abort499;
                  }
                }
                break;
                {
                _flick_abort499:
                  goto _flick_abort309;
                }
              }
            case /* op1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623552):
              {
                {
                  ex2 _obj;
                  unsigned int _t222_principal_len;
                  CORBA_float _return;
                  CORBA_float _local_f;
                  CORBA_double *_local_d;
                  CORBA_double _t223_storage;
                  CORBA_long *_local_l;
                  CORBA_long _t224_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t225_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort509);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t222_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t222_principal_len, _flick_abort509);
                  flick_khazana_decode_new_glob(_t222_principal_len);
                  flick_khazana_decode_new_chunk(_t222_principal_len);
                  flick_khazana_decode_end_chunk(_t222_principal_len);
                  flick_khazana_decode_end_glob(_t222_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0.000000;
                  flick_khazana_decode_new_glob(11);
                  flick_khazana_decode_new_chunk_align(8, 2, 0, 0);
                  flick_khazana_check_span(8, _flick_abort509);
                  flick_cdr_decode_float32(0, _local_f, CORBA_float );
                  _local_d = (CORBA_double *)(&_t223_storage);
                  _local_l = (CORBA_long *)(&_t224_storage);
                  flick_cdr_decode_signed32(4, *_local_l, CORBA_long );
                  _ev = (CORBA_Environment *)(&_t225_storage);
                  flick_khazana_decode_end_chunk(8);
                  flick_khazana_decode_end_glob(11);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex2_op1(_obj, _local_f, _local_d, _local_l, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort509);
                    flick_khazana_encode_new_glob(24, _flick_abort509);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_float32(0, _return, CORBA_float );
                          flick_khazana_encode_end_chunk(4);
                          flick_khazana_encode_new_chunk_align(12, 3, 2, 0);
                          flick_cdr_encode_float64(0, *_local_d, CORBA_double );
                          flick_cdr_encode_signed32(8, *_local_l, CORBA_long );
                          flick_khazana_encode_end_chunk(12);
                          flick_khazana_encode_end_glob(24);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(24);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort515);
                          break;
                          {
                          _flick_abort515:
                            goto _flick_abort509;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort516);
                          flick_khazana_encode_end_glob(24);
                          break;
                          {
                          _flick_abort516:
                            goto _flick_abort509;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort509:
                    goto _flick_abort508;
                  }
                }
                break;
                {
                _flick_abort508:
                  goto _flick_abort309;
                }
              }
            case /* op2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623808):
              {
                {
                  ex2 _obj;
                  unsigned int _t226_principal_len;
                  CORBA_double _return;
                  CORBA_double _local_d;
                  CORBA_long *_local_l;
                  CORBA_long _t227_storage;
                  CORBA_short *_local_s;
                  CORBA_short _t228_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t229_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort518);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t226_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t226_principal_len, _flick_abort518);
                  flick_khazana_decode_new_glob(_t226_principal_len);
                  flick_khazana_decode_new_chunk(_t226_principal_len);
                  flick_khazana_decode_end_chunk(_t226_principal_len);
                  flick_khazana_decode_end_glob(_t226_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0.000000;
                  flick_khazana_decode_new_glob(17);
                  flick_khazana_decode_new_chunk_align(10, 3, 0, 0);
                  flick_khazana_check_span(10, _flick_abort518);
                  flick_cdr_decode_float64(0, _local_d, CORBA_double );
                  _local_l = (CORBA_long *)(&_t227_storage);
                  _local_s = (CORBA_short *)(&_t228_storage);
                  flick_cdr_decode_signed16(8, *_local_s, CORBA_short );
                  _ev = (CORBA_Environment *)(&_t229_storage);
                  flick_khazana_decode_end_chunk(10);
                  flick_khazana_decode_end_glob(17);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex2_op2(_obj, _local_d, _local_l, _local_s, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort518);
                    flick_khazana_encode_new_glob(22, _flick_abort518);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk_align(14, 3, 2, 0);
                          flick_cdr_encode_float64(0, _return, CORBA_double );
                          flick_cdr_encode_signed32(8, *_local_l, CORBA_long );
                          flick_cdr_encode_signed16(12, *_local_s, CORBA_short );
                          flick_khazana_encode_end_chunk(14);
                          flick_khazana_encode_end_glob(22);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(22);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort524);
                          break;
                          {
                          _flick_abort524:
                            goto _flick_abort518;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort525);
                          flick_khazana_encode_end_glob(22);
                          break;
                          {
                          _flick_abort525:
                            goto _flick_abort518;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort518:
                    goto _flick_abort517;
                  }
                }
                break;
                {
                _flick_abort517:
                  goto _flick_abort309;
                }
              }
            case /* op3 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624064):
              {
                {
                  ex2 _obj;
                  unsigned int _t230_principal_len;
                  CORBA_long _return;
                  CORBA_long _local_l;
                  CORBA_short *_local_s;
                  CORBA_short _t231_storage;
                  CORBA_unsigned_long *_local_ul;
                  CORBA_unsigned_long _t232_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t233_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort527);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t230_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t230_principal_len, _flick_abort527);
                  flick_khazana_decode_new_glob(_t230_principal_len);
                  flick_khazana_decode_new_chunk(_t230_principal_len);
                  flick_khazana_decode_end_chunk(_t230_principal_len);
                  flick_khazana_decode_end_glob(_t230_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_khazana_decode_new_glob(11);
                  flick_khazana_decode_new_chunk_align(8, 2, 0, 0);
                  flick_khazana_check_span(8, _flick_abort527);
                  flick_cdr_decode_signed32(0, _local_l, CORBA_long );
                  _local_s = (CORBA_short *)(&_t231_storage);
                  _local_ul = (CORBA_unsigned_long *)(&_t232_storage);
                  flick_cdr_decode_unsigned32(4, *_local_ul, CORBA_unsigned_long );
                  _ev = (CORBA_Environment *)(&_t233_storage);
                  flick_khazana_decode_end_chunk(8);
                  flick_khazana_decode_end_glob(11);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex2_op3(_obj, _local_l, _local_s, _local_ul, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort527);
                    flick_khazana_encode_new_glob(16, _flick_abort527);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(12);
                          flick_cdr_encode_signed32(0, _return, CORBA_long );
                          flick_cdr_encode_signed16(4, *_local_s, CORBA_short );
                          flick_cdr_encode_unsigned32(8, *_local_ul, CORBA_unsigned_long );
                          flick_khazana_encode_end_chunk(12);
                          flick_khazana_encode_end_glob(16);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(16);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort533);
                          break;
                          {
                          _flick_abort533:
                            goto _flick_abort527;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort534);
                          flick_khazana_encode_end_glob(16);
                          break;
                          {
                          _flick_abort534:
                            goto _flick_abort527;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort527:
                    goto _flick_abort526;
                  }
                }
                break;
                {
                _flick_abort526:
                  goto _flick_abort309;
                }
              }
            case /* op4 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624320):
              {
                {
                  ex2 _obj;
                  unsigned int _t234_principal_len;
                  CORBA_short _return;
                  CORBA_short _local_s;
                  CORBA_unsigned_long *_local_ul;
                  CORBA_unsigned_long _t235_storage;
                  CORBA_unsigned_short *_local_us;
                  CORBA_unsigned_short _t236_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t237_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort536);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t234_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t234_principal_len, _flick_abort536);
                  flick_khazana_decode_new_glob(_t234_principal_len);
                  flick_khazana_decode_new_chunk(_t234_principal_len);
                  flick_khazana_decode_end_chunk(_t234_principal_len);
                  flick_khazana_decode_end_glob(_t234_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_khazana_decode_new_glob(5);
                  flick_khazana_decode_new_chunk_align(4, 1, 0, 0);
                  flick_khazana_check_span(4, _flick_abort536);
                  flick_cdr_decode_signed16(0, _local_s, CORBA_short );
                  _local_ul = (CORBA_unsigned_long *)(&_t235_storage);
                  _local_us = (CORBA_unsigned_short *)(&_t236_storage);
                  flick_cdr_decode_unsigned16(2, *_local_us, CORBA_unsigned_short );
                  _ev = (CORBA_Environment *)(&_t237_storage);
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(5);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex2_op4(_obj, _local_s, _local_ul, _local_us, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort536);
                    flick_khazana_encode_new_glob(14, _flick_abort536);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(10);
                          flick_cdr_encode_signed16(0, _return, CORBA_short );
                          flick_cdr_encode_unsigned32(4, *_local_ul, CORBA_unsigned_long );
                          flick_cdr_encode_unsigned16(8, *_local_us, CORBA_unsigned_short );
                          flick_khazana_encode_end_chunk(10);
                          flick_khazana_encode_end_glob(14);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(14);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort542);
                          break;
                          {
                          _flick_abort542:
                            goto _flick_abort536;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort543);
                          flick_khazana_encode_end_glob(14);
                          break;
                          {
                          _flick_abort543:
                            goto _flick_abort536;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort536:
                    goto _flick_abort535;
                  }
                }
                break;
                {
                _flick_abort535:
                  goto _flick_abort309;
                }
              }
            case /* op5 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624576):
              {
                {
                  ex2 _obj;
                  unsigned int _t238_principal_len;
                  CORBA_unsigned_long _return;
                  CORBA_unsigned_long *_local_ul;
                  CORBA_unsigned_long _t239_storage;
                  CORBA_unsigned_short _local_us;
                  CORBA_char *_local_c;
                  CORBA_char _t240_storage;
                  CORBA_boolean _local_b;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t241_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort545);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t238_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t238_principal_len, _flick_abort545);
                  flick_khazana_decode_new_glob(_t238_principal_len);
                  flick_khazana_decode_new_chunk(_t238_principal_len);
                  flick_khazana_decode_end_chunk(_t238_principal_len);
                  flick_khazana_decode_end_glob(_t238_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  _local_ul = (CORBA_unsigned_long *)(&_t239_storage);
                  flick_khazana_decode_new_glob(10);
                  flick_khazana_decode_new_chunk_align(7, 2, 0, 0);
                  flick_khazana_check_span(7, _flick_abort545);
                  flick_cdr_decode_unsigned32(0, *_local_ul, CORBA_unsigned_long );
                  flick_cdr_decode_unsigned16(4, _local_us, CORBA_unsigned_short );
                  _local_c = (CORBA_char *)(&_t240_storage);
                  flick_cdr_decode_unsigned8(6, _local_b, CORBA_boolean );
                  _ev = (CORBA_Environment *)(&_t241_storage);
                  flick_khazana_decode_end_chunk(7);
                  flick_khazana_decode_end_glob(10);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex2_op5(_obj, _local_ul, _local_us, _local_c, _local_b, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort545);
                    flick_khazana_encode_new_glob(13, _flick_abort545);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(9);
                          flick_cdr_encode_unsigned32(0, _return, CORBA_unsigned_long );
                          flick_cdr_encode_unsigned32(4, *_local_ul, CORBA_unsigned_long );
                          flick_cdr_encode_char8(8, *_local_c, CORBA_char );
                          flick_khazana_encode_end_chunk(9);
                          flick_khazana_encode_end_glob(13);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(13);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort551);
                          break;
                          {
                          _flick_abort551:
                            goto _flick_abort545;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort552);
                          flick_khazana_encode_end_glob(13);
                          break;
                          {
                          _flick_abort552:
                            goto _flick_abort545;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort545:
                    goto _flick_abort544;
                  }
                }
                break;
                {
                _flick_abort544:
                  goto _flick_abort309;
                }
              }
            case /* op6 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624832):
              {
                {
                  ex2 _obj;
                  unsigned int _t242_principal_len;
                  CORBA_unsigned_short _return;
                  CORBA_unsigned_short *_local_us;
                  CORBA_unsigned_short _t243_storage;
                  CORBA_char *_local_c;
                  CORBA_char _t244_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t245_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort554);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t242_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(16);
                  flick_khazana_check_span(_t242_principal_len + 1, _flick_abort554);
                  flick_khazana_decode_new_glob(_t242_principal_len);
                  flick_khazana_decode_new_chunk(_t242_principal_len);
                  flick_khazana_decode_end_chunk(_t242_principal_len);
                  flick_khazana_decode_end_glob(_t242_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  _local_us = (CORBA_unsigned_short *)(&_t243_storage);
                  _local_c = (CORBA_char *)(&_t244_storage);
                  flick_khazana_decode_new_glob(1);
                  flick_khazana_decode_new_chunk(1);
                  flick_cdr_decode_char8(0, *_local_c, CORBA_char );
                  _ev = (CORBA_Environment *)(&_t245_storage);
                  flick_khazana_decode_end_chunk(1);
                  flick_khazana_decode_end_glob(1);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex2_op6(_obj, _local_us, _local_c, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort554);
                    flick_khazana_encode_new_glob(9, _flick_abort554);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(5);
                          flick_cdr_encode_unsigned16(0, _return, CORBA_unsigned_short );
                          flick_cdr_encode_unsigned16(2, *_local_us, CORBA_unsigned_short );
                          flick_cdr_encode_char8(4, *_local_c, CORBA_char );
                          flick_khazana_encode_end_chunk(5);
                          flick_khazana_encode_end_glob(9);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(9);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort560);
                          break;
                          {
                          _flick_abort560:
                            goto _flick_abort554;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort561);
                          flick_khazana_encode_end_glob(9);
                          break;
                          {
                          _flick_abort561:
                            goto _flick_abort554;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort554:
                    goto _flick_abort553;
                  }
                }
                break;
                {
                _flick_abort553:
                  goto _flick_abort309;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort309);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          unsigned int _t246_switch_tag;

          flick_khazana_check_span(12, _flick_abort309);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t246_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t246_switch_tag)
            {
            case /* op10 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623600):
              {
                char _t247_switch_tag;

                flick_khazana_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t247_switch_tag, char );
                flick_khazana_decode_end_chunk(1);
                switch ((char )_t247_switch_tag)
                  {
                  case 0:
                    {
                      {
                        ex2 _obj;
                        unsigned int _t248_principal_len;
                        CORBA_char *_return;
                        CORBA_char *_local_s;
                        flick_unsigned32_t _t249_temp_string_len;
                        CORBA_char **_local_ls;
                        CORBA_char *_t250_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t251_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort563);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(7);
                        flick_cdr_decode_unsigned32(3, _t248_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(7);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t248_principal_len, _flick_abort563);
                        flick_khazana_decode_new_glob(_t248_principal_len);
                        flick_khazana_decode_new_chunk(_t248_principal_len);
                        flick_khazana_decode_end_chunk(_t248_principal_len);
                        flick_khazana_decode_end_glob(_t248_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort563);
                        flick_cdr_decode_unsigned32(0, _t249_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t249_temp_string_len);
                        flick_khazana_check_span(1 * _t249_temp_string_len, _flick_abort563);
                        flick_khazana_decode_new_chunk(1 * _t249_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_s, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t249_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t249_temp_string_len);
                        _local_ls = (CORBA_char **)(&_t250_storage);
                        _ev = (CORBA_Environment *)(&_t251_storage);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = ex2_op10(_obj, _local_s, _local_ls, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort563);
                          flick_khazana_encode_new_glob(8, _flick_abort563);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                flick_unsigned32_t _t254_temp_string_len;
                                flick_unsigned32_t _t255_temp_string_len;

                                flick_cdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t254_temp_string_len);
                                flick_cdr_stringlen(CORBA_char *, *_local_ls, flick_unsigned32_t , _t255_temp_string_len);

                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_unsigned32(0, _t254_temp_string_len, flick_unsigned32_t );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(8);
                                flick_khazana_encode_new_glob(1 * _t254_temp_string_len, _flick_abort574);
                                flick_khazana_encode_new_chunk(1 * _t254_temp_string_len);
                                flick_cdr_encode_bcopy(0, _return, 1 * _t254_temp_string_len);
                                CORBA_flick_free(_return);
                                _return = 0;
                                flick_khazana_encode_end_chunk(1 * _t254_temp_string_len);
                                flick_khazana_encode_end_glob(1 * _t254_temp_string_len);
                                flick_khazana_encode_new_glob(18, _flick_abort574);
                                flick_khazana_encode_new_chunk_align(4 + 1 * _t255_temp_string_len, 2, 0, 0);
                                flick_cdr_encode_unsigned32(0, _t255_temp_string_len, flick_unsigned32_t );
                                if (_t255_temp_string_len > 11)
                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort574);
                                flick_cdr_encode_bcopy(4, *_local_ls, 1 * _t255_temp_string_len);
                                CORBA_flick_free(*_local_ls);
                                *_local_ls = 0;
                                flick_khazana_encode_end_chunk(4 + 1 * _t255_temp_string_len);
                                flick_khazana_encode_end_glob(18);
                                break;
                                {
                                _flick_abort574:
                                  goto _flick_abort563;
                                }
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort579);
                                break;
                                {
                                _flick_abort579:
                                  goto _flick_abort563;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort580);
                                flick_khazana_encode_end_glob(8);
                                break;
                                {
                                _flick_abort580:
                                  goto _flick_abort563;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort563:
                          goto _flick_abort562;
                        }
                      }
                      break;
                      {
                      _flick_abort562:
                        goto _flick_abort309;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort309);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* op11 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623601):
              {
                char _t256_switch_tag;

                flick_khazana_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t256_switch_tag, char );
                flick_khazana_decode_end_chunk(1);
                switch ((char )_t256_switch_tag)
                  {
                  case 0:
                    {
                      {
                        ex2 _obj;
                        unsigned int _t257_principal_len;
                        CORBA_char *_return;
                        CORBA_char **_local_ls;
                        CORBA_char *_t258_storage;
                        flick_unsigned32_t _t259_temp_string_len;
                        CORBA_long *_local_l;
                        CORBA_long _t260_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t261_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort582);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(7);
                        flick_cdr_decode_unsigned32(3, _t257_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(7);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t257_principal_len, _flick_abort582);
                        flick_khazana_decode_new_glob(_t257_principal_len);
                        flick_khazana_decode_new_chunk(_t257_principal_len);
                        flick_khazana_decode_end_chunk(_t257_principal_len);
                        flick_khazana_decode_end_glob(_t257_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        _local_ls = (CORBA_char **)(&_t258_storage);
                        flick_khazana_decode_new_glob(18);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort582);
                        flick_cdr_decode_unsigned32(0, _t259_temp_string_len, flick_unsigned32_t );
                        if (_t259_temp_string_len > 11)
                          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort582);
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_check_span(1 * _t259_temp_string_len, _flick_abort582);
                        flick_khazana_decode_new_chunk(1 * _t259_temp_string_len);
                        {
                          CORBA_char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(11 * sizeof(CORBA_char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort582);
                          *_local_ls = _t_alloc_ptr;
                        }
                        flick_cdr_decode_bcopy(0, *_local_ls, 1 * _t259_temp_string_len);
                        flick_khazana_decode_end_chunk(1 * _t259_temp_string_len);
                        _local_l = (CORBA_long *)(&_t260_storage);
                        _ev = (CORBA_Environment *)(&_t261_storage);
                        flick_khazana_decode_end_glob(18);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = ex2_op11(_obj, _local_ls, _local_l, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort585);
                          flick_khazana_encode_new_glob(44, _flick_abort585);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                flick_unsigned32_t _t264_temp_string_len;
                                flick_unsigned32_t _t265_temp_string_len;

                                flick_cdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t264_temp_string_len);
                                flick_cdr_stringlen(CORBA_char *, *_local_ls, flick_unsigned32_t , _t265_temp_string_len);

                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4 + 1 * _t264_temp_string_len);
                                flick_cdr_encode_unsigned32(0, _t264_temp_string_len, flick_unsigned32_t );
                                if (_t264_temp_string_len > 11)
                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort594);
                                flick_cdr_encode_bcopy(4, _return, 1 * _t264_temp_string_len);
                                CORBA_flick_free(_return);
                                _return = 0;
                                flick_khazana_encode_end_chunk(4 + 1 * _t264_temp_string_len);
                                flick_khazana_encode_new_chunk_align(4 + 1 * _t265_temp_string_len, 2, 0, 0);
                                flick_cdr_encode_unsigned32(0, _t265_temp_string_len, flick_unsigned32_t );
                                if (_t265_temp_string_len > 11)
                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort594);
                                flick_cdr_encode_bcopy(4, *_local_ls, 1 * _t265_temp_string_len);
                                CORBA_flick_free(*_local_ls);
                                *_local_ls = 0;
                                flick_khazana_encode_end_chunk(4 + 1 * _t265_temp_string_len);
                                flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
                                flick_cdr_encode_signed32(0, *_local_l, CORBA_long );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(44);
                                break;
                                {
                                _flick_abort594:
                                  goto _flick_abort585;
                                }
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(44);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort599);
                                break;
                                {
                                _flick_abort599:
                                  goto _flick_abort585;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort600);
                                flick_khazana_encode_end_glob(44);
                                break;
                                {
                                _flick_abort600:
                                  goto _flick_abort585;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort585:
                          CORBA_flick_free(*_local_ls);
                        _flick_abort582:
                          goto _flick_abort581;
                        }
                      }
                      break;
                      {
                      _flick_abort581:
                        goto _flick_abort309;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort309);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            case /* op12 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623602):
              {
                char _t266_switch_tag;

                flick_khazana_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t266_switch_tag, char );
                flick_khazana_decode_end_chunk(1);
                switch ((char )_t266_switch_tag)
                  {
                  case 0:
                    {
                      {
                        ex2 _obj;
                        unsigned int _t267_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_l;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t268_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort602);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(7);
                        flick_cdr_decode_unsigned32(3, _t267_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(7);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t267_principal_len, _flick_abort602);
                        flick_khazana_decode_new_glob(_t267_principal_len);
                        flick_khazana_decode_new_chunk(_t267_principal_len);
                        flick_khazana_decode_end_chunk(_t267_principal_len);
                        flick_khazana_decode_end_glob(_t267_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort602);
                        flick_cdr_decode_signed32(0, _local_l, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t268_storage);
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = ex2_op12(_obj, _local_l, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort602);
                          flick_khazana_encode_new_glob(8, _flick_abort602);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort608);
                                break;
                                {
                                _flick_abort608:
                                  goto _flick_abort602;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort609);
                                flick_khazana_encode_end_glob(8);
                                break;
                                {
                                _flick_abort609:
                                  goto _flick_abort602;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort602:
                          goto _flick_abort601;
                        }
                      }
                      break;
                      {
                      _flick_abort601:
                        goto _flick_abort309;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort309);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort309);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t269_switch_tag;

          flick_khazana_check_span(12, _flick_abort309);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t269_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t269_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t270_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t270_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t270_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t271_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t272_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t273_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort611);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t271_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(16);
                        flick_khazana_check_span(_t271_principal_len, _flick_abort611);
                        flick_khazana_decode_new_glob(_t271_principal_len);
                        flick_khazana_decode_new_chunk(_t271_principal_len);
                        flick_khazana_decode_end_chunk(_t271_principal_len);
                        flick_khazana_decode_end_glob(_t271_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort611);
                        flick_cdr_decode_unsigned32(0, _t272_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t272_temp_string_len);
                        flick_khazana_check_span(1 * _t272_temp_string_len, _flick_abort611);
                        flick_khazana_decode_new_chunk(1 * _t272_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t272_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t272_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t273_storage);
                        _par = flick_interface_parents_ex2;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort611);
                          flick_khazana_encode_new_glob(5, _flick_abort611);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort619);
                                break;
                                {
                                _flick_abort619:
                                  goto _flick_abort611;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort620);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort620:
                                  goto _flick_abort611;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort611:
                          goto _flick_abort610;
                        }
                      }
                      break;
                      {
                      _flick_abort610:
                        goto _flick_abort309;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort309);
                      flick_khazana_decode_end_glob(16);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort309);
                flick_khazana_decode_end_glob(16);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort309);
          flick_khazana_decode_end_glob(16);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort309:
    flick_corba_server_error(cdr, khazana, _flick_reaper, _flick_abort308);
  _flick_abort308:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

int flick_marshal_stub_ex3(flick_marshal_stream_t _stream, ex3 *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdr_encode_IOR(khazana, *_data, 0, _flick_abort932);
  return 0;
  {
  _flick_abort932:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_ex3(flick_marshal_stream_t _stream, ex3 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_decode_IOR(khazana, *_data, 1);
  return 0;
}

int flick_unmarshal_stub_ex3_swap(flick_marshal_stream_t _stream, ex3 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swap_decode_IOR(khazana, *_data, 1);
  return 0;
}

flick_operation_success_t ex3_server(FLICK_TARGET _this_obj, flick_msg_t _in_msg, flick_msg_t *_out_msg)
{
  FLICK_BUFFER *_stream;
  flick_khazana_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t674_switch_tag;

    flick_khazana_decode_new_glob(40);
    flick_khazana_check_span(12, _flick_abort937);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t674_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t674_switch_tag)
      {
      case (unsigned int) 21:
        {
          unsigned int _t675_switch_tag;

          flick_khazana_check_span(28, _flick_abort937);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t675_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t675_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t676_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t676_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t676_switch_tag)
                  {
                  case /* _flo */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600547951):
                    {
                      unsigned int _t677_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t677_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t677_switch_tag)
                        {
                        case /* at_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635016545):
                          {
                            unsigned int _t678_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t678_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t678_switch_tag)
                              {
                              case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                {
                                  unsigned int _t679_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t679_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t679_switch_tag)
                                    {
                                    case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                      {
                                        char _t680_switch_tag;

                                        flick_khazana_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t680_switch_tag, char );
                                        flick_khazana_decode_end_chunk(1);
                                        switch ((char )_t680_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                ex3 _obj;
                                                unsigned int _t681_principal_len;
                                                CORBA_float _return;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t682_storage;

                                                flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort1352);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_khazana_decode_new_chunk(7);
                                                flick_cdr_swap_decode_unsigned32(3, _t681_principal_len, unsigned int );
                                                flick_khazana_decode_end_chunk(7);
                                                flick_khazana_decode_end_glob(40);
                                                flick_khazana_check_span(_t681_principal_len, _flick_abort1352);
                                                flick_khazana_decode_new_glob(_t681_principal_len);
                                                flick_khazana_decode_new_chunk(_t681_principal_len);
                                                flick_khazana_decode_end_chunk(_t681_principal_len);
                                                flick_khazana_decode_end_glob(_t681_principal_len);
                                                /* Begin decode phase on parameters */
                                                _return = 0.000000;
                                                _ev = (CORBA_Environment *)(&_t682_storage);
                                                flick_khazana_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                _return = ex3__get_float_attribute(_obj, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_khazana_server_start_encode();
                                                {
                                                  flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1352);
                                                  flick_khazana_encode_new_glob(8, _flick_abort1352);
                                                  flick_khazana_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_khazana_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_khazana_encode_new_chunk(4);
                                                        flick_cdr_encode_float32(0, _return, CORBA_float );
                                                        flick_khazana_encode_end_chunk(4);
                                                        flick_khazana_encode_end_glob(8);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_khazana_encode_end_glob(8);
                                                        flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1358);
                                                        break;
                                                        {
                                                        _flick_abort1358:
                                                          goto _flick_abort1352;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1359);
                                                        flick_khazana_encode_end_glob(8);
                                                        break;
                                                        {
                                                        _flick_abort1359:
                                                          goto _flick_abort1352;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_khazana_server_end_encode();
                                                break;
                                                {
                                                _flick_abort1352:
                                                  goto _flick_abort1351;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort1351:
                                                goto _flick_abort937;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                              flick_khazana_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _sho */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398895):
                    {
                      unsigned int _t683_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t683_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t683_switch_tag)
                        {
                        case /* rt_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1920229217):
                          {
                            unsigned int _t684_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t684_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t684_switch_tag)
                              {
                              case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                {
                                  unsigned int _t685_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t685_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t685_switch_tag)
                                    {
                                    case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                      {
                                        char _t686_switch_tag;

                                        flick_khazana_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t686_switch_tag, char );
                                        flick_khazana_decode_end_chunk(1);
                                        switch ((char )_t686_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                ex3 _obj;
                                                unsigned int _t687_principal_len;
                                                CORBA_short _return;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t688_storage;

                                                flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort1361);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_khazana_decode_new_chunk(7);
                                                flick_cdr_swap_decode_unsigned32(3, _t687_principal_len, unsigned int );
                                                flick_khazana_decode_end_chunk(7);
                                                flick_khazana_decode_end_glob(40);
                                                flick_khazana_check_span(_t687_principal_len, _flick_abort1361);
                                                flick_khazana_decode_new_glob(_t687_principal_len);
                                                flick_khazana_decode_new_chunk(_t687_principal_len);
                                                flick_khazana_decode_end_chunk(_t687_principal_len);
                                                flick_khazana_decode_end_glob(_t687_principal_len);
                                                /* Begin decode phase on parameters */
                                                _return = 0;
                                                _ev = (CORBA_Environment *)(&_t688_storage);
                                                flick_khazana_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                _return = ex3__get_short_attribute(_obj, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_khazana_server_start_encode();
                                                {
                                                  flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1361);
                                                  flick_khazana_encode_new_glob(6, _flick_abort1361);
                                                  flick_khazana_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_khazana_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_khazana_encode_new_chunk(2);
                                                        flick_cdr_encode_signed16(0, _return, CORBA_short );
                                                        flick_khazana_encode_end_chunk(2);
                                                        flick_khazana_encode_end_glob(6);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_khazana_encode_end_glob(6);
                                                        flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1367);
                                                        break;
                                                        {
                                                        _flick_abort1367:
                                                          goto _flick_abort1361;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1368);
                                                        flick_khazana_encode_end_glob(6);
                                                        break;
                                                        {
                                                        _flick_abort1368:
                                                          goto _flick_abort1361;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_khazana_server_end_encode();
                                                break;
                                                {
                                                _flick_abort1361:
                                                  goto _flick_abort1360;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort1360:
                                                goto _flick_abort937;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                              flick_khazana_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                      flick_khazana_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t689_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t689_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t689_switch_tag)
                  {
                  case /* _sho */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398895):
                    {
                      unsigned int _t690_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t690_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t690_switch_tag)
                        {
                        case /* rt_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1920229217):
                          {
                            unsigned int _t691_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t691_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t691_switch_tag)
                              {
                              case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                {
                                  unsigned int _t692_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t692_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t692_switch_tag)
                                    {
                                    case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                      {
                                        char _t693_switch_tag;

                                        flick_khazana_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t693_switch_tag, char );
                                        flick_khazana_decode_end_chunk(1);
                                        switch ((char )_t693_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                ex3 _obj;
                                                unsigned int _t694_principal_len;
                                                CORBA_short _local_short_attribute;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t695_storage;

                                                flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort1370);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_khazana_decode_new_chunk(7);
                                                flick_cdr_swap_decode_unsigned32(3, _t694_principal_len, unsigned int );
                                                flick_khazana_decode_end_chunk(7);
                                                flick_khazana_decode_end_glob(40);
                                                flick_khazana_check_span(_t694_principal_len, _flick_abort1370);
                                                flick_khazana_decode_new_glob(_t694_principal_len);
                                                flick_khazana_decode_new_chunk(_t694_principal_len);
                                                flick_khazana_decode_end_chunk(_t694_principal_len);
                                                flick_khazana_decode_end_glob(_t694_principal_len);
                                                /* Begin decode phase on parameters */
                                                flick_khazana_decode_new_glob(3);
                                                flick_khazana_decode_new_chunk_align(2, 1, 0, 0);
                                                flick_khazana_check_span(2, _flick_abort1370);
                                                flick_cdr_swap_decode_signed16(0, _local_short_attribute, CORBA_short );
                                                _ev = (CORBA_Environment *)(&_t695_storage);
                                                flick_khazana_decode_end_chunk(2);
                                                flick_khazana_decode_end_glob(3);
                                                flick_khazana_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                ex3__set_short_attribute(_obj, _local_short_attribute, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_khazana_server_start_encode();
                                                {
                                                  flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1370);
                                                  flick_khazana_encode_new_glob(4, _flick_abort1370);
                                                  flick_khazana_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_khazana_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_khazana_encode_end_glob(4);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_khazana_encode_end_glob(4);
                                                        flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1376);
                                                        break;
                                                        {
                                                        _flick_abort1376:
                                                          goto _flick_abort1370;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1377);
                                                        flick_khazana_encode_end_glob(4);
                                                        break;
                                                        {
                                                        _flick_abort1377:
                                                          goto _flick_abort1370;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_khazana_server_end_encode();
                                                break;
                                                {
                                                _flick_abort1370:
                                                  goto _flick_abort1369;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort1369:
                                                goto _flick_abort937;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                              flick_khazana_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                      flick_khazana_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                flick_khazana_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 22:
        {
          unsigned int _t696_switch_tag;

          flick_khazana_check_span(28, _flick_abort937);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t696_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t696_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t697_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t697_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t697_switch_tag)
                  {
                  case /* _dou */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600417653):
                    {
                      unsigned int _t698_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t698_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t698_switch_tag)
                        {
                        case /* ble_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651271007):
                          {
                            unsigned int _t699_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t699_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t699_switch_tag)
                              {
                              case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                {
                                  unsigned int _t700_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t700_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t700_switch_tag)
                                    {
                                    case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                      {
                                        unsigned short int _t701_switch_tag;

                                        flick_khazana_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t701_switch_tag, unsigned short int );
                                        flick_khazana_decode_end_chunk(2);
                                        switch ((unsigned short int )_t701_switch_tag)
                                          {
                                          case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                            {
                                              {
                                                ex3 _obj;
                                                unsigned int _t702_principal_len;
                                                CORBA_double _return;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t703_storage;

                                                flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort1379);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_khazana_decode_new_chunk(6);
                                                flick_cdr_swap_decode_unsigned32(2, _t702_principal_len, unsigned int );
                                                flick_khazana_decode_end_chunk(6);
                                                flick_khazana_decode_end_glob(40);
                                                flick_khazana_check_span(_t702_principal_len, _flick_abort1379);
                                                flick_khazana_decode_new_glob(_t702_principal_len);
                                                flick_khazana_decode_new_chunk(_t702_principal_len);
                                                flick_khazana_decode_end_chunk(_t702_principal_len);
                                                flick_khazana_decode_end_glob(_t702_principal_len);
                                                /* Begin decode phase on parameters */
                                                _return = 0.000000;
                                                _ev = (CORBA_Environment *)(&_t703_storage);
                                                flick_khazana_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                _return = ex3__get_double_attribute(_obj, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_khazana_server_start_encode();
                                                {
                                                  flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1379);
                                                  flick_khazana_encode_new_glob(16, _flick_abort1379);
                                                  flick_khazana_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_khazana_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_khazana_encode_new_chunk_align(8, 3, 2, 0);
                                                        flick_cdr_encode_float64(0, _return, CORBA_double );
                                                        flick_khazana_encode_end_chunk(8);
                                                        flick_khazana_encode_end_glob(16);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_khazana_encode_end_glob(16);
                                                        flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1385);
                                                        break;
                                                        {
                                                        _flick_abort1385:
                                                          goto _flick_abort1379;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1386);
                                                        flick_khazana_encode_end_glob(16);
                                                        break;
                                                        {
                                                        _flick_abort1386:
                                                          goto _flick_abort1379;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_khazana_server_end_encode();
                                                break;
                                                {
                                                _flick_abort1379:
                                                  goto _flick_abort1378;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort1378:
                                                goto _flick_abort937;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                              flick_khazana_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                      flick_khazana_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t704_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t704_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t704_switch_tag)
                  {
                  case /* _dou */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600417653):
                    {
                      unsigned int _t705_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t705_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t705_switch_tag)
                        {
                        case /* ble_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651271007):
                          {
                            unsigned int _t706_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t706_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t706_switch_tag)
                              {
                              case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                {
                                  unsigned int _t707_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t707_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t707_switch_tag)
                                    {
                                    case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                      {
                                        unsigned short int _t708_switch_tag;

                                        flick_khazana_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t708_switch_tag, unsigned short int );
                                        flick_khazana_decode_end_chunk(2);
                                        switch ((unsigned short int )_t708_switch_tag)
                                          {
                                          case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                            {
                                              {
                                                ex3 _obj;
                                                unsigned int _t709_principal_len;
                                                CORBA_double _local_double_attribute;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t710_storage;

                                                flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort1388);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_khazana_decode_new_chunk(6);
                                                flick_cdr_swap_decode_unsigned32(2, _t709_principal_len, unsigned int );
                                                flick_khazana_decode_end_chunk(6);
                                                flick_khazana_decode_end_glob(40);
                                                flick_khazana_check_span(_t709_principal_len, _flick_abort1388);
                                                flick_khazana_decode_new_glob(_t709_principal_len);
                                                flick_khazana_decode_new_chunk(_t709_principal_len);
                                                flick_khazana_decode_end_chunk(_t709_principal_len);
                                                flick_khazana_decode_end_glob(_t709_principal_len);
                                                /* Begin decode phase on parameters */
                                                flick_khazana_decode_new_glob(15);
                                                flick_khazana_decode_new_chunk_align(8, 3, 0, 0);
                                                flick_khazana_check_span(8, _flick_abort1388);
                                                flick_cdr_swap_decode_float64(0, _local_double_attribute, CORBA_double );
                                                _ev = (CORBA_Environment *)(&_t710_storage);
                                                flick_khazana_decode_end_chunk(8);
                                                flick_khazana_decode_end_glob(15);
                                                flick_khazana_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                ex3__set_double_attribute(_obj, _local_double_attribute, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_khazana_server_start_encode();
                                                {
                                                  flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1388);
                                                  flick_khazana_encode_new_glob(4, _flick_abort1388);
                                                  flick_khazana_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_khazana_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_khazana_encode_end_glob(4);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_khazana_encode_end_glob(4);
                                                        flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1394);
                                                        break;
                                                        {
                                                        _flick_abort1394:
                                                          goto _flick_abort1388;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1395);
                                                        flick_khazana_encode_end_glob(4);
                                                        break;
                                                        {
                                                        _flick_abort1395:
                                                          goto _flick_abort1388;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_khazana_server_end_encode();
                                                break;
                                                {
                                                _flick_abort1388:
                                                  goto _flick_abort1387;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort1387:
                                                goto _flick_abort937;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                              flick_khazana_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                      flick_khazana_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                flick_khazana_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 20:
        {
          unsigned int _t711_switch_tag;

          flick_khazana_check_span(24, _flick_abort937);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t711_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t711_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t712_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t712_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t712_switch_tag)
                  {
                  case /* _lon */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600941934):
                    {
                      unsigned int _t713_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t713_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t713_switch_tag)
                        {
                        case /* g_at */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1734304116):
                          {
                            unsigned int _t714_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t714_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t714_switch_tag)
                              {
                              case /* trib */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953655138):
                                {
                                  unsigned int _t715_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t715_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t715_switch_tag)
                                    {
                                    case /* ute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1970562304):
                                      {
                                        {
                                          ex3 _obj;
                                          unsigned int _t716_principal_len;
                                          CORBA_long _return;
                                          CORBA_Environment *_ev;
                                          CORBA_Environment _t717_storage;

                                          flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort1397);
                                          /* Decode the requesting `Principal' pseudo object (client ID). */
                                          flick_khazana_decode_new_chunk(4);
                                          flick_cdr_swap_decode_unsigned32(0, _t716_principal_len, unsigned int );
                                          flick_khazana_decode_end_chunk(4);
                                          flick_khazana_decode_end_glob(40);
                                          flick_khazana_check_span(_t716_principal_len, _flick_abort1397);
                                          flick_khazana_decode_new_glob(_t716_principal_len);
                                          flick_khazana_decode_new_chunk(_t716_principal_len);
                                          flick_khazana_decode_end_chunk(_t716_principal_len);
                                          flick_khazana_decode_end_glob(_t716_principal_len);
                                          /* Begin decode phase on parameters */
                                          _return = 0;
                                          _ev = (CORBA_Environment *)(&_t717_storage);
                                          flick_khazana_server_end_decode();
                                          flick_corba_init_environment();
                                          _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                          _return = ex3__get_long_attribute(_obj, _ev);
                                          _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_khazana_server_start_encode();
                                          {
                                            flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1397);
                                            flick_khazana_encode_new_glob(8, _flick_abort1397);
                                            flick_khazana_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                            flick_khazana_encode_end_chunk(4);
                                            switch (_ev->_major)
                                              {
                                              case CORBA_NO_EXCEPTION:
                                                {
                                                  /* Begin encode phase on parameters */
                                                  flick_khazana_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _return, CORBA_long );
                                                  flick_khazana_encode_end_chunk(4);
                                                  flick_khazana_encode_end_glob(8);
                                                  break;
                                                }
                                              case CORBA_SYSTEM_EXCEPTION:
                                                {
                                                  flick_khazana_encode_end_glob(8);
                                                  flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1403);
                                                  break;
                                                  {
                                                  _flick_abort1403:
                                                    goto _flick_abort1397;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1404);
                                                  flick_khazana_encode_end_glob(8);
                                                  break;
                                                  {
                                                  _flick_abort1404:
                                                    goto _flick_abort1397;
                                                  }
                                                }
                                              }
                                          }
                                          flick_khazana_server_end_encode();
                                          break;
                                          {
                                          _flick_abort1397:
                                            goto _flick_abort1396;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort1396:
                                          goto _flick_abort937;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                      flick_khazana_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                flick_khazana_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 29:
        {
          unsigned int _t718_switch_tag;

          flick_khazana_check_span(36, _flick_abort937);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t718_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t718_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t719_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t719_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t719_switch_tag)
                  {
                  case /* _uns */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601531507):
                    {
                      unsigned int _t720_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t720_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t720_switch_tag)
                        {
                        case /* igne */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768386149):
                          {
                            unsigned int _t721_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t721_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t721_switch_tag)
                              {
                              case /* d_lo */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1683975279):
                                {
                                  unsigned int _t722_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t722_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t722_switch_tag)
                                    {
                                    case /* ng_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1852268385):
                                      {
                                        unsigned int _t723_switch_tag;

                                        flick_khazana_decode_new_chunk(4);
                                        flick_cdr_decode_unsigned32(0, _t723_switch_tag, unsigned int );
                                        flick_khazana_decode_end_chunk(4);
                                        switch ((unsigned int )_t723_switch_tag)
                                          {
                                          case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                            {
                                              unsigned int _t724_switch_tag;

                                              flick_khazana_decode_new_chunk(4);
                                              flick_cdr_decode_unsigned32(0, _t724_switch_tag, unsigned int );
                                              flick_khazana_decode_end_chunk(4);
                                              switch ((unsigned int )_t724_switch_tag)
                                                {
                                                case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                                  {
                                                    char _t725_switch_tag;

                                                    flick_khazana_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t725_switch_tag, char );
                                                    flick_khazana_decode_end_chunk(1);
                                                    switch ((char )_t725_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            ex3 _obj;
                                                            unsigned int _t726_principal_len;
                                                            CORBA_unsigned_long _return;
                                                            CORBA_Environment *_ev;
                                                            CORBA_Environment _t727_storage;

                                                            flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort1406);
                                                            /* Decode the requesting `Principal' pseudo object (client ID). */
                                                            flick_khazana_decode_new_chunk(7);
                                                            flick_cdr_swap_decode_unsigned32(3, _t726_principal_len, unsigned int );
                                                            flick_khazana_decode_end_chunk(7);
                                                            flick_khazana_decode_end_glob(40);
                                                            flick_khazana_check_span(_t726_principal_len, _flick_abort1406);
                                                            flick_khazana_decode_new_glob(_t726_principal_len);
                                                            flick_khazana_decode_new_chunk(_t726_principal_len);
                                                            flick_khazana_decode_end_chunk(_t726_principal_len);
                                                            flick_khazana_decode_end_glob(_t726_principal_len);
                                                            /* Begin decode phase on parameters */
                                                            _return = 0;
                                                            _ev = (CORBA_Environment *)(&_t727_storage);
                                                            flick_khazana_server_end_decode();
                                                            flick_corba_init_environment();
                                                            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                            _return = ex3__get_unsigned_long_attribute(_obj, _ev);
                                                            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                            _stub_state.state = FLICK_STATE_MARSHAL;
                                                            flick_khazana_server_start_encode();
                                                            {
                                                              flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1406);
                                                              flick_khazana_encode_new_glob(8, _flick_abort1406);
                                                              flick_khazana_encode_new_chunk(4);
                                                              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                              flick_khazana_encode_end_chunk(4);
                                                              switch (_ev->_major)
                                                                {
                                                                case CORBA_NO_EXCEPTION:
                                                                  {
                                                                    /* Begin encode phase on parameters */
                                                                    flick_khazana_encode_new_chunk(4);
                                                                    flick_cdr_encode_unsigned32(0, _return, CORBA_unsigned_long );
                                                                    flick_khazana_encode_end_chunk(4);
                                                                    flick_khazana_encode_end_glob(8);
                                                                    break;
                                                                  }
                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                  {
                                                                    flick_khazana_encode_end_glob(8);
                                                                    flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1412);
                                                                    break;
                                                                    {
                                                                    _flick_abort1412:
                                                                      goto _flick_abort1406;
                                                                    }
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1413);
                                                                    flick_khazana_encode_end_glob(8);
                                                                    break;
                                                                    {
                                                                    _flick_abort1413:
                                                                      goto _flick_abort1406;
                                                                    }
                                                                  }
                                                                }
                                                            }
                                                            flick_khazana_server_end_encode();
                                                            break;
                                                            {
                                                            _flick_abort1406:
                                                              goto _flick_abort1405;
                                                            }
                                                          }
                                                          break;
                                                          {
                                                          _flick_abort1405:
                                                            goto _flick_abort937;
                                                          }
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                                          flick_khazana_decode_end_glob(40);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                                    flick_khazana_decode_end_glob(40);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                              flick_khazana_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                      flick_khazana_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                flick_khazana_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 4:
        {
          unsigned int _t728_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t728_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t728_switch_tag)
            {
            case /* op0 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623296):
              {
                {
                  ex3 _obj;
                  unsigned int _t729_principal_len;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t730_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort1415);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t729_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(40);
                  flick_khazana_check_span(_t729_principal_len, _flick_abort1415);
                  flick_khazana_decode_new_glob(_t729_principal_len);
                  flick_khazana_decode_new_chunk(_t729_principal_len);
                  flick_khazana_decode_end_chunk(_t729_principal_len);
                  flick_khazana_decode_end_glob(_t729_principal_len);
                  /* Begin decode phase on parameters */
                  _ev = (CORBA_Environment *)(&_t730_storage);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  ex3_op0(_obj, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1415);
                    flick_khazana_encode_new_glob(4, _flick_abort1415);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_end_glob(4);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(4);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1421);
                          break;
                          {
                          _flick_abort1421:
                            goto _flick_abort1415;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1422);
                          flick_khazana_encode_end_glob(4);
                          break;
                          {
                          _flick_abort1422:
                            goto _flick_abort1415;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort1415:
                    goto _flick_abort1414;
                  }
                }
                break;
                {
                _flick_abort1414:
                  goto _flick_abort937;
                }
              }
            case /* op1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623552):
              {
                {
                  ex3 _obj;
                  unsigned int _t731_principal_len;
                  CORBA_float _return;
                  CORBA_float _local_f;
                  CORBA_double *_local_d;
                  CORBA_double _t732_storage;
                  CORBA_long *_local_l;
                  CORBA_long _t733_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t734_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort1424);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t731_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(40);
                  flick_khazana_check_span(_t731_principal_len, _flick_abort1424);
                  flick_khazana_decode_new_glob(_t731_principal_len);
                  flick_khazana_decode_new_chunk(_t731_principal_len);
                  flick_khazana_decode_end_chunk(_t731_principal_len);
                  flick_khazana_decode_end_glob(_t731_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0.000000;
                  flick_khazana_decode_new_glob(11);
                  flick_khazana_decode_new_chunk_align(8, 2, 0, 0);
                  flick_khazana_check_span(8, _flick_abort1424);
                  flick_cdr_swap_decode_float32(0, _local_f, CORBA_float );
                  _local_d = (CORBA_double *)(&_t732_storage);
                  _local_l = (CORBA_long *)(&_t733_storage);
                  flick_cdr_swap_decode_signed32(4, *_local_l, CORBA_long );
                  _ev = (CORBA_Environment *)(&_t734_storage);
                  flick_khazana_decode_end_chunk(8);
                  flick_khazana_decode_end_glob(11);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex3_op1(_obj, _local_f, _local_d, _local_l, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1424);
                    flick_khazana_encode_new_glob(24, _flick_abort1424);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_float32(0, _return, CORBA_float );
                          flick_khazana_encode_end_chunk(4);
                          flick_khazana_encode_new_chunk_align(12, 3, 2, 0);
                          flick_cdr_encode_float64(0, *_local_d, CORBA_double );
                          flick_cdr_encode_signed32(8, *_local_l, CORBA_long );
                          flick_khazana_encode_end_chunk(12);
                          flick_khazana_encode_end_glob(24);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(24);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1430);
                          break;
                          {
                          _flick_abort1430:
                            goto _flick_abort1424;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1431);
                          flick_khazana_encode_end_glob(24);
                          break;
                          {
                          _flick_abort1431:
                            goto _flick_abort1424;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort1424:
                    goto _flick_abort1423;
                  }
                }
                break;
                {
                _flick_abort1423:
                  goto _flick_abort937;
                }
              }
            case /* op2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623808):
              {
                {
                  ex3 _obj;
                  unsigned int _t735_principal_len;
                  CORBA_double _return;
                  CORBA_double _local_d;
                  CORBA_long *_local_l;
                  CORBA_long _t736_storage;
                  CORBA_short *_local_s;
                  CORBA_short _t737_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t738_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort1433);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t735_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(40);
                  flick_khazana_check_span(_t735_principal_len, _flick_abort1433);
                  flick_khazana_decode_new_glob(_t735_principal_len);
                  flick_khazana_decode_new_chunk(_t735_principal_len);
                  flick_khazana_decode_end_chunk(_t735_principal_len);
                  flick_khazana_decode_end_glob(_t735_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0.000000;
                  flick_khazana_decode_new_glob(17);
                  flick_khazana_decode_new_chunk_align(10, 3, 0, 0);
                  flick_khazana_check_span(10, _flick_abort1433);
                  flick_cdr_swap_decode_float64(0, _local_d, CORBA_double );
                  _local_l = (CORBA_long *)(&_t736_storage);
                  _local_s = (CORBA_short *)(&_t737_storage);
                  flick_cdr_swap_decode_signed16(8, *_local_s, CORBA_short );
                  _ev = (CORBA_Environment *)(&_t738_storage);
                  flick_khazana_decode_end_chunk(10);
                  flick_khazana_decode_end_glob(17);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex3_op2(_obj, _local_d, _local_l, _local_s, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1433);
                    flick_khazana_encode_new_glob(22, _flick_abort1433);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk_align(14, 3, 2, 0);
                          flick_cdr_encode_float64(0, _return, CORBA_double );
                          flick_cdr_encode_signed32(8, *_local_l, CORBA_long );
                          flick_cdr_encode_signed16(12, *_local_s, CORBA_short );
                          flick_khazana_encode_end_chunk(14);
                          flick_khazana_encode_end_glob(22);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(22);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1439);
                          break;
                          {
                          _flick_abort1439:
                            goto _flick_abort1433;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1440);
                          flick_khazana_encode_end_glob(22);
                          break;
                          {
                          _flick_abort1440:
                            goto _flick_abort1433;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort1433:
                    goto _flick_abort1432;
                  }
                }
                break;
                {
                _flick_abort1432:
                  goto _flick_abort937;
                }
              }
            case /* op3 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624064):
              {
                {
                  ex3 _obj;
                  unsigned int _t739_principal_len;
                  CORBA_long _return;
                  CORBA_long _local_l;
                  CORBA_short *_local_s;
                  CORBA_short _t740_storage;
                  CORBA_unsigned_long *_local_ul;
                  CORBA_unsigned_long _t741_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t742_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort1442);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t739_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(40);
                  flick_khazana_check_span(_t739_principal_len, _flick_abort1442);
                  flick_khazana_decode_new_glob(_t739_principal_len);
                  flick_khazana_decode_new_chunk(_t739_principal_len);
                  flick_khazana_decode_end_chunk(_t739_principal_len);
                  flick_khazana_decode_end_glob(_t739_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_khazana_decode_new_glob(11);
                  flick_khazana_decode_new_chunk_align(8, 2, 0, 0);
                  flick_khazana_check_span(8, _flick_abort1442);
                  flick_cdr_swap_decode_signed32(0, _local_l, CORBA_long );
                  _local_s = (CORBA_short *)(&_t740_storage);
                  _local_ul = (CORBA_unsigned_long *)(&_t741_storage);
                  flick_cdr_swap_decode_unsigned32(4, *_local_ul, CORBA_unsigned_long );
                  _ev = (CORBA_Environment *)(&_t742_storage);
                  flick_khazana_decode_end_chunk(8);
                  flick_khazana_decode_end_glob(11);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex3_op3(_obj, _local_l, _local_s, _local_ul, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1442);
                    flick_khazana_encode_new_glob(16, _flick_abort1442);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(12);
                          flick_cdr_encode_signed32(0, _return, CORBA_long );
                          flick_cdr_encode_signed16(4, *_local_s, CORBA_short );
                          flick_cdr_encode_unsigned32(8, *_local_ul, CORBA_unsigned_long );
                          flick_khazana_encode_end_chunk(12);
                          flick_khazana_encode_end_glob(16);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(16);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1448);
                          break;
                          {
                          _flick_abort1448:
                            goto _flick_abort1442;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1449);
                          flick_khazana_encode_end_glob(16);
                          break;
                          {
                          _flick_abort1449:
                            goto _flick_abort1442;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort1442:
                    goto _flick_abort1441;
                  }
                }
                break;
                {
                _flick_abort1441:
                  goto _flick_abort937;
                }
              }
            case /* op4 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624320):
              {
                {
                  ex3 _obj;
                  unsigned int _t743_principal_len;
                  CORBA_short _return;
                  CORBA_short _local_s;
                  CORBA_unsigned_long *_local_ul;
                  CORBA_unsigned_long _t744_storage;
                  CORBA_unsigned_short *_local_us;
                  CORBA_unsigned_short _t745_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t746_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort1451);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t743_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(40);
                  flick_khazana_check_span(_t743_principal_len, _flick_abort1451);
                  flick_khazana_decode_new_glob(_t743_principal_len);
                  flick_khazana_decode_new_chunk(_t743_principal_len);
                  flick_khazana_decode_end_chunk(_t743_principal_len);
                  flick_khazana_decode_end_glob(_t743_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_khazana_decode_new_glob(5);
                  flick_khazana_decode_new_chunk_align(4, 1, 0, 0);
                  flick_khazana_check_span(4, _flick_abort1451);
                  flick_cdr_swap_decode_signed16(0, _local_s, CORBA_short );
                  _local_ul = (CORBA_unsigned_long *)(&_t744_storage);
                  _local_us = (CORBA_unsigned_short *)(&_t745_storage);
                  flick_cdr_swap_decode_unsigned16(2, *_local_us, CORBA_unsigned_short );
                  _ev = (CORBA_Environment *)(&_t746_storage);
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(5);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex3_op4(_obj, _local_s, _local_ul, _local_us, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1451);
                    flick_khazana_encode_new_glob(14, _flick_abort1451);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(10);
                          flick_cdr_encode_signed16(0, _return, CORBA_short );
                          flick_cdr_encode_unsigned32(4, *_local_ul, CORBA_unsigned_long );
                          flick_cdr_encode_unsigned16(8, *_local_us, CORBA_unsigned_short );
                          flick_khazana_encode_end_chunk(10);
                          flick_khazana_encode_end_glob(14);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(14);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1457);
                          break;
                          {
                          _flick_abort1457:
                            goto _flick_abort1451;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1458);
                          flick_khazana_encode_end_glob(14);
                          break;
                          {
                          _flick_abort1458:
                            goto _flick_abort1451;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort1451:
                    goto _flick_abort1450;
                  }
                }
                break;
                {
                _flick_abort1450:
                  goto _flick_abort937;
                }
              }
            case /* op5 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624576):
              {
                {
                  ex3 _obj;
                  unsigned int _t747_principal_len;
                  CORBA_unsigned_long _return;
                  CORBA_unsigned_long *_local_ul;
                  CORBA_unsigned_long _t748_storage;
                  CORBA_unsigned_short _local_us;
                  CORBA_char *_local_c;
                  CORBA_char _t749_storage;
                  CORBA_boolean _local_b;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t750_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort1460);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t747_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(40);
                  flick_khazana_check_span(_t747_principal_len, _flick_abort1460);
                  flick_khazana_decode_new_glob(_t747_principal_len);
                  flick_khazana_decode_new_chunk(_t747_principal_len);
                  flick_khazana_decode_end_chunk(_t747_principal_len);
                  flick_khazana_decode_end_glob(_t747_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  _local_ul = (CORBA_unsigned_long *)(&_t748_storage);
                  flick_khazana_decode_new_glob(10);
                  flick_khazana_decode_new_chunk_align(7, 2, 0, 0);
                  flick_khazana_check_span(7, _flick_abort1460);
                  flick_cdr_swap_decode_unsigned32(0, *_local_ul, CORBA_unsigned_long );
                  flick_cdr_swap_decode_unsigned16(4, _local_us, CORBA_unsigned_short );
                  _local_c = (CORBA_char *)(&_t749_storage);
                  flick_cdr_swap_decode_unsigned8(6, _local_b, CORBA_boolean );
                  _ev = (CORBA_Environment *)(&_t750_storage);
                  flick_khazana_decode_end_chunk(7);
                  flick_khazana_decode_end_glob(10);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex3_op5(_obj, _local_ul, _local_us, _local_c, _local_b, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1460);
                    flick_khazana_encode_new_glob(13, _flick_abort1460);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(9);
                          flick_cdr_encode_unsigned32(0, _return, CORBA_unsigned_long );
                          flick_cdr_encode_unsigned32(4, *_local_ul, CORBA_unsigned_long );
                          flick_cdr_encode_char8(8, *_local_c, CORBA_char );
                          flick_khazana_encode_end_chunk(9);
                          flick_khazana_encode_end_glob(13);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(13);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1466);
                          break;
                          {
                          _flick_abort1466:
                            goto _flick_abort1460;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1467);
                          flick_khazana_encode_end_glob(13);
                          break;
                          {
                          _flick_abort1467:
                            goto _flick_abort1460;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort1460:
                    goto _flick_abort1459;
                  }
                }
                break;
                {
                _flick_abort1459:
                  goto _flick_abort937;
                }
              }
            case /* op6 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624832):
              {
                {
                  ex3 _obj;
                  unsigned int _t751_principal_len;
                  CORBA_unsigned_short _return;
                  CORBA_unsigned_short *_local_us;
                  CORBA_unsigned_short _t752_storage;
                  CORBA_char *_local_c;
                  CORBA_char _t753_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t754_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort1469);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t751_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(40);
                  flick_khazana_check_span(_t751_principal_len + 1, _flick_abort1469);
                  flick_khazana_decode_new_glob(_t751_principal_len);
                  flick_khazana_decode_new_chunk(_t751_principal_len);
                  flick_khazana_decode_end_chunk(_t751_principal_len);
                  flick_khazana_decode_end_glob(_t751_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  _local_us = (CORBA_unsigned_short *)(&_t752_storage);
                  _local_c = (CORBA_char *)(&_t753_storage);
                  flick_khazana_decode_new_glob(1);
                  flick_khazana_decode_new_chunk(1);
                  flick_cdr_swap_decode_char8(0, *_local_c, CORBA_char );
                  _ev = (CORBA_Environment *)(&_t754_storage);
                  flick_khazana_decode_end_chunk(1);
                  flick_khazana_decode_end_glob(1);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex3_op6(_obj, _local_us, _local_c, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1469);
                    flick_khazana_encode_new_glob(9, _flick_abort1469);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(5);
                          flick_cdr_encode_unsigned16(0, _return, CORBA_unsigned_short );
                          flick_cdr_encode_unsigned16(2, *_local_us, CORBA_unsigned_short );
                          flick_cdr_encode_char8(4, *_local_c, CORBA_char );
                          flick_khazana_encode_end_chunk(5);
                          flick_khazana_encode_end_glob(9);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(9);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1475);
                          break;
                          {
                          _flick_abort1475:
                            goto _flick_abort1469;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1476);
                          flick_khazana_encode_end_glob(9);
                          break;
                          {
                          _flick_abort1476:
                            goto _flick_abort1469;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort1469:
                    goto _flick_abort1468;
                  }
                }
                break;
                {
                _flick_abort1468:
                  goto _flick_abort937;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                flick_khazana_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t755_switch_tag;

          flick_khazana_check_span(12, _flick_abort937);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t755_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t755_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t756_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t756_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t756_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t757_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t758_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t759_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort1478);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t757_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(40);
                        flick_khazana_check_span(_t757_principal_len, _flick_abort1478);
                        flick_khazana_decode_new_glob(_t757_principal_len);
                        flick_khazana_decode_new_chunk(_t757_principal_len);
                        flick_khazana_decode_end_chunk(_t757_principal_len);
                        flick_khazana_decode_end_glob(_t757_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort1478);
                        flick_cdr_swap_decode_unsigned32(0, _t758_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t758_temp_string_len);
                        flick_khazana_check_span(1 * _t758_temp_string_len, _flick_abort1478);
                        flick_khazana_decode_new_chunk(1 * _t758_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t758_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t758_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t759_storage);
                        _par = flick_interface_parents_ex3;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1478);
                          flick_khazana_encode_new_glob(5, _flick_abort1478);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1486);
                                break;
                                {
                                _flick_abort1486:
                                  goto _flick_abort1478;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1487);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort1487:
                                  goto _flick_abort1478;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort1478:
                          goto _flick_abort1477;
                        }
                      }
                      break;
                      {
                      _flick_abort1477:
                        goto _flick_abort937;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                      flick_khazana_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                flick_khazana_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
          flick_khazana_decode_end_glob(40);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t502_switch_tag;

    flick_khazana_decode_new_glob(40);
    flick_khazana_check_span(12, _flick_abort937);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t502_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t502_switch_tag)
      {
      case (unsigned int) 21:
        {
          unsigned int _t503_switch_tag;

          flick_khazana_check_span(28, _flick_abort937);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t503_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t503_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t504_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t504_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t504_switch_tag)
                  {
                  case /* _flo */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600547951):
                    {
                      unsigned int _t505_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t505_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t505_switch_tag)
                        {
                        case /* at_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635016545):
                          {
                            unsigned int _t506_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t506_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t506_switch_tag)
                              {
                              case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                {
                                  unsigned int _t507_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t507_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t507_switch_tag)
                                    {
                                    case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                      {
                                        char _t508_switch_tag;

                                        flick_khazana_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t508_switch_tag, char );
                                        flick_khazana_decode_end_chunk(1);
                                        switch ((char )_t508_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                ex3 _obj;
                                                unsigned int _t509_principal_len;
                                                CORBA_float _return;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t510_storage;

                                                flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1077);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_khazana_decode_new_chunk(7);
                                                flick_cdr_decode_unsigned32(3, _t509_principal_len, unsigned int );
                                                flick_khazana_decode_end_chunk(7);
                                                flick_khazana_decode_end_glob(40);
                                                flick_khazana_check_span(_t509_principal_len, _flick_abort1077);
                                                flick_khazana_decode_new_glob(_t509_principal_len);
                                                flick_khazana_decode_new_chunk(_t509_principal_len);
                                                flick_khazana_decode_end_chunk(_t509_principal_len);
                                                flick_khazana_decode_end_glob(_t509_principal_len);
                                                /* Begin decode phase on parameters */
                                                _return = 0.000000;
                                                _ev = (CORBA_Environment *)(&_t510_storage);
                                                flick_khazana_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                _return = ex3__get_float_attribute(_obj, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_khazana_server_start_encode();
                                                {
                                                  flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1077);
                                                  flick_khazana_encode_new_glob(8, _flick_abort1077);
                                                  flick_khazana_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_khazana_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_khazana_encode_new_chunk(4);
                                                        flick_cdr_encode_float32(0, _return, CORBA_float );
                                                        flick_khazana_encode_end_chunk(4);
                                                        flick_khazana_encode_end_glob(8);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_khazana_encode_end_glob(8);
                                                        flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1083);
                                                        break;
                                                        {
                                                        _flick_abort1083:
                                                          goto _flick_abort1077;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1084);
                                                        flick_khazana_encode_end_glob(8);
                                                        break;
                                                        {
                                                        _flick_abort1084:
                                                          goto _flick_abort1077;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_khazana_server_end_encode();
                                                break;
                                                {
                                                _flick_abort1077:
                                                  goto _flick_abort1076;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort1076:
                                                goto _flick_abort937;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                              flick_khazana_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _sho */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398895):
                    {
                      unsigned int _t511_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t511_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t511_switch_tag)
                        {
                        case /* rt_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1920229217):
                          {
                            unsigned int _t512_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t512_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t512_switch_tag)
                              {
                              case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                {
                                  unsigned int _t513_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t513_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t513_switch_tag)
                                    {
                                    case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                      {
                                        char _t514_switch_tag;

                                        flick_khazana_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t514_switch_tag, char );
                                        flick_khazana_decode_end_chunk(1);
                                        switch ((char )_t514_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                ex3 _obj;
                                                unsigned int _t515_principal_len;
                                                CORBA_short _return;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t516_storage;

                                                flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1086);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_khazana_decode_new_chunk(7);
                                                flick_cdr_decode_unsigned32(3, _t515_principal_len, unsigned int );
                                                flick_khazana_decode_end_chunk(7);
                                                flick_khazana_decode_end_glob(40);
                                                flick_khazana_check_span(_t515_principal_len, _flick_abort1086);
                                                flick_khazana_decode_new_glob(_t515_principal_len);
                                                flick_khazana_decode_new_chunk(_t515_principal_len);
                                                flick_khazana_decode_end_chunk(_t515_principal_len);
                                                flick_khazana_decode_end_glob(_t515_principal_len);
                                                /* Begin decode phase on parameters */
                                                _return = 0;
                                                _ev = (CORBA_Environment *)(&_t516_storage);
                                                flick_khazana_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                _return = ex3__get_short_attribute(_obj, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_khazana_server_start_encode();
                                                {
                                                  flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1086);
                                                  flick_khazana_encode_new_glob(6, _flick_abort1086);
                                                  flick_khazana_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_khazana_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_khazana_encode_new_chunk(2);
                                                        flick_cdr_encode_signed16(0, _return, CORBA_short );
                                                        flick_khazana_encode_end_chunk(2);
                                                        flick_khazana_encode_end_glob(6);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_khazana_encode_end_glob(6);
                                                        flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1092);
                                                        break;
                                                        {
                                                        _flick_abort1092:
                                                          goto _flick_abort1086;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1093);
                                                        flick_khazana_encode_end_glob(6);
                                                        break;
                                                        {
                                                        _flick_abort1093:
                                                          goto _flick_abort1086;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_khazana_server_end_encode();
                                                break;
                                                {
                                                _flick_abort1086:
                                                  goto _flick_abort1085;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort1085:
                                                goto _flick_abort937;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                              flick_khazana_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                      flick_khazana_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t517_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t517_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t517_switch_tag)
                  {
                  case /* _sho */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398895):
                    {
                      unsigned int _t518_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t518_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t518_switch_tag)
                        {
                        case /* rt_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1920229217):
                          {
                            unsigned int _t519_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t519_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t519_switch_tag)
                              {
                              case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                {
                                  unsigned int _t520_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t520_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t520_switch_tag)
                                    {
                                    case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                      {
                                        char _t521_switch_tag;

                                        flick_khazana_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t521_switch_tag, char );
                                        flick_khazana_decode_end_chunk(1);
                                        switch ((char )_t521_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                ex3 _obj;
                                                unsigned int _t522_principal_len;
                                                CORBA_short _local_short_attribute;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t523_storage;

                                                flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1095);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_khazana_decode_new_chunk(7);
                                                flick_cdr_decode_unsigned32(3, _t522_principal_len, unsigned int );
                                                flick_khazana_decode_end_chunk(7);
                                                flick_khazana_decode_end_glob(40);
                                                flick_khazana_check_span(_t522_principal_len, _flick_abort1095);
                                                flick_khazana_decode_new_glob(_t522_principal_len);
                                                flick_khazana_decode_new_chunk(_t522_principal_len);
                                                flick_khazana_decode_end_chunk(_t522_principal_len);
                                                flick_khazana_decode_end_glob(_t522_principal_len);
                                                /* Begin decode phase on parameters */
                                                flick_khazana_decode_new_glob(3);
                                                flick_khazana_decode_new_chunk_align(2, 1, 0, 0);
                                                flick_khazana_check_span(2, _flick_abort1095);
                                                flick_cdr_decode_signed16(0, _local_short_attribute, CORBA_short );
                                                _ev = (CORBA_Environment *)(&_t523_storage);
                                                flick_khazana_decode_end_chunk(2);
                                                flick_khazana_decode_end_glob(3);
                                                flick_khazana_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                ex3__set_short_attribute(_obj, _local_short_attribute, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_khazana_server_start_encode();
                                                {
                                                  flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1095);
                                                  flick_khazana_encode_new_glob(4, _flick_abort1095);
                                                  flick_khazana_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_khazana_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_khazana_encode_end_glob(4);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_khazana_encode_end_glob(4);
                                                        flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1101);
                                                        break;
                                                        {
                                                        _flick_abort1101:
                                                          goto _flick_abort1095;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1102);
                                                        flick_khazana_encode_end_glob(4);
                                                        break;
                                                        {
                                                        _flick_abort1102:
                                                          goto _flick_abort1095;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_khazana_server_end_encode();
                                                break;
                                                {
                                                _flick_abort1095:
                                                  goto _flick_abort1094;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort1094:
                                                goto _flick_abort937;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                              flick_khazana_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                      flick_khazana_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                flick_khazana_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 22:
        {
          unsigned int _t524_switch_tag;

          flick_khazana_check_span(28, _flick_abort937);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t524_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t524_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t525_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t525_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t525_switch_tag)
                  {
                  case /* _dou */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600417653):
                    {
                      unsigned int _t526_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t526_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t526_switch_tag)
                        {
                        case /* ble_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651271007):
                          {
                            unsigned int _t527_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t527_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t527_switch_tag)
                              {
                              case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                {
                                  unsigned int _t528_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t528_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t528_switch_tag)
                                    {
                                    case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                      {
                                        unsigned short int _t529_switch_tag;

                                        flick_khazana_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t529_switch_tag, unsigned short int );
                                        flick_khazana_decode_end_chunk(2);
                                        switch ((unsigned short int )_t529_switch_tag)
                                          {
                                          case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                            {
                                              {
                                                ex3 _obj;
                                                unsigned int _t530_principal_len;
                                                CORBA_double _return;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t531_storage;

                                                flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1104);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_khazana_decode_new_chunk(6);
                                                flick_cdr_decode_unsigned32(2, _t530_principal_len, unsigned int );
                                                flick_khazana_decode_end_chunk(6);
                                                flick_khazana_decode_end_glob(40);
                                                flick_khazana_check_span(_t530_principal_len, _flick_abort1104);
                                                flick_khazana_decode_new_glob(_t530_principal_len);
                                                flick_khazana_decode_new_chunk(_t530_principal_len);
                                                flick_khazana_decode_end_chunk(_t530_principal_len);
                                                flick_khazana_decode_end_glob(_t530_principal_len);
                                                /* Begin decode phase on parameters */
                                                _return = 0.000000;
                                                _ev = (CORBA_Environment *)(&_t531_storage);
                                                flick_khazana_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                _return = ex3__get_double_attribute(_obj, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_khazana_server_start_encode();
                                                {
                                                  flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1104);
                                                  flick_khazana_encode_new_glob(16, _flick_abort1104);
                                                  flick_khazana_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_khazana_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_khazana_encode_new_chunk_align(8, 3, 2, 0);
                                                        flick_cdr_encode_float64(0, _return, CORBA_double );
                                                        flick_khazana_encode_end_chunk(8);
                                                        flick_khazana_encode_end_glob(16);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_khazana_encode_end_glob(16);
                                                        flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1110);
                                                        break;
                                                        {
                                                        _flick_abort1110:
                                                          goto _flick_abort1104;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1111);
                                                        flick_khazana_encode_end_glob(16);
                                                        break;
                                                        {
                                                        _flick_abort1111:
                                                          goto _flick_abort1104;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_khazana_server_end_encode();
                                                break;
                                                {
                                                _flick_abort1104:
                                                  goto _flick_abort1103;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort1103:
                                                goto _flick_abort937;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                              flick_khazana_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                      flick_khazana_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t532_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t532_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t532_switch_tag)
                  {
                  case /* _dou */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600417653):
                    {
                      unsigned int _t533_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t533_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t533_switch_tag)
                        {
                        case /* ble_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651271007):
                          {
                            unsigned int _t534_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t534_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t534_switch_tag)
                              {
                              case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                {
                                  unsigned int _t535_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t535_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t535_switch_tag)
                                    {
                                    case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                      {
                                        unsigned short int _t536_switch_tag;

                                        flick_khazana_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t536_switch_tag, unsigned short int );
                                        flick_khazana_decode_end_chunk(2);
                                        switch ((unsigned short int )_t536_switch_tag)
                                          {
                                          case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                            {
                                              {
                                                ex3 _obj;
                                                unsigned int _t537_principal_len;
                                                CORBA_double _local_double_attribute;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t538_storage;

                                                flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1113);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_khazana_decode_new_chunk(6);
                                                flick_cdr_decode_unsigned32(2, _t537_principal_len, unsigned int );
                                                flick_khazana_decode_end_chunk(6);
                                                flick_khazana_decode_end_glob(40);
                                                flick_khazana_check_span(_t537_principal_len, _flick_abort1113);
                                                flick_khazana_decode_new_glob(_t537_principal_len);
                                                flick_khazana_decode_new_chunk(_t537_principal_len);
                                                flick_khazana_decode_end_chunk(_t537_principal_len);
                                                flick_khazana_decode_end_glob(_t537_principal_len);
                                                /* Begin decode phase on parameters */
                                                flick_khazana_decode_new_glob(15);
                                                flick_khazana_decode_new_chunk_align(8, 3, 0, 0);
                                                flick_khazana_check_span(8, _flick_abort1113);
                                                flick_cdr_decode_float64(0, _local_double_attribute, CORBA_double );
                                                _ev = (CORBA_Environment *)(&_t538_storage);
                                                flick_khazana_decode_end_chunk(8);
                                                flick_khazana_decode_end_glob(15);
                                                flick_khazana_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                ex3__set_double_attribute(_obj, _local_double_attribute, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_khazana_server_start_encode();
                                                {
                                                  flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1113);
                                                  flick_khazana_encode_new_glob(4, _flick_abort1113);
                                                  flick_khazana_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_khazana_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_khazana_encode_end_glob(4);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_khazana_encode_end_glob(4);
                                                        flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1119);
                                                        break;
                                                        {
                                                        _flick_abort1119:
                                                          goto _flick_abort1113;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1120);
                                                        flick_khazana_encode_end_glob(4);
                                                        break;
                                                        {
                                                        _flick_abort1120:
                                                          goto _flick_abort1113;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_khazana_server_end_encode();
                                                break;
                                                {
                                                _flick_abort1113:
                                                  goto _flick_abort1112;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort1112:
                                                goto _flick_abort937;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                              flick_khazana_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                      flick_khazana_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                flick_khazana_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 20:
        {
          unsigned int _t539_switch_tag;

          flick_khazana_check_span(24, _flick_abort937);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t539_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t539_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t540_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t540_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t540_switch_tag)
                  {
                  case /* _lon */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600941934):
                    {
                      unsigned int _t541_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t541_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t541_switch_tag)
                        {
                        case /* g_at */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1734304116):
                          {
                            unsigned int _t542_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t542_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t542_switch_tag)
                              {
                              case /* trib */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953655138):
                                {
                                  unsigned int _t543_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t543_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t543_switch_tag)
                                    {
                                    case /* ute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1970562304):
                                      {
                                        {
                                          ex3 _obj;
                                          unsigned int _t544_principal_len;
                                          CORBA_long _return;
                                          CORBA_Environment *_ev;
                                          CORBA_Environment _t545_storage;

                                          flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1122);
                                          /* Decode the requesting `Principal' pseudo object (client ID). */
                                          flick_khazana_decode_new_chunk(4);
                                          flick_cdr_decode_unsigned32(0, _t544_principal_len, unsigned int );
                                          flick_khazana_decode_end_chunk(4);
                                          flick_khazana_decode_end_glob(40);
                                          flick_khazana_check_span(_t544_principal_len, _flick_abort1122);
                                          flick_khazana_decode_new_glob(_t544_principal_len);
                                          flick_khazana_decode_new_chunk(_t544_principal_len);
                                          flick_khazana_decode_end_chunk(_t544_principal_len);
                                          flick_khazana_decode_end_glob(_t544_principal_len);
                                          /* Begin decode phase on parameters */
                                          _return = 0;
                                          _ev = (CORBA_Environment *)(&_t545_storage);
                                          flick_khazana_server_end_decode();
                                          flick_corba_init_environment();
                                          _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                          _return = ex3__get_long_attribute(_obj, _ev);
                                          _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_khazana_server_start_encode();
                                          {
                                            flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1122);
                                            flick_khazana_encode_new_glob(8, _flick_abort1122);
                                            flick_khazana_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                            flick_khazana_encode_end_chunk(4);
                                            switch (_ev->_major)
                                              {
                                              case CORBA_NO_EXCEPTION:
                                                {
                                                  /* Begin encode phase on parameters */
                                                  flick_khazana_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _return, CORBA_long );
                                                  flick_khazana_encode_end_chunk(4);
                                                  flick_khazana_encode_end_glob(8);
                                                  break;
                                                }
                                              case CORBA_SYSTEM_EXCEPTION:
                                                {
                                                  flick_khazana_encode_end_glob(8);
                                                  flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1128);
                                                  break;
                                                  {
                                                  _flick_abort1128:
                                                    goto _flick_abort1122;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1129);
                                                  flick_khazana_encode_end_glob(8);
                                                  break;
                                                  {
                                                  _flick_abort1129:
                                                    goto _flick_abort1122;
                                                  }
                                                }
                                              }
                                          }
                                          flick_khazana_server_end_encode();
                                          break;
                                          {
                                          _flick_abort1122:
                                            goto _flick_abort1121;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort1121:
                                          goto _flick_abort937;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                      flick_khazana_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                flick_khazana_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 29:
        {
          unsigned int _t546_switch_tag;

          flick_khazana_check_span(36, _flick_abort937);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t546_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t546_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t547_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t547_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t547_switch_tag)
                  {
                  case /* _uns */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601531507):
                    {
                      unsigned int _t548_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t548_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t548_switch_tag)
                        {
                        case /* igne */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768386149):
                          {
                            unsigned int _t549_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t549_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t549_switch_tag)
                              {
                              case /* d_lo */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1683975279):
                                {
                                  unsigned int _t550_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t550_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t550_switch_tag)
                                    {
                                    case /* ng_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1852268385):
                                      {
                                        unsigned int _t551_switch_tag;

                                        flick_khazana_decode_new_chunk(4);
                                        flick_cdr_decode_unsigned32(0, _t551_switch_tag, unsigned int );
                                        flick_khazana_decode_end_chunk(4);
                                        switch ((unsigned int )_t551_switch_tag)
                                          {
                                          case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                            {
                                              unsigned int _t552_switch_tag;

                                              flick_khazana_decode_new_chunk(4);
                                              flick_cdr_decode_unsigned32(0, _t552_switch_tag, unsigned int );
                                              flick_khazana_decode_end_chunk(4);
                                              switch ((unsigned int )_t552_switch_tag)
                                                {
                                                case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                                  {
                                                    char _t553_switch_tag;

                                                    flick_khazana_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t553_switch_tag, char );
                                                    flick_khazana_decode_end_chunk(1);
                                                    switch ((char )_t553_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            ex3 _obj;
                                                            unsigned int _t554_principal_len;
                                                            CORBA_unsigned_long _return;
                                                            CORBA_Environment *_ev;
                                                            CORBA_Environment _t555_storage;

                                                            flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1131);
                                                            /* Decode the requesting `Principal' pseudo object (client ID). */
                                                            flick_khazana_decode_new_chunk(7);
                                                            flick_cdr_decode_unsigned32(3, _t554_principal_len, unsigned int );
                                                            flick_khazana_decode_end_chunk(7);
                                                            flick_khazana_decode_end_glob(40);
                                                            flick_khazana_check_span(_t554_principal_len, _flick_abort1131);
                                                            flick_khazana_decode_new_glob(_t554_principal_len);
                                                            flick_khazana_decode_new_chunk(_t554_principal_len);
                                                            flick_khazana_decode_end_chunk(_t554_principal_len);
                                                            flick_khazana_decode_end_glob(_t554_principal_len);
                                                            /* Begin decode phase on parameters */
                                                            _return = 0;
                                                            _ev = (CORBA_Environment *)(&_t555_storage);
                                                            flick_khazana_server_end_decode();
                                                            flick_corba_init_environment();
                                                            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                            _return = ex3__get_unsigned_long_attribute(_obj, _ev);
                                                            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                            _stub_state.state = FLICK_STATE_MARSHAL;
                                                            flick_khazana_server_start_encode();
                                                            {
                                                              flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1131);
                                                              flick_khazana_encode_new_glob(8, _flick_abort1131);
                                                              flick_khazana_encode_new_chunk(4);
                                                              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                              flick_khazana_encode_end_chunk(4);
                                                              switch (_ev->_major)
                                                                {
                                                                case CORBA_NO_EXCEPTION:
                                                                  {
                                                                    /* Begin encode phase on parameters */
                                                                    flick_khazana_encode_new_chunk(4);
                                                                    flick_cdr_encode_unsigned32(0, _return, CORBA_unsigned_long );
                                                                    flick_khazana_encode_end_chunk(4);
                                                                    flick_khazana_encode_end_glob(8);
                                                                    break;
                                                                  }
                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                  {
                                                                    flick_khazana_encode_end_glob(8);
                                                                    flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1137);
                                                                    break;
                                                                    {
                                                                    _flick_abort1137:
                                                                      goto _flick_abort1131;
                                                                    }
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1138);
                                                                    flick_khazana_encode_end_glob(8);
                                                                    break;
                                                                    {
                                                                    _flick_abort1138:
                                                                      goto _flick_abort1131;
                                                                    }
                                                                  }
                                                                }
                                                            }
                                                            flick_khazana_server_end_encode();
                                                            break;
                                                            {
                                                            _flick_abort1131:
                                                              goto _flick_abort1130;
                                                            }
                                                          }
                                                          break;
                                                          {
                                                          _flick_abort1130:
                                                            goto _flick_abort937;
                                                          }
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                                          flick_khazana_decode_end_glob(40);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                                    flick_khazana_decode_end_glob(40);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                              flick_khazana_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                      flick_khazana_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                flick_khazana_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 4:
        {
          unsigned int _t556_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t556_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t556_switch_tag)
            {
            case /* op0 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623296):
              {
                {
                  ex3 _obj;
                  unsigned int _t557_principal_len;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t558_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1140);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t557_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(40);
                  flick_khazana_check_span(_t557_principal_len, _flick_abort1140);
                  flick_khazana_decode_new_glob(_t557_principal_len);
                  flick_khazana_decode_new_chunk(_t557_principal_len);
                  flick_khazana_decode_end_chunk(_t557_principal_len);
                  flick_khazana_decode_end_glob(_t557_principal_len);
                  /* Begin decode phase on parameters */
                  _ev = (CORBA_Environment *)(&_t558_storage);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  ex3_op0(_obj, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1140);
                    flick_khazana_encode_new_glob(4, _flick_abort1140);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_end_glob(4);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(4);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1146);
                          break;
                          {
                          _flick_abort1146:
                            goto _flick_abort1140;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1147);
                          flick_khazana_encode_end_glob(4);
                          break;
                          {
                          _flick_abort1147:
                            goto _flick_abort1140;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort1140:
                    goto _flick_abort1139;
                  }
                }
                break;
                {
                _flick_abort1139:
                  goto _flick_abort937;
                }
              }
            case /* op1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623552):
              {
                {
                  ex3 _obj;
                  unsigned int _t559_principal_len;
                  CORBA_float _return;
                  CORBA_float _local_f;
                  CORBA_double *_local_d;
                  CORBA_double _t560_storage;
                  CORBA_long *_local_l;
                  CORBA_long _t561_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t562_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1149);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t559_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(40);
                  flick_khazana_check_span(_t559_principal_len, _flick_abort1149);
                  flick_khazana_decode_new_glob(_t559_principal_len);
                  flick_khazana_decode_new_chunk(_t559_principal_len);
                  flick_khazana_decode_end_chunk(_t559_principal_len);
                  flick_khazana_decode_end_glob(_t559_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0.000000;
                  flick_khazana_decode_new_glob(11);
                  flick_khazana_decode_new_chunk_align(8, 2, 0, 0);
                  flick_khazana_check_span(8, _flick_abort1149);
                  flick_cdr_decode_float32(0, _local_f, CORBA_float );
                  _local_d = (CORBA_double *)(&_t560_storage);
                  _local_l = (CORBA_long *)(&_t561_storage);
                  flick_cdr_decode_signed32(4, *_local_l, CORBA_long );
                  _ev = (CORBA_Environment *)(&_t562_storage);
                  flick_khazana_decode_end_chunk(8);
                  flick_khazana_decode_end_glob(11);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex3_op1(_obj, _local_f, _local_d, _local_l, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1149);
                    flick_khazana_encode_new_glob(24, _flick_abort1149);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_float32(0, _return, CORBA_float );
                          flick_khazana_encode_end_chunk(4);
                          flick_khazana_encode_new_chunk_align(12, 3, 2, 0);
                          flick_cdr_encode_float64(0, *_local_d, CORBA_double );
                          flick_cdr_encode_signed32(8, *_local_l, CORBA_long );
                          flick_khazana_encode_end_chunk(12);
                          flick_khazana_encode_end_glob(24);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(24);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1155);
                          break;
                          {
                          _flick_abort1155:
                            goto _flick_abort1149;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1156);
                          flick_khazana_encode_end_glob(24);
                          break;
                          {
                          _flick_abort1156:
                            goto _flick_abort1149;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort1149:
                    goto _flick_abort1148;
                  }
                }
                break;
                {
                _flick_abort1148:
                  goto _flick_abort937;
                }
              }
            case /* op2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623808):
              {
                {
                  ex3 _obj;
                  unsigned int _t563_principal_len;
                  CORBA_double _return;
                  CORBA_double _local_d;
                  CORBA_long *_local_l;
                  CORBA_long _t564_storage;
                  CORBA_short *_local_s;
                  CORBA_short _t565_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t566_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1158);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t563_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(40);
                  flick_khazana_check_span(_t563_principal_len, _flick_abort1158);
                  flick_khazana_decode_new_glob(_t563_principal_len);
                  flick_khazana_decode_new_chunk(_t563_principal_len);
                  flick_khazana_decode_end_chunk(_t563_principal_len);
                  flick_khazana_decode_end_glob(_t563_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0.000000;
                  flick_khazana_decode_new_glob(17);
                  flick_khazana_decode_new_chunk_align(10, 3, 0, 0);
                  flick_khazana_check_span(10, _flick_abort1158);
                  flick_cdr_decode_float64(0, _local_d, CORBA_double );
                  _local_l = (CORBA_long *)(&_t564_storage);
                  _local_s = (CORBA_short *)(&_t565_storage);
                  flick_cdr_decode_signed16(8, *_local_s, CORBA_short );
                  _ev = (CORBA_Environment *)(&_t566_storage);
                  flick_khazana_decode_end_chunk(10);
                  flick_khazana_decode_end_glob(17);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex3_op2(_obj, _local_d, _local_l, _local_s, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1158);
                    flick_khazana_encode_new_glob(22, _flick_abort1158);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk_align(14, 3, 2, 0);
                          flick_cdr_encode_float64(0, _return, CORBA_double );
                          flick_cdr_encode_signed32(8, *_local_l, CORBA_long );
                          flick_cdr_encode_signed16(12, *_local_s, CORBA_short );
                          flick_khazana_encode_end_chunk(14);
                          flick_khazana_encode_end_glob(22);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(22);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1164);
                          break;
                          {
                          _flick_abort1164:
                            goto _flick_abort1158;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1165);
                          flick_khazana_encode_end_glob(22);
                          break;
                          {
                          _flick_abort1165:
                            goto _flick_abort1158;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort1158:
                    goto _flick_abort1157;
                  }
                }
                break;
                {
                _flick_abort1157:
                  goto _flick_abort937;
                }
              }
            case /* op3 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624064):
              {
                {
                  ex3 _obj;
                  unsigned int _t567_principal_len;
                  CORBA_long _return;
                  CORBA_long _local_l;
                  CORBA_short *_local_s;
                  CORBA_short _t568_storage;
                  CORBA_unsigned_long *_local_ul;
                  CORBA_unsigned_long _t569_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t570_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1167);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t567_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(40);
                  flick_khazana_check_span(_t567_principal_len, _flick_abort1167);
                  flick_khazana_decode_new_glob(_t567_principal_len);
                  flick_khazana_decode_new_chunk(_t567_principal_len);
                  flick_khazana_decode_end_chunk(_t567_principal_len);
                  flick_khazana_decode_end_glob(_t567_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_khazana_decode_new_glob(11);
                  flick_khazana_decode_new_chunk_align(8, 2, 0, 0);
                  flick_khazana_check_span(8, _flick_abort1167);
                  flick_cdr_decode_signed32(0, _local_l, CORBA_long );
                  _local_s = (CORBA_short *)(&_t568_storage);
                  _local_ul = (CORBA_unsigned_long *)(&_t569_storage);
                  flick_cdr_decode_unsigned32(4, *_local_ul, CORBA_unsigned_long );
                  _ev = (CORBA_Environment *)(&_t570_storage);
                  flick_khazana_decode_end_chunk(8);
                  flick_khazana_decode_end_glob(11);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex3_op3(_obj, _local_l, _local_s, _local_ul, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1167);
                    flick_khazana_encode_new_glob(16, _flick_abort1167);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(12);
                          flick_cdr_encode_signed32(0, _return, CORBA_long );
                          flick_cdr_encode_signed16(4, *_local_s, CORBA_short );
                          flick_cdr_encode_unsigned32(8, *_local_ul, CORBA_unsigned_long );
                          flick_khazana_encode_end_chunk(12);
                          flick_khazana_encode_end_glob(16);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(16);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1173);
                          break;
                          {
                          _flick_abort1173:
                            goto _flick_abort1167;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1174);
                          flick_khazana_encode_end_glob(16);
                          break;
                          {
                          _flick_abort1174:
                            goto _flick_abort1167;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort1167:
                    goto _flick_abort1166;
                  }
                }
                break;
                {
                _flick_abort1166:
                  goto _flick_abort937;
                }
              }
            case /* op4 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624320):
              {
                {
                  ex3 _obj;
                  unsigned int _t571_principal_len;
                  CORBA_short _return;
                  CORBA_short _local_s;
                  CORBA_unsigned_long *_local_ul;
                  CORBA_unsigned_long _t572_storage;
                  CORBA_unsigned_short *_local_us;
                  CORBA_unsigned_short _t573_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t574_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1176);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t571_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(40);
                  flick_khazana_check_span(_t571_principal_len, _flick_abort1176);
                  flick_khazana_decode_new_glob(_t571_principal_len);
                  flick_khazana_decode_new_chunk(_t571_principal_len);
                  flick_khazana_decode_end_chunk(_t571_principal_len);
                  flick_khazana_decode_end_glob(_t571_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_khazana_decode_new_glob(5);
                  flick_khazana_decode_new_chunk_align(4, 1, 0, 0);
                  flick_khazana_check_span(4, _flick_abort1176);
                  flick_cdr_decode_signed16(0, _local_s, CORBA_short );
                  _local_ul = (CORBA_unsigned_long *)(&_t572_storage);
                  _local_us = (CORBA_unsigned_short *)(&_t573_storage);
                  flick_cdr_decode_unsigned16(2, *_local_us, CORBA_unsigned_short );
                  _ev = (CORBA_Environment *)(&_t574_storage);
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(5);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex3_op4(_obj, _local_s, _local_ul, _local_us, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1176);
                    flick_khazana_encode_new_glob(14, _flick_abort1176);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(10);
                          flick_cdr_encode_signed16(0, _return, CORBA_short );
                          flick_cdr_encode_unsigned32(4, *_local_ul, CORBA_unsigned_long );
                          flick_cdr_encode_unsigned16(8, *_local_us, CORBA_unsigned_short );
                          flick_khazana_encode_end_chunk(10);
                          flick_khazana_encode_end_glob(14);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(14);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1182);
                          break;
                          {
                          _flick_abort1182:
                            goto _flick_abort1176;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1183);
                          flick_khazana_encode_end_glob(14);
                          break;
                          {
                          _flick_abort1183:
                            goto _flick_abort1176;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort1176:
                    goto _flick_abort1175;
                  }
                }
                break;
                {
                _flick_abort1175:
                  goto _flick_abort937;
                }
              }
            case /* op5 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624576):
              {
                {
                  ex3 _obj;
                  unsigned int _t575_principal_len;
                  CORBA_unsigned_long _return;
                  CORBA_unsigned_long *_local_ul;
                  CORBA_unsigned_long _t576_storage;
                  CORBA_unsigned_short _local_us;
                  CORBA_char *_local_c;
                  CORBA_char _t577_storage;
                  CORBA_boolean _local_b;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t578_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1185);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t575_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(40);
                  flick_khazana_check_span(_t575_principal_len, _flick_abort1185);
                  flick_khazana_decode_new_glob(_t575_principal_len);
                  flick_khazana_decode_new_chunk(_t575_principal_len);
                  flick_khazana_decode_end_chunk(_t575_principal_len);
                  flick_khazana_decode_end_glob(_t575_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  _local_ul = (CORBA_unsigned_long *)(&_t576_storage);
                  flick_khazana_decode_new_glob(10);
                  flick_khazana_decode_new_chunk_align(7, 2, 0, 0);
                  flick_khazana_check_span(7, _flick_abort1185);
                  flick_cdr_decode_unsigned32(0, *_local_ul, CORBA_unsigned_long );
                  flick_cdr_decode_unsigned16(4, _local_us, CORBA_unsigned_short );
                  _local_c = (CORBA_char *)(&_t577_storage);
                  flick_cdr_decode_unsigned8(6, _local_b, CORBA_boolean );
                  _ev = (CORBA_Environment *)(&_t578_storage);
                  flick_khazana_decode_end_chunk(7);
                  flick_khazana_decode_end_glob(10);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex3_op5(_obj, _local_ul, _local_us, _local_c, _local_b, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1185);
                    flick_khazana_encode_new_glob(13, _flick_abort1185);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(9);
                          flick_cdr_encode_unsigned32(0, _return, CORBA_unsigned_long );
                          flick_cdr_encode_unsigned32(4, *_local_ul, CORBA_unsigned_long );
                          flick_cdr_encode_char8(8, *_local_c, CORBA_char );
                          flick_khazana_encode_end_chunk(9);
                          flick_khazana_encode_end_glob(13);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(13);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1191);
                          break;
                          {
                          _flick_abort1191:
                            goto _flick_abort1185;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1192);
                          flick_khazana_encode_end_glob(13);
                          break;
                          {
                          _flick_abort1192:
                            goto _flick_abort1185;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort1185:
                    goto _flick_abort1184;
                  }
                }
                break;
                {
                _flick_abort1184:
                  goto _flick_abort937;
                }
              }
            case /* op6 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624832):
              {
                {
                  ex3 _obj;
                  unsigned int _t579_principal_len;
                  CORBA_unsigned_short _return;
                  CORBA_unsigned_short *_local_us;
                  CORBA_unsigned_short _t580_storage;
                  CORBA_char *_local_c;
                  CORBA_char _t581_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t582_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1194);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t579_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(40);
                  flick_khazana_check_span(_t579_principal_len + 1, _flick_abort1194);
                  flick_khazana_decode_new_glob(_t579_principal_len);
                  flick_khazana_decode_new_chunk(_t579_principal_len);
                  flick_khazana_decode_end_chunk(_t579_principal_len);
                  flick_khazana_decode_end_glob(_t579_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  _local_us = (CORBA_unsigned_short *)(&_t580_storage);
                  _local_c = (CORBA_char *)(&_t581_storage);
                  flick_khazana_decode_new_glob(1);
                  flick_khazana_decode_new_chunk(1);
                  flick_cdr_decode_char8(0, *_local_c, CORBA_char );
                  _ev = (CORBA_Environment *)(&_t582_storage);
                  flick_khazana_decode_end_chunk(1);
                  flick_khazana_decode_end_glob(1);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex3_op6(_obj, _local_us, _local_c, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1194);
                    flick_khazana_encode_new_glob(9, _flick_abort1194);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(5);
                          flick_cdr_encode_unsigned16(0, _return, CORBA_unsigned_short );
                          flick_cdr_encode_unsigned16(2, *_local_us, CORBA_unsigned_short );
                          flick_cdr_encode_char8(4, *_local_c, CORBA_char );
                          flick_khazana_encode_end_chunk(5);
                          flick_khazana_encode_end_glob(9);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(9);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1200);
                          break;
                          {
                          _flick_abort1200:
                            goto _flick_abort1194;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1201);
                          flick_khazana_encode_end_glob(9);
                          break;
                          {
                          _flick_abort1201:
                            goto _flick_abort1194;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort1194:
                    goto _flick_abort1193;
                  }
                }
                break;
                {
                _flick_abort1193:
                  goto _flick_abort937;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                flick_khazana_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t583_switch_tag;

          flick_khazana_check_span(12, _flick_abort937);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t583_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t583_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t584_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t584_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t584_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t585_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t586_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t587_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1203);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t585_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(40);
                        flick_khazana_check_span(_t585_principal_len, _flick_abort1203);
                        flick_khazana_decode_new_glob(_t585_principal_len);
                        flick_khazana_decode_new_chunk(_t585_principal_len);
                        flick_khazana_decode_end_chunk(_t585_principal_len);
                        flick_khazana_decode_end_glob(_t585_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort1203);
                        flick_cdr_decode_unsigned32(0, _t586_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t586_temp_string_len);
                        flick_khazana_check_span(1 * _t586_temp_string_len, _flick_abort1203);
                        flick_khazana_decode_new_chunk(1 * _t586_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t586_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t586_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t587_storage);
                        _par = flick_interface_parents_ex3;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1203);
                          flick_khazana_encode_new_glob(5, _flick_abort1203);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1211);
                                break;
                                {
                                _flick_abort1211:
                                  goto _flick_abort1203;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1212);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort1212:
                                  goto _flick_abort1203;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort1203:
                          goto _flick_abort1202;
                        }
                      }
                      break;
                      {
                      _flick_abort1202:
                        goto _flick_abort937;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                      flick_khazana_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
                flick_khazana_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort937);
          flick_khazana_decode_end_glob(40);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort937:
    flick_corba_server_error(cdr, khazana, _flick_reaper, _flick_abort936);
  _flick_abort936:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

int flick_marshal_stub_ex4(flick_marshal_stream_t _stream, ex4 *_data)
{
  _stub_state.state = FLICK_STATE_MARSHAL;
  flick_cdr_encode_IOR(khazana, *_data, 0, _flick_abort1488);
  return 0;
  {
  _flick_abort1488:
    goto _flick_reaper;
  }
_flick_reaper:
  return 1;
}

int flick_unmarshal_stub_ex4(flick_marshal_stream_t _stream, ex4 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_decode_IOR(khazana, *_data, 1);
  return 0;
}

int flick_unmarshal_stub_ex4_swap(flick_marshal_stream_t _stream, ex4 *_data)
{
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  flick_cdr_swap_decode_IOR(khazana, *_data, 1);
  return 0;
}

flick_operation_success_t ex4_server(FLICK_TARGET _this_obj, flick_msg_t _in_msg, flick_msg_t *_out_msg)
{
  FLICK_BUFFER *_stream;
  flick_khazana_server_start_decode();
  _stub_state.state = FLICK_STATE_PROLOGUE;
  _stub_state.state = FLICK_STATE_UNMARSHAL;
  if (flick_cdr_swap()) {
  {
    unsigned int _t1348_switch_tag;

    flick_khazana_decode_new_glob(40);
    flick_khazana_check_span(12, _flick_abort1493);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_swap_decode_unsigned32(0, _t1348_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t1348_switch_tag)
      {
      case (unsigned int) 30:
        {
          unsigned int _t1349_switch_tag;

          flick_khazana_check_span(36, _flick_abort1493);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t1349_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t1349_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t1350_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t1350_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t1350_switch_tag)
                  {
                  case /* _uns */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601531507):
                    {
                      unsigned int _t1351_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1351_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t1351_switch_tag)
                        {
                        case /* igne */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768386149):
                          {
                            unsigned int _t1352_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1352_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t1352_switch_tag)
                              {
                              case /* d_sh */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1683977064):
                                {
                                  unsigned int _t1353_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1353_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t1353_switch_tag)
                                    {
                                    case /* ort_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869771871):
                                      {
                                        unsigned int _t1354_switch_tag;

                                        flick_khazana_decode_new_chunk(4);
                                        flick_cdr_decode_unsigned32(0, _t1354_switch_tag, unsigned int );
                                        flick_khazana_decode_end_chunk(4);
                                        switch ((unsigned int )_t1354_switch_tag)
                                          {
                                          case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                            {
                                              unsigned int _t1355_switch_tag;

                                              flick_khazana_decode_new_chunk(4);
                                              flick_cdr_decode_unsigned32(0, _t1355_switch_tag, unsigned int );
                                              flick_khazana_decode_end_chunk(4);
                                              switch ((unsigned int )_t1355_switch_tag)
                                                {
                                                case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                                  {
                                                    unsigned short int _t1356_switch_tag;

                                                    flick_khazana_decode_new_chunk(2);
                                                    flick_cdr_decode_unsigned16(0, _t1356_switch_tag, unsigned short int );
                                                    flick_khazana_decode_end_chunk(2);
                                                    switch ((unsigned short int )_t1356_switch_tag)
                                                      {
                                                      case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                                        {
                                                          {
                                                            ex4 _obj;
                                                            unsigned int _t1357_principal_len;
                                                            CORBA_unsigned_short _return;
                                                            CORBA_Environment *_ev;
                                                            CORBA_Environment _t1358_storage;

                                                            flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort2424);
                                                            /* Decode the requesting `Principal' pseudo object (client ID). */
                                                            flick_khazana_decode_new_chunk(6);
                                                            flick_cdr_swap_decode_unsigned32(2, _t1357_principal_len, unsigned int );
                                                            flick_khazana_decode_end_chunk(6);
                                                            flick_khazana_decode_end_glob(40);
                                                            flick_khazana_check_span(_t1357_principal_len, _flick_abort2424);
                                                            flick_khazana_decode_new_glob(_t1357_principal_len);
                                                            flick_khazana_decode_new_chunk(_t1357_principal_len);
                                                            flick_khazana_decode_end_chunk(_t1357_principal_len);
                                                            flick_khazana_decode_end_glob(_t1357_principal_len);
                                                            /* Begin decode phase on parameters */
                                                            _return = 0;
                                                            _ev = (CORBA_Environment *)(&_t1358_storage);
                                                            flick_khazana_server_end_decode();
                                                            flick_corba_init_environment();
                                                            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                            _return = ex4__get_unsigned_short_attribute(_obj, _ev);
                                                            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                            _stub_state.state = FLICK_STATE_MARSHAL;
                                                            flick_khazana_server_start_encode();
                                                            {
                                                              flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort2424);
                                                              flick_khazana_encode_new_glob(6, _flick_abort2424);
                                                              flick_khazana_encode_new_chunk(4);
                                                              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                              flick_khazana_encode_end_chunk(4);
                                                              switch (_ev->_major)
                                                                {
                                                                case CORBA_NO_EXCEPTION:
                                                                  {
                                                                    /* Begin encode phase on parameters */
                                                                    flick_khazana_encode_new_chunk(2);
                                                                    flick_cdr_encode_unsigned16(0, _return, CORBA_unsigned_short );
                                                                    flick_khazana_encode_end_chunk(2);
                                                                    flick_khazana_encode_end_glob(6);
                                                                    break;
                                                                  }
                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                  {
                                                                    flick_khazana_encode_end_glob(6);
                                                                    flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2430);
                                                                    break;
                                                                    {
                                                                    _flick_abort2430:
                                                                      goto _flick_abort2424;
                                                                    }
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2431);
                                                                    flick_khazana_encode_end_glob(6);
                                                                    break;
                                                                    {
                                                                    _flick_abort2431:
                                                                      goto _flick_abort2424;
                                                                    }
                                                                  }
                                                                }
                                                            }
                                                            flick_khazana_server_end_encode();
                                                            break;
                                                            {
                                                            _flick_abort2424:
                                                              goto _flick_abort2423;
                                                            }
                                                          }
                                                          break;
                                                          {
                                                          _flick_abort2423:
                                                            goto _flick_abort1493;
                                                          }
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                                          flick_khazana_decode_end_glob(40);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                                    flick_khazana_decode_end_glob(40);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                              flick_khazana_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _lim */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600940397):
                    {
                      unsigned int _t1359_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1359_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t1359_switch_tag)
                        {
                        case /* ited */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769235812):
                          {
                            unsigned int _t1360_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1360_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t1360_switch_tag)
                              {
                              case /* _str */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601401970):
                                {
                                  unsigned int _t1361_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1361_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t1361_switch_tag)
                                    {
                                    case /* ing_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768843103):
                                      {
                                        unsigned int _t1362_switch_tag;

                                        flick_khazana_decode_new_chunk(4);
                                        flick_cdr_decode_unsigned32(0, _t1362_switch_tag, unsigned int );
                                        flick_khazana_decode_end_chunk(4);
                                        switch ((unsigned int )_t1362_switch_tag)
                                          {
                                          case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                            {
                                              unsigned int _t1363_switch_tag;

                                              flick_khazana_decode_new_chunk(4);
                                              flick_cdr_decode_unsigned32(0, _t1363_switch_tag, unsigned int );
                                              flick_khazana_decode_end_chunk(4);
                                              switch ((unsigned int )_t1363_switch_tag)
                                                {
                                                case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                                  {
                                                    unsigned short int _t1364_switch_tag;

                                                    flick_khazana_decode_new_chunk(2);
                                                    flick_cdr_decode_unsigned16(0, _t1364_switch_tag, unsigned short int );
                                                    flick_khazana_decode_end_chunk(2);
                                                    switch ((unsigned short int )_t1364_switch_tag)
                                                      {
                                                      case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                                        {
                                                          {
                                                            ex4 _obj;
                                                            unsigned int _t1365_principal_len;
                                                            CORBA_char *_return;
                                                            CORBA_Environment *_ev;
                                                            CORBA_Environment _t1366_storage;

                                                            flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort2433);
                                                            /* Decode the requesting `Principal' pseudo object (client ID). */
                                                            flick_khazana_decode_new_chunk(6);
                                                            flick_cdr_swap_decode_unsigned32(2, _t1365_principal_len, unsigned int );
                                                            flick_khazana_decode_end_chunk(6);
                                                            flick_khazana_decode_end_glob(40);
                                                            flick_khazana_check_span(_t1365_principal_len, _flick_abort2433);
                                                            flick_khazana_decode_new_glob(_t1365_principal_len);
                                                            flick_khazana_decode_new_chunk(_t1365_principal_len);
                                                            flick_khazana_decode_end_chunk(_t1365_principal_len);
                                                            flick_khazana_decode_end_glob(_t1365_principal_len);
                                                            /* Begin decode phase on parameters */
                                                            _return = 0;
                                                            _ev = (CORBA_Environment *)(&_t1366_storage);
                                                            flick_khazana_server_end_decode();
                                                            flick_corba_init_environment();
                                                            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                            _return = ex4__get_limited_string_attribute(_obj, _ev);
                                                            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                            _stub_state.state = FLICK_STATE_MARSHAL;
                                                            flick_khazana_server_start_encode();
                                                            {
                                                              flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort2433);
                                                              flick_khazana_encode_new_glob(19, _flick_abort2433);
                                                              flick_khazana_encode_new_chunk(4);
                                                              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                              flick_khazana_encode_end_chunk(4);
                                                              switch (_ev->_major)
                                                                {
                                                                case CORBA_NO_EXCEPTION:
                                                                  {
                                                                    flick_unsigned32_t _t1368_temp_string_len;

                                                                    flick_cdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t1368_temp_string_len);

                                                                    /* Begin encode phase on parameters */
                                                                    flick_khazana_encode_new_chunk(4 + 1 * _t1368_temp_string_len);
                                                                    flick_cdr_encode_unsigned32(0, _t1368_temp_string_len, flick_unsigned32_t );
                                                                    if (_t1368_temp_string_len > 11)
                                                                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort2440);
                                                                    flick_cdr_encode_bcopy(4, _return, 1 * _t1368_temp_string_len);
                                                                    CORBA_flick_free(_return);
                                                                    _return = 0;
                                                                    flick_khazana_encode_end_chunk(4 + 1 * _t1368_temp_string_len);
                                                                    flick_khazana_encode_end_glob(19);
                                                                    break;
                                                                    {
                                                                    _flick_abort2440:
                                                                      goto _flick_abort2433;
                                                                    }
                                                                  }
                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                  {
                                                                    flick_khazana_encode_end_glob(19);
                                                                    flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2443);
                                                                    break;
                                                                    {
                                                                    _flick_abort2443:
                                                                      goto _flick_abort2433;
                                                                    }
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2444);
                                                                    flick_khazana_encode_end_glob(19);
                                                                    break;
                                                                    {
                                                                    _flick_abort2444:
                                                                      goto _flick_abort2433;
                                                                    }
                                                                  }
                                                                }
                                                            }
                                                            flick_khazana_server_end_encode();
                                                            break;
                                                            {
                                                            _flick_abort2433:
                                                              goto _flick_abort2432;
                                                            }
                                                          }
                                                          break;
                                                          {
                                                          _flick_abort2432:
                                                            goto _flick_abort1493;
                                                          }
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                                          flick_khazana_decode_end_glob(40);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                                    flick_khazana_decode_end_glob(40);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                              flick_khazana_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                      flick_khazana_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t1369_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t1369_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t1369_switch_tag)
                  {
                  case /* _uns */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601531507):
                    {
                      unsigned int _t1370_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1370_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t1370_switch_tag)
                        {
                        case /* igne */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768386149):
                          {
                            unsigned int _t1371_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1371_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t1371_switch_tag)
                              {
                              case /* d_sh */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1683977064):
                                {
                                  unsigned int _t1372_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1372_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t1372_switch_tag)
                                    {
                                    case /* ort_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869771871):
                                      {
                                        unsigned int _t1373_switch_tag;

                                        flick_khazana_decode_new_chunk(4);
                                        flick_cdr_decode_unsigned32(0, _t1373_switch_tag, unsigned int );
                                        flick_khazana_decode_end_chunk(4);
                                        switch ((unsigned int )_t1373_switch_tag)
                                          {
                                          case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                            {
                                              unsigned int _t1374_switch_tag;

                                              flick_khazana_decode_new_chunk(4);
                                              flick_cdr_decode_unsigned32(0, _t1374_switch_tag, unsigned int );
                                              flick_khazana_decode_end_chunk(4);
                                              switch ((unsigned int )_t1374_switch_tag)
                                                {
                                                case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                                  {
                                                    unsigned short int _t1375_switch_tag;

                                                    flick_khazana_decode_new_chunk(2);
                                                    flick_cdr_decode_unsigned16(0, _t1375_switch_tag, unsigned short int );
                                                    flick_khazana_decode_end_chunk(2);
                                                    switch ((unsigned short int )_t1375_switch_tag)
                                                      {
                                                      case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                                        {
                                                          {
                                                            ex4 _obj;
                                                            unsigned int _t1376_principal_len;
                                                            CORBA_unsigned_short _local_unsigned_short_attribute;
                                                            CORBA_Environment *_ev;
                                                            CORBA_Environment _t1377_storage;

                                                            flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort2446);
                                                            /* Decode the requesting `Principal' pseudo object (client ID). */
                                                            flick_khazana_decode_new_chunk(6);
                                                            flick_cdr_swap_decode_unsigned32(2, _t1376_principal_len, unsigned int );
                                                            flick_khazana_decode_end_chunk(6);
                                                            flick_khazana_decode_end_glob(40);
                                                            flick_khazana_check_span(_t1376_principal_len, _flick_abort2446);
                                                            flick_khazana_decode_new_glob(_t1376_principal_len);
                                                            flick_khazana_decode_new_chunk(_t1376_principal_len);
                                                            flick_khazana_decode_end_chunk(_t1376_principal_len);
                                                            flick_khazana_decode_end_glob(_t1376_principal_len);
                                                            /* Begin decode phase on parameters */
                                                            flick_khazana_decode_new_glob(3);
                                                            flick_khazana_decode_new_chunk_align(2, 1, 0, 0);
                                                            flick_khazana_check_span(2, _flick_abort2446);
                                                            flick_cdr_swap_decode_unsigned16(0, _local_unsigned_short_attribute, CORBA_unsigned_short );
                                                            _ev = (CORBA_Environment *)(&_t1377_storage);
                                                            flick_khazana_decode_end_chunk(2);
                                                            flick_khazana_decode_end_glob(3);
                                                            flick_khazana_server_end_decode();
                                                            flick_corba_init_environment();
                                                            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                            ex4__set_unsigned_short_attribute(_obj, _local_unsigned_short_attribute, _ev);
                                                            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                            _stub_state.state = FLICK_STATE_MARSHAL;
                                                            flick_khazana_server_start_encode();
                                                            {
                                                              flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort2446);
                                                              flick_khazana_encode_new_glob(4, _flick_abort2446);
                                                              flick_khazana_encode_new_chunk(4);
                                                              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                              flick_khazana_encode_end_chunk(4);
                                                              switch (_ev->_major)
                                                                {
                                                                case CORBA_NO_EXCEPTION:
                                                                  {
                                                                    /* Begin encode phase on parameters */
                                                                    flick_khazana_encode_end_glob(4);
                                                                    break;
                                                                  }
                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                  {
                                                                    flick_khazana_encode_end_glob(4);
                                                                    flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2452);
                                                                    break;
                                                                    {
                                                                    _flick_abort2452:
                                                                      goto _flick_abort2446;
                                                                    }
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2453);
                                                                    flick_khazana_encode_end_glob(4);
                                                                    break;
                                                                    {
                                                                    _flick_abort2453:
                                                                      goto _flick_abort2446;
                                                                    }
                                                                  }
                                                                }
                                                            }
                                                            flick_khazana_server_end_encode();
                                                            break;
                                                            {
                                                            _flick_abort2446:
                                                              goto _flick_abort2445;
                                                            }
                                                          }
                                                          break;
                                                          {
                                                          _flick_abort2445:
                                                            goto _flick_abort1493;
                                                          }
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                                          flick_khazana_decode_end_glob(40);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                                    flick_khazana_decode_end_glob(40);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                              flick_khazana_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                      flick_khazana_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                flick_khazana_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 20:
        {
          unsigned int _t1378_switch_tag;

          flick_khazana_check_span(24, _flick_abort1493);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t1378_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t1378_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t1379_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t1379_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t1379_switch_tag)
                  {
                  case /* _cha */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600350305):
                    {
                      unsigned int _t1380_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1380_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t1380_switch_tag)
                        {
                        case /* r_at */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1918853492):
                          {
                            unsigned int _t1381_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1381_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t1381_switch_tag)
                              {
                              case /* trib */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953655138):
                                {
                                  unsigned int _t1382_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1382_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t1382_switch_tag)
                                    {
                                    case /* ute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1970562304):
                                      {
                                        {
                                          ex4 _obj;
                                          unsigned int _t1383_principal_len;
                                          CORBA_char _return;
                                          CORBA_Environment *_ev;
                                          CORBA_Environment _t1384_storage;

                                          flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort2455);
                                          /* Decode the requesting `Principal' pseudo object (client ID). */
                                          flick_khazana_decode_new_chunk(4);
                                          flick_cdr_swap_decode_unsigned32(0, _t1383_principal_len, unsigned int );
                                          flick_khazana_decode_end_chunk(4);
                                          flick_khazana_decode_end_glob(40);
                                          flick_khazana_check_span(_t1383_principal_len, _flick_abort2455);
                                          flick_khazana_decode_new_glob(_t1383_principal_len);
                                          flick_khazana_decode_new_chunk(_t1383_principal_len);
                                          flick_khazana_decode_end_chunk(_t1383_principal_len);
                                          flick_khazana_decode_end_glob(_t1383_principal_len);
                                          /* Begin decode phase on parameters */
                                          _return = 0;
                                          _ev = (CORBA_Environment *)(&_t1384_storage);
                                          flick_khazana_server_end_decode();
                                          flick_corba_init_environment();
                                          _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                          _return = ex4__get_char_attribute(_obj, _ev);
                                          _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_khazana_server_start_encode();
                                          {
                                            flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort2455);
                                            flick_khazana_encode_new_glob(5, _flick_abort2455);
                                            flick_khazana_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                            flick_khazana_encode_end_chunk(4);
                                            switch (_ev->_major)
                                              {
                                              case CORBA_NO_EXCEPTION:
                                                {
                                                  /* Begin encode phase on parameters */
                                                  flick_khazana_encode_new_chunk(1);
                                                  flick_cdr_encode_char8(0, _return, CORBA_char );
                                                  flick_khazana_encode_end_chunk(1);
                                                  flick_khazana_encode_end_glob(5);
                                                  break;
                                                }
                                              case CORBA_SYSTEM_EXCEPTION:
                                                {
                                                  flick_khazana_encode_end_glob(5);
                                                  flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2461);
                                                  break;
                                                  {
                                                  _flick_abort2461:
                                                    goto _flick_abort2455;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2462);
                                                  flick_khazana_encode_end_glob(5);
                                                  break;
                                                  {
                                                  _flick_abort2462:
                                                    goto _flick_abort2455;
                                                  }
                                                }
                                              }
                                          }
                                          flick_khazana_server_end_encode();
                                          break;
                                          {
                                          _flick_abort2455:
                                            goto _flick_abort2454;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort2454:
                                          goto _flick_abort1493;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _lon */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600941934):
                    {
                      unsigned int _t1385_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1385_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t1385_switch_tag)
                        {
                        case /* g_at */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1734304116):
                          {
                            unsigned int _t1386_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1386_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t1386_switch_tag)
                              {
                              case /* trib */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953655138):
                                {
                                  unsigned int _t1387_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1387_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t1387_switch_tag)
                                    {
                                    case /* ute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1970562304):
                                      {
                                        {
                                          ex4 _obj;
                                          unsigned int _t1388_principal_len;
                                          CORBA_long _return;
                                          CORBA_Environment *_ev;
                                          CORBA_Environment _t1389_storage;

                                          flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort2464);
                                          /* Decode the requesting `Principal' pseudo object (client ID). */
                                          flick_khazana_decode_new_chunk(4);
                                          flick_cdr_swap_decode_unsigned32(0, _t1388_principal_len, unsigned int );
                                          flick_khazana_decode_end_chunk(4);
                                          flick_khazana_decode_end_glob(40);
                                          flick_khazana_check_span(_t1388_principal_len, _flick_abort2464);
                                          flick_khazana_decode_new_glob(_t1388_principal_len);
                                          flick_khazana_decode_new_chunk(_t1388_principal_len);
                                          flick_khazana_decode_end_chunk(_t1388_principal_len);
                                          flick_khazana_decode_end_glob(_t1388_principal_len);
                                          /* Begin decode phase on parameters */
                                          _return = 0;
                                          _ev = (CORBA_Environment *)(&_t1389_storage);
                                          flick_khazana_server_end_decode();
                                          flick_corba_init_environment();
                                          _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                          _return = ex4__get_long_attribute(_obj, _ev);
                                          _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_khazana_server_start_encode();
                                          {
                                            flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort2464);
                                            flick_khazana_encode_new_glob(8, _flick_abort2464);
                                            flick_khazana_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                            flick_khazana_encode_end_chunk(4);
                                            switch (_ev->_major)
                                              {
                                              case CORBA_NO_EXCEPTION:
                                                {
                                                  /* Begin encode phase on parameters */
                                                  flick_khazana_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _return, CORBA_long );
                                                  flick_khazana_encode_end_chunk(4);
                                                  flick_khazana_encode_end_glob(8);
                                                  break;
                                                }
                                              case CORBA_SYSTEM_EXCEPTION:
                                                {
                                                  flick_khazana_encode_end_glob(8);
                                                  flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2470);
                                                  break;
                                                  {
                                                  _flick_abort2470:
                                                    goto _flick_abort2464;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2471);
                                                  flick_khazana_encode_end_glob(8);
                                                  break;
                                                  {
                                                  _flick_abort2471:
                                                    goto _flick_abort2464;
                                                  }
                                                }
                                              }
                                          }
                                          flick_khazana_server_end_encode();
                                          break;
                                          {
                                          _flick_abort2464:
                                            goto _flick_abort2463;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort2463:
                                          goto _flick_abort1493;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                      flick_khazana_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                flick_khazana_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 23:
        {
          unsigned int _t1390_switch_tag;

          flick_khazana_check_span(28, _flick_abort1493);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t1390_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t1390_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t1391_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t1391_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t1391_switch_tag)
                  {
                  case /* _boo */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600286575):
                    {
                      unsigned int _t1392_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1392_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t1392_switch_tag)
                        {
                        case /* lean */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1818583406):
                          {
                            unsigned int _t1393_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1393_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t1393_switch_tag)
                              {
                              case /* _att */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600222324):
                                {
                                  unsigned int _t1394_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1394_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t1394_switch_tag)
                                    {
                                    case /* ribu */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1919509109):
                                      {
                                        unsigned short int _t1395_switch_tag;

                                        flick_khazana_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t1395_switch_tag, unsigned short int );
                                        flick_khazana_decode_end_chunk(2);
                                        switch ((unsigned short int )_t1395_switch_tag)
                                          {
                                          case /* te */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29797):
                                            {
                                              char _t1396_switch_tag;

                                              flick_khazana_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t1396_switch_tag, char );
                                              flick_khazana_decode_end_chunk(1);
                                              switch ((char )_t1396_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      ex4 _obj;
                                                      unsigned int _t1397_principal_len;
                                                      CORBA_boolean _return;
                                                      CORBA_Environment *_ev;
                                                      CORBA_Environment _t1398_storage;

                                                      flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort2473);
                                                      /* Decode the requesting `Principal' pseudo object (client ID). */
                                                      flick_khazana_decode_new_chunk(5);
                                                      flick_cdr_swap_decode_unsigned32(1, _t1397_principal_len, unsigned int );
                                                      flick_khazana_decode_end_chunk(5);
                                                      flick_khazana_decode_end_glob(40);
                                                      flick_khazana_check_span(_t1397_principal_len, _flick_abort2473);
                                                      flick_khazana_decode_new_glob(_t1397_principal_len);
                                                      flick_khazana_decode_new_chunk(_t1397_principal_len);
                                                      flick_khazana_decode_end_chunk(_t1397_principal_len);
                                                      flick_khazana_decode_end_glob(_t1397_principal_len);
                                                      /* Begin decode phase on parameters */
                                                      _return = 0;
                                                      _ev = (CORBA_Environment *)(&_t1398_storage);
                                                      flick_khazana_server_end_decode();
                                                      flick_corba_init_environment();
                                                      _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                      _return = ex4__get_boolean_attribute(_obj, _ev);
                                                      _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                      _stub_state.state = FLICK_STATE_MARSHAL;
                                                      flick_khazana_server_start_encode();
                                                      {
                                                        flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort2473);
                                                        flick_khazana_encode_new_glob(5, _flick_abort2473);
                                                        flick_khazana_encode_new_chunk(4);
                                                        flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                        flick_khazana_encode_end_chunk(4);
                                                        switch (_ev->_major)
                                                          {
                                                          case CORBA_NO_EXCEPTION:
                                                            {
                                                              /* Begin encode phase on parameters */
                                                              flick_khazana_encode_new_chunk(1);
                                                              flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                                              flick_khazana_encode_end_chunk(1);
                                                              flick_khazana_encode_end_glob(5);
                                                              break;
                                                            }
                                                          case CORBA_SYSTEM_EXCEPTION:
                                                            {
                                                              flick_khazana_encode_end_glob(5);
                                                              flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2479);
                                                              break;
                                                              {
                                                              _flick_abort2479:
                                                                goto _flick_abort2473;
                                                              }
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2480);
                                                              flick_khazana_encode_end_glob(5);
                                                              break;
                                                              {
                                                              _flick_abort2480:
                                                                goto _flick_abort2473;
                                                              }
                                                            }
                                                          }
                                                      }
                                                      flick_khazana_server_end_encode();
                                                      break;
                                                      {
                                                      _flick_abort2473:
                                                        goto _flick_abort2472;
                                                      }
                                                    }
                                                    break;
                                                    {
                                                    _flick_abort2472:
                                                      goto _flick_abort1493;
                                                    }
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                                    flick_khazana_decode_end_glob(40);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                              flick_khazana_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                      flick_khazana_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t1399_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t1399_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t1399_switch_tag)
                  {
                  case /* _boo */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600286575):
                    {
                      unsigned int _t1400_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1400_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t1400_switch_tag)
                        {
                        case /* lean */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1818583406):
                          {
                            unsigned int _t1401_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1401_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t1401_switch_tag)
                              {
                              case /* _att */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600222324):
                                {
                                  unsigned int _t1402_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1402_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t1402_switch_tag)
                                    {
                                    case /* ribu */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1919509109):
                                      {
                                        unsigned short int _t1403_switch_tag;

                                        flick_khazana_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t1403_switch_tag, unsigned short int );
                                        flick_khazana_decode_end_chunk(2);
                                        switch ((unsigned short int )_t1403_switch_tag)
                                          {
                                          case /* te */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29797):
                                            {
                                              char _t1404_switch_tag;

                                              flick_khazana_decode_new_chunk(1);
                                              flick_cdr_swap_decode_char8(0, _t1404_switch_tag, char );
                                              flick_khazana_decode_end_chunk(1);
                                              switch ((char )_t1404_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      ex4 _obj;
                                                      unsigned int _t1405_principal_len;
                                                      CORBA_boolean _local_boolean_attribute;
                                                      CORBA_Environment *_ev;
                                                      CORBA_Environment _t1406_storage;

                                                      flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort2482);
                                                      /* Decode the requesting `Principal' pseudo object (client ID). */
                                                      flick_khazana_decode_new_chunk(5);
                                                      flick_cdr_swap_decode_unsigned32(1, _t1405_principal_len, unsigned int );
                                                      flick_khazana_decode_end_chunk(5);
                                                      flick_khazana_decode_end_glob(40);
                                                      flick_khazana_check_span(_t1405_principal_len + 1, _flick_abort2482);
                                                      flick_khazana_decode_new_glob(_t1405_principal_len);
                                                      flick_khazana_decode_new_chunk(_t1405_principal_len);
                                                      flick_khazana_decode_end_chunk(_t1405_principal_len);
                                                      flick_khazana_decode_end_glob(_t1405_principal_len);
                                                      /* Begin decode phase on parameters */
                                                      flick_khazana_decode_new_glob(1);
                                                      flick_khazana_decode_new_chunk(1);
                                                      flick_cdr_swap_decode_unsigned8(0, _local_boolean_attribute, CORBA_boolean );
                                                      _ev = (CORBA_Environment *)(&_t1406_storage);
                                                      flick_khazana_decode_end_chunk(1);
                                                      flick_khazana_decode_end_glob(1);
                                                      flick_khazana_server_end_decode();
                                                      flick_corba_init_environment();
                                                      _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                      ex4__set_boolean_attribute(_obj, _local_boolean_attribute, _ev);
                                                      _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                      _stub_state.state = FLICK_STATE_MARSHAL;
                                                      flick_khazana_server_start_encode();
                                                      {
                                                        flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort2482);
                                                        flick_khazana_encode_new_glob(4, _flick_abort2482);
                                                        flick_khazana_encode_new_chunk(4);
                                                        flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                        flick_khazana_encode_end_chunk(4);
                                                        switch (_ev->_major)
                                                          {
                                                          case CORBA_NO_EXCEPTION:
                                                            {
                                                              /* Begin encode phase on parameters */
                                                              flick_khazana_encode_end_glob(4);
                                                              break;
                                                            }
                                                          case CORBA_SYSTEM_EXCEPTION:
                                                            {
                                                              flick_khazana_encode_end_glob(4);
                                                              flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2488);
                                                              break;
                                                              {
                                                              _flick_abort2488:
                                                                goto _flick_abort2482;
                                                              }
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2489);
                                                              flick_khazana_encode_end_glob(4);
                                                              break;
                                                              {
                                                              _flick_abort2489:
                                                                goto _flick_abort2482;
                                                              }
                                                            }
                                                          }
                                                      }
                                                      flick_khazana_server_end_encode();
                                                      break;
                                                      {
                                                      _flick_abort2482:
                                                        goto _flick_abort2481;
                                                      }
                                                    }
                                                    break;
                                                    {
                                                    _flick_abort2481:
                                                      goto _flick_abort1493;
                                                    }
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                                    flick_khazana_decode_end_glob(40);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                              flick_khazana_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                      flick_khazana_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                flick_khazana_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 21:
        {
          unsigned int _t1407_switch_tag;

          flick_khazana_check_span(28, _flick_abort1493);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t1407_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t1407_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t1408_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t1408_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t1408_switch_tag)
                  {
                  case /* _oct */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601135476):
                    {
                      unsigned int _t1409_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1409_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t1409_switch_tag)
                        {
                        case /* et_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1702125409):
                          {
                            unsigned int _t1410_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1410_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t1410_switch_tag)
                              {
                              case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                {
                                  unsigned int _t1411_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1411_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t1411_switch_tag)
                                    {
                                    case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                      {
                                        char _t1412_switch_tag;

                                        flick_khazana_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t1412_switch_tag, char );
                                        flick_khazana_decode_end_chunk(1);
                                        switch ((char )_t1412_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                ex4 _obj;
                                                unsigned int _t1413_principal_len;
                                                CORBA_octet _return;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t1414_storage;

                                                flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort2491);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_khazana_decode_new_chunk(7);
                                                flick_cdr_swap_decode_unsigned32(3, _t1413_principal_len, unsigned int );
                                                flick_khazana_decode_end_chunk(7);
                                                flick_khazana_decode_end_glob(40);
                                                flick_khazana_check_span(_t1413_principal_len, _flick_abort2491);
                                                flick_khazana_decode_new_glob(_t1413_principal_len);
                                                flick_khazana_decode_new_chunk(_t1413_principal_len);
                                                flick_khazana_decode_end_chunk(_t1413_principal_len);
                                                flick_khazana_decode_end_glob(_t1413_principal_len);
                                                /* Begin decode phase on parameters */
                                                _return = 0;
                                                _ev = (CORBA_Environment *)(&_t1414_storage);
                                                flick_khazana_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                _return = ex4__get_octet_attribute(_obj, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_khazana_server_start_encode();
                                                {
                                                  flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort2491);
                                                  flick_khazana_encode_new_glob(5, _flick_abort2491);
                                                  flick_khazana_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_khazana_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_khazana_encode_new_chunk(1);
                                                        flick_cdr_encode_unsigned8(0, _return, CORBA_octet );
                                                        flick_khazana_encode_end_chunk(1);
                                                        flick_khazana_encode_end_glob(5);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_khazana_encode_end_glob(5);
                                                        flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2497);
                                                        break;
                                                        {
                                                        _flick_abort2497:
                                                          goto _flick_abort2491;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2498);
                                                        flick_khazana_encode_end_glob(5);
                                                        break;
                                                        {
                                                        _flick_abort2498:
                                                          goto _flick_abort2491;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_khazana_server_end_encode();
                                                break;
                                                {
                                                _flick_abort2491:
                                                  goto _flick_abort2490;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort2490:
                                                goto _flick_abort1493;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                              flick_khazana_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _flo */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600547951):
                    {
                      unsigned int _t1415_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1415_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t1415_switch_tag)
                        {
                        case /* at_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635016545):
                          {
                            unsigned int _t1416_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1416_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t1416_switch_tag)
                              {
                              case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                {
                                  unsigned int _t1417_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1417_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t1417_switch_tag)
                                    {
                                    case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                      {
                                        char _t1418_switch_tag;

                                        flick_khazana_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t1418_switch_tag, char );
                                        flick_khazana_decode_end_chunk(1);
                                        switch ((char )_t1418_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                ex4 _obj;
                                                unsigned int _t1419_principal_len;
                                                CORBA_float _return;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t1420_storage;

                                                flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort2500);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_khazana_decode_new_chunk(7);
                                                flick_cdr_swap_decode_unsigned32(3, _t1419_principal_len, unsigned int );
                                                flick_khazana_decode_end_chunk(7);
                                                flick_khazana_decode_end_glob(40);
                                                flick_khazana_check_span(_t1419_principal_len, _flick_abort2500);
                                                flick_khazana_decode_new_glob(_t1419_principal_len);
                                                flick_khazana_decode_new_chunk(_t1419_principal_len);
                                                flick_khazana_decode_end_chunk(_t1419_principal_len);
                                                flick_khazana_decode_end_glob(_t1419_principal_len);
                                                /* Begin decode phase on parameters */
                                                _return = 0.000000;
                                                _ev = (CORBA_Environment *)(&_t1420_storage);
                                                flick_khazana_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                _return = ex4__get_float_attribute(_obj, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_khazana_server_start_encode();
                                                {
                                                  flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort2500);
                                                  flick_khazana_encode_new_glob(8, _flick_abort2500);
                                                  flick_khazana_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_khazana_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_khazana_encode_new_chunk(4);
                                                        flick_cdr_encode_float32(0, _return, CORBA_float );
                                                        flick_khazana_encode_end_chunk(4);
                                                        flick_khazana_encode_end_glob(8);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_khazana_encode_end_glob(8);
                                                        flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2506);
                                                        break;
                                                        {
                                                        _flick_abort2506:
                                                          goto _flick_abort2500;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2507);
                                                        flick_khazana_encode_end_glob(8);
                                                        break;
                                                        {
                                                        _flick_abort2507:
                                                          goto _flick_abort2500;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_khazana_server_end_encode();
                                                break;
                                                {
                                                _flick_abort2500:
                                                  goto _flick_abort2499;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort2499:
                                                goto _flick_abort1493;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                              flick_khazana_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _sho */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398895):
                    {
                      unsigned int _t1421_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1421_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t1421_switch_tag)
                        {
                        case /* rt_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1920229217):
                          {
                            unsigned int _t1422_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1422_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t1422_switch_tag)
                              {
                              case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                {
                                  unsigned int _t1423_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1423_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t1423_switch_tag)
                                    {
                                    case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                      {
                                        char _t1424_switch_tag;

                                        flick_khazana_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t1424_switch_tag, char );
                                        flick_khazana_decode_end_chunk(1);
                                        switch ((char )_t1424_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                ex4 _obj;
                                                unsigned int _t1425_principal_len;
                                                CORBA_short _return;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t1426_storage;

                                                flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort2509);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_khazana_decode_new_chunk(7);
                                                flick_cdr_swap_decode_unsigned32(3, _t1425_principal_len, unsigned int );
                                                flick_khazana_decode_end_chunk(7);
                                                flick_khazana_decode_end_glob(40);
                                                flick_khazana_check_span(_t1425_principal_len, _flick_abort2509);
                                                flick_khazana_decode_new_glob(_t1425_principal_len);
                                                flick_khazana_decode_new_chunk(_t1425_principal_len);
                                                flick_khazana_decode_end_chunk(_t1425_principal_len);
                                                flick_khazana_decode_end_glob(_t1425_principal_len);
                                                /* Begin decode phase on parameters */
                                                _return = 0;
                                                _ev = (CORBA_Environment *)(&_t1426_storage);
                                                flick_khazana_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                _return = ex4__get_short_attribute(_obj, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_khazana_server_start_encode();
                                                {
                                                  flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort2509);
                                                  flick_khazana_encode_new_glob(6, _flick_abort2509);
                                                  flick_khazana_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_khazana_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_khazana_encode_new_chunk(2);
                                                        flick_cdr_encode_signed16(0, _return, CORBA_short );
                                                        flick_khazana_encode_end_chunk(2);
                                                        flick_khazana_encode_end_glob(6);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_khazana_encode_end_glob(6);
                                                        flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2515);
                                                        break;
                                                        {
                                                        _flick_abort2515:
                                                          goto _flick_abort2509;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2516);
                                                        flick_khazana_encode_end_glob(6);
                                                        break;
                                                        {
                                                        _flick_abort2516:
                                                          goto _flick_abort2509;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_khazana_server_end_encode();
                                                break;
                                                {
                                                _flick_abort2509:
                                                  goto _flick_abort2508;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort2508:
                                                goto _flick_abort1493;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                              flick_khazana_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                      flick_khazana_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t1427_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t1427_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t1427_switch_tag)
                  {
                  case /* _sho */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398895):
                    {
                      unsigned int _t1428_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1428_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t1428_switch_tag)
                        {
                        case /* rt_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1920229217):
                          {
                            unsigned int _t1429_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1429_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t1429_switch_tag)
                              {
                              case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                {
                                  unsigned int _t1430_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1430_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t1430_switch_tag)
                                    {
                                    case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                      {
                                        char _t1431_switch_tag;

                                        flick_khazana_decode_new_chunk(1);
                                        flick_cdr_swap_decode_char8(0, _t1431_switch_tag, char );
                                        flick_khazana_decode_end_chunk(1);
                                        switch ((char )_t1431_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                ex4 _obj;
                                                unsigned int _t1432_principal_len;
                                                CORBA_short _local_short_attribute;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t1433_storage;

                                                flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort2518);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_khazana_decode_new_chunk(7);
                                                flick_cdr_swap_decode_unsigned32(3, _t1432_principal_len, unsigned int );
                                                flick_khazana_decode_end_chunk(7);
                                                flick_khazana_decode_end_glob(40);
                                                flick_khazana_check_span(_t1432_principal_len, _flick_abort2518);
                                                flick_khazana_decode_new_glob(_t1432_principal_len);
                                                flick_khazana_decode_new_chunk(_t1432_principal_len);
                                                flick_khazana_decode_end_chunk(_t1432_principal_len);
                                                flick_khazana_decode_end_glob(_t1432_principal_len);
                                                /* Begin decode phase on parameters */
                                                flick_khazana_decode_new_glob(3);
                                                flick_khazana_decode_new_chunk_align(2, 1, 0, 0);
                                                flick_khazana_check_span(2, _flick_abort2518);
                                                flick_cdr_swap_decode_signed16(0, _local_short_attribute, CORBA_short );
                                                _ev = (CORBA_Environment *)(&_t1433_storage);
                                                flick_khazana_decode_end_chunk(2);
                                                flick_khazana_decode_end_glob(3);
                                                flick_khazana_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                ex4__set_short_attribute(_obj, _local_short_attribute, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_khazana_server_start_encode();
                                                {
                                                  flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort2518);
                                                  flick_khazana_encode_new_glob(4, _flick_abort2518);
                                                  flick_khazana_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_khazana_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_khazana_encode_end_glob(4);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_khazana_encode_end_glob(4);
                                                        flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2524);
                                                        break;
                                                        {
                                                        _flick_abort2524:
                                                          goto _flick_abort2518;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2525);
                                                        flick_khazana_encode_end_glob(4);
                                                        break;
                                                        {
                                                        _flick_abort2525:
                                                          goto _flick_abort2518;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_khazana_server_end_encode();
                                                break;
                                                {
                                                _flick_abort2518:
                                                  goto _flick_abort2517;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort2517:
                                                goto _flick_abort1493;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                              flick_khazana_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                      flick_khazana_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                flick_khazana_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 22:
        {
          unsigned int _t1434_switch_tag;

          flick_khazana_check_span(28, _flick_abort1493);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t1434_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t1434_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t1435_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t1435_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t1435_switch_tag)
                  {
                  case /* _str */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601401970):
                    {
                      unsigned int _t1436_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1436_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t1436_switch_tag)
                        {
                        case /* ing_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768843103):
                          {
                            unsigned int _t1437_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1437_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t1437_switch_tag)
                              {
                              case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                {
                                  unsigned int _t1438_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1438_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t1438_switch_tag)
                                    {
                                    case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                      {
                                        unsigned short int _t1439_switch_tag;

                                        flick_khazana_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t1439_switch_tag, unsigned short int );
                                        flick_khazana_decode_end_chunk(2);
                                        switch ((unsigned short int )_t1439_switch_tag)
                                          {
                                          case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                            {
                                              {
                                                ex4 _obj;
                                                unsigned int _t1440_principal_len;
                                                CORBA_char *_return;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t1441_storage;

                                                flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort2527);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_khazana_decode_new_chunk(6);
                                                flick_cdr_swap_decode_unsigned32(2, _t1440_principal_len, unsigned int );
                                                flick_khazana_decode_end_chunk(6);
                                                flick_khazana_decode_end_glob(40);
                                                flick_khazana_check_span(_t1440_principal_len, _flick_abort2527);
                                                flick_khazana_decode_new_glob(_t1440_principal_len);
                                                flick_khazana_decode_new_chunk(_t1440_principal_len);
                                                flick_khazana_decode_end_chunk(_t1440_principal_len);
                                                flick_khazana_decode_end_glob(_t1440_principal_len);
                                                /* Begin decode phase on parameters */
                                                _return = 0;
                                                _ev = (CORBA_Environment *)(&_t1441_storage);
                                                flick_khazana_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                _return = ex4__get_string_attribute(_obj, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_khazana_server_start_encode();
                                                {
                                                  flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort2527);
                                                  flick_khazana_encode_new_glob(8, _flick_abort2527);
                                                  flick_khazana_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_khazana_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        flick_unsigned32_t _t1443_temp_string_len;

                                                        flick_cdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t1443_temp_string_len);

                                                        /* Begin encode phase on parameters */
                                                        flick_khazana_encode_new_chunk(4);
                                                        flick_cdr_encode_unsigned32(0, _t1443_temp_string_len, flick_unsigned32_t );
                                                        flick_khazana_encode_end_chunk(4);
                                                        flick_khazana_encode_end_glob(8);
                                                        flick_khazana_encode_new_glob(1 * _t1443_temp_string_len, _flick_abort2534);
                                                        flick_khazana_encode_new_chunk(1 * _t1443_temp_string_len);
                                                        flick_cdr_encode_bcopy(0, _return, 1 * _t1443_temp_string_len);
                                                        CORBA_flick_free(_return);
                                                        _return = 0;
                                                        flick_khazana_encode_end_chunk(1 * _t1443_temp_string_len);
                                                        flick_khazana_encode_end_glob(1 * _t1443_temp_string_len);
                                                        break;
                                                        {
                                                        _flick_abort2534:
                                                          goto _flick_abort2527;
                                                        }
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_khazana_encode_end_glob(8);
                                                        flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2537);
                                                        break;
                                                        {
                                                        _flick_abort2537:
                                                          goto _flick_abort2527;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2538);
                                                        flick_khazana_encode_end_glob(8);
                                                        break;
                                                        {
                                                        _flick_abort2538:
                                                          goto _flick_abort2527;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_khazana_server_end_encode();
                                                break;
                                                {
                                                _flick_abort2527:
                                                  goto _flick_abort2526;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort2526:
                                                goto _flick_abort1493;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                              flick_khazana_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _dou */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600417653):
                    {
                      unsigned int _t1444_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1444_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t1444_switch_tag)
                        {
                        case /* ble_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651271007):
                          {
                            unsigned int _t1445_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1445_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t1445_switch_tag)
                              {
                              case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                {
                                  unsigned int _t1446_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1446_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t1446_switch_tag)
                                    {
                                    case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                      {
                                        unsigned short int _t1447_switch_tag;

                                        flick_khazana_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t1447_switch_tag, unsigned short int );
                                        flick_khazana_decode_end_chunk(2);
                                        switch ((unsigned short int )_t1447_switch_tag)
                                          {
                                          case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                            {
                                              {
                                                ex4 _obj;
                                                unsigned int _t1448_principal_len;
                                                CORBA_double _return;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t1449_storage;

                                                flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort2540);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_khazana_decode_new_chunk(6);
                                                flick_cdr_swap_decode_unsigned32(2, _t1448_principal_len, unsigned int );
                                                flick_khazana_decode_end_chunk(6);
                                                flick_khazana_decode_end_glob(40);
                                                flick_khazana_check_span(_t1448_principal_len, _flick_abort2540);
                                                flick_khazana_decode_new_glob(_t1448_principal_len);
                                                flick_khazana_decode_new_chunk(_t1448_principal_len);
                                                flick_khazana_decode_end_chunk(_t1448_principal_len);
                                                flick_khazana_decode_end_glob(_t1448_principal_len);
                                                /* Begin decode phase on parameters */
                                                _return = 0.000000;
                                                _ev = (CORBA_Environment *)(&_t1449_storage);
                                                flick_khazana_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                _return = ex4__get_double_attribute(_obj, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_khazana_server_start_encode();
                                                {
                                                  flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort2540);
                                                  flick_khazana_encode_new_glob(16, _flick_abort2540);
                                                  flick_khazana_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_khazana_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_khazana_encode_new_chunk_align(8, 3, 2, 0);
                                                        flick_cdr_encode_float64(0, _return, CORBA_double );
                                                        flick_khazana_encode_end_chunk(8);
                                                        flick_khazana_encode_end_glob(16);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_khazana_encode_end_glob(16);
                                                        flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2546);
                                                        break;
                                                        {
                                                        _flick_abort2546:
                                                          goto _flick_abort2540;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2547);
                                                        flick_khazana_encode_end_glob(16);
                                                        break;
                                                        {
                                                        _flick_abort2547:
                                                          goto _flick_abort2540;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_khazana_server_end_encode();
                                                break;
                                                {
                                                _flick_abort2540:
                                                  goto _flick_abort2539;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort2539:
                                                goto _flick_abort1493;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                              flick_khazana_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                      flick_khazana_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t1450_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t1450_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t1450_switch_tag)
                  {
                  case /* _str */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601401970):
                    {
                      unsigned int _t1451_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1451_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t1451_switch_tag)
                        {
                        case /* ing_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768843103):
                          {
                            unsigned int _t1452_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1452_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t1452_switch_tag)
                              {
                              case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                {
                                  unsigned int _t1453_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1453_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t1453_switch_tag)
                                    {
                                    case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                      {
                                        unsigned short int _t1454_switch_tag;

                                        flick_khazana_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t1454_switch_tag, unsigned short int );
                                        flick_khazana_decode_end_chunk(2);
                                        switch ((unsigned short int )_t1454_switch_tag)
                                          {
                                          case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                            {
                                              {
                                                ex4 _obj;
                                                unsigned int _t1455_principal_len;
                                                CORBA_char *_local_string_attribute;
                                                flick_unsigned32_t _t1456_temp_string_len;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t1457_storage;

                                                flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort2549);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_khazana_decode_new_chunk(6);
                                                flick_cdr_swap_decode_unsigned32(2, _t1455_principal_len, unsigned int );
                                                flick_khazana_decode_end_chunk(6);
                                                flick_khazana_decode_end_glob(40);
                                                flick_khazana_check_span(_t1455_principal_len, _flick_abort2549);
                                                flick_khazana_decode_new_glob(_t1455_principal_len);
                                                flick_khazana_decode_new_chunk(_t1455_principal_len);
                                                flick_khazana_decode_end_chunk(_t1455_principal_len);
                                                flick_khazana_decode_end_glob(_t1455_principal_len);
                                                /* Begin decode phase on parameters */
                                                flick_khazana_decode_new_glob(7);
                                                flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                                                flick_khazana_check_span(4, _flick_abort2549);
                                                flick_cdr_swap_decode_unsigned32(0, _t1456_temp_string_len, flick_unsigned32_t );
                                                flick_khazana_decode_end_chunk(4);
                                                flick_khazana_decode_end_glob(7);
                                                flick_khazana_decode_new_glob(1 * _t1456_temp_string_len);
                                                flick_khazana_check_span(1 * _t1456_temp_string_len, _flick_abort2549);
                                                flick_khazana_decode_new_chunk(1 * _t1456_temp_string_len);
                                                flick_cdr_swap_decode_msgptr(0, _local_string_attribute, CORBA_char *);
                                                flick_khazana_decode_end_chunk(1 * _t1456_temp_string_len);
                                                flick_khazana_decode_end_glob(1 * _t1456_temp_string_len);
                                                _ev = (CORBA_Environment *)(&_t1457_storage);
                                                flick_khazana_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                ex4__set_string_attribute(_obj, _local_string_attribute, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_khazana_server_start_encode();
                                                {
                                                  flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort2549);
                                                  flick_khazana_encode_new_glob(4, _flick_abort2549);
                                                  flick_khazana_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_khazana_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_khazana_encode_end_glob(4);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_khazana_encode_end_glob(4);
                                                        flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2557);
                                                        break;
                                                        {
                                                        _flick_abort2557:
                                                          goto _flick_abort2549;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2558);
                                                        flick_khazana_encode_end_glob(4);
                                                        break;
                                                        {
                                                        _flick_abort2558:
                                                          goto _flick_abort2549;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_khazana_server_end_encode();
                                                break;
                                                {
                                                _flick_abort2549:
                                                  goto _flick_abort2548;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort2548:
                                                goto _flick_abort1493;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                              flick_khazana_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _dou */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600417653):
                    {
                      unsigned int _t1458_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1458_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t1458_switch_tag)
                        {
                        case /* ble_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651271007):
                          {
                            unsigned int _t1459_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1459_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t1459_switch_tag)
                              {
                              case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                {
                                  unsigned int _t1460_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1460_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t1460_switch_tag)
                                    {
                                    case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                      {
                                        unsigned short int _t1461_switch_tag;

                                        flick_khazana_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t1461_switch_tag, unsigned short int );
                                        flick_khazana_decode_end_chunk(2);
                                        switch ((unsigned short int )_t1461_switch_tag)
                                          {
                                          case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                            {
                                              {
                                                ex4 _obj;
                                                unsigned int _t1462_principal_len;
                                                CORBA_double _local_double_attribute;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t1463_storage;

                                                flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort2560);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_khazana_decode_new_chunk(6);
                                                flick_cdr_swap_decode_unsigned32(2, _t1462_principal_len, unsigned int );
                                                flick_khazana_decode_end_chunk(6);
                                                flick_khazana_decode_end_glob(40);
                                                flick_khazana_check_span(_t1462_principal_len, _flick_abort2560);
                                                flick_khazana_decode_new_glob(_t1462_principal_len);
                                                flick_khazana_decode_new_chunk(_t1462_principal_len);
                                                flick_khazana_decode_end_chunk(_t1462_principal_len);
                                                flick_khazana_decode_end_glob(_t1462_principal_len);
                                                /* Begin decode phase on parameters */
                                                flick_khazana_decode_new_glob(15);
                                                flick_khazana_decode_new_chunk_align(8, 3, 0, 0);
                                                flick_khazana_check_span(8, _flick_abort2560);
                                                flick_cdr_swap_decode_float64(0, _local_double_attribute, CORBA_double );
                                                _ev = (CORBA_Environment *)(&_t1463_storage);
                                                flick_khazana_decode_end_chunk(8);
                                                flick_khazana_decode_end_glob(15);
                                                flick_khazana_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                ex4__set_double_attribute(_obj, _local_double_attribute, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_khazana_server_start_encode();
                                                {
                                                  flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort2560);
                                                  flick_khazana_encode_new_glob(4, _flick_abort2560);
                                                  flick_khazana_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_khazana_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_khazana_encode_end_glob(4);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_khazana_encode_end_glob(4);
                                                        flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2566);
                                                        break;
                                                        {
                                                        _flick_abort2566:
                                                          goto _flick_abort2560;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2567);
                                                        flick_khazana_encode_end_glob(4);
                                                        break;
                                                        {
                                                        _flick_abort2567:
                                                          goto _flick_abort2560;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_khazana_server_end_encode();
                                                break;
                                                {
                                                _flick_abort2560:
                                                  goto _flick_abort2559;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort2559:
                                                goto _flick_abort1493;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                              flick_khazana_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                      flick_khazana_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                flick_khazana_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 4:
        {
          unsigned int _t1464_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t1464_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t1464_switch_tag)
            {
            case /* op7 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869625088):
              {
                {
                  ex4 _obj;
                  unsigned int _t1465_principal_len;
                  CORBA_char _return;
                  CORBA_char _local_c;
                  CORBA_boolean *_local_b;
                  CORBA_boolean _t1466_storage;
                  CORBA_octet *_local_o;
                  CORBA_octet _t1467_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t1468_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort2569);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t1465_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(40);
                  flick_khazana_check_span(_t1465_principal_len + 2, _flick_abort2569);
                  flick_khazana_decode_new_glob(_t1465_principal_len);
                  flick_khazana_decode_new_chunk(_t1465_principal_len);
                  flick_khazana_decode_end_chunk(_t1465_principal_len);
                  flick_khazana_decode_end_glob(_t1465_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_khazana_decode_new_glob(2);
                  flick_khazana_decode_new_chunk(2);
                  flick_cdr_swap_decode_char8(0, _local_c, CORBA_char );
                  _local_b = (CORBA_boolean *)(&_t1466_storage);
                  _local_o = (CORBA_octet *)(&_t1467_storage);
                  flick_cdr_swap_decode_unsigned8(1, *_local_o, CORBA_octet );
                  _ev = (CORBA_Environment *)(&_t1468_storage);
                  flick_khazana_decode_end_chunk(2);
                  flick_khazana_decode_end_glob(2);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex4_op7(_obj, _local_c, _local_b, _local_o, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort2569);
                    flick_khazana_encode_new_glob(7, _flick_abort2569);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(3);
                          flick_cdr_encode_char8(0, _return, CORBA_char );
                          flick_cdr_encode_unsigned8(1, *_local_b, CORBA_boolean );
                          flick_cdr_encode_unsigned8(2, *_local_o, CORBA_octet );
                          flick_khazana_encode_end_chunk(3);
                          flick_khazana_encode_end_glob(7);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(7);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2575);
                          break;
                          {
                          _flick_abort2575:
                            goto _flick_abort2569;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2576);
                          flick_khazana_encode_end_glob(7);
                          break;
                          {
                          _flick_abort2576:
                            goto _flick_abort2569;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort2569:
                    goto _flick_abort2568;
                  }
                }
                break;
                {
                _flick_abort2568:
                  goto _flick_abort1493;
                }
              }
            case /* op8 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869625344):
              {
                {
                  ex4 _obj;
                  unsigned int _t1469_principal_len;
                  CORBA_boolean _return;
                  CORBA_boolean *_local_b;
                  CORBA_boolean _t1470_storage;
                  CORBA_octet _local_o;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t1471_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort2578);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t1469_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(40);
                  flick_khazana_check_span(_t1469_principal_len + 1, _flick_abort2578);
                  flick_khazana_decode_new_glob(_t1469_principal_len);
                  flick_khazana_decode_new_chunk(_t1469_principal_len);
                  flick_khazana_decode_end_chunk(_t1469_principal_len);
                  flick_khazana_decode_end_glob(_t1469_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  _local_b = (CORBA_boolean *)(&_t1470_storage);
                  flick_khazana_decode_new_glob(1);
                  flick_khazana_decode_new_chunk(1);
                  flick_cdr_swap_decode_unsigned8(0, _local_o, CORBA_octet );
                  _ev = (CORBA_Environment *)(&_t1471_storage);
                  flick_khazana_decode_end_chunk(1);
                  flick_khazana_decode_end_glob(1);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex4_op8(_obj, _local_b, _local_o, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort2578);
                    flick_khazana_encode_new_glob(6, _flick_abort2578);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(2);
                          flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                          flick_cdr_encode_unsigned8(1, *_local_b, CORBA_boolean );
                          flick_khazana_encode_end_chunk(2);
                          flick_khazana_encode_end_glob(6);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(6);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2584);
                          break;
                          {
                          _flick_abort2584:
                            goto _flick_abort2578;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2585);
                          flick_khazana_encode_end_glob(6);
                          break;
                          {
                          _flick_abort2585:
                            goto _flick_abort2578;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort2578:
                    goto _flick_abort2577;
                  }
                }
                break;
                {
                _flick_abort2577:
                  goto _flick_abort1493;
                }
              }
            case /* op9 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869625600):
              {
                {
                  ex4 _obj;
                  unsigned int _t1472_principal_len;
                  CORBA_octet _return;
                  CORBA_octet *_local_o;
                  CORBA_octet _t1473_storage;
                  CORBA_char **_local_s;
                  CORBA_char *_t1474_storage;
                  CORBA_char *_local_ls;
                  flick_unsigned32_t _t1475_temp_string_len;
                  CORBA_long *_local_l;
                  CORBA_long _t1476_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t1477_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort2587);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t1472_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(40);
                  flick_khazana_check_span(_t1472_principal_len + 1, _flick_abort2587);
                  flick_khazana_decode_new_glob(_t1472_principal_len);
                  flick_khazana_decode_new_chunk(_t1472_principal_len);
                  flick_khazana_decode_end_chunk(_t1472_principal_len);
                  flick_khazana_decode_end_glob(_t1472_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  _local_o = (CORBA_octet *)(&_t1473_storage);
                  flick_khazana_decode_new_glob(26);
                  flick_khazana_decode_new_chunk(1);
                  flick_cdr_swap_decode_unsigned8(0, *_local_o, CORBA_octet );
                  _local_s = (CORBA_char **)(&_t1474_storage);
                  flick_khazana_decode_end_chunk(1);
                  flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                  flick_khazana_check_span(4, _flick_abort2587);
                  flick_cdr_swap_decode_unsigned32(0, _t1475_temp_string_len, flick_unsigned32_t );
                  if (_t1475_temp_string_len > 11)
                    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort2587);
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_check_span(1 * _t1475_temp_string_len, _flick_abort2587);
                  flick_khazana_decode_new_chunk(1 * _t1475_temp_string_len);
                  flick_cdr_swap_decode_msgptr(0, _local_ls, CORBA_char *);
                  flick_khazana_decode_end_chunk(1 * _t1475_temp_string_len);
                  _local_l = (CORBA_long *)(&_t1476_storage);
                  flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                  flick_khazana_check_span(4, _flick_abort2587);
                  flick_cdr_swap_decode_signed32(0, *_local_l, CORBA_long );
                  _ev = (CORBA_Environment *)(&_t1477_storage);
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(26);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex4_op9(_obj, _local_o, _local_s, _local_ls, _local_l, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort2587);
                    flick_khazana_encode_new_glob(12, _flick_abort2587);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          flick_unsigned32_t _t1479_temp_string_len;

                          flick_cdr_stringlen(CORBA_char *, *_local_s, flick_unsigned32_t , _t1479_temp_string_len);

                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(8);
                          flick_cdr_encode_unsigned8(0, _return, CORBA_octet );
                          flick_cdr_encode_unsigned8(1, *_local_o, CORBA_octet );
                          flick_cdr_encode_unsigned32(4, _t1479_temp_string_len, flick_unsigned32_t );
                          flick_khazana_encode_end_chunk(8);
                          flick_khazana_encode_end_glob(12);
                          flick_khazana_encode_new_glob(1 * _t1479_temp_string_len, _flick_abort2596);
                          flick_khazana_encode_new_chunk(1 * _t1479_temp_string_len);
                          flick_cdr_encode_bcopy(0, *_local_s, 1 * _t1479_temp_string_len);
                          CORBA_flick_free(*_local_s);
                          *_local_s = 0;
                          flick_khazana_encode_end_chunk(1 * _t1479_temp_string_len);
                          flick_khazana_encode_end_glob(1 * _t1479_temp_string_len);
                          flick_khazana_encode_new_glob(7, _flick_abort2596);
                          flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
                          flick_cdr_encode_signed32(0, *_local_l, CORBA_long );
                          flick_khazana_encode_end_chunk(4);
                          flick_khazana_encode_end_glob(7);
                          break;
                          {
                          _flick_abort2596:
                            goto _flick_abort2587;
                          }
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(12);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2599);
                          break;
                          {
                          _flick_abort2599:
                            goto _flick_abort2587;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2600);
                          flick_khazana_encode_end_glob(12);
                          break;
                          {
                          _flick_abort2600:
                            goto _flick_abort2587;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort2587:
                    goto _flick_abort2586;
                  }
                }
                break;
                {
                _flick_abort2586:
                  goto _flick_abort1493;
                }
              }
            case /* op0 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623296):
              {
                {
                  ex4 _obj;
                  unsigned int _t1480_principal_len;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t1481_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort2602);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t1480_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(40);
                  flick_khazana_check_span(_t1480_principal_len, _flick_abort2602);
                  flick_khazana_decode_new_glob(_t1480_principal_len);
                  flick_khazana_decode_new_chunk(_t1480_principal_len);
                  flick_khazana_decode_end_chunk(_t1480_principal_len);
                  flick_khazana_decode_end_glob(_t1480_principal_len);
                  /* Begin decode phase on parameters */
                  _ev = (CORBA_Environment *)(&_t1481_storage);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  ex4_op0(_obj, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort2602);
                    flick_khazana_encode_new_glob(4, _flick_abort2602);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_end_glob(4);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(4);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2608);
                          break;
                          {
                          _flick_abort2608:
                            goto _flick_abort2602;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2609);
                          flick_khazana_encode_end_glob(4);
                          break;
                          {
                          _flick_abort2609:
                            goto _flick_abort2602;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort2602:
                    goto _flick_abort2601;
                  }
                }
                break;
                {
                _flick_abort2601:
                  goto _flick_abort1493;
                }
              }
            case /* op1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623552):
              {
                {
                  ex4 _obj;
                  unsigned int _t1482_principal_len;
                  CORBA_float _return;
                  CORBA_float _local_f;
                  CORBA_double *_local_d;
                  CORBA_double _t1483_storage;
                  CORBA_long *_local_l;
                  CORBA_long _t1484_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t1485_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort2611);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t1482_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(40);
                  flick_khazana_check_span(_t1482_principal_len, _flick_abort2611);
                  flick_khazana_decode_new_glob(_t1482_principal_len);
                  flick_khazana_decode_new_chunk(_t1482_principal_len);
                  flick_khazana_decode_end_chunk(_t1482_principal_len);
                  flick_khazana_decode_end_glob(_t1482_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0.000000;
                  flick_khazana_decode_new_glob(11);
                  flick_khazana_decode_new_chunk_align(8, 2, 0, 0);
                  flick_khazana_check_span(8, _flick_abort2611);
                  flick_cdr_swap_decode_float32(0, _local_f, CORBA_float );
                  _local_d = (CORBA_double *)(&_t1483_storage);
                  _local_l = (CORBA_long *)(&_t1484_storage);
                  flick_cdr_swap_decode_signed32(4, *_local_l, CORBA_long );
                  _ev = (CORBA_Environment *)(&_t1485_storage);
                  flick_khazana_decode_end_chunk(8);
                  flick_khazana_decode_end_glob(11);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex4_op1(_obj, _local_f, _local_d, _local_l, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort2611);
                    flick_khazana_encode_new_glob(24, _flick_abort2611);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_float32(0, _return, CORBA_float );
                          flick_khazana_encode_end_chunk(4);
                          flick_khazana_encode_new_chunk_align(12, 3, 2, 0);
                          flick_cdr_encode_float64(0, *_local_d, CORBA_double );
                          flick_cdr_encode_signed32(8, *_local_l, CORBA_long );
                          flick_khazana_encode_end_chunk(12);
                          flick_khazana_encode_end_glob(24);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(24);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2617);
                          break;
                          {
                          _flick_abort2617:
                            goto _flick_abort2611;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2618);
                          flick_khazana_encode_end_glob(24);
                          break;
                          {
                          _flick_abort2618:
                            goto _flick_abort2611;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort2611:
                    goto _flick_abort2610;
                  }
                }
                break;
                {
                _flick_abort2610:
                  goto _flick_abort1493;
                }
              }
            case /* op2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623808):
              {
                {
                  ex4 _obj;
                  unsigned int _t1486_principal_len;
                  CORBA_double _return;
                  CORBA_double _local_d;
                  CORBA_long *_local_l;
                  CORBA_long _t1487_storage;
                  CORBA_short *_local_s;
                  CORBA_short _t1488_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t1489_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort2620);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t1486_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(40);
                  flick_khazana_check_span(_t1486_principal_len, _flick_abort2620);
                  flick_khazana_decode_new_glob(_t1486_principal_len);
                  flick_khazana_decode_new_chunk(_t1486_principal_len);
                  flick_khazana_decode_end_chunk(_t1486_principal_len);
                  flick_khazana_decode_end_glob(_t1486_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0.000000;
                  flick_khazana_decode_new_glob(17);
                  flick_khazana_decode_new_chunk_align(10, 3, 0, 0);
                  flick_khazana_check_span(10, _flick_abort2620);
                  flick_cdr_swap_decode_float64(0, _local_d, CORBA_double );
                  _local_l = (CORBA_long *)(&_t1487_storage);
                  _local_s = (CORBA_short *)(&_t1488_storage);
                  flick_cdr_swap_decode_signed16(8, *_local_s, CORBA_short );
                  _ev = (CORBA_Environment *)(&_t1489_storage);
                  flick_khazana_decode_end_chunk(10);
                  flick_khazana_decode_end_glob(17);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex4_op2(_obj, _local_d, _local_l, _local_s, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort2620);
                    flick_khazana_encode_new_glob(22, _flick_abort2620);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk_align(14, 3, 2, 0);
                          flick_cdr_encode_float64(0, _return, CORBA_double );
                          flick_cdr_encode_signed32(8, *_local_l, CORBA_long );
                          flick_cdr_encode_signed16(12, *_local_s, CORBA_short );
                          flick_khazana_encode_end_chunk(14);
                          flick_khazana_encode_end_glob(22);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(22);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2626);
                          break;
                          {
                          _flick_abort2626:
                            goto _flick_abort2620;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2627);
                          flick_khazana_encode_end_glob(22);
                          break;
                          {
                          _flick_abort2627:
                            goto _flick_abort2620;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort2620:
                    goto _flick_abort2619;
                  }
                }
                break;
                {
                _flick_abort2619:
                  goto _flick_abort1493;
                }
              }
            case /* op3 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624064):
              {
                {
                  ex4 _obj;
                  unsigned int _t1490_principal_len;
                  CORBA_long _return;
                  CORBA_long _local_l;
                  CORBA_short *_local_s;
                  CORBA_short _t1491_storage;
                  CORBA_unsigned_long *_local_ul;
                  CORBA_unsigned_long _t1492_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t1493_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort2629);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t1490_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(40);
                  flick_khazana_check_span(_t1490_principal_len, _flick_abort2629);
                  flick_khazana_decode_new_glob(_t1490_principal_len);
                  flick_khazana_decode_new_chunk(_t1490_principal_len);
                  flick_khazana_decode_end_chunk(_t1490_principal_len);
                  flick_khazana_decode_end_glob(_t1490_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_khazana_decode_new_glob(11);
                  flick_khazana_decode_new_chunk_align(8, 2, 0, 0);
                  flick_khazana_check_span(8, _flick_abort2629);
                  flick_cdr_swap_decode_signed32(0, _local_l, CORBA_long );
                  _local_s = (CORBA_short *)(&_t1491_storage);
                  _local_ul = (CORBA_unsigned_long *)(&_t1492_storage);
                  flick_cdr_swap_decode_unsigned32(4, *_local_ul, CORBA_unsigned_long );
                  _ev = (CORBA_Environment *)(&_t1493_storage);
                  flick_khazana_decode_end_chunk(8);
                  flick_khazana_decode_end_glob(11);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex4_op3(_obj, _local_l, _local_s, _local_ul, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort2629);
                    flick_khazana_encode_new_glob(16, _flick_abort2629);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(12);
                          flick_cdr_encode_signed32(0, _return, CORBA_long );
                          flick_cdr_encode_signed16(4, *_local_s, CORBA_short );
                          flick_cdr_encode_unsigned32(8, *_local_ul, CORBA_unsigned_long );
                          flick_khazana_encode_end_chunk(12);
                          flick_khazana_encode_end_glob(16);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(16);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2635);
                          break;
                          {
                          _flick_abort2635:
                            goto _flick_abort2629;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2636);
                          flick_khazana_encode_end_glob(16);
                          break;
                          {
                          _flick_abort2636:
                            goto _flick_abort2629;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort2629:
                    goto _flick_abort2628;
                  }
                }
                break;
                {
                _flick_abort2628:
                  goto _flick_abort1493;
                }
              }
            case /* op4 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624320):
              {
                {
                  ex4 _obj;
                  unsigned int _t1494_principal_len;
                  CORBA_short _return;
                  CORBA_short _local_s;
                  CORBA_unsigned_long *_local_ul;
                  CORBA_unsigned_long _t1495_storage;
                  CORBA_unsigned_short *_local_us;
                  CORBA_unsigned_short _t1496_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t1497_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort2638);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t1494_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(40);
                  flick_khazana_check_span(_t1494_principal_len, _flick_abort2638);
                  flick_khazana_decode_new_glob(_t1494_principal_len);
                  flick_khazana_decode_new_chunk(_t1494_principal_len);
                  flick_khazana_decode_end_chunk(_t1494_principal_len);
                  flick_khazana_decode_end_glob(_t1494_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_khazana_decode_new_glob(5);
                  flick_khazana_decode_new_chunk_align(4, 1, 0, 0);
                  flick_khazana_check_span(4, _flick_abort2638);
                  flick_cdr_swap_decode_signed16(0, _local_s, CORBA_short );
                  _local_ul = (CORBA_unsigned_long *)(&_t1495_storage);
                  _local_us = (CORBA_unsigned_short *)(&_t1496_storage);
                  flick_cdr_swap_decode_unsigned16(2, *_local_us, CORBA_unsigned_short );
                  _ev = (CORBA_Environment *)(&_t1497_storage);
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(5);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex4_op4(_obj, _local_s, _local_ul, _local_us, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort2638);
                    flick_khazana_encode_new_glob(14, _flick_abort2638);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(10);
                          flick_cdr_encode_signed16(0, _return, CORBA_short );
                          flick_cdr_encode_unsigned32(4, *_local_ul, CORBA_unsigned_long );
                          flick_cdr_encode_unsigned16(8, *_local_us, CORBA_unsigned_short );
                          flick_khazana_encode_end_chunk(10);
                          flick_khazana_encode_end_glob(14);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(14);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2644);
                          break;
                          {
                          _flick_abort2644:
                            goto _flick_abort2638;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2645);
                          flick_khazana_encode_end_glob(14);
                          break;
                          {
                          _flick_abort2645:
                            goto _flick_abort2638;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort2638:
                    goto _flick_abort2637;
                  }
                }
                break;
                {
                _flick_abort2637:
                  goto _flick_abort1493;
                }
              }
            case /* op5 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624576):
              {
                {
                  ex4 _obj;
                  unsigned int _t1498_principal_len;
                  CORBA_unsigned_long _return;
                  CORBA_unsigned_long *_local_ul;
                  CORBA_unsigned_long _t1499_storage;
                  CORBA_unsigned_short _local_us;
                  CORBA_char *_local_c;
                  CORBA_char _t1500_storage;
                  CORBA_boolean _local_b;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t1501_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort2647);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t1498_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(40);
                  flick_khazana_check_span(_t1498_principal_len, _flick_abort2647);
                  flick_khazana_decode_new_glob(_t1498_principal_len);
                  flick_khazana_decode_new_chunk(_t1498_principal_len);
                  flick_khazana_decode_end_chunk(_t1498_principal_len);
                  flick_khazana_decode_end_glob(_t1498_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  _local_ul = (CORBA_unsigned_long *)(&_t1499_storage);
                  flick_khazana_decode_new_glob(10);
                  flick_khazana_decode_new_chunk_align(7, 2, 0, 0);
                  flick_khazana_check_span(7, _flick_abort2647);
                  flick_cdr_swap_decode_unsigned32(0, *_local_ul, CORBA_unsigned_long );
                  flick_cdr_swap_decode_unsigned16(4, _local_us, CORBA_unsigned_short );
                  _local_c = (CORBA_char *)(&_t1500_storage);
                  flick_cdr_swap_decode_unsigned8(6, _local_b, CORBA_boolean );
                  _ev = (CORBA_Environment *)(&_t1501_storage);
                  flick_khazana_decode_end_chunk(7);
                  flick_khazana_decode_end_glob(10);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex4_op5(_obj, _local_ul, _local_us, _local_c, _local_b, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort2647);
                    flick_khazana_encode_new_glob(13, _flick_abort2647);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(9);
                          flick_cdr_encode_unsigned32(0, _return, CORBA_unsigned_long );
                          flick_cdr_encode_unsigned32(4, *_local_ul, CORBA_unsigned_long );
                          flick_cdr_encode_char8(8, *_local_c, CORBA_char );
                          flick_khazana_encode_end_chunk(9);
                          flick_khazana_encode_end_glob(13);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(13);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2653);
                          break;
                          {
                          _flick_abort2653:
                            goto _flick_abort2647;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2654);
                          flick_khazana_encode_end_glob(13);
                          break;
                          {
                          _flick_abort2654:
                            goto _flick_abort2647;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort2647:
                    goto _flick_abort2646;
                  }
                }
                break;
                {
                _flick_abort2646:
                  goto _flick_abort1493;
                }
              }
            case /* op6 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624832):
              {
                {
                  ex4 _obj;
                  unsigned int _t1502_principal_len;
                  CORBA_unsigned_short _return;
                  CORBA_unsigned_short *_local_us;
                  CORBA_unsigned_short _t1503_storage;
                  CORBA_char *_local_c;
                  CORBA_char _t1504_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t1505_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort2656);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_swap_decode_unsigned32(0, _t1502_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(40);
                  flick_khazana_check_span(_t1502_principal_len + 1, _flick_abort2656);
                  flick_khazana_decode_new_glob(_t1502_principal_len);
                  flick_khazana_decode_new_chunk(_t1502_principal_len);
                  flick_khazana_decode_end_chunk(_t1502_principal_len);
                  flick_khazana_decode_end_glob(_t1502_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  _local_us = (CORBA_unsigned_short *)(&_t1503_storage);
                  _local_c = (CORBA_char *)(&_t1504_storage);
                  flick_khazana_decode_new_glob(1);
                  flick_khazana_decode_new_chunk(1);
                  flick_cdr_swap_decode_char8(0, *_local_c, CORBA_char );
                  _ev = (CORBA_Environment *)(&_t1505_storage);
                  flick_khazana_decode_end_chunk(1);
                  flick_khazana_decode_end_glob(1);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex4_op6(_obj, _local_us, _local_c, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort2656);
                    flick_khazana_encode_new_glob(9, _flick_abort2656);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(5);
                          flick_cdr_encode_unsigned16(0, _return, CORBA_unsigned_short );
                          flick_cdr_encode_unsigned16(2, *_local_us, CORBA_unsigned_short );
                          flick_cdr_encode_char8(4, *_local_c, CORBA_char );
                          flick_khazana_encode_end_chunk(5);
                          flick_khazana_encode_end_glob(9);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(9);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2662);
                          break;
                          {
                          _flick_abort2662:
                            goto _flick_abort2656;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2663);
                          flick_khazana_encode_end_glob(9);
                          break;
                          {
                          _flick_abort2663:
                            goto _flick_abort2656;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort2656:
                    goto _flick_abort2655;
                  }
                }
                break;
                {
                _flick_abort2655:
                  goto _flick_abort1493;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                flick_khazana_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          unsigned int _t1506_switch_tag;

          flick_khazana_check_span(12, _flick_abort1493);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t1506_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t1506_switch_tag)
            {
            case /* op10 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623600):
              {
                char _t1507_switch_tag;

                flick_khazana_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t1507_switch_tag, char );
                flick_khazana_decode_end_chunk(1);
                switch ((char )_t1507_switch_tag)
                  {
                  case 0:
                    {
                      {
                        ex4 _obj;
                        unsigned int _t1508_principal_len;
                        CORBA_char *_return;
                        CORBA_char *_local_s;
                        flick_unsigned32_t _t1509_temp_string_len;
                        CORBA_char **_local_ls;
                        CORBA_char *_t1510_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t1511_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort2665);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(7);
                        flick_cdr_swap_decode_unsigned32(3, _t1508_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(7);
                        flick_khazana_decode_end_glob(40);
                        flick_khazana_check_span(_t1508_principal_len, _flick_abort2665);
                        flick_khazana_decode_new_glob(_t1508_principal_len);
                        flick_khazana_decode_new_chunk(_t1508_principal_len);
                        flick_khazana_decode_end_chunk(_t1508_principal_len);
                        flick_khazana_decode_end_glob(_t1508_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort2665);
                        flick_cdr_swap_decode_unsigned32(0, _t1509_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t1509_temp_string_len);
                        flick_khazana_check_span(1 * _t1509_temp_string_len, _flick_abort2665);
                        flick_khazana_decode_new_chunk(1 * _t1509_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_s, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t1509_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t1509_temp_string_len);
                        _local_ls = (CORBA_char **)(&_t1510_storage);
                        _ev = (CORBA_Environment *)(&_t1511_storage);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = ex4_op10(_obj, _local_s, _local_ls, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort2665);
                          flick_khazana_encode_new_glob(8, _flick_abort2665);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                flick_unsigned32_t _t1514_temp_string_len;
                                flick_unsigned32_t _t1515_temp_string_len;

                                flick_cdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t1514_temp_string_len);
                                flick_cdr_stringlen(CORBA_char *, *_local_ls, flick_unsigned32_t , _t1515_temp_string_len);

                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_unsigned32(0, _t1514_temp_string_len, flick_unsigned32_t );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(8);
                                flick_khazana_encode_new_glob(1 * _t1514_temp_string_len, _flick_abort2676);
                                flick_khazana_encode_new_chunk(1 * _t1514_temp_string_len);
                                flick_cdr_encode_bcopy(0, _return, 1 * _t1514_temp_string_len);
                                CORBA_flick_free(_return);
                                _return = 0;
                                flick_khazana_encode_end_chunk(1 * _t1514_temp_string_len);
                                flick_khazana_encode_end_glob(1 * _t1514_temp_string_len);
                                flick_khazana_encode_new_glob(18, _flick_abort2676);
                                flick_khazana_encode_new_chunk_align(4 + 1 * _t1515_temp_string_len, 2, 0, 0);
                                flick_cdr_encode_unsigned32(0, _t1515_temp_string_len, flick_unsigned32_t );
                                if (_t1515_temp_string_len > 11)
                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort2676);
                                flick_cdr_encode_bcopy(4, *_local_ls, 1 * _t1515_temp_string_len);
                                CORBA_flick_free(*_local_ls);
                                *_local_ls = 0;
                                flick_khazana_encode_end_chunk(4 + 1 * _t1515_temp_string_len);
                                flick_khazana_encode_end_glob(18);
                                break;
                                {
                                _flick_abort2676:
                                  goto _flick_abort2665;
                                }
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2681);
                                break;
                                {
                                _flick_abort2681:
                                  goto _flick_abort2665;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2682);
                                flick_khazana_encode_end_glob(8);
                                break;
                                {
                                _flick_abort2682:
                                  goto _flick_abort2665;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort2665:
                          goto _flick_abort2664;
                        }
                      }
                      break;
                      {
                      _flick_abort2664:
                        goto _flick_abort1493;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                      flick_khazana_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            case /* op11 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623601):
              {
                char _t1516_switch_tag;

                flick_khazana_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t1516_switch_tag, char );
                flick_khazana_decode_end_chunk(1);
                switch ((char )_t1516_switch_tag)
                  {
                  case 0:
                    {
                      {
                        ex4 _obj;
                        unsigned int _t1517_principal_len;
                        CORBA_char *_return;
                        CORBA_char **_local_ls;
                        CORBA_char *_t1518_storage;
                        flick_unsigned32_t _t1519_temp_string_len;
                        CORBA_long *_local_l;
                        CORBA_long _t1520_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t1521_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort2684);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(7);
                        flick_cdr_swap_decode_unsigned32(3, _t1517_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(7);
                        flick_khazana_decode_end_glob(40);
                        flick_khazana_check_span(_t1517_principal_len, _flick_abort2684);
                        flick_khazana_decode_new_glob(_t1517_principal_len);
                        flick_khazana_decode_new_chunk(_t1517_principal_len);
                        flick_khazana_decode_end_chunk(_t1517_principal_len);
                        flick_khazana_decode_end_glob(_t1517_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        _local_ls = (CORBA_char **)(&_t1518_storage);
                        flick_khazana_decode_new_glob(18);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort2684);
                        flick_cdr_swap_decode_unsigned32(0, _t1519_temp_string_len, flick_unsigned32_t );
                        if (_t1519_temp_string_len > 11)
                          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort2684);
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_check_span(1 * _t1519_temp_string_len, _flick_abort2684);
                        flick_khazana_decode_new_chunk(1 * _t1519_temp_string_len);
                        {
                          CORBA_char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(11 * sizeof(CORBA_char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort2684);
                          *_local_ls = _t_alloc_ptr;
                        }
                        flick_cdr_swap_decode_bcopy(0, *_local_ls, 1 * _t1519_temp_string_len);
                        flick_khazana_decode_end_chunk(1 * _t1519_temp_string_len);
                        _local_l = (CORBA_long *)(&_t1520_storage);
                        _ev = (CORBA_Environment *)(&_t1521_storage);
                        flick_khazana_decode_end_glob(18);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = ex4_op11(_obj, _local_ls, _local_l, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort2687);
                          flick_khazana_encode_new_glob(44, _flick_abort2687);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                flick_unsigned32_t _t1524_temp_string_len;
                                flick_unsigned32_t _t1525_temp_string_len;

                                flick_cdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t1524_temp_string_len);
                                flick_cdr_stringlen(CORBA_char *, *_local_ls, flick_unsigned32_t , _t1525_temp_string_len);

                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4 + 1 * _t1524_temp_string_len);
                                flick_cdr_encode_unsigned32(0, _t1524_temp_string_len, flick_unsigned32_t );
                                if (_t1524_temp_string_len > 11)
                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort2696);
                                flick_cdr_encode_bcopy(4, _return, 1 * _t1524_temp_string_len);
                                CORBA_flick_free(_return);
                                _return = 0;
                                flick_khazana_encode_end_chunk(4 + 1 * _t1524_temp_string_len);
                                flick_khazana_encode_new_chunk_align(4 + 1 * _t1525_temp_string_len, 2, 0, 0);
                                flick_cdr_encode_unsigned32(0, _t1525_temp_string_len, flick_unsigned32_t );
                                if (_t1525_temp_string_len > 11)
                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort2696);
                                flick_cdr_encode_bcopy(4, *_local_ls, 1 * _t1525_temp_string_len);
                                CORBA_flick_free(*_local_ls);
                                *_local_ls = 0;
                                flick_khazana_encode_end_chunk(4 + 1 * _t1525_temp_string_len);
                                flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
                                flick_cdr_encode_signed32(0, *_local_l, CORBA_long );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(44);
                                break;
                                {
                                _flick_abort2696:
                                  goto _flick_abort2687;
                                }
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(44);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2701);
                                break;
                                {
                                _flick_abort2701:
                                  goto _flick_abort2687;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2702);
                                flick_khazana_encode_end_glob(44);
                                break;
                                {
                                _flick_abort2702:
                                  goto _flick_abort2687;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort2687:
                          CORBA_flick_free(*_local_ls);
                        _flick_abort2684:
                          goto _flick_abort2683;
                        }
                      }
                      break;
                      {
                      _flick_abort2683:
                        goto _flick_abort1493;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                      flick_khazana_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            case /* op12 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623602):
              {
                char _t1526_switch_tag;

                flick_khazana_decode_new_chunk(1);
                flick_cdr_swap_decode_char8(0, _t1526_switch_tag, char );
                flick_khazana_decode_end_chunk(1);
                switch ((char )_t1526_switch_tag)
                  {
                  case 0:
                    {
                      {
                        ex4 _obj;
                        unsigned int _t1527_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_l;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t1528_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort2704);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(7);
                        flick_cdr_swap_decode_unsigned32(3, _t1527_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(7);
                        flick_khazana_decode_end_glob(40);
                        flick_khazana_check_span(_t1527_principal_len, _flick_abort2704);
                        flick_khazana_decode_new_glob(_t1527_principal_len);
                        flick_khazana_decode_new_chunk(_t1527_principal_len);
                        flick_khazana_decode_end_chunk(_t1527_principal_len);
                        flick_khazana_decode_end_glob(_t1527_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort2704);
                        flick_cdr_swap_decode_signed32(0, _local_l, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t1528_storage);
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = ex4_op12(_obj, _local_l, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort2704);
                          flick_khazana_encode_new_glob(8, _flick_abort2704);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2710);
                                break;
                                {
                                _flick_abort2710:
                                  goto _flick_abort2704;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2711);
                                flick_khazana_encode_end_glob(8);
                                break;
                                {
                                _flick_abort2711:
                                  goto _flick_abort2704;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort2704:
                          goto _flick_abort2703;
                        }
                      }
                      break;
                      {
                      _flick_abort2703:
                        goto _flick_abort1493;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                      flick_khazana_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                flick_khazana_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 29:
        {
          unsigned int _t1529_switch_tag;

          flick_khazana_check_span(36, _flick_abort1493);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t1529_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t1529_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t1530_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t1530_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t1530_switch_tag)
                  {
                  case /* _uns */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601531507):
                    {
                      unsigned int _t1531_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1531_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t1531_switch_tag)
                        {
                        case /* igne */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768386149):
                          {
                            unsigned int _t1532_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1532_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t1532_switch_tag)
                              {
                              case /* d_lo */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1683975279):
                                {
                                  unsigned int _t1533_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1533_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t1533_switch_tag)
                                    {
                                    case /* ng_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1852268385):
                                      {
                                        unsigned int _t1534_switch_tag;

                                        flick_khazana_decode_new_chunk(4);
                                        flick_cdr_decode_unsigned32(0, _t1534_switch_tag, unsigned int );
                                        flick_khazana_decode_end_chunk(4);
                                        switch ((unsigned int )_t1534_switch_tag)
                                          {
                                          case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                            {
                                              unsigned int _t1535_switch_tag;

                                              flick_khazana_decode_new_chunk(4);
                                              flick_cdr_decode_unsigned32(0, _t1535_switch_tag, unsigned int );
                                              flick_khazana_decode_end_chunk(4);
                                              switch ((unsigned int )_t1535_switch_tag)
                                                {
                                                case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                                  {
                                                    char _t1536_switch_tag;

                                                    flick_khazana_decode_new_chunk(1);
                                                    flick_cdr_swap_decode_char8(0, _t1536_switch_tag, char );
                                                    flick_khazana_decode_end_chunk(1);
                                                    switch ((char )_t1536_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            ex4 _obj;
                                                            unsigned int _t1537_principal_len;
                                                            CORBA_unsigned_long _return;
                                                            CORBA_Environment *_ev;
                                                            CORBA_Environment _t1538_storage;

                                                            flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort2713);
                                                            /* Decode the requesting `Principal' pseudo object (client ID). */
                                                            flick_khazana_decode_new_chunk(7);
                                                            flick_cdr_swap_decode_unsigned32(3, _t1537_principal_len, unsigned int );
                                                            flick_khazana_decode_end_chunk(7);
                                                            flick_khazana_decode_end_glob(40);
                                                            flick_khazana_check_span(_t1537_principal_len, _flick_abort2713);
                                                            flick_khazana_decode_new_glob(_t1537_principal_len);
                                                            flick_khazana_decode_new_chunk(_t1537_principal_len);
                                                            flick_khazana_decode_end_chunk(_t1537_principal_len);
                                                            flick_khazana_decode_end_glob(_t1537_principal_len);
                                                            /* Begin decode phase on parameters */
                                                            _return = 0;
                                                            _ev = (CORBA_Environment *)(&_t1538_storage);
                                                            flick_khazana_server_end_decode();
                                                            flick_corba_init_environment();
                                                            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                            _return = ex4__get_unsigned_long_attribute(_obj, _ev);
                                                            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                            _stub_state.state = FLICK_STATE_MARSHAL;
                                                            flick_khazana_server_start_encode();
                                                            {
                                                              flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort2713);
                                                              flick_khazana_encode_new_glob(8, _flick_abort2713);
                                                              flick_khazana_encode_new_chunk(4);
                                                              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                              flick_khazana_encode_end_chunk(4);
                                                              switch (_ev->_major)
                                                                {
                                                                case CORBA_NO_EXCEPTION:
                                                                  {
                                                                    /* Begin encode phase on parameters */
                                                                    flick_khazana_encode_new_chunk(4);
                                                                    flick_cdr_encode_unsigned32(0, _return, CORBA_unsigned_long );
                                                                    flick_khazana_encode_end_chunk(4);
                                                                    flick_khazana_encode_end_glob(8);
                                                                    break;
                                                                  }
                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                  {
                                                                    flick_khazana_encode_end_glob(8);
                                                                    flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2719);
                                                                    break;
                                                                    {
                                                                    _flick_abort2719:
                                                                      goto _flick_abort2713;
                                                                    }
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2720);
                                                                    flick_khazana_encode_end_glob(8);
                                                                    break;
                                                                    {
                                                                    _flick_abort2720:
                                                                      goto _flick_abort2713;
                                                                    }
                                                                  }
                                                                }
                                                            }
                                                            flick_khazana_server_end_encode();
                                                            break;
                                                            {
                                                            _flick_abort2713:
                                                              goto _flick_abort2712;
                                                            }
                                                          }
                                                          break;
                                                          {
                                                          _flick_abort2712:
                                                            goto _flick_abort1493;
                                                          }
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                                          flick_khazana_decode_end_glob(40);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                                    flick_khazana_decode_end_glob(40);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                              flick_khazana_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                      flick_khazana_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                flick_khazana_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t1539_switch_tag;

          flick_khazana_check_span(12, _flick_abort1493);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t1539_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t1539_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t1540_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t1540_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t1540_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t1541_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t1542_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t1543_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr_swap, _flick_abort2722);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_swap_decode_unsigned32(2, _t1541_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(40);
                        flick_khazana_check_span(_t1541_principal_len, _flick_abort2722);
                        flick_khazana_decode_new_glob(_t1541_principal_len);
                        flick_khazana_decode_new_chunk(_t1541_principal_len);
                        flick_khazana_decode_end_chunk(_t1541_principal_len);
                        flick_khazana_decode_end_glob(_t1541_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort2722);
                        flick_cdr_swap_decode_unsigned32(0, _t1542_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t1542_temp_string_len);
                        flick_khazana_check_span(1 * _t1542_temp_string_len, _flick_abort2722);
                        flick_khazana_decode_new_chunk(1 * _t1542_temp_string_len);
                        flick_cdr_swap_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t1542_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t1542_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t1543_storage);
                        _par = flick_interface_parents_ex4;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort2722);
                          flick_khazana_encode_new_glob(5, _flick_abort2722);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2730);
                                break;
                                {
                                _flick_abort2730:
                                  goto _flick_abort2722;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2731);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort2731:
                                  goto _flick_abort2722;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort2722:
                          goto _flick_abort2721;
                        }
                      }
                      break;
                      {
                      _flick_abort2721:
                        goto _flick_abort1493;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                      flick_khazana_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                flick_khazana_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
          flick_khazana_decode_end_glob(40);
          break;
        }
      }
  }
  } else {
  {
    unsigned int _t956_switch_tag;

    flick_khazana_decode_new_glob(40);
    flick_khazana_check_span(12, _flick_abort1493);
    flick_khazana_decode_new_chunk(4);
    flick_cdr_decode_unsigned32(0, _t956_switch_tag, unsigned int );
    flick_khazana_decode_end_chunk(4);
    switch ((unsigned int )_t956_switch_tag)
      {
      case (unsigned int) 30:
        {
          unsigned int _t957_switch_tag;

          flick_khazana_check_span(36, _flick_abort1493);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t957_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t957_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t958_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t958_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t958_switch_tag)
                  {
                  case /* _uns */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601531507):
                    {
                      unsigned int _t959_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t959_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t959_switch_tag)
                        {
                        case /* igne */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768386149):
                          {
                            unsigned int _t960_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t960_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t960_switch_tag)
                              {
                              case /* d_sh */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1683977064):
                                {
                                  unsigned int _t961_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t961_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t961_switch_tag)
                                    {
                                    case /* ort_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869771871):
                                      {
                                        unsigned int _t962_switch_tag;

                                        flick_khazana_decode_new_chunk(4);
                                        flick_cdr_decode_unsigned32(0, _t962_switch_tag, unsigned int );
                                        flick_khazana_decode_end_chunk(4);
                                        switch ((unsigned int )_t962_switch_tag)
                                          {
                                          case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                            {
                                              unsigned int _t963_switch_tag;

                                              flick_khazana_decode_new_chunk(4);
                                              flick_cdr_decode_unsigned32(0, _t963_switch_tag, unsigned int );
                                              flick_khazana_decode_end_chunk(4);
                                              switch ((unsigned int )_t963_switch_tag)
                                                {
                                                case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                                  {
                                                    unsigned short int _t964_switch_tag;

                                                    flick_khazana_decode_new_chunk(2);
                                                    flick_cdr_decode_unsigned16(0, _t964_switch_tag, unsigned short int );
                                                    flick_khazana_decode_end_chunk(2);
                                                    switch ((unsigned short int )_t964_switch_tag)
                                                      {
                                                      case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                                        {
                                                          {
                                                            ex4 _obj;
                                                            unsigned int _t965_principal_len;
                                                            CORBA_unsigned_short _return;
                                                            CORBA_Environment *_ev;
                                                            CORBA_Environment _t966_storage;

                                                            flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1805);
                                                            /* Decode the requesting `Principal' pseudo object (client ID). */
                                                            flick_khazana_decode_new_chunk(6);
                                                            flick_cdr_decode_unsigned32(2, _t965_principal_len, unsigned int );
                                                            flick_khazana_decode_end_chunk(6);
                                                            flick_khazana_decode_end_glob(40);
                                                            flick_khazana_check_span(_t965_principal_len, _flick_abort1805);
                                                            flick_khazana_decode_new_glob(_t965_principal_len);
                                                            flick_khazana_decode_new_chunk(_t965_principal_len);
                                                            flick_khazana_decode_end_chunk(_t965_principal_len);
                                                            flick_khazana_decode_end_glob(_t965_principal_len);
                                                            /* Begin decode phase on parameters */
                                                            _return = 0;
                                                            _ev = (CORBA_Environment *)(&_t966_storage);
                                                            flick_khazana_server_end_decode();
                                                            flick_corba_init_environment();
                                                            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                            _return = ex4__get_unsigned_short_attribute(_obj, _ev);
                                                            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                            _stub_state.state = FLICK_STATE_MARSHAL;
                                                            flick_khazana_server_start_encode();
                                                            {
                                                              flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1805);
                                                              flick_khazana_encode_new_glob(6, _flick_abort1805);
                                                              flick_khazana_encode_new_chunk(4);
                                                              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                              flick_khazana_encode_end_chunk(4);
                                                              switch (_ev->_major)
                                                                {
                                                                case CORBA_NO_EXCEPTION:
                                                                  {
                                                                    /* Begin encode phase on parameters */
                                                                    flick_khazana_encode_new_chunk(2);
                                                                    flick_cdr_encode_unsigned16(0, _return, CORBA_unsigned_short );
                                                                    flick_khazana_encode_end_chunk(2);
                                                                    flick_khazana_encode_end_glob(6);
                                                                    break;
                                                                  }
                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                  {
                                                                    flick_khazana_encode_end_glob(6);
                                                                    flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1811);
                                                                    break;
                                                                    {
                                                                    _flick_abort1811:
                                                                      goto _flick_abort1805;
                                                                    }
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1812);
                                                                    flick_khazana_encode_end_glob(6);
                                                                    break;
                                                                    {
                                                                    _flick_abort1812:
                                                                      goto _flick_abort1805;
                                                                    }
                                                                  }
                                                                }
                                                            }
                                                            flick_khazana_server_end_encode();
                                                            break;
                                                            {
                                                            _flick_abort1805:
                                                              goto _flick_abort1804;
                                                            }
                                                          }
                                                          break;
                                                          {
                                                          _flick_abort1804:
                                                            goto _flick_abort1493;
                                                          }
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                                          flick_khazana_decode_end_glob(40);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                                    flick_khazana_decode_end_glob(40);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                              flick_khazana_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _lim */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600940397):
                    {
                      unsigned int _t967_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t967_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t967_switch_tag)
                        {
                        case /* ited */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1769235812):
                          {
                            unsigned int _t968_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t968_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t968_switch_tag)
                              {
                              case /* _str */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601401970):
                                {
                                  unsigned int _t969_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t969_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t969_switch_tag)
                                    {
                                    case /* ing_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768843103):
                                      {
                                        unsigned int _t970_switch_tag;

                                        flick_khazana_decode_new_chunk(4);
                                        flick_cdr_decode_unsigned32(0, _t970_switch_tag, unsigned int );
                                        flick_khazana_decode_end_chunk(4);
                                        switch ((unsigned int )_t970_switch_tag)
                                          {
                                          case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                            {
                                              unsigned int _t971_switch_tag;

                                              flick_khazana_decode_new_chunk(4);
                                              flick_cdr_decode_unsigned32(0, _t971_switch_tag, unsigned int );
                                              flick_khazana_decode_end_chunk(4);
                                              switch ((unsigned int )_t971_switch_tag)
                                                {
                                                case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                                  {
                                                    unsigned short int _t972_switch_tag;

                                                    flick_khazana_decode_new_chunk(2);
                                                    flick_cdr_decode_unsigned16(0, _t972_switch_tag, unsigned short int );
                                                    flick_khazana_decode_end_chunk(2);
                                                    switch ((unsigned short int )_t972_switch_tag)
                                                      {
                                                      case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                                        {
                                                          {
                                                            ex4 _obj;
                                                            unsigned int _t973_principal_len;
                                                            CORBA_char *_return;
                                                            CORBA_Environment *_ev;
                                                            CORBA_Environment _t974_storage;

                                                            flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1814);
                                                            /* Decode the requesting `Principal' pseudo object (client ID). */
                                                            flick_khazana_decode_new_chunk(6);
                                                            flick_cdr_decode_unsigned32(2, _t973_principal_len, unsigned int );
                                                            flick_khazana_decode_end_chunk(6);
                                                            flick_khazana_decode_end_glob(40);
                                                            flick_khazana_check_span(_t973_principal_len, _flick_abort1814);
                                                            flick_khazana_decode_new_glob(_t973_principal_len);
                                                            flick_khazana_decode_new_chunk(_t973_principal_len);
                                                            flick_khazana_decode_end_chunk(_t973_principal_len);
                                                            flick_khazana_decode_end_glob(_t973_principal_len);
                                                            /* Begin decode phase on parameters */
                                                            _return = 0;
                                                            _ev = (CORBA_Environment *)(&_t974_storage);
                                                            flick_khazana_server_end_decode();
                                                            flick_corba_init_environment();
                                                            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                            _return = ex4__get_limited_string_attribute(_obj, _ev);
                                                            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                            _stub_state.state = FLICK_STATE_MARSHAL;
                                                            flick_khazana_server_start_encode();
                                                            {
                                                              flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1814);
                                                              flick_khazana_encode_new_glob(19, _flick_abort1814);
                                                              flick_khazana_encode_new_chunk(4);
                                                              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                              flick_khazana_encode_end_chunk(4);
                                                              switch (_ev->_major)
                                                                {
                                                                case CORBA_NO_EXCEPTION:
                                                                  {
                                                                    flick_unsigned32_t _t976_temp_string_len;

                                                                    flick_cdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t976_temp_string_len);

                                                                    /* Begin encode phase on parameters */
                                                                    flick_khazana_encode_new_chunk(4 + 1 * _t976_temp_string_len);
                                                                    flick_cdr_encode_unsigned32(0, _t976_temp_string_len, flick_unsigned32_t );
                                                                    if (_t976_temp_string_len > 11)
                                                                      flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1821);
                                                                    flick_cdr_encode_bcopy(4, _return, 1 * _t976_temp_string_len);
                                                                    CORBA_flick_free(_return);
                                                                    _return = 0;
                                                                    flick_khazana_encode_end_chunk(4 + 1 * _t976_temp_string_len);
                                                                    flick_khazana_encode_end_glob(19);
                                                                    break;
                                                                    {
                                                                    _flick_abort1821:
                                                                      goto _flick_abort1814;
                                                                    }
                                                                  }
                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                  {
                                                                    flick_khazana_encode_end_glob(19);
                                                                    flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1824);
                                                                    break;
                                                                    {
                                                                    _flick_abort1824:
                                                                      goto _flick_abort1814;
                                                                    }
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1825);
                                                                    flick_khazana_encode_end_glob(19);
                                                                    break;
                                                                    {
                                                                    _flick_abort1825:
                                                                      goto _flick_abort1814;
                                                                    }
                                                                  }
                                                                }
                                                            }
                                                            flick_khazana_server_end_encode();
                                                            break;
                                                            {
                                                            _flick_abort1814:
                                                              goto _flick_abort1813;
                                                            }
                                                          }
                                                          break;
                                                          {
                                                          _flick_abort1813:
                                                            goto _flick_abort1493;
                                                          }
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                                          flick_khazana_decode_end_glob(40);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                                    flick_khazana_decode_end_glob(40);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                              flick_khazana_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                      flick_khazana_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t977_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t977_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t977_switch_tag)
                  {
                  case /* _uns */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601531507):
                    {
                      unsigned int _t978_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t978_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t978_switch_tag)
                        {
                        case /* igne */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768386149):
                          {
                            unsigned int _t979_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t979_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t979_switch_tag)
                              {
                              case /* d_sh */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1683977064):
                                {
                                  unsigned int _t980_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t980_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t980_switch_tag)
                                    {
                                    case /* ort_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869771871):
                                      {
                                        unsigned int _t981_switch_tag;

                                        flick_khazana_decode_new_chunk(4);
                                        flick_cdr_decode_unsigned32(0, _t981_switch_tag, unsigned int );
                                        flick_khazana_decode_end_chunk(4);
                                        switch ((unsigned int )_t981_switch_tag)
                                          {
                                          case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                            {
                                              unsigned int _t982_switch_tag;

                                              flick_khazana_decode_new_chunk(4);
                                              flick_cdr_decode_unsigned32(0, _t982_switch_tag, unsigned int );
                                              flick_khazana_decode_end_chunk(4);
                                              switch ((unsigned int )_t982_switch_tag)
                                                {
                                                case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                                  {
                                                    unsigned short int _t983_switch_tag;

                                                    flick_khazana_decode_new_chunk(2);
                                                    flick_cdr_decode_unsigned16(0, _t983_switch_tag, unsigned short int );
                                                    flick_khazana_decode_end_chunk(2);
                                                    switch ((unsigned short int )_t983_switch_tag)
                                                      {
                                                      case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                                        {
                                                          {
                                                            ex4 _obj;
                                                            unsigned int _t984_principal_len;
                                                            CORBA_unsigned_short _local_unsigned_short_attribute;
                                                            CORBA_Environment *_ev;
                                                            CORBA_Environment _t985_storage;

                                                            flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1827);
                                                            /* Decode the requesting `Principal' pseudo object (client ID). */
                                                            flick_khazana_decode_new_chunk(6);
                                                            flick_cdr_decode_unsigned32(2, _t984_principal_len, unsigned int );
                                                            flick_khazana_decode_end_chunk(6);
                                                            flick_khazana_decode_end_glob(40);
                                                            flick_khazana_check_span(_t984_principal_len, _flick_abort1827);
                                                            flick_khazana_decode_new_glob(_t984_principal_len);
                                                            flick_khazana_decode_new_chunk(_t984_principal_len);
                                                            flick_khazana_decode_end_chunk(_t984_principal_len);
                                                            flick_khazana_decode_end_glob(_t984_principal_len);
                                                            /* Begin decode phase on parameters */
                                                            flick_khazana_decode_new_glob(3);
                                                            flick_khazana_decode_new_chunk_align(2, 1, 0, 0);
                                                            flick_khazana_check_span(2, _flick_abort1827);
                                                            flick_cdr_decode_unsigned16(0, _local_unsigned_short_attribute, CORBA_unsigned_short );
                                                            _ev = (CORBA_Environment *)(&_t985_storage);
                                                            flick_khazana_decode_end_chunk(2);
                                                            flick_khazana_decode_end_glob(3);
                                                            flick_khazana_server_end_decode();
                                                            flick_corba_init_environment();
                                                            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                            ex4__set_unsigned_short_attribute(_obj, _local_unsigned_short_attribute, _ev);
                                                            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                            _stub_state.state = FLICK_STATE_MARSHAL;
                                                            flick_khazana_server_start_encode();
                                                            {
                                                              flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1827);
                                                              flick_khazana_encode_new_glob(4, _flick_abort1827);
                                                              flick_khazana_encode_new_chunk(4);
                                                              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                              flick_khazana_encode_end_chunk(4);
                                                              switch (_ev->_major)
                                                                {
                                                                case CORBA_NO_EXCEPTION:
                                                                  {
                                                                    /* Begin encode phase on parameters */
                                                                    flick_khazana_encode_end_glob(4);
                                                                    break;
                                                                  }
                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                  {
                                                                    flick_khazana_encode_end_glob(4);
                                                                    flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1833);
                                                                    break;
                                                                    {
                                                                    _flick_abort1833:
                                                                      goto _flick_abort1827;
                                                                    }
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1834);
                                                                    flick_khazana_encode_end_glob(4);
                                                                    break;
                                                                    {
                                                                    _flick_abort1834:
                                                                      goto _flick_abort1827;
                                                                    }
                                                                  }
                                                                }
                                                            }
                                                            flick_khazana_server_end_encode();
                                                            break;
                                                            {
                                                            _flick_abort1827:
                                                              goto _flick_abort1826;
                                                            }
                                                          }
                                                          break;
                                                          {
                                                          _flick_abort1826:
                                                            goto _flick_abort1493;
                                                          }
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                                          flick_khazana_decode_end_glob(40);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                                    flick_khazana_decode_end_glob(40);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                              flick_khazana_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                      flick_khazana_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                flick_khazana_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 20:
        {
          unsigned int _t986_switch_tag;

          flick_khazana_check_span(24, _flick_abort1493);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t986_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t986_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t987_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t987_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t987_switch_tag)
                  {
                  case /* _cha */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600350305):
                    {
                      unsigned int _t988_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t988_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t988_switch_tag)
                        {
                        case /* r_at */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1918853492):
                          {
                            unsigned int _t989_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t989_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t989_switch_tag)
                              {
                              case /* trib */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953655138):
                                {
                                  unsigned int _t990_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t990_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t990_switch_tag)
                                    {
                                    case /* ute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1970562304):
                                      {
                                        {
                                          ex4 _obj;
                                          unsigned int _t991_principal_len;
                                          CORBA_char _return;
                                          CORBA_Environment *_ev;
                                          CORBA_Environment _t992_storage;

                                          flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1836);
                                          /* Decode the requesting `Principal' pseudo object (client ID). */
                                          flick_khazana_decode_new_chunk(4);
                                          flick_cdr_decode_unsigned32(0, _t991_principal_len, unsigned int );
                                          flick_khazana_decode_end_chunk(4);
                                          flick_khazana_decode_end_glob(40);
                                          flick_khazana_check_span(_t991_principal_len, _flick_abort1836);
                                          flick_khazana_decode_new_glob(_t991_principal_len);
                                          flick_khazana_decode_new_chunk(_t991_principal_len);
                                          flick_khazana_decode_end_chunk(_t991_principal_len);
                                          flick_khazana_decode_end_glob(_t991_principal_len);
                                          /* Begin decode phase on parameters */
                                          _return = 0;
                                          _ev = (CORBA_Environment *)(&_t992_storage);
                                          flick_khazana_server_end_decode();
                                          flick_corba_init_environment();
                                          _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                          _return = ex4__get_char_attribute(_obj, _ev);
                                          _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_khazana_server_start_encode();
                                          {
                                            flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1836);
                                            flick_khazana_encode_new_glob(5, _flick_abort1836);
                                            flick_khazana_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                            flick_khazana_encode_end_chunk(4);
                                            switch (_ev->_major)
                                              {
                                              case CORBA_NO_EXCEPTION:
                                                {
                                                  /* Begin encode phase on parameters */
                                                  flick_khazana_encode_new_chunk(1);
                                                  flick_cdr_encode_char8(0, _return, CORBA_char );
                                                  flick_khazana_encode_end_chunk(1);
                                                  flick_khazana_encode_end_glob(5);
                                                  break;
                                                }
                                              case CORBA_SYSTEM_EXCEPTION:
                                                {
                                                  flick_khazana_encode_end_glob(5);
                                                  flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1842);
                                                  break;
                                                  {
                                                  _flick_abort1842:
                                                    goto _flick_abort1836;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1843);
                                                  flick_khazana_encode_end_glob(5);
                                                  break;
                                                  {
                                                  _flick_abort1843:
                                                    goto _flick_abort1836;
                                                  }
                                                }
                                              }
                                          }
                                          flick_khazana_server_end_encode();
                                          break;
                                          {
                                          _flick_abort1836:
                                            goto _flick_abort1835;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort1835:
                                          goto _flick_abort1493;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _lon */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600941934):
                    {
                      unsigned int _t993_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t993_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t993_switch_tag)
                        {
                        case /* g_at */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1734304116):
                          {
                            unsigned int _t994_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t994_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t994_switch_tag)
                              {
                              case /* trib */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953655138):
                                {
                                  unsigned int _t995_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t995_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t995_switch_tag)
                                    {
                                    case /* ute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1970562304):
                                      {
                                        {
                                          ex4 _obj;
                                          unsigned int _t996_principal_len;
                                          CORBA_long _return;
                                          CORBA_Environment *_ev;
                                          CORBA_Environment _t997_storage;

                                          flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1845);
                                          /* Decode the requesting `Principal' pseudo object (client ID). */
                                          flick_khazana_decode_new_chunk(4);
                                          flick_cdr_decode_unsigned32(0, _t996_principal_len, unsigned int );
                                          flick_khazana_decode_end_chunk(4);
                                          flick_khazana_decode_end_glob(40);
                                          flick_khazana_check_span(_t996_principal_len, _flick_abort1845);
                                          flick_khazana_decode_new_glob(_t996_principal_len);
                                          flick_khazana_decode_new_chunk(_t996_principal_len);
                                          flick_khazana_decode_end_chunk(_t996_principal_len);
                                          flick_khazana_decode_end_glob(_t996_principal_len);
                                          /* Begin decode phase on parameters */
                                          _return = 0;
                                          _ev = (CORBA_Environment *)(&_t997_storage);
                                          flick_khazana_server_end_decode();
                                          flick_corba_init_environment();
                                          _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                          _return = ex4__get_long_attribute(_obj, _ev);
                                          _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                          _stub_state.state = FLICK_STATE_MARSHAL;
                                          flick_khazana_server_start_encode();
                                          {
                                            flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1845);
                                            flick_khazana_encode_new_glob(8, _flick_abort1845);
                                            flick_khazana_encode_new_chunk(4);
                                            flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                            flick_khazana_encode_end_chunk(4);
                                            switch (_ev->_major)
                                              {
                                              case CORBA_NO_EXCEPTION:
                                                {
                                                  /* Begin encode phase on parameters */
                                                  flick_khazana_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _return, CORBA_long );
                                                  flick_khazana_encode_end_chunk(4);
                                                  flick_khazana_encode_end_glob(8);
                                                  break;
                                                }
                                              case CORBA_SYSTEM_EXCEPTION:
                                                {
                                                  flick_khazana_encode_end_glob(8);
                                                  flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1851);
                                                  break;
                                                  {
                                                  _flick_abort1851:
                                                    goto _flick_abort1845;
                                                  }
                                                }
                                              default:
                                                {
                                                  flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1852);
                                                  flick_khazana_encode_end_glob(8);
                                                  break;
                                                  {
                                                  _flick_abort1852:
                                                    goto _flick_abort1845;
                                                  }
                                                }
                                              }
                                          }
                                          flick_khazana_server_end_encode();
                                          break;
                                          {
                                          _flick_abort1845:
                                            goto _flick_abort1844;
                                          }
                                        }
                                        break;
                                        {
                                        _flick_abort1844:
                                          goto _flick_abort1493;
                                        }
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                      flick_khazana_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                flick_khazana_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 23:
        {
          unsigned int _t998_switch_tag;

          flick_khazana_check_span(28, _flick_abort1493);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t998_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t998_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t999_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t999_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t999_switch_tag)
                  {
                  case /* _boo */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600286575):
                    {
                      unsigned int _t1000_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1000_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t1000_switch_tag)
                        {
                        case /* lean */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1818583406):
                          {
                            unsigned int _t1001_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1001_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t1001_switch_tag)
                              {
                              case /* _att */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600222324):
                                {
                                  unsigned int _t1002_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1002_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t1002_switch_tag)
                                    {
                                    case /* ribu */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1919509109):
                                      {
                                        unsigned short int _t1003_switch_tag;

                                        flick_khazana_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t1003_switch_tag, unsigned short int );
                                        flick_khazana_decode_end_chunk(2);
                                        switch ((unsigned short int )_t1003_switch_tag)
                                          {
                                          case /* te */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29797):
                                            {
                                              char _t1004_switch_tag;

                                              flick_khazana_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t1004_switch_tag, char );
                                              flick_khazana_decode_end_chunk(1);
                                              switch ((char )_t1004_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      ex4 _obj;
                                                      unsigned int _t1005_principal_len;
                                                      CORBA_boolean _return;
                                                      CORBA_Environment *_ev;
                                                      CORBA_Environment _t1006_storage;

                                                      flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1854);
                                                      /* Decode the requesting `Principal' pseudo object (client ID). */
                                                      flick_khazana_decode_new_chunk(5);
                                                      flick_cdr_decode_unsigned32(1, _t1005_principal_len, unsigned int );
                                                      flick_khazana_decode_end_chunk(5);
                                                      flick_khazana_decode_end_glob(40);
                                                      flick_khazana_check_span(_t1005_principal_len, _flick_abort1854);
                                                      flick_khazana_decode_new_glob(_t1005_principal_len);
                                                      flick_khazana_decode_new_chunk(_t1005_principal_len);
                                                      flick_khazana_decode_end_chunk(_t1005_principal_len);
                                                      flick_khazana_decode_end_glob(_t1005_principal_len);
                                                      /* Begin decode phase on parameters */
                                                      _return = 0;
                                                      _ev = (CORBA_Environment *)(&_t1006_storage);
                                                      flick_khazana_server_end_decode();
                                                      flick_corba_init_environment();
                                                      _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                      _return = ex4__get_boolean_attribute(_obj, _ev);
                                                      _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                      _stub_state.state = FLICK_STATE_MARSHAL;
                                                      flick_khazana_server_start_encode();
                                                      {
                                                        flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1854);
                                                        flick_khazana_encode_new_glob(5, _flick_abort1854);
                                                        flick_khazana_encode_new_chunk(4);
                                                        flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                        flick_khazana_encode_end_chunk(4);
                                                        switch (_ev->_major)
                                                          {
                                                          case CORBA_NO_EXCEPTION:
                                                            {
                                                              /* Begin encode phase on parameters */
                                                              flick_khazana_encode_new_chunk(1);
                                                              flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                                              flick_khazana_encode_end_chunk(1);
                                                              flick_khazana_encode_end_glob(5);
                                                              break;
                                                            }
                                                          case CORBA_SYSTEM_EXCEPTION:
                                                            {
                                                              flick_khazana_encode_end_glob(5);
                                                              flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1860);
                                                              break;
                                                              {
                                                              _flick_abort1860:
                                                                goto _flick_abort1854;
                                                              }
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1861);
                                                              flick_khazana_encode_end_glob(5);
                                                              break;
                                                              {
                                                              _flick_abort1861:
                                                                goto _flick_abort1854;
                                                              }
                                                            }
                                                          }
                                                      }
                                                      flick_khazana_server_end_encode();
                                                      break;
                                                      {
                                                      _flick_abort1854:
                                                        goto _flick_abort1853;
                                                      }
                                                    }
                                                    break;
                                                    {
                                                    _flick_abort1853:
                                                      goto _flick_abort1493;
                                                    }
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                                    flick_khazana_decode_end_glob(40);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                              flick_khazana_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                      flick_khazana_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t1007_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t1007_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t1007_switch_tag)
                  {
                  case /* _boo */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600286575):
                    {
                      unsigned int _t1008_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1008_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t1008_switch_tag)
                        {
                        case /* lean */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1818583406):
                          {
                            unsigned int _t1009_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1009_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t1009_switch_tag)
                              {
                              case /* _att */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600222324):
                                {
                                  unsigned int _t1010_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1010_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t1010_switch_tag)
                                    {
                                    case /* ribu */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1919509109):
                                      {
                                        unsigned short int _t1011_switch_tag;

                                        flick_khazana_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t1011_switch_tag, unsigned short int );
                                        flick_khazana_decode_end_chunk(2);
                                        switch ((unsigned short int )_t1011_switch_tag)
                                          {
                                          case /* te */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 29797):
                                            {
                                              char _t1012_switch_tag;

                                              flick_khazana_decode_new_chunk(1);
                                              flick_cdr_decode_char8(0, _t1012_switch_tag, char );
                                              flick_khazana_decode_end_chunk(1);
                                              switch ((char )_t1012_switch_tag)
                                                {
                                                case 0:
                                                  {
                                                    {
                                                      ex4 _obj;
                                                      unsigned int _t1013_principal_len;
                                                      CORBA_boolean _local_boolean_attribute;
                                                      CORBA_Environment *_ev;
                                                      CORBA_Environment _t1014_storage;

                                                      flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1863);
                                                      /* Decode the requesting `Principal' pseudo object (client ID). */
                                                      flick_khazana_decode_new_chunk(5);
                                                      flick_cdr_decode_unsigned32(1, _t1013_principal_len, unsigned int );
                                                      flick_khazana_decode_end_chunk(5);
                                                      flick_khazana_decode_end_glob(40);
                                                      flick_khazana_check_span(_t1013_principal_len + 1, _flick_abort1863);
                                                      flick_khazana_decode_new_glob(_t1013_principal_len);
                                                      flick_khazana_decode_new_chunk(_t1013_principal_len);
                                                      flick_khazana_decode_end_chunk(_t1013_principal_len);
                                                      flick_khazana_decode_end_glob(_t1013_principal_len);
                                                      /* Begin decode phase on parameters */
                                                      flick_khazana_decode_new_glob(1);
                                                      flick_khazana_decode_new_chunk(1);
                                                      flick_cdr_decode_unsigned8(0, _local_boolean_attribute, CORBA_boolean );
                                                      _ev = (CORBA_Environment *)(&_t1014_storage);
                                                      flick_khazana_decode_end_chunk(1);
                                                      flick_khazana_decode_end_glob(1);
                                                      flick_khazana_server_end_decode();
                                                      flick_corba_init_environment();
                                                      _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                      ex4__set_boolean_attribute(_obj, _local_boolean_attribute, _ev);
                                                      _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                      _stub_state.state = FLICK_STATE_MARSHAL;
                                                      flick_khazana_server_start_encode();
                                                      {
                                                        flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1863);
                                                        flick_khazana_encode_new_glob(4, _flick_abort1863);
                                                        flick_khazana_encode_new_chunk(4);
                                                        flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                        flick_khazana_encode_end_chunk(4);
                                                        switch (_ev->_major)
                                                          {
                                                          case CORBA_NO_EXCEPTION:
                                                            {
                                                              /* Begin encode phase on parameters */
                                                              flick_khazana_encode_end_glob(4);
                                                              break;
                                                            }
                                                          case CORBA_SYSTEM_EXCEPTION:
                                                            {
                                                              flick_khazana_encode_end_glob(4);
                                                              flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1869);
                                                              break;
                                                              {
                                                              _flick_abort1869:
                                                                goto _flick_abort1863;
                                                              }
                                                            }
                                                          default:
                                                            {
                                                              flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1870);
                                                              flick_khazana_encode_end_glob(4);
                                                              break;
                                                              {
                                                              _flick_abort1870:
                                                                goto _flick_abort1863;
                                                              }
                                                            }
                                                          }
                                                      }
                                                      flick_khazana_server_end_encode();
                                                      break;
                                                      {
                                                      _flick_abort1863:
                                                        goto _flick_abort1862;
                                                      }
                                                    }
                                                    break;
                                                    {
                                                    _flick_abort1862:
                                                      goto _flick_abort1493;
                                                    }
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                                    flick_khazana_decode_end_glob(40);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                              flick_khazana_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                      flick_khazana_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                flick_khazana_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 21:
        {
          unsigned int _t1015_switch_tag;

          flick_khazana_check_span(28, _flick_abort1493);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t1015_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t1015_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t1016_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t1016_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t1016_switch_tag)
                  {
                  case /* _oct */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601135476):
                    {
                      unsigned int _t1017_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1017_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t1017_switch_tag)
                        {
                        case /* et_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1702125409):
                          {
                            unsigned int _t1018_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1018_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t1018_switch_tag)
                              {
                              case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                {
                                  unsigned int _t1019_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1019_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t1019_switch_tag)
                                    {
                                    case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                      {
                                        char _t1020_switch_tag;

                                        flick_khazana_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t1020_switch_tag, char );
                                        flick_khazana_decode_end_chunk(1);
                                        switch ((char )_t1020_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                ex4 _obj;
                                                unsigned int _t1021_principal_len;
                                                CORBA_octet _return;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t1022_storage;

                                                flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1872);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_khazana_decode_new_chunk(7);
                                                flick_cdr_decode_unsigned32(3, _t1021_principal_len, unsigned int );
                                                flick_khazana_decode_end_chunk(7);
                                                flick_khazana_decode_end_glob(40);
                                                flick_khazana_check_span(_t1021_principal_len, _flick_abort1872);
                                                flick_khazana_decode_new_glob(_t1021_principal_len);
                                                flick_khazana_decode_new_chunk(_t1021_principal_len);
                                                flick_khazana_decode_end_chunk(_t1021_principal_len);
                                                flick_khazana_decode_end_glob(_t1021_principal_len);
                                                /* Begin decode phase on parameters */
                                                _return = 0;
                                                _ev = (CORBA_Environment *)(&_t1022_storage);
                                                flick_khazana_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                _return = ex4__get_octet_attribute(_obj, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_khazana_server_start_encode();
                                                {
                                                  flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1872);
                                                  flick_khazana_encode_new_glob(5, _flick_abort1872);
                                                  flick_khazana_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_khazana_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_khazana_encode_new_chunk(1);
                                                        flick_cdr_encode_unsigned8(0, _return, CORBA_octet );
                                                        flick_khazana_encode_end_chunk(1);
                                                        flick_khazana_encode_end_glob(5);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_khazana_encode_end_glob(5);
                                                        flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1878);
                                                        break;
                                                        {
                                                        _flick_abort1878:
                                                          goto _flick_abort1872;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1879);
                                                        flick_khazana_encode_end_glob(5);
                                                        break;
                                                        {
                                                        _flick_abort1879:
                                                          goto _flick_abort1872;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_khazana_server_end_encode();
                                                break;
                                                {
                                                _flick_abort1872:
                                                  goto _flick_abort1871;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort1871:
                                                goto _flick_abort1493;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                              flick_khazana_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _flo */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600547951):
                    {
                      unsigned int _t1023_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1023_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t1023_switch_tag)
                        {
                        case /* at_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635016545):
                          {
                            unsigned int _t1024_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1024_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t1024_switch_tag)
                              {
                              case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                {
                                  unsigned int _t1025_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1025_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t1025_switch_tag)
                                    {
                                    case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                      {
                                        char _t1026_switch_tag;

                                        flick_khazana_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t1026_switch_tag, char );
                                        flick_khazana_decode_end_chunk(1);
                                        switch ((char )_t1026_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                ex4 _obj;
                                                unsigned int _t1027_principal_len;
                                                CORBA_float _return;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t1028_storage;

                                                flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1881);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_khazana_decode_new_chunk(7);
                                                flick_cdr_decode_unsigned32(3, _t1027_principal_len, unsigned int );
                                                flick_khazana_decode_end_chunk(7);
                                                flick_khazana_decode_end_glob(40);
                                                flick_khazana_check_span(_t1027_principal_len, _flick_abort1881);
                                                flick_khazana_decode_new_glob(_t1027_principal_len);
                                                flick_khazana_decode_new_chunk(_t1027_principal_len);
                                                flick_khazana_decode_end_chunk(_t1027_principal_len);
                                                flick_khazana_decode_end_glob(_t1027_principal_len);
                                                /* Begin decode phase on parameters */
                                                _return = 0.000000;
                                                _ev = (CORBA_Environment *)(&_t1028_storage);
                                                flick_khazana_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                _return = ex4__get_float_attribute(_obj, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_khazana_server_start_encode();
                                                {
                                                  flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1881);
                                                  flick_khazana_encode_new_glob(8, _flick_abort1881);
                                                  flick_khazana_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_khazana_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_khazana_encode_new_chunk(4);
                                                        flick_cdr_encode_float32(0, _return, CORBA_float );
                                                        flick_khazana_encode_end_chunk(4);
                                                        flick_khazana_encode_end_glob(8);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_khazana_encode_end_glob(8);
                                                        flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1887);
                                                        break;
                                                        {
                                                        _flick_abort1887:
                                                          goto _flick_abort1881;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1888);
                                                        flick_khazana_encode_end_glob(8);
                                                        break;
                                                        {
                                                        _flick_abort1888:
                                                          goto _flick_abort1881;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_khazana_server_end_encode();
                                                break;
                                                {
                                                _flick_abort1881:
                                                  goto _flick_abort1880;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort1880:
                                                goto _flick_abort1493;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                              flick_khazana_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _sho */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398895):
                    {
                      unsigned int _t1029_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1029_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t1029_switch_tag)
                        {
                        case /* rt_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1920229217):
                          {
                            unsigned int _t1030_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1030_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t1030_switch_tag)
                              {
                              case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                {
                                  unsigned int _t1031_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1031_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t1031_switch_tag)
                                    {
                                    case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                      {
                                        char _t1032_switch_tag;

                                        flick_khazana_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t1032_switch_tag, char );
                                        flick_khazana_decode_end_chunk(1);
                                        switch ((char )_t1032_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                ex4 _obj;
                                                unsigned int _t1033_principal_len;
                                                CORBA_short _return;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t1034_storage;

                                                flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1890);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_khazana_decode_new_chunk(7);
                                                flick_cdr_decode_unsigned32(3, _t1033_principal_len, unsigned int );
                                                flick_khazana_decode_end_chunk(7);
                                                flick_khazana_decode_end_glob(40);
                                                flick_khazana_check_span(_t1033_principal_len, _flick_abort1890);
                                                flick_khazana_decode_new_glob(_t1033_principal_len);
                                                flick_khazana_decode_new_chunk(_t1033_principal_len);
                                                flick_khazana_decode_end_chunk(_t1033_principal_len);
                                                flick_khazana_decode_end_glob(_t1033_principal_len);
                                                /* Begin decode phase on parameters */
                                                _return = 0;
                                                _ev = (CORBA_Environment *)(&_t1034_storage);
                                                flick_khazana_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                _return = ex4__get_short_attribute(_obj, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_khazana_server_start_encode();
                                                {
                                                  flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1890);
                                                  flick_khazana_encode_new_glob(6, _flick_abort1890);
                                                  flick_khazana_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_khazana_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_khazana_encode_new_chunk(2);
                                                        flick_cdr_encode_signed16(0, _return, CORBA_short );
                                                        flick_khazana_encode_end_chunk(2);
                                                        flick_khazana_encode_end_glob(6);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_khazana_encode_end_glob(6);
                                                        flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1896);
                                                        break;
                                                        {
                                                        _flick_abort1896:
                                                          goto _flick_abort1890;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1897);
                                                        flick_khazana_encode_end_glob(6);
                                                        break;
                                                        {
                                                        _flick_abort1897:
                                                          goto _flick_abort1890;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_khazana_server_end_encode();
                                                break;
                                                {
                                                _flick_abort1890:
                                                  goto _flick_abort1889;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort1889:
                                                goto _flick_abort1493;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                              flick_khazana_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                      flick_khazana_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t1035_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t1035_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t1035_switch_tag)
                  {
                  case /* _sho */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398895):
                    {
                      unsigned int _t1036_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1036_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t1036_switch_tag)
                        {
                        case /* rt_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1920229217):
                          {
                            unsigned int _t1037_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1037_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t1037_switch_tag)
                              {
                              case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                {
                                  unsigned int _t1038_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1038_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t1038_switch_tag)
                                    {
                                    case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                      {
                                        char _t1039_switch_tag;

                                        flick_khazana_decode_new_chunk(1);
                                        flick_cdr_decode_char8(0, _t1039_switch_tag, char );
                                        flick_khazana_decode_end_chunk(1);
                                        switch ((char )_t1039_switch_tag)
                                          {
                                          case 0:
                                            {
                                              {
                                                ex4 _obj;
                                                unsigned int _t1040_principal_len;
                                                CORBA_short _local_short_attribute;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t1041_storage;

                                                flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1899);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_khazana_decode_new_chunk(7);
                                                flick_cdr_decode_unsigned32(3, _t1040_principal_len, unsigned int );
                                                flick_khazana_decode_end_chunk(7);
                                                flick_khazana_decode_end_glob(40);
                                                flick_khazana_check_span(_t1040_principal_len, _flick_abort1899);
                                                flick_khazana_decode_new_glob(_t1040_principal_len);
                                                flick_khazana_decode_new_chunk(_t1040_principal_len);
                                                flick_khazana_decode_end_chunk(_t1040_principal_len);
                                                flick_khazana_decode_end_glob(_t1040_principal_len);
                                                /* Begin decode phase on parameters */
                                                flick_khazana_decode_new_glob(3);
                                                flick_khazana_decode_new_chunk_align(2, 1, 0, 0);
                                                flick_khazana_check_span(2, _flick_abort1899);
                                                flick_cdr_decode_signed16(0, _local_short_attribute, CORBA_short );
                                                _ev = (CORBA_Environment *)(&_t1041_storage);
                                                flick_khazana_decode_end_chunk(2);
                                                flick_khazana_decode_end_glob(3);
                                                flick_khazana_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                ex4__set_short_attribute(_obj, _local_short_attribute, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_khazana_server_start_encode();
                                                {
                                                  flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1899);
                                                  flick_khazana_encode_new_glob(4, _flick_abort1899);
                                                  flick_khazana_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_khazana_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_khazana_encode_end_glob(4);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_khazana_encode_end_glob(4);
                                                        flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1905);
                                                        break;
                                                        {
                                                        _flick_abort1905:
                                                          goto _flick_abort1899;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1906);
                                                        flick_khazana_encode_end_glob(4);
                                                        break;
                                                        {
                                                        _flick_abort1906:
                                                          goto _flick_abort1899;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_khazana_server_end_encode();
                                                break;
                                                {
                                                _flick_abort1899:
                                                  goto _flick_abort1898;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort1898:
                                                goto _flick_abort1493;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                              flick_khazana_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                      flick_khazana_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                flick_khazana_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 22:
        {
          unsigned int _t1042_switch_tag;

          flick_khazana_check_span(28, _flick_abort1493);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t1042_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t1042_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t1043_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t1043_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t1043_switch_tag)
                  {
                  case /* _str */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601401970):
                    {
                      unsigned int _t1044_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1044_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t1044_switch_tag)
                        {
                        case /* ing_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768843103):
                          {
                            unsigned int _t1045_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1045_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t1045_switch_tag)
                              {
                              case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                {
                                  unsigned int _t1046_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1046_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t1046_switch_tag)
                                    {
                                    case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                      {
                                        unsigned short int _t1047_switch_tag;

                                        flick_khazana_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t1047_switch_tag, unsigned short int );
                                        flick_khazana_decode_end_chunk(2);
                                        switch ((unsigned short int )_t1047_switch_tag)
                                          {
                                          case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                            {
                                              {
                                                ex4 _obj;
                                                unsigned int _t1048_principal_len;
                                                CORBA_char *_return;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t1049_storage;

                                                flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1908);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_khazana_decode_new_chunk(6);
                                                flick_cdr_decode_unsigned32(2, _t1048_principal_len, unsigned int );
                                                flick_khazana_decode_end_chunk(6);
                                                flick_khazana_decode_end_glob(40);
                                                flick_khazana_check_span(_t1048_principal_len, _flick_abort1908);
                                                flick_khazana_decode_new_glob(_t1048_principal_len);
                                                flick_khazana_decode_new_chunk(_t1048_principal_len);
                                                flick_khazana_decode_end_chunk(_t1048_principal_len);
                                                flick_khazana_decode_end_glob(_t1048_principal_len);
                                                /* Begin decode phase on parameters */
                                                _return = 0;
                                                _ev = (CORBA_Environment *)(&_t1049_storage);
                                                flick_khazana_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                _return = ex4__get_string_attribute(_obj, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_khazana_server_start_encode();
                                                {
                                                  flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1908);
                                                  flick_khazana_encode_new_glob(8, _flick_abort1908);
                                                  flick_khazana_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_khazana_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        flick_unsigned32_t _t1051_temp_string_len;

                                                        flick_cdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t1051_temp_string_len);

                                                        /* Begin encode phase on parameters */
                                                        flick_khazana_encode_new_chunk(4);
                                                        flick_cdr_encode_unsigned32(0, _t1051_temp_string_len, flick_unsigned32_t );
                                                        flick_khazana_encode_end_chunk(4);
                                                        flick_khazana_encode_end_glob(8);
                                                        flick_khazana_encode_new_glob(1 * _t1051_temp_string_len, _flick_abort1915);
                                                        flick_khazana_encode_new_chunk(1 * _t1051_temp_string_len);
                                                        flick_cdr_encode_bcopy(0, _return, 1 * _t1051_temp_string_len);
                                                        CORBA_flick_free(_return);
                                                        _return = 0;
                                                        flick_khazana_encode_end_chunk(1 * _t1051_temp_string_len);
                                                        flick_khazana_encode_end_glob(1 * _t1051_temp_string_len);
                                                        break;
                                                        {
                                                        _flick_abort1915:
                                                          goto _flick_abort1908;
                                                        }
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_khazana_encode_end_glob(8);
                                                        flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1918);
                                                        break;
                                                        {
                                                        _flick_abort1918:
                                                          goto _flick_abort1908;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1919);
                                                        flick_khazana_encode_end_glob(8);
                                                        break;
                                                        {
                                                        _flick_abort1919:
                                                          goto _flick_abort1908;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_khazana_server_end_encode();
                                                break;
                                                {
                                                _flick_abort1908:
                                                  goto _flick_abort1907;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort1907:
                                                goto _flick_abort1493;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                              flick_khazana_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _dou */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600417653):
                    {
                      unsigned int _t1052_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1052_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t1052_switch_tag)
                        {
                        case /* ble_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651271007):
                          {
                            unsigned int _t1053_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1053_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t1053_switch_tag)
                              {
                              case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                {
                                  unsigned int _t1054_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1054_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t1054_switch_tag)
                                    {
                                    case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                      {
                                        unsigned short int _t1055_switch_tag;

                                        flick_khazana_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t1055_switch_tag, unsigned short int );
                                        flick_khazana_decode_end_chunk(2);
                                        switch ((unsigned short int )_t1055_switch_tag)
                                          {
                                          case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                            {
                                              {
                                                ex4 _obj;
                                                unsigned int _t1056_principal_len;
                                                CORBA_double _return;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t1057_storage;

                                                flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1921);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_khazana_decode_new_chunk(6);
                                                flick_cdr_decode_unsigned32(2, _t1056_principal_len, unsigned int );
                                                flick_khazana_decode_end_chunk(6);
                                                flick_khazana_decode_end_glob(40);
                                                flick_khazana_check_span(_t1056_principal_len, _flick_abort1921);
                                                flick_khazana_decode_new_glob(_t1056_principal_len);
                                                flick_khazana_decode_new_chunk(_t1056_principal_len);
                                                flick_khazana_decode_end_chunk(_t1056_principal_len);
                                                flick_khazana_decode_end_glob(_t1056_principal_len);
                                                /* Begin decode phase on parameters */
                                                _return = 0.000000;
                                                _ev = (CORBA_Environment *)(&_t1057_storage);
                                                flick_khazana_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                _return = ex4__get_double_attribute(_obj, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_khazana_server_start_encode();
                                                {
                                                  flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1921);
                                                  flick_khazana_encode_new_glob(16, _flick_abort1921);
                                                  flick_khazana_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_khazana_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_khazana_encode_new_chunk_align(8, 3, 2, 0);
                                                        flick_cdr_encode_float64(0, _return, CORBA_double );
                                                        flick_khazana_encode_end_chunk(8);
                                                        flick_khazana_encode_end_glob(16);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_khazana_encode_end_glob(16);
                                                        flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1927);
                                                        break;
                                                        {
                                                        _flick_abort1927:
                                                          goto _flick_abort1921;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1928);
                                                        flick_khazana_encode_end_glob(16);
                                                        break;
                                                        {
                                                        _flick_abort1928:
                                                          goto _flick_abort1921;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_khazana_server_end_encode();
                                                break;
                                                {
                                                _flick_abort1921:
                                                  goto _flick_abort1920;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort1920:
                                                goto _flick_abort1493;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                              flick_khazana_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                      flick_khazana_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            case /* _set */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601398132):
              {
                unsigned int _t1058_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t1058_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t1058_switch_tag)
                  {
                  case /* _str */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601401970):
                    {
                      unsigned int _t1059_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1059_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t1059_switch_tag)
                        {
                        case /* ing_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768843103):
                          {
                            unsigned int _t1060_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1060_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t1060_switch_tag)
                              {
                              case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                {
                                  unsigned int _t1061_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1061_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t1061_switch_tag)
                                    {
                                    case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                      {
                                        unsigned short int _t1062_switch_tag;

                                        flick_khazana_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t1062_switch_tag, unsigned short int );
                                        flick_khazana_decode_end_chunk(2);
                                        switch ((unsigned short int )_t1062_switch_tag)
                                          {
                                          case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                            {
                                              {
                                                ex4 _obj;
                                                unsigned int _t1063_principal_len;
                                                CORBA_char *_local_string_attribute;
                                                flick_unsigned32_t _t1064_temp_string_len;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t1065_storage;

                                                flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1930);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_khazana_decode_new_chunk(6);
                                                flick_cdr_decode_unsigned32(2, _t1063_principal_len, unsigned int );
                                                flick_khazana_decode_end_chunk(6);
                                                flick_khazana_decode_end_glob(40);
                                                flick_khazana_check_span(_t1063_principal_len, _flick_abort1930);
                                                flick_khazana_decode_new_glob(_t1063_principal_len);
                                                flick_khazana_decode_new_chunk(_t1063_principal_len);
                                                flick_khazana_decode_end_chunk(_t1063_principal_len);
                                                flick_khazana_decode_end_glob(_t1063_principal_len);
                                                /* Begin decode phase on parameters */
                                                flick_khazana_decode_new_glob(7);
                                                flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                                                flick_khazana_check_span(4, _flick_abort1930);
                                                flick_cdr_decode_unsigned32(0, _t1064_temp_string_len, flick_unsigned32_t );
                                                flick_khazana_decode_end_chunk(4);
                                                flick_khazana_decode_end_glob(7);
                                                flick_khazana_decode_new_glob(1 * _t1064_temp_string_len);
                                                flick_khazana_check_span(1 * _t1064_temp_string_len, _flick_abort1930);
                                                flick_khazana_decode_new_chunk(1 * _t1064_temp_string_len);
                                                flick_cdr_decode_msgptr(0, _local_string_attribute, CORBA_char *);
                                                flick_khazana_decode_end_chunk(1 * _t1064_temp_string_len);
                                                flick_khazana_decode_end_glob(1 * _t1064_temp_string_len);
                                                _ev = (CORBA_Environment *)(&_t1065_storage);
                                                flick_khazana_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                ex4__set_string_attribute(_obj, _local_string_attribute, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_khazana_server_start_encode();
                                                {
                                                  flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1930);
                                                  flick_khazana_encode_new_glob(4, _flick_abort1930);
                                                  flick_khazana_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_khazana_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_khazana_encode_end_glob(4);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_khazana_encode_end_glob(4);
                                                        flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1938);
                                                        break;
                                                        {
                                                        _flick_abort1938:
                                                          goto _flick_abort1930;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1939);
                                                        flick_khazana_encode_end_glob(4);
                                                        break;
                                                        {
                                                        _flick_abort1939:
                                                          goto _flick_abort1930;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_khazana_server_end_encode();
                                                break;
                                                {
                                                _flick_abort1930:
                                                  goto _flick_abort1929;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort1929:
                                                goto _flick_abort1493;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                              flick_khazana_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  case /* _dou */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600417653):
                    {
                      unsigned int _t1066_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1066_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t1066_switch_tag)
                        {
                        case /* ble_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651271007):
                          {
                            unsigned int _t1067_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1067_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t1067_switch_tag)
                              {
                              case /* attr */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1635021938):
                                {
                                  unsigned int _t1068_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1068_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t1068_switch_tag)
                                    {
                                    case /* ibut */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768060276):
                                      {
                                        unsigned short int _t1069_switch_tag;

                                        flick_khazana_decode_new_chunk(2);
                                        flick_cdr_decode_unsigned16(0, _t1069_switch_tag, unsigned short int );
                                        flick_khazana_decode_end_chunk(2);
                                        switch ((unsigned short int )_t1069_switch_tag)
                                          {
                                          case /* e */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 25856):
                                            {
                                              {
                                                ex4 _obj;
                                                unsigned int _t1070_principal_len;
                                                CORBA_double _local_double_attribute;
                                                CORBA_Environment *_ev;
                                                CORBA_Environment _t1071_storage;

                                                flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1941);
                                                /* Decode the requesting `Principal' pseudo object (client ID). */
                                                flick_khazana_decode_new_chunk(6);
                                                flick_cdr_decode_unsigned32(2, _t1070_principal_len, unsigned int );
                                                flick_khazana_decode_end_chunk(6);
                                                flick_khazana_decode_end_glob(40);
                                                flick_khazana_check_span(_t1070_principal_len, _flick_abort1941);
                                                flick_khazana_decode_new_glob(_t1070_principal_len);
                                                flick_khazana_decode_new_chunk(_t1070_principal_len);
                                                flick_khazana_decode_end_chunk(_t1070_principal_len);
                                                flick_khazana_decode_end_glob(_t1070_principal_len);
                                                /* Begin decode phase on parameters */
                                                flick_khazana_decode_new_glob(15);
                                                flick_khazana_decode_new_chunk_align(8, 3, 0, 0);
                                                flick_khazana_check_span(8, _flick_abort1941);
                                                flick_cdr_decode_float64(0, _local_double_attribute, CORBA_double );
                                                _ev = (CORBA_Environment *)(&_t1071_storage);
                                                flick_khazana_decode_end_chunk(8);
                                                flick_khazana_decode_end_glob(15);
                                                flick_khazana_server_end_decode();
                                                flick_corba_init_environment();
                                                _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                ex4__set_double_attribute(_obj, _local_double_attribute, _ev);
                                                _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                _stub_state.state = FLICK_STATE_MARSHAL;
                                                flick_khazana_server_start_encode();
                                                {
                                                  flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1941);
                                                  flick_khazana_encode_new_glob(4, _flick_abort1941);
                                                  flick_khazana_encode_new_chunk(4);
                                                  flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                  flick_khazana_encode_end_chunk(4);
                                                  switch (_ev->_major)
                                                    {
                                                    case CORBA_NO_EXCEPTION:
                                                      {
                                                        /* Begin encode phase on parameters */
                                                        flick_khazana_encode_end_glob(4);
                                                        break;
                                                      }
                                                    case CORBA_SYSTEM_EXCEPTION:
                                                      {
                                                        flick_khazana_encode_end_glob(4);
                                                        flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1947);
                                                        break;
                                                        {
                                                        _flick_abort1947:
                                                          goto _flick_abort1941;
                                                        }
                                                      }
                                                    default:
                                                      {
                                                        flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1948);
                                                        flick_khazana_encode_end_glob(4);
                                                        break;
                                                        {
                                                        _flick_abort1948:
                                                          goto _flick_abort1941;
                                                        }
                                                      }
                                                    }
                                                }
                                                flick_khazana_server_end_encode();
                                                break;
                                                {
                                                _flick_abort1941:
                                                  goto _flick_abort1940;
                                                }
                                              }
                                              break;
                                              {
                                              _flick_abort1940:
                                                goto _flick_abort1493;
                                              }
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                              flick_khazana_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                      flick_khazana_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                flick_khazana_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 4:
        {
          unsigned int _t1072_switch_tag;

          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t1072_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t1072_switch_tag)
            {
            case /* op7 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869625088):
              {
                {
                  ex4 _obj;
                  unsigned int _t1073_principal_len;
                  CORBA_char _return;
                  CORBA_char _local_c;
                  CORBA_boolean *_local_b;
                  CORBA_boolean _t1074_storage;
                  CORBA_octet *_local_o;
                  CORBA_octet _t1075_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t1076_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1950);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t1073_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(40);
                  flick_khazana_check_span(_t1073_principal_len + 2, _flick_abort1950);
                  flick_khazana_decode_new_glob(_t1073_principal_len);
                  flick_khazana_decode_new_chunk(_t1073_principal_len);
                  flick_khazana_decode_end_chunk(_t1073_principal_len);
                  flick_khazana_decode_end_glob(_t1073_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_khazana_decode_new_glob(2);
                  flick_khazana_decode_new_chunk(2);
                  flick_cdr_decode_char8(0, _local_c, CORBA_char );
                  _local_b = (CORBA_boolean *)(&_t1074_storage);
                  _local_o = (CORBA_octet *)(&_t1075_storage);
                  flick_cdr_decode_unsigned8(1, *_local_o, CORBA_octet );
                  _ev = (CORBA_Environment *)(&_t1076_storage);
                  flick_khazana_decode_end_chunk(2);
                  flick_khazana_decode_end_glob(2);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex4_op7(_obj, _local_c, _local_b, _local_o, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1950);
                    flick_khazana_encode_new_glob(7, _flick_abort1950);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(3);
                          flick_cdr_encode_char8(0, _return, CORBA_char );
                          flick_cdr_encode_unsigned8(1, *_local_b, CORBA_boolean );
                          flick_cdr_encode_unsigned8(2, *_local_o, CORBA_octet );
                          flick_khazana_encode_end_chunk(3);
                          flick_khazana_encode_end_glob(7);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(7);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1956);
                          break;
                          {
                          _flick_abort1956:
                            goto _flick_abort1950;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1957);
                          flick_khazana_encode_end_glob(7);
                          break;
                          {
                          _flick_abort1957:
                            goto _flick_abort1950;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort1950:
                    goto _flick_abort1949;
                  }
                }
                break;
                {
                _flick_abort1949:
                  goto _flick_abort1493;
                }
              }
            case /* op8 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869625344):
              {
                {
                  ex4 _obj;
                  unsigned int _t1077_principal_len;
                  CORBA_boolean _return;
                  CORBA_boolean *_local_b;
                  CORBA_boolean _t1078_storage;
                  CORBA_octet _local_o;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t1079_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1959);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t1077_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(40);
                  flick_khazana_check_span(_t1077_principal_len + 1, _flick_abort1959);
                  flick_khazana_decode_new_glob(_t1077_principal_len);
                  flick_khazana_decode_new_chunk(_t1077_principal_len);
                  flick_khazana_decode_end_chunk(_t1077_principal_len);
                  flick_khazana_decode_end_glob(_t1077_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  _local_b = (CORBA_boolean *)(&_t1078_storage);
                  flick_khazana_decode_new_glob(1);
                  flick_khazana_decode_new_chunk(1);
                  flick_cdr_decode_unsigned8(0, _local_o, CORBA_octet );
                  _ev = (CORBA_Environment *)(&_t1079_storage);
                  flick_khazana_decode_end_chunk(1);
                  flick_khazana_decode_end_glob(1);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex4_op8(_obj, _local_b, _local_o, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1959);
                    flick_khazana_encode_new_glob(6, _flick_abort1959);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(2);
                          flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                          flick_cdr_encode_unsigned8(1, *_local_b, CORBA_boolean );
                          flick_khazana_encode_end_chunk(2);
                          flick_khazana_encode_end_glob(6);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(6);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1965);
                          break;
                          {
                          _flick_abort1965:
                            goto _flick_abort1959;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1966);
                          flick_khazana_encode_end_glob(6);
                          break;
                          {
                          _flick_abort1966:
                            goto _flick_abort1959;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort1959:
                    goto _flick_abort1958;
                  }
                }
                break;
                {
                _flick_abort1958:
                  goto _flick_abort1493;
                }
              }
            case /* op9 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869625600):
              {
                {
                  ex4 _obj;
                  unsigned int _t1080_principal_len;
                  CORBA_octet _return;
                  CORBA_octet *_local_o;
                  CORBA_octet _t1081_storage;
                  CORBA_char **_local_s;
                  CORBA_char *_t1082_storage;
                  CORBA_char *_local_ls;
                  flick_unsigned32_t _t1083_temp_string_len;
                  CORBA_long *_local_l;
                  CORBA_long _t1084_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t1085_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1968);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t1080_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(40);
                  flick_khazana_check_span(_t1080_principal_len + 1, _flick_abort1968);
                  flick_khazana_decode_new_glob(_t1080_principal_len);
                  flick_khazana_decode_new_chunk(_t1080_principal_len);
                  flick_khazana_decode_end_chunk(_t1080_principal_len);
                  flick_khazana_decode_end_glob(_t1080_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  _local_o = (CORBA_octet *)(&_t1081_storage);
                  flick_khazana_decode_new_glob(26);
                  flick_khazana_decode_new_chunk(1);
                  flick_cdr_decode_unsigned8(0, *_local_o, CORBA_octet );
                  _local_s = (CORBA_char **)(&_t1082_storage);
                  flick_khazana_decode_end_chunk(1);
                  flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                  flick_khazana_check_span(4, _flick_abort1968);
                  flick_cdr_decode_unsigned32(0, _t1083_temp_string_len, flick_unsigned32_t );
                  if (_t1083_temp_string_len > 11)
                    flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort1968);
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_check_span(1 * _t1083_temp_string_len, _flick_abort1968);
                  flick_khazana_decode_new_chunk(1 * _t1083_temp_string_len);
                  flick_cdr_decode_msgptr(0, _local_ls, CORBA_char *);
                  flick_khazana_decode_end_chunk(1 * _t1083_temp_string_len);
                  _local_l = (CORBA_long *)(&_t1084_storage);
                  flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                  flick_khazana_check_span(4, _flick_abort1968);
                  flick_cdr_decode_signed32(0, *_local_l, CORBA_long );
                  _ev = (CORBA_Environment *)(&_t1085_storage);
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(26);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex4_op9(_obj, _local_o, _local_s, _local_ls, _local_l, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1968);
                    flick_khazana_encode_new_glob(12, _flick_abort1968);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          flick_unsigned32_t _t1087_temp_string_len;

                          flick_cdr_stringlen(CORBA_char *, *_local_s, flick_unsigned32_t , _t1087_temp_string_len);

                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(8);
                          flick_cdr_encode_unsigned8(0, _return, CORBA_octet );
                          flick_cdr_encode_unsigned8(1, *_local_o, CORBA_octet );
                          flick_cdr_encode_unsigned32(4, _t1087_temp_string_len, flick_unsigned32_t );
                          flick_khazana_encode_end_chunk(8);
                          flick_khazana_encode_end_glob(12);
                          flick_khazana_encode_new_glob(1 * _t1087_temp_string_len, _flick_abort1977);
                          flick_khazana_encode_new_chunk(1 * _t1087_temp_string_len);
                          flick_cdr_encode_bcopy(0, *_local_s, 1 * _t1087_temp_string_len);
                          CORBA_flick_free(*_local_s);
                          *_local_s = 0;
                          flick_khazana_encode_end_chunk(1 * _t1087_temp_string_len);
                          flick_khazana_encode_end_glob(1 * _t1087_temp_string_len);
                          flick_khazana_encode_new_glob(7, _flick_abort1977);
                          flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
                          flick_cdr_encode_signed32(0, *_local_l, CORBA_long );
                          flick_khazana_encode_end_chunk(4);
                          flick_khazana_encode_end_glob(7);
                          break;
                          {
                          _flick_abort1977:
                            goto _flick_abort1968;
                          }
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(12);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1980);
                          break;
                          {
                          _flick_abort1980:
                            goto _flick_abort1968;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1981);
                          flick_khazana_encode_end_glob(12);
                          break;
                          {
                          _flick_abort1981:
                            goto _flick_abort1968;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort1968:
                    goto _flick_abort1967;
                  }
                }
                break;
                {
                _flick_abort1967:
                  goto _flick_abort1493;
                }
              }
            case /* op0 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623296):
              {
                {
                  ex4 _obj;
                  unsigned int _t1088_principal_len;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t1089_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1983);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t1088_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(40);
                  flick_khazana_check_span(_t1088_principal_len, _flick_abort1983);
                  flick_khazana_decode_new_glob(_t1088_principal_len);
                  flick_khazana_decode_new_chunk(_t1088_principal_len);
                  flick_khazana_decode_end_chunk(_t1088_principal_len);
                  flick_khazana_decode_end_glob(_t1088_principal_len);
                  /* Begin decode phase on parameters */
                  _ev = (CORBA_Environment *)(&_t1089_storage);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  ex4_op0(_obj, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1983);
                    flick_khazana_encode_new_glob(4, _flick_abort1983);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_end_glob(4);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(4);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1989);
                          break;
                          {
                          _flick_abort1989:
                            goto _flick_abort1983;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1990);
                          flick_khazana_encode_end_glob(4);
                          break;
                          {
                          _flick_abort1990:
                            goto _flick_abort1983;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort1983:
                    goto _flick_abort1982;
                  }
                }
                break;
                {
                _flick_abort1982:
                  goto _flick_abort1493;
                }
              }
            case /* op1 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623552):
              {
                {
                  ex4 _obj;
                  unsigned int _t1090_principal_len;
                  CORBA_float _return;
                  CORBA_float _local_f;
                  CORBA_double *_local_d;
                  CORBA_double _t1091_storage;
                  CORBA_long *_local_l;
                  CORBA_long _t1092_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t1093_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort1992);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t1090_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(40);
                  flick_khazana_check_span(_t1090_principal_len, _flick_abort1992);
                  flick_khazana_decode_new_glob(_t1090_principal_len);
                  flick_khazana_decode_new_chunk(_t1090_principal_len);
                  flick_khazana_decode_end_chunk(_t1090_principal_len);
                  flick_khazana_decode_end_glob(_t1090_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0.000000;
                  flick_khazana_decode_new_glob(11);
                  flick_khazana_decode_new_chunk_align(8, 2, 0, 0);
                  flick_khazana_check_span(8, _flick_abort1992);
                  flick_cdr_decode_float32(0, _local_f, CORBA_float );
                  _local_d = (CORBA_double *)(&_t1091_storage);
                  _local_l = (CORBA_long *)(&_t1092_storage);
                  flick_cdr_decode_signed32(4, *_local_l, CORBA_long );
                  _ev = (CORBA_Environment *)(&_t1093_storage);
                  flick_khazana_decode_end_chunk(8);
                  flick_khazana_decode_end_glob(11);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex4_op1(_obj, _local_f, _local_d, _local_l, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort1992);
                    flick_khazana_encode_new_glob(24, _flick_abort1992);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_float32(0, _return, CORBA_float );
                          flick_khazana_encode_end_chunk(4);
                          flick_khazana_encode_new_chunk_align(12, 3, 2, 0);
                          flick_cdr_encode_float64(0, *_local_d, CORBA_double );
                          flick_cdr_encode_signed32(8, *_local_l, CORBA_long );
                          flick_khazana_encode_end_chunk(12);
                          flick_khazana_encode_end_glob(24);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(24);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort1998);
                          break;
                          {
                          _flick_abort1998:
                            goto _flick_abort1992;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort1999);
                          flick_khazana_encode_end_glob(24);
                          break;
                          {
                          _flick_abort1999:
                            goto _flick_abort1992;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort1992:
                    goto _flick_abort1991;
                  }
                }
                break;
                {
                _flick_abort1991:
                  goto _flick_abort1493;
                }
              }
            case /* op2 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623808):
              {
                {
                  ex4 _obj;
                  unsigned int _t1094_principal_len;
                  CORBA_double _return;
                  CORBA_double _local_d;
                  CORBA_long *_local_l;
                  CORBA_long _t1095_storage;
                  CORBA_short *_local_s;
                  CORBA_short _t1096_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t1097_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort2001);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t1094_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(40);
                  flick_khazana_check_span(_t1094_principal_len, _flick_abort2001);
                  flick_khazana_decode_new_glob(_t1094_principal_len);
                  flick_khazana_decode_new_chunk(_t1094_principal_len);
                  flick_khazana_decode_end_chunk(_t1094_principal_len);
                  flick_khazana_decode_end_glob(_t1094_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0.000000;
                  flick_khazana_decode_new_glob(17);
                  flick_khazana_decode_new_chunk_align(10, 3, 0, 0);
                  flick_khazana_check_span(10, _flick_abort2001);
                  flick_cdr_decode_float64(0, _local_d, CORBA_double );
                  _local_l = (CORBA_long *)(&_t1095_storage);
                  _local_s = (CORBA_short *)(&_t1096_storage);
                  flick_cdr_decode_signed16(8, *_local_s, CORBA_short );
                  _ev = (CORBA_Environment *)(&_t1097_storage);
                  flick_khazana_decode_end_chunk(10);
                  flick_khazana_decode_end_glob(17);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex4_op2(_obj, _local_d, _local_l, _local_s, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort2001);
                    flick_khazana_encode_new_glob(22, _flick_abort2001);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk_align(14, 3, 2, 0);
                          flick_cdr_encode_float64(0, _return, CORBA_double );
                          flick_cdr_encode_signed32(8, *_local_l, CORBA_long );
                          flick_cdr_encode_signed16(12, *_local_s, CORBA_short );
                          flick_khazana_encode_end_chunk(14);
                          flick_khazana_encode_end_glob(22);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(22);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2007);
                          break;
                          {
                          _flick_abort2007:
                            goto _flick_abort2001;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2008);
                          flick_khazana_encode_end_glob(22);
                          break;
                          {
                          _flick_abort2008:
                            goto _flick_abort2001;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort2001:
                    goto _flick_abort2000;
                  }
                }
                break;
                {
                _flick_abort2000:
                  goto _flick_abort1493;
                }
              }
            case /* op3 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624064):
              {
                {
                  ex4 _obj;
                  unsigned int _t1098_principal_len;
                  CORBA_long _return;
                  CORBA_long _local_l;
                  CORBA_short *_local_s;
                  CORBA_short _t1099_storage;
                  CORBA_unsigned_long *_local_ul;
                  CORBA_unsigned_long _t1100_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t1101_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort2010);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t1098_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(40);
                  flick_khazana_check_span(_t1098_principal_len, _flick_abort2010);
                  flick_khazana_decode_new_glob(_t1098_principal_len);
                  flick_khazana_decode_new_chunk(_t1098_principal_len);
                  flick_khazana_decode_end_chunk(_t1098_principal_len);
                  flick_khazana_decode_end_glob(_t1098_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_khazana_decode_new_glob(11);
                  flick_khazana_decode_new_chunk_align(8, 2, 0, 0);
                  flick_khazana_check_span(8, _flick_abort2010);
                  flick_cdr_decode_signed32(0, _local_l, CORBA_long );
                  _local_s = (CORBA_short *)(&_t1099_storage);
                  _local_ul = (CORBA_unsigned_long *)(&_t1100_storage);
                  flick_cdr_decode_unsigned32(4, *_local_ul, CORBA_unsigned_long );
                  _ev = (CORBA_Environment *)(&_t1101_storage);
                  flick_khazana_decode_end_chunk(8);
                  flick_khazana_decode_end_glob(11);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex4_op3(_obj, _local_l, _local_s, _local_ul, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort2010);
                    flick_khazana_encode_new_glob(16, _flick_abort2010);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(12);
                          flick_cdr_encode_signed32(0, _return, CORBA_long );
                          flick_cdr_encode_signed16(4, *_local_s, CORBA_short );
                          flick_cdr_encode_unsigned32(8, *_local_ul, CORBA_unsigned_long );
                          flick_khazana_encode_end_chunk(12);
                          flick_khazana_encode_end_glob(16);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(16);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2016);
                          break;
                          {
                          _flick_abort2016:
                            goto _flick_abort2010;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2017);
                          flick_khazana_encode_end_glob(16);
                          break;
                          {
                          _flick_abort2017:
                            goto _flick_abort2010;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort2010:
                    goto _flick_abort2009;
                  }
                }
                break;
                {
                _flick_abort2009:
                  goto _flick_abort1493;
                }
              }
            case /* op4 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624320):
              {
                {
                  ex4 _obj;
                  unsigned int _t1102_principal_len;
                  CORBA_short _return;
                  CORBA_short _local_s;
                  CORBA_unsigned_long *_local_ul;
                  CORBA_unsigned_long _t1103_storage;
                  CORBA_unsigned_short *_local_us;
                  CORBA_unsigned_short _t1104_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t1105_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort2019);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t1102_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(40);
                  flick_khazana_check_span(_t1102_principal_len, _flick_abort2019);
                  flick_khazana_decode_new_glob(_t1102_principal_len);
                  flick_khazana_decode_new_chunk(_t1102_principal_len);
                  flick_khazana_decode_end_chunk(_t1102_principal_len);
                  flick_khazana_decode_end_glob(_t1102_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  flick_khazana_decode_new_glob(5);
                  flick_khazana_decode_new_chunk_align(4, 1, 0, 0);
                  flick_khazana_check_span(4, _flick_abort2019);
                  flick_cdr_decode_signed16(0, _local_s, CORBA_short );
                  _local_ul = (CORBA_unsigned_long *)(&_t1103_storage);
                  _local_us = (CORBA_unsigned_short *)(&_t1104_storage);
                  flick_cdr_decode_unsigned16(2, *_local_us, CORBA_unsigned_short );
                  _ev = (CORBA_Environment *)(&_t1105_storage);
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(5);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex4_op4(_obj, _local_s, _local_ul, _local_us, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort2019);
                    flick_khazana_encode_new_glob(14, _flick_abort2019);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(10);
                          flick_cdr_encode_signed16(0, _return, CORBA_short );
                          flick_cdr_encode_unsigned32(4, *_local_ul, CORBA_unsigned_long );
                          flick_cdr_encode_unsigned16(8, *_local_us, CORBA_unsigned_short );
                          flick_khazana_encode_end_chunk(10);
                          flick_khazana_encode_end_glob(14);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(14);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2025);
                          break;
                          {
                          _flick_abort2025:
                            goto _flick_abort2019;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2026);
                          flick_khazana_encode_end_glob(14);
                          break;
                          {
                          _flick_abort2026:
                            goto _flick_abort2019;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort2019:
                    goto _flick_abort2018;
                  }
                }
                break;
                {
                _flick_abort2018:
                  goto _flick_abort1493;
                }
              }
            case /* op5 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624576):
              {
                {
                  ex4 _obj;
                  unsigned int _t1106_principal_len;
                  CORBA_unsigned_long _return;
                  CORBA_unsigned_long *_local_ul;
                  CORBA_unsigned_long _t1107_storage;
                  CORBA_unsigned_short _local_us;
                  CORBA_char *_local_c;
                  CORBA_char _t1108_storage;
                  CORBA_boolean _local_b;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t1109_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort2028);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t1106_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(40);
                  flick_khazana_check_span(_t1106_principal_len, _flick_abort2028);
                  flick_khazana_decode_new_glob(_t1106_principal_len);
                  flick_khazana_decode_new_chunk(_t1106_principal_len);
                  flick_khazana_decode_end_chunk(_t1106_principal_len);
                  flick_khazana_decode_end_glob(_t1106_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  _local_ul = (CORBA_unsigned_long *)(&_t1107_storage);
                  flick_khazana_decode_new_glob(10);
                  flick_khazana_decode_new_chunk_align(7, 2, 0, 0);
                  flick_khazana_check_span(7, _flick_abort2028);
                  flick_cdr_decode_unsigned32(0, *_local_ul, CORBA_unsigned_long );
                  flick_cdr_decode_unsigned16(4, _local_us, CORBA_unsigned_short );
                  _local_c = (CORBA_char *)(&_t1108_storage);
                  flick_cdr_decode_unsigned8(6, _local_b, CORBA_boolean );
                  _ev = (CORBA_Environment *)(&_t1109_storage);
                  flick_khazana_decode_end_chunk(7);
                  flick_khazana_decode_end_glob(10);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex4_op5(_obj, _local_ul, _local_us, _local_c, _local_b, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort2028);
                    flick_khazana_encode_new_glob(13, _flick_abort2028);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(9);
                          flick_cdr_encode_unsigned32(0, _return, CORBA_unsigned_long );
                          flick_cdr_encode_unsigned32(4, *_local_ul, CORBA_unsigned_long );
                          flick_cdr_encode_char8(8, *_local_c, CORBA_char );
                          flick_khazana_encode_end_chunk(9);
                          flick_khazana_encode_end_glob(13);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(13);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2034);
                          break;
                          {
                          _flick_abort2034:
                            goto _flick_abort2028;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2035);
                          flick_khazana_encode_end_glob(13);
                          break;
                          {
                          _flick_abort2035:
                            goto _flick_abort2028;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort2028:
                    goto _flick_abort2027;
                  }
                }
                break;
                {
                _flick_abort2027:
                  goto _flick_abort1493;
                }
              }
            case /* op6 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869624832):
              {
                {
                  ex4 _obj;
                  unsigned int _t1110_principal_len;
                  CORBA_unsigned_short _return;
                  CORBA_unsigned_short *_local_us;
                  CORBA_unsigned_short _t1111_storage;
                  CORBA_char *_local_c;
                  CORBA_char _t1112_storage;
                  CORBA_Environment *_ev;
                  CORBA_Environment _t1113_storage;

                  flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort2037);
                  /* Decode the requesting `Principal' pseudo object (client ID). */
                  flick_khazana_decode_new_chunk(4);
                  flick_cdr_decode_unsigned32(0, _t1110_principal_len, unsigned int );
                  flick_khazana_decode_end_chunk(4);
                  flick_khazana_decode_end_glob(40);
                  flick_khazana_check_span(_t1110_principal_len + 1, _flick_abort2037);
                  flick_khazana_decode_new_glob(_t1110_principal_len);
                  flick_khazana_decode_new_chunk(_t1110_principal_len);
                  flick_khazana_decode_end_chunk(_t1110_principal_len);
                  flick_khazana_decode_end_glob(_t1110_principal_len);
                  /* Begin decode phase on parameters */
                  _return = 0;
                  _local_us = (CORBA_unsigned_short *)(&_t1111_storage);
                  _local_c = (CORBA_char *)(&_t1112_storage);
                  flick_khazana_decode_new_glob(1);
                  flick_khazana_decode_new_chunk(1);
                  flick_cdr_decode_char8(0, *_local_c, CORBA_char );
                  _ev = (CORBA_Environment *)(&_t1113_storage);
                  flick_khazana_decode_end_chunk(1);
                  flick_khazana_decode_end_glob(1);
                  flick_khazana_server_end_decode();
                  flick_corba_init_environment();
                  _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                  _return = ex4_op6(_obj, _local_us, _local_c, _ev);
                  _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                  _stub_state.state = FLICK_STATE_MARSHAL;
                  flick_khazana_server_start_encode();
                  {
                    flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort2037);
                    flick_khazana_encode_new_glob(9, _flick_abort2037);
                    flick_khazana_encode_new_chunk(4);
                    flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                    flick_khazana_encode_end_chunk(4);
                    switch (_ev->_major)
                      {
                      case CORBA_NO_EXCEPTION:
                        {
                          /* Begin encode phase on parameters */
                          flick_khazana_encode_new_chunk(5);
                          flick_cdr_encode_unsigned16(0, _return, CORBA_unsigned_short );
                          flick_cdr_encode_unsigned16(2, *_local_us, CORBA_unsigned_short );
                          flick_cdr_encode_char8(4, *_local_c, CORBA_char );
                          flick_khazana_encode_end_chunk(5);
                          flick_khazana_encode_end_glob(9);
                          break;
                        }
                      case CORBA_SYSTEM_EXCEPTION:
                        {
                          flick_khazana_encode_end_glob(9);
                          flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2043);
                          break;
                          {
                          _flick_abort2043:
                            goto _flick_abort2037;
                          }
                        }
                      default:
                        {
                          flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2044);
                          flick_khazana_encode_end_glob(9);
                          break;
                          {
                          _flick_abort2044:
                            goto _flick_abort2037;
                          }
                        }
                      }
                  }
                  flick_khazana_server_end_encode();
                  break;
                  {
                  _flick_abort2037:
                    goto _flick_abort2036;
                  }
                }
                break;
                {
                _flick_abort2036:
                  goto _flick_abort1493;
                }
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                flick_khazana_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 5:
        {
          unsigned int _t1114_switch_tag;

          flick_khazana_check_span(12, _flick_abort1493);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t1114_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t1114_switch_tag)
            {
            case /* op10 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623600):
              {
                char _t1115_switch_tag;

                flick_khazana_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t1115_switch_tag, char );
                flick_khazana_decode_end_chunk(1);
                switch ((char )_t1115_switch_tag)
                  {
                  case 0:
                    {
                      {
                        ex4 _obj;
                        unsigned int _t1116_principal_len;
                        CORBA_char *_return;
                        CORBA_char *_local_s;
                        flick_unsigned32_t _t1117_temp_string_len;
                        CORBA_char **_local_ls;
                        CORBA_char *_t1118_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t1119_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort2046);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(7);
                        flick_cdr_decode_unsigned32(3, _t1116_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(7);
                        flick_khazana_decode_end_glob(40);
                        flick_khazana_check_span(_t1116_principal_len, _flick_abort2046);
                        flick_khazana_decode_new_glob(_t1116_principal_len);
                        flick_khazana_decode_new_chunk(_t1116_principal_len);
                        flick_khazana_decode_end_chunk(_t1116_principal_len);
                        flick_khazana_decode_end_glob(_t1116_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort2046);
                        flick_cdr_decode_unsigned32(0, _t1117_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t1117_temp_string_len);
                        flick_khazana_check_span(1 * _t1117_temp_string_len, _flick_abort2046);
                        flick_khazana_decode_new_chunk(1 * _t1117_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_s, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t1117_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t1117_temp_string_len);
                        _local_ls = (CORBA_char **)(&_t1118_storage);
                        _ev = (CORBA_Environment *)(&_t1119_storage);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = ex4_op10(_obj, _local_s, _local_ls, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort2046);
                          flick_khazana_encode_new_glob(8, _flick_abort2046);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                flick_unsigned32_t _t1122_temp_string_len;
                                flick_unsigned32_t _t1123_temp_string_len;

                                flick_cdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t1122_temp_string_len);
                                flick_cdr_stringlen(CORBA_char *, *_local_ls, flick_unsigned32_t , _t1123_temp_string_len);

                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_unsigned32(0, _t1122_temp_string_len, flick_unsigned32_t );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(8);
                                flick_khazana_encode_new_glob(1 * _t1122_temp_string_len, _flick_abort2057);
                                flick_khazana_encode_new_chunk(1 * _t1122_temp_string_len);
                                flick_cdr_encode_bcopy(0, _return, 1 * _t1122_temp_string_len);
                                CORBA_flick_free(_return);
                                _return = 0;
                                flick_khazana_encode_end_chunk(1 * _t1122_temp_string_len);
                                flick_khazana_encode_end_glob(1 * _t1122_temp_string_len);
                                flick_khazana_encode_new_glob(18, _flick_abort2057);
                                flick_khazana_encode_new_chunk_align(4 + 1 * _t1123_temp_string_len, 2, 0, 0);
                                flick_cdr_encode_unsigned32(0, _t1123_temp_string_len, flick_unsigned32_t );
                                if (_t1123_temp_string_len > 11)
                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort2057);
                                flick_cdr_encode_bcopy(4, *_local_ls, 1 * _t1123_temp_string_len);
                                CORBA_flick_free(*_local_ls);
                                *_local_ls = 0;
                                flick_khazana_encode_end_chunk(4 + 1 * _t1123_temp_string_len);
                                flick_khazana_encode_end_glob(18);
                                break;
                                {
                                _flick_abort2057:
                                  goto _flick_abort2046;
                                }
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2062);
                                break;
                                {
                                _flick_abort2062:
                                  goto _flick_abort2046;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2063);
                                flick_khazana_encode_end_glob(8);
                                break;
                                {
                                _flick_abort2063:
                                  goto _flick_abort2046;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort2046:
                          goto _flick_abort2045;
                        }
                      }
                      break;
                      {
                      _flick_abort2045:
                        goto _flick_abort1493;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                      flick_khazana_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            case /* op11 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623601):
              {
                char _t1124_switch_tag;

                flick_khazana_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t1124_switch_tag, char );
                flick_khazana_decode_end_chunk(1);
                switch ((char )_t1124_switch_tag)
                  {
                  case 0:
                    {
                      {
                        ex4 _obj;
                        unsigned int _t1125_principal_len;
                        CORBA_char *_return;
                        CORBA_char **_local_ls;
                        CORBA_char *_t1126_storage;
                        flick_unsigned32_t _t1127_temp_string_len;
                        CORBA_long *_local_l;
                        CORBA_long _t1128_storage;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t1129_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort2065);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(7);
                        flick_cdr_decode_unsigned32(3, _t1125_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(7);
                        flick_khazana_decode_end_glob(40);
                        flick_khazana_check_span(_t1125_principal_len, _flick_abort2065);
                        flick_khazana_decode_new_glob(_t1125_principal_len);
                        flick_khazana_decode_new_chunk(_t1125_principal_len);
                        flick_khazana_decode_end_chunk(_t1125_principal_len);
                        flick_khazana_decode_end_glob(_t1125_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        _local_ls = (CORBA_char **)(&_t1126_storage);
                        flick_khazana_decode_new_glob(18);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort2065);
                        flick_cdr_decode_unsigned32(0, _t1127_temp_string_len, flick_unsigned32_t );
                        if (_t1127_temp_string_len > 11)
                          flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort2065);
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_check_span(1 * _t1127_temp_string_len, _flick_abort2065);
                        flick_khazana_decode_new_chunk(1 * _t1127_temp_string_len);
                        {
                          CORBA_char *_t_alloc_ptr;

                          _t_alloc_ptr = (CORBA_char *)(CORBA_flick_alloc(11 * sizeof(CORBA_char )));
                          if (!_t_alloc_ptr)
                            flick_stub_error(FLICK_ERROR_NO_MEMORY, _flick_abort2065);
                          *_local_ls = _t_alloc_ptr;
                        }
                        flick_cdr_decode_bcopy(0, *_local_ls, 1 * _t1127_temp_string_len);
                        flick_khazana_decode_end_chunk(1 * _t1127_temp_string_len);
                        _local_l = (CORBA_long *)(&_t1128_storage);
                        _ev = (CORBA_Environment *)(&_t1129_storage);
                        flick_khazana_decode_end_glob(18);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = ex4_op11(_obj, _local_ls, _local_l, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort2068);
                          flick_khazana_encode_new_glob(44, _flick_abort2068);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                flick_unsigned32_t _t1132_temp_string_len;
                                flick_unsigned32_t _t1133_temp_string_len;

                                flick_cdr_stringlen(CORBA_char *, _return, flick_unsigned32_t , _t1132_temp_string_len);
                                flick_cdr_stringlen(CORBA_char *, *_local_ls, flick_unsigned32_t , _t1133_temp_string_len);

                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4 + 1 * _t1132_temp_string_len);
                                flick_cdr_encode_unsigned32(0, _t1132_temp_string_len, flick_unsigned32_t );
                                if (_t1132_temp_string_len > 11)
                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort2077);
                                flick_cdr_encode_bcopy(4, _return, 1 * _t1132_temp_string_len);
                                CORBA_flick_free(_return);
                                _return = 0;
                                flick_khazana_encode_end_chunk(4 + 1 * _t1132_temp_string_len);
                                flick_khazana_encode_new_chunk_align(4 + 1 * _t1133_temp_string_len, 2, 0, 0);
                                flick_cdr_encode_unsigned32(0, _t1133_temp_string_len, flick_unsigned32_t );
                                if (_t1133_temp_string_len > 11)
                                  flick_stub_error(FLICK_ERROR_OUT_OF_BOUNDS, _flick_abort2077);
                                flick_cdr_encode_bcopy(4, *_local_ls, 1 * _t1133_temp_string_len);
                                CORBA_flick_free(*_local_ls);
                                *_local_ls = 0;
                                flick_khazana_encode_end_chunk(4 + 1 * _t1133_temp_string_len);
                                flick_khazana_encode_new_chunk_align(4, 2, 0, 0);
                                flick_cdr_encode_signed32(0, *_local_l, CORBA_long );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(44);
                                break;
                                {
                                _flick_abort2077:
                                  goto _flick_abort2068;
                                }
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(44);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2082);
                                break;
                                {
                                _flick_abort2082:
                                  goto _flick_abort2068;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2083);
                                flick_khazana_encode_end_glob(44);
                                break;
                                {
                                _flick_abort2083:
                                  goto _flick_abort2068;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort2068:
                          CORBA_flick_free(*_local_ls);
                        _flick_abort2065:
                          goto _flick_abort2064;
                        }
                      }
                      break;
                      {
                      _flick_abort2064:
                        goto _flick_abort1493;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                      flick_khazana_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            case /* op12 */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1869623602):
              {
                char _t1134_switch_tag;

                flick_khazana_decode_new_chunk(1);
                flick_cdr_decode_char8(0, _t1134_switch_tag, char );
                flick_khazana_decode_end_chunk(1);
                switch ((char )_t1134_switch_tag)
                  {
                  case 0:
                    {
                      {
                        ex4 _obj;
                        unsigned int _t1135_principal_len;
                        CORBA_long _return;
                        CORBA_long _local_l;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t1136_storage;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort2085);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(7);
                        flick_cdr_decode_unsigned32(3, _t1135_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(7);
                        flick_khazana_decode_end_glob(40);
                        flick_khazana_check_span(_t1135_principal_len, _flick_abort2085);
                        flick_khazana_decode_new_glob(_t1135_principal_len);
                        flick_khazana_decode_new_chunk(_t1135_principal_len);
                        flick_khazana_decode_end_chunk(_t1135_principal_len);
                        flick_khazana_decode_end_glob(_t1135_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort2085);
                        flick_cdr_decode_signed32(0, _local_l, CORBA_long );
                        _ev = (CORBA_Environment *)(&_t1136_storage);
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = ex4_op12(_obj, _local_l, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort2085);
                          flick_khazana_encode_new_glob(8, _flick_abort2085);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(4);
                                flick_cdr_encode_signed32(0, _return, CORBA_long );
                                flick_khazana_encode_end_chunk(4);
                                flick_khazana_encode_end_glob(8);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(8);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2091);
                                break;
                                {
                                _flick_abort2091:
                                  goto _flick_abort2085;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2092);
                                flick_khazana_encode_end_glob(8);
                                break;
                                {
                                _flick_abort2092:
                                  goto _flick_abort2085;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort2085:
                          goto _flick_abort2084;
                        }
                      }
                      break;
                      {
                      _flick_abort2084:
                        goto _flick_abort1493;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                      flick_khazana_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                flick_khazana_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 29:
        {
          unsigned int _t1137_switch_tag;

          flick_khazana_check_span(36, _flick_abort1493);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t1137_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t1137_switch_tag)
            {
            case /* _get */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600611700):
              {
                unsigned int _t1138_switch_tag;

                flick_khazana_decode_new_chunk(4);
                flick_cdr_decode_unsigned32(0, _t1138_switch_tag, unsigned int );
                flick_khazana_decode_end_chunk(4);
                switch ((unsigned int )_t1138_switch_tag)
                  {
                  case /* _uns */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1601531507):
                    {
                      unsigned int _t1139_switch_tag;

                      flick_khazana_decode_new_chunk(4);
                      flick_cdr_decode_unsigned32(0, _t1139_switch_tag, unsigned int );
                      flick_khazana_decode_end_chunk(4);
                      switch ((unsigned int )_t1139_switch_tag)
                        {
                        case /* igne */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1768386149):
                          {
                            unsigned int _t1140_switch_tag;

                            flick_khazana_decode_new_chunk(4);
                            flick_cdr_decode_unsigned32(0, _t1140_switch_tag, unsigned int );
                            flick_khazana_decode_end_chunk(4);
                            switch ((unsigned int )_t1140_switch_tag)
                              {
                              case /* d_lo */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1683975279):
                                {
                                  unsigned int _t1141_switch_tag;

                                  flick_khazana_decode_new_chunk(4);
                                  flick_cdr_decode_unsigned32(0, _t1141_switch_tag, unsigned int );
                                  flick_khazana_decode_end_chunk(4);
                                  switch ((unsigned int )_t1141_switch_tag)
                                    {
                                    case /* ng_a */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1852268385):
                                      {
                                        unsigned int _t1142_switch_tag;

                                        flick_khazana_decode_new_chunk(4);
                                        flick_cdr_decode_unsigned32(0, _t1142_switch_tag, unsigned int );
                                        flick_khazana_decode_end_chunk(4);
                                        switch ((unsigned int )_t1142_switch_tag)
                                          {
                                          case /* ttri */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1953788521):
                                            {
                                              unsigned int _t1143_switch_tag;

                                              flick_khazana_decode_new_chunk(4);
                                              flick_cdr_decode_unsigned32(0, _t1143_switch_tag, unsigned int );
                                              flick_khazana_decode_end_chunk(4);
                                              switch ((unsigned int )_t1143_switch_tag)
                                                {
                                                case /* bute */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1651864677):
                                                  {
                                                    char _t1144_switch_tag;

                                                    flick_khazana_decode_new_chunk(1);
                                                    flick_cdr_decode_char8(0, _t1144_switch_tag, char );
                                                    flick_khazana_decode_end_chunk(1);
                                                    switch ((char )_t1144_switch_tag)
                                                      {
                                                      case 0:
                                                        {
                                                          {
                                                            ex4 _obj;
                                                            unsigned int _t1145_principal_len;
                                                            CORBA_unsigned_long _return;
                                                            CORBA_Environment *_ev;
                                                            CORBA_Environment _t1146_storage;

                                                            flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort2094);
                                                            /* Decode the requesting `Principal' pseudo object (client ID). */
                                                            flick_khazana_decode_new_chunk(7);
                                                            flick_cdr_decode_unsigned32(3, _t1145_principal_len, unsigned int );
                                                            flick_khazana_decode_end_chunk(7);
                                                            flick_khazana_decode_end_glob(40);
                                                            flick_khazana_check_span(_t1145_principal_len, _flick_abort2094);
                                                            flick_khazana_decode_new_glob(_t1145_principal_len);
                                                            flick_khazana_decode_new_chunk(_t1145_principal_len);
                                                            flick_khazana_decode_end_chunk(_t1145_principal_len);
                                                            flick_khazana_decode_end_glob(_t1145_principal_len);
                                                            /* Begin decode phase on parameters */
                                                            _return = 0;
                                                            _ev = (CORBA_Environment *)(&_t1146_storage);
                                                            flick_khazana_server_end_decode();
                                                            flick_corba_init_environment();
                                                            _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                                                            _return = ex4__get_unsigned_long_attribute(_obj, _ev);
                                                            _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                                                            _stub_state.state = FLICK_STATE_MARSHAL;
                                                            flick_khazana_server_start_encode();
                                                            {
                                                              flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort2094);
                                                              flick_khazana_encode_new_glob(8, _flick_abort2094);
                                                              flick_khazana_encode_new_chunk(4);
                                                              flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                                                              flick_khazana_encode_end_chunk(4);
                                                              switch (_ev->_major)
                                                                {
                                                                case CORBA_NO_EXCEPTION:
                                                                  {
                                                                    /* Begin encode phase on parameters */
                                                                    flick_khazana_encode_new_chunk(4);
                                                                    flick_cdr_encode_unsigned32(0, _return, CORBA_unsigned_long );
                                                                    flick_khazana_encode_end_chunk(4);
                                                                    flick_khazana_encode_end_glob(8);
                                                                    break;
                                                                  }
                                                                case CORBA_SYSTEM_EXCEPTION:
                                                                  {
                                                                    flick_khazana_encode_end_glob(8);
                                                                    flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2100);
                                                                    break;
                                                                    {
                                                                    _flick_abort2100:
                                                                      goto _flick_abort2094;
                                                                    }
                                                                  }
                                                                default:
                                                                  {
                                                                    flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2101);
                                                                    flick_khazana_encode_end_glob(8);
                                                                    break;
                                                                    {
                                                                    _flick_abort2101:
                                                                      goto _flick_abort2094;
                                                                    }
                                                                  }
                                                                }
                                                            }
                                                            flick_khazana_server_end_encode();
                                                            break;
                                                            {
                                                            _flick_abort2094:
                                                              goto _flick_abort2093;
                                                            }
                                                          }
                                                          break;
                                                          {
                                                          _flick_abort2093:
                                                            goto _flick_abort1493;
                                                          }
                                                        }
                                                      default:
                                                        {
                                                          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                                          flick_khazana_decode_end_glob(40);
                                                          break;
                                                        }
                                                      }
                                                    break;
                                                  }
                                                default:
                                                  {
                                                    flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                                    flick_khazana_decode_end_glob(40);
                                                    break;
                                                  }
                                                }
                                              break;
                                            }
                                          default:
                                            {
                                              flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                              flick_khazana_decode_end_glob(40);
                                              break;
                                            }
                                          }
                                        break;
                                      }
                                    default:
                                      {
                                        flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                        flick_khazana_decode_end_glob(40);
                                        break;
                                      }
                                    }
                                  break;
                                }
                              default:
                                {
                                  flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                                  flick_khazana_decode_end_glob(40);
                                  break;
                                }
                              }
                            break;
                          }
                        default:
                          {
                            flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                            flick_khazana_decode_end_glob(40);
                            break;
                          }
                        }
                      break;
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                      flick_khazana_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                flick_khazana_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      case (unsigned int) 6:
        {
          unsigned int _t1147_switch_tag;

          flick_khazana_check_span(12, _flick_abort1493);
          flick_khazana_decode_new_chunk(4);
          flick_cdr_decode_unsigned32(0, _t1147_switch_tag, unsigned int );
          flick_khazana_decode_end_chunk(4);
          switch ((unsigned int )_t1147_switch_tag)
            {
            case /* _is_ */ flick_cdr_convert_big_endian_to_local_unsigned32((unsigned int) 1600746335):
              {
                unsigned short int _t1148_switch_tag;

                flick_khazana_decode_new_chunk(2);
                flick_cdr_decode_unsigned16(0, _t1148_switch_tag, unsigned short int );
                flick_khazana_decode_end_chunk(2);
                switch ((unsigned short int )_t1148_switch_tag)
                  {
                  case /* a */ flick_cdr_convert_big_endian_to_local_unsigned16((unsigned short int) 24832):
                    {
                      {
                        CORBA_Object _obj;
                        unsigned int _t1149_principal_len;
                        CORBA_boolean _return;
                        CORBA_char *_local_id;
                        flick_unsigned32_t _t1150_temp_string_len;
                        CORBA_Environment *_ev;
                        CORBA_Environment _t1151_storage;
                        char **_par;

                        flick_khazana_server_decode_target(_obj, 0, cdr, _flick_abort2103);
                        /* Decode the requesting `Principal' pseudo object (client ID). */
                        flick_khazana_decode_new_chunk(6);
                        flick_cdr_decode_unsigned32(2, _t1149_principal_len, unsigned int );
                        flick_khazana_decode_end_chunk(6);
                        flick_khazana_decode_end_glob(40);
                        flick_khazana_check_span(_t1149_principal_len, _flick_abort2103);
                        flick_khazana_decode_new_glob(_t1149_principal_len);
                        flick_khazana_decode_new_chunk(_t1149_principal_len);
                        flick_khazana_decode_end_chunk(_t1149_principal_len);
                        flick_khazana_decode_end_glob(_t1149_principal_len);
                        /* Begin decode phase on parameters */
                        _return = 0;
                        flick_khazana_decode_new_glob(7);
                        flick_khazana_decode_new_chunk_align(4, 2, 0, 0);
                        flick_khazana_check_span(4, _flick_abort2103);
                        flick_cdr_decode_unsigned32(0, _t1150_temp_string_len, flick_unsigned32_t );
                        flick_khazana_decode_end_chunk(4);
                        flick_khazana_decode_end_glob(7);
                        flick_khazana_decode_new_glob(1 * _t1150_temp_string_len);
                        flick_khazana_check_span(1 * _t1150_temp_string_len, _flick_abort2103);
                        flick_khazana_decode_new_chunk(1 * _t1150_temp_string_len);
                        flick_cdr_decode_msgptr(0, _local_id, CORBA_char *);
                        flick_khazana_decode_end_chunk(1 * _t1150_temp_string_len);
                        flick_khazana_decode_end_glob(1 * _t1150_temp_string_len);
                        _ev = (CORBA_Environment *)(&_t1151_storage);
                        _par = flick_interface_parents_ex4;
                        flick_khazana_server_end_decode();
                        flick_corba_init_environment();
                        _stub_state.state = FLICK_STATE_FUNCTION_CALL;
                        _return = CORBA_Object_is_a_internal(_obj, _local_id, _par, _ev);
                        _stub_state.state = FLICK_STATE_FUNCTION_RETURN;
                        _stub_state.state = FLICK_STATE_MARSHAL;
                        flick_khazana_server_start_encode();
                        {
                          flick_khazana_server_encode_target(_obj, 0, cdr, _flick_abort2103);
                          flick_khazana_encode_new_glob(5, _flick_abort2103);
                          flick_khazana_encode_new_chunk(4);
                          flick_cdr_encode_signed32(0, _ev->_major, CORBA_exception_type );
                          flick_khazana_encode_end_chunk(4);
                          switch (_ev->_major)
                            {
                            case CORBA_NO_EXCEPTION:
                              {
                                /* Begin encode phase on parameters */
                                flick_khazana_encode_new_chunk(1);
                                flick_cdr_encode_unsigned8(0, _return, CORBA_boolean );
                                flick_khazana_encode_end_chunk(1);
                                flick_khazana_encode_end_glob(5);
                                break;
                              }
                            case CORBA_SYSTEM_EXCEPTION:
                              {
                                flick_khazana_encode_end_glob(5);
                                flick_corba_encode_system_exception(_ev, cdr, khazana, _flick_abort2111);
                                break;
                                {
                                _flick_abort2111:
                                  goto _flick_abort2103;
                                }
                              }
                            default:
                              {
                                flick_stub_error(FLICK_ERROR_VIRTUAL_UNION, _flick_abort2112);
                                flick_khazana_encode_end_glob(5);
                                break;
                                {
                                _flick_abort2112:
                                  goto _flick_abort2103;
                                }
                              }
                            }
                        }
                        flick_khazana_server_end_encode();
                        break;
                        {
                        _flick_abort2103:
                          goto _flick_abort2102;
                        }
                      }
                      break;
                      {
                      _flick_abort2102:
                        goto _flick_abort1493;
                      }
                    }
                  default:
                    {
                      flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                      flick_khazana_decode_end_glob(40);
                      break;
                    }
                  }
                break;
              }
            default:
              {
                flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
                flick_khazana_decode_end_glob(40);
                break;
              }
            }
          break;
        }
      default:
        {
          flick_stub_error(FLICK_ERROR_DECODE_SWITCH, _flick_abort1493);
          flick_khazana_decode_end_glob(40);
          break;
        }
      }
  }
  }
  _stub_state.state = FLICK_STATE_EPILOGUE;
  return FLICK_OPERATION_SUCCESS;
  {
  _flick_abort1493:
    flick_corba_server_error(cdr, khazana, _flick_reaper, _flick_abort1492);
  _flick_abort1492:
    return FLICK_OPERATION_SUCCESS;
  }
_flick_reaper:
  return FLICK_OPERATION_FAILURE;
}

